/*
Navicat MySQL Data Transfer

Source Server         : jinMingYuan
Source Server Version : 50738
Source Host           : 116.198.40.76:3306
Source Database       : train_bf

Target Server Type    : MYSQL
Target Server Version : 50738
File Encoding         : 65001

Date: 2023-10-09 20:57:39
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for auto
-- ----------------------------
DROP TABLE IF EXISTS `auto`;
CREATE TABLE `auto` (
  `id` int(20) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of auto
-- ----------------------------

-- ----------------------------
-- Table structure for datav_center
-- ----------------------------
DROP TABLE IF EXISTS `datav_center`;
CREATE TABLE `datav_center` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `concentrate_Train_Time` int(10) DEFAULT NULL COMMENT '集中培训天数',
  `onLine_Train_Time` int(255) DEFAULT NULL COMMENT '在线培训',
  `stu_num` int(255) DEFAULT NULL COMMENT '学员',
  `trainer_num` int(255) DEFAULT NULL COMMENT '讲师',
  `video_num` int(255) DEFAULT NULL COMMENT '视频数',
  `online_Course_num` int(255) DEFAULT NULL COMMENT '在线培训数'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_center
-- ----------------------------
INSERT INTO `datav_center` VALUES ('713502207701700414', '1', '1', '31', '10', '1', '11');

-- ----------------------------
-- Table structure for datav_class
-- ----------------------------
DROP TABLE IF EXISTS `datav_class`;
CREATE TABLE `datav_class` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(6) DEFAULT NULL COMMENT '培训班类型：1、集中培训班。2、在线培训班。',
  `code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '培训班编号',
  `name` varchar(30) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '培训班名称',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '专业名',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `contact_person` varchar(10) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '联系人',
  `contact_tel` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '联系电话',
  `num` int(11) DEFAULT NULL COMMENT '培训人数',
  `sign_num` int(11) DEFAULT NULL COMMENT '一报道人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_class
-- ----------------------------

-- ----------------------------
-- Table structure for datav_class_count
-- ----------------------------
DROP TABLE IF EXISTS `datav_class_count`;
CREATE TABLE `datav_class_count` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `all_Time` int(10) DEFAULT NULL COMMENT '总时长',
  `all_student` int(10) DEFAULT NULL COMMENT '总学员',
  `all_Teacher` int(10) DEFAULT NULL COMMENT '总讲师',
  `all_Supp` int(10) DEFAULT NULL COMMENT '总供应商',
  `all_exam` int(10) DEFAULT NULL COMMENT '总考试',
  `all_apprise` int(10) DEFAULT NULL COMMENT '总评价',
  `all_ask` int(10) DEFAULT NULL COMMENT '总调查问卷',
  `all_sign` int(10) DEFAULT NULL COMMENT '总签到'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_class_count
-- ----------------------------
INSERT INTO `datav_class_count` VALUES ('713502915975200578', '23', '135', '471', '52', '83', '107', '71', '38');

-- ----------------------------
-- Table structure for datav_class_type
-- ----------------------------
DROP TABLE IF EXISTS `datav_class_type`;
CREATE TABLE `datav_class_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `type` varchar(128) DEFAULT NULL COMMENT '类型',
  `class_num` int(6) DEFAULT NULL COMMENT '班级数量',
  `stu_num` int(6) DEFAULT NULL COMMENT '培训人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=713503350344300882 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_class_type
-- ----------------------------
INSERT INTO `datav_class_type` VALUES ('713503081040800400', '金融', '0', '0');
INSERT INTO `datav_class_type` VALUES ('713503122579400808', '寄递', '0', '0');
INSERT INTO `datav_class_type` VALUES ('713503167487500749', '渠道', '0', '0');
INSERT INTO `datav_class_type` VALUES ('713503208739300482', '综合', '1', '3');
INSERT INTO `datav_class_type` VALUES ('713503252010400550', '党建', '0', '0');
INSERT INTO `datav_class_type` VALUES ('713503295168500774', '邮务', '0', '0');
INSERT INTO `datav_class_type` VALUES ('713503350344300881', '其他', '0', '0');

-- ----------------------------
-- Table structure for datav_cur_year
-- ----------------------------
DROP TABLE IF EXISTS `datav_cur_year`;
CREATE TABLE `datav_cur_year` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `months` varchar(255) DEFAULT NULL COMMENT '月份',
  `num` int(10) DEFAULT NULL COMMENT '数量',
  `type` int(10) DEFAULT NULL COMMENT '0 是今年集中培训班数量',
  `month` int(10) DEFAULT NULL COMMENT '月份',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_cur_year
-- ----------------------------
INSERT INTO `datav_cur_year` VALUES ('713502394912300190', '3月', '1', null, '3');
INSERT INTO `datav_cur_year` VALUES ('713502435761000405', '4月', '0', null, '4');
INSERT INTO `datav_cur_year` VALUES ('713502477676800506', '5月', '0', null, '5');
INSERT INTO `datav_cur_year` VALUES ('713502525535900703', '6月', '0', null, '6');
INSERT INTO `datav_cur_year` VALUES ('713502565063700249', '7月', '0', null, '7');
INSERT INTO `datav_cur_year` VALUES ('713502605175700261', '8月', '0', null, '8');

-- ----------------------------
-- Table structure for datav_online_type
-- ----------------------------
DROP TABLE IF EXISTS `datav_online_type`;
CREATE TABLE `datav_online_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `type` varchar(128) DEFAULT NULL COMMENT '类型',
  `class_num` int(6) DEFAULT NULL COMMENT '班级数量',
  `stu_num` int(6) DEFAULT NULL COMMENT '培训人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=713503794234500169 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_online_type
-- ----------------------------
INSERT INTO `datav_online_type` VALUES ('713503510445700985', '金融', '1', '0');
INSERT INTO `datav_online_type` VALUES ('713503553071000450', '寄递', '0', '0');
INSERT INTO `datav_online_type` VALUES ('713503604990700123', '渠道', '0', '0');
INSERT INTO `datav_online_type` VALUES ('713503647337600503', '综合', '0', '0');
INSERT INTO `datav_online_type` VALUES ('713503689304700324', '党建', '0', '0');
INSERT INTO `datav_online_type` VALUES ('713503752006600139', '邮务', '0', '0');
INSERT INTO `datav_online_type` VALUES ('713503794234500168', '其他', '0', '0');

-- ----------------------------
-- Table structure for datav_org
-- ----------------------------
DROP TABLE IF EXISTS `datav_org`;
CREATE TABLE `datav_org` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `org` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '城市名字',
  `num` int(6) DEFAULT NULL COMMENT '人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_org
-- ----------------------------
INSERT INTO `datav_org` VALUES ('713504575889200938', '河南省分公司本部', '29');
INSERT INTO `datav_org` VALUES ('713504616632400846', '河南省培训中心', '2');
INSERT INTO `datav_org` VALUES ('713504657367100938', '驻马店市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713504697927000496', '河南省机要通信局', '0');
INSERT INTO `datav_org` VALUES ('713504737222500417', '河南省邮政保安押运服务有限公司', '0');
INSERT INTO `datav_org` VALUES ('713504776813100138', '周口市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713504816156100477', '河南省报刊发行局', '0');
INSERT INTO `datav_org` VALUES ('713504855377100953', '商丘市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713504918428800941', '河南省信息技术局', '0');
INSERT INTO `datav_org` VALUES ('713504966482700443', '漯河市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505005214100325', '许昌市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505048847000453', '三门峡市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505088552400131', '濮阳市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505129108300763', '焦作市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505173253100732', '新乡市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505214516200563', '河南省分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505253935600994', '鹤壁市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505307772400691', '其他', '0');
INSERT INTO `datav_org` VALUES ('713505348698000560', '安阳市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505388406300652', '郑州邮区中心局', '0');
INSERT INTO `datav_org` VALUES ('713505464164400785', '平顶山市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505505136500509', '中邮人寿保险股份有限公司河南分公司', '0');
INSERT INTO `datav_org` VALUES ('713505581741100101', '洛阳市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505623376100178', '济源市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505664046700720', '开封市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505739109800424', '信阳市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505778950900692', '郑州市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505876750300502', '南阳市分公司本部', '0');
INSERT INTO `datav_org` VALUES ('713505916094000203', '河南省邮电印刷厂', '0');

-- ----------------------------
-- Table structure for datav_setting
-- ----------------------------
DROP TABLE IF EXISTS `datav_setting`;
CREATE TABLE `datav_setting` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `seat` smallint(6) DEFAULT NULL COMMENT '位置 ',
  `prop` varchar(30) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '键',
  `val` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_setting
-- ----------------------------
INSERT INTO `datav_setting` VALUES ('1623502637', '101', 'pwd', '123456');
INSERT INTO `datav_setting` VALUES ('163040568472830', '1101', 'auto', '1');

-- ----------------------------
-- Table structure for datav_teacher
-- ----------------------------
DROP TABLE IF EXISTS `datav_teacher`;
CREATE TABLE `datav_teacher` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `all_num` int(11) DEFAULT NULL COMMENT '总人数',
  `in_num` int(11) DEFAULT NULL COMMENT '内训师',
  `out_num` int(11) DEFAULT NULL COMMENT '外聘',
  `tuan_num` int(11) DEFAULT NULL COMMENT '团人数',
  `gao_num` int(11) DEFAULT NULL COMMENT '省高级人数',
  `zhong_num` int(11) DEFAULT NULL COMMENT '省中级人数',
  `chu_num` int(11) DEFAULT NULL COMMENT '省初级人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_teacher
-- ----------------------------
INSERT INTO `datav_teacher` VALUES ('713504056687300398', '15', '10', '5', '2', '2', '1', '5');

-- ----------------------------
-- Table structure for datav_video
-- ----------------------------
DROP TABLE IF EXISTS `datav_video`;
CREATE TABLE `datav_video` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `times` int(11) DEFAULT NULL COMMENT '播放次数',
  `type` varchar(128) DEFAULT NULL COMMENT '月份',
  `month` int(10) DEFAULT NULL COMMENT '月份',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of datav_video
-- ----------------------------
INSERT INTO `datav_video` VALUES ('713504214567900204', '4', '3月', '3');
INSERT INTO `datav_video` VALUES ('713504261318700351', '6', '4月', '4');
INSERT INTO `datav_video` VALUES ('713504302955100246', '22', '5月', '5');
INSERT INTO `datav_video` VALUES ('713504344873900615', '0', '6月', '6');
INSERT INTO `datav_video` VALUES ('713504388495200607', '3', '7月', '7');
INSERT INTO `datav_video` VALUES ('713504434760400879', '0', '8月', '8');

-- ----------------------------
-- Table structure for mobile_payment_all
-- ----------------------------
DROP TABLE IF EXISTS `mobile_payment_all`;
CREATE TABLE `mobile_payment_all` (
  `id` bigint(20) NOT NULL,
  `trxid` varchar(32) DEFAULT NULL COMMENT '通联单号',
  `reqsn` varchar(32) DEFAULT NULL COMMENT '请求流水号',
  `create_id` bigint(20) DEFAULT NULL,
  `create_name` varchar(50) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `mobile_payment` decimal(11,2) DEFAULT NULL COMMENT '通联收款金额',
  `cashier_payment` decimal(11,0) DEFAULT NULL COMMENT '现金收款金额',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='多个培训班总体提现记录表';

-- ----------------------------
-- Records of mobile_payment_all
-- ----------------------------

-- ----------------------------
-- Table structure for mobile_payment_settlement
-- ----------------------------
DROP TABLE IF EXISTS `mobile_payment_settlement`;
CREATE TABLE `mobile_payment_settlement` (
  `id` bigint(20) NOT NULL,
  `train_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `train_name` varchar(50) DEFAULT NULL COMMENT '培训班name',
  `mobile_payment` decimal(11,2) DEFAULT NULL COMMENT '通联收款金额',
  `cashier_payment` decimal(11,0) DEFAULT NULL COMMENT '现金收款金额',
  `create_id` bigint(20) DEFAULT NULL,
  `create_name` varchar(50) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `all_id` bigint(20) DEFAULT NULL COMMENT '总提现的id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班支付结算表';

-- ----------------------------
-- Records of mobile_payment_settlement
-- ----------------------------
INSERT INTO `mobile_payment_settlement` VALUES ('1626217339441778688', '1620613930487517184', '测试支付1043', '0.07', null, null, '系统自提', '2023-02-16 21:50:02', null);

-- ----------------------------
-- Table structure for order_flow_info
-- ----------------------------
DROP TABLE IF EXISTS `order_flow_info`;
CREATE TABLE `order_flow_info` (
  `id` bigint(20) NOT NULL,
  `order_code` varchar(32) DEFAULT NULL COMMENT '订单号',
  `flow_code` varchar(32) DEFAULT NULL COMMENT '流水号',
  `train_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `train_name` varchar(500) DEFAULT NULL,
  `pay_type` int(4) DEFAULT NULL COMMENT '交易类型 1收款 2 退款 3提现',
  `pay_amount` decimal(11,2) DEFAULT NULL COMMENT '交易金额',
  `deposit` decimal(11,2) DEFAULT NULL COMMENT '押金',
  `mobile_phone` varchar(32) DEFAULT NULL COMMENT '手机号',
  `id_card` varchar(32) DEFAULT NULL COMMENT '身份证号',
  `org_id` bigint(20) DEFAULT NULL,
  `org_name` varchar(32) DEFAULT NULL,
  `dept_id` bigint(20) DEFAULT NULL,
  `dept_name` varchar(32) DEFAULT NULL,
  `pay_way` int(4) DEFAULT NULL COMMENT '支付方式 1.微信扫码 2.支付宝扫码 3.app扫码 4.现金 5 app微信 6 app支付宝',
  `pay_time` datetime DEFAULT NULL COMMENT '交易时间',
  `pay_state` int(4) DEFAULT NULL COMMENT '交易结果 1成功 0失败',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `pay_user_id` bigint(20) DEFAULT NULL COMMENT '支付人id',
  `pay_user_name` varchar(20) DEFAULT NULL COMMENT '支付人name',
  `create_id` bigint(20) DEFAULT NULL COMMENT '操作人id',
  `create_name` varchar(32) DEFAULT NULL COMMENT '操作人name',
  `withdraw` int(4) DEFAULT '0',
  `old_order` varchar(32) DEFAULT NULL COMMENT '真正订单号    比方说 退款这个订单的 生成的订单号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='交易流水表';

-- ----------------------------
-- Records of order_flow_info
-- ----------------------------
INSERT INTO `order_flow_info` VALUES ('1626512512981798912', 'SCXJ1626512512981798913', 'SCLS1626512512981798914', '1623944808060030976', '测试支付失败', '1', '3.11', '1.00', '15838150111', '110101198603074126', '1323441314733363200', '河南省分公司本部', '1366299625929183232', '运营管理部', '6', '2023-02-17 17:22:57', '1', 'APP支付宝扫码支付', '1590639495596871680', '刘芳芳', '1590639495596871680', '刘芳芳', '0', null);
INSERT INTO `order_flow_info` VALUES ('1626514292360744960', 'SCXJ1626512512981798913', 'TKLS1626514292360744961', '1623944808060030976', '测试支付失败', '2', '0.01', '0.00', '15838150111', '110101198603074126', '1323441314733363200', '河南省分公司本部', '1366299625929183232', '运营管理部', '6', '2023-02-17 17:30:01', '1', null, null, null, '1590639495596871680', '刘芳芳', '0', '1626514285888933888');
INSERT INTO `order_flow_info` VALUES ('1626514343476727808', 'SCXJ1626512512981798913', 'TKLS1626514343476727809', '1623944808060030976', '测试支付失败', '2', '0.01', '0.00', '15838150111', '110101198603074126', '1323441314733363200', '河南省分公司本部', '1366299625929183232', '运营管理部', '6', '2023-02-17 17:30:13', '1', null, null, null, '1590639495596871680', '刘芳芳', '0', '1626514337323683840');
INSERT INTO `order_flow_info` VALUES ('1626515187572019200', 'SCXJ1626512512981798913', 'TKLS1626515187572019201', '1623944808060030976', '测试支付失败', '2', '1.10', '1.00', '15838150111', '110101198603074126', '1323441314733363200', '河南省分公司本部', '1366299625929183232', '运营管理部', '6', '2023-02-17 17:33:35', '1', null, null, null, '1590639495596871680', '刘芳芳', '0', '1626515180609474560');
INSERT INTO `order_flow_info` VALUES ('1626515806722592768', 'SCXJ1626512512981798913', 'TKLS1626515806722592769', '1623944808060030976', '测试支付失败', '2', '0.90', '0.00', '15838150111', '110101198603074126', '1323441314733363200', '河南省分公司本部', '1366299625929183232', '运营管理部', '6', '2023-02-17 17:36:02', '1', null, null, null, '1590639495596871680', '刘芳芳', '0', '1626515799864905728');
INSERT INTO `order_flow_info` VALUES ('1626515856248934400', 'SCXJ1626512512981798913', 'TKLS1626515856248934401', '1623944808060030976', '测试支付失败', '2', '1.09', '0.00', '15838150111', '110101198603074126', '1323441314733363200', '河南省分公司本部', '1366299625929183232', '运营管理部', '6', '2023-02-17 17:36:14', '1', null, null, null, '1590639495596871680', '刘芳芳', '0', '1626515848883736576');

-- ----------------------------
-- Table structure for pay_operate_log
-- ----------------------------
DROP TABLE IF EXISTS `pay_operate_log`;
CREATE TABLE `pay_operate_log` (
  `id` bigint(19) NOT NULL COMMENT '主键id',
  `className` varchar(1024) DEFAULT NULL COMMENT '请求类名',
  `methods` varchar(255) DEFAULT NULL COMMENT '请求方法',
  `params` longtext COMMENT '参数',
  `result_info` longtext COMMENT '返回值',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `ip` varchar(20) DEFAULT NULL COMMENT 'ip',
  `user_id` bigint(19) DEFAULT NULL COMMENT '操作人',
  `user_name` varchar(50) DEFAULT NULL COMMENT '操作人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='通联支付日志 ';

-- ----------------------------
-- Records of pay_operate_log
-- ----------------------------

-- ----------------------------
-- Table structure for reconciliation_day
-- ----------------------------
DROP TABLE IF EXISTS `reconciliation_day`;
CREATE TABLE `reconciliation_day` (
  `id` bigint(20) NOT NULL,
  `day_time` datetime DEFAULT NULL COMMENT '对账日期',
  `num` int(10) DEFAULT NULL COMMENT '对账笔数',
  `money` bigint(20) DEFAULT NULL COMMENT '对账金额(分)',
  `state` int(2) DEFAULT NULL COMMENT '对账结果 0 正常 1 异常',
  `error_num` int(5) DEFAULT NULL COMMENT '异常数量',
  `note` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='每日对账';

-- ----------------------------
-- Records of reconciliation_day
-- ----------------------------

-- ----------------------------
-- Table structure for reconciliation_day_dettails
-- ----------------------------
DROP TABLE IF EXISTS `reconciliation_day_dettails`;
CREATE TABLE `reconciliation_day_dettails` (
  `id` bigint(20) NOT NULL,
  `pid` bigint(20) DEFAULT NULL,
  `day_time` datetime DEFAULT NULL COMMENT '对账日期',
  `order_no` varchar(50) DEFAULT NULL,
  `water_no` bigint(32) DEFAULT NULL COMMENT '流水号',
  `order_money` bigint(20) DEFAULT NULL COMMENT '订单金额',
  `order_type` int(5) DEFAULT NULL COMMENT '交易类型 1 入账 2 退款',
  `error_note` varchar(255) DEFAULT NULL COMMENT '异常说明',
  `state` int(5) DEFAULT NULL COMMENT '状态 0 未处理 1 已处理 3 正常',
  `note` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='每日对账明细';

-- ----------------------------
-- Records of reconciliation_day_dettails
-- ----------------------------

-- ----------------------------
-- Table structure for sys_appraise
-- ----------------------------
DROP TABLE IF EXISTS `sys_appraise`;
CREATE TABLE `sys_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `pid` bigint(20) DEFAULT '0' COMMENT '上级id',
  `lv` smallint(1) DEFAULT '1' COMMENT '层级',
  `state` smallint(1) DEFAULT NULL COMMENT '状态（0、禁用  1、启用）',
  `code` varchar(20) DEFAULT NULL COMMENT '系统编号（001001001）方式',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1讲师评论 2其他评论3文本评论',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='满意度评价项';

-- ----------------------------
-- Records of sys_appraise
-- ----------------------------
INSERT INTO `sys_appraise` VALUES ('1321323823815069696', '0', '1', '1', '003', '课程内容规划（集中，在线，课程）', '3', '2', '2020-10-28 13:32:03');
INSERT INTO `sys_appraise` VALUES ('1321324108042080256', '1321323823815069696', '2', '1', '003001', '课程框架清晰合理、层次分明？', '1', '2', '2020-10-28 13:33:11');
INSERT INTO `sys_appraise` VALUES ('1321324136366215168', '1321323823815069696', '2', '1', '003002', '课程内容有理论基础、有工具方法？', '2', '2', '2020-10-28 13:33:18');
INSERT INTO `sys_appraise` VALUES ('1321324184546185216', '1321323823815069696', '2', '1', '003003', '课程案例丰富、生动、贴切？', '3', '2', '2020-10-28 13:33:29');
INSERT INTO `sys_appraise` VALUES ('1321324451693989888', '0', '1', '1', '004', '讲师课堂呈现（集中，在线，课程）', '2', '2', '2020-10-28 13:34:33');
INSERT INTO `sys_appraise` VALUES ('1321324543578607616', '1321324451693989888', '2', '0', '004001', '讲师的知识底蕴和实战经验？', '1', '2', '2020-10-28 13:34:55');
INSERT INTO `sys_appraise` VALUES ('1321324610318372864', '1321324451693989888', '2', '1', '004002', '讲师的知识底蕴和实战经验？', '2', '2', '2020-10-28 13:35:11');
INSERT INTO `sys_appraise` VALUES ('1321324714920120320', '1321324451693989888', '2', '1', '004003', '综合本次老师授课表现，可评', '3', '2', '2020-10-28 13:35:36');
INSERT INTO `sys_appraise` VALUES ('1321325536127094784', '0', '1', '0', '005', '讲师星级评价项目', '3', '1', '2020-10-28 13:38:52');
INSERT INTO `sys_appraise` VALUES ('1321325606176165888', '0', '1', '0', '006', '课程星级评价', '4', '1', '2020-10-28 13:39:08');
INSERT INTO `sys_appraise` VALUES ('1321326802987257856', '1321325536127094784', '2', '0', '005001', '讲师的知识底蕴和实战经验丰富', '1', '1', '2020-10-28 13:43:54');
INSERT INTO `sys_appraise` VALUES ('1321327010269761536', '1321325536127094784', '2', '0', '005002', '讲师的授课表达', '2', '1', '2020-10-28 13:44:43');
INSERT INTO `sys_appraise` VALUES ('1321327165031190528', '1321325536127094784', '2', '0', '005003', '讲师的进度控制能力，学员接受程度', '3', '1', '2020-10-28 13:45:20');
INSERT INTO `sys_appraise` VALUES ('1321327236615376896', '1321325606176165888', '2', '0', '006001', '课程框架清晰合理、层次分明', '1', '1', '2020-10-28 13:45:37');
INSERT INTO `sys_appraise` VALUES ('1321327445466550272', '1321325606176165888', '2', '0', '006002', '课程内容清晰明了', '2', '1', '2020-10-28 13:46:27');
INSERT INTO `sys_appraise` VALUES ('1328167261982298112', '1328167195804569600', '2', '1', '007001', '课程框架清晰合理、层次分明', '1', '1', '2020-11-16 10:45:26');
INSERT INTO `sys_appraise` VALUES ('1328167321688215552', '1328167195804569600', '2', '1', '007002', '课程内容有理论基础、有工具方法', '2', '1', '2020-11-16 10:45:40');
INSERT INTO `sys_appraise` VALUES ('1328167381826146304', '1328167195804569600', '2', '1', '007003', '课程案例丰富、生动、贴切', '3', '1', '2020-11-16 10:45:55');
INSERT INTO `sys_appraise` VALUES ('1328167579864403968', '0', '1', '1', '008', '您对该讲师的课堂呈现感受如何：', '2', '1', '2020-11-16 10:46:42');
INSERT INTO `sys_appraise` VALUES ('1328167709514534912', '1328167579864403968', '2', '1', '008001', '讲师的知识底蕴和实战经验', '1', '1', '2020-11-16 10:47:13');
INSERT INTO `sys_appraise` VALUES ('1328167757052776448', '1328167579864403968', '2', '1', '008002', '讲师的授课表达、气氛调动、进度控制能力', '2', '1', '2020-11-16 10:47:24');
INSERT INTO `sys_appraise` VALUES ('1328167952738029568', '0', '1', '1', '009', '您对该讲师的整体感受', '3', '1', '2020-11-16 10:48:11');
INSERT INTO `sys_appraise` VALUES ('1328168077787009024', '1328167952738029568', '2', '1', '009001', '综合本次讲师授课表现，可评', '1', '1', '2020-11-16 10:48:41');
INSERT INTO `sys_appraise` VALUES ('1328168301632819200', '1328168227750154240', '2', '0', '010001', '您的回答：', '1', '2', '2020-11-16 10:49:34');
INSERT INTO `sys_appraise` VALUES ('1344181579710337024', '0', '1', '0', '011', '请对本次培训班的培训管理（需求对接、物料供应、现场组织、协调保障)进行评价', '1', '1', '2020-12-30 15:20:37');
INSERT INTO `sys_appraise` VALUES ('1344182180087205888', '0', '1', '1', '012', '您对培训中心教育培训保障工作作何评价', '1', '1', '2020-12-30 15:23:00');
INSERT INTO `sys_appraise` VALUES ('1344183020835442688', '0', '1', '0', '013', '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2', '2020-12-30 15:26:21');
INSERT INTO `sys_appraise` VALUES ('1344183095041069056', '0', '1', '1', '014', '下次再有此类培训，您最想学习什么课程？', '5', '2', '2020-12-30 15:26:38');
INSERT INTO `sys_appraise` VALUES ('1344188119724986368', '0', '1', '1', '015', '请对新冠肺炎疫情防控工作情况加以评价', '2', '1', '2020-12-30 15:46:36');
INSERT INTO `sys_appraise` VALUES ('1344188531655970816', '0', '1', '1', '016', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '2', '2020-12-30 15:48:14');
INSERT INTO `sys_appraise` VALUES ('1344224183994945536', '1344183020835442688', '2', '0', '013001', '您的回答', '1', '2', '2020-12-30 18:09:55');
INSERT INTO `sys_appraise` VALUES ('1344224248092299264', '1344188531655970816', '2', '1', '016001', '您的回答', '1', '2', '2020-12-30 18:10:10');
INSERT INTO `sys_appraise` VALUES ('1344224284482080768', '1344183095041069056', '2', '1', '014001', '您的回答', '1', '2', '2020-12-30 18:10:19');
INSERT INTO `sys_appraise` VALUES ('1344224456209469440', '1344188119724986368', '2', '1', '015001', '高度重视  预案完备', '1', '1', '2020-12-30 18:11:00');
INSERT INTO `sys_appraise` VALUES ('1344224505442209792', '1344188119724986368', '2', '1', '015002', '措施得当  流程明晰', '2', '1', '2020-12-30 18:11:11');
INSERT INTO `sys_appraise` VALUES ('1344224623612530688', '1344182180087205888', '2', '1', '012001', '培训管理', '1', '1', '2020-12-30 18:11:39');
INSERT INTO `sys_appraise` VALUES ('1344224662040743936', '1344182180087205888', '2', '1', '012002', '会场服务', '2', '1', '2020-12-30 18:11:49');
INSERT INTO `sys_appraise` VALUES ('1344224691488952320', '1344182180087205888', '2', '1', '012003', '前台服务', '3', '1', '2020-12-30 18:11:56');
INSERT INTO `sys_appraise` VALUES ('1344224724938526720', '1344182180087205888', '2', '1', '012004', '就餐服务', '4', '1', '2020-12-30 18:12:04');
INSERT INTO `sys_appraise` VALUES ('1344224768479596544', '1344182180087205888', '2', '1', '012005', '客房服务', '5', '1', '2020-12-30 18:12:14');
INSERT INTO `sys_appraise` VALUES ('1348828817044672512', '0', '1', '1', '017', '请对课程内容进行评价', '1', '1', '2021-01-12 11:07:05');
INSERT INTO `sys_appraise` VALUES ('1348830156625678336', '1348828817044672512', '2', '1', '017001', '课程框架清晰合理、层次分明', '1', '1', '2021-01-12 11:12:24');
INSERT INTO `sys_appraise` VALUES ('1348830208727322624', '1348828817044672512', '2', '0', '017002', '讲师的知识底蕴和实战经验', '2', '1', '2021-01-12 11:12:36');
INSERT INTO `sys_appraise` VALUES ('1348830410741780480', '1348828817044672512', '2', '1', '017003', '对课程整体进行评价', '3', '1', '2021-01-12 11:13:25');
INSERT INTO `sys_appraise` VALUES ('1348831889896640512', '0', '1', '1', '018', '请对课程讲师进行评价', '1', '1', '2021-01-12 11:19:17');
INSERT INTO `sys_appraise` VALUES ('1348832090317262848', '1348831889896640512', '2', '1', '018001', '对授课讲师进行打分', '3', '1', '2021-01-12 11:20:05');
INSERT INTO `sys_appraise` VALUES ('1349179796382420992', '1348831889896640512', '2', '1', '018002', '讲师的知识底蕴和实战经验', '1', '1', '2021-01-13 10:21:45');
INSERT INTO `sys_appraise` VALUES ('1349179967585521664', '1348831889896640512', '2', '1', '018003', '讲师的授课表达', '2', '1', '2021-01-13 10:22:25');
INSERT INTO `sys_appraise` VALUES ('1364474417069035520', '0', '1', '1', '019', '请对楚序平老师授课情况进行评价？', '1', '1', '2021-02-24 15:17:06');
INSERT INTO `sys_appraise` VALUES ('1364474802223583232', '1364474417069035520', '2', '1', '019001', '讲师的教学准备和教学态度', '1', '1', '2021-02-24 15:18:38');
INSERT INTO `sys_appraise` VALUES ('1364474846473490432', '1364474417069035520', '2', '1', '019002', '讲师的知识底蕴和授课表达', '2', '1', '2021-02-24 15:18:49');
INSERT INTO `sys_appraise` VALUES ('1364474933895368704', '1364474417069035520', '2', '1', '019003', '授课讲师的综合评分', '3', '1', '2021-02-24 15:19:10');
INSERT INTO `sys_appraise` VALUES ('1564816448491229184', '0', '1', '0', '020', '测试添加第一级评价项', '1', '2', '2022-08-31 11:24:49');
INSERT INTO `sys_appraise` VALUES ('1564816556842684416', '0', '1', '0', '021', '测试添加一级评价项', '1', '2', '2022-08-31 11:25:15');
INSERT INTO `sys_appraise` VALUES ('1565162450217734144', '1564816448491229184', '2', '0', '020001', '测试添加评价项', '100', '2', '2022-09-01 10:19:42');
INSERT INTO `sys_appraise` VALUES ('1572896214570110976', '0', '1', '1', '022', '讲师', '1', '1', '2022-09-22 18:30:55');
INSERT INTO `sys_appraise` VALUES ('1572896276176048128', '1572896214570110976', '2', '1', '022001', '讲师的知识底蕴和实战经验？	', '1', '1', '2022-09-22 18:31:10');
INSERT INTO `sys_appraise` VALUES ('1572896329015889920', '1572896214570110976', '2', '1', '022002', '讲师的授课表达、气氛调动、进度控制能力？	', '2', '1', '2022-09-22 18:31:22');
INSERT INTO `sys_appraise` VALUES ('1584367499007365120', '0', '1', '1', '023', '老师讲的怎么样', '1', '1', '2022-10-24 10:13:43');
INSERT INTO `sys_appraise` VALUES ('1584367653420666880', '1584367499007365120', '2', '1', '023001', '讲的生动', '1', '1', '2022-10-24 10:14:19');
INSERT INTO `sys_appraise` VALUES ('1584367699662868480', '1584367499007365120', '2', '1', '023002', '讲的疼', '2', '1', '2022-10-24 10:14:30');
INSERT INTO `sys_appraise` VALUES ('1584367742016950272', '1584367499007365120', '2', '1', '023003', '讲的难吃', '3', '1', '2022-10-24 10:14:40');
INSERT INTO `sys_appraise` VALUES ('1584367855888109568', '0', '1', '1', '024', '其他怎么么样', '2', '2', '2022-10-24 10:15:08');
INSERT INTO `sys_appraise` VALUES ('1584368207127515136', '1584367855888109568', '2', '0', '024001', '好看吗', '1', '2', '2022-10-24 10:16:31');
INSERT INTO `sys_appraise` VALUES ('1584368237192286208', '1584367855888109568', '2', '0', '024002', '好吃吗', '2', '2', '2022-10-24 10:16:39');
INSERT INTO `sys_appraise` VALUES ('1584368513433341952', '0', '1', '1', '025', '文本评价怎么样', '3', '3', '2022-10-24 10:17:44');
INSERT INTO `sys_appraise` VALUES ('1584368644455010304', '1584368513433341952', '2', '0', '025001', '文本够用吗', '1', '3', '2022-10-24 10:18:16');
INSERT INTO `sys_appraise` VALUES ('1584368705125617664', '1584368513433341952', '2', '0', '025002', '文本需要买吗', '2', '3', '2022-10-24 10:18:30');
INSERT INTO `sys_appraise` VALUES ('1589099016937934848', '0', '1', '1', '026', '讲师教的怎么样子', '2', '1', '2022-11-06 11:35:04');
INSERT INTO `sys_appraise` VALUES ('1589099149234671616', '1589099016937934848', '2', '1', '026001', '听不懂', '1', '1', '2022-11-06 11:35:36');
INSERT INTO `sys_appraise` VALUES ('1589099212786765824', '1589099016937934848', '2', '1', '026002', '方言成都', '2', '1', '2022-11-06 11:35:51');
INSERT INTO `sys_appraise` VALUES ('1589099269959323648', '1589099016937934848', '2', '1', '026003', '爱睡觉', '3', '1', '2022-11-06 11:36:05');
INSERT INTO `sys_appraise` VALUES ('1589099302150606848', '1589099016937934848', '2', '1', '026004', '爱大人', '4', '1', '2022-11-06 11:36:12');
INSERT INTO `sys_appraise` VALUES ('1589099570825138176', '0', '1', '1', '027', '其他怎么样222222', '2', '2', '2022-11-06 11:37:16');
INSERT INTO `sys_appraise` VALUES ('1589099643948634112', '1589099570825138176', '2', '1', '027001', '今天饭好吃吗', '1', '2', '2022-11-06 11:37:34');
INSERT INTO `sys_appraise` VALUES ('1589099675934396416', '1589099570825138176', '2', '1', '027002', '今天水好喝吗', '2', '2', '2022-11-06 11:37:41');
INSERT INTO `sys_appraise` VALUES ('1589099721115439104', '1589099570825138176', '2', '1', '027003', '今天的牛好吃吗', '4', '2', '2022-11-06 11:37:52');
INSERT INTO `sys_appraise` VALUES ('1589099780213182464', '1589099570825138176', '2', '1', '027004', '今天的羊肉好吵', '3', '2', '2022-11-06 11:38:06');
INSERT INTO `sys_appraise` VALUES ('1596389424969682944', '0', '1', '1', '028', '讲师1', '1', '1', '2022-11-26 14:24:33');
INSERT INTO `sys_appraise` VALUES ('1596390179264925696', '1596389424969682944', '2', '1', '028001', '讲师讲的怎么样', '1', '1', '2022-11-26 14:27:33');
INSERT INTO `sys_appraise` VALUES ('1596390266204459008', '1596389424969682944', '2', '1', '028002', '讲师作业多吗', '2', '1', '2022-11-26 14:27:54');
INSERT INTO `sys_appraise` VALUES ('1596390705826238464', '0', '1', '1', '029', '其他1', '1', '2', '2022-11-26 14:29:38');
INSERT INTO `sys_appraise` VALUES ('1596390779054592000', '1596390705826238464', '2', '1', '029001', '其他住宿好吗', '1', '2', '2022-11-26 14:29:56');
INSERT INTO `sys_appraise` VALUES ('1596390836604637184', '1596390705826238464', '2', '1', '029002', '其他吃的好吗', '2', '2', '2022-11-26 14:30:10');
INSERT INTO `sys_appraise` VALUES ('1596390909568749568', '0', '1', '1', '030', '文本1', '1', '3', '2022-11-26 14:30:27');
INSERT INTO `sys_appraise` VALUES ('1596390985187856384', '1596390909568749568', '2', '1', '030001', '文本写的多吗', '1', '3', '2022-11-26 14:30:45');
INSERT INTO `sys_appraise` VALUES ('1596391017861484544', '1596390909568749568', '2', '1', '030002', '文本写的清楚吗', '2', '3', '2022-11-26 14:30:53');

-- ----------------------------
-- Table structure for sys_appraise_template
-- ----------------------------
DROP TABLE IF EXISTS `sys_appraise_template`;
CREATE TABLE `sys_appraise_template` (
  `id` bigint(20) NOT NULL,
  `template_id` bigint(20) DEFAULT NULL COMMENT '模板id',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `seq` smallint(3) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='评价项模板';

-- ----------------------------
-- Records of sys_appraise_template
-- ----------------------------
INSERT INTO `sys_appraise_template` VALUES ('1339768331481255936', '1339768331443507200', '1328167579864403968', '1');
INSERT INTO `sys_appraise_template` VALUES ('1339768331481255937', '1339768331443507200', '1328167952738029568', '2');
INSERT INTO `sys_appraise_template` VALUES ('1339768519428018177', '1339768519428018176', '1328167195804569600', '1');
INSERT INTO `sys_appraise_template` VALUES ('1339768519428018178', '1339768519428018176', '1328168227750154240', '2');
INSERT INTO `sys_appraise_template` VALUES ('1344188590120374272', '1344182576977416192', '1344182180087205888', '1');
INSERT INTO `sys_appraise_template` VALUES ('1344188590120374273', '1344182576977416192', '1344183020835442688', '3');
INSERT INTO `sys_appraise_template` VALUES ('1344188590120374274', '1344182576977416192', '1344183095041069056', '4');
INSERT INTO `sys_appraise_template` VALUES ('1344188590120374275', '1344182576977416192', '1344188119724986368', '2');
INSERT INTO `sys_appraise_template` VALUES ('1344188590120374276', '1344182576977416192', '1344188531655970816', '5');
INSERT INTO `sys_appraise_template` VALUES ('1364475190813265920', '1364475190809071616', '1364474417069035520', '1');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707520', '1564869286571413504', '1344182180087205888', '1');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707521', '1564869286571413504', '1348828817044672512', '2');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707522', '1564869286571413504', '1348831889896640512', '3');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707523', '1564869286571413504', '1364474417069035520', '4');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707524', '1564869286571413504', '1321324451693989888', '5');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707525', '1564869286571413504', '1328167579864403968', '6');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707526', '1564869286571413504', '1344188119724986368', '7');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707527', '1564869286571413504', '1321323823815069696', '8');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707528', '1564869286571413504', '1328167952738029568', '9');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707529', '1564869286571413504', '1344183020835442688', '10');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707530', '1564869286571413504', '1344188531655970816', '11');
INSERT INTO `sys_appraise_template` VALUES ('1566976616905707531', '1564869286571413504', '1344183095041069056', '12');
INSERT INTO `sys_appraise_template` VALUES ('1573209844385714176', '1570614491744440320', '1328167579864403968', '2');
INSERT INTO `sys_appraise_template` VALUES ('1573209844385714177', '1570614491744440320', '1344188119724986368', '2');
INSERT INTO `sys_appraise_template` VALUES ('1573209844385714178', '1570614491744440320', '1344183020835442688', '4');
INSERT INTO `sys_appraise_template` VALUES ('1573209844385714179', '1570614491744440320', '1344183095041069056', '5');
INSERT INTO `sys_appraise_template` VALUES ('1574932652119691264', '1555075456468914176', '1344182180087205888', '1');
INSERT INTO `sys_appraise_template` VALUES ('1574932652123885568', '1555075456468914176', '1348828817044672512', '1');
INSERT INTO `sys_appraise_template` VALUES ('1574932652123885569', '1555075456468914176', '1348831889896640512', '1');
INSERT INTO `sys_appraise_template` VALUES ('1574932652123885570', '1555075456468914176', '1364474417069035520', '1');
INSERT INTO `sys_appraise_template` VALUES ('1574932652123885571', '1555075456468914176', '1321324451693989888', '2');
INSERT INTO `sys_appraise_template` VALUES ('1574932652123885572', '1555075456468914176', '1328167579864403968', '2');
INSERT INTO `sys_appraise_template` VALUES ('1574932652123885573', '1555075456468914176', '1344188119724986368', '2');
INSERT INTO `sys_appraise_template` VALUES ('1575402486456520704', '1575402486452326400', '1321325536127094784', '1');
INSERT INTO `sys_appraise_template` VALUES ('1584369296199520256', '1584369052669841408', '1584367855888109568', '2');
INSERT INTO `sys_appraise_template` VALUES ('1584369296199520257', '1584369052669841408', '1584368513433341952', '3');
INSERT INTO `sys_appraise_template` VALUES ('1584369296199520258', '1584369052669841408', '1584367499007365120', '1');
INSERT INTO `sys_appraise_template` VALUES ('1589100032395710464', '1589100032391516160', '1584367499007365120', '1');
INSERT INTO `sys_appraise_template` VALUES ('1589100032395710465', '1589100032391516160', '1589099016937934848', '2');
INSERT INTO `sys_appraise_template` VALUES ('1589100032395710466', '1589100032391516160', '1584367855888109568', '3');
INSERT INTO `sys_appraise_template` VALUES ('1589100032395710467', '1589100032391516160', '1584368513433341952', '5');
INSERT INTO `sys_appraise_template` VALUES ('1589100032395710468', '1589100032391516160', '1589099570825138176', '4');
INSERT INTO `sys_appraise_template` VALUES ('1589100932489154561', '1589100932489154560', '1584367499007365120', '1');
INSERT INTO `sys_appraise_template` VALUES ('1589100932489154562', '1589100932489154560', '1589099016937934848', '2');
INSERT INTO `sys_appraise_template` VALUES ('1589100932489154563', '1589100932489154560', '1584367855888109568', '3');
INSERT INTO `sys_appraise_template` VALUES ('1589100932489154564', '1589100932489154560', '1589099570825138176', '4');
INSERT INTO `sys_appraise_template` VALUES ('1589100932489154565', '1589100932489154560', '1584368513433341952', '5');
INSERT INTO `sys_appraise_template` VALUES ('1596391319201255424', '1596391319188672512', '1596389424969682944', '1');
INSERT INTO `sys_appraise_template` VALUES ('1596391319201255425', '1596391319188672512', '1596390705826238464', '2');
INSERT INTO `sys_appraise_template` VALUES ('1596391319201255426', '1596391319188672512', '1596390909568749568', '3');

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `pid` bigint(20) DEFAULT '0' COMMENT '上级id',
  `name` varchar(20) DEFAULT '' COMMENT '名称',
  `code` varchar(30) DEFAULT '' COMMENT '编号',
  `lv` smallint(1) DEFAULT '1' COMMENT '层级',
  `is_default` smallint(1) DEFAULT '0' COMMENT '是否默认：0、否。1、是。',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  `state` smallint(1) DEFAULT '1' COMMENT '状态：0、禁用。1、启用。',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='数据字典';

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES ('1295999624846381056', '0', '会议室', 'space_type', '1', '1', '0', '1', '2020-08-19 16:22:44');
INSERT INTO `sys_dict` VALUES ('1295999709948809216', '0', '报告厅', 'space_type', '1', '1', '0', '1', '2020-08-19 16:23:04');
INSERT INTO `sys_dict` VALUES ('1295999755511533568', '0', '教室', 'space_type', '1', '1', '0', '1', '2020-08-19 16:23:15');
INSERT INTO `sys_dict` VALUES ('1295999814634442752', '0', '多媒体教室', 'space_type', '1', '1', '0', '1', '2020-08-19 16:23:29');
INSERT INTO `sys_dict` VALUES ('1296036007212355584', '0', '投影', 'assets_type', '1', '1', '0', '1', '2020-08-19 18:47:18');
INSERT INTO `sys_dict` VALUES ('1296036033879740416', '0', '电脑', 'assets_type', '1', '1', '0', '1', '2020-08-19 18:47:24');
INSERT INTO `sys_dict` VALUES ('1296036059091701760', '0', '相机', 'assets_type', '1', '1', '0', '1', '2020-08-19 18:47:30');
INSERT INTO `sys_dict` VALUES ('1296649558033567744', '0', '综合', 'tag', '1', '1', '6', '1', '2020-08-21 11:25:20');
INSERT INTO `sys_dict` VALUES ('1297778490627723264', '0', '省高级', 'trainer_lv_type', '1', '0', '3', '1', '2020-08-24 14:11:18');
INSERT INTO `sys_dict` VALUES ('1297778548014190592', '0', '省中级', 'trainer_lv_type', '1', '0', '4', '1', '2020-08-24 14:11:32');
INSERT INTO `sys_dict` VALUES ('1297778585549017088', '0', '省初级', 'trainer_lv_type', '1', '1', '5', '1', '2020-08-24 14:11:41');
INSERT INTO `sys_dict` VALUES ('1298863988939034624', '1', '餐费', 'fee_type', '1', '1', '4', '1', '2020-08-27 14:04:41');
INSERT INTO `sys_dict` VALUES ('1298864063874469888', '1', '住宿费', 'fee_type', '1', '1', '5', '1', '2020-08-27 14:04:59');
INSERT INTO `sys_dict` VALUES ('1298864118241038336', '1', '用品用具费', 'fee_type', '1', '0', '3', '1', '2020-08-27 14:05:12');
INSERT INTO `sys_dict` VALUES ('1298864915917967360', '1', '讲师费用', 'fee_type', '1', '0', '1', '1', '2020-08-27 14:08:22');
INSERT INTO `sys_dict` VALUES ('1298865061091217408', '1', '培训费', 'fee_type', '1', '0', '2', '1', '2020-08-27 14:08:57');
INSERT INTO `sys_dict` VALUES ('1298865185091620864', '1', '租车费', 'fee_type', '1', '0', '6', '1', '2020-08-27 14:09:27');
INSERT INTO `sys_dict` VALUES ('1298865608607272960', '1', '差旅费', 'fee_type', '1', '0', '7', '1', '2020-08-27 14:11:08');
INSERT INTO `sys_dict` VALUES ('1298866082022559744', '1', '考务费', 'fee_type', '1', '0', '8', '1', '2020-08-27 14:13:00');
INSERT INTO `sys_dict` VALUES ('1298866240240095232', '1', '讲师费用', 'fee_type', '1', '0', '9', '1', '2020-08-27 14:13:38');
INSERT INTO `sys_dict` VALUES ('1298866294451474432', '1', '内训师教酬', 'fee_type', '1', '0', '10', '1', '2020-08-27 14:13:51');
INSERT INTO `sys_dict` VALUES ('1298866334439968768', '1', '场地费', 'fee_type', '1', '0', '11', '1', '2020-08-27 14:14:01');
INSERT INTO `sys_dict` VALUES ('1298866374415880192', '1', '税款', 'fee_type', '1', '0', '12', '1', '2020-08-27 14:14:10');
INSERT INTO `sys_dict` VALUES ('1298866454891991040', '1', '资料费', 'fee_type', '1', '0', '13', '1', '2020-08-27 14:14:29');
INSERT INTO `sys_dict` VALUES ('1303670414500827136', '1', '其他方式', 'schedule_type', '1', '1', '9', '1', '2020-09-09 20:23:42');
INSERT INTO `sys_dict` VALUES ('1303670472780681216', '1', '普通授课', 'schedule_type', '1', '1', '1', '1', '2020-09-09 20:23:56');
INSERT INTO `sys_dict` VALUES ('1303670515768102912', '1', '开班典礼', 'schedule_type', '1', '1', '3', '1', '2020-09-09 20:24:07');
INSERT INTO `sys_dict` VALUES ('1303670559304978432', '1', '互动教学', 'schedule_type', '1', '1', '4', '1', '2020-09-09 20:24:17');
INSERT INTO `sys_dict` VALUES ('1303670608965537792', '1', '分组座谈', 'schedule_type', '1', '1', '5', '1', '2020-09-09 20:24:29');
INSERT INTO `sys_dict` VALUES ('1303670652116537344', '1', '班级测验', 'schedule_type', '1', '1', '6', '1', '2020-09-09 20:24:39');
INSERT INTO `sys_dict` VALUES ('1303670693405265920', '1', '参观教学', 'schedule_type', '1', '1', '7', '1', '2020-09-09 20:24:49');
INSERT INTO `sys_dict` VALUES ('1303670734673022976', '1', '上机操作', 'schedule_type', '1', '1', '8', '1', '2020-09-09 20:24:59');
INSERT INTO `sys_dict` VALUES ('1303670771951996928', '1', '文体活动', 'schedule_type', '1', '1', '2', '1', '2020-09-09 20:25:08');
INSERT INTO `sys_dict` VALUES ('1306529944599400448', '1', '插座', 'assets_type', '1', '1', '4', '1', '2020-09-17 17:46:28');
INSERT INTO `sys_dict` VALUES ('1308613243308216320', '1', '金融', 'tag', '1', '0', '1', '1', '2020-09-23 11:44:45');
INSERT INTO `sys_dict` VALUES ('1308613285268033536', '1', '寄递', 'tag', '1', '0', '2', '1', '2020-09-23 11:44:55');
INSERT INTO `sys_dict` VALUES ('1314808213308313600', '1', '其他', 'tag', '1', '1', '555', '0', '2020-10-10 14:01:21');
INSERT INTO `sys_dict` VALUES ('1316212061553954816', '1', '集团级', 'trainer_lv_type', '1', '0', '2', '1', '2020-10-14 10:59:44');
INSERT INTO `sys_dict` VALUES ('1321057054542139392', '1', '党建', 'tag', '1', '0', '5', '1', '2020-10-27 19:52:01');
INSERT INTO `sys_dict` VALUES ('1333570681039884288', '1', '渠道', 'tag', '1', '0', '3', '1', '2020-12-01 08:36:42');
INSERT INTO `sys_dict` VALUES ('1333573963065987072', '1', '邮务', 'tag', '1', '0', '4', '1', '2020-12-01 08:49:44');
INSERT INTO `sys_dict` VALUES ('1348526592028184576', '1', '机房', 'space_type', '1', '0', '7', '1', '2021-01-11 15:06:09');
INSERT INTO `sys_dict` VALUES ('1372305650406789120', '1', '邮政营业员', 'user_class_limit_type', '1', '0', '1', '1', '2021-03-18 05:55:38');
INSERT INTO `sys_dict` VALUES ('1372305676612800512', '1', '邮件分拣员', 'user_class_limit_type', '1', '0', '2', '1', '2021-03-18 05:55:44');
INSERT INTO `sys_dict` VALUES ('1372305700499361792', '1', '邮件转运员', 'user_class_limit_type', '1', '0', '3', '1', '2021-03-18 05:55:50');
INSERT INTO `sys_dict` VALUES ('1372352800280940544', '1', '邮政投递员', 'user_class_limit_type', '1', '0', '4', '1', '2021-03-18 09:02:59');
INSERT INTO `sys_dict` VALUES ('1372352857663213568', '1', '邮政储汇业务员', 'user_class_limit_type', '1', '0', '5', '1', '2021-03-18 09:03:13');
INSERT INTO `sys_dict` VALUES ('1372352905411170304', '1', '报刊业务员', 'user_class_limit_type', '1', '0', '6', '1', '2021-03-18 09:03:24');
INSERT INTO `sys_dict` VALUES ('1372352984645767168', '1', '集邮业务员', 'user_class_limit_type', '1', '0', '7', '1', '2021-03-18 09:03:43');
INSERT INTO `sys_dict` VALUES ('1372353072084422656', '1', '邮政业务档案员', 'user_class_limit_type', '1', '0', '8', '1', '2021-03-18 09:04:04');
INSERT INTO `sys_dict` VALUES ('1372353132327211008', '1', '邮政机务员', 'user_class_limit_type', '1', '0', '9', '1', '2021-03-18 09:04:18');
INSERT INTO `sys_dict` VALUES ('1372353193878622208', '1', '邮政业务营销员', 'user_class_limit_type', '1', '0', '10', '1', '2021-03-18 09:04:33');
INSERT INTO `sys_dict` VALUES ('1372353374686679040', '1', '机要业务员', 'user_class_limit_type', '1', '0', '11', '1', '2021-03-18 09:05:16');
INSERT INTO `sys_dict` VALUES ('1372353424552759296', '1', '速递业务员', 'user_class_limit_type', '1', '0', '12', '1', '2021-03-18 09:05:28');
INSERT INTO `sys_dict` VALUES ('1372353524180062208', '1', '通信信息业务员', 'user_class_limit_type', '1', '0', '13', '1', '2021-03-18 09:05:52');
INSERT INTO `sys_dict` VALUES ('1372353593159585792', '1', '邮政物品配送员', 'user_class_limit_type', '1', '0', '14', '1', '2021-03-18 09:06:08');
INSERT INTO `sys_dict` VALUES ('1372353646964117504', '1', '汽车驾驶员', 'user_class_limit_type', '1', '0', '15', '1', '2021-03-18 09:06:21');
INSERT INTO `sys_dict` VALUES ('1372353706258993152', '1', '其他通用职业', 'user_class_limit_type', '1', '0', '16', '1', '2021-03-18 09:06:35');
INSERT INTO `sys_dict` VALUES ('1561987268422537216', '1', '操作手册', 'material_type', '1', '0', '1', '1', '2022-08-23 16:02:40');
INSERT INTO `sys_dict` VALUES ('1561987333425860608', '1', 'ppt', 'material_type', '1', '0', '2', '1', '2022-08-23 16:02:55');
INSERT INTO `sys_dict` VALUES ('1566977877541523456', '1', '金融', 'supplier_trade', '1', '0', '1', '1', '2022-09-06 10:33:34');
INSERT INTO `sys_dict` VALUES ('1566977937771728896', '1', '寄递', 'supplier_trade', '1', '0', '2', '1', '2022-09-06 10:33:48');
INSERT INTO `sys_dict` VALUES ('1566978032755937280', '1', '粮食', 'supplier_trade', '1', '0', '3', '1', '2022-09-06 10:34:11');
INSERT INTO `sys_dict` VALUES ('1566978072358555648', '1', '能源', 'supplier_trade', '1', '0', '4', '1', '2022-09-06 10:34:20');
INSERT INTO `sys_dict` VALUES ('1566978151446351872', '1', '新能源', 'supplier_trade', '1', '0', '5', '1', '2022-09-06 10:34:39');
INSERT INTO `sys_dict` VALUES ('1566978228537659392', '1', '人工智能', 'supplier_trade', '1', '0', '6', '1', '2022-09-06 10:34:57');
INSERT INTO `sys_dict` VALUES ('1566978271638327296', '1', '软件', 'supplier_trade', '1', '0', '7', '1', '2022-09-06 10:35:08');
INSERT INTO `sys_dict` VALUES ('1567707770617204736', '1', '课程质量', 'supplier_evaluate_type', '1', '0', '1', '1', '2022-09-08 10:53:54');
INSERT INTO `sys_dict` VALUES ('1567707811318730752', '1', '合作成本', 'supplier_evaluate_type', '1', '0', '2', '1', '2022-09-08 10:54:03');
INSERT INTO `sys_dict` VALUES ('1567707843015086080', '1', '服务水平', 'supplier_evaluate_type', '1', '0', '3', '1', '2022-09-08 10:54:11');
INSERT INTO `sys_dict` VALUES ('1567707874547861231', '1', '单人间', 'room', '1', '0', '-1', '1', '2022-09-14 15:48:49');
INSERT INTO `sys_dict` VALUES ('1567707874547863552', '1', '学员满意度', 'supplier_evaluate_type', '1', '0', '4', '1', '2022-09-08 10:54:19');
INSERT INTO `sys_dict` VALUES ('1567707874547863599', '1', '一楼', 'floor', '1', '0', '1', '1', '2022-09-14 15:38:38');
INSERT INTO `sys_dict` VALUES ('1592066223976353792', '1', '线上餐费', 'fee_type', '1', '0', '20', '1', '2022-11-14 16:05:42');
INSERT INTO `sys_dict` VALUES ('1592066276421931008', '1', '线下餐费', 'fee_type', '1', '0', '21', '1', '2022-11-14 16:05:54');
INSERT INTO `sys_dict` VALUES ('1603290792489783296', '1', '推荐', 'trainer_lv_type', '1', '0', '1', '1', '2022-12-15 15:28:07');
INSERT INTO `sys_dict` VALUES ('1638717332526338048', '1', '王涵,18539567909', 'Inside_the_training_center', '1', '0', '1', '1', '2023-03-23 09:40:33');
INSERT INTO `sys_dict` VALUES ('1638717426797514752', '1', '王涵,18532323232', 'outside_the_training_center', '1', '0', '999', '1', '2023-03-23 09:40:55');
INSERT INTO `sys_dict` VALUES ('1658291913788362752', '1', '营业人员', 'commit_post_type', '1', '0', '10', '1', '2023-05-16 10:02:56');
INSERT INTO `sys_dict` VALUES ('1658291959208480768', '1', '揽投人员', 'commit_post_type', '1', '0', '20', '1', '2023-05-16 10:03:07');
INSERT INTO `sys_dict` VALUES ('1658291995552124928', '1', '内务人员', 'commit_post_type', '1', '0', '30', '1', '2023-05-16 10:03:16');
INSERT INTO `sys_dict` VALUES ('1658292035276378112', '1', '机构负责人', 'commit_post_type', '1', '0', '40', '1', '2023-05-16 10:03:25');
INSERT INTO `sys_dict` VALUES ('1658292076145676288', '1', '营销人员', 'commit_post_type', '1', '0', '50', '1', '2023-05-16 10:03:35');
INSERT INTO `sys_dict` VALUES ('1658292129367199744', '1', '专业序列', 'commit_post_type', '1', '0', '60', '1', '2023-05-16 10:03:48');
INSERT INTO `sys_dict` VALUES ('1658292189555462144', '1', '管理序列', 'commit_post_type', '1', '0', '70', '1', '2023-05-16 10:04:02');
INSERT INTO `sys_dict` VALUES ('1658292230399594496', '1', '其他人员', 'commit_post_type', '1', '0', '80', '1', '2023-05-16 10:04:12');
INSERT INTO `sys_dict` VALUES ('1658292425648640000', '1', '合同工', 'commit_person_pro', '1', '0', '10', '1', '2023-05-16 10:04:59');
INSERT INTO `sys_dict` VALUES ('1658292462730481664', '1', '劳务工', 'commit_person_pro', '1', '0', '20', '1', '2023-05-16 10:05:07');
INSERT INTO `sys_dict` VALUES ('1658292506619678720', '1', '外包人员', 'commit_person_pro', '1', '0', '30', '0', '2023-05-16 10:05:18');
INSERT INTO `sys_dict` VALUES ('1658292556770971648', '1', '顶岗实习', 'commit_person_pro', '1', '0', '40', '1', '2023-05-16 10:05:30');
INSERT INTO `sys_dict` VALUES ('1673883616754667520', '1', '你好', 'tag', '1', '0', '11', '0', '2023-06-28 10:38:48');
INSERT INTO `sys_dict` VALUES ('1673885673591017472', '1', '金融22', 'tag', '1', '0', '13', '0', '2023-06-28 10:46:59');

-- ----------------------------
-- Table structure for sys_image
-- ----------------------------
DROP TABLE IF EXISTS `sys_image`;
CREATE TABLE `sys_image` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `NAME` varchar(32) DEFAULT NULL COMMENT '名称',
  `URL` json DEFAULT NULL COMMENT '路径',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态 0禁用1正常',
  `IS_SYSTEM` smallint(5) DEFAULT NULL COMMENT '是否系统默认 0否1是'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='系统背景图';

-- ----------------------------
-- Records of sys_image
-- ----------------------------
INSERT INTO `sys_image` VALUES ('1', '党建', '[{\"name\": \"党建.png\", \"path\": \"/train/BackImage/党建.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('2', '党建-1', '[{\"name\": \"党建-1.png\", \"path\": \"/train/BackImage/党建-1.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('3', '金融', '[{\"name\": \"金融.png\", \"path\": \"/train/BackImage/金融.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('4', '金融-1', '[{\"name\": \"金融-1.png\", \"path\": \"/train/BackImage/金融-1.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('5', '其他', '[{\"name\": \"其他.png\", \"path\": \"/train/BackImage/其他.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('6', '其他-1', '[{\"name\": \"其他-1.png\", \"path\": \"/train/BackImage/其他-1.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('7', '其他-2', '[{\"name\": \"其他-2.png\", \"path\": \"/train/BackImage/其他-2.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('8', '其他-3', '[{\"name\": \"其他-3.png\", \"path\": \"/train/BackImage/其他-3.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('9', '综合', '[{\"name\": \"综合.png\", \"path\": \"/train/BackImage/综合.png\", \"suffix\": \".png\"}]', null, null);
INSERT INTO `sys_image` VALUES ('10', '综合-1', '[{\"name\": \"综合-1.png\", \"path\": \"/train/BackImage/综合-1.png\", \"suffix\": \".png\"}]', null, null);

-- ----------------------------
-- Table structure for sys_login_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_login_log`;
CREATE TABLE `sys_login_log` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(10) DEFAULT NULL COMMENT '用户名',
  `login_ip` varchar(32) DEFAULT NULL COMMENT '登录ip',
  `login_name` varchar(50) DEFAULT NULL COMMENT '登录名',
  `login_type` smallint(1) DEFAULT NULL COMMENT '登录类别  1、pc  。2、app',
  `login_time` datetime DEFAULT NULL COMMENT '登录时间',
  `brower` varchar(50) DEFAULT NULL COMMENT '浏览器',
  `os` varchar(100) DEFAULT NULL COMMENT '操作系统',
  `state` smallint(1) DEFAULT NULL COMMENT '登录状态：0、失败。1、成功。',
  `msg` varchar(255) DEFAULT NULL COMMENT '信息 ',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='登录日志';

-- ----------------------------
-- Records of sys_login_log
-- ----------------------------
INSERT INTO `sys_login_log` VALUES ('126775500171070062', '1', '主宰', '127.0.0.1', 'super', '1', '2023-08-25 10:40:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('127065405000711799', '1', '主宰', '222.143.20.184', 'super', '1', '2023-09-21 11:04:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127337747428293991', '1', '主宰', '222.143.20.188', 'super', '1', '2023-09-21 18:38:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127374918651018571', '1', '主宰', '221.15.157.31', 'super', '1', '2023-09-21 19:40:42', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127851824022919765', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 08:55:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127857662903218314', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 09:05:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127888531420292669', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 09:56:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127932194996352536', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 11:09:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('127933741666881771', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 11:12:04', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('127935583380366122', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 11:15:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128029718034313461', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 13:52:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128037173994714347', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:04:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('128037260212609219', '1327473526785052672', '高志远', '221.15.152.3', '023479', '1', '2023-09-22 14:04:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128037533220793007', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:05:03', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128037687517058937', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:05:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128037996943483336', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:05:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128038076349465862', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:05:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('128038243347880419', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:06:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128038301533612313', '1327473526785052672', '高志远', '221.15.152.3', '023479', '1', '2023-09-22 14:06:20', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128038696583075398', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:07:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('128049376079027981', '1327473526785052672', '高志远', '221.15.152.3', '023479', '1', '2023-09-22 14:24:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('128049463956710672', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:24:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128050873351378468', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:27:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128051458559308733', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:28:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128052056519040661', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:29:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('128058023249656148', null, null, '221.15.156.155', null, '1', '2023-09-22 14:39:12', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('128058462662607109', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:39:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128059041877608685', '1', '主宰', '221.15.156.155', 'super', '1', '2023-09-22 14:40:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128066262596695213', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:52:56', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('128068089165135909', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 14:55:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128106839264995777', '1590543166828843008', '张磊', '221.15.152.3', '1004', '1', '2023-09-22 16:00:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128254668564702592', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-22 20:06:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128802052950210829', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-23 11:19:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128826534230611334', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-23 12:00:03', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128884627272949722', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-23 13:36:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('128960948621850569', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-23 15:44:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('129897519247927726', '1590543166828843008', '张磊', '223.88.126.73', '1004', '1', '2023-09-24 17:45:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 新乡 移动');
INSERT INTO `sys_login_log` VALUES ('130440257558711754', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 08:49:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('130617436956418427', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 13:44:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('130621458971993581', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 13:51:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('130622543177503085', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 13:53:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('130623829421973592', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 13:55:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('130634619995084627', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 14:13:32', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('130655652612418444', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-09-25 14:48:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('130733038813803026', '1590543166828843008', '张磊', '221.15.155.248', '1004', '1', '2023-09-25 16:57:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('131354900265747865', '1590543166828843008', '张磊', '120.245.102.221', '1004', '1', '2023-09-26 10:14:00', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('131355049107390187', '1590543166828843008', '张磊', '120.245.102.221', '1004', '1', '2023-09-26 10:14:15', 'Chrome', 'Windows', '1', '登录成功', '中国 北京 移动');
INSERT INTO `sys_login_log` VALUES ('131373920351846612', '1590543166828843008', '张磊', '221.15.157.188', '1004', '1', '2023-09-26 10:45:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('131481783849331562', '1590543166828843008', '张磊', '221.15.157.188', '1004', '1', '2023-09-26 13:45:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('131538648694095809', '1590543166828843008', '张磊', '221.15.157.188', '1004', '1', '2023-09-26 15:20:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('131684019508362078', '1590543166828843008', '张磊', '221.15.157.188', '1004', '1', '2023-09-26 19:22:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('171606422117940026', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-08-30 15:11:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('178487714598590096', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-08-31 10:18:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('178623278161220011', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-08-31 10:41:26', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('178627289659090095', '1', '主宰', '127.0.0.1', 'super', '1', '2023-08-31 10:42:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('179662562346050066', '1', '主宰', '127.0.0.1', 'super', '1', '2023-08-31 13:34:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('183840075751200552', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-15 14:47:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('242831670075300648', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 10:03:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('242839117289500679', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 10:03:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('242852877589600749', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 10:03:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('246223550234300746', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 10:59:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('246227948244100777', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 11:00:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('246232281414000856', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 11:00:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('246259134092600761', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 11:00:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('246296573477100385', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-21 11:01:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('329580621912200565', '1', '主宰', '127.0.0.1', 'super', '1', '2023-09-22 10:09:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('445014321851209531', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-10-03 14:04:52', 'Chrome', 'Mac', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('445019782627564854', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-10-03 14:04:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('445037685541279166', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-10-03 14:05:15', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('445046461028188572', '1', '主宰', '218.28.192.38', 'super', '1', '2023-10-03 14:05:24', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('511187651266100270', '1', '主宰', '127.0.0.1', 'super', '1', '2023-08-16 16:31:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('511191448387800546', '1', '主宰', '127.0.0.1', 'super', '1', '2023-08-16 16:31:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('511265576115400662', '1', '主宰', '127.0.0.1', 'super', '1', '2023-08-16 16:32:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('694808846863140308', '1', '主宰', '218.28.192.38', 'super', '1', '2023-10-06 11:28:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('694820102112903265', '1', '主宰', '218.28.192.38', 'super', '1', '2023-10-06 11:28:18', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('694958608686369906', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-10-06 11:30:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('703313094305695645', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-10-06 13:49:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('710830700506694935', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-10-06 15:55:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('794292913216997788', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-10-07 15:06:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('946564331559272916', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-10-09 09:24:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('949144878288844607', '1590543166828843008', '张磊', '183.242.38.176', '1004', '1', '2023-10-09 10:07:03', 'Chrome', 'Windows', '1', '登录成功', '中国 北京 移动');
INSERT INTO `sys_login_log` VALUES ('967719471523059768', '1', '主宰', '218.28.192.38', 'super', '1', '2023-10-09 15:16:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1546303198510321664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 09:19:46', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546303225756520448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 09:19:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546303702820851712', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 09:21:46', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546303743442685952', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 09:21:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546320707082915840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 10:29:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546336045782667264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:30:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546337581338333184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:36:24', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546337636539568128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:36:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546338185850785792', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:38:48', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546338209808650240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:38:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546338436795994112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:39:48', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546338477124227072', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 11:39:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546338528521228288', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 11:40:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546339099894484992', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:42:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546339388559069184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:43:34', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546339451213582336', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 11:43:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546340003620196352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:46:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546342001795010560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 11:53:58', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546342063828766720', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 11:54:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546342218833465344', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 11:54:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546367550999367680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 13:35:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546367643567656960', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 13:35:51', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546367708554203136', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:36:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546367788740907008', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:36:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546368002251952128', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:37:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546368036993372160', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:37:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546368553052147712', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:39:28', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546368752134787072', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:40:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546371532891230208', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:51:18', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546371611316326400', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:51:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546371620812230656', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:51:39', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546371660955914240', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:51:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546371670095302656', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:51:51', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546371820318494720', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:52:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546371829931839488', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:52:29', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546371930402197504', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:52:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546371940367863808', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:52:55', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546373170410426368', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 13:57:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546374053579853824', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:01:19', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546374281800323072', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:02:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546374777374117888', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:04:12', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546374961046884352', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:04:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546375358901784576', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:06:30', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546375538791288832', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:07:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546375595468918784', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:07:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546375623985991680', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:07:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546376360275087360', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:10:29', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546376435256659968', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:10:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546376759262449664', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:12:04', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546376874605809664', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:12:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546377422339969024', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:14:42', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546377558625488896', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:15:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546377947324223488', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:16:48', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546378091998351360', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:17:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546382168954114048', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:33:34', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546382342170480640', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:34:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546383572317900800', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:39:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546384077005918208', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:41:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546384208199553024', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:41:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546385494072496128', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:46:47', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546385713245851648', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:47:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546386141110996992', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:49:21', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546386195280433152', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:49:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546386204730200064', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:49:36', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546386237902950400', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:49:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546386247952502784', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:49:47', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546386439925796864', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:50:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546386449094545408', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:50:35', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546386956001349632', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:52:35', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1546387007368990720', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:52:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546387055502823424', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-11 14:52:59', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546387084619681792', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 14:53:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546387545850515456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 14:54:56', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546387590175920128', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 14:55:07', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1546387618743324672', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 14:55:13', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1546387666403201024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 14:55:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546387774863708160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 14:55:51', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546387837367226368', null, null, '127.0.0.1', null, '1', '2022-07-11 14:56:06', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1546387870464479232', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 14:56:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546388070100766720', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 14:57:01', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546388106482159616', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 14:57:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546390522871025664', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:06:46', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546390602835431424', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:07:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546390883778301952', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:08:12', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546390930205052928', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:08:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546390977919455232', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:08:34', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546391101206827008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 15:09:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546391175907381248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-11 15:09:22', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546391221436551168', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:09:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1546391297256984576', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:09:50', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1546391338348580864', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-11 15:10:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547051225927782400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-13 10:52:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547056979644649472', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-13 11:15:02', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547057039975518208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-13 11:15:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547057371019350016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-13 11:16:35', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547057742169116672', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-13 11:18:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547395953022078976', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 09:41:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547407177633894400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 10:26:35', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547407212966711296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 10:26:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547407320970039296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 10:27:09', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547407374636158976', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:27:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547407599350190080', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:28:16', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547407652890480640', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:28:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547407919971176448', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:29:32', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547408047213776896', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:30:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547408539499237376', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:32:00', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547409103226277888', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:34:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547410093555978240', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:38:10', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547410112828805120', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:38:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547410379607511040', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:39:19', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547410486268661760', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:39:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547410695249858560', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:40:34', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547410778422906880', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:40:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547413163199303680', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:50:22', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547413812607586304', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:52:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547414346768977920', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:55:04', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547414478134579200', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 10:55:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547415722458746880', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:00:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547416565262192640', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:03:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547416633344135168', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:04:10', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547416653015420928', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:04:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547417349857087488', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:07:00', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547417416739459072', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:07:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547417913621876736', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:09:15', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547417966579159040', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:09:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547419340041752576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 11:14:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547419416420028416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 11:15:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547419462557372416', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:15:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547419965357953024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 11:17:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547420415343857664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 11:19:11', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547420440337715200', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:19:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547426510191857664', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:43:24', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547426541238095872', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:43:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547426575878852608', '1328658341710401536', '张健', '127.0.0.1', '00001', '1', '2022-07-14 11:43:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547426628727083008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 11:43:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547426699422076928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-07-14 11:44:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547426744607313920', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:44:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547426831504904192', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:44:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547426881446481920', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:44:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547428461759565824', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:51:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547428513185927168', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:51:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1547428703225647104', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:52:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1547428768962973696', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-07-14 11:52:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555007638079672320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-04 09:48:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555009725840625664', '1', '主宰', '172.16.60.226', 'super', '1', '2022-08-04 09:56:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555009972771885056', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 09:57:23', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555018507593322496', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 10:31:18', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555020738635894784', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 10:40:10', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1555020939744382976', '1', '主宰', '172.16.60.209', 'super', '1', '2022-08-04 10:40:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555021049790337024', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 10:41:24', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555069776961867776', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 13:55:01', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555107166954852352', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 16:23:36', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555120536701505536', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 17:16:43', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555130000829714432', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 17:54:20', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555141671166021632', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 18:40:42', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1555166682077597696', '1', '主宰', '172.16.60.37', 'super', '1', '2022-08-04 20:20:05', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1556456140299177984', '1', '主宰', '172.16.60.154', 'super', '1', '2022-08-08 09:43:56', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1556514509672288256', '1', '主宰', '172.16.60.154', 'super', '1', '2022-08-08 13:35:52', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1556540504441753600', null, null, '172.16.60.154', null, '1', '2022-08-08 15:19:10', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1556541046874312704', '1', '主宰', '172.16.60.154', 'super', '1', '2022-08-08 15:21:19', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1556563305877868544', '1', '主宰', '172.16.60.154', 'super', '1', '2022-08-08 16:49:46', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1556580463060062208', '1', '主宰', '172.16.60.154', 'super', '1', '2022-08-08 17:57:57', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1557936071969476608', null, null, '172.16.60.209', null, '1', '2022-08-12 11:44:39', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1557936107084189696', '1', '主宰', '172.16.60.209', 'super', '1', '2022-08-12 11:44:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561910540496932864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 10:57:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561919842091667456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 11:34:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561965354547286016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 14:35:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561965878709456896', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 14:37:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561967636970082304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 14:44:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561968290836910080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 14:47:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561970851816017920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 14:57:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561972789198589952', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 15:05:08', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1561973568328306688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 15:08:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561974655772921856', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 15:12:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561974783955046400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 15:13:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561975021830803456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 15:14:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561980989696249856', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 15:37:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561987147987292160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:02:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561990604945231872', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:15:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561991198909009920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:18:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561991434838609920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:19:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561992108980703232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:21:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561992196452913152', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:22:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561992537391108096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:23:36', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561992620010508288', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:23:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561992828291256320', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:24:45', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561992898709426176', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:25:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561992962659979264', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:25:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561995042493698048', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:33:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561995056028717056', null, null, '127.0.0.1', null, '1', '2022-08-23 16:33:36', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1561995116925816832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:33:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561995516475215872', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:35:26', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561995812937011200', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:36:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561995843958083584', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:36:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561996034362707968', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:37:30', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561996431424884736', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:39:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561996484055011328', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:39:17', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1561996494326861824', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:39:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561996636274692096', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:39:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561997398786576384', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-23 16:42:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561997601170132992', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:43:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561998049818054656', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:45:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561998693983457280', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 16:48:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561998837780975616', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 16:48:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561999243638607872', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:50:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561999462484807680', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:51:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1561999548803584000', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:51:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562000053533544448', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:53:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562000278033666048', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 16:54:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562000292269133824', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-23 16:54:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562000334778404864', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 16:54:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562000482413711360', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-23 16:55:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562000888925655040', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:56:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562000994345291776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-23 16:57:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562001572068724736', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 16:59:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562001641828388864', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-23 16:59:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562004093378105344', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:09:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562004185556324352', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:09:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562005350343905280', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-23 17:14:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562005745271181312', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 17:16:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562005841811476480', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:16:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562006005116702720', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:17:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562006020140699648', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 17:17:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562007327010328576', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:22:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562007472766586880', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:22:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562007524608184320', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-23 17:23:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562007569143304192', '1561995446459699200', '李昊杰', '172.16.60.216', '003', '1', '2022-08-23 17:23:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562007643952910336', '1561995446459699200', '李昊杰', '172.16.60.216', '003', '1', '2022-08-23 17:23:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562007992042393600', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:25:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562008079405551616', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:25:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562008246150107136', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:26:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562008332544380928', '1328658341710401536', '张健', '172.16.60.82', '00001', '1', '2022-08-23 17:26:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562009427337416704', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-23 17:30:43', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1562009449453981696', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-23 17:30:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562011953805791232', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:40:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562012128230117376', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-23 17:41:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562012213198327808', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:41:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562012870538039296', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:44:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562013088121753600', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:45:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562013630512369664', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-23 17:47:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562014584724918272', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:51:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562015652389195776', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:55:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562015773931737088', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-23 17:55:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562015974234918912', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-23 17:56:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562019183842168832', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-23 18:09:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562240171947200512', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 08:47:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562246577920282624', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-24 09:13:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562249607558336512', '1', '主宰', '172.16.60.216', 'super', '1', '2022-08-24 09:25:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562250234682281984', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-24 09:27:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251003645005824', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-24 09:30:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251073983483904', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-24 09:30:56', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562251111316983808', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-24 09:31:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251240887422976', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-24 09:31:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251246679756800', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 09:31:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251272344702976', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-24 09:31:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251337780039680', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 09:31:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562251388464009216', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 09:32:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562253241725620224', '1', '主宰', '172.16.60.65', 'super', '1', '2022-08-24 09:39:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562254869027491840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-24 09:46:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562255200977293312', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-24 09:47:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562260996058386432', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:10:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562261079546007552', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:10:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562261220306849792', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:11:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562261538801324032', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:12:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562261637136781312', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:12:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562263233442746368', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:19:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562263978728624128', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 10:22:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562270167168323584', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-24 10:46:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562272389860036608', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 10:55:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562272411892715520', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 10:55:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562273797162274816', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 11:01:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562273886299623424', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 11:01:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562273902607077376', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 11:01:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562275634510696448', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 11:08:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562275658917351424', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 11:08:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562275830334361600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-24 11:09:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562279530738094080', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 11:24:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562314118361387008', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 13:41:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562314934656831488', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 13:44:41', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562315056677523456', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:45:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562315128265904128', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:45:28', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562315183924318208', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:45:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562315204770009088', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:45:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562315518956933120', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 13:47:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316086832140288', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:49:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316110592872448', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:49:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316551963676672', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:51:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316621152915456', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:51:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316637791719424', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:51:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316820529156096', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 13:52:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562316930956791808', '1', '主宰', '172.16.60.27', 'super', '1', '2022-08-24 13:52:37', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562316964246982656', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 13:52:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562317269332267008', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-24 13:53:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562328657651961856', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-24 14:39:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562349757668659200', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-24 16:03:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562366118625153024', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-24 17:08:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562370161699328000', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-24 17:24:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562371602560192512', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-24 17:29:52', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562371644570341376', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:30:02', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562371674408620032', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:30:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562371788573380608', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:30:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562371830856159232', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:30:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562371911302909952', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:31:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562372301859721216', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:32:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562372552049954816', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:33:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562374244619390976', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:40:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562374446193446912', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:41:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562374463507533824', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:41:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562374847668031488', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:42:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562376254534062080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-24 17:48:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562376408737648640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-24 17:48:58', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562376462290522112', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-24 17:49:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562606883355889664', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-25 09:04:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562609060262580224', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 09:13:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562611684533735424', '1561995446459699200', '李昊杰', '172.16.60.27', '003', '1', '2022-08-25 09:23:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562611734039105536', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-25 09:24:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562612020703006720', '1561995446459699200', '李昊杰', '172.16.60.27', '003', '1', '2022-08-25 09:25:12', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1562612072687210496', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-25 09:25:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562615043454013440', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-25 09:37:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562615134789177344', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 09:37:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562624704785813504', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-25 10:15:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562630634629894144', '1561992470802337792', '常远', '172.16.60.65', 'changyuan', '1', '2022-08-25 10:39:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562630842193416192', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 10:40:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562632164904931328', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-25 10:45:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562637568737153024', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-25 11:06:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562674928472428544', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 13:35:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562675351472181248', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-25 13:36:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562675951115046912', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-25 13:39:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562693189998088192', '1', '主宰', '172.16.60.77', 'super', '1', '2022-08-25 14:47:45', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562698594119716864', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-25 15:09:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562703053294014464', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 15:26:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562714733998641152', '1', '主宰', '172.16.60.155', 'super', '1', '2022-08-25 16:13:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562722454152024064', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-25 16:44:02', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562723918953975808', '1', '主宰', '172.16.60.77', 'super', '1', '2022-08-25 16:49:51', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562724067411365888', '1', '主宰', '172.16.60.77', 'super', '1', '2022-08-25 16:50:26', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562724108033200128', '1', '主宰', '172.16.60.155', 'super', '1', '2022-08-25 16:50:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562724190048620544', '1', '主宰', '172.16.60.77', 'super', '1', '2022-08-25 16:50:56', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562726993110372352', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 17:02:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562727831316860928', '1', '主宰', '172.16.60.155', 'super', '1', '2022-08-25 17:05:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562729300698992640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-25 17:11:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1562794612530221056', '1562314510612697088', '国产007', '172.16.60.27', '10010', '1', '2022-08-25 21:30:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564068423711985664', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-29 09:52:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564071057252552704', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 10:02:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564071070665936896', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 10:02:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564071135371464704', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 10:03:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564077979305381888', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-29 10:30:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564088878464372736', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 11:13:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564091967749623808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 11:25:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564099830425456640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-29 11:57:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564099959656157184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 11:57:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564123155440734208', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 13:29:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564124690837016576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 13:36:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564127414773223424', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-29 13:46:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564131880444497920', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 14:04:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564137806173966336', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-29 14:28:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564137923606089728', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-29 14:28:36', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564137971832197120', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-29 14:28:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564154011295289344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 15:32:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564154091934978048', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-29 15:32:51', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1564154140790231040', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-29 15:33:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564158892575952896', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 15:51:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564169759396859904', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 16:35:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564169822030401536', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 16:35:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564172836019507200', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-29 16:47:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564173067507339264', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-29 16:48:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564175236969140224', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-29 16:56:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564189847361556480', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-29 17:54:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564192886168358912', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-29 18:07:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564192962798292992', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-29 18:07:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564193377770147840', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-29 18:08:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564193433537613824', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-29 18:09:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564193453368283136', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-29 18:09:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564421237785104384', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:14:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564421255875137536', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:14:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564423036696924160', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:21:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564423050143862784', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:21:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564426781975515136', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 09:36:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564426881976111104', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:36:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564426920983138304', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:36:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564427281148022784', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:38:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564427402552152064', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 09:38:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564427712997756928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 09:40:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564427729514926080', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:40:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564427888344829952', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 09:40:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564428630224932864', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:43:46', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564428653352325120', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:43:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564428669626224640', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:43:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564429241511186432', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:46:12', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564429261505433600', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:46:16', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564429995856760832', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:49:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564432584962871296', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 09:59:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564433182680551424', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 10:01:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564436781410160640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:16:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564436908191387648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:16:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564437218007846912', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:17:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564440411538329600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:30:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564441016331800576', null, null, '127.0.0.1', null, '1', '2022-08-30 10:32:59', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1564441038226067456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:33:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564441144547479552', null, null, '127.0.0.1', null, '1', '2022-08-30 10:33:29', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1564441167603568640', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 10:33:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564441250755645440', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 10:33:55', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564441283441856512', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 10:34:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564442725753950208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:39:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564442873401839616', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 10:40:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564444146897391616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:45:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564445739545923584', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:51:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564447661346656256', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 10:59:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564449593415045120', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 11:07:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564450859394404352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:12:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564452486536892416', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 11:18:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564452574776659968', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:18:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564452664362799104', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:19:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564452747951083520', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:19:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564452773767024640', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:19:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564452853995671552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:20:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564453032060653568', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 11:20:44', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564453049974525952', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 11:20:48', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564453162289598464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:21:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564454506614362112', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 11:26:35', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564454663233867776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:27:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564454722260307968', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 11:27:27', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564454745232510976', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:27:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564455483035750400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:30:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564455651168620544', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:31:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564455686765678592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:31:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564455915833397248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:32:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564456361817935872', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:33:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564456732787347456', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:35:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564456739456290816', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:35:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564456789527891968', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:35:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564457513041137664', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:38:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564457833808924672', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 11:39:48', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564458195248877568', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:41:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564458431883120640', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 11:42:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564458468964962304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 11:42:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564458772351553536', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 11:43:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564460691140775936', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 11:51:10', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564486101006159872', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 13:32:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564486600942030848', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 13:34:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564487899909591040', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 13:39:17', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564487989286014976', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 13:39:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564491192341762048', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 13:52:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564494321879748608', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:04:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564494338094927872', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:04:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564494457901027328', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:05:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564494581582663680', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:05:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564494645508050944', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:06:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564494747106676736', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:06:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564495048551305216', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 14:07:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564496584551567360', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:13:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564497700571975680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:18:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564498280275120128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:20:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564498807356526592', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:22:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564498864008990720', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:22:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564498969332158464', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:23:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564499127428059136', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:23:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564499207128223744', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:24:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564499338611265536', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:24:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564499364666281984', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:24:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500215963193344', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:28:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564500231687639040', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:28:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500240176910336', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:28:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500342534705152', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:28:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500384716820480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:28:53', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564500427007987712', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:29:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500477805203456', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:29:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500553772437504', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:29:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500608344526848', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:29:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564500769292554240', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:30:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564501050944262144', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:31:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564501113204510720', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-30 14:31:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564501133081317376', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:31:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564501199103856640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:32:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564501707185065984', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:34:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564501743339966464', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:34:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564501913351884800', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 14:34:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564502517637844992', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-30 14:37:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564504571739508736', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:45:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564505859827044352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 14:50:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564505892655861760', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 14:50:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564514557626552320', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-30 15:25:12', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564517252693364736', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 15:35:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564517560496558080', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 15:37:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564526612999966720', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 16:13:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564527229604597760', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 16:15:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564527263624597504', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 16:15:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564527291244089344', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-30 16:15:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564528754309599232', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-30 16:21:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564534405576396800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 16:44:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564541624233627648', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 17:12:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564541700641263616', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 17:13:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564542089411301376', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 17:14:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564542717210529792', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-30 17:17:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564548550019387392', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 17:40:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564552377011408896', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-30 17:55:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564782897590833152', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 09:11:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564788614800478208', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-31 09:34:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564790249190723584', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-31 09:40:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564791596959010816', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-08-31 09:46:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564793339633602560', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 09:52:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564793500053147648', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 09:53:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564795651139702784', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-31 10:02:10', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564796556492804096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:05:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564798390494171136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:13:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564798579116216320', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-31 10:13:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564799292353417216', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 10:16:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564799913517256704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:19:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564799959293890560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:19:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564801003834970112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:23:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564801200120008704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:24:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564801215299194880', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:24:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564803302300979200', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 10:32:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564804639499620352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:37:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564804780612784128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 10:38:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564808239873396736', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-31 10:52:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564811741412593664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 11:06:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564815823837728768', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 11:22:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564817800437043200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 11:30:11', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564817867713679360', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-31 11:30:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564817962811133952', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-08-31 11:30:50', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564818003953061888', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 11:31:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564821144014557184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 11:43:28', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564821192823672832', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 11:43:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564821304916447232', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 11:44:07', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564821395320475648', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 11:44:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564821634701987840', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 11:45:25', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564821760669519872', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 11:45:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564823606825979904', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 11:53:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564850750796992512', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-31 13:41:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564851123360239616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 13:42:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564851145820737536', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 13:42:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564851556313075712', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 13:44:19', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564853554018127872', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-31 13:52:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564858513019244544', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 14:11:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564859855284604928', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 14:17:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564860942284623872', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-08-31 14:21:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564866818231898112', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 14:44:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564869386374877184', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-31 14:55:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564871710547775488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 15:04:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564879223791947776', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 15:34:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564879755935879168', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-08-31 15:36:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564881098671001600', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 15:41:43', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564881099212066816', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 15:41:43', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564881192434667520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 15:42:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564881229554257920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 15:42:14', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564881276115226624', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 15:42:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564883530683650048', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-31 15:51:23', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564886113573801984', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 16:01:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564887738686246912', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-08-31 16:08:06', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564887766494482432', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-08-31 16:08:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564888112751054848', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-08-31 16:09:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564892600622780416', '1562314510612697088', '国产007', '172.16.60.108', '10010', '1', '2022-08-31 16:27:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564892881381101568', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 16:28:32', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564892906865692672', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-08-31 16:28:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564893559319040000', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 16:31:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564894090947072000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 16:33:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564894654023995392', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-08-31 16:35:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564901112178413568', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-31 17:01:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564903543662579712', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-08-31 17:10:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564908111356104704', '1', '主宰', '172.16.60.220', 'super', '1', '2022-08-31 17:29:03', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564911831410151424', '1', '主宰', '172.16.60.82', 'super', '1', '2022-08-31 17:43:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564914464644534272', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 17:54:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564932455457230848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-08-31 19:05:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564961267062542336', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-31 21:00:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564972211763286016', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-31 21:43:46', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1564972371461410816', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-08-31 21:44:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1564975492187164672', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-08-31 21:56:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565143007827726336', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 09:02:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565145432823304192', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 09:12:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565145511894323200', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:12:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565146340894314496', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 09:15:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565149271420964864', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 09:27:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565149522840129536', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 09:28:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565151175928582144', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:34:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565151194140250112', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 09:34:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565151453910274048', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 09:36:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565151486093168640', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:36:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565151605123321856', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 09:36:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565151958266941440', '1561992470802337792', '常远', '172.16.60.104', 'changyuan', '1', '2022-09-01 09:38:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565152236374462464', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:39:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565152276438454272', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:39:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565152884377653248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 09:41:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565154240907841536', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-01 09:47:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565156542158868480', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-01 09:56:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565157047710912512', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:58:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565157274681479168', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:59:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565157287448940544', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 09:59:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565157579880009728', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 10:00:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565159961368072192', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 10:09:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565159997816573952', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 10:09:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565160033082281984', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 10:10:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565160389103194112', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 10:11:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565161296603779072', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 10:15:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565161431790391296', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 10:15:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565161464837312512', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 10:15:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565164780132634624', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 10:28:58', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565164998001561600', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 10:29:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565165347621965824', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 10:31:13', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565165572830924800', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 10:32:07', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565165594544836608', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 10:32:12', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565166616868687872', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 10:36:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565174406756569088', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 11:07:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565176585731051520', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 11:15:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565176674037927936', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 11:16:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565176712982040576', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 11:16:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565176779478536192', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 11:16:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565176840400801792', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 11:16:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565183734729281536', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 11:44:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565184718113214464', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 11:48:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565211378741022720', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 13:34:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565211945961918464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 13:36:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565212100215836672', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 13:37:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565213937262268416', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 13:44:18', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565214103918743552', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 13:44:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565214559428546560', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 13:46:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565215101261320192', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-01 13:48:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565216296411467776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 13:53:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565217327782432768', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 13:57:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565222090615951360', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 14:16:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565222477427249152', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 14:18:14', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565222620163608576', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 14:18:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565223950164824064', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 14:24:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565224663594962944', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 14:26:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565229586155966464', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 14:46:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565232178466525184', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 14:56:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565233232373485568', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:00:58', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565233846146961408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 15:03:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234366454566912', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:05:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234387539333120', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:05:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234520888840192', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:06:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234773335609344', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:07:05', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565234809863802880', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:07:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234846542991360', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:07:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234863311818752', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:07:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565234951039881216', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:07:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565235031713124352', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:08:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565235106069745664', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:08:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565237167255588864', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 15:16:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565237351402311680', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:17:20', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565237409715720192', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:17:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565237514212610048', '1564821097285816320', '李工会', '127.0.0.1', 'ligonghui', '1', '2022-09-01 15:17:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565237806551404544', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 15:19:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565238001301327872', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 15:19:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565238363554975744', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 15:21:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565238762831745024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 15:22:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565239956182536192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 15:27:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565245209837703168', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 15:48:34', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565246171205734400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 15:52:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565247326375776256', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 15:56:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565248757996589056', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 16:02:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565251389016379392', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 16:13:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565254917013245952', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 16:27:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565255672067657728', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 16:30:08', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565259323490308096', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 16:44:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565260330198765568', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-01 16:48:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565261548283367424', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 16:53:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565261568990646272', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 16:53:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565267653772316672', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 17:17:45', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565267740795736064', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-01 17:18:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565268154303778816', '1562314510612697088', '国产007', '172.16.60.108', '10010', '1', '2022-09-01 17:19:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565268322071744512', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-01 17:20:24', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565268444834828288', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 17:20:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565270373124149248', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-01 17:28:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565270831293140992', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 17:30:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565270846220668928', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 17:30:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271424061542400', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:32:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271444529745920', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:32:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271449051205632', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 17:32:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271507247173632', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:33:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271568433680384', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 17:33:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271911976538112', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-01 17:34:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565271984835792896', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:34:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565272182018412544', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 17:35:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565272540673347584', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:37:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565273224252624896', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:39:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565273780845154304', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-01 17:42:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565280122926403584', '1562314510612697088', '国产007', '172.16.60.108', '10010', '1', '2022-09-01 18:07:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565280185673191424', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-01 18:07:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565285144779165696', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 18:27:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565285848973447168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-01 18:30:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565290284269572096', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 18:47:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565290996063932416', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-01 18:50:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565504234592538624', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 08:57:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565505626589761536', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 09:03:22', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565507337387642880', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 09:10:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565507359017668608', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 09:10:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565507523493105664', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 09:10:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565507753844281344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 09:11:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565507790284394496', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-02 09:11:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565508936898056192', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 09:16:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565509652068831232', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 09:19:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565510294246133760', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 09:21:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565511817327939584', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-02 09:27:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565513019243499520', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 09:32:44', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565513082384551936', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-02 09:32:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565515236419702784', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 09:41:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565517308053557248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 09:49:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565522873613946880', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 10:11:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565524582960599040', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 10:18:41', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565530528151638016', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 10:42:19', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565530576017035264', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 10:42:30', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565530713816698880', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 10:43:03', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565532122431754240', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-02 10:48:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565532274651435008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 10:49:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565533183510974464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 10:52:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565533415363710976', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 10:53:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565534186931097600', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 10:56:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565534436840312832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 10:57:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565534938386796544', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-02 10:59:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565535099062194176', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 11:00:29', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565535233569329152', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 11:01:01', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565535380445466624', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-02 11:01:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565535405841977344', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-02 11:01:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565535417703469056', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-02 11:01:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565535585928613888', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 11:02:25', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565536381751660544', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 11:05:34', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565536735570563072', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:06:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565536800276090880', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:07:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565536824976347136', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:07:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565536933327802368', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:07:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565537203294179328', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 11:08:50', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565537494416625664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 11:10:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565537515639803904', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 11:10:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565537933807718400', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-02 11:11:44', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565538533404446720', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:14:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565538588366606336', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 11:14:20', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565539008229019648', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-02 11:16:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565539164986937344', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 11:16:38', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565539213837996032', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:16:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565539302845321216', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 11:17:11', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565540693483589632', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:22:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565541805087395840', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 11:27:07', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565543375724220416', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 11:33:22', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565543435165896704', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:33:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565544943546667008', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:39:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565544988102758400', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:39:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565545735024414720', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 11:42:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565573325265178624', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-02 13:32:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565574053073391616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 13:35:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565574134107344896', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 13:35:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565575493644849152', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 13:40:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565576635833520128', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 13:45:32', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565577501227487232', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-02 13:48:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565577538821033984', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-02 13:49:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565577913603067904', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-02 13:50:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565577949942517760', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 13:50:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565579936008376320', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 13:58:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565581036195287040', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 14:03:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565581115400523776', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-02 14:03:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565581744319631360', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 14:05:50', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565581831422742528', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 14:06:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565585878317928448', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-02 14:22:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565586022362910720', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 14:22:50', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565586057288880128', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 14:22:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565586371677130752', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-02 14:24:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565587163784024064', '1562314510612697088', '国产007', '172.16.60.108', '10010', '1', '2022-09-02 14:27:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565587204997255168', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 14:27:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565592756359925760', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 14:49:35', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565596017997516800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 15:02:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565596433967616000', '1', '主宰', '172.16.60.153', 'super', '1', '2022-09-02 15:04:12', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565603328510005248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 15:31:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565607474122330112', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 15:48:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565608750377734144', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 15:53:08', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565608769843499008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 15:53:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565610649734746112', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 16:00:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565611111628279808', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-02 16:02:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565616828674347008', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-02 16:25:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565621542019272704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 16:43:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565625831223595008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 17:01:01', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565625856678825984', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 17:01:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565626978562871296', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-02 17:05:34', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565627526003429376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 17:07:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565633324876173312', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-02 17:30:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565638758739611648', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-02 17:52:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565640592074084352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-02 17:59:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565883455626153984', '1562314510612697088', '国产007', '172.16.60.108', '10010', '1', '2022-09-03 10:04:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565888163514290176', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 10:23:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565897210263113728', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-03 10:59:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565897423337951232', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-03 11:00:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565919964769161216', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-03 12:29:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565921145142775808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 12:34:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565923624043548672', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 12:44:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565923856416378880', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 12:45:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565924012364795904', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 12:45:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565924238421004288', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 12:46:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565929453606014976', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 13:07:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565929628961476608', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 13:08:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565929672573849600', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-03 13:08:22', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565929717952024576', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-03 13:08:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565933256136855552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 13:22:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565953110927609856', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 14:41:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565953740635246592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 14:44:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1565953759039852544', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 14:44:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565966883163869184', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-03 15:36:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565971516670218240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 15:54:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565973208723755008', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 16:01:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565983384281419776', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-03 16:41:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1565992573133262848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 17:18:19', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566006405582950400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-03 18:13:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566324977299492864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-04 15:19:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566354877733539840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-04 17:17:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566380006496669696', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-04 18:57:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566405295796785152', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-04 20:38:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566408285639282688', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-04 20:50:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566593347840249856', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-05 09:05:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566593728213291008', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 09:07:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566593915480576000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 09:07:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566597307355500544', '1', '主宰', '172.16.60.175', 'super', '1', '2022-09-05 09:21:19', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566598040599531520', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-05 09:24:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566603999904403456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 09:47:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566604407674638336', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-05 09:49:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566631411039997952', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-05 11:36:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566633127013650432', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-05 11:43:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566659613632368640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-05 13:28:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566661124261285888', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-05 13:34:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566662023562006528', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 13:38:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566674227250204672', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-05 14:26:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566676066687389696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 14:34:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566686844802961408', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-05 15:17:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566687859031805952', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-05 15:21:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566692286778183680', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-05 15:38:44', 'Firefox', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1566692374225227776', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-05 15:39:04', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693233587785728', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 15:42:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693254156652544', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 15:42:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693305352327168', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-05 15:42:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693319847841792', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 15:42:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693473925599232', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-05 15:43:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693688359391232', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:44:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693762829258752', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:44:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566693989283926016', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:45:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566694077506916352', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 15:45:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566694299305906176', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 15:46:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566694693713088512', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:48:17', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1566694707688509440', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:48:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566695630586384384', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:52:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566695972648652800', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 15:53:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566696227687501824', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 15:54:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566696266707111936', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 15:54:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566697304243703808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 15:58:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566697797191864320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 16:00:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566697843715084288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 16:00:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566698376127451136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 16:02:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566698546730766336', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 16:03:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566698752432017408', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 16:04:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566699380411600896', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 16:06:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566699527736528896', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-05 16:07:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566700491608559616', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-05 16:11:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566700863395860480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 16:12:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566701522035806208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 16:15:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566701985288294400', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-05 16:17:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566707101252849664', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-05 16:37:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566726575074971648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 17:54:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566726802150395904', '1564125772657070080', '王宇航', '127.0.0.1', '410782', '1', '2022-09-05 17:55:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566727341823102976', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-05 17:58:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566787288623616000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 21:56:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566818089566343168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-05 23:58:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566953525634797568', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-06 08:56:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566958281681932288', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-06 09:15:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566958561886605312', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-06 09:16:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566959859864309760', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 09:21:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566961184081580032', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 09:27:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566971737608949760', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 10:09:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566975120310931456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 10:22:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566983443890442240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 10:55:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566985752842211328', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-06 11:04:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566989291261923328', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-06 11:18:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1566990447786725376', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-06 11:23:31', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1566990484721766400', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-06 11:23:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567022432471093248', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-06 13:30:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567024514682982400', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-06 13:38:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567025757065187328', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-06 13:43:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567026326139965440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 13:46:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567028685133975552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 13:55:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567030523489030144', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 14:02:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567043116454776832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 14:52:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567045235110973440', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 15:01:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567045282305282048', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 15:01:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567046056208896000', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 15:04:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567046095362723840', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:04:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567046097359212544', null, null, '172.16.60.213', null, '1', '2022-09-06 15:04:39', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1567046127830831104', '1', '主宰', '172.16.60.213', 'super', '1', '2022-09-06 15:04:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567046205115076608', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:05:04', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567046248341573632', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:05:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567046261146783744', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:05:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567046618027528192', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 15:06:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567047165258371072', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 15:08:53', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567047213878743040', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:09:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567047278760431616', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:09:20', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567047316874072064', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 15:09:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567047520146821120', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-06 15:10:18', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567047698929029120', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 15:11:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567048481401606144', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-06 15:14:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567054482662100992', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-06 15:37:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567056147918229504', '1', '主宰', '172.16.60.188', 'super', '1', '2022-09-06 15:44:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567056435722981376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 15:45:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567070153773027328', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-06 16:40:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567074044426194944', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-06 16:55:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567074896289337344', '1', '主宰', '172.16.60.213', 'super', '1', '2022-09-06 16:59:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567088629250134016', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 17:53:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567099811080048640', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-06 18:38:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567318458436292608', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 09:06:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567318729354776576', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-07 09:07:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567321360949186560', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-07 09:18:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567321794795409408', '1', '主宰', '172.16.60.213', 'super', '1', '2022-09-07 09:20:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567325059771666432', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-07 09:33:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567326567401656320', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-07 09:39:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567326650578898944', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-07 09:39:28', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567329766103715840', '1', '主宰', '172.16.60.213', 'super', '1', '2022-09-07 09:51:50', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567329820776468480', '1', '主宰', '172.16.60.213', 'super', '1', '2022-09-07 09:52:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567337342535077888', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-07 10:21:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567337570969456640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 10:22:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567338570446934016', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-07 10:26:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567339192344776704', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-07 10:29:18', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567339236888285184', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-07 10:29:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567347733491224576', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-07 11:03:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567347759349108736', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-07 11:03:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567348909062361088', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-07 11:07:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567354854702190592', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-07 11:31:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567356956144963584', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 11:39:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567384145527705600', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-07 13:27:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567386293653082112', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-07 13:36:28', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567386554220023808', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-07 13:37:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567386885473570816', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 13:38:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567389957486678016', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-07 13:51:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567389973425033216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 13:51:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567392559590936576', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-07 14:01:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567400943157383168', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-07 14:34:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567406113840828416', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-07 14:55:13', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567411405706104832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 15:16:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567416432805941248', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-07 15:36:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567416873996390400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 15:37:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567421188509143040', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-07 15:55:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567424320639209472', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-07 16:07:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567430389797097472', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 16:31:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567433344738791424', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 16:43:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567437026851164160', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-07 16:58:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567444610630946816', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-07 17:28:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567446309798023168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 17:34:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567446564232892416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 17:35:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567451000380461056', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-07 17:53:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567486075121831936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-07 20:12:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567677451214131200', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-08 08:53:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567681053529870336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 09:07:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567683780058157056', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 09:18:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567684588929683456', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-08 09:21:47', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567684746933309440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 09:22:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567691042151600128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 09:47:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567692657306767360', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-08 09:53:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567694979902607360', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 10:03:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567703833877024768', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 10:38:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567703866949111808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 10:38:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567704463261700096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 10:40:45', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567704478394748928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 10:40:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567705095569805312', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-08 10:43:16', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567705284657418240', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 10:44:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567709909406060544', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-08 11:02:24', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567709948220149760', '1', '主宰', '172.16.60.172', 'super', '1', '2022-09-08 11:02:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567710601004847104', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-08 11:05:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567713097068711936', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 11:15:04', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567713121286623232', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-08 11:15:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567719812921167872', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 11:41:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567748546998964224', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-08 13:35:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567748741895688192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 13:36:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567749191625740288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 13:38:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567749799367806976', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-08 13:40:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567752170923757568', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 13:50:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567757542531141632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 14:11:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567758481304457216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 14:15:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567758928861859840', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-08 14:17:11', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567767236981166080', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 14:50:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567767991955886080', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-08 14:53:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567770639534788608', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 15:03:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567780218867945472', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 15:41:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567787837527560192', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 16:12:03', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567787879277662208', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 16:12:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567788792859987968', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-08 16:15:51', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567789801229389824', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-08 16:19:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567792183023636480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 16:29:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567797836584718336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 16:51:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567797858588037120', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 16:51:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567800606981230592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:02:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567800629328482304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:02:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567801188341125120', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:05:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567805155452260352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:20:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567806215189303296', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 17:25:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567808357572677632', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-08 17:33:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567808399624769536', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-08 17:33:46', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567809766233870336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:39:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567809868637802496', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 17:39:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567809891920384000', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 17:39:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567809943267053568', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-08 17:39:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567813566130688000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:54:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567813654689222656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 17:54:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567816636084391936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 18:06:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567818851872280576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 18:15:18', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1567818874521522176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 18:15:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1567837948043464704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-08 19:31:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568043444235014144', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 09:07:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568043538074177536', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 09:08:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568044360774324224', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-09 09:11:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568044383545200640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 09:11:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568044554190458880', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-09 09:12:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568044618468167680', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-09 09:12:25', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568045023012982784', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-09 09:14:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568051794859397120', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 09:40:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568057193478098944', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-09 10:02:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568058244868476928', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-09 10:06:33', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568070252565237760', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-09 10:54:16', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568071930341363712', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 11:00:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568075755538223104', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-09 11:16:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568076684614307840', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-09 11:19:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568079271669403648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 11:30:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568080335403618304', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-09 11:34:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568084187804733440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 11:49:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568110191034109952', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 13:32:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568110348203069440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 13:33:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568111060156813312', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-09 13:36:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568111497853407232', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-09 13:38:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568112721537404928', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-09 13:43:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121543127601152', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 14:18:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121555521769472', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 14:18:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121590560985088', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 14:18:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121664657559552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:18:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121683754225664', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 14:18:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121691417219072', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:18:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121790465708032', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:19:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121889811992576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:19:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568121943109013504', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:19:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568122047513628672', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:20:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568122063305183232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:20:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568122075086983168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:20:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568122087208521728', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 14:20:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568122462930079744', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:21:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568123570025009152', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:26:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568124094745022464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:28:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1568124126638510080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:28:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568125921309888512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:35:29', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1568127357611544576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:41:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568130762576891904', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:54:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1568130960766144512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 14:55:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568142221356699648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 15:40:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568150097525608448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 16:11:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568155112499712000', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-09 16:31:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568159957344456704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 16:50:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1568159978785738752', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 16:50:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568163222589149184', '1564821097285816320', '李工会', '172.16.60.172', 'ligonghui', '1', '2022-09-09 17:03:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568163728833253376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-09 17:05:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568177441460064256', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-09 18:00:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1568979050486173696', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-11 23:05:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569490278463705088', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-13 08:56:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569494772790464512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 09:14:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569495268058075136', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-13 09:16:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569498032515452928', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-13 09:27:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569498477849874432', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-13 09:29:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569499054071746560', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-13 09:31:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569504735369760768', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 09:54:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569504910532284416', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-13 09:55:05', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569504950294286336', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-13 09:55:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569507138865336320', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-13 10:03:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569507176400162816', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-13 10:04:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569508460192731136', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-13 10:09:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569512115205705728', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-13 10:23:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569518732378771456', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-13 10:50:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569523394158923776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:08:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569523418192285696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:08:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569523481111040000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:08:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569523507430297600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:08:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569523765795229696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:10:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569524744888389632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:13:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569524830850650112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:14:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569525469014003712', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 11:16:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569528447833870336', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-13 11:28:37', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569528469241597952', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-13 11:28:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569528612443525120', '1569528534014234624', '长远', '127.0.0.1', 'changyuan2', '1', '2022-09-13 11:29:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569528796133068800', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-13 11:30:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569528994976632832', '1569528534014234624', '长远', '127.0.0.1', 'changyuan2', '1', '2022-09-13 11:30:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569529084231421952', '1569528534014234624', '长远', '127.0.0.1', 'changyuan2', '1', '2022-09-13 11:31:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569535888373977088', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-13 11:58:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569559485121433600', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-13 13:31:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569562707257069568', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 13:44:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569570551972892672', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 14:15:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569577117019148288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 14:42:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569585236214419456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 15:14:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569596595324981248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 15:59:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569597185065095168', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-13 16:01:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569600491309109248', '1562314510612697088', '国产007', '182.119.37.32', '10010', '1', '2022-09-13 16:14:54', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569600704274894848', '1562314510612697088', '国产007', '182.119.37.32', '10010', '1', '2022-09-13 16:15:44', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569604685923487744', '1562314510612697088', '国产007', '182.119.37.32', '10010', '1', '2022-09-13 16:31:34', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569616192166039552', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-13 17:17:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569625392388640768', '1562314510612697088', '国产007', '182.119.37.32', '10010', '1', '2022-09-13 17:53:50', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569626080703287296', '1', '主宰', '182.119.37.32', 'super', '1', '2022-09-13 17:56:35', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569628889142136832', '1', '主宰', '222.137.47.225', 'super', '1', '2022-09-13 18:07:44', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569629012387565568', '1', '主宰', '182.119.39.227', 'super', '1', '2022-09-13 18:08:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569629042418782208', '1', '主宰', '182.119.39.227', 'super', '1', '2022-09-13 18:08:21', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569629774282887168', '1', '主宰', '222.137.47.225', 'super', '1', '2022-09-13 18:11:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569635430138253312', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-13 18:33:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569639214172213248', '1', '主宰', '222.137.47.225', 'super', '1', '2022-09-13 18:48:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569853878399275008', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 09:01:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569855939799027712', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-14 09:09:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569864053810139136', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 09:42:12', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569883376826060800', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 10:58:59', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569891702599192576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-14 11:32:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569892833937199104', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-14 11:36:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569922487452569600', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-14 13:34:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569923778123796480', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-14 13:39:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569925018853445632', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-14 13:44:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569928100219850752', '1', '主宰', '172.16.60.119', 'super', '1', '2022-09-14 13:56:42', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569928638013509632', '1', '主宰', '222.137.30.253', 'super', '1', '2022-09-14 13:58:50', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569929691207438336', '1', '主宰', '172.16.60.119', 'super', '1', '2022-09-14 14:03:01', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569931388717764608', '1', '主宰', '222.137.30.253', 'super', '1', '2022-09-14 14:09:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569933768515522560', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-14 14:19:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569934962147332096', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-14 14:23:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569934997308182528', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-14 14:24:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569937414309416960', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 14:33:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569938431537188864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-14 14:37:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569944543636361216', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-14 15:02:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569948075735257088', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 15:16:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569954371096154112', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-14 15:41:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569956215738470400', '1', '主宰', '222.137.30.253', 'super', '1', '2022-09-14 15:48:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569963615442833408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-14 16:17:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569965900302520320', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 16:26:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569969131279749120', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-14 16:39:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569970715833274368', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-14 16:46:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1569970954694692864', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 16:46:59', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569971119044300800', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:47:38', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1569971225890000896', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:48:04', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569971414382022656', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:48:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569971469079941120', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:49:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569971491917926400', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:49:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569971984132083712', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 16:51:04', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569972037198417920', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:51:17', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972072560594944', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:51:25', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972278094073856', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 16:52:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972376219815936', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 16:52:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972570093129728', '1', '主宰', '222.137.47.225', 'super', '1', '2022-09-14 16:53:24', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972632521150464', '1', '主宰', '222.137.47.225', 'super', '1', '2022-09-14 16:53:39', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569972684656349184', '1569970196410667008', '李露露', '222.137.47.225', '1001', '1', '2022-09-14 16:53:51', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972694412300288', '1569970196410667008', '李露露', '222.137.47.225', '1001', '1', '2022-09-14 16:53:54', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569972856744448000', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 16:54:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569973069651513344', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 16:55:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569973233703325696', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-14 16:56:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569973647584661504', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 16:57:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569973792619499520', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-14 16:58:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569973953940819968', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-14 16:58:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569973982139125760', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-14 16:59:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569974270656909312', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-14 17:00:09', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569974374574985216', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-14 17:00:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569974484071485440', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-14 17:01:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569974511321878528', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-14 17:01:07', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1569974546344316928', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-14 17:01:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569978565729062912', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-14 17:17:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569978588504133632', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-14 17:17:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569978614533984256', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-14 17:17:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1569978643181080576', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-14 17:17:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1569981810035789824', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-14 17:30:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570020301503336448', '1', '主宰', '182.119.38.202', 'super', '1', '2022-09-14 20:03:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570215060134039552', '1', '主宰', '222.137.31.26', 'super', '1', '2022-09-15 08:56:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570219024061698048', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 09:12:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570219914462105600', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 09:16:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570221633082363904', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 09:23:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570224006928404480', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-15 09:32:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570227680148852736', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-15 09:47:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570228939429908480', '1', '主宰', '222.137.31.26', 'super', '1', '2022-09-15 09:52:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570229935627440128', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-15 09:56:05', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570229969831989248', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-15 09:56:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570230492224163840', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-15 09:58:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570232675321647104', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-15 10:06:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570233095641239552', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 10:08:38', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570239534510247936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 10:34:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570240558755090432', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-15 10:38:18', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570245758085632000', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 10:58:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570246936810885120', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-15 11:03:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570250274646396928', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 11:16:54', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570251186794270720', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-15 11:20:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570260205776801792', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 11:56:22', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570285639184814080', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 13:37:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570288005686628352', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 13:46:50', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570290290688921600', '1569970196410667008', '李露露', '182.119.38.202', '1001', '1', '2022-09-15 13:55:55', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570290332732624896', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-15 13:56:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570290874900942848', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-15 13:58:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570290930420944896', '1564192820011601920', '郑州001', '172.16.60.155', 'lb002', '1', '2022-09-15 13:58:27', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570291781357146112', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 14:01:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570292788107546624', null, null, '172.16.60.51', null, '1', '2022-09-15 14:05:50', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570292837176709120', null, null, '172.16.60.51', null, '1', '2022-09-15 14:06:02', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570292887650963456', null, null, '172.16.60.51', null, '1', '2022-09-15 14:06:14', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570292944261484544', null, null, '172.16.60.51', null, '1', '2022-09-15 14:06:27', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570293361288548352', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 14:08:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570293418410774528', null, null, '172.16.60.82', null, '1', '2022-09-15 14:08:20', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570293431937404928', null, null, '172.16.60.82', null, '1', '2022-09-15 14:08:23', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570293477588209664', null, null, '172.16.60.82', null, '1', '2022-09-15 14:08:34', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570293645796577280', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 14:09:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570293750452850688', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 14:09:39', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570293824473927680', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 14:09:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570294940334952448', null, null, '172.16.60.82', null, '1', '2022-09-15 14:14:23', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570294964729024512', null, null, '172.16.60.82', null, '1', '2022-09-15 14:14:29', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570294970118705152', null, null, '172.16.60.82', null, '1', '2022-09-15 14:14:30', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570295013345202176', null, null, '172.16.60.82', null, '1', '2022-09-15 14:14:41', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1570295518003859456', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 14:16:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570300230774165504', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 14:35:24', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570300405555007488', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 14:36:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570301058700414976', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-15 14:38:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570303589690249216', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-15 14:48:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570307431337168896', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 15:04:01', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570310908629094400', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 15:17:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570312461020696576', '1', '主宰', '172.16.60.251', 'super', '1', '2022-09-15 15:24:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570312531753439232', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 15:24:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570313274757615616', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 15:27:14', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570313282391248896', '1562314510612697088', '国产007', '182.119.38.202', '10010', '1', '2022-09-15 15:27:16', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570316707430535168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 15:40:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570318420514312192', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 15:47:41', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570318621304033280', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 15:48:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570321761592020992', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-15 16:00:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570323313673244672', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 16:07:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570324550762237952', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 16:12:03', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570324739409448960', '1', '主宰', '222.137.47.225', 'super', '1', '2022-09-15 16:12:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570326476904075264', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 16:19:42', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570326894384123904', '1562314510612697088', '国产007', '172.16.60.113', '10010', '1', '2022-09-15 16:21:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570330938213273600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 16:37:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570331969529712640', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 16:41:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570332105735540736', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 16:42:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570332324728541184', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 16:42:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570333908552257536', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 16:49:14', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570333940009537536', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-15 16:49:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570335266462371840', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-15 16:54:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570337022856531968', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 17:01:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570338752927240192', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 17:08:29', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570338985979547648', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-15 17:09:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570339048176881664', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-15 17:09:39', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570339211251421184', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 17:10:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570339296123162624', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-15 17:10:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570344091600949248', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-15 17:29:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570346234072403968', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-15 17:38:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570348521922629632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-15 17:47:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570360198407786496', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-15 18:33:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570362887199920128', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-15 18:44:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570578073642995712', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 08:59:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570578494797254656', '1569970196410667008', '李露露', '222.137.31.26', '1001', '1', '2022-09-16 09:01:08', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570580661767639040', '1569970196410667008', '李露露', '222.137.31.26', '1001', '1', '2022-09-16 09:09:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570581987897511936', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 09:15:01', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570583099148996608', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 09:19:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570583161816092672', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-16 09:19:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570584222735929344', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-16 09:23:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570584264045629440', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 09:24:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570584278104936448', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-16 09:24:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570584299357474816', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-16 09:24:12', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570584337668247552', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-16 09:24:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570584556795465728', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-16 09:25:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570585367948693504', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 09:28:26', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570585439100866560', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:28:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570585530943541248', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:29:05', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570585575071813632', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:29:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570585616104689664', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:29:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570586123762274304', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:31:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570586159103479808', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:31:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570586207946149888', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:31:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570586475916038144', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-16 09:32:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570586651762233344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 09:33:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570586753243418624', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:33:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570586790404952064', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 09:34:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570587048295927808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 09:35:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570587084090118144', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:35:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570588008808321024', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 09:38:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570588389307191296', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-16 09:40:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570589554019274752', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 09:45:04', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570589642913353728', '1', '主宰', '182.119.37.27', 'super', '1', '2022-09-16 09:45:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570590407111348224', '1', '主宰', '172.16.60.82', 'super', '1', '2022-09-16 09:48:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570590698221211648', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 09:49:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570590720308416512', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 09:49:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570590720857870336', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-16 09:49:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570590789103390720', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-16 09:49:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570591038593175552', '1', '主宰', '182.119.37.27', 'super', '1', '2022-09-16 09:50:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570592233873346560', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 09:55:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570592391168135168', '1567046004463767552', '刘国灿', '172.16.60.82', '9527', '1', '2022-09-16 09:56:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570592857373413376', '1567097186544652288', '何云凡', '182.119.38.202', 'hyf', '1', '2022-09-16 09:58:12', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570592950918975488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 09:58:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570593737975926784', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-16 10:01:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570594559262593024', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-16 10:04:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570595451865010176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 10:08:31', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570596677088317440', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 10:13:23', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570596739088519168', '1', '主宰', '182.119.37.27', 'super', '1', '2022-09-16 10:13:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570596760160702464', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 10:13:43', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570596848039759872', '1', '主宰', '182.119.37.27', 'super', '1', '2022-09-16 10:14:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570597048972087296', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 10:14:51', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570598247481872384', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 10:19:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570600343333638144', '1', '主宰', '182.119.37.27', 'super', '1', '2022-09-16 10:27:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570600831462543360', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 10:29:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570600853482639360', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 10:29:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570601403926319104', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 10:32:10', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1570601603579383808', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-16 10:32:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570603535106707456', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 10:40:38', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570603794964811776', '1', '主宰', '182.119.37.27', 'super', '1', '2022-09-16 10:41:40', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570603951840169984', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 10:42:17', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570605094716706816', '1570604410206294016', '张磊', '182.119.37.27', '1004', '1', '2022-09-16 10:46:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570605615556988928', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 10:48:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570606889417445376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 10:53:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570606904818929664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 10:54:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570608103152553984', '1570604410206294016', '张磊', '182.119.37.27', '1004', '1', '2022-09-16 10:58:47', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570608162900414464', '1570604410206294016', '张磊', '182.119.37.27', '1004', '1', '2022-09-16 10:59:01', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570613406849961984', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-16 11:19:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570618680272883712', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-16 11:40:49', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570647548295778304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 13:35:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570647751660802048', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 13:36:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570648245980499968', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-16 13:38:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570648308966363136', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-16 13:38:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570648673300385792', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 13:40:00', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1570648725452361728', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 13:40:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570648741462020096', '1564191182190415872', '本部运营1', '172.16.60.155', 'lb001', '1', '2022-09-16 13:40:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570648837528358912', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-16 13:40:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570649079380316160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 13:41:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570649272834199552', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 13:42:23', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570649300936036352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 13:42:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570651327934107648', '1570604410206294016', '张磊', '182.119.37.27', '1004', '1', '2022-09-16 13:50:33', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570656497061466112', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-16 14:11:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570658970002132992', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 14:20:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570660525740789760', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 14:27:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570661508503965696', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 14:31:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570661560446226432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 14:31:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570662348279123968', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 14:34:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570663797037862912', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-16 14:40:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570674004447072256', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 15:20:39', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1570674020385427456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 15:20:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570684116427476992', '1564821097285816320', '李工会', '172.16.60.63', 'ligonghui', '1', '2022-09-16 16:00:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570686579901599744', '1', '主宰', '218.28.234.62', 'super', '1', '2022-09-16 16:10:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570693679327350784', '1', '主宰', '172.16.60.155', 'super', '1', '2022-09-16 16:38:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570695717570351104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-16 16:46:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570698534494277632', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-16 16:58:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1570706717044510720', '1570604410206294016', '张磊', '218.28.234.62', '1004', '1', '2022-09-16 17:30:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570707788454301696', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-16 17:34:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1570802845895233536', '1', '主宰', '115.57.139.231', 'super', '1', '2022-09-16 23:52:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571506569579991040', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-18 22:28:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571667178263023616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 09:07:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571671288102129664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 09:23:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571671339478159360', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-19 09:23:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571678264483778560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 09:51:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571680610236370944', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-19 10:00:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571687316202852352', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-19 10:27:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571688228233285632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 10:30:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571688592403730432', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-19 10:32:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571697167553400832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 11:06:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571697379340587008', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:07:11', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1571697423322058752', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:07:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571697447707742208', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:07:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571697463260221440', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:07:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571697923648000000', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:09:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571697972931072000', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-19 11:09:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571701216747065344', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:22:26', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571701298871537664', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:22:45', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571701343108861952', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:22:56', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571701477838295040', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:23:28', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571702265222402048', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:26:36', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571702296881008640', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:26:43', 'Firefox', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1571702332037664768', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:26:51', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571702341357408256', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:26:54', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571702482344742912', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:27:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571702526892445696', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:27:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571702537852162048', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:27:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571703282349510656', '1564191182190415872', '本部运营1', '172.16.60.167', 'lb001', '1', '2022-09-19 11:30:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571703751910232064', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:32:30', 'Firefox', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1571703785804402688', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:32:38', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571703792792113152', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:32:40', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571704208053374976', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:34:19', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571704242442473472', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:34:27', 'Firefox', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1571704283299188736', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:34:37', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571704294976131072', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:34:39', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571705204875857920', '1564191182190415872', '本部运营1', '172.16.60.167', 'lb001', '1', '2022-09-19 11:38:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571705358739705856', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:38:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571705365790330880', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:38:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571705497046880256', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:39:26', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571706471455002624', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:43:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571706592313872384', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:43:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571706648517545984', '1564191182190415872', '本部运营1', '172.16.60.167', 'lb001', '1', '2022-09-19 11:44:01', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1571706671208730624', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:44:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571706679505063936', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:44:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571708363878830080', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:50:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571708376927309824', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:50:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571708978394697728', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:53:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571709318250762240', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:54:37', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571709414266769408', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:55:00', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571709449448591360', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:55:08', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571709472638898176', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:55:14', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571709569162416128', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:55:37', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571709655112093696', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:55:57', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571709888873238528', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:56:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571710444022927360', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:59:05', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571710487903735808', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:59:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571710565070540800', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 11:59:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571710584997679104', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:59:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571710616870195200', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 11:59:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571710699120496640', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 12:00:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571710862459277312', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 12:00:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571711164289781760', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 12:01:57', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571711176679755776', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 12:02:00', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571734533076815872', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-19 13:34:49', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571734711389261824', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 13:35:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571734918336221184', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 13:36:21', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571734941211955200', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 13:36:26', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571736762148065280', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 13:43:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571736885909393408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 13:44:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571739998498197504', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-19 13:56:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571740963733377024', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-19 14:00:22', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571740987007569920', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-19 14:00:27', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571741047992750080', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-19 14:00:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571742385401106432', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-19 14:06:01', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571742449653649408', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-09-19 14:06:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571742599914590208', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-19 14:06:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571742610836557824', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-19 14:06:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571742822741184512', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-09-19 14:07:45', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571742863853752320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:07:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571743089628942336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:08:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571743104871043072', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-19 14:08:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571743125179863040', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-09-19 14:08:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571744187479625728', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-19 14:13:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571744188960215040', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-09-19 14:13:11', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571744235303079936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:13:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571744416866111488', '1564192820011601920', '郑州001', '172.16.60.167', 'lb002', '1', '2022-09-19 14:14:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571745861271162880', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:19:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571747723764436992', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:27:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571747766374371328', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-09-19 14:27:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571747838541565952', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-09-19 14:27:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571747888948711424', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-09-19 14:27:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571747958158921728', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-09-19 14:28:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571748006615715840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:28:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571751176725204992', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 14:40:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571757750424309760', '1570254300322598912', '22', '218.28.192.38', '22', '1', '2022-09-19 15:07:04', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571757840052391936', '1570254300322598912', '22', '218.28.192.38', '22', '1', '2022-09-19 15:07:26', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1571757881718607872', '1570254300322598912', '22', '218.28.192.38', '22', '1', '2022-09-19 15:07:36', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571757978464423936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 15:07:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571759990090371072', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 15:15:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571769048746823680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 15:51:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571772744322912256', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-19 16:06:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571775421350023168', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-19 16:17:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1571779289999872000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 16:32:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571784347210616832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 16:52:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571797389956747264', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-19 17:44:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571799989208879104', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-19 17:54:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571803315719770112', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-19 18:08:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1571873670949900288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-19 22:47:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572027343340441600', '1', '主宰', '218.28.234.62', 'super', '1', '2022-09-20 08:58:20', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572030690587971584', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:11:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572031787343941632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:16:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572032009809825792', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-20 09:16:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572032383316791296', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-20 09:18:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572033462343438336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:22:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572033478206296064', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:22:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572034107481919488', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-09-20 09:25:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572034162355998720', '1569970358516322304', '李班主任', '127.0.0.1', '1002', '1', '2022-09-20 09:25:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572034228948963328', '1569970358516322304', '李班主任', '127.0.0.1', '1002', '1', '2022-09-20 09:25:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572034277871325184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:25:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572034375690883072', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:26:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572034423132655616', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-09-20 09:26:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572034468645048320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:26:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572034561850871808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:27:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572035457024397312', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 09:30:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572036104704626688', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-09-20 09:33:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572036187848314880', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 09:33:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572040382571745280', '1', '主宰', '218.28.234.62', 'super', '1', '2022-09-20 09:50:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572043418228625408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 10:02:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572045359277019136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 10:09:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572048896711069696', '1', '主宰', '218.28.234.62', 'super', '1', '2022-09-20 10:23:59', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572053136179335168', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-20 10:40:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572058238713729024', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-20 11:01:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572066913893355520', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 11:35:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572068603442892800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 11:42:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572069050752831488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 11:44:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572069448884555776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 11:45:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572069476063645696', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-20 11:45:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572097991257493504', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-20 13:39:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572099236160475136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 13:44:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572100715000762368', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-20 13:49:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572100855312814080', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 13:50:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572103332846243840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 14:00:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572111051342876672', '1', '主宰', '218.28.234.62', 'super', '1', '2022-09-20 14:30:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572112336846721024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 14:36:04', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572112356081799168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 14:36:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572113218229374976', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 14:39:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572113236696895488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 14:39:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572114158550388736', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-20 14:43:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572126256529543168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 15:31:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572128568446685184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 15:40:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572128589820858368', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 15:40:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572131300129771520', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-20 15:51:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572135902564716544', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 16:09:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572140404629966848', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-20 16:27:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572143085251596288', '1', '主宰', '218.28.234.62', 'super', '1', '2022-09-20 16:38:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572148355805614080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 16:59:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572158701672992768', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-20 17:40:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572168085929070592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 18:17:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572172158833135616', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 18:33:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572177715405131776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 18:55:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572188146932781056', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 19:37:19', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572189402057281536', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-20 19:42:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572229831175835648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-20 22:22:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572387867043434496', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-21 08:50:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572389862571642880', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 08:58:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572393547414507520', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-21 09:13:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572394881953959936', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-21 09:18:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572398574782779392', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 09:33:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572398985136705536', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-21 09:35:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572403399570362368', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 09:52:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572403637068632064', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-21 09:53:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572405741933957120', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-21 10:01:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572416490483879936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 10:44:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572427177402699776', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-21 11:27:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572428201882423296', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-21 11:31:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572432562377330688', '1', '主宰', '172.16.60.78', 'super', '1', '2022-09-21 11:48:32', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572459683204173824', '1', '主宰', '172.16.60.78', 'super', '1', '2022-09-21 13:36:18', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572459969566085120', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-21 13:37:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572460544064098304', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-21 13:39:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572461887495475200', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-21 13:45:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572464408704192512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 13:55:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572473665029804032', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-21 14:31:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572475931770097664', '1', '主宰', '172.16.60.78', 'super', '1', '2022-09-21 14:40:52', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572477587148640256', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-21 14:47:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572478169288675328', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 14:49:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572479773811281920', '1', '主宰', '172.16.60.51', 'super', '1', '2022-09-21 14:56:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572481931134767104', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-21 15:04:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572482818334920704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 15:08:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572497856969969664', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-21 16:07:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572500044702158848', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-21 16:16:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572501650512416768', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-21 16:23:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572505935182696448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 16:40:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572509800619708416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 16:55:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572510227704713216', '1', '主宰', '172.16.60.78', 'super', '1', '2022-09-21 16:57:09', 'MSEdge', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572510432533549056', '1567097186544652288', '何云凡', '172.16.60.51', 'hyf', '1', '2022-09-21 16:57:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572512137786560512', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-21 17:04:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572512325989175296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:05:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572512347937968128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:05:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572512391130910720', null, null, '127.0.0.1', null, '1', '2022-09-21 17:05:45', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1572512415885692928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:05:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572512882795614208', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-21 17:07:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572512991616831488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:08:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572513088211652608', '1570585310226681856', '张三', '127.0.0.1', '666555', '1', '2022-09-21 17:08:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572513728165974016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:11:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572515861623869440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:19:32', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572515885221023744', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:19:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572523285265125376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:49:02', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572523314503618560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:49:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572524292296544256', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:53:02', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572524312731193344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-21 17:53:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572752939448143872', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-22 09:01:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572753036512727040', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-22 09:01:59', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572753195661398016', '1', '主宰', '222.137.30.43', 'super', '1', '2022-09-22 09:02:37', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572753685010845696', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-22 09:04:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572754139732119552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 09:06:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572754154600927232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 09:06:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572754163065032704', '1', '主宰', '222.137.30.43', 'super', '1', '2022-09-22 09:06:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572754553651204096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 09:08:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572758322552115200', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-22 09:22:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572758413425905664', '1564821097285816320', '李工会', '222.137.30.43', 'ligonghui', '1', '2022-09-22 09:23:21', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572759140009381888', '1567046004463767552', '刘国灿', '172.16.60.246', '9527', '1', '2022-09-22 09:26:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572759324210630656', '1567046004463767552', '刘国灿', '172.16.60.246', '9527', '1', '2022-09-22 09:26:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572759366166253568', '1', '主宰', '172.16.60.246', 'super', '1', '2022-09-22 09:27:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572760082364633088', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 09:29:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572761883222609920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 09:37:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572762030526566400', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 09:37:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572762059395960832', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 09:37:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572762061711216640', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 09:37:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572763333222862848', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-22 09:42:54', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572766285878661120', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 09:54:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572771104689360896', '1564821097285816320', '李工会', '222.137.30.43', 'ligonghui', '1', '2022-09-22 10:13:47', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572779158403158016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 10:45:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572780280081682432', null, null, '222.137.30.43', null, '1', '2022-09-22 10:50:14', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1572780285022572544', null, null, '222.137.30.43', null, '1', '2022-09-22 10:50:15', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1572780299656499200', '1', '主宰', '222.137.30.43', 'super', '1', '2022-09-22 10:50:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572780396964352000', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-09-22 10:50:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572785087626481664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 11:09:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572786508375658496', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 11:14:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572790863422164992', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-22 11:32:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572793678160859136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 11:43:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572821547209592832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 13:34:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572822501770268672', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 13:38:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572822739805409280', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-22 13:38:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572823075035156480', null, null, '218.28.192.38', null, '1', '2022-09-22 13:40:17', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1572823089132212224', null, null, '218.28.192.38', null, '1', '2022-09-22 13:40:21', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1572823965594947584', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 13:43:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572825350642208768', '1567046004463767552', '刘国灿', '172.16.60.246', '9527', '1', '2022-09-22 13:49:20', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1572825406535503872', '1567046004463767552', '刘国灿', '172.16.60.246', '9527', '1', '2022-09-22 13:49:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572825577893793792', '1567046004463767552', '刘国灿', '172.16.60.246', '9527', '1', '2022-09-22 13:50:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572825615827079168', '1', '主宰', '172.16.60.246', 'super', '1', '2022-09-22 13:50:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572826055553716224', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 13:52:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572827449631313920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 13:57:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572827556061777920', '1', '主宰', '172.16.60.246', 'super', '1', '2022-09-22 13:58:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572827636093292544', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-22 13:58:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572827651306033152', '1', '主宰', '172.16.60.246', 'super', '1', '2022-09-22 13:58:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572827743991762944', '1', '主宰', '172.16.60.246', 'super', '1', '2022-09-22 13:58:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572828232317800448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 14:00:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572828260121841664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 14:00:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572829081286873088', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-09-22 14:04:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572839579130662912', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 14:45:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1572839607773564928', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 14:45:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572840117347946496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 14:48:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572851934925295616', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-09-22 15:34:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572852634694586368', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-22 15:37:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572853526244233216', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-22 15:41:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572858926695845888', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 16:02:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572862361356865536', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-22 16:16:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572865829605871616', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-09-22 16:30:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572868565562953728', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-09-22 16:41:03', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572869392474181632', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-22 16:44:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572869583373733888', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-22 16:45:06', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572873930409119744', '1567097186544652288', '何云凡', '172.16.60.167', 'hyf', '1', '2022-09-22 17:02:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572878169764139008', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-09-22 17:19:13', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1572882781598519296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-22 17:37:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1572899599935475712', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-22 18:44:22', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573114492991180800', '1', '主宰', '182.119.36.255', 'super', '1', '2022-09-23 08:58:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573118392225894400', '1564821097285816320', '李工会', '182.119.36.255', 'ligonghui', '1', '2022-09-23 09:13:46', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573120500559908864', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-23 09:22:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573120723810127872', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:23:02', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573120757645578240', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:23:10', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573120877359403008', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:23:39', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573120979905941504', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:24:03', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573121686654554112', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:26:52', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573122060358651904', '1570604410206294016', '张磊', '218.28.234.62', '1004', '1', '2022-09-23 09:28:21', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573122068046811136', '1', '主宰', '182.119.36.255', 'super', '1', '2022-09-23 09:28:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573122371668283392', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:29:35', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573123433305346048', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 09:33:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573123460543156224', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 09:33:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573123864240721920', '1', '主宰', '182.119.36.255', 'super', '1', '2022-09-23 09:35:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573126141806514176', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 09:44:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573126287516635136', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 09:45:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573126298895781888', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:45:12', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573126411898720256', '1', '主宰', '182.119.36.255', 'super', '1', '2022-09-23 09:45:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573126440751337472', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 09:45:45', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573126755110227968', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 09:47:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573130846582476800', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 10:03:16', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573130891729965056', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 10:03:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573131111410831360', null, null, '182.119.36.255', null, '1', '2022-09-23 10:04:19', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1573131247285309440', '1', '主宰', '172.16.60.220', 'super', '1', '2022-09-23 10:04:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573131373349310464', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 10:05:21', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573135655909855232', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 10:22:22', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573138987747512320', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-23 10:35:37', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573140128946327552', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 10:40:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573142386610147328', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-23 10:49:07', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573154825577828352', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 11:38:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573156011768942592', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 11:43:16', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573184111542145024', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-23 13:34:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573194805079576576', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-23 14:17:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573201023156228096', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-23 14:42:07', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573203211504979968', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 14:50:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573209540420308992', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-23 15:15:58', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573209551279362048', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-23 15:16:01', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573209557533069312', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-23 15:16:02', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573210519173730304', '1', '主宰', '172.16.60.234', 'super', '1', '2022-09-23 15:19:51', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573213838365560832', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 15:33:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573226546691444736', '1', '主宰', '222.137.30.153', 'super', '1', '2022-09-23 16:23:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573226614727249920', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-23 16:23:49', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1573241148351320064', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 17:21:34', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1573241198095765504', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 17:21:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1573249499026034688', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 17:54:45', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1573249951880843264', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-23 17:56:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574202816724078592', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-26 09:02:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574209402477613056', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 09:29:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574242155420061696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 11:39:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574271850043805696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 13:37:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574272228424552448', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-26 13:38:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574282330833555456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 14:18:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574282723365883904', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 14:20:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574318842547671040', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 16:43:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574327485183692800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-26 17:18:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574334945999065088', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-26 17:47:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574335915407577088', '1564191182190415872', '本部运营1', '172.16.60.167', 'lb001', '1', '2022-09-26 17:51:47', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1574335927436840960', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-26 17:51:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574567542201126912', '1564191182190415872', '本部运营1', '172.16.60.167', 'lb001', '1', '2022-09-27 09:12:11', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1574568639988895744', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-27 09:16:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574571306639298560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 09:27:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574571818818342912', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-27 09:29:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574590844877541376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 10:44:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574594270449504256', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 10:58:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574594346630647808', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 10:58:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574594379669180416', null, null, '218.28.192.38', null, '1', '2022-09-27 10:58:49', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1574594419737366528', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 10:58:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574594472107446272', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 10:59:11', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574594494010101760', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-27 10:59:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574598965708591104', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-27 11:17:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574599756322312192', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-27 11:20:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574601096935116800', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-27 11:25:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574601186827440128', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-27 11:25:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574601223489851392', '1', '主宰', '172.16.60.49', 'super', '1', '2022-09-27 11:26:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574601386967044096', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-27 11:26:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574601439047716864', '1', '主宰', '172.16.60.49', 'super', '1', '2022-09-27 11:26:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574601642790227968', '1', '主宰', '172.16.60.49', 'super', '1', '2022-09-27 11:27:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574601695609098240', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-27 11:27:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574601922202177536', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-27 11:28:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574602748345847808', '1570604410206294016', '张磊', '222.137.47.65', '1004', '1', '2022-09-27 11:32:05', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574604385596608512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 11:38:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574608406122205184', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-27 11:54:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574635914800533504', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-27 13:43:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574636408449142784', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-09-27 13:45:50', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574636441143742464', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-27 13:45:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574643551378214912', null, null, '218.28.192.38', null, '1', '2022-09-27 14:14:13', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1574643570596515840', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-27 14:14:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574643682450214912', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-27 14:14:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574645065425489920', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-27 14:20:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574648686036783104', '1570604410206294016', '张磊', '222.137.47.65', '1004', '1', '2022-09-27 14:34:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574652012941938688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 14:47:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574653601702350848', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 14:54:09', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574653641787314176', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 14:54:19', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574653666659536896', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 14:54:24', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574656294642651136', null, null, '218.28.192.38', null, '1', '2022-09-27 15:04:51', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1574656312585883648', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-09-27 15:04:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574657680285503488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:10:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574662718370222080', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-27 15:30:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574663102258089984', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-27 15:31:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574663175243173888', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-27 15:32:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574663442697162752', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-27 15:33:15', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1574663476440338432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:33:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574663648629100544', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-27 15:34:04', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574663721685487616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:34:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574663763687247872', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:34:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574663814983585792', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:34:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664074426454016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:35:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664080336228352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:35:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664107825696768', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:35:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664156223770624', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:36:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664685310054400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664705329467392', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664733540356096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664737315229696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664738984562688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664778750758912', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664821201309696', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-27 15:38:44', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1574664851874254848', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-27 15:38:51', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1574664858773884928', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-27 15:38:53', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1574664879200145408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664884828901376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:38:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574664960355733504', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:39:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574665197979832320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:40:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574665343870308352', '1570604410206294016', '张磊', '222.137.47.65', '1004', '1', '2022-09-27 15:40:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574665924944990208', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-27 15:43:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574667537294168064', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-27 15:49:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574667646090219520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-27 15:49:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574669162477916160', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-27 15:55:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574671682742915072', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-27 16:06:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574673071632158720', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-27 16:11:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574687178989113344', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-27 17:07:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574697237659914240', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-27 17:47:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574930080369610752', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 09:12:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574930199101968384', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-28 09:13:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574933198855606272', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-28 09:25:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574938308130246656', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-28 09:45:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574938522303991808', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-28 09:46:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574942519773499392', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-28 10:02:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574942854311186432', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-28 10:03:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574944826288377856', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 10:11:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574952721310683136', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-28 10:42:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574953069052039168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 10:44:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574953218423787520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 10:44:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574953273943789568', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 10:44:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574958831677607936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 11:07:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574963253291913216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 11:24:36', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1574963647766204416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 11:26:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574964351239065600', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-28 11:28:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574969521935093760', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 11:49:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574995517094629376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 13:32:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574995609910382592', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-28 13:33:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574995862457815040', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-28 13:34:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574996490525478912', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 13:36:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574997241746296832', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-28 13:39:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574998681889935360', '1', '主宰', '182.119.39.193', 'super', '1', '2022-09-28 13:45:22', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1574998731177201664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 13:45:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1574998756368191488', '1570604410206294016', '张磊', '182.119.39.193', '1004', '1', '2022-09-28 13:45:40', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575007547516129280', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 14:20:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575013250024738816', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-28 14:43:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575013361706471424', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-28 14:43:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575017659156795392', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 15:00:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575017716690063360', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-28 15:01:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575028319458562048', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-28 15:43:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575031750139187200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 15:56:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575036420698017792', '1570604410206294016', '张磊', '182.119.39.193', '1004', '1', '2022-09-28 16:15:20', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575038709018005504', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-28 16:24:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575042791350865920', null, null, '172.16.60.17', null, '1', '2022-09-28 16:40:39', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1575042812339163136', '1564821097285816320', '李工会', '172.16.60.17', 'ligonghui', '1', '2022-09-28 16:40:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575043224253370368', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 16:42:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575044564228640768', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-28 16:47:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575044658785030144', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 16:48:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575054580004294656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-28 17:27:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575288105194360832', '1570604410206294016', '张磊', '182.119.38.148', '1004', '1', '2022-09-29 08:55:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575294819037745152', '1', '主宰', '172.16.60.130', 'super', '1', '2022-09-29 09:22:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575297057114165248', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-29 09:31:01', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575297127968542720', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-29 09:31:18', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575297161959182336', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-29 09:31:26', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575297334223441920', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-29 09:32:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575297375449255936', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-29 09:32:17', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575297962110750720', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-29 09:34:36', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575298511904313344', '1', '主宰', '222.137.47.65', 'super', '1', '2022-09-29 09:36:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575299397992976384', '1', '主宰', '222.137.47.65', 'super', '1', '2022-09-29 09:40:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575299526250598400', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 09:40:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575301456758706176', '1', '主宰', '222.137.47.65', 'super', '1', '2022-09-29 09:48:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575301839002406912', '1', '主宰', '222.137.47.65', 'super', '1', '2022-09-29 09:50:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575301912683745280', '1', '主宰', '222.137.46.252', 'super', '1', '2022-09-29 09:50:18', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575303454090465280', '1', '主宰', '222.137.46.252', 'super', '1', '2022-09-29 09:56:26', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575304043251765248', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-29 09:58:46', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575304158679011328', '1570604410206294016', '张磊', '182.119.38.148', '1004', '1', '2022-09-29 09:59:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575307130783797248', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:02', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307151864369152', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307163235127296', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307220562874368', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:24', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307232973819904', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307242301952000', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307275252404224', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307284555370496', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:11:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307292507770880', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307301693296640', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307313273769984', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307322476072960', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307355451691008', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307364666576896', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:11:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575307398195843072', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:12:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575307409465937920', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:12:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575308443575783424', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 10:16:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575308940747608064', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 10:18:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575312937093042176', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-29 10:34:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575313376047927296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 10:35:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575319658104492032', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-09-29 11:00:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575320184879714304', '1570604410206294016', '张磊', '182.119.38.148', '1004', '1', '2022-09-29 11:02:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575321409838780416', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 11:07:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575323898982043648', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-29 11:17:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575327370011873280', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 11:31:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575327611947716608', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 11:32:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575327718533369856', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-29 11:32:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575329313430048768', '1', '主宰', '172.16.60.79', 'super', '1', '2022-09-29 11:39:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575358063597195264', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-29 13:33:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575359703465201664', '1', '主宰', '172.16.60.167', 'super', '1', '2022-09-29 13:39:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575364047992393728', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 13:57:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575364154414469120', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-29 13:57:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575366937653940224', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 14:08:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575380654798016512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 15:03:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575382569585872896', '1', '主宰', '222.137.46.252', 'super', '1', '2022-09-29 15:10:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575389382473551872', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-29 15:37:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575398973747892224', '1', '主宰', '172.16.60.130', 'super', '1', '2022-09-29 16:15:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575399293244805120', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-29 16:17:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575407364494987264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 16:49:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575411562217345024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 17:06:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575413072561049600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 17:12:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575413552422981632', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-09-29 17:13:55', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575420929910116352', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-29 17:43:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575428949369032704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-29 18:15:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575657467252183040', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-30 09:23:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575659218894196736', '1', '主宰', '218.28.192.38', 'super', '1', '2022-09-30 09:30:07', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575662465314852864', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-30 09:43:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575664252411318272', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-30 09:50:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575667450173853696', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-30 10:02:49', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575670803612176384', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 10:16:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575670816635490304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 10:16:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575673935624802304', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-30 10:28:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575674070580727808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 10:29:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575678113550045184', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-30 10:45:12', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575679401675329536', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 10:50:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575681251627634688', '1', '主宰', '172.16.60.130', 'super', '1', '2022-09-30 10:57:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575683389183365120', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 11:06:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575689945429970944', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-30 11:32:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575705309765308416', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-30 12:33:16', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575721204445220864', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-30 13:36:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575721653881671680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 13:38:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575723437958238208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 13:45:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575725815583346688', '1570604410206294016', '张磊', '222.137.30.201', '1004', '1', '2022-09-30 13:54:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575726572206428160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 13:57:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575728028602994688', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-30 14:03:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575730811536281600', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 14:14:36', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575732217857052672', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 14:20:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575732738693140480', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-30 14:22:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575735095044739072', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 14:31:37', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575735121481437184', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:31:43', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575735141823811584', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:31:48', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575735191748612096', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:32:00', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575735198539190272', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:32:02', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575735225303044096', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:32:08', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575735232651464704', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:32:10', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575735236543778816', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:32:11', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575737195455713280', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 14:39:58', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575737219887534080', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 14:40:04', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575737233527410688', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 14:40:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575737617398501376', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 14:41:38', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575737671244976128', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:41:51', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575737688127049728', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:41:55', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575737703977324544', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:41:59', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1575737739683434496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 14:42:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575738137752244224', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 14:43:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575738152503611392', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 14:43:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575739635500453888', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 14:49:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575739669428178944', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:49:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575739779113422848', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:50:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575739851087679488', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 14:50:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575742127118356480', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 14:59:34', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575747223638118400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 15:19:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575756007286640640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 15:54:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1575756026907594752', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 15:54:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575763178871197696', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-30 16:23:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1575765776743403520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 16:33:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575766391364128768', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-09-30 16:35:59', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575767508168871936', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-09-30 16:40:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575769256363167744', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-09-30 16:47:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575774325141803008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-09-30 17:07:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1575775145207926784', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-09-30 17:10:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578553872698445824', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 09:12:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578555947524165632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 09:20:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578555972996173824', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 09:20:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578556037835919360', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 09:21:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578559411306237952', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 09:34:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578559485721579520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 09:34:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578568926344908800', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-10-08 10:12:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578572938653863936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 10:28:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578576620380360704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 10:42:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578585633922879488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 11:18:38', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578585676289544192', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-08 11:18:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578586859355901952', '1', '主宰', '172.16.60.48', 'super', '1', '2022-10-08 11:23:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578589786745212928', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-10-08 11:35:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578592365185208320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 11:45:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578593256122486784', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-08 11:48:56', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578609990959239168', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-08 12:55:26', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578612889009393664', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-10-08 13:06:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578614331115966464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 13:12:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578614879114366976', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-08 13:14:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578615574760656896', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-10-08 13:17:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578616095672242176', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-08 13:19:41', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578616140886839296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 13:19:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578616483708276736', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 13:21:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578616557016322048', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 13:21:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578616625249259520', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 13:21:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578617051205996544', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-08 13:23:29', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578618127233716224', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 13:27:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578618312991051776', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 13:28:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578618368095817728', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 13:28:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578618433950584832', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 13:28:59', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578618458076221440', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 13:29:04', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1578618500962979840', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 13:29:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578619792615673856', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 13:34:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578619838790766592', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 13:34:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578620418095452160', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 13:36:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578620473955192832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 13:37:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578621788366180352', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-08 13:42:18', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578625832467959808', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 13:58:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578627165514240000', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 14:03:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578627217414557696', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 14:03:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578627288000499712', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 14:04:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578627321282301952', '1578620683645227008', '往往', '127.0.0.1', '001003', '1', '2022-10-08 14:04:18', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1578627360494850048', '1578620683645227008', '往往', '127.0.0.1', '001003', '1', '2022-10-08 14:04:27', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1578627384997974016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 14:04:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578627527751110656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 14:05:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578627556071051264', '1578618868123963392', '王菲菲', '127.0.0.1', '001005', '1', '2022-10-08 14:05:14', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1578627610244681728', '1570300883655331840', '郑州的班主任1111', '127.0.0.1', '001002', '1', '2022-10-08 14:05:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578628468286033920', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-08 14:08:51', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578636572843184128', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-08 14:41:03', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578639796295831552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 14:53:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578639882144845824', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-10-08 14:54:12', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578641332103155712', '1561992470802337792', '常远', '127.0.0.1', 'changyuan', '1', '2022-10-08 14:59:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578649144636084224', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-08 15:31:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578674539758489600', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-10-08 17:11:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578677827442708480', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-08 17:24:59', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578711395321647104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-08 19:38:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578914438621302784', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 09:05:12', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578914648122593280', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 09:06:02', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578914778015993856', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 09:06:33', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578914918059610112', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 09:07:06', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578914938884329472', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 09:07:11', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578915565085528064', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-09 09:09:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578917479298764800', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 09:17:17', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1578918272957550592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-09 09:20:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578918780988428288', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-09 09:22:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578928061192212480', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-09 09:59:20', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1578928092301365248', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-09 09:59:27', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578932280087416832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-09 10:16:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578941552464629760', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-09 10:52:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578952647501811712', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-09 11:37:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578977405207449600', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-09 13:15:24', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578978394475991040', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-09 13:19:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578989485495029760', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-09 14:03:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1578993842131177472', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-09 14:20:43', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579000513339461632', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-09 14:47:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579003895777202176', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-09 15:00:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579003967520772096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-09 15:00:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579003997874950144', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-09 15:01:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579006084079816704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-09 15:09:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579006365475672064', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-09 15:10:29', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579006995938283520', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-09 15:12:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579008438862745600', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-10-09 15:18:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579010810334810112', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-09 15:28:08', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579013933958828032', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-09 15:40:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579026489737875456', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-09 16:30:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579030145350635520', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-09 16:44:58', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579277481721073664', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-10 09:07:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579281296490893312', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 09:22:57', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579286910730375168', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-10 09:45:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579289629054603264', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-10 09:56:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579292708520988672', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 10:08:18', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579296449299091456', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-10 10:23:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579297578917433344', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-10-10 10:27:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579297656109404160', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-10-10 10:27:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579297686711046144', '1', '主宰', '172.16.60.49', 'super', '1', '2022-10-10 10:28:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579297897822949376', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-10-10 10:28:55', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579297963308617728', '1569970358516322304', '李班主任', '218.28.192.38', '1002', '1', '2022-10-10 10:29:11', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579304752519450624', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-10 10:56:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579307131289604096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-10 11:05:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579320048340832256', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-10 11:56:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579338643024252928', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-10 13:10:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579340117120782336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-10 13:16:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579341162119041024', '1', '主宰', '172.16.60.49', 'super', '1', '2022-10-10 13:20:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579341363894423552', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-10 13:21:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579346752367104000', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 13:43:03', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579354851236777984', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 14:15:14', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579355732023840768', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-10 14:18:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579357162730295296', '1', '主宰', '172.16.60.49', 'super', '1', '2022-10-10 14:24:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579358874165710848', '1570254194076684288', '李主任', '218.28.192.38', '002', '1', '2022-10-10 14:31:13', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579359162847072256', '1570254194076684288', '李主任', '218.28.192.38', '002', '1', '2022-10-10 14:32:22', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579359221466664960', '1570254194076684288', '李主任', '218.28.192.38', '002', '1', '2022-10-10 14:32:36', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579360479535566848', '1', '主宰', '172.16.60.226', 'super', '1', '2022-10-10 14:37:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579364905595834368', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-10 14:55:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579365338221514752', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 14:56:54', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579369525214842880', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-10 15:13:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579378818873954304', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 15:50:29', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579387659099443200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-10 16:25:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579405796746334208', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-10 17:37:41', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579643035514441728', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-11 09:20:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579646220438212608', '1', '主宰', '192.168.10.182', 'super', '1', '2022-10-11 09:33:02', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579646419214667776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 09:33:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579646626602029056', '1', '主宰', '192.168.10.182', 'super', '1', '2022-10-11 09:34:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579646637712740352', '1570604410206294016', '张磊', '182.119.39.245', '1004', '1', '2022-10-11 09:34:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579646981851189248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 09:36:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579647002906595328', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-11 09:36:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579647712658329600', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-11 09:38:58', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579648053084819456', '1', '主宰', '192.168.10.182', 'super', '1', '2022-10-11 09:40:19', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579672985961369600', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-11 11:19:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579673000486244352', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-11 11:19:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579673025006145536', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-11 11:19:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579674618799722496', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-11 11:25:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579678494621831168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 11:41:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579692813573033984', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-11 12:38:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579700477011038208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 13:08:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579700966305959936', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-11 13:10:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579702464171610112', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-11 13:16:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579703264314789888', '1570604410206294016', '张磊', '182.119.39.245', '1004', '1', '2022-10-11 13:19:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579704558031081472', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 13:24:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579704591988166656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 13:24:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579712753755623424', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-11 13:57:25', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579718055909527552', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-10-11 14:18:29', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579724724316016640', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-10-11 14:44:59', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579724765881569280', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-11 14:45:09', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579725454233964544', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 14:47:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579725774364217344', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-10-11 14:49:09', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579726744942940160', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-10-11 14:53:01', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579726783698309120', '1579726696309985280', '培训中心', '218.28.192.38', '333', '1', '2022-10-11 14:53:10', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579726901990264832', '1579726696309985280', '培训中心', '218.28.192.38', '333', '1', '2022-10-11 14:53:38', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579726928842199040', '1579726696309985280', '培训中心', '218.28.192.38', '333', '1', '2022-10-11 14:53:44', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579729198594002944', '1579726696309985280', '培训中心', '218.28.192.38', '333', '1', '2022-10-11 15:02:46', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579729235889754112', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-10-11 15:02:54', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579729471450255360', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 15:03:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579729560705044480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 15:04:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579732743321948160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 15:16:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1579732832144723968', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 15:17:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579738781437792256', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-11 15:40:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579746401871597568', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-11 16:11:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579754156204363776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-11 16:41:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579756041833418752', '1570604410206294016', '张磊', '223.104.19.69', '1004', '1', '2022-10-11 16:49:25', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1579759817776566272', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-11 17:04:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579760023020638208', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-11 17:05:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579760137256701952', '1561995446459699200', '李昊杰', '218.28.192.38', '003', '1', '2022-10-11 17:05:42', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1579766064672280576', '1561995446459699200', '李昊杰', '172.16.60.234', '003', '1', '2022-10-11 17:29:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1579785224013877248', '1570604410206294016', '张磊', '182.119.36.13', '1004', '1', '2022-10-11 18:45:23', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580004549765238784', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-12 09:16:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580006381572984832', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-12 09:24:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580006957295734784', '1', '主宰', '218.28.192.38', 'super', '1', '2022-10-12 09:26:28', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580015511389999104', '1570604410206294016', '张磊', '1.198.29.109', '1004', '1', '2022-10-12 10:00:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1580032151888465920', '1570604410206294016', '张磊', '1.198.29.109', '1004', '1', '2022-10-12 11:06:35', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1580060758073544704', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-12 13:00:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580066369725140992', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 13:22:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580067511452438528', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-10-12 13:27:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580067562144796672', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-10-12 13:27:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580067582344564736', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-12 13:27:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580067601168601088', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-12 13:27:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580067618788872192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 13:27:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580067807469637632', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-12 13:28:16', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580067872607178752', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 13:28:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580078756998025216', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-12 14:11:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580079538992451584', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-12 14:14:53', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580086028222468096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 14:40:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580086056861175808', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 14:40:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580086966572158976', '1570604410206294016', '张磊', '1.199.79.80', '1004', '1', '2022-10-12 14:44:24', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1580090933813317632', '1567046004463767552', '刘国灿', '172.16.60.49', '9527', '1', '2022-10-12 15:00:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580094797316755456', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-12 15:15:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580103396613033984', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 15:49:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580110345215807488', '1', '主宰', '172.16.60.49', 'super', '1', '2022-10-12 16:17:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580118134399045632', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-12 16:48:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580123660394565632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-12 17:10:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580134031423574016', '1570604410206294016', '张磊', '219.155.52.148', '1004', '1', '2022-10-12 17:51:25', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580373980362182656', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-13 09:44:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580376147340955648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 09:53:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580392549623926784', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 10:58:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580396462641123328', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-13 11:14:14', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580396502927413248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 11:14:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580396527480868864', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-10-13 11:14:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580397917603237888', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-13 11:20:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580398018732101632', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-13 11:20:25', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580398817084313600', '1570604410206294016', '张磊', '115.57.140.1', '1004', '1', '2022-10-13 11:23:35', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580399662605668352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 11:26:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580399673917706240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 11:26:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580403412909035520', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-13 11:41:51', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580403436762042368', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 11:41:56', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580425550961446912', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 13:09:49', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580427253060341760', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 13:16:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580428111009419264', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-13 13:19:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580430993867804672', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-13 13:31:27', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580435638371618816', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 13:49:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580444834597048320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 14:26:26', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580444857015603200', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-13 14:26:32', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580447098007064576', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-13 14:35:26', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580447125353926656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 14:35:33', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580452874800992256', '1569970196410667008', '李露露', '221.15.159.161', '1001', '1', '2022-10-13 14:58:23', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580453398090747904', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-13 15:00:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580463408556412928', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-13 15:40:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580476572278853632', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-13 16:32:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580477999181074432', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-13 16:38:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580478286939688960', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-13 16:39:22', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580478473514913792', '1570604410206294016', '张磊', '115.57.140.138', '1004', '1', '2022-10-13 16:40:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580478958481313792', '1569970196410667008', '李露露', '221.15.159.161', '1001', '1', '2022-10-13 16:42:02', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580483019523887104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 16:58:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580483093893091328', null, null, '127.0.0.1', null, '1', '2022-10-13 16:58:28', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1580483122120757248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 16:58:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580483353386291200', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 16:59:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580483431404539904', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 16:59:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580483470705168384', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 16:59:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580484100903538688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 17:02:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580484132193046528', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 17:02:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580484160378769408', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 17:02:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580486183413223424', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 17:10:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580486206725165056', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 17:10:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580486305748488192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-13 17:11:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580486454969241600', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-13 17:11:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580486527069327360', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 17:12:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580486549827620864', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-10-13 17:12:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580551143325569024', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-13 21:28:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580565294940819456', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-13 22:25:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580733840501116928', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-14 09:34:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580734874267029504', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-14 09:38:57', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580735322982060032', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-14 09:40:44', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580735708992245760', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 09:42:16', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580738569973141504', '1569970196410667008', '李露露', '221.15.155.120', '1001', '1', '2022-10-14 09:53:38', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580744188981547008', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-14 10:15:58', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580752767260168192', '1570604410206294016', '张磊', '115.57.139.73', '1004', '1', '2022-10-14 10:50:03', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580755145543782400', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-14 10:59:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580755235700346880', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-14 10:59:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580757768187547648', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-14 11:09:56', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580768506167824384', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-14 11:52:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580769618258169856', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 11:57:01', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580769619944280064', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-14 11:57:01', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580787035885670400', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-10-14 13:06:14', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580787066302763008', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-14 13:06:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580790758636654592', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-14 13:21:01', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580791556443607040', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-14 13:24:11', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580801556503203840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-14 14:03:56', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580801579974529024', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 14:04:01', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580818407283101696', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-14 15:10:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580819037443723264', '1', '主宰', '172.16.60.186', 'super', '1', '2022-10-14 15:13:23', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580819285633273856', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-14 15:14:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1580821540906340352', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-10-14 15:23:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580821625253793792', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-10-14 15:23:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580821664428593152', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 15:23:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580824991639932928', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-14 15:37:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580825463381692416', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 15:38:55', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580826278406262784', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 15:42:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580828270440615936', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-10-14 15:50:05', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1580828325587324928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-14 15:50:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580838703499186176', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-14 16:31:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1580850863126220800', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-10-14 17:19:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1581440724430360576', '1570604410206294016', '张磊', '115.57.142.26', '1004', '1', '2022-10-16 08:23:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1581577480286900224', '1570604410206294016', '张磊', '115.57.138.64', '1004', '1', '2022-10-16 17:27:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1581825193897234432', '1570604410206294016', '张磊', '115.57.141.35', '1004', '1', '2022-10-17 09:51:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1581827014304862208', '1569970196410667008', '李露露', '221.15.155.15', '1001', '1', '2022-10-17 09:58:44', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1581832369403465728', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-17 10:20:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581842602456649728', '1569970196410667008', '李露露', '221.15.155.15', '1001', '1', '2022-10-17 11:00:40', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1581843365580902400', '1570604410206294016', '张磊', '115.57.139.123', '1004', '1', '2022-10-17 11:03:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1581885635143274496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-17 13:51:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581890498090635264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-17 14:11:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1581890633801535488', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 14:11:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581892752025718784', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 14:19:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581896404496945152', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 14:34:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581897477349576704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-17 14:38:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581911090730766336', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 15:32:49', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581911289477861376', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 15:33:37', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1581911346289709056', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 15:33:50', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581912156293697536', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-17 15:37:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581915888842575872', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 15:51:53', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1581917280554586112', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-17 15:57:25', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1581934841216241664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-17 17:07:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582177450945810432', '1570604410206294016', '张磊', '115.57.142.194', '1004', '1', '2022-10-18 09:11:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582184267067297792', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-18 09:38:19', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582186792524845056', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-18 09:48:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582197404210434048', '1570604410206294016', '张磊', '115.57.143.137', '1004', '1', '2022-10-18 10:30:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582243818546270208', '1581888248303718400', '李全', '127.0.0.1', 'li111', '1', '2022-10-18 13:34:58', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582251958864056320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-18 14:07:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582263315344789504', '1570604410206294016', '张磊', '115.57.141.16', '1004', '1', '2022-10-18 14:52:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582272835315961856', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-18 15:30:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582286062208815104', '1569970196410667008', '李露露', '221.15.155.15', '1001', '1', '2022-10-18 16:22:49', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582286112397856768', '1569970196410667008', '李露露', '221.15.155.15', '1001', '1', '2022-10-18 16:23:01', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582286156735844352', '1', '主宰', '221.15.155.15', 'super', '1', '2022-10-18 16:23:12', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582544899486650368', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 09:31:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582545451549331456', '1', '主宰', '223.104.111.210', 'super', '1', '2022-10-19 09:33:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1582565766547509248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-19 10:54:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582569064910426112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-19 11:07:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582575213793644544', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 11:31:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582578497820430336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-19 11:44:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582613307439845376', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-19 14:03:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582639203576057856', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 15:46:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582639478424604672', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 15:47:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582639502533464064', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 15:47:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582640688896544768', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 15:51:59', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582640725508624384', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 15:52:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582641352364134400', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 15:54:37', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582641378549174272', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 15:54:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582642173088763904', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 15:57:53', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582642202746687488', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 15:58:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582643124663095296', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 16:01:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582643146372812800', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 16:01:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582650229113622528', '1', '主宰', '221.15.155.15', 'super', '1', '2022-10-19 16:29:53', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582650762058665984', '1570604410206294016', '张磊', '115.57.139.78', '1004', '1', '2022-10-19 16:32:01', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582652591219806208', '1', '主宰', '221.15.155.15', 'super', '1', '2022-10-19 16:39:17', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582655269803003904', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 16:49:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582655358617391104', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 16:50:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582655383397339136', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 16:50:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582660896482791424', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 17:12:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582660978972168192', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 17:12:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582667415597223936', '1570604410206294016', '张磊', '115.57.139.78', '1004', '1', '2022-10-19 17:38:11', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582672138219950080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-19 17:56:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582675287722823680', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 18:09:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582675314553786368', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 18:09:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582683763572346880', '1570604410206294016', '张磊', '115.57.142.6', '1004', '1', '2022-10-19 18:43:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582684281472421888', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 18:45:12', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582684350321922048', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 18:45:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582685021393784832', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 18:48:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582685101802786816', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 18:48:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582691462527717376', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 19:13:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582691531809230848', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 19:14:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582694960568864768', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 19:27:38', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582694990377783296', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 19:27:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582695053967626240', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 19:28:01', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582695108883648512', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 19:28:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582695473708404736', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 19:29:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582695511289368576', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 19:29:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582695548467679232', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-19 19:29:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582695624514605056', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 19:30:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582701277253603328', '1', '主宰', '221.15.155.15', 'super', '1', '2022-10-19 19:52:44', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582701353673822208', '1', '主宰', '221.15.155.15', 'super', '1', '2022-10-19 19:53:03', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582716878294487040', '1570604410206294016', '张磊', '115.57.142.6', '1004', '1', '2022-10-19 20:54:44', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582722430940614656', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-19 21:16:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582742132140150784', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-19 22:35:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582915530162049024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 10:04:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582916504092020736', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 10:07:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582926341261627392', '1', '主宰', '221.15.155.82', 'super', '1', '2022-10-20 10:47:04', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582939590153605120', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:39:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582939624366542848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:39:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582939688057049088', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:40:06', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582939869821407232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:40:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582940707092566016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:44:09', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582940729041358848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:44:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582941759565074432', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 11:48:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582941807900233728', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 11:48:31', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582941846928232448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:48:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582944098376093696', '1570604410206294016', '张磊', '115.57.138.179', '1004', '1', '2022-10-20 11:57:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582944153514414080', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-20 11:57:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1582944482763083776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 11:59:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582947439189561344', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 12:10:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582948661699153920', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 12:15:45', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582948708226568192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 12:15:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582959332339879936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 12:58:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582970524173209600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 13:42:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582978223128580096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 14:13:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582979022239961088', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 14:16:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582979071074242560', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 14:16:36', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582979121808543744', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 14:16:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582987145726005248', '1570604410206294016', '张磊', '115.57.139.142', '1004', '1', '2022-10-20 14:48:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1582988481645383680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 14:53:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582988545969229824', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 14:54:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1582999259001786368', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 15:36:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1582999300223406080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 15:36:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583011574136836096', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 16:25:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583011625408008192', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-20 16:25:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583011668974243840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 16:26:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583021052810891264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 17:03:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583040057172955136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-20 18:18:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583040918905294848', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-20 18:22:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583072683334176768', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-20 20:28:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583082761298776064', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-20 21:08:37', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583087087874347008', '1570604410206294016', '张磊', '115.57.136.63', '1004', '1', '2022-10-20 21:25:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583092222545498112', '1', '主宰', '123.161.217.220', 'super', '1', '2022-10-20 21:46:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583262858534326272', '1570604410206294016', '张磊', '115.57.140.49', '1004', '1', '2022-10-21 09:04:16', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583276058554273792', '1570604410206294016', '张磊', '115.57.141.163', '1004', '1', '2022-10-21 09:56:43', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583278198718861312', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 10:05:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583278981107552256', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-21 10:08:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583279101593128960', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-21 10:08:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583279172623667200', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-21 10:09:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583281647585988608', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-21 10:18:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583287011828174848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 10:40:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583287079452938240', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-10-21 10:40:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583287183853359104', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-10-21 10:40:55', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583287250786062336', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-10-21 10:41:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583290211230683136', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-21 10:52:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583290436880044032', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-21 10:53:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583290464726028288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 10:53:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583302340344156160', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-21 11:41:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583306263398322176', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-10-21 11:56:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583315828714115072', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-21 12:34:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583323531872178176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 13:05:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583326556498038784', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 13:17:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583326677361102848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 13:17:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583338241032065024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 14:03:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583339906434994176', '1570604410206294016', '张磊', '115.57.136.243', '1004', '1', '2022-10-21 14:10:25', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583345060504801280', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-21 14:30:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583356193571737600', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-21 15:15:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583358874273058816', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 15:25:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583359535060488192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 15:28:25', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583368883115528192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 16:05:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583371960715448320', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 16:17:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583372754558783488', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-21 16:20:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583388176834236416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 17:22:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583393572252684288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 17:43:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583403401146929152', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-21 18:22:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583407446699937792', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-21 18:38:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583646714055757824', '1570604410206294016', '张磊', '115.57.140.251', '1004', '1', '2022-10-22 10:29:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583667234088292352', '1570604410206294016', '张磊', '115.57.140.251', '1004', '1', '2022-10-22 11:51:06', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583682569814282240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 12:52:03', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1583682593138806784', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 12:52:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583691326292103168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 13:26:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583709878831157248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:40:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583710455610871808', '1', '主宰', '123.149.29.235', 'super', '1', '2022-10-22 14:42:51', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583710568135659520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:43:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583710714797887488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:43:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583710746750095360', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:44:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583710770275946496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:44:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583710838622130176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:44:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583711145297055744', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-22 14:45:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583711928973398016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:48:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583711982660489216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:48:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583712357576740864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:50:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583712452498034688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:50:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583712665266688000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:51:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583713373009350656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:54:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583713792024514560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 14:56:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583717321153843200', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-22 15:10:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583720873557364736', '1570604410206294016', '张磊', '115.57.140.86', '1004', '1', '2022-10-22 15:24:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583721252193964032', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-22 15:25:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583722709236453376', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 15:31:33', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583722737841606656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 15:31:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583723701231292416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 15:35:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583723727219200000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 15:35:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583724796124991488', '1', '主宰', '123.161.218.122', 'super', '1', '2022-10-22 15:39:50', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1583728765803040768', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 15:55:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583729075397201920', '1', '主宰', '221.15.155.82', 'super', '1', '2022-10-22 15:56:50', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583729115893207040', '1', '主宰', '221.15.155.82', 'super', '1', '2022-10-22 15:57:00', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583729659273678848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 15:59:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583730503322832896', '1', '主宰', '221.15.155.82', 'super', '1', '2022-10-22 16:02:31', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583730986670231552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:04:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583731166039642112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:05:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583731188009406464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:05:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583731509339230208', '1', '主宰', '221.15.155.82', 'super', '1', '2022-10-22 16:06:31', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1583731561319239680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:06:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583731794799366144', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:07:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583731826915151872', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:07:47', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583731855277035520', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-22 16:07:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583732361860878336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-22 16:09:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583733630579118080', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-22 16:14:57', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583733659482066944', '1579726696309985280', '培训中心', '127.0.0.1', '333', '1', '2022-10-22 16:15:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583733916630650880', '1579726696309985280', '培训中心', '127.0.0.1', '333', '1', '2022-10-22 16:16:05', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1583733939116314624', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-22 16:16:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1583745053258551296', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-22 17:00:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584013513444167680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-23 10:47:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584176831379148800', '1570604410206294016', '张磊', '115.57.142.237', '1004', '1', '2022-10-23 21:36:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584351124553601024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 09:08:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584358007066726400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 09:35:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584358322092511232', '1570604410206294016', '张磊', '115.57.142.168', '1004', '1', '2022-10-24 09:37:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584361000994476032', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 09:47:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584363475860328448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 09:57:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584377771063382016', '1570604410206294016', '张磊', '115.57.142.168', '1004', '1', '2022-10-24 10:54:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584381940520325120', '1', '主宰', '221.15.156.184', 'super', '1', '2022-10-24 11:11:06', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584386622349250560', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 11:29:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584393705673068544', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 11:57:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584393911932162048', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 11:58:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584407743404576768', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 12:53:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584411067424051200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 13:06:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584418428398211072', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 13:36:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584421932634345472', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 13:50:01', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584421958601281536', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-24 13:50:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584422389620543488', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-24 13:51:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584422408973062144', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 13:51:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584422855846793216', '1570604410206294016', '张磊', '115.57.143.15', '1004', '1', '2022-10-24 13:53:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584426109913665536', '1', '主宰', '221.15.156.184', 'super', '1', '2022-10-24 14:06:36', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584432891474087936', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 14:33:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584436985693605888', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 14:49:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584437032934051840', '1567046004463767552', '刘国灿', '223.88.67.230', '9527', '1', '2022-10-24 14:50:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584437065024671744', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 14:50:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584437321850294272', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-24 14:51:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584437540470001664', '1567046004463767552', '刘国灿', '223.88.67.230', '9527', '1', '2022-10-24 14:52:02', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584437583511949312', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 14:52:12', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584438624819220480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 14:56:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584438734298943488', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 14:56:46', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584438757430530048', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 14:56:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584438774115471360', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 14:56:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584438900535988224', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 14:57:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584439081025277952', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 14:58:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584440690471997440', '1', '主宰', '221.15.156.184', 'super', '1', '2022-10-24 15:04:33', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584441341532835840', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 15:07:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584442389005733888', '1', '主宰', '221.15.156.184', 'super', '1', '2022-10-24 15:11:18', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584444034074677248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 15:17:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584444654244466688', '1567046004463767552', '刘国灿', '223.88.67.230', '9527', '1', '2022-10-24 15:20:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584445077105807360', '1570604410206294016', '张磊', '115.57.143.15', '1004', '1', '2022-10-24 15:21:59', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584446445841420288', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:27:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584446463935647744', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:27:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584446850566590464', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:29:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584447756532060160', '1', '主宰', '221.15.156.184', 'super', '1', '2022-10-24 15:32:37', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584447776937349120', '1', '主宰', '221.15.156.184', 'super', '1', '2022-10-24 15:32:42', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584447819308208128', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 15:32:52', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584453019494387712', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:53:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584453184376672256', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 15:54:12', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584453698686423040', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:56:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584453741585764352', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 15:56:24', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584453966467567616', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:57:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584454033568043008', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 15:57:34', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584454495096672256', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 15:59:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584461685043892224', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 16:27:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584470294234533888', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-24 17:02:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584471333243326464', '1570604410206294016', '张磊', '115.57.136.161', '1004', '1', '2022-10-24 17:06:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584473154556923904', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 17:13:33', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584473279295524864', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 17:14:03', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584473837725159424', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 17:16:16', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584473851964821504', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 17:16:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584473871002767360', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 17:16:24', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584473901063344128', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 17:16:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584489662934814720', '1569970196410667008', '李露露', '123.161.217.220', '1001', '1', '2022-10-24 18:19:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584489700318646272', '1569970621243330560', '李市级', '123.161.217.220', '1003', '1', '2022-10-24 18:19:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584499806418636800', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 18:59:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584502451069915136', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 19:09:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584502483781292032', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-24 19:10:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584513896369229824', '1570604410206294016', '张磊', '115.57.139.179', '1004', '1', '2022-10-24 19:55:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584518713435099136', '1569970196410667008', '李露露', '221.15.156.184', '1001', '1', '2022-10-24 20:14:35', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1584713577263140864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 09:08:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584714521925259264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 09:12:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584714543022608384', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 09:12:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584717927234539520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 09:26:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584727439572078592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 10:03:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584727983531364352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 10:06:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584732260517679104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 10:23:08', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1584732388058075136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 10:23:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584742187885793280', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-25 11:02:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584801135930249216', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-25 14:56:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1584803232276942848', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-25 15:05:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584804076762304512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 15:08:31', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1584804084978946048', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 15:08:33', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1584804106969681920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 15:08:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584847681103204352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 18:01:47', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1584847732181438464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 18:01:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584848776307281920', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-25 18:06:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1584863542476148736', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-25 19:04:49', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584863624239910912', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-25 19:05:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584864472403677184', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-25 19:08:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584866360167632896', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-25 19:16:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1584879925750534144', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-25 20:09:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585086550000144384', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 09:50:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585101237857161216', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-10-26 10:49:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585101333894139904', '1570604410206294016', '张磊', '115.57.141.36', '1004', '1', '2022-10-26 10:49:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585103647774216192', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-10-26 10:58:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585103715050852352', null, null, '127.0.0.1', null, '1', '2022-10-26 10:59:10', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1585104290488389632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 11:01:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585111084237459456', '1562314510612697088', '国产007', '221.15.156.47', '10010', '1', '2022-10-26 11:28:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585118365977022464', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-26 11:57:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585146543994966016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 13:49:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585150184571146240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 14:03:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585150916074541056', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 14:06:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585158491016925184', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-26 14:36:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585160411144130560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 14:44:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585160459219243008', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-10-26 14:44:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585160577582501888', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-10-26 14:45:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585160626009935872', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-10-26 14:45:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585163964881440768', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-10-26 14:58:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585164277260619776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-26 14:59:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585166158951223296', '1569970196410667008', '李露露', '221.15.156.47', '1001', '1', '2022-10-26 15:07:18', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585167631730741248', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-26 15:13:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585172081392357376', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-26 15:30:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585173431626895360', '1570604410206294016', '张磊', '115.57.137.196', '1004', '1', '2022-10-26 15:36:12', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585185430217822208', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-26 16:23:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585185897064828928', '1561995446459699200', '李昊杰', '115.60.3.96', '003', '1', '2022-10-26 16:25:44', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585217659354615808', '1', '主宰', '223.88.67.230', 'super', '1', '2022-10-26 18:31:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1585252009454473216', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-26 20:48:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585277911102001152', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-26 22:31:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585277926096637952', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-26 22:31:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585280154236751872', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-26 22:40:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585280175636090880', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-26 22:40:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585445455268024320', '1570604410206294016', '张磊', '115.57.139.224', '1004', '1', '2022-10-27 09:37:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585452092699578368', '1', '主宰', '1.198.223.96', 'super', '1', '2022-10-27 10:03:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585453378765459456', '1583278909414313984', '测试省级', '1.198.223.96', 'sheng001', '1', '2022-10-27 10:08:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585455812191588352', '1570604410206294016', '张磊', '115.57.139.211', '1004', '1', '2022-10-27 10:18:17', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585461239591604224', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-27 10:39:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585481466282905600', '1569970196410667008', '李露露', '221.15.156.47', '1001', '1', '2022-10-27 12:00:13', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585498858266431488', '1569970196410667008', '李露露', '221.15.156.47', '1001', '1', '2022-10-27 13:09:20', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585517417189216256', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-27 14:23:04', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585538327996665856', '1570604410206294016', '张磊', '115.57.139.206', '1004', '1', '2022-10-27 15:46:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585540804020146176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-27 15:56:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585544304766619648', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-27 16:09:55', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585552387895070720', '1570604410206294016', '张磊', '115.57.139.206', '1004', '1', '2022-10-27 16:42:02', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585571106767638528', '1561995446459699200', '李昊杰', '115.60.4.155', '003', '1', '2022-10-27 17:56:25', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585574384523939840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-27 18:09:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585601123052556288', '1570604410206294016', '张磊', '115.57.139.23', '1004', '1', '2022-10-27 19:55:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585817783151759360', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-28 10:16:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585817840659861504', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-28 10:16:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585817888978243584', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 10:17:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585819918283182080', '1570604410206294016', '张磊', '115.57.136.244', '1004', '1', '2022-10-28 10:25:06', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585836716365844480', '1570604410206294016', '张磊', '115.57.136.244', '1004', '1', '2022-10-28 11:31:51', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585850268648607744', '1570604410206294016', '张磊', '115.57.138.38', '1004', '1', '2022-10-28 12:25:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585852105523073024', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-28 12:33:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1585875443494555648', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-28 14:05:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585877446908055552', '1570604410206294016', '张磊', '115.57.139.97', '1004', '1', '2022-10-28 14:13:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585884093189591040', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 14:40:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585885732218736640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-28 14:46:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585897333537771520', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-28 15:32:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585899255099428864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 15:40:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585899291040419840', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 15:40:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585901147980435456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 15:47:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585903701955055616', '1570604410206294016', '张磊', '115.57.139.97', '1004', '1', '2022-10-28 15:58:02', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1585908771689992192', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-28 16:18:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585919662271631360', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:01:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585921158325342208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:07:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585921490430332928', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-28 17:08:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585921980035633152', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 17:10:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585924260839428096', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 17:19:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585924329122697216', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 17:20:00', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1585924353495797760', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 17:20:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585924394318958592', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 17:20:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585924484416802816', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-10-28 17:20:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585925384225034240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:24:11', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585925407360815104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:24:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585925592434479104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:25:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1585925750823981056', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:25:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1585926195114020864', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-28 17:27:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586556577786236928', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-30 11:12:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586624424096960512', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-30 15:41:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586677963406053376', '1570604410206294016', '张磊', '115.57.138.11', '1004', '1', '2022-10-30 19:14:40', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586712553860501504', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-30 21:32:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586731246870990848', '1569970196410667008', '李露露', '221.15.159.226', '1001', '1', '2022-10-30 22:46:24', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586740606858825728', '1569970196410667008', '李露露', '221.15.159.226', '1001', '1', '2022-10-30 23:23:36', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586908547768258560', '1582642133561643008', '李珍珍', '1.192.36.172', '2001', '1', '2022-10-31 10:30:56', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1586910190341591040', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-31 10:37:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1586922363482673152', '1570604410206294016', '张磊', '115.57.140.170', '1004', '1', '2022-10-31 11:25:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586924410995085312', '1569970196410667008', '李露露', '221.15.158.149', '1001', '1', '2022-10-31 11:33:58', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586957427939610624', null, null, '115.57.140.85', null, '1', '2022-10-31 13:45:10', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1586957452224630784', '1570604410206294016', '张磊', '115.57.140.85', '1004', '1', '2022-10-31 13:45:16', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586964042172469248', '1569970196410667008', '李露露', '221.15.158.149', '1001', '1', '2022-10-31 14:11:27', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1586968403879530496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 14:28:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586968555474259968', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-31 14:29:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1586968854616215552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 14:30:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586970239571202048', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 14:36:04', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1586970257388605440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 14:36:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586984129017286656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 15:31:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586987278436274176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 15:43:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1586987304101220352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-10-31 15:43:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1586988738532216832', '1569970196410667008', '李露露', '1.192.36.172', '1001', '1', '2022-10-31 15:49:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1586998960625684480', '1569970196410667008', '李露露', '221.15.158.149', '1001', '1', '2022-10-31 16:30:12', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587008253697593344', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-10-31 17:07:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587057476195454976', '1', '主宰', '223.88.67.127', 'super', '1', '2022-10-31 20:22:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1587060889574576128', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-10-31 20:36:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587253527904915456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-01 09:21:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587258790913380352', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-01 09:42:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587267822218776576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-01 10:18:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587283403277996032', '1570604410206294016', '张磊', '115.57.139.251', '1004', '1', '2022-11-01 11:20:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587283716990963712', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-01 11:21:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587285472986664960', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-01 11:28:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587302944116707328', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-01 12:38:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587308119246114816', '1570604410206294016', '张磊', '115.57.138.177', '1004', '1', '2022-11-01 12:58:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587321484009934848', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-01 13:51:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587335797718257664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-01 14:48:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587351473098985472', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-01 15:50:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587362776966369280', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-01 16:35:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1587362863465500672', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-01 16:36:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587433498384404480', '1', '主宰', '223.88.67.127', 'super', '1', '2022-11-01 21:16:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1587617440144166912', '1570604410206294016', '张磊', '115.57.138.64', '1004', '1', '2022-11-02 09:27:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587617720386588672', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-02 09:28:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587640027620446208', '1570604410206294016', '张磊', '115.57.138.187', '1004', '1', '2022-11-02 10:57:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587673887674601472', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-02 13:12:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587694768522137600', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-02 14:35:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587695424452562944', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-02 14:37:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1587695439350730752', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-02 14:37:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587695735497953280', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-02 14:38:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587722034857775104', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-02 16:23:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587729072614674432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-02 16:51:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587758664024985600', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-02 18:48:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587979402183053312', '1570604410206294016', '张磊', '115.57.140.155', '1004', '1', '2022-11-03 09:26:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587980139176792064', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-03 09:29:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587987824060272640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-03 09:59:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1587990398758948864', '1570604410206294016', '张磊', '115.57.140.155', '1004', '1', '2022-11-03 10:09:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1587990801634430976', '1569970196410667008', '李露露', '221.15.153.86', '1001', '1', '2022-11-03 10:11:25', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588012387720630272', '1570604410206294016', '张磊', '115.57.137.70', '1004', '1', '2022-11-03 11:37:12', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588041717511229440', '1570604410206294016', '张磊', '115.57.137.181', '1004', '1', '2022-11-03 13:33:44', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588048219764559872', '1569970196410667008', '李露露', '1.192.39.66', '1001', '1', '2022-11-03 13:59:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1588057668617113600', '1570604410206294016', '张磊', '115.57.137.181', '1004', '1', '2022-11-03 14:37:08', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588069092919742464', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-03 15:22:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588072637442166784', '1569970196410667008', '李露露', '221.15.153.86', '1001', '1', '2022-11-03 15:36:36', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1588072692148473856', '1562314510612697088', '国产007', '221.15.153.86', '10010', '1', '2022-11-03 15:36:49', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588072893965799424', '1569970196410667008', '李露露', '1.192.39.66', '1001', '1', '2022-11-03 15:37:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1588095041233096704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-03 17:05:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588155691850403840', '1570604410206294016', '张磊', '115.57.137.36', '1004', '1', '2022-11-03 21:06:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588344319578869760', '1', '主宰', '223.88.67.127', 'super', '1', '2022-11-04 09:36:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1588349790759030784', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-04 09:57:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588361838008078336', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-04 10:45:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588368766113288192', '1570604410206294016', '张磊', '115.57.137.145', '1004', '1', '2022-11-04 11:13:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588370431268753408', '1', '主宰', '223.88.67.127', 'super', '1', '2022-11-04 11:19:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1588377627830390784', '1569970196410667008', '李露露', '1.192.39.66', '1001', '1', '2022-11-04 11:48:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1588411036833288192', '1562314510612697088', '国产007', '221.15.153.86', '10010', '1', '2022-11-04 14:01:17', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588414517992361984', '1570604410206294016', '张磊', '115.57.138.50', '1004', '1', '2022-11-04 14:15:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588505645265588224', '1', '主宰', '1.192.39.66', 'super', '1', '2022-11-04 20:17:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1588505872747859968', '1', '主宰', '1.192.39.66', 'super', '1', '2022-11-04 20:18:08', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1588505963894280192', '1569970196410667008', '李露露', '1.192.39.66', '1001', '1', '2022-11-04 20:18:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1588727295122739200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-05 10:57:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588728516072050688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-05 11:02:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588733196630102016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-05 11:21:26', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1588733268444975104', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-05 11:21:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588795868272791552', '1570604410206294016', '张磊', '115.57.140.201', '1004', '1', '2022-11-05 15:30:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1588809657521147904', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-05 16:25:16', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1588809698616938496', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-05 16:25:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588838785649610752', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-05 18:21:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588870478381060096', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-05 20:26:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1588888908320608256', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-05 21:40:11', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1588888935843631104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-05 21:40:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589086586790875136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-06 10:45:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589141592143433728', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-06 14:24:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589168970559262720', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-06 16:13:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589188055670067200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-06 17:28:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589197193007468544', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-06 18:05:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589221525498761216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-06 19:41:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589424382206414848', '1570604410206294016', '张磊', '222.137.47.197', '1004', '1', '2022-11-07 09:07:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589426298390974464', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-07 09:15:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589426571939287040', '1570604410206294016', '张磊', '222.137.47.197', '1004', '1', '2022-11-07 09:16:40', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589426598564728832', '1570604410206294016', '张磊', '222.137.47.197', '1004', '1', '2022-11-07 09:16:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589427046801608704', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 09:18:33', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589438716173225984', '1570604410206294016', '张磊', '222.137.47.197', '1004', '1', '2022-11-07 10:04:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589439058663313408', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 10:06:17', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589440734933684224', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-07 10:12:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589447411804278784', '1570604410206294016', '张磊', '222.137.47.197', '1004', '1', '2022-11-07 10:39:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589447703874637824', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 10:40:38', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589463774950199296', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 11:44:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589466227816927232', '1570604410206294016', '张磊', '222.137.47.197', '1004', '1', '2022-11-07 11:54:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589467544929046528', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 11:59:28', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589467732770951168', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-07 12:00:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589484560259878912', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-07 13:07:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589484703591829504', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 13:07:39', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589497406846799872', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 13:58:08', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589497756660142080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 13:59:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589519164610056192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 15:24:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589526188043407360', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 15:52:30', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589539720243843072', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-07 16:46:16', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589540306351689728', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-07 16:48:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589546388755189760', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-07 17:12:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589547747302838272', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-07 17:18:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589564533008109568', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-07 18:24:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589568418145767424', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 18:40:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589584197234855936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 19:43:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589600543486119936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 20:47:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589600572242268160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 20:48:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589609609956560896', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 21:23:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589626551639609344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-07 22:31:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589784326772494336', '1570604410206294016', '张磊', '182.119.36.252', '1004', '1', '2022-11-08 08:58:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589787154710663168', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-08 09:09:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589823451156320256', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-08 11:33:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589848812657184768', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-08 13:14:30', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589848827257556992', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-08 13:14:33', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589848887819112448', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-08 13:14:47', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589850012584644608', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-08 13:19:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589865818253037568', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-08 14:22:04', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589865863673155584', '1589865730843742208', '周磊', '172.16.60.123', '012', '1', '2022-11-08 14:22:15', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589865959286509568', '1589865730843742208', '周磊', '172.16.60.123', '012', '1', '2022-11-08 14:22:38', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589866006598258688', '1589865730843742208', '周磊', '172.16.60.123', '012', '1', '2022-11-08 14:22:49', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589872219004211200', '1589865730843742208', '周磊', '172.16.60.123', '012', '1', '2022-11-08 14:47:30', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589872268287283200', '1589868517749035008', '周磊', '172.16.60.123', '0121', '1', '2022-11-08 14:47:42', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589872346913705984', '1589868517749035008', '周磊', '172.16.60.123', '0121', '1', '2022-11-08 14:48:01', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589872383714529280', '1589868517749035008', '周磊', '172.16.60.123', '0121', '1', '2022-11-08 14:48:09', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589872641630670848', '1589868517749035008', '周磊', '172.16.60.123', '0121', '1', '2022-11-08 14:49:11', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589872672655937536', '1570604410206294016', '张磊', '172.16.60.123', '1004', '1', '2022-11-08 14:49:18', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589884087592685568', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-08 15:34:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589903031133147136', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-08 16:49:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589912179849695232', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-08 17:26:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589912226217725952', '1589912012547297280', '小小', '172.16.60.4', '112546', '1', '2022-11-08 17:26:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589912321638141952', '1589912012547297280', '小小', '172.16.60.4', '112546', '1', '2022-11-08 17:26:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1589912347051429888', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-08 17:26:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1589930320747171840', '1570604410206294016', '张磊', '182.119.36.252', '1004', '1', '2022-11-08 18:38:23', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1589946540162682880', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-08 19:42:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590156336744763392', '1570604410206294016', '张磊', '222.137.30.157', '1004', '1', '2022-11-09 09:36:29', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590165166748733440', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-09 10:11:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590170976816074752', '1562314510612697088', '国产007', '172.16.60.241', '10010', '1', '2022-11-09 10:34:39', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590171519156359168', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-09 10:36:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590175137083297792', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-09 10:51:11', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590181162389737472', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-09 11:15:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590185882227445760', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-09 11:33:53', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590188760656646144', '1570604410206294016', '张磊', '222.137.30.157', '1004', '1', '2022-11-09 11:45:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590207651852193792', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-09 13:00:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590219231818027008', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-09 13:46:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590227389449900032', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-09 14:18:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590246678940749824', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-09 15:35:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590261766179393536', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-09 16:35:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590265018451103744', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-09 16:48:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590513714958831616', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-10 09:16:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590513721069932544', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 09:16:36', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590513740388896768', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 09:16:41', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590513783846080512', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-10 09:16:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590513871133741056', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-10 09:17:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590514984230719488', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-10 09:21:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590525083124895744', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:01:45', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590525102942982144', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:01:50', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590525549804130304', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:03:36', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590525572612755456', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:03:42', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590525909117571072', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:05:02', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590525958211899392', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:05:14', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590526744325132288', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:08:21', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590526758250221568', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:08:24', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527059350917120', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:09:36', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527084042784768', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:09:42', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527198270459904', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:10:09', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527207061721088', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:10:11', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527418265899008', '1570604410206294016', '张磊', '172.16.60.241', '1004', '1', '2022-11-10 10:11:02', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527452541751296', '1570604410206294016', '张磊', '172.16.60.241', '1004', '1', '2022-11-10 10:11:10', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527694351765504', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:12:08', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527705076600832', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:12:10', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590527850711224320', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:12:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590527860454592512', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:12:47', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590528062641016832', '1', '主宰', '182.119.38.119', 'super', '1', '2022-11-10 10:13:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590528282380603392', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-10 10:14:28', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590528290693713920', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-10 10:14:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590528652578263040', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:15:56', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590528664494280704', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:15:59', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590528709339779072', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:16:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590528712443564032', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:16:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590529289101643776', '1570604410206294016', '张磊', '172.16.60.241', '1004', '1', '2022-11-10 10:18:28', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590529296718499840', '1570604410206294016', '张磊', '172.16.60.241', '1004', '1', '2022-11-10 10:18:30', 'Firefox', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590529862878236672', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:20:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590529867580051456', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:20:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590531053234294784', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:25:28', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590531058674307072', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:25:30', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590532313551343616', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:30:29', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590532322099335168', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:30:31', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590532731362742272', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:32:08', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590532742217601024', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:32:11', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590532859427426304', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:32:39', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590532865127485440', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:32:40', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590533137077768192', '1570604410206294016', '张磊', '223.104.19.123', '1004', '1', '2022-11-10 10:33:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1590533141037191168', '1570604410206294016', '张磊', '223.104.19.123', '1004', '1', '2022-11-10 10:33:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1590534328213966848', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:38:29', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590534338137690112', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:38:32', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590534886199005184', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:40:42', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590535033641373696', '1570604410206294016', '张磊', '222.137.30.38', '1004', '1', '2022-11-10 10:41:17', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590536095328768000', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:45:31', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590536104656900096', '1570604410206294016', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 10:45:33', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590536611341406208', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-10 10:47:34', 'Firefox', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590536686876626944', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-11-10 10:47:52', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590536692840927232', '1570604410206294016', '张磊', '218.28.192.38', '1004', '1', '2022-11-10 10:47:53', 'Firefox', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590536947242242048', '1', '主宰', '222.137.30.38', 'super', '1', '2022-11-10 10:48:54', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590540468859572224', '1', '主宰', '172.16.60.109', 'super', '1', '2022-11-10 11:02:53', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590541063725125632', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-10 11:05:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590541639116525568', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-10 11:07:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590543220704677888', '1', '主宰', '172.16.60.109', 'super', '1', '2022-11-10 11:13:49', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590543253780959232', '1590543166828843008', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 11:13:57', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590543313059057664', '1590543166828843008', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 11:14:11', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590543339156017152', '1590543166828843008', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 11:14:18', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590575912489979904', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-10 13:23:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590593720162586624', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-10 14:34:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590618137726947328', '1590543166828843008', '张磊', '172.16.60.109', '1004', '1', '2022-11-10 16:11:31', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590648125742256128', '1', '主宰', '182.119.39.47', 'super', '1', '2022-11-10 18:10:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590649235915804672', '1', '主宰', '182.119.39.47', 'super', '1', '2022-11-10 18:15:05', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590649268144836608', '1590648570632081408', '张芳芳', '182.119.39.47', '10086', '1', '2022-11-10 18:15:13', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590649334104461312', '1590648570632081408', '张芳芳', '182.119.39.47', '10086', '1', '2022-11-10 18:15:29', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590649367965077504', '1590648570632081408', '张芳芳', '182.119.39.47', '10086', '1', '2022-11-10 18:15:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590658313106886656', '1590543166828843008', '张磊', '222.137.46.166', '1004', '1', '2022-11-10 18:51:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590871334290853888', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-11 08:57:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590874540374888448', '1590648570632081408', '张芳芳', '172.16.60.109', '10086', '1', '2022-11-11 09:10:22', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590878841126129664', '1590648570632081408', '张芳芳', '172.16.60.109', '10086', '1', '2022-11-11 09:27:27', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590878918871748608', '1590543166828843008', '张磊', '172.16.60.109', '1004', '1', '2022-11-11 09:27:46', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590891981305942016', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-11 10:19:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590891994081792000', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-11 10:19:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1590892045529124864', '1', '主宰', '172.16.60.4', 'super', '1', '2022-11-11 10:19:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590907295951360000', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-11 11:20:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590911958683619328', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-11 11:39:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590947478620999680', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-11 14:00:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590949079276457984', '1590543166828843008', '张磊', '182.119.39.173', '1004', '1', '2022-11-11 14:06:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1590949650708434944', '1562314510612697088', '国产007', '172.16.60.4', '10010', '1', '2022-11-11 14:08:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1590962598772346880', '1590543166828843008', '张磊', '182.119.39.173', '1004', '1', '2022-11-11 15:00:17', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591005459974852608', '1562314510612697088', '国产007', '222.137.30.38', '10010', '1', '2022-11-11 17:50:36', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591252667290750976', '1590543166828843008', '张磊', '182.119.39.173', '1004', '1', '2022-11-12 10:12:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591265983874600960', '1590543166828843008', '张磊', '182.119.39.173', '1004', '1', '2022-11-12 11:05:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591344623157121024', '1590543166828843008', '张磊', '182.119.39.173', '1004', '1', '2022-11-12 16:18:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591954134414790656', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 08:40:17', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591964236920262656', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 09:20:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591966010448154624', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-14 09:27:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1591966177268207616', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 09:28:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1591967010110181376', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-14 09:31:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591972814846562304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-14 09:54:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1591984298892857344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-14 10:40:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1591984571669417984', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 10:41:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591987480972890112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-14 10:52:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591987507443142656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-14 10:52:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1591989904043282432', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:02:26', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591990022570119168', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:02:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591990119617925120', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 11:03:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1591990153247854592', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:03:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591990221166219264', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:03:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591990445653757952', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:04:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591990483809341440', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 11:04:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591990714567364608', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:05:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591990820217688064', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:06:04', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591990877507686400', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 11:06:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591990944633327616', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 11:06:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591991012023209984', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:06:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591991376650833920', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:08:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591991442316857344', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 11:08:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591991470016040960', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 11:08:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591991561711915008', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:09:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591994109319581696', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:19:08', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591994139661176832', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:19:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1591994827199877120', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:21:59', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1591994927049478144', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:22:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592001972813303808', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:50:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592002121539129344', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:50:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592002131295080448', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:51:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592003060564103168', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 11:54:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592003126477590528', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 11:54:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592015355138674688', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 12:43:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592015725894176768', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 12:45:02', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592015754608381952', '1592015564824514560', '吕虹璐', '218.28.192.38', '03773189', '1', '2022-11-14 12:45:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592015952088797184', '1592015564824514560', '吕虹璐', '218.28.192.38', '03773189', '1', '2022-11-14 12:45:56', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592016010326708224', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 12:46:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592016091494879232', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 12:46:29', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592016122423676928', null, null, '218.28.192.38', null, '1', '2022-11-14 12:46:36', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1592016151947382784', null, null, '218.28.192.38', null, '1', '2022-11-14 12:46:44', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1592016175867498496', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 12:46:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592016304871706624', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 12:47:20', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592016329722957824', '1592015564824514560', '吕虹璐', '218.28.192.38', '03773189', '1', '2022-11-14 12:47:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592021282441007104', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-14 13:07:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592021298257727488', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-14 13:07:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592022082189922304', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 13:10:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592022300113375232', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 13:11:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592023697059876864', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 13:16:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592024299173187584', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-14 13:19:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592027670336638976', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 13:32:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592027686291771392', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 13:32:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592028513408520192', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 13:35:51', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592034908027621376', '1592015564824514560', '吕虹璐', '218.28.192.38', '03773189', '1', '2022-11-14 14:01:15', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592035034607521792', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 14:01:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592035604059787264', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 14:04:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592036050778329088', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:05:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592036507571589120', '1592015564824514560', '吕虹璐', '218.28.192.38', '03773189', '1', '2022-11-14 14:07:37', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592039742680207360', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 14:20:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592039743250632704', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 14:20:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592042623613407232', '1592015564824514560', '吕虹璐', '218.28.192.38', '03773189', '1', '2022-11-14 14:31:55', 'Safari', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592042690944569344', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:32:11', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592042714113904640', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:32:16', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592043076287860736', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 14:33:43', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592043271377522688', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 14:34:29', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592043307595337728', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:34:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592044156979646464', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:38:00', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592044188625670144', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 14:38:08', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592045141718339584', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:41:55', 'Safari', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592045877604782080', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 14:44:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592045995183706112', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 14:45:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592049859920269312', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 15:00:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592049919294836736', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:00:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592050180780331008', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:01:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592050215966347264', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 15:02:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592050490127028224', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 15:03:10', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592050539384934400', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:03:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592050975219257344', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:05:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592052627569512448', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:11:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592052657793667072', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:11:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592052669080539136', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 15:11:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592053132538548224', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 15:13:40', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592053158711005184', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2022-11-14 15:13:47', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592060050896195584', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 15:41:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592060134497062912', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 15:41:30', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592060166310858752', '1', '主宰', '172.16.60.185', 'super', '1', '2022-11-14 15:41:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592063726473842688', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-14 15:55:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592064800358273024', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 16:00:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592066974844850176', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-14 16:08:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592067274834055168', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-14 16:09:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592074352365539328', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 16:38:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592074483236212736', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 16:38:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592074578014900224', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2022-11-14 16:38:53', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592074609790947328', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 16:39:01', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592075068639416320', '1591989473527336960', '高郑州', '218.28.192.38', 'gzy001', '1', '2022-11-14 16:40:50', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592075117805047808', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 16:41:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592076780896915456', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 16:47:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592083766581530624', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 17:15:24', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592083799062220800', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 17:15:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592084422914609152', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-14 17:18:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592085659064078336', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-14 17:22:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592086732336140288', '1562314510612697088', '国产007', '172.16.60.185', '10010', '1', '2022-11-14 17:27:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592089588040601600', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-14 17:38:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592090910219440128', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 17:43:47', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592090952112148480', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2022-11-14 17:43:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592107001851285504', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-14 18:47:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592320774998462464', '1590543166828843008', '张磊', '222.137.31.131', '1004', '1', '2022-11-15 08:57:11', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592326859964682240', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-15 09:21:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592328556791336960', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-15 09:28:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592330752983437312', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 09:36:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592331116155637760', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-15 09:38:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592342149297475584', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-15 10:22:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592342798164692992', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:24:42', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592342827671621632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 10:24:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592343055824982016', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:25:43', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592343091606589440', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:25:52', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592343096685891584', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:25:53', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592343139274854400', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:26:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592343230790373376', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:26:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592343350055407616', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 10:26:54', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592343389955821568', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 10:27:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592343459472216064', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 10:27:20', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592343511125069824', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-15 10:27:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592343554733248512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 10:27:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592343622395760640', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 10:27:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592347602928668672', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-15 10:43:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592352174443204608', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-15 11:01:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592354374867357696', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-15 11:10:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592369157503062016', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 12:09:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592382749212282880', '1590543166828843008', '张磊', '222.137.31.131', '1004', '1', '2022-11-15 13:03:27', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592383018570485760', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-15 13:04:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592383143887900672', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-15 13:05:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592384529031630848', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 13:10:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592389450627944448', '1', '主宰', '182.119.36.85', 'super', '1', '2022-11-15 13:30:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592390436750757888', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-15 13:34:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592390771871453184', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 13:35:20', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592390800321417216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 13:35:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592392727453110272', '1567046004463767552', '刘国灿', '182.119.36.85', '9527', '1', '2022-11-15 13:43:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592396886340407296', '1590543166828843008', '张磊', '222.137.31.131', '1004', '1', '2022-11-15 13:59:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592397324867473408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 14:01:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592397352122060800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 14:01:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592398709361086464', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 14:06:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592398737546809344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 14:06:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592400797965094912', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-15 14:15:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592403143063375872', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-15 14:24:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592404293774872576', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-15 14:29:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592405349409886208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-15 14:33:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592405365251772416', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-15 14:33:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592414877950021632', '1567046004463767552', '刘国灿', '182.119.36.85', '9527', '1', '2022-11-15 15:11:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592414944383602688', '1567046004463767552', '刘国灿', '182.119.36.85', '9527', '1', '2022-11-15 15:11:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592414970870632448', '1', '主宰', '182.119.36.85', 'super', '1', '2022-11-15 15:11:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592417978513756160', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-15 15:23:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592423823154745344', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-15 15:46:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592430493100544000', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-15 16:13:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592430923247390720', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-15 16:14:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592433962784002048', '1', '主宰', '182.119.36.85', 'super', '1', '2022-11-15 16:26:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592440093220671488', '1590543166828843008', '张磊', '222.137.31.131', '1004', '1', '2022-11-15 16:51:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592685164088135680', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-16 09:05:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592692138603319296', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-16 09:32:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592694633719271424', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-16 09:42:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592709003232808960', '1564192820011601920', '郑州001', '127.0.0.1', 'lb002', '1', '2022-11-16 10:39:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592711234413793280', '1562314510612697088', '国产007', '221.15.158.114', '10010', '1', '2022-11-16 10:48:44', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592713299651334144', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-16 10:56:56', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592713327426015232', '1591989473527336960', '高郑州', '127.0.0.1', 'gzy001', '1', '2022-11-16 10:57:03', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592713355074867200', '1591989473527336960', '高郑州', '127.0.0.1', 'gzy001', '1', '2022-11-16 10:57:10', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592713360904949760', '1591989473527336960', '高郑州', '127.0.0.1', 'gzy001', '1', '2022-11-16 10:57:11', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1592714647151185920', '1327473526785052672', '高志远', '218.28.234.62', '023479', '1', '2022-11-16 11:02:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592718565629366272', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-16 11:17:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592720828569620480', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-16 11:26:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592746060344856576', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-16 13:07:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592747678821912576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-16 13:13:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592749789760589824', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-16 13:21:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592749790867886080', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-16 13:21:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592770643131240448', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-16 14:44:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592782246148968448', null, null, '172.16.60.42', null, '1', '2022-11-16 15:30:55', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1592782293834010624', '1569970196410667008', '李露露', '172.16.60.42', '1001', '1', '2022-11-16 15:31:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592789902259523584', '1569970196410667008', '李露露', '172.16.60.42', '1001', '1', '2022-11-16 16:01:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592794586579865600', '1562314510612697088', '国产007', '221.15.158.114', '10010', '1', '2022-11-16 16:19:57', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592796116825542656', '1327473526785052672', '高志远', '218.28.234.62', '023479', '1', '2022-11-16 16:26:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592797907638161408', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-16 16:33:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592799490698514432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-16 16:39:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592799853052825600', '1327473526785052672', '高志远', '218.28.234.62', '023479', '1', '2022-11-16 16:40:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592799913631158272', '1591989473527336960', '高郑州', '218.28.234.62', 'gzy001', '1', '2022-11-16 16:41:07', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592807119055360000', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-16 17:09:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592810683043549184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-16 17:23:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592810795589308416', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-16 17:24:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592810877537619968', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-16 17:24:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592810902728609792', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-16 17:24:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592812848701116416', '1562314510612697088', '国产007', '221.15.158.114', '10010', '1', '2022-11-16 17:32:31', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592815567222476800', '1569970196410667008', '李露露', '172.16.60.42', '1001', '1', '2022-11-16 17:43:19', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1592815602739843072', '1', '主宰', '172.16.60.42', 'super', '1', '2022-11-16 17:43:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592832011037446144', '1562314510612697088', '国产007', '221.15.158.114', '10010', '1', '2022-11-16 18:48:39', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1592866433195446272', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-16 21:05:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1592873761890242560', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-16 21:34:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593055052438835200', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-17 09:34:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593068867087896576', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 10:29:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593085731029520384', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-17 11:36:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593086974737125376', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 11:41:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593108764309983232', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 13:08:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593111577303846912', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 13:19:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593114162542809088', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-17 13:29:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593133702085480448', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 14:47:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593138152992804864', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-17 15:05:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593151266450706432', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 15:57:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593155860790644736', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-17 16:15:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593156605174747136', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:18:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593156636388757504', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-11-17 16:18:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593157743739539456', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-11-17 16:23:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593157778539679744', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:23:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593158153971830784', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:24:38', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593158196598542336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 16:24:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593158246347182080', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 16:25:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593158317344165888', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-11-17 16:25:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593159315437522944', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-11-17 16:29:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593159604169216000', '1569970621243330560', '李市级', '218.28.192.38', '1003', '1', '2022-11-17 16:30:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593160962049970176', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:35:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593162382895616000', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:41:26', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593162412243161088', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:41:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593164028123942912', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-17 16:47:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593165192156549120', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-17 16:52:36', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593165215455907840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 16:52:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593165291481862144', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 16:53:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593165404753235968', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 16:53:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593165487641071616', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 16:53:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593165522680287232', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 16:53:55', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593165566338797568', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 16:54:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593165607015157760', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 16:54:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593165659901136896', '1569970196410667008', '李露露', '172.16.60.105', '1001', '1', '2022-11-17 16:54:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593166142761996288', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-17 16:56:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593166468718137344', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 16:57:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593166510447267840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 16:57:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593168506592038912', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:05:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593168598405353472', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:06:08', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593168642864975872', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:06:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593168769285492736', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:06:49', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593168805943709696', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:06:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593169666434535424', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 17:10:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593169961986166784', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:11:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593170286570770432', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:12:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593170441978122240', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:13:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593170644760137728', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:14:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593170690348027904', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:14:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593170954635317248', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:15:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171177298333696', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:16:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593171214749274112', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:16:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171371393945600', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:17:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171446639759360', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:17:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171577304911872', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:17:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593171621609345024', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:18:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171701502447616', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:18:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171759207682048', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:18:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593171838480027648', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-17 17:19:01', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593171877491249152', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:19:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593174855577112576', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-17 17:31:00', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593174889290928128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 17:31:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593175375234600960', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 17:33:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593180370440949760', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-17 17:52:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593186192713715712', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-17 18:16:03', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593194232502423552', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 18:48:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593198189735972864', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-17 19:03:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593198217800060928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 19:03:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593205124224913408', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-17 19:31:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593205157146005504', '1569970196410667008', '李露露', '172.16.60.105', '1001', '1', '2022-11-17 19:31:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593227229196849152', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 20:59:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593234104684515328', '1590543166828843008', '张磊', '115.57.138.31', '1004', '1', '2022-11-17 21:26:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593240609135661056', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-17 21:52:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593415009780764672', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-18 09:25:17', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593415620488204288', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-18 09:27:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593418573420826624', '1592799691446292480', '张磊', '127.0.0.1', '10086', '1', '2022-11-18 09:39:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593418620938096640', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 09:39:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593419030767734784', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 09:41:16', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593419083745988608', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-18 09:41:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593419166252142592', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-18 09:41:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593419202193133568', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 09:41:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593420388128395264', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-18 09:46:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593421442941325312', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-18 09:50:51', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593422263913418752', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 09:54:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593429775203045376', '1', '主宰', '222.137.47.117', 'super', '1', '2022-11-18 10:23:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593430388737445888', '1', '主宰', '222.137.47.117', 'super', '1', '2022-11-18 10:26:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593430726630576128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 10:27:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593431691144335360', '1567046004463767552', '刘国灿', '222.137.47.117', '9527', '1', '2022-11-18 10:31:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593440485547053056', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 11:06:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593443359001808896', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 11:17:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593443931264258048', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-18 11:20:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593449037137317888', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-18 11:40:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593449054812114944', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-18 11:40:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593459966101032960', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-18 12:23:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593460011525345280', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-18 12:24:06', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593460039446827008', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-18 12:24:13', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593469915669598208', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 13:03:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593471065395433472', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-18 13:08:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593489408064098304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 14:20:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593495439544553472', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-18 14:44:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593495994354503680', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 14:47:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593496438984282112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 14:48:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593497413035888640', '1', '主宰', '222.137.47.154', 'super', '1', '2022-11-18 14:52:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593497914611732480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 14:54:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593498486106624000', '1', '主宰', '222.137.47.154', 'super', '1', '2022-11-18 14:57:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593499401144373248', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-18 15:00:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593500504644784128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 15:05:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593500671812964352', '1567046004463767552', '刘国灿', '222.137.47.154', '9527', '1', '2022-11-18 15:05:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593512584370327552', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 15:53:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593515158485995520', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 16:03:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593515207706152960', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-18 16:03:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593516354751827968', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-18 16:08:00', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593518949461528576', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-18 16:18:18', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593519053446713344', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-18 16:18:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593520516780658688', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 16:24:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593521567164403712', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-18 16:28:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593521595870220288', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-18 16:28:49', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593522131319263232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 16:30:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593522763740614656', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 16:33:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593523296811487232', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-18 16:35:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593523848500875264', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 16:37:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593529708631429120', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-18 17:01:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593530407016599552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 17:03:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593535920022360064', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-18 17:25:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593535981104009216', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 17:25:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593537800437895168', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-18 17:33:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593537848366206976', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-18 17:33:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593543622203150336', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-18 17:56:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593564169293139968', '1', '主宰', '172.16.60.105', 'super', '1', '2022-11-18 19:18:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593574960247476224', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-18 20:00:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593605321660698624', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-18 22:01:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593779010574356480', '1590543166828843008', '张磊', '222.137.31.164', '1004', '1', '2022-11-19 09:31:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593783351209234432', '1567046004463767552', '刘国灿', '172.16.60.105', '9527', '1', '2022-11-19 09:48:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593791003578470400', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 10:19:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593802411359735808', '1590543166828843008', '张磊', '222.137.31.164', '1004', '1', '2022-11-19 11:04:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593809431261483008', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 11:32:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593810030807879680', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 11:34:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593810058918105088', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 11:35:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593816674354728960', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-19 12:01:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593816730789089280', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-19 12:01:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593816775970131968', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-19 12:01:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593820075457122304', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-19 12:14:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593839637858750464', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-19 13:32:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593847818152448000', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 14:05:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593849426055663616', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-19 14:11:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593850481833283584', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 14:15:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593850506877472768', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 14:15:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593851073456640000', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-19 14:18:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593861089152602112', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 14:57:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593865758465724416', '1590543166828843008', '张磊', '222.137.31.164', '1004', '1', '2022-11-19 15:16:24', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593881550720733184', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-19 16:19:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593900879902281728', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-19 17:35:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593901920861425664', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-19 17:40:06', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593901941530955776', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 17:40:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593904589290213376', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 17:50:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593904628360155136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-19 17:50:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593905032129024000', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 17:52:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593905526863958016', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 17:54:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593907272751386624', '1590543166828843008', '张磊', '222.137.31.164', '1004', '1', '2022-11-19 18:01:22', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1593907280145944576', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-19 18:01:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593923096757276672', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 19:04:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593923098879594496', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 19:04:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593937210518933504', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-19 20:00:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593937767635750912', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-19 20:02:32', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593937811734663168', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-19 20:02:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593941997058658304', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 20:19:21', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1593942020739698688', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-19 20:19:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1593953263626096640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-19 21:04:07', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594148443201343488', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-20 09:59:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594160384879759360', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 10:47:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594166347284221952', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 11:10:50', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594166348311826432', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 11:10:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594174792007815168', '1590543166828843008', '张磊', '222.137.31.164', '1004', '1', '2022-11-20 11:44:23', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594193052841414656', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 12:56:57', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594193077252263936', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-20 12:57:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594202047606034432', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-20 13:32:42', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594202070687289344', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 13:32:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594205723183681536', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-20 13:47:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594218304816418816', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-20 14:37:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594220356632186880', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 14:45:27', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594220394032795648', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-11-20 14:45:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594221128157630464', '1569970621243330560', '李市级', '127.0.0.1', '1003', '1', '2022-11-20 14:48:31', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594221159606521856', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-20 14:48:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594250884022407168', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-20 16:46:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594250934987395072', '1583286076276084736', '测试郑州', '127.0.0.1', 'zheng001', '1', '2022-11-20 16:46:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594250957313675264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-20 16:47:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594255510427799552', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-20 17:05:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594255551800414208', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-20 17:05:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594256047521009664', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-20 17:07:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594256077061492736', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-20 17:07:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594494174906945536', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 08:53:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594496765342650368', '1590648570632081408', '张芳芳', '182.119.39.249', '10086', '1', '2022-11-21 09:03:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594496818111188992', '1590648570632081408', '张芳芳', '182.119.39.249', '10086', '1', '2022-11-21 09:04:00', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594496860708540416', '1590543166828843008', '张磊', '182.119.39.249', '1004', '1', '2022-11-21 09:04:11', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594497056762892288', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-21 09:04:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594502900493717504', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-21 09:28:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594503889388965888', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-21 09:32:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594504585786036224', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-21 09:34:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594506002697424896', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-21 09:40:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594509158789550080', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-21 09:53:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594514850179059712', '1590543166828843008', '张磊', '182.119.39.249', '1004', '1', '2022-11-21 10:15:40', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594517625738760192', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 10:26:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594520406163853312', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-21 10:37:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594520443442827264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-21 10:37:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594521341191655424', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-21 10:41:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594522640851275776', '1', '主宰', '172.16.60.144', 'super', '1', '2022-11-21 10:46:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594527275422978048', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-21 11:05:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594530690798587904', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 11:18:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594530865214525440', '1562314510612697088', '国产007', '221.15.153.10', '10010', '1', '2022-11-21 11:19:18', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594531053916262400', '1562314510612697088', '国产007', '221.15.153.10', '10010', '1', '2022-11-21 11:20:03', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594533454391939072', '1562314510612697088', '国产007', '221.15.153.10', '10010', '1', '2022-11-21 11:29:35', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594535106243072000', '1', '主宰', '172.16.60.144', 'super', '1', '2022-11-21 11:36:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594536458851586048', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-21 11:41:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594557338994479104', '1590543166828843008', '张磊', '182.119.39.249', '1004', '1', '2022-11-21 13:04:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594557465414995968', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 13:05:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594558311234146304', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-21 13:08:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594559832986357760', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-21 13:14:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594561828464234496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-21 13:22:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594567897114611712', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-21 13:46:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594567926017560576', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-21 13:46:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594568138354200576', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 13:47:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594568578303135744', '1562314510612697088', '国产007', '221.15.153.10', '10010', '1', '2022-11-21 13:49:09', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594572230979883008', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-21 14:03:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594581154164510720', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-21 14:39:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594583461753131008', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-21 14:48:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594583484729528320', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-21 14:48:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594586772107563008', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-21 15:01:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594590907137658880', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-21 15:17:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594591510614118400', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 15:20:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594602072131637248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-21 16:02:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594608549659545600', '1590543166828843008', '张磊', '182.119.39.249', '1004', '1', '2022-11-21 16:27:59', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594617061299064832', '1', '主宰', '172.16.60.144', 'super', '1', '2022-11-21 17:01:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594617825937461248', '1', '主宰', '172.16.60.144', 'super', '1', '2022-11-21 17:04:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594625330163879936', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-21 17:34:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594638087605063680', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-21 18:25:22', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594647506187325440', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-21 19:02:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594652902369136640', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-21 19:24:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594854935462285312', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 08:47:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594858396337704960', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-22 09:00:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594866156676714496', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 09:31:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594874612422938624', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-22 10:05:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594881774817775616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 10:33:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594889581268963328', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-22 11:04:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594920415132782592', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-22 13:07:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594921331730812928', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-22 13:10:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594922895761608704', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-22 13:17:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594923045439541248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 13:17:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594930045456093184', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-22 13:45:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594931980666015744', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 13:53:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594935134640017408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 14:05:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594935286683537408', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 14:06:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594937650299670528', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 14:15:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594937669262118912', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 14:15:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594938700284956672', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-22 14:19:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594939937092931584', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-22 14:24:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594941574549213184', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 14:31:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594949772064722944', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 15:03:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594950658476347392', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-22 15:07:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594953625828986880', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-22 15:19:12', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594955210613198848', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-22 15:25:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594957767695798272', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 15:35:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594960297108574208', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-22 15:45:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594964983005974528', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-22 16:04:20', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594965012332548096', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-22 16:04:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594967080799703040', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-22 16:12:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594967161280008192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 16:12:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594967358269689856', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-22 16:13:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1594970368563613696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 16:25:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1594971348973785088', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-22 16:29:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594973830500192256', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 16:39:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594977429087195136', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 16:53:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594981808578105344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 17:11:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1594992502480441344', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-22 17:53:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595019150579863552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-22 19:39:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595035499284795392', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-22 20:44:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595222098027089920', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-23 09:06:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595223162579193856', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-23 09:10:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595224971343433728', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-23 09:17:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595231466084765696', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-23 09:43:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595237710518423552', '1', '主宰', '182.119.39.41', 'super', '1', '2022-11-23 10:08:03', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595243324548190208', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2022-11-23 10:30:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595244099059978240', '1590543166828843008', '张磊', '222.137.47.222', '1004', '1', '2022-11-23 10:33:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595247005721038848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-23 10:44:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595257304343777280', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2022-11-23 11:25:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595281586012688384', '1562314510612697088', '国产007', '182.119.39.41', '10010', '1', '2022-11-23 13:02:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595283206691753984', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-23 13:08:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595288326095638528', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-23 13:29:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595289116814217216', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-23 13:32:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595289896711491584', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-11-23 13:35:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595293967455490048', '1590543166828843008', '张磊', '182.119.39.41', '1004', '1', '2022-11-23 13:51:36', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595298304491655168', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2022-11-23 14:08:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595306242421690368', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-23 14:40:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595308292765257728', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-23 14:48:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595317881711759360', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-23 15:26:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595319250782916608', '1590543166828843008', '张磊', '182.119.39.169', '1004', '1', '2022-11-23 15:32:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595322765035048960', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-23 15:46:02', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1595322808160882688', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-23 15:46:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595323175330254848', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-23 15:47:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595326017310953472', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-23 15:58:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595331542182400000', '1567046004463767552', '刘国灿', '172.16.60.144', '9527', '1', '2022-11-23 16:20:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595334330517950464', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-23 16:31:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595341826812940288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-23 17:01:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595344498349707264', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-23 17:12:23', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595583591222480896', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-24 09:02:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595592606404972544', '1564191182190415872', '本部运营1', '127.0.0.1', 'lb001', '1', '2022-11-24 09:38:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595592670372302848', '1590543166828843008', '张磊', '222.137.31.204', '1004', '1', '2022-11-24 09:38:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595601330620207104', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-24 10:12:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595601480918896640', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-11-24 10:13:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595603031683108864', '1569970196410667008', '李露露', '127.0.0.1', '1001', '1', '2022-11-24 10:19:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595609993346945024', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-24 10:47:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595612899030732800', '1', '主宰', '172.16.60.222', 'super', '1', '2022-11-24 10:58:55', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595615123031068672', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-24 11:07:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595615750616387584', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-24 11:10:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595616689612001280', '1', '主宰', '172.16.60.222', 'super', '1', '2022-11-24 11:13:59', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595626356580945920', '1', '主宰', '172.16.60.222', 'super', '1', '2022-11-24 11:52:23', 'Chrome', 'Mac', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595647054800097280', '1', '主宰', '218.28.192.38', 'super', '1', '2022-11-24 13:14:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595663230657761280', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-24 14:18:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595664164792176640', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-24 14:22:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1595687339890446336', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-24 15:54:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595695389959393280', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-24 16:26:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595979197807988736', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-25 11:14:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595979246814236672', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-25 11:14:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1595979296109891584', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-25 11:14:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1595983273467711488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-25 11:30:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596015174580572160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-25 13:37:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596033622765342720', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-25 14:50:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596040035503837184', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-25 15:16:12', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596085122925465600', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-25 18:15:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596089709644353536', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-25 18:33:35', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596091338162573312', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-25 18:40:04', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596109980304543744', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-25 19:54:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596116033821872128', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-25 20:18:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596324236471963648', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-26 10:05:31', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596327606528118784', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-26 10:18:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596330796598300672', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-26 10:31:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596332046979043328', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 10:36:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596341063793119232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 11:12:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596353437417738240', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 12:01:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596353774564282368', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 12:02:53', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596367185419309056', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 12:56:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596380087970828288', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 13:47:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596383951356825600', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-26 14:02:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596384850296836096', '1', '主宰', '39.148.238.168', 'super', '1', '2022-11-26 14:06:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596385003623813120', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 14:06:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596393313118851072', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 14:40:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596398714073780224', '1', '主宰', '223.88.67.212', 'super', '1', '2022-11-26 15:01:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596398867174264832', '1', '主宰', '223.88.67.212', 'super', '1', '2022-11-26 15:02:04', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596398959348289536', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 15:02:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596403580317863936', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-26 15:20:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596405968915271680', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-26 15:30:17', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596405998921322496', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-26 15:30:25', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596406312571375616', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-26 15:31:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596416184218161152', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-26 16:10:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596416293098098688', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 16:11:19', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596416628499812352', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-26 16:12:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596418420809797632', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-26 16:19:46', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596418450761322496', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-26 16:19:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596422744784900096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 16:36:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596422893561057280', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-26 16:37:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596422943276142592', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-26 16:37:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596422985126907904', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 16:37:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596427815618744320', '1', '主宰', '218.28.234.62', 'super', '1', '2022-11-26 16:57:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596430470395072512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 17:07:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596431525518381056', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-26 17:11:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596432899081637888', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-26 17:17:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596445023518461952', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 18:05:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596453265208381440', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 18:38:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596457207258550272', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 18:53:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596457221007478784', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 18:53:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596465234971856896', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 19:25:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596486763579314176', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 20:51:20', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596493438726049792', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 21:17:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596495075569963008', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 21:24:22', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596495115038363648', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-11-26 21:24:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596495202820952064', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-11-26 21:24:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596495264338808832', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 21:25:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596495402176221184', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 21:25:40', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596495454147842048', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-11-26 21:25:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596495522884096000', '1570254194076684288', '李主任', '127.0.0.1', '002', '1', '2022-11-26 21:26:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596495568329379840', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 21:26:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596495823351451648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-26 21:27:20', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596495865751670784', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-26 21:27:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596495923544985600', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-26 21:27:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596495957883752448', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-26 21:27:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596496380027867136', '1567046004463767552', '刘国灿', '223.88.67.212', '9527', '1', '2022-11-26 21:29:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596496542267740160', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-26 21:30:12', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596496568666689536', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-26 21:30:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596670671503626240', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 09:02:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596688145791979520', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-27 10:11:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596689139925913600', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-11-27 10:15:31', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596689216560041984', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-27 10:15:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596689292841848832', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-27 10:16:07', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596689352216416256', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 10:16:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596689477810655232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 10:16:51', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596689514791833600', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-27 10:17:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596699626587688960', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 10:57:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596736031426744320', '1567046004463767552', '刘国灿', '223.88.67.180', '9527', '1', '2022-11-27 13:21:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596736642461339648', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 13:24:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596740880478375936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 13:41:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596741025915867136', '1567046004463767552', '刘国灿', '223.88.67.180', '9527', '1', '2022-11-27 13:41:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596741073076621312', '1', '主宰', '223.88.67.180', 'super', '1', '2022-11-27 13:41:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1596744236995317760', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-27 13:54:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596744288434262016', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-27 13:54:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596744332667392000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 13:54:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596744620094656512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 13:55:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596745323986948096', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 13:58:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596745369075716096', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-27 13:58:57', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1596745388105273344', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-27 13:59:01', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1596745445890199552', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-27 13:59:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596747615259725824', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-27 14:07:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596750465826164736', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 14:19:12', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596750488890642432', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 14:19:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596759585144836096', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-27 14:55:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596764639931273216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 15:15:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596774816285855744', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-27 15:55:58', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596774868802736128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 15:56:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596779719364317184', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-11-27 16:15:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1596783045409640448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 16:28:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1596783072609701888', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-27 16:28:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596783752959365120', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-27 16:31:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596786052813688832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 16:40:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596799623207456768', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 17:34:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596819660639178752', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-27 18:54:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596820085207601152', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 18:55:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596837713598877696', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 20:05:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596846470630346752', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-27 20:40:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596857430363475968', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 21:24:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1596896288048287744', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-27 23:58:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597032403040342016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 08:59:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597044808189349888', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 09:48:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597055792421408768', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-28 10:32:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597064648144850944', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 11:07:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597064949228769280', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 11:08:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597066242907312128', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-28 11:13:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597072815436206080', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 11:40:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597075056700297216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 11:49:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597113619718475776', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 14:22:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597122772843237376', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 14:58:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597122788483796992', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 14:58:41', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597122797459607552', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 14:58:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597122806724825088', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 14:58:45', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597123162049482752', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 15:00:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597129263956496384', '1', '主宰', '223.88.67.165', 'super', '1', '2022-11-28 15:24:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1597133196888248320', '1', '主宰', '223.88.67.165', 'super', '1', '2022-11-28 15:40:02', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597136272550400000', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 15:52:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597137978906513408', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-28 15:59:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597142377267597312', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-28 16:16:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597152306246324224', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 16:55:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597153015469576192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 16:58:47', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597153038303367168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 16:58:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597162203675496448', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 17:35:18', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597162327571042304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 17:35:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597174610686775296', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-28 18:24:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597189968911011840', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-28 19:25:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597192772933259264', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 19:36:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597199062430519296', null, null, '127.0.0.1', null, '1', '2022-11-28 20:01:46', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1597199097046110208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 20:01:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597202560492638208', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-28 20:15:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597203776228429824', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 20:20:30', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597204065673154560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 20:21:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597204123458080768', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 20:21:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597205201742336000', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 20:26:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597205649253601280', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 20:27:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597205892422569984', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 20:28:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597211165308620800', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-28 20:49:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597215455221780480', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 21:06:54', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597215495755534336', null, null, '127.0.0.1', null, '1', '2022-11-28 21:07:04', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1597215514264997888', null, null, '127.0.0.1', null, '1', '2022-11-28 21:07:08', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1597215543453159424', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 21:07:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597215878649352192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 21:08:35', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597215924753141760', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 21:08:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597216471015100416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-28 21:10:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597217590881685504', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 21:15:23', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597217618765418496', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-28 21:15:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597393703369052160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 08:55:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597404608395874304', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-29 09:38:32', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597426985192263680', '1', '主宰', '223.88.67.165', 'super', '1', '2022-11-29 11:07:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1597427316475170816', '1', '主宰', '223.88.67.165', 'super', '1', '2022-11-29 11:08:46', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1597429078812659712', '1', '主宰', '223.88.67.165', 'super', '1', '2022-11-29 11:15:46', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597463982451593216', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 13:34:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597474128766570496', '1', '主宰', '218.28.234.62', 'super', '1', '2022-11-29 14:14:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597479223734439936', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 14:35:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597486937994825728', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-11-29 15:05:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597504593854599168', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-11-29 16:15:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597505165047500800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 16:18:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597514358919925760', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 16:54:38', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597514413886279680', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-29 16:54:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597514850114867200', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-29 16:56:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597514880208998400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 16:56:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597515060174000128', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 16:57:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597515084656152576', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-29 16:57:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597541847532703744', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-29 18:43:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597541953485017088', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-29 18:44:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597541973567344640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 18:44:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597552611647688704', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 19:26:38', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597552650893791232', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-29 19:26:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597552722788356096', '1590648570632081408', '张芳芳', '127.0.0.1', '10086', '1', '2022-11-29 19:27:05', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597552773476519936', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-29 19:27:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597559987255775232', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-11-29 19:55:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597585773119541248', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 21:38:25', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597600260828565504', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 22:35:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597604836914892800', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 22:54:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597620294007263232', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 23:55:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597620317193375744', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-29 23:55:41', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597757040716025856', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-30 08:58:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597759065050714112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-30 09:07:01', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597761877599981568', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-30 09:18:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597771400612024320', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-30 09:56:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597773573055975424', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-30 10:04:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597783390470410240', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-30 10:43:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597787062961049600', null, null, '127.0.0.1', null, '1', '2022-11-30 10:58:16', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1597789676805165056', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-30 11:08:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597795156663341056', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-30 11:30:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597818479715684352', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-30 13:03:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597820538884067328', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-30 13:11:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597820866492764160', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-30 13:12:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597824347853164544', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-30 13:26:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1597824364747821056', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-11-30 13:26:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597832012805312512', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-30 13:56:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597841071575011328', '1', '主宰', '127.0.0.1', 'super', '1', '2022-11-30 14:32:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597846285401067520', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-30 14:53:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597874543177895936', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-30 16:45:53', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597875136919375872', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-30 16:48:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597875186336665600', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-11-30 16:48:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1597879326852911104', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-11-30 17:04:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1597959458275856384', '1', '主宰', '221.15.158.164', 'super', '1', '2022-11-30 22:23:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598122863477526528', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-01 09:12:37', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598183860854722560', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-01 13:15:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598233540586246144', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-01 16:32:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598485142324776960', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-12-02 09:12:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598489647258931200', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 09:30:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598489940407226368', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 09:31:15', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598495031688302592', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-02 09:51:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598497356599398400', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 10:00:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598499801694081024', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 10:10:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598508744575160320', '1', '主宰', '172.16.60.186', 'super', '1', '2022-12-02 10:45:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598516371816321024', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 11:16:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519665846521856', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-02 11:29:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519685563944960', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-02 11:29:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519761078194176', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-02 11:29:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519770909642752', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-02 11:29:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519807660134400', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 11:29:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519815327322112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 11:29:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519844486123520', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 11:30:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598519917987106816', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 11:30:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598520357441114112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 11:32:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598520858106793984', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 11:34:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598521797039493120', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-12-02 11:37:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598543805513076736', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 13:05:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598544281214259200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 13:07:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598553021942468608', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 13:41:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598571411482480640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-02 14:54:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598574923461300224', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-02 15:08:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598584401262940160', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-02 15:46:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598593296723218432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 16:21:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598599529127612416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 16:46:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1598600747535175680', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-02 16:51:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598861028983181312', '1590543166828843008', '张磊', '222.137.30.112', '1004', '1', '2022-12-03 10:05:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598870103250833408', '1', '主宰', '222.137.30.112', 'super', '1', '2022-12-03 10:41:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598910460172832768', '1590543166828843008', '张磊', '222.137.30.112', '1004', '1', '2022-12-03 13:22:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598922815531257856', '1590543166828843008', '张磊', '222.137.30.112', '1004', '1', '2022-12-03 14:11:20', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1598927063530737664', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-03 14:28:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598939258683527168', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-03 15:16:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1598950641336717312', '1590543166828843008', '张磊', '222.137.30.112', '1004', '1', '2022-12-03 16:01:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599569646229524480', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2022-12-05 09:01:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599570961257074688', '1590648570632081408', '张芳芳', '222.137.30.16', '10086', '1', '2022-12-05 09:06:50', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599570986934603776', '1590543166828843008', '张磊', '222.137.30.16', '1004', '1', '2022-12-05 09:06:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599576447515758592', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-05 09:28:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599577817572577280', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 09:34:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599581217429262336', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-05 09:47:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599581541648961536', '1590648570632081408', '张芳芳', '222.137.30.16', '10086', '1', '2022-12-05 09:48:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599591913336475648', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-05 10:30:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599594513339387904', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-05 10:40:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599597298223026176', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 10:51:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599597318724784128', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 10:51:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599597517144723456', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 10:52:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599604213606912000', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-05 11:18:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599605057723174912', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-05 11:22:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599632271881670656', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 13:10:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599632607501488128', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-05 13:11:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599648775708741632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-05 14:16:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599668092697448448', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-05 15:32:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599675285240942592', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:01:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599676925582905344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-05 16:07:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599682106450120704', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:28:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599682785092702208', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:31:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599682959751909376', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:31:53', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599683168254955520', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:32:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599683849548337152', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:35:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599685294490259456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-05 16:41:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599685332553568256', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-05 16:41:19', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599687257101570048', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-12-05 16:48:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599705969808510976', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-05 18:03:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599706068102025216', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-05 18:03:42', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599706094240927744', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-05 18:03:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599706126864224256', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-05 18:03:56', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599932834229915648', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-06 09:04:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599936003706064896', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-06 09:17:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599948248360030208', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-06 10:06:03', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599961945241423872', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-12-06 11:00:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1599966253513052160', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-12-06 11:17:35', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1599966269979889664', '1590543166828843008', '张磊', '127.0.0.1', '1004', '1', '2022-12-06 11:17:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1599994037199310848', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2022-12-06 13:08:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600020078039011328', '1', '主宰', '172.16.60.186', 'super', '1', '2022-12-06 14:51:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1600022097369894912', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-06 14:59:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600022132379750400', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2022-12-06 14:59:38', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1600022156543135744', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-12-06 14:59:44', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600033719832416256', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-12-06 15:45:41', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600042049963429888', '1327473526785052672', '高志远', '222.137.30.16', '023479', '1', '2022-12-06 16:18:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600055515067584512', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2022-12-06 17:12:17', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600295520507662336', '1327473526785052672', '高志远', '218.28.234.62', '023479', '1', '2022-12-07 09:05:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600486352275771392', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-07 21:44:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1600686039243034624', '1', '主宰', '115.57.150.48', 'super', '1', '2022-12-08 10:57:46', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600693494375124992', '1', '主宰', '115.57.150.48', 'super', '1', '2022-12-08 11:27:23', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1600693519398342656', '1', '主宰', '115.57.150.48', 'super', '1', '2022-12-08 11:27:29', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600705032729268224', '1569970196410667008', '李露露', '115.57.150.48', '1001', '1', '2022-12-08 12:13:14', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600715794944233472', '1327473526785052672', '高志远', '218.28.234.62', '023479', '1', '2022-12-08 12:56:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1600761758388195328', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-12-08 15:58:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1600762443439673344', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-08 16:01:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601021106511286272', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 09:09:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601021868909924352', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 09:12:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1601022028272504832', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-09 09:12:52', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1601022066528751616', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-09 09:13:01', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1601022138704334848', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-09 09:13:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601025464766435328', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 09:26:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601034344078643200', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 10:01:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601041894308188160', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 10:31:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601047462754258944', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 10:53:56', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1601048471031386112', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 10:57:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601048502568357888', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 10:58:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601048805640376320', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 10:59:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601052034398818304', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 11:12:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601055491084128256', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 11:25:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601058189216976896', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 11:36:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601086283147513856', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 13:28:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601089681381003264', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 13:41:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601091232258461696', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 13:47:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601092729436246016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 13:53:48', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1601092740802809856', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 13:53:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601092744992919552', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 13:53:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601097281896058880', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 14:11:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601103314810966016', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 14:35:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1601103345630711808', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-09 14:35:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601107490114768896', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 14:52:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601124822274936832', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-09 16:01:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601138009275764736', '1567046004463767552', '刘国灿', '127.0.0.1', '9527', '1', '2022-12-09 16:53:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601138027898474496', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-09 16:53:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601197851059294208', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-09 20:51:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601896873503887360', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-11 19:09:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1601938152531038208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-11 21:53:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602104097819987968', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 08:52:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602116936173490176', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 09:43:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602121471663149056', '1567046004463767552', '刘国灿', '172.16.60.186', '9527', '1', '2022-12-12 10:01:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602124111281262592', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-12 10:12:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602138030162972672', '1583278909414313984', '测试省级', '127.0.0.1', 'sheng001', '1', '2022-12-12 11:07:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602139038477848576', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 11:11:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602142620241498112', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-12 11:25:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602142862710018048', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-12 11:26:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602143001193353216', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-12 11:27:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602144314866143232', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-12 11:32:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602170454532034560', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 13:16:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602170680877649920', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 13:17:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602190501807788032', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 14:35:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602191116688560128', '1567046004463767552', '刘国灿', '172.16.60.186', '9527', '1', '2022-12-12 14:38:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602194679548481536', '1567046004463767552', '刘国灿', '172.16.60.186', '9527', '1', '2022-12-12 14:52:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602195864825237504', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-12 14:57:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602200274477387776', '1567046004463767552', '刘国灿', '172.16.60.186', '9527', '1', '2022-12-12 15:14:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602202481079750656', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-12 15:23:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1602487451044155392', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2022-12-13 10:15:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1602895187988844544', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-14 13:16:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1603290343418236928', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-15 15:26:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1603378656829378560', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-15 21:17:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1603575266066698240', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2022-12-16 10:18:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1603627033399791616', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-16 13:44:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1603648811740303360', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-16 15:10:46', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1603658494026846208', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-16 15:49:14', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1603658538062843904', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-16 15:49:25', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1605047876063465472', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:50:09', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1605047889137111040', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:50:12', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1605047897114677248', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:50:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1605047909341073408', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:50:17', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1605047951225393152', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:50:27', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1605047963338543104', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:50:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1605048414062645248', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2022-12-20 11:52:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1605828711565889536', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-12-22 15:32:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607219050738487296', '1', '主宰', '222.137.30.50', 'super', '1', '2022-12-26 11:37:37', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607240265234518016', '1', '主宰', '222.137.30.50', 'super', '1', '2022-12-26 13:01:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607262322596909056', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-12-26 14:29:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607262834893393920', '1567046004463767552', '刘国灿', '222.137.30.50', '9527', '1', '2022-12-26 14:31:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607274008171122688', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-12-26 15:16:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607623349285031936', '1567046004463767552', '刘国灿', '182.119.39.156', '9527', '1', '2022-12-27 14:24:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607633924681502720', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-27 15:06:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607923274426224640', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 10:15:57', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607923284249284608', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 10:15:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607923518866067456', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 10:16:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607929883940491264', '1', '主宰', '218.28.192.38', 'super', '1', '2022-12-28 10:42:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607931384716988416', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 10:48:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607968954620448768', '1', '培训部', '120.216.254.49', 'pxzx', '1', '2022-12-28 13:17:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1607968997393960960', '1', '主宰', '120.216.254.49', 'super', '1', '2022-12-28 13:17:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 平顶山 移动');
INSERT INTO `sys_login_log` VALUES ('1607969437414199296', '1567046004463767552', '刘国灿', '182.119.37.78', '9527', '1', '2022-12-28 13:19:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607971522687930368', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 13:27:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607973584943321088', '1567046004463767552', '刘国灿', '182.119.37.78', '9527', '1', '2022-12-28 13:35:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1607973750005960704', '1', '主宰', '182.119.37.78', 'super', '1', '2022-12-28 13:36:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607974111127146496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 13:37:57', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1607974134652997632', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 13:38:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607981594709200896', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-28 14:07:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607984768631312384', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-28 14:20:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1607996506789515264', '1', '主宰', '218.28.192.38', 'super', '1', '2022-12-28 15:06:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1607996934990204928', '1', '主宰', '218.28.192.38', 'super', '1', '2022-12-28 15:08:39', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1607996969131839488', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2022-12-28 15:08:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1608009570666549248', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-28 15:58:52', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608024388442132480', '1', '主宰', '182.119.37.78', 'super', '1', '2022-12-28 16:57:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1608101041553936384', null, null, '127.0.0.1', null, '1', '2022-12-28 22:02:20', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1608101064836517888', null, null, '127.0.0.1', null, '1', '2022-12-28 22:02:26', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1608101104585936896', null, null, '127.0.0.1', null, '1', '2022-12-28 22:02:35', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1608101125775560704', '1562314510612697088', '国产007', '127.0.0.1', '10010', '1', '2022-12-28 22:02:40', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608108521633746944', '1562314510612697088', '国产007', '120.216.254.49', '10010', '1', '2022-12-28 22:32:03', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 平顶山 移动');
INSERT INTO `sys_login_log` VALUES ('1608306576941256704', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-29 11:39:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608336943584776192', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-29 13:39:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608347683813199872', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-29 14:22:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608362059110682624', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-29 15:19:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608384657081110528', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-29 16:49:19', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608633307149504512', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-30 09:17:22', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608635174055186432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-30 09:24:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608652278691139584', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-30 10:32:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608660976578727936', null, null, '218.28.234.62', null, '1', '2022-12-30 11:07:19', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1608662097141567488', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-30 11:11:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608669965332910080', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-30 11:43:02', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608701869746688000', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-30 13:49:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608715518045458432', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-30 14:44:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608728588251697152', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-30 15:35:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608737899333947392', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-30 16:12:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608746906920554496', '1', '主宰', '127.0.0.1', 'super', '1', '2022-12-30 16:48:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1608746987761569792', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2022-12-30 16:49:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610111259871678464', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-01-03 11:10:13', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610111365182263296', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-01-03 11:10:39', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1610111403241377792', null, null, '218.28.192.38', null, '1', '2023-01-03 11:10:48', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1610111654635376640', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-03 11:11:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610151523369750528', '1', '主宰', '222.137.30.15', 'super', '1', '2023-01-03 13:50:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610159618783318016', '1567046004463767552', '刘国灿', '222.137.30.15', '9527', '1', '2023-01-03 14:22:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610162924733730816', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-03 14:35:31', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610170553262542848', '1567046004463767552', '刘国灿', '222.137.30.15', '9527', '1', '2023-01-03 15:05:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610174992882995200', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-03 15:23:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610184828173553664', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-03 16:02:33', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610192164413902848', '1567046004463767552', '刘国灿', '222.137.30.15', '9527', '1', '2023-01-03 16:31:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610213343971381248', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-03 17:55:52', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610445477839507456', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-04 09:18:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610452582168399872', null, null, '127.0.0.1', null, '1', '2023-01-04 09:46:31', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1610452637801648128', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-04 09:46:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610456944039038976', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-04 10:03:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610461689923375104', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-04 10:22:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610467688004587520', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-04 10:46:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610507619548663808', '1562314510612697088', '国产007', '218.28.234.62', '10010', '1', '2023-01-04 13:25:13', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610510909573304320', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-04 13:38:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610542449955049472', '1562314510612697088', '国产007', '218.28.234.62', '10010', '1', '2023-01-04 15:43:37', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610545287661752320', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-04 15:54:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610551756582948864', '1562314510612697088', '国产007', '218.28.234.62', '10010', '1', '2023-01-04 16:20:36', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1610554841166385152', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-04 16:32:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610825293377966080', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-05 10:27:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610874749062352896', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-05 13:44:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1610914095819788288', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-05 16:20:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611168687551811584', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 09:12:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611184548475965440', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 10:15:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611196209953902592', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 11:01:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611197372061323264', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 11:06:03', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611198098812571648', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 11:08:56', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1611198149622370304', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 11:09:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611206758368415744', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 11:43:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611229208116334592', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 13:12:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611244299666722816', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 14:12:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611244486673960960', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 14:13:16', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1611244557910020096', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 14:13:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611245390823297024', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 14:16:51', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1611245423018774528', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-06 14:16:59', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611247063935356928', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 14:23:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1611247082906193920', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 14:23:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611261583735001088', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 15:21:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611278692913385472', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 16:29:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611295033368121344', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-06 17:34:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611696790011252736', '1562314510612697088', '国产007', '221.15.158.44', '10010', '1', '2023-01-07 20:10:33', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1611915291791593472', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-08 10:38:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611922834857267200', null, null, '218.28.192.38', null, '1', '2023-01-08 11:08:47', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1611922851080835072', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-01-08 11:08:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1611922944722866176', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-01-08 11:09:13', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1611922972719845376', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-08 11:09:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1611958054818025472', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-08 13:28:44', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1611968342296498176', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-08 14:09:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1611977313623347200', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-08 14:45:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1611989278357852160', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-08 15:32:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1611999545808523264', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-08 16:13:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612012869908566016', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-08 17:06:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612251805616574464', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-09 08:55:59', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1612254597898964992', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 09:07:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612255708936540160', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-09 09:11:30', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612265623444918272', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 09:50:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612276955628048384', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-09 10:35:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1612291354732400640', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 11:33:09', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1612291383849259008', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 11:33:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612321114611126272', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 13:31:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612330735421755392', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-09 14:09:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612362757179576320', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 16:16:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612362945910673408', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 16:17:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612362953460420608', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 16:17:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612363037543632896', null, null, '127.0.0.1', null, '1', '2023-01-09 16:17:59', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1612366612768362496', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-09 16:32:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612380673954418688', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-09 17:28:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612381712816410624', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 17:32:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612382351248199680', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 17:34:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1612382365613690880', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 17:34:47', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612382392650174464', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-09 17:34:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612395009590562816', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-09 18:25:02', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612395326294069248', null, null, '218.28.234.62', null, '1', '2023-01-09 18:26:17', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1612626915854782464', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-10 09:46:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612650269999501312', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2023-01-10 11:19:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1612687041479446528', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-10 13:45:28', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612708054472724480', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-10 15:08:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612713903911997440', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2023-01-10 15:32:12', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1612729103704788992', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-10 16:32:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612767200370888704', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-10 19:03:59', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612982154843787264', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-11 09:18:08', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612989849835540480', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 09:48:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1612992942228770816', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2023-01-11 10:01:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1613013599205330944', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 11:23:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613045778979360768', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 13:30:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613048964100263936', '1613048759447588864', '培训中心内', '127.0.0.1', '14715', '1', '2023-01-11 13:43:37', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613049045775945728', '1613048759447588864', '培训中心内', '127.0.0.1', '14715', '1', '2023-01-11 13:43:56', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1613049105360228352', '1613048759447588864', '培训中心内', '127.0.0.1', '14715', '1', '2023-01-11 13:44:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613051385056727040', '1613048759447588864', '培训中心内', '127.0.0.1', '14715', '1', '2023-01-11 13:53:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1613051436160126976', '1613048759447588864', '培训中心内', '127.0.0.1', '14715', '1', '2023-01-11 13:53:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613058550681178112', '1569970196410667008', '李露露', '218.28.192.38', '1001', '1', '2023-01-11 14:21:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1613064176849260544', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 14:44:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613093262355206144', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 16:39:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613101797063397376', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 17:13:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613117797129392128', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-11 18:17:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613342545230827520', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-12 09:10:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613365840135196672', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 10:42:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613380712898105344', '1562314510612697088', '国产007', '218.28.234.62', '10010', '1', '2023-01-12 11:41:52', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1613400746563342336', null, null, '127.0.0.1', null, '1', '2023-01-12 13:01:28', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1613400774874894336', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 13:01:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613408698091311104', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 13:33:04', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613412802570096640', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 13:49:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613413543045107712', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 13:52:19', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613418217651441664', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-12 14:10:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613421363727568896', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 14:23:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613422017980272640', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 14:26:00', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613422197576175616', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 14:26:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613432733378416640', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-12 15:08:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613435113062928384', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-12 15:18:02', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613706066598694912', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-13 09:14:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613715254527791104', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-13 09:51:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613728627361452032', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-13 10:44:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613740680222478336', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-13 11:32:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613777171925569536', '1', '主宰', '218.28.234.62', 'super', '1', '2023-01-13 13:57:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1613803717113548800', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-13 15:42:44', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1613823641844322304', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-13 17:01:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614164115239079936', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-14 15:34:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614180212550012928', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-14 16:38:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614430566181113856', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-15 09:13:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614432530608558080', null, null, '127.0.0.1', null, '1', '2023-01-15 09:21:25', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1614432556525162496', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-15 09:21:31', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614441194434203648', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-15 09:55:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614454021945430016', null, null, '218.28.192.38', null, '1', '2023-01-15 10:46:49', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1614454045072822272', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-15 10:46:54', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614456296671678464', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-15 10:55:51', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614456920796696576', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-15 10:58:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614468315126829056', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-15 11:43:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614483030028718080', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-15 12:42:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614490771979898880', '1', '主宰', '182.119.36.239', 'super', '1', '2023-01-15 13:12:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614490797678399488', '1', '主宰', '182.119.36.239', 'super', '1', '2023-01-15 13:12:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614490897469280256', '1', '主宰', '182.119.36.239', 'super', '1', '2023-01-15 13:13:20', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614490951869403136', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-15 13:13:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614490988540203008', '1', '主宰', '182.119.36.239', 'super', '1', '2023-01-15 13:13:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614490995762794496', '1', '主宰', '182.119.36.239', 'super', '1', '2023-01-15 13:13:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614493109532626944', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-15 13:22:08', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614493115777945600', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-15 13:22:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614493175710355456', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-15 13:22:24', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614494235686473728', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-15 13:26:36', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614504220084539392', '1', '主宰', '182.119.36.239', 'super', '1', '2023-01-15 14:06:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614540723225497600', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-15 16:31:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614554305761775616', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-15 17:25:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614792928717312000', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-01-16 09:13:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1614852566296956928', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-01-16 13:10:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614865590617509888', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-01-16 14:02:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614902714192498688', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-01-16 16:29:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1614996275676188672', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-16 22:41:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1615015310195298304', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-16 23:57:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1615016236310204416', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-17 00:00:51', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1615016333097963520', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-17 00:01:14', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1615155329635586048', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-17 09:13:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1615179416130949120', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-17 10:49:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1615193007357825024', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-17 11:43:16', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1615210340528820224', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-17 12:52:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619502260063178752', null, null, '218.28.192.38', null, '1', '2023-01-29 09:06:42', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1619502291432378368', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-29 09:06:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619502298843713536', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-29 09:06:52', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619502303142875136', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-29 09:06:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619506130113925120', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-29 09:22:05', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619522793215496192', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-29 10:28:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619557160495222784', null, null, '218.28.192.38', null, '1', '2023-01-29 12:44:52', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1619557195710599168', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-01-29 12:45:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619557238828044288', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-01-29 12:45:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619557651740495872', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-29 12:46:49', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619566328417488896', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-29 13:21:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619566970028560384', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-29 13:23:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619571852450074624', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-29 13:43:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619573708651892736', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-01-29 13:50:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619596446233923584', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-29 15:20:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619869069257871360', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-30 09:24:16', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619870041682087936', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-30 09:28:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619874267434979328', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-30 09:44:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619886642921869312', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-30 10:34:06', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619886747473285120', '1', '主宰', '218.28.192.38', 'super', '1', '2023-01-30 10:34:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619888729764270080', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-30 10:42:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619896535305293824', '1567046004463767552', '刘国灿', '182.119.36.204', '9527', '1', '2023-01-30 11:13:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619898739395268608', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-30 11:22:10', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619898859931176960', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-30 11:22:39', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619924189760851968', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-30 13:03:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619924370812178432', '1567046004463767552', '刘国灿', '182.119.36.204', '9527', '1', '2023-01-30 13:04:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619927004856061952', '1567046004463767552', '刘国灿', '182.119.36.204', '9527', '1', '2023-01-30 13:14:29', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1619927036585971712', '1', '主宰', '182.119.36.204', 'super', '1', '2023-01-30 13:14:37', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619939056957919232', '1567046004463767552', '刘国灿', '222.137.31.255', '9527', '1', '2023-01-30 14:02:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1619953604431581184', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-01-30 15:00:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619958003597971456', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-30 15:17:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1619960910510690304', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-30 15:29:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620251160076226560', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-01-31 10:42:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1620288834287833088', '1567046004463767552', '刘国灿', '182.119.37.49', '9527', '1', '2023-01-31 13:12:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1620298814684532736', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-01-31 13:51:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1620313430579875840', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-31 14:50:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620322772955828224', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-01-31 15:27:08', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620333182408855552', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-01-31 16:08:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1620333470175858688', '1', '主宰', '127.0.0.1', 'super', '1', '2023-01-31 16:09:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620593387696689152', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-01 09:22:27', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620594358153777152', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-01 09:26:19', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620595304241958912', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-01 09:30:04', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1620596170181185536', null, null, '127.0.0.1', null, '1', '2023-02-01 09:33:31', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1620596195070185472', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 09:33:37', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620596293330145280', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-02-01 09:34:00', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1620596484871426048', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 09:34:46', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1620596513908592640', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 09:34:53', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1620596533688930304', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 09:34:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620596748336631808', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 09:35:49', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1620596771917008896', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 09:35:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620596951743598592', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 09:36:37', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1620596973658836992', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 09:36:42', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620597156824092672', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 09:37:26', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1620597188457533440', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 09:37:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620608143669202944', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-01 10:21:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620610656808079360', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 10:31:05', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620631600104607744', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 11:54:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620648684956028928', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 13:02:11', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620652602972835840', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-02-01 13:17:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1620659038385737728', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-01 13:43:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620659669867565056', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 13:45:50', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620692795092242432', null, null, '127.0.0.1', null, '1', '2023-02-01 15:57:28', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1620692816890040320', null, null, '127.0.0.1', null, '1', '2023-02-01 15:57:33', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1620692838973050880', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 15:57:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620697283702165504', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 16:15:18', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1620697295756595200', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 16:15:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620711574329233408', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-01 17:12:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620723250491428864', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-01 17:58:29', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620954227063001088', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-02 09:16:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620967710722756608', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-02 10:09:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620974142218178560', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-02 10:35:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1620982785802113024', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-02 11:09:47', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621137719155625984', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-02 21:25:26', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621141038783664128', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-02 21:38:38', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1621141085130723328', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-02 21:38:49', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621141100968415232', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-02 21:38:52', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1621141114700566528', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-02 21:38:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621315927184379904', '1', '主宰', '182.119.39.187', 'super', '1', '2023-02-03 09:13:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1621326831749828608', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-03 09:56:54', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621340547488813056', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-03 10:51:24', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621342128129052672', null, null, '218.28.234.62', null, '1', '2023-02-03 10:57:41', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1621377737258307584', '1', '主宰', '182.119.39.187', 'super', '1', '2023-02-03 13:19:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1621379612670038016', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-03 13:26:38', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621387329153404928', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-03 13:57:18', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621387634301603840', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-03 13:58:31', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1621387694124961792', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-03 13:58:45', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621395316559450112', '1', '主宰', '182.119.39.187', 'super', '1', '2023-02-03 14:29:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1621403270901796864', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-03 15:00:39', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621403658925248512', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-03 15:02:11', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1621403682514014208', '1579362188047552512', '王主任', '127.0.0.1', '004', '1', '2023-02-03 15:02:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621406433524453376', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-03 15:13:13', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621422228333793280', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-03 16:15:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1621423323093274624', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-02-03 16:20:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1621434505736884224', '1', '主宰', '182.119.39.187', 'super', '1', '2023-02-03 17:04:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1622404383952211968', '1', '主宰', '222.137.46.82', 'super', '1', '2023-02-06 09:18:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1622413264187166720', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-06 09:54:00', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622425044552650752', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-06 10:40:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622430958122831872', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-06 11:04:18', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1622430988007247872', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-06 11:04:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622440971545481216', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-06 11:44:06', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622447336116588544', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-06 12:09:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622462076494680064', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-06 13:07:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622463730342301696', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-06 13:14:32', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622465570874200064', '1', '主宰', '222.137.46.82', 'super', '1', '2023-02-06 13:21:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1622474596370485248', '1', '主宰', '222.137.46.82', 'super', '1', '2023-02-06 13:57:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1622506068154388480', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-06 16:02:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622522236021903360', '1', '主宰', '222.137.46.82', 'super', '1', '2023-02-06 17:07:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1622525644980228096', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-06 17:20:33', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622776331337076736', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-07 09:56:42', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622785615252819968', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-07 10:33:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622822571277946880', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-07 13:00:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1622849158157307904', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-07 14:46:05', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623210368987959296', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-08 14:41:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623224542484893696', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-08 15:37:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623239409010872320', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-08 16:36:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623495119477018624', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 09:32:54', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623496779192471552', '1567046004463767552', '刘国灿', '182.119.39.117', '9527', '1', '2023-02-09 09:39:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1623498342510235648', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-09 09:45:43', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623510717204402176', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-09 10:34:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623511451337625600', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-09 10:37:48', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623526922585772032', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-09 11:39:17', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623540938729197568', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-09 12:34:58', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623554181140975616', '1', '主宰', '182.119.39.117', 'super', '1', '2023-02-09 13:27:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1623576051152195584', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 14:54:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1623576240260780032', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 14:55:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623592251894665216', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 15:58:52', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1623592264473382912', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 15:58:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623593355101474816', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 16:03:15', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1623593398910980096', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-09 16:03:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623860032154243072', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-10 09:42:56', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623862736964423680', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-10 09:53:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623911411694571520', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-10 13:07:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623938148163784704', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-10 14:53:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623941921976225792', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-10 15:08:20', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623962367362732032', '1561995446459699200', '李昊杰', '127.0.0.1', '003', '1', '2023-02-10 16:29:35', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1623976638108798976', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-10 17:26:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624937531743277056', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:04:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624938077434810368', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:06:42', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1624938094946029568', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-13 09:06:46', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624938109538013184', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-13 09:06:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624938115229683712', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:06:51', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624939184366161920', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-13 09:11:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624948708003155968', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:48:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624949013793083392', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:50:10', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624949144286269440', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-13 09:50:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624950033600352256', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-13 09:54:13', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624950155402940416', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-13 09:54:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624950630890213376', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-13 09:56:35', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1624950683486785536', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:56:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624950903582887936', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-13 09:57:40', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624951092469174272', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:58:25', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624951200694800384', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:58:51', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1624951212048781312', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:58:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624951284891258880', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 09:59:11', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1624955604600754176', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-13 10:16:21', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624971913023590400', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-13 11:21:09', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1624997981952544768', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-13 13:04:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1625026505061044224', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-13 14:58:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625057716454166528', '1', '主宰', '182.119.37.82', 'super', '1', '2023-02-13 17:02:06', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625062788038791168', '1', '主宰', '182.119.37.82', 'super', '1', '2023-02-13 17:22:16', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625102155809689600', '1', '主宰', '223.104.111.49', 'super', '1', '2023-02-13 19:58:42', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1625102369387843584', '1', '主宰', '223.104.111.49', 'super', '1', '2023-02-13 19:59:32', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1625102406071226368', '1327473526785052672', '高志远', '223.104.111.49', '023479', '1', '2023-02-13 19:59:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 移动');
INSERT INTO `sys_login_log` VALUES ('1625296190637740032', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 08:49:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625367176569556992', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:31:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625368867826176000', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:38:31', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1625368949174702080', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:38:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625369239445704704', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:39:59', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1625371329580634112', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-02-14 13:48:18', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625371633403432960', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:49:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625372320187158528', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:52:14', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1625372353313771520', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:52:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625373451944595456', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:56:44', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1625373474988101632', '1570254194076684288', '李主任', '218.28.192.38', '002', '1', '2023-02-14 13:56:49', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1625373496370663424', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 13:56:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625374757094559744', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 14:01:55', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1625375013429448704', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 14:02:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625397832343228416', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 15:33:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625412576831737856', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-14 16:32:12', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625705594730188800', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-15 11:56:33', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1625723052778196992', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-02-15 13:05:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1626049850502156288', '1', '主宰', '182.119.39.18', 'super', '1', '2023-02-16 10:44:30', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1626104497405300736', '1', '主宰', '218.28.234.62', 'super', '1', '2023-02-16 14:21:38', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1626125966751436800', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-16 15:46:57', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1626389314520879104', '1', '主宰', '222.137.47.100', 'super', '1', '2023-02-17 09:13:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1626457483931422720', '1', '主宰', '222.137.47.100', 'super', '1', '2023-02-17 13:44:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1626484382288187392', '1', '主宰', '222.137.47.100', 'super', '1', '2023-02-17 15:31:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1626499559796641792', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-17 16:31:29', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1626499834489999360', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-02-17 16:32:34', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1626531861390036992', null, null, '221.15.158.34', null, '1', '2023-02-17 18:39:50', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1626531899990216704', '1', '主宰', '221.15.158.34', 'super', '1', '2023-02-17 18:39:59', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1627214261061292032', '1', '主宰', '218.28.234.62', 'super', '1', '2023-02-19 15:51:27', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1627215291069108224', '1', '主宰', '218.28.234.62', 'super', '1', '2023-02-19 15:55:32', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1627216247856959488', '1', '主宰', '218.28.234.62', 'super', '1', '2023-02-19 15:59:20', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1627870425373609984', '1590543166828843008', '张磊', '222.137.30.35', '1004', '1', '2023-02-21 11:18:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1628265427639603200', '1', '主宰', '218.28.192.38', 'super', '1', '2023-02-22 13:28:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1628578456973479936', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-23 10:12:16', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1628589121415024640', '1327473526785052672', '高志远', '123.160.205.103', '023479', '1', '2023-02-23 10:54:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1628652565195526144', '1327473526785052672', '高志远', '123.160.205.103', '023479', '1', '2023-02-23 15:06:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1629667710713597952', '1', '主宰', '127.0.0.1', 'super', '1', '2023-02-26 10:20:35', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1633312777626062848', '1', '主宰', '222.137.46.110', 'super', '1', '2023-03-08 11:44:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1633653430658666496', '1327473526785052672', '高志远', '123.161.209.24', '023479', '1', '2023-03-09 10:18:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1633661339769638912', '1327473526785052672', '高志远', '123.161.209.24', '023479', '1', '2023-03-09 10:49:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 电信');
INSERT INTO `sys_login_log` VALUES ('1635819845855612928', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-15 09:46:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1635837437970354176', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-15 10:56:52', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1635843997190721536', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-15 11:22:56', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1635869791220797440', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-15 13:05:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1635874514221010944', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-15 13:24:12', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1635875437538316288', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-15 13:27:52', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1635878773557694464', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-15 13:41:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1635879667003166720', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-15 13:44:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1635879953964863488', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-15 13:45:49', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1635881282753925120', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-15 13:51:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1635881342271098880', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-15 13:51:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1635884237712396288', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-03-15 14:02:50', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1636172271376797696', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-16 09:07:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1636208179459264512', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-16 11:30:04', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1636285989708238848', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-16 16:39:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1636953856858525696', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-18 12:53:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1637622073029431296', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-20 09:08:22', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1637627779807842304', '1', '主宰', '127.0.0.1', 'super', '1', '2023-03-20 09:31:03', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1638080938929950720', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-21 15:31:45', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638080976758378496', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-21 15:31:54', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1638081003178299392', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-03-21 15:32:00', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638081951543988224', '1327473526785052672', '高志远', '222.137.47.69', '023479', '1', '2023-03-21 15:35:46', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1638081975447326720', '1327473526785052672', '高志远', '222.137.47.69', '023479', '1', '2023-03-21 15:35:52', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1638082053138419712', '1327473526785052672', '高志远', '222.137.47.69', '023479', '1', '2023-03-21 15:36:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638082380222828544', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-21 15:37:28', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638094116694921216', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-21 16:24:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638110927444381696', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-21 17:30:54', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638159943154667520', null, null, '221.15.152.17', null, '1', '2023-03-21 20:45:41', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1638159967053811712', null, null, '221.15.152.17', null, '1', '2023-03-21 20:45:46', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1638159976906231808', null, null, '221.15.152.17', null, '1', '2023-03-21 20:45:49', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1638160002449543168', '1', '主宰', '221.15.152.17', 'super', '1', '2023-03-21 20:45:55', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638160105994326016', '1', '主宰', '221.15.152.17', 'super', '1', '2023-03-21 20:46:19', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638341650885513216', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-22 08:47:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638379283275714560', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-22 11:17:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638423672219897856', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-22 14:13:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638709867017539584', '1327473526785052672', '高志远', '172.16.60.194', '023479', '1', '2023-03-23 09:10:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1638710200489873408', '1327473526785052672', '高志远', '172.16.60.194', '023479', '1', '2023-03-23 09:12:12', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1638730268258996224', '1590543166828843008', '张磊', '182.119.37.43', '1004', '1', '2023-03-23 10:31:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1638737297371435008', '1327473526785052672', '高志远', '172.16.60.194', '023479', '1', '2023-03-23 10:59:53', 'MSEdge', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1638738236404797440', null, null, '172.16.60.194', null, '1', '2023-03-23 11:03:37', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1638738285025169408', '1', '主宰', '172.16.60.194', 'super', '1', '2023-03-23 11:03:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1639159384602972160', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-24 14:57:06', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1639159386721095680', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-03-24 14:57:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1639159569508864000', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-24 14:57:50', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1639159605143670784', '1593125995324510208', 'lilu', '218.28.192.38', '3001', '1', '2023-03-24 14:57:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1639159790267666432', '1593125995324510208', 'lilu', '218.28.192.38', '3001', '1', '2023-03-24 14:58:43', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1639159955900731392', '1593125995324510208', 'lilu', '218.28.192.38', '3001', '1', '2023-03-24 14:59:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1640969587191320576', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-29 14:50:12', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1640969626370314240', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-29 14:50:21', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1640969630703030272', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-29 14:50:22', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1640969646163234816', '1', '主宰', '218.28.192.38', 'super', '1', '2023-03-29 14:50:26', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1640972605034991616', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:02:11', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1640972632037920768', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:02:18', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1640972721896689664', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:02:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1640972771288813568', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:02:51', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1640979898917064704', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:31:10', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1640980854249492480', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:34:58', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1640983433612234752', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:45:13', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1640983449986797568', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-29 15:45:17', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641005404806844416', '1', '主宰', '221.15.156.119', 'super', '1', '2023-03-29 17:12:32', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641020611096612864', '1', '主宰', '221.15.156.119', 'super', '1', '2023-03-29 18:12:57', 'MSEdge', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1641024826879643648', '1', '主宰', '221.15.156.119', 'super', '1', '2023-03-29 18:29:42', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641039385459822592', '1', '主宰', '221.15.159.163', 'super', '1', '2023-03-29 19:27:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641039584718622720', '1', '主宰', '221.15.159.163', 'super', '1', '2023-03-29 19:28:21', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1641041344778604544', null, null, '218.28.234.62', null, '1', '2023-03-29 19:35:20', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1641041353498562560', null, null, '218.28.234.62', null, '1', '2023-03-29 19:35:22', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1641041379989786624', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-03-29 19:35:29', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641046456179757056', '1', '主宰', '221.15.156.119', 'super', '1', '2023-03-29 19:55:39', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641048720680292352', null, null, '221.15.156.119', null, '1', '2023-03-29 20:04:39', 'MSEdge', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1641048738715799552', '1', '主宰', '221.15.156.119', 'super', '1', '2023-03-29 20:04:43', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641241298100948992', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 08:49:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641245163890282496', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-03-30 09:05:15', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1641246991528890368', '1', '主宰', '221.15.156.119', 'super', '1', '2023-03-30 09:12:30', 'MSEdge', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641256947636375552', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 09:52:04', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641257844114329600', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 09:55:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641260039006195712', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 10:04:21', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1641260053984055296', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 10:04:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641274535091245056', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 11:01:57', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641288225047842816', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 11:56:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641306072817995776', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 13:07:16', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641326862141624320', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-30 14:29:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641642818411827200', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-31 11:25:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641674279059853312', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-31 13:30:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641694891589373952', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-31 14:52:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1641707687731400704', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-03-31 15:43:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642111561843740672', '1327473526785052672', '高志远', '221.15.158.25', '023479', '1', '2023-04-01 18:28:00', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642373711074037760', '1327473526785052672', '高志远', '221.15.154.221', '023479', '1', '2023-04-02 11:49:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642408928010702848', '1327473526785052672', '高志远', '221.15.154.221', '023479', '1', '2023-04-02 14:09:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642429246125248512', '1327473526785052672', '高志远', '221.15.158.25', '023479', '1', '2023-04-02 15:30:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642462777199169536', '1327473526785052672', '高志远', '221.15.158.25', '023479', '1', '2023-04-02 17:43:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642483335559254016', '1327473526785052672', '高志远', '221.15.158.25', '023479', '1', '2023-04-02 19:05:18', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642491694219923456', '1327473526785052672', '高志远', '221.15.158.25', '023479', '1', '2023-04-02 19:38:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642520952954818560', '1327473526785052672', '高志远', '221.15.158.25', '023479', '1', '2023-04-02 21:34:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642728943876444160', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-04-03 11:21:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642758169828659200', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-04-03 13:17:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1642788608802951168', '1327473526785052672', '高志远', '218.28.192.38', '023479', '1', '2023-04-03 15:18:21', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1643075373203853312', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-04-04 10:17:50', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1643075538887249920', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-04-04 10:18:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1643075738175410176', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-04-04 10:19:18', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1643863779009761280', '1327473526785052672', '高志远', '221.15.152.1', '023479', '1', '2023-04-06 14:30:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1643863892549570560', '1327473526785052672', '高志远', '221.15.152.1', '023479', '1', '2023-04-06 14:31:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1643883169675612160', null, null, '218.28.192.38', null, '1', '2023-04-06 15:47:44', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1643883181008621568', null, null, '218.28.192.38', null, '1', '2023-04-06 15:47:47', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1643883217708781568', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-04-06 15:47:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1643893189549101056', '1327473526785052672', '高志远', '221.15.152.1', '023479', '1', '2023-04-06 16:27:33', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1644182816180801536', '1590543166828843008', '张磊', '221.15.152.1', '1004', '1', '2023-04-07 11:38:25', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1644207718245994496', '1590543166828843008', '张磊', '221.15.152.1', '1004', '1', '2023-04-07 13:17:23', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1644263127187066880', null, null, '218.28.234.62', null, '1', '2023-04-07 16:57:33', 'Chrome', 'Mac', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1644263145847525376', '1590648570632081408', '张芳芳', '218.28.234.62', '10086', '1', '2023-04-07 16:57:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1645365733162618880', '1', '主宰', '127.0.0.1', 'super', '1', '2023-04-10 17:58:55', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1645365768499630080', '1', '主宰', '127.0.0.1', 'super', '1', '2023-04-10 17:59:03', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1645365827970666496', '1', '主宰', '127.0.0.1', 'super', '1', '2023-04-10 17:59:17', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1645365893305339904', '1', '主宰', '127.0.0.1', 'super', '1', '2023-04-10 17:59:33', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1645365934958972928', '1', '主宰', '127.0.0.1', 'super', '1', '2023-04-10 17:59:43', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1645986154081816576', '1', '主宰', '221.15.157.18', 'super', '1', '2023-04-12 11:04:15', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1646678640500543488', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-04-14 08:55:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1646716842506588160', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-04-14 11:27:44', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1647793229728452608', '1590543166828843008', '张磊', '221.15.157.134', '1004', '1', '2023-04-17 10:44:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1647805222732566528', '1590543166828843008', '张磊', '221.15.157.134', '1004', '1', '2023-04-17 11:32:34', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1647837029117071360', '1590543166828843008', '张磊', '221.15.157.173', '1004', '1', '2023-04-17 13:38:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648216995725971456', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-18 14:48:49', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648561502531227648', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-19 13:37:46', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648579041487360000', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-19 14:47:27', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648593215600857088', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-19 15:43:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648605388737744896', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-19 16:32:09', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648614038139179008', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-19 17:06:31', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648861290275409920', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-20 09:29:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648884098346913792', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-20 10:59:38', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648919443629281280', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-20 13:20:05', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648942332885733376', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-20 14:51:03', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648956449763758080', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-20 15:47:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1648982206993010688', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-20 17:29:29', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1649223685485236224', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-21 09:29:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1649249997251809280', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-21 11:13:36', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1650673333190135808', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-25 09:29:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1650673370322309120', '1567046004463767552', '刘国灿', '218.28.192.38', '9527', '1', '2023-04-25 09:29:34', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1650673399636299776', '1', '主宰', '218.28.192.38', 'super', '1', '2023-04-25 09:29:41', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1650751042222166016', '1', '主宰', '218.28.192.38', 'super', '1', '2023-04-25 14:38:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1651420129541623808', '1', '主宰', '221.15.159.186', 'super', '1', '2023-04-27 10:56:55', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1651477769122615296', '1', '主宰', '221.15.154.234', 'super', '1', '2023-04-27 14:45:58', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1651502825504641024', '1', '主宰', '221.15.154.234', 'super', '1', '2023-04-27 16:25:32', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1651779617960366080', '1', '主宰', '221.15.154.234', 'super', '1', '2023-04-28 10:45:24', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1651877217061441536', '1', '主宰', '218.28.192.38', 'super', '1', '2023-04-28 17:13:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1651889797159063552', '1', '主宰', '218.28.192.38', 'super', '1', '2023-04-28 18:03:13', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1655742983754092544', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-09 09:14:24', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1657206639444496384', '1590543166828843008', '张磊', '221.15.154.18', '1004', '1', '2023-05-13 10:10:27', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1657294877349777408', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-13 16:01:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1657942735665106944', '1590543166828843008', '张磊', '221.15.154.13', '1004', '1', '2023-05-15 10:55:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1657987496996376576', '1590543166828843008', '张磊', '221.15.153.143', '1004', '1', '2023-05-15 13:53:18', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1658282760902676480', '1', '主宰', '221.15.157.126', 'super', '1', '2023-05-16 09:26:34', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1658291922273439744', '1', '主宰', '221.15.157.126', 'super', '1', '2023-05-16 10:02:59', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1658359793020178432', '1', '主宰', '221.15.157.126', 'super', '1', '2023-05-16 14:32:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1658367964098990080', '1', '主宰', '221.15.157.126', 'super', '1', '2023-05-16 15:05:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1658669280717312000', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-17 11:02:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1659087625199423488', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-18 14:44:49', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1659363849750581248', '1590543166828843008', '张磊', '221.15.159.182', '1004', '1', '2023-05-19 09:02:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1659374046892134400', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-19 09:42:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1660455416540303360', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-22 09:19:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1660956460714168320', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-23 18:30:54', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1661206727271518208', '1', '主宰', '218.28.234.62', 'super', '1', '2023-05-24 11:05:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1661206762189099008', '1590543166828843008', '张磊', '218.28.234.62', '1004', '1', '2023-05-24 11:05:30', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1661335222400192512', '1590543166828843008', '张磊', '221.15.154.189', '1004', '1', '2023-05-24 19:35:58', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1661707648342560768', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-25 20:15:51', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1662016002436763648', '1590543166828843008', '张磊', '39.144.27.81', '1004', '1', '2023-05-26 16:41:08', 'Chrome', 'Mac', '1', '登录成功', '中国 移动');
INSERT INTO `sys_login_log` VALUES ('1662993101108678656', '1', '主宰', '218.28.192.38', 'super', '1', '2023-05-29 09:23:47', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1662994119640879104', '1', '主宰', '221.15.157.63', 'super', '1', '2023-05-29 09:27:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663001520519647232', '1', '主宰', '218.28.192.38', 'super', '1', '2023-05-29 09:57:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663169301558988800', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-29 21:03:56', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663353616989294592', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-30 09:16:21', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663392225377259520', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-05-30 11:49:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663422708693733376', '1', '主宰', '221.15.152.132', 'super', '1', '2023-05-30 13:50:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663458409518862336', '1', '主宰', '221.15.152.132', 'super', '1', '2023-05-30 16:12:45', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1663813684570492928', '1590543166828843008', '张磊', '221.15.157.128', '1004', '1', '2023-05-31 15:44:29', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1664182501595287552', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-01 16:10:02', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1664182548986728448', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-01 16:10:13', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1664182657933774848', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-01 16:10:39', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1664208537305354240', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-01 17:53:29', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1664439015945932800', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-02 09:09:20', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665525476845817856', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-05 09:06:32', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665594399075209216', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-05 13:40:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665595476885508096', '1590543166828843008', '张磊', '221.15.154.54', '1004', '1', '2023-06-05 13:44:42', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665618183442272256', '1590543166828843008', '张磊', '221.15.154.54', '1004', '1', '2023-06-05 15:14:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665625564230324224', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-05 15:44:15', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665635769613684736', '1590543166828843008', '张磊', '221.15.154.54', '1004', '1', '2023-06-05 16:24:48', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1665653470490923008', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-05 17:35:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1666041275150897152', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-06 19:16:08', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1666041564650147840', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-06 19:17:17', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1666253258534031360', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-07 09:18:29', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1666335366594039808', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-07 14:44:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1666365428001280000', '1', '主宰', '218.28.192.38', 'super', '1', '2023-06-07 16:44:12', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1666643567801667584', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-08 11:09:26', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1666681000811433984', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-08 13:38:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1666697485420204032', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-08 14:43:41', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1668090829299912704', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-12 11:00:20', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1668103638372978688', '1', '主宰', '221.15.155.255', 'super', '1', '2023-06-12 11:51:14', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1668168787385520128', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-12 16:10:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1668921402125848576', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-14 18:00:44', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1668926139579633664', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-14 18:19:33', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1668926164577685504', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-14 18:19:39', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1668926354273472512', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-14 18:20:25', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1668926408321273856', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-14 18:20:38', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1669148258892648448', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-15 09:02:11', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1669148357081305088', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-15 09:02:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1669161162878619648', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-06-15 09:53:27', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1669161236102778880', '1590648570632081408', '张芳芳', '218.28.192.38', '10086', '1', '2023-06-15 09:53:45', 'Chrome', 'Mac', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1669161275273383936', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-15 09:53:54', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1672810584032284672', '1590543166828843008', '张磊', '221.15.159.247', '1004', '1', '2023-06-25 11:34:57', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1672908429955567616', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-25 18:03:45', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1672908442165186560', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-25 18:03:48', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1672908622843219968', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-25 18:04:31', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673172516543270912', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-26 11:33:09', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1673173071269335040', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-26 11:35:21', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673203427724890112', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-26 13:35:58', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673203762610704384', '1590543166828843008', '张磊', '221.15.153.68', '1004', '1', '2023-06-26 13:37:18', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1673229901135745024', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-26 15:21:10', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673248928964939776', '1', '主宰', '221.15.158.59', 'super', '1', '2023-06-26 16:36:47', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1673259327353393152', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-26 17:18:06', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673499479145320448', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-27 09:12:23', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673598706991108096', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-27 15:46:40', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1673878775881928704', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-28 10:19:34', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673932100740452352', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-28 13:51:28', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673932159062249472', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-28 13:51:42', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1673932181946372096', null, null, '127.0.0.1', null, '1', '2023-06-28 13:51:47', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1673932198656479232', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-28 13:51:51', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673932361043152896', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-28 13:52:30', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1673932385659523072', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-28 13:52:36', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1673952491907190784', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-06-28 15:12:29', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1674246780008665088', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-06-29 10:41:53', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1674246869309591552', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-29 10:42:14', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1674247292124794880', '1', '主宰', '127.0.0.1', 'super', '1', '2023-06-29 10:43:55', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1674335416305717248', '1590543166828843008', '张磊', '221.15.152.98', '1004', '1', '2023-06-29 16:34:06', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1675676714367324160', '1327473526785052672', '高志远', '127.0.0.1', '023479', '1', '2023-07-03 09:23:56', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1675756734909648896', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-07-03 14:41:54', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1679023129206329344', '1590543166828843008', '张磊', '221.15.152.11', '1004', '1', '2023-07-12 15:01:23', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1679327510069907456', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-07-13 11:10:53', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1679327516701102080', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-07-13 11:10:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1679774560087576576', '1590543166828843008', '张磊', '221.15.158.25', '1004', '1', '2023-07-14 16:47:18', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1681497922832830464', null, null, '218.28.192.38', null, '1', '2023-07-19 10:55:20', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1681497948485193728', '1', '主宰', '218.28.192.38', 'super', '1', '2023-07-19 10:55:26', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1683718379082485760', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-07-25 13:58:38', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1687004956609089536', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-08-03 15:38:19', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688428623205371904', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-07 13:55:28', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688438405698031616', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-07 14:34:20', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688455783035047936', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-07 15:43:23', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688483094799192064', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-07 17:31:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688503961943937024', '1590543166828843008', '张磊', '218.28.192.38', '1004', '1', '2023-08-07 18:54:50', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688716513944670208', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-08 08:59:26', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688856928463228928', '1327473526785052672', '高志远', '222.143.20.188', '023479', '1', '2023-08-08 18:17:24', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1688856967256346624', '1327473526785052672', '高志远', '222.143.20.188', '023479', '1', '2023-08-08 18:17:33', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1688856973728157696', '1327473526785052672', '高志远', '222.143.20.188', '023479', '1', '2023-08-08 18:17:35', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1688856976144076800', '1327473526785052672', '高志远', '222.143.20.188', '023479', '1', '2023-08-08 18:17:35', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1688857011762106368', '1', '主宰', '222.143.20.188', 'super', '1', '2023-08-08 18:17:44', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688857303836659712', '1', '主宰', '222.143.20.188', 'super', '1', '2023-08-08 18:18:53', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1688857336904552448', '1590543166828843008', '张磊', '222.143.20.188', '1004', '1', '2023-08-08 18:19:01', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688857383515852800', '1590543166828843008', '张磊', '222.143.20.188', '1004', '1', '2023-08-08 18:19:12', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1688857437819506688', '1590543166828843008', '张磊', '222.143.20.188', '1004', '1', '2023-08-08 18:19:25', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1688860530716053504', '1', '主宰', '221.15.155.225', 'super', '1', '2023-08-08 18:31:43', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689085148672430080', '1590543166828843008', '张磊', '112.66.72.189', '1004', '1', '2023-08-09 09:24:16', 'Chrome', 'Windows', '1', '登录成功', '中国 海南 海口 电信');
INSERT INTO `sys_login_log` VALUES ('1689096068781969408', '1590543166828843008', '张磊', '112.66.72.189', '1004', '1', '2023-08-09 10:07:39', 'Chrome', 'Windows', '1', '登录成功', '中国 海南 海口 电信');
INSERT INTO `sys_login_log` VALUES ('1689096179616452608', '1590543166828843008', '张磊', '112.66.72.189', '1004', '1', '2023-08-09 10:08:06', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689096254019211264', '1590543166828843008', '张磊', '112.66.72.189', '1004', '1', '2023-08-09 10:08:24', 'Chrome', 'Windows', '1', '登录成功', '中国 海南 海口 电信');
INSERT INTO `sys_login_log` VALUES ('1689118219119497216', '1', '主宰', '221.15.155.225', 'super', '1', '2023-08-09 11:35:40', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689118707256791040', '1', '主宰', '221.15.155.225', 'super', '1', '2023-08-09 11:37:37', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689118739544543232', '1327473526785052672', '高志远', '221.15.155.225', '023479', '1', '2023-08-09 11:37:44', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689118845693988864', null, null, '221.15.155.225', null, '1', '2023-08-09 11:38:10', 'Chrome', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1689119148937973760', '1569970196410667008', '李露露', '221.15.155.225', '1001', '1', '2023-08-09 11:39:22', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689119174024105984', '1569970196410667008', '李露露', '221.15.155.225', '1001', '1', '2023-08-09 11:39:28', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689119221688176640', '1569970196410667008', '李露露', '221.15.155.225', '1001', '1', '2023-08-09 11:39:39', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689119655576342528', '1569970196410667008', '李露露', '221.15.155.225', '1001', '1', '2023-08-09 11:41:23', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689149056586223616', '1590543166828843008', '张磊', '112.66.72.189', '1004', '1', '2023-08-09 13:38:13', 'Chrome', 'Windows', '1', '登录成功', '中国 海南 海口 电信');
INSERT INTO `sys_login_log` VALUES ('1689164597266878464', '1590543166828843008', '张磊', '112.66.72.189', '1004', '1', '2023-08-09 14:39:58', 'Chrome', 'Windows', '1', '登录成功', '中国 海南 海口 电信');
INSERT INTO `sys_login_log` VALUES ('1689179548861730816', '1', '主宰', '221.15.159.108', 'super', '1', '2023-08-09 15:39:23', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689208981639270400', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-09 17:36:20', 'Chrome', 'Mac', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689209070000672768', '1590543166828843008', '张磊', '221.15.155.215', '1004', '1', '2023-08-09 17:36:41', 'Chrome', 'Mac', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689209090443710464', '1', '主宰', '221.15.155.215', 'super', '1', '2023-08-09 17:36:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689229595708100608', '1', '主宰', '221.15.155.215', 'super', '1', '2023-08-09 18:58:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689246221388091392', '1', '主宰', '221.15.155.215', 'super', '1', '2023-08-09 20:04:18', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689476358914314240', '1590543166828843008', '张磊', '221.15.157.20', '1004', '1', '2023-08-10 11:18:48', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689476624849965056', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 11:19:51', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689476635268616192', '1590543166828843008', '张磊', '221.15.157.20', '1004', '1', '2023-08-10 11:19:53', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689476726213709824', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 11:20:15', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689476919046836224', null, null, '221.15.155.77', null, '1', '2023-08-10 11:21:01', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1689477245338521600', '1327473526785052672', '高志远', '221.15.155.77', '023479', '1', '2023-08-10 11:22:19', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477255945916416', '1327473526785052672', '高志远', '221.15.155.77', '023479', '1', '2023-08-10 11:22:21', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477376381161472', '1327473526785052672', '高志远', '221.15.155.77', '023479', '1', '2023-08-10 11:22:50', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477531792707584', '1327473526785052672', '高志远', '182.118.232.147', '023479', '1', '2023-08-10 11:23:27', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477558233600000', '1327473526785052672', '高志远', '182.118.232.147', '023479', '1', '2023-08-10 11:23:34', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477564638302208', '1327473526785052672', '高志远', '182.118.232.147', '023479', '1', '2023-08-10 11:23:35', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477567649812480', '1327473526785052672', '高志远', '182.118.232.147', '023479', '1', '2023-08-10 11:23:36', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477570678099968', '1327473526785052672', '高志远', '182.118.232.147', '023479', '1', '2023-08-10 11:23:36', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477581268717568', '1327473526785052672', '高志远', '182.118.232.147', '023479', '1', '2023-08-10 11:23:39', 'MSEdge', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689477629981364224', '1561995446459699200', '李昊杰', '182.118.232.147', '003', '1', '2023-08-10 11:23:51', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689477799817121792', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:24:31', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689477829374382080', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:24:38', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689477843072978944', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:24:41', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689477870600196096', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:24:48', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689477894709055488', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:24:54', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689477915886096384', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:24:59', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689477930943647744', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:25:02', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689477944801628160', '1590543166828843008', '张磊', '221.15.157.20', '1004', '1', '2023-08-10 11:25:06', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689477950325526528', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:25:07', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689478023620988928', '1590543166828843008', '张磊', '221.15.157.20', '1004', '1', '2023-08-10 11:25:24', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689479035807207424', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:29:26', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689479516419919872', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:31:20', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689479529422262272', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:31:23', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689480496544878592', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:35:14', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689480509371060224', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:35:17', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689481528695984128', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:39:20', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689481540825911296', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:39:23', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689482584855285760', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:43:32', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689482603234725888', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:43:36', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689483199203381248', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:45:58', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689483213199773696', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:46:02', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689483234754301952', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:46:07', 'MSEdge', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689483248499036160', '1', '主宰', '182.118.232.147', 'super', '1', '2023-08-10 11:46:10', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 洛阳 联通');
INSERT INTO `sys_login_log` VALUES ('1689522369242206208', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 14:21:37', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689539432501350400', null, null, '221.15.155.77', null, '1', '2023-08-10 15:29:25', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1689539457218383872', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 15:29:31', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689548326141300736', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 16:04:46', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689566209709838336', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 17:15:50', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689578447539671040', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 18:04:27', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689611993981521920', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-10 20:17:45', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1689617861485662208', null, null, '221.15.155.77', null, '1', '2023-08-10 20:41:04', 'MSEdge', 'Windows', '0', '账号或密码为空', null);
INSERT INTO `sys_login_log` VALUES ('1689617883946160128', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 20:41:10', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689625925051879424', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-10 21:13:07', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689815989706952704', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 09:48:22', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1689817378805911552', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 09:53:53', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689817528764862464', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 09:54:29', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1689897090337083392', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-11 15:10:38', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689898366894477312', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 15:15:42', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1689899628817944576', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-11 15:20:43', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689899874121814016', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 15:21:41', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1689900890418450432', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 15:25:44', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1689900908500094976', '1', '主宰', '172.16.60.103', 'super', '1', '2023-08-11 15:25:48', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1689917128230178816', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-11 16:30:15', 'MSEdge', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689940650704900096', '1', '主宰', '221.15.152.149', 'super', '1', '2023-08-11 18:03:43', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1689965794945011712', '1590543166828843008', '张磊', '221.15.155.77', '1004', '1', '2023-08-11 19:43:38', 'Chrome', 'Mac', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1689965813366394880', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-11 19:43:43', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1690253223769804800', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-12 14:45:47', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1690262655761256448', '1', '主宰', '221.15.155.77', 'super', '1', '2023-08-12 15:23:15', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1690292305765994496', '1', '主宰', '221.15.152.196', 'super', '1', '2023-08-12 17:21:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1690888694824833024', '1', '主宰', '221.15.152.196', 'super', '1', '2023-08-14 08:50:55', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1690908325723639808', '1', '主宰', '218.28.192.38', 'super', '1', '2023-08-14 10:08:55', 'Chrome', 'Windows', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1690965671627853824', '1', '主宰', '221.15.152.196', 'super', '1', '2023-08-14 13:56:47', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1691007263990484992', '1', '主宰', '221.15.152.196', 'super', '1', '2023-08-14 16:42:04', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1691025176239673344', '1', '主宰', '221.15.152.196', 'super', '1', '2023-08-14 17:53:14', 'Chrome', 'Mac', '1', '登录成功', '中国 河南 郑州 联通');
INSERT INTO `sys_login_log` VALUES ('1691344347515195392', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 15:01:31', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691345548390567936', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 15:06:17', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691345841509502976', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 15:07:27', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691345897482489856', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 15:07:40', 'Chrome', 'Linux', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1691345933935185920', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 15:07:49', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691346150243831808', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 15:08:41', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691346214487986176', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 15:08:56', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691346305529548800', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 15:09:18', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691346416275951616', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 15:09:44', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691357621791100928', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 15:54:16', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691359792066596864', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 16:02:53', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691359826946428928', '1', '主宰', '172.16.20.4', 'super', '1', '2023-08-15 16:03:01', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691359872316215296', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 16:03:12', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691375499374366720', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 17:05:18', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691377214794371072', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 17:12:07', 'Chrome', 'Linux', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691377285141237760', '1327473526785052672', '高志远', '172.16.20.4', '023479', '1', '2023-08-15 17:12:24', 'Chrome', 'Linux', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691381511451971584', '1', '主宰', '172.16.60.75', 'super', '1', '2023-08-15 17:29:11', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691381924641247232', '1', '主宰', '172.16.60.75', 'super', '1', '2023-08-15 17:30:50', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691384164282142720', '1327473526785052672', '高志远', '172.16.60.164', '023479', '1', '2023-08-15 17:39:44', 'Chrome', 'Windows', '0', '账号或密码错误', null);
INSERT INTO `sys_login_log` VALUES ('1691384260600139776', '1', '主宰', '172.16.60.164', 'super', '1', '2023-08-15 17:40:07', 'Chrome', 'Windows', '1', '登录成功', '内网IP');
INSERT INTO `sys_login_log` VALUES ('1691385035275505664', '1', '主宰', '172.16.60.164', 'super', '1', '2023-08-15 17:43:11', 'Chrome', 'Windows', '2', '退出', null);
INSERT INTO `sys_login_log` VALUES ('1691385087838523392', '1', '主宰', '172.16.60.164', 'super', '1', '2023-08-15 17:43:24', 'Chrome', 'Windows', '1', '登录成功', '内网IP');

-- ----------------------------
-- Table structure for sys_major
-- ----------------------------
DROP TABLE IF EXISTS `sys_major`;
CREATE TABLE `sys_major` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `lv` smallint(1) DEFAULT NULL COMMENT '层级',
  `pid` bigint(20) DEFAULT NULL COMMENT '上级id',
  `name` varchar(30) DEFAULT NULL COMMENT '名称',
  `use_code` varchar(20) DEFAULT NULL,
  `code` varchar(20) DEFAULT NULL COMMENT '系统编号（001001001）方式',
  `seq` smallint(3) DEFAULT '999' COMMENT '顺序号',
  `state` smallint(1) DEFAULT '1' COMMENT '状态 ：0、禁用 。1、正常。',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='专业管理';

-- ----------------------------
-- Records of sys_major
-- ----------------------------
INSERT INTO `sys_major` VALUES ('1301370984615514112', '0', '0', '党建', '05', '001', '5', '1', '', '2020-09-03 12:06:36');
INSERT INTO `sys_major` VALUES ('1301371027162533888', '0', '0', '金融', '01', '002', '1', '1', '', '2020-09-03 12:06:46');
INSERT INTO `sys_major` VALUES ('1301371085220089856', '0', '0', '寄递', '02', '003', '2', '1', '', '2020-09-03 12:07:00');
INSERT INTO `sys_major` VALUES ('1301371132523450368', '0', '0', '渠道', '03', '004', '3', '1', '', '2020-09-03 12:07:11');
INSERT INTO `sys_major` VALUES ('1301371178832760832', '0', '0', '邮务', '04', '005', '4', '1', '', '2020-09-03 12:07:22');
INSERT INTO `sys_major` VALUES ('1301371223997026304', '0', '0', '综合', '06', '006', '6', '1', '', '2020-09-03 12:07:33');
INSERT INTO `sys_major` VALUES ('1301371271531073536', '0', '0', '其他', '100', '007', '7', '0', '', '2020-09-03 12:07:44');
INSERT INTO `sys_major` VALUES ('1301371945044021248', '1', '1301371027162533888', '保险业务', '001', '002001', '1', '1', '', '2020-09-03 12:10:25');
INSERT INTO `sys_major` VALUES ('1301371995069485056', '1', '1301371027162533888', '金融业务', '002', '002002', '2', '1', '', '2020-09-03 12:10:37');
INSERT INTO `sys_major` VALUES ('1301372066913718272', '1', '1301371027162533888', '职业技能', '003', '002003', '3', '1', '', '2020-09-03 12:10:54');
INSERT INTO `sys_major` VALUES ('1301372125487173632', '1', '1301371027162533888', '职业素养', '004', '002004', '4', '1', '', '2020-09-03 12:11:08');
INSERT INTO `sys_major` VALUES ('1301372177148416000', '1', '1301371027162533888', '营销类', '005', '002005', '5', '1', '', '2020-09-03 12:11:20');
INSERT INTO `sys_major` VALUES ('1301394267767443456', '1', '1301371132523450368', '渠道业务', '001', '004001', '1', '1', '', '2020-09-03 13:39:07');
INSERT INTO `sys_major` VALUES ('1301394357504577536', '1', '1301371132523450368', '电子商务', '002', '004002', '2', '1', '', '2020-09-03 13:39:28');
INSERT INTO `sys_major` VALUES ('1301394415050428416', '1', '1301371132523450368', '普遍服务', '003', '004003', '3', '1', '', '2020-09-03 13:39:42');
INSERT INTO `sys_major` VALUES ('1301394475947528192', '1', '1301371132523450368', '职业技能', '004', '004004', '4', '1', '', '2020-09-03 13:39:56');
INSERT INTO `sys_major` VALUES ('1301394555064684544', '1', '1301371132523450368', '职业素养', '005', '004005', '5', '1', '', '2020-09-03 13:40:15');
INSERT INTO `sys_major` VALUES ('1301394645972029440', '1', '1301371132523450368', '营销类', '006', '004006', '6', '1', '', '2020-09-03 13:40:37');
INSERT INTO `sys_major` VALUES ('1301397857819037696', '1', '1301371085220089856', '寄递业务', '001', '003001', '1', '1', '', '2020-09-03 13:53:23');
INSERT INTO `sys_major` VALUES ('1301397931835920384', '1', '1301371085220089856', '普遍服务', '002', '003002', '2', '1', '', '2020-09-03 13:53:40');
INSERT INTO `sys_major` VALUES ('1301397996260429824', '1', '1301371085220089856', '职业技能', '003', '003003', '3', '1', '', '2020-09-03 13:53:56');
INSERT INTO `sys_major` VALUES ('1301398072047308800', '1', '1301371085220089856', '职业素养', '004', '003004', '4', '1', '', '2020-09-03 13:54:14');
INSERT INTO `sys_major` VALUES ('1301398122303459328', '1', '1301371085220089856', '营销类', '005', '003005', '5', '1', '', '2020-09-03 13:54:26');
INSERT INTO `sys_major` VALUES ('1301398230361313280', '1', '1301371178832760832', '机要通信', '001', '005001', '1', '1', '', '2020-09-03 13:54:52');
INSERT INTO `sys_major` VALUES ('1301398461240971264', '1', '1301371178832760832', '报刊', '002', '005002', '2', '1', '', '2020-09-03 13:55:47');
INSERT INTO `sys_major` VALUES ('1301398503074959360', '1', '1301371178832760832', '函件', '003', '005003', '3', '1', '', '2020-09-03 13:55:57');
INSERT INTO `sys_major` VALUES ('1301398553595351040', '1', '1301371178832760832', '集邮', '004', '005004', '4', '1', '', '2020-09-03 13:56:09');
INSERT INTO `sys_major` VALUES ('1301398627566096384', '1', '1301371223997026304', '企业战略', '001', '006001', '1', '1', '', '2020-09-03 13:56:26');
INSERT INTO `sys_major` VALUES ('1301398683354533888', '1', '1301371223997026304', '信息科技与建设', '002', '006002', '2', '1', '', '2020-09-03 13:56:40');
INSERT INTO `sys_major` VALUES ('1301398904977362944', '1', '1301371223997026304', '企业文化', '003', '006003', '3', '1', '', '2020-09-03 13:57:32');
INSERT INTO `sys_major` VALUES ('1301398959402651648', '1', '1301371223997026304', '综合行政', '004', '006004', '4', '1', '', '2020-09-03 13:57:45');
INSERT INTO `sys_major` VALUES ('1301399016650706944', '1', '1301371223997026304', '国际合作', '005', '006005', '5', '1', '', '2020-09-03 13:57:59');
INSERT INTO `sys_major` VALUES ('1301399112847069184', '1', '1301371223997026304', '领导力', '006', '006006', '6', '1', '', '2020-09-03 13:58:22');
INSERT INTO `sys_major` VALUES ('1301399170392920064', '1', '1301371223997026304', '安全生产', '007', '006007', '7', '1', '', '2020-09-03 13:58:36');
INSERT INTO `sys_major` VALUES ('1301399221752172544', '1', '1301371223997026304', '生产经营管理', '008', '006008', '8', '1', '', '2020-09-03 13:58:48');
INSERT INTO `sys_major` VALUES ('1301399276257153024', '1', '1301371223997026304', '人力资源管理', '009', '006009', '9', '1', '', '2020-09-03 13:59:01');
INSERT INTO `sys_major` VALUES ('1301399589991092224', '1', '1301371223997026304', '管理技能', '010', '006010', '10', '1', '', '2020-09-03 14:00:16');
INSERT INTO `sys_major` VALUES ('1301400095153065984', '1', '1301371223997026304', '财务管理', '011', '006011', '11', '1', '', '2020-09-03 14:02:16');
INSERT INTO `sys_major` VALUES ('1301400157421703168', '1', '1301371223997026304', '审计', '012', '006012', '12', '1', '', '2020-09-03 14:02:31');
INSERT INTO `sys_major` VALUES ('1301400213432438784', '1', '1301371223997026304', '法律', '013', '006013', '13', '1', '', '2020-09-03 14:02:44');
INSERT INTO `sys_major` VALUES ('1301400412175339520', '1', '1301371223997026304', '网路运行管理', '014', '006014', '14', '1', '', '2020-09-03 14:03:32');
INSERT INTO `sys_major` VALUES ('1301400464205680640', '1', '1301371223997026304', '技术类', '015', '006015', '15', '1', '', '2020-09-03 14:03:44');
INSERT INTO `sys_major` VALUES ('1301400525660622848', '1', '1301371223997026304', '学历教育类', '016', '006016', '16', '1', '', '2020-09-03 14:03:59');
INSERT INTO `sys_major` VALUES ('1301400585022607360', '1', '1301371223997026304', '讲坛类', '017', '006017', '17', '1', '', '2020-09-03 14:04:13');
INSERT INTO `sys_major` VALUES ('1301400660616548352', '1', '1301371223997026304', '社会经济类', '018', '006018', '18', '1', '', '2020-09-03 14:04:31');
INSERT INTO `sys_major` VALUES ('1301400742761992192', '1', '1301371223997026304', '通用基础', '019', '006019', '19', '1', '', '2020-09-03 14:04:51');
INSERT INTO `sys_major` VALUES ('1314808320393089024', '1', '1301370984615514112', '全部', '0002', '001001', '1', '1', '', '2020-10-10 14:01:46');
INSERT INTO `sys_major` VALUES ('1314808403385782272', '1', '1301371271531073536', '全部', '001', '007001', '1', '0', '', '2020-10-10 14:02:06');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `pid` bigint(20) DEFAULT '0' COMMENT '上级id',
  `name` varchar(20) DEFAULT NULL COMMENT '名称',
  `url` varchar(200) DEFAULT NULL COMMENT '功能地址/按钮标识',
  `type` smallint(1) DEFAULT NULL COMMENT '功能类型：0、目录。1、菜单。2、按钮。',
  `lv` smallint(1) DEFAULT NULL COMMENT '层级',
  `seq` smallint(3) DEFAULT NULL COMMENT '顺序号',
  `icon` varchar(30) DEFAULT NULL COMMENT '图标',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='菜单';

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES ('124653907093861488', '1296402147197456384', 'app机构管理', '/serve/app/org/index', '1', '1', '15', 'unlock', '', '2023-05-20 19:09:12');
INSERT INTO `sys_menu` VALUES ('1293739771830603776', '0', '系统设置', '/sys', '0', '0', '70', 'setting', '', '2020-08-13 10:42:53');
INSERT INTO `sys_menu` VALUES ('1294103829238910976', '1293739771830603776', '角色范围管理', '/sys/role/index', '1', '1', '40', 'safety', '', '2020-08-14 10:49:31');
INSERT INTO `sys_menu` VALUES ('1294104041936261120', '1293739771830603776', '人员管理', '/sys/user/index', '1', '1', '30', 'usergroup-add', '', '2020-08-14 10:50:22');
INSERT INTO `sys_menu` VALUES ('1294104196731244544', '1294104041936261120', '添加', 'sys-user:add', '2', '2', '100', '', '', '2020-08-14 10:50:58');
INSERT INTO `sys_menu` VALUES ('1295283207817793536', '1294103829238910976', '编辑', 'sys-role:edit', '2', '2', '200', '', '', '2020-08-17 16:55:57');
INSERT INTO `sys_menu` VALUES ('1295283294400811008', '1294103829238910976', '权限', 'sys-role:auth', '2', '2', '300', '', '', '2020-08-17 16:56:17');
INSERT INTO `sys_menu` VALUES ('1295283365796253696', '1294103829238910976', '删除', 'sys-role:del', '2', '2', '400', '', '', '2020-08-17 16:56:34');
INSERT INTO `sys_menu` VALUES ('1295293800985530368', '0', '培训资源管理', '/serve/resource', '0', '0', '40', 'hdd', '', '2020-08-17 17:38:02');
INSERT INTO `sys_menu` VALUES ('1295294293321322496', '1295293800985530368', '场地资源管理', '/serve/resource/space/index', '1', '1', '20', 'bank', '', '2020-08-17 17:40:00');
INSERT INTO `sys_menu` VALUES ('1295294545252192256', '1295294293321322496', '查看', 'train-space:sel', '2', '2', '100', '', '', '2020-08-17 17:41:00');
INSERT INTO `sys_menu` VALUES ('1295531958633369600', '0', '师资管理中心', '/serve/trainer', '0', '0', '30', 'robot', '', '2020-08-18 09:24:23');
INSERT INTO `sys_menu` VALUES ('1295532321486802944', '1295531958633369600', '内训师管理', '/serve/trainer/inner/index', '1', '1', '10', 'team', '', '2020-08-18 09:25:50');
INSERT INTO `sys_menu` VALUES ('1295540993130631168', '1295531958633369600', '外聘讲师管理', '/serve/trainer/outer/index', '1', '1', '20', 'user', '', '2020-08-18 10:00:17');
INSERT INTO `sys_menu` VALUES ('1295652389319217152', '1295531958633369600', '内训师晋升', '/serve/trainer/promotion/index', '1', '1', '30', 'rocket', '', '2020-08-18 17:22:56');
INSERT INTO `sys_menu` VALUES ('1295720807741394944', '1293739771830603776', '部门管理', '/sys/dept/index', '1', '1', '20', 'block', '', '2020-08-18 21:54:49');
INSERT INTO `sys_menu` VALUES ('1295720925953658880', '1293739771830603776', '机构管理', '/sys/org/index', '1', '1', '10', 'cluster', '', '2020-08-18 21:55:17');
INSERT INTO `sys_menu` VALUES ('1295892068589244416', '1293739771830603776', '满意度评价项', '/sys/appraise/index', '1', '1', '70', 'like', '', '2020-08-19 09:15:20');
INSERT INTO `sys_menu` VALUES ('1295892195718598656', '1295720807741394944', '编辑', 'sys-dept:edit', '2', '2', '200', '', '', '2020-08-19 09:15:51');
INSERT INTO `sys_menu` VALUES ('1295892226412515328', '1295892068589244416', '查看', 'sys-appraise:sel', '2', '2', '100', '', '', '2020-08-19 09:15:58');
INSERT INTO `sys_menu` VALUES ('1295892298642624512', '1295720807741394944', '删除', 'sys-dept:del', '2', '2', '300', '', '', '2020-08-19 09:16:15');
INSERT INTO `sys_menu` VALUES ('1295893164678320128', '1295720925953658880', '编辑', 'sys-org:edit', '2', '2', '200', '', '', '2020-08-19 09:19:42');
INSERT INTO `sys_menu` VALUES ('1295893251764654080', '1295720925953658880', '启用/禁用', 'sys-org:state', '2', '2', '300', '', '', '2020-08-19 09:20:02');
INSERT INTO `sys_menu` VALUES ('1295899194225201152', '1293739771830603776', '专业分类', '/sys/major/index', '1', '1', '60', 'setting', '', '2020-08-19 09:43:39');
INSERT INTO `sys_menu` VALUES ('1295916561261006848', '1293739771830603776', '数据字典', '/sys/dict/index', '1', '1', '50', 'search', '', '2020-08-19 10:52:40');
INSERT INTO `sys_menu` VALUES ('1295916739837693952', '1295916561261006848', '添加', 'sys-dict:add', '2', '2', '100', '', '', '2020-08-19 10:53:22');
INSERT INTO `sys_menu` VALUES ('1296027641496866816', '1295293800985530368', '固定资产管理', '/serve/resource/fixedassets/index', '1', '1', '10', 'table', '', '2020-08-19 18:14:03');
INSERT INTO `sys_menu` VALUES ('1296027935257530368', '1296027641496866816', '查看', 'train-fixed-assets:sel', '2', '2', '200', '', '', '2020-08-19 18:15:13');
INSERT INTO `sys_menu` VALUES ('1296402147197456384', '0', 'APP管理', '/serve/app', '0', '0', '60', 'mobile', '', '2020-08-20 19:02:13');
INSERT INTO `sys_menu` VALUES ('1296402391096233984', '1296402147197456384', '用户管理', '/serve/app/user/index', '1', '1', '30', 'smile', '', '2020-08-20 19:03:11');
INSERT INTO `sys_menu` VALUES ('1296403907093860352', '1296402147197456384', '通知公告', '/serve/app/notice/index', '1', '1', '10', 'notification', '', '2020-08-20 19:09:12');
INSERT INTO `sys_menu` VALUES ('1296403907093861488', '1296402147197456384', '承诺书', '/serve/app/commit/index', '1', '1', '15', 'unlock', '', '2023-05-20 19:09:12');
INSERT INTO `sys_menu` VALUES ('1296635581157216256', '1296402147197456384', 'APP轮播图', '/serve/app/ad/index', '1', '1', '20', 'picture', '', '2020-08-21 10:29:48');
INSERT INTO `sys_menu` VALUES ('1298186513665888256', '1295720925953658880', '添加', 'sys-org:add', '2', '2', '1', '', '', '2020-08-25 17:12:39');
INSERT INTO `sys_menu` VALUES ('1298186879568580608', '1295720925953658880', '导入', 'sys-org:import', '2', '2', '400', '', '', '2020-08-25 17:14:06');
INSERT INTO `sys_menu` VALUES ('1298187140244574208', '1295720925953658880', '导出', 'sys-org:export', '2', '2', '500', '', '', '2020-08-25 17:15:08');
INSERT INTO `sys_menu` VALUES ('1298187279222837248', '1295720807741394944', '添加', 'sys-dept:add', '2', '2', '100', '', '', '2020-08-25 17:15:41');
INSERT INTO `sys_menu` VALUES ('1298187462027382784', '1295720807741394944', '启用/禁用', 'sys-dept:state', '2', '2', '400', '', '', '2020-08-25 17:16:25');
INSERT INTO `sys_menu` VALUES ('1298558845492269056', '1295899194225201152', '删除', 'sys-major:del', '2', '2', '100', '', '', '2020-08-26 17:52:09');
INSERT INTO `sys_menu` VALUES ('1298558914236911616', '1295899194225201152', '编辑', 'sys-major:edit', '2', '2', '200', '', '', '2020-08-26 17:52:26');
INSERT INTO `sys_menu` VALUES ('1298559558083547136', '1296403907093860352', '发布/撤销发布', 'train-notice:state', '2', '2', '100', '', '', '2020-08-26 17:54:59');
INSERT INTO `sys_menu` VALUES ('1298562212373336064', '1296403907093860352', '编辑', 'train-notice:edit', '2', '2', '200', '', '', '2020-08-26 18:05:32');
INSERT INTO `sys_menu` VALUES ('1298563052064608256', '1296635581157216256', '删除', 'train-ad:del', '2', '2', '100', '', '', '2020-08-26 18:08:52');
INSERT INTO `sys_menu` VALUES ('1298563138706345984', '1296635581157216256', '编辑', 'train-ad:edit', '2', '2', '200', '', '', '2020-08-26 18:09:13');
INSERT INTO `sys_menu` VALUES ('1298565302547779584', '1295532321486802944', '编辑', 'train-trainer:edit', '2', '2', '100', '', '', '2020-08-26 18:17:49');
INSERT INTO `sys_menu` VALUES ('1298565432239853568', '1295532321486802944', '禁用/启用', 'train-trainer:state', '2', '2', '200', '', '', '2020-08-26 18:18:20');
INSERT INTO `sys_menu` VALUES ('1298566082700906496', '1295540993130631168', '启用/禁用', 'train-trainer:state', '2', '2', '100', '', '', '2020-08-26 18:20:55');
INSERT INTO `sys_menu` VALUES ('1298566160798846976', '1295540993130631168', '编辑', 'train-trainer:edit', '2', '2', '200', '', '', '2020-08-26 18:21:14');
INSERT INTO `sys_menu` VALUES ('1298566511270694912', '1295540993130631168', '查看', 'train-trainer:state', '2', '2', '300', '', '', '2020-08-26 18:22:37');
INSERT INTO `sys_menu` VALUES ('1298566602693939200', '1295532321486802944', '查看', 'train-trainer:sel', '2', '2', '300', '', '', '2020-08-26 18:22:59');
INSERT INTO `sys_menu` VALUES ('1298567052423991296', '1295652389319217152', '审核', 'train-trainer-promotion:state', '2', '2', '100', '', '', '2020-08-26 18:24:46');
INSERT INTO `sys_menu` VALUES ('1298575798025981952', '1295532321486802944', '添加', 'train-trainer:add', '2', '2', '400', '', '', '2020-08-26 18:59:31');
INSERT INTO `sys_menu` VALUES ('1298575901369438208', '1295540993130631168', '添加', 'train-trainer:add', '2', '2', '400', '', '', '2020-08-26 18:59:56');
INSERT INTO `sys_menu` VALUES ('1298576255930732544', '1296403907093860352', '添加', 'train-notice:add', '2', '2', '200', '', '', '2020-08-26 19:01:20');
INSERT INTO `sys_menu` VALUES ('1298577456680275968', '1296635581157216256', '添加', 'train-ad:add', '2', '2', '300', '', '', '2020-08-26 19:06:07');
INSERT INTO `sys_menu` VALUES ('1298584137292189696', '1295294293321322496', '启用/禁用', 'train-space:state', '2', '2', '200', '', '', '2020-08-26 19:32:40');
INSERT INTO `sys_menu` VALUES ('1298584392108740608', '1295294293321322496', '添加', 'train-space:add', '2', '2', '300', '', '', '2020-08-26 19:33:40');
INSERT INTO `sys_menu` VALUES ('1298585416416497664', '1295294293321322496', '编辑', 'train-space:edit', '2', '2', '400', '', '', '2020-08-26 19:37:44');
INSERT INTO `sys_menu` VALUES ('1298586677354303488', '1296027641496866816', '启用/禁用', 'train-fixed-assets:state', '2', '2', '100', '', '', '2020-08-26 19:42:45');
INSERT INTO `sys_menu` VALUES ('1298587090048651264', '1296027641496866816', '添加', 'train-fixed-assets:add', '2', '2', '300', '', '', '2020-08-26 19:44:24');
INSERT INTO `sys_menu` VALUES ('1298587201487114240', '1296027641496866816', '编辑', 'train-fixed-assets:edit', '2', '2', '400', '', '', '2020-08-26 19:44:50');
INSERT INTO `sys_menu` VALUES ('1298587707945127936', '1294103829238910976', '添加', 'sys-role:add', '2', '2', '100', '', '', '2020-08-26 19:46:51');
INSERT INTO `sys_menu` VALUES ('1298587849381253120', '1295916561261006848', '编辑', 'sys-dict:edit', '2', '2', '200', '', '', '2020-08-26 19:47:25');
INSERT INTO `sys_menu` VALUES ('1298587947716710400', '1295916561261006848', '删除', 'sys-dict:del', '2', '2', '300', '', '', '2020-08-26 19:47:48');
INSERT INTO `sys_menu` VALUES ('1298587998262267904', '1295916561261006848', '状态', 'sys-dict:state', '2', '2', '400', '', '', '2020-08-26 19:48:00');
INSERT INTO `sys_menu` VALUES ('1298593034321137664', '1296402391096233984', '启用/禁用', 'train-user:state', '2', '2', '100', '', '', '2020-08-26 20:08:01');
INSERT INTO `sys_menu` VALUES ('1298593423107952640', '1296402391096233984', '查看', 'train-user:sel', '2', '2', '200', '', '', '2020-08-26 20:09:33');
INSERT INTO `sys_menu` VALUES ('1298595802792464384', '1296402391096233984', '导入', 'train-user:import', '2', '2', '300', '', '', '2020-08-26 20:19:01');
INSERT INTO `sys_menu` VALUES ('1298796589082611712', '1294104041936261120', '编辑', 'sys-user:edit', '2', '2', '200', '', '', '2020-08-27 09:36:52');
INSERT INTO `sys_menu` VALUES ('1298796652601151488', '1294104041936261120', '删除', 'sys-user:del', '2', '2', '300', '', '', '2020-08-27 09:37:07');
INSERT INTO `sys_menu` VALUES ('1298796986765545472', '1294104041936261120', '重置密码', 'sys-user:resetPwd', '2', '2', '500', '', '', '2020-08-27 09:38:27');
INSERT INTO `sys_menu` VALUES ('1298797071750533120', '1294104041936261120', '角色', 'sys-user:role', '2', '2', '600', '', '', '2020-08-27 09:38:47');
INSERT INTO `sys_menu` VALUES ('1298797603680555008', '1294104041936261120', '启用、禁用', 'sys-user:state', '2', '2', '700', '', '', '2020-08-27 09:40:54');
INSERT INTO `sys_menu` VALUES ('1298921950856482816', '1294104041936261120', '导入', 'sys-user:import', '2', '2', '400', '', '', '2020-08-27 17:55:01');
INSERT INTO `sys_menu` VALUES ('1299163576623304704', '1295532321486802944', '导入', 'train-trainer:import', '2', '2', '500', '', '', '2020-08-28 09:55:09');
INSERT INTO `sys_menu` VALUES ('1299253369076060160', '1295720807741394944', '导入', 'sys-dept:import', '2', '2', '500', '', '', '2020-08-28 15:51:57');
INSERT INTO `sys_menu` VALUES ('1299588884690243584', '0', '培训管理', '/serve/offline', '0', '0', '10', 'copy', '', '2020-08-29 14:05:10');
INSERT INTO `sys_menu` VALUES ('1299589097328873472', '1299588884690243584', '集中培训管理', '/serve/train/class/offline/index', '1', '1', '20', 'tags', '', '2020-08-29 14:06:01');
INSERT INTO `sys_menu` VALUES ('1299893396575490048', '0', '在线课程管理', '/serve/online/course', '0', '0', '20', 'global', '', '2020-08-30 10:15:11');
INSERT INTO `sys_menu` VALUES ('1299894216708722688', '1299893396575490048', '在线课程管理', '/serve/train/course/index', '1', '1', '10', 'laptop', '', '2020-08-30 10:18:27');
INSERT INTO `sys_menu` VALUES ('1299894459676364800', '1299894216708722688', '添加', 'train-course:add', '2', '2', '1', '', '', '2020-08-30 10:19:25');
INSERT INTO `sys_menu` VALUES ('1299894519982067712', '1299894216708722688', '查看', 'train-course:sel', '2', '2', '2', '', '', '2020-08-30 10:19:39');
INSERT INTO `sys_menu` VALUES ('1299894571169353728', '1299894216708722688', '编辑', 'train-course:edit', '2', '2', '3', '', '', '2020-08-30 10:19:51');
INSERT INTO `sys_menu` VALUES ('1299894661279780864', '1299894216708722688', '删除', 'train-course:del', '2', '2', '4', '', '', '2020-08-30 10:20:13');
INSERT INTO `sys_menu` VALUES ('1299894708117573632', '1299894216708722688', '审核', 'train-course:audit', '2', '2', '5', '', '', '2020-08-30 10:20:24');
INSERT INTO `sys_menu` VALUES ('1299895651638841344', '1299894216708722688', '导出', 'train-course:export', '2', '2', '6', '', '', '2020-08-30 10:24:09');
INSERT INTO `sys_menu` VALUES ('1299896238216450048', '1299894216708722688', '发布', 'train-course:release', '2', '2', '7', '', '', '2020-08-30 10:26:29');
INSERT INTO `sys_menu` VALUES ('1300703922314416128', '1295531958633369600', '考核标准管理', '/serve/trainer/rule/index', '1', '1', '50', 'schedule', '', '2020-09-01 15:55:56');
INSERT INTO `sys_menu` VALUES ('1301084518366711808', '1295531958633369600', '年度考核管理', '/serve/trainer/exam/index', '1', '1', '40', 'solution', '', '2020-09-02 17:08:17');
INSERT INTO `sys_menu` VALUES ('1301760002951876608', '0', '财务管理', '/serve/finance', '0', '0', '50', 'pay-circle', '', '2020-09-04 13:52:25');
INSERT INTO `sys_menu` VALUES ('1301760202076459008', '1301760002951876608', '学员开票', '/serve/finance/invoice/user/index', '1', '1', '30', 'switcher', '', '2020-09-04 13:53:12');
INSERT INTO `sys_menu` VALUES ('1301787327898718208', '1301760002951876608', '发票管理', '/serve/finance/invoice/class/index', '1', '1', '20', 'file-pdf', '', '2020-09-04 15:41:00');
INSERT INTO `sys_menu` VALUES ('1301821852062191616', '1301760002951876608', '培训结算', '/serve/finance/settlement/index', '1', '1', '10', 'calculator', '', '2020-09-04 17:58:11');
INSERT INTO `sys_menu` VALUES ('1302207667787403264', '1299588884690243584', '培训计划库', '/serve/resource/plan/index', '1', '1', '10', 'paper-clip', '', '2020-09-05 19:31:17');
INSERT INTO `sys_menu` VALUES ('1302207924113903616', '1302207667787403264', '添加', 'train-plan:add', '2', '2', '1', '', '', '2020-09-05 19:32:18');
INSERT INTO `sys_menu` VALUES ('1302207983383613440', '1302207667787403264', '查看', 'train-plan:sel', '2', '2', '2', '', '', '2020-09-05 19:32:32');
INSERT INTO `sys_menu` VALUES ('1302208053004865536', '1302207667787403264', '编辑', 'train-plan:edit', '2', '2', '3', '', '', '2020-09-05 19:32:48');
INSERT INTO `sys_menu` VALUES ('1302208119740436480', '1302207667787403264', '删除', 'train-plan:del', '2', '2', '4', '', '', '2020-09-05 19:33:04');
INSERT INTO `sys_menu` VALUES ('1302208196793995264', '1302207667787403264', '审核', 'train-plan:audit', '2', '2', '5', '', '', '2020-09-05 19:33:23');
INSERT INTO `sys_menu` VALUES ('1302208265836433408', '1302207667787403264', '集中培训班', 'train-plan:offline', '2', '2', '6', '', '', '2020-09-05 19:33:39');
INSERT INTO `sys_menu` VALUES ('1302208339022843904', '1302207667787403264', '在线培训班', 'train-plan:online', '2', '2', '7', '', '', '2020-09-05 19:33:57');
INSERT INTO `sys_menu` VALUES ('1302208402818207744', '1302207667787403264', '导入', 'train-plan:import', '2', '2', '8', '', '', '2020-09-05 19:34:12');
INSERT INTO `sys_menu` VALUES ('1302209033314373632', '1295293800985530368', '答卷库管理', '/serve/testPaper/index', '1', '1', '30', 'read', '', '2020-09-05 19:36:42');
INSERT INTO `sys_menu` VALUES ('1302209264001093632', '1302209033314373632', '添加', 'train-test-paper:add', '2', '2', '100', '', '', '2020-09-05 19:37:37');
INSERT INTO `sys_menu` VALUES ('1302209325514756096', '1302209033314373632', '编辑', 'train-test-paper:edit', '2', '2', '200', '', '', '2020-09-05 19:37:52');
INSERT INTO `sys_menu` VALUES ('1302209402471845888', '1302209033314373632', '删除', 'train-test-paper:del', '2', '2', '300', '', '', '2020-09-05 19:38:10');
INSERT INTO `sys_menu` VALUES ('1302209463025012736', '1302209033314373632', '查看', 'train-test-paper:sel', '2', '2', '400', '', '', '2020-09-05 19:38:25');
INSERT INTO `sys_menu` VALUES ('1302209630524542976', '1295293800985530368', '试题库管理', '/serve/questionBank/index', '1', '1', '40', 'highlight', '', '2020-09-05 19:39:04');
INSERT INTO `sys_menu` VALUES ('1302209939934154752', '1302209630524542976', '添加', 'train-question-bank:add', '2', '2', '1', '', '', '2020-09-05 19:40:18');
INSERT INTO `sys_menu` VALUES ('1302209999551991808', '1302209630524542976', '编辑', 'train-question-bank:edit', '2', '2', '2', '', '', '2020-09-05 19:40:32');
INSERT INTO `sys_menu` VALUES ('1302210057999618048', '1302209630524542976', '删除', 'train-question-bank:del', '2', '2', '3', '', '', '2020-09-05 19:40:46');
INSERT INTO `sys_menu` VALUES ('1302210117860724736', '1302209630524542976', '查重', 'train-question-bank:repeat', '2', '2', '4', '', '', '2020-09-05 19:41:01');
INSERT INTO `sys_menu` VALUES ('1302210182285234176', '1302209630524542976', '批量导入', 'train-question-bank:import', '2', '2', '5', '', '', '2020-09-05 19:41:16');
INSERT INTO `sys_menu` VALUES ('1302210831345389568', '1299588884690243584', '在线培训管理', '/serve/train/class/online/index', '1', '1', '30', 'desktop', '', '2020-09-05 19:43:51');
INSERT INTO `sys_menu` VALUES ('1302211991414378496', '1299588884690243584', '就餐信息', '/serve/train/dine/index', '1', '1', '60', 'database', '', '2020-09-05 19:48:27');
INSERT INTO `sys_menu` VALUES ('1302212164660105216', '1302211991414378496', '查看明细', 'train-class-dine:class', '2', '2', '100', '', '', '2020-09-05 19:49:09');
INSERT INTO `sys_menu` VALUES ('1302212217311203328', '1302211991414378496', '导出', 'train-class-dine:export', '2', '2', '300', '', '', '2020-09-05 19:49:21');
INSERT INTO `sys_menu` VALUES ('1302212543028269056', '1299588884690243584', '调查问卷', '/sys/questionnaire/index', '1', '1', '70', 'file-unknown', '', '2020-09-05 19:50:39');
INSERT INTO `sys_menu` VALUES ('1302215191789965312', '1296402147197456384', '积分商品管理', '/serve/goods/index', '1', '1', '50', 'shop', '', '2020-09-05 20:01:10');
INSERT INTO `sys_menu` VALUES ('1302215191789965542', '1296402147197456384', '发布文章管理', '/serve/texts/index', '1', '1', '120', 'shop', '', '2023-03-05 20:01:10');
INSERT INTO `sys_menu` VALUES ('1302215303282954240', '1296402147197456384', '实物商品兑换', '/serve/goods/exchangeRecord/index', '1', '1', '60', 'gift', '', '2020-09-05 20:01:37');
INSERT INTO `sys_menu` VALUES ('1302215381187956736', '1296402147197456384', '虚拟商品兑换', '/serve/goods/activationCode/index', '1', '1', '70', 'barcode', '', '2020-09-05 20:01:56');
INSERT INTO `sys_menu` VALUES ('1302215477971521536', '1296402147197456384', '积分奖励规则', '/serve/goods/rule/index', '1', '1', '80', 'pay-circle', '', '2020-09-05 20:02:19');
INSERT INTO `sys_menu` VALUES ('1302216379528777728', '1296402147197456384', '短视频审核', '/serve/video/online/index', '1', '1', '40', 'video-camera', '', '2020-09-05 20:05:54');
INSERT INTO `sys_menu` VALUES ('1302217458018553856', '1302216379528777728', '查看', 'train-video-online:sel', '2', '2', '100', '', '', '2020-09-05 20:10:11');
INSERT INTO `sys_menu` VALUES ('1302217521918775296', '1302216379528777728', '审核', 'train-video-online:state', '2', '2', '200', '', '', '2020-09-05 20:10:26');
INSERT INTO `sys_menu` VALUES ('1302217591456141312', '1302216379528777728', '导出', 'train-video-online:export', '2', '2', '300', '', '', '2020-09-05 20:10:42');
INSERT INTO `sys_menu` VALUES ('1302217736771997696', '1302215303282954240', '确认领取', 'train-exchange-record:state', '2', '2', '100', '', '', '2020-09-05 20:11:17');
INSERT INTO `sys_menu` VALUES ('1302217811426414592', '1302215191789965312', '查看', 'train-goods:sel', '2', '2', '100', '', '', '2020-09-05 20:11:35');
INSERT INTO `sys_menu` VALUES ('1302217867026108416', '1302215191789965312', '上架/下架', 'train-goods:state', '2', '2', '200', '', '', '2020-09-05 20:11:48');
INSERT INTO `sys_menu` VALUES ('1302217925943496704', '1302215191789965312', '编辑', 'train-goods:edit', '2', '2', '300', '', '', '2020-09-05 20:12:02');
INSERT INTO `sys_menu` VALUES ('1302217980209401856', '1302215191789965312', '删除', 'train-goods:del', '2', '2', '400', '', '', '2020-09-05 20:12:15');
INSERT INTO `sys_menu` VALUES ('1302218037130301440', '1302215191789965312', '添加', 'train-goods:add', '2', '2', '500', '', '', '2020-09-05 20:12:29');
INSERT INTO `sys_menu` VALUES ('1302218095787642880', '1302215191789965312', '激活码导入', 'train-goods:import', '2', '2', '700', '', '', '2020-09-05 20:12:43');
INSERT INTO `sys_menu` VALUES ('1302218233008492544', '1302215477971521536', '查看', 'train-rule:sel', '2', '2', '10', '', '', '2020-09-05 20:13:15');
INSERT INTO `sys_menu` VALUES ('1302218309843947520', '1302215381187956736', '查看', 'train-activation-code:sel', '2', '2', '100', '', '', '2020-09-05 20:13:34');
INSERT INTO `sys_menu` VALUES ('1302221258133475328', '1299589097328873472', '查看', 'train-class-offline:sel', '2', '2', '10', '', '', '2020-09-05 20:25:17');
INSERT INTO `sys_menu` VALUES ('1302221420595646464', '1299589097328873472', '编辑', 'train-class-offline:edit', '2', '2', '20', '', '', '2020-09-05 20:25:55');
INSERT INTO `sys_menu` VALUES ('1302221527533621248', '1299589097328873472', '删除', 'train-class-offline:del', '2', '2', '30', '', '', '2020-09-05 20:26:21');
INSERT INTO `sys_menu` VALUES ('1302222031215005696', '1299589097328873472', '添加', 'train-class-offline:add', '2', '2', '40', '', '', '2020-09-05 20:28:21');
INSERT INTO `sys_menu` VALUES ('1302222445398331392', '1299589097328873472', '申请发票', 'train-class-offline:invoice', '2', '2', '50', '', '', '2020-09-05 20:30:00');
INSERT INTO `sys_menu` VALUES ('1302222710088273920', '1299589097328873472', '附件上传', 'train-class-offline:appendix', '2', '2', '60', '', '', '2020-09-05 20:31:03');
INSERT INTO `sys_menu` VALUES ('1302223043132788736', '1299589097328873472', '审核', 'train-class-offline:audit', '2', '2', '70', '', '', '2020-09-05 20:32:22');
INSERT INTO `sys_menu` VALUES ('1302223838662234112', '1302210831345389568', '查看', 'train-class-online:sel', '2', '2', '10', '', '', '2020-09-05 20:35:32');
INSERT INTO `sys_menu` VALUES ('1302223900758904832', '1302210831345389568', '编辑', 'train-class-online:edit', '2', '2', '20', '', '', '2020-09-05 20:35:47');
INSERT INTO `sys_menu` VALUES ('1302223953372254208', '1302210831345389568', '删除', 'train-class-online:del', '2', '2', '30', '', '', '2020-09-05 20:35:59');
INSERT INTO `sys_menu` VALUES ('1302224008669958144', '1302210831345389568', '添加', 'train-class-online:add', '2', '2', '40', '', '', '2020-09-05 20:36:12');
INSERT INTO `sys_menu` VALUES ('1302224120603348992', '1302210831345389568', '审核', 'train-class-online:audit', '2', '2', '50', '', '', '2020-09-05 20:36:39');
INSERT INTO `sys_menu` VALUES ('1302230612849070080', '1301821852062191616', '结算账单', 'train-class-settlement:bill', '2', '2', '1', '', '', '2020-09-05 21:02:27');
INSERT INTO `sys_menu` VALUES ('1302231074218315776', '1301821852062191616', '分账单', 'train_class_settlement:splitBill', '2', '2', '2', '', '', '2020-09-05 21:04:17');
INSERT INTO `sys_menu` VALUES ('1302232743618416640', '1301787327898718208', '查看', 'train-class-invoice:sel', '2', '2', '20', '', '', '2020-09-05 21:10:55');
INSERT INTO `sys_menu` VALUES ('1302232912749531136', '1301787327898718208', '开票确认', 'train-class-invoice:bill', '2', '2', '10', '', '', '2020-09-05 21:11:35');
INSERT INTO `sys_menu` VALUES ('1302233594097438720', '1301760202076459008', '开票确认', 'train-class-user-invoice:bill', '2', '2', '20', '', '', '2020-09-05 21:14:18');
INSERT INTO `sys_menu` VALUES ('1302233733855842304', '1301760202076459008', '查看', 'train-class-user-invoice:sel', '2', '2', '10', '', '', '2020-09-05 21:14:51');
INSERT INTO `sys_menu` VALUES ('1302436448045240320', '1299589097328873472', '发布', 'train-class-offline:release', '2', '2', '80', '', '', '2020-09-06 10:40:22');
INSERT INTO `sys_menu` VALUES ('1302436879580401664', '1299589097328873472', '考试计划', 'train-class-offline:test', '2', '2', '90', '', '', '2020-09-06 10:42:05');
INSERT INTO `sys_menu` VALUES ('1302437101635244032', '1299589097328873472', '课程表', 'train-class-offline:schedule', '2', '2', '100', '', '', '2020-09-06 10:42:58');
INSERT INTO `sys_menu` VALUES ('1302437464014721024', '1299589097328873472', '申请设备', 'train-class-offline:fixedAssets', '2', '2', '120', '', '', '2020-09-06 10:44:24');
INSERT INTO `sys_menu` VALUES ('1302437652213141504', '1299589097328873472', '评价项', 'train-class-offline:appraise', '2', '2', '130', '', '', '2020-09-06 10:45:09');
INSERT INTO `sys_menu` VALUES ('1302438459918651392', '1299589097328873472', '上报结算', 'train-class-offline:settlement', '2', '2', '150', '', '', '2020-09-06 10:48:22');
INSERT INTO `sys_menu` VALUES ('1302444072681738240', '1299589097328873472', '导出', 'train-class-offline:export', '2', '2', '1', '', '', '2020-09-06 11:10:40');
INSERT INTO `sys_menu` VALUES ('1302491029949255680', '1302207667787403264', '导出', 'train-plan:export', '2', '2', '9', '', '', '2020-09-06 14:17:15');
INSERT INTO `sys_menu` VALUES ('1302587799609937920', '1302210831345389568', '导出', 'train-class-online:export', '2', '2', '1', '', '', '2020-09-06 20:41:47');
INSERT INTO `sys_menu` VALUES ('1302587909077078016', '1302210831345389568', '发布', 'train-class-online:release', '2', '2', '60', '', '', '2020-09-06 20:42:13');
INSERT INTO `sys_menu` VALUES ('1302587971811282944', '1302210831345389568', '考试计划', 'train-class-online:test', '2', '2', '70', '', '', '2020-09-06 20:42:28');
INSERT INTO `sys_menu` VALUES ('1302588113922691072', '1302210831345389568', '评价项', 'train-class-online:appraise', '2', '2', '80', '', '', '2020-09-06 20:43:02');
INSERT INTO `sys_menu` VALUES ('1302588174387777536', '1302210831345389568', '上报结算', 'train-class-online:settlement', '2', '2', '90', '', '', '2020-09-06 20:43:16');
INSERT INTO `sys_menu` VALUES ('1302803580171980800', '1301821852062191616', '导出', 'train-class-settlement:export', '2', '2', '30', '', '', '2020-09-07 10:59:13');
INSERT INTO `sys_menu` VALUES ('1302806411788554240', '1296635581157216256', '启用/禁用', 'train-ad:state', '2', '2', '400', '', '', '2020-09-07 11:10:28');
INSERT INTO `sys_menu` VALUES ('1302807269678911488', '1301787327898718208', '导出', 'train-class-invoice:export', '2', '2', '30', '', '', '2020-09-07 11:13:53');
INSERT INTO `sys_menu` VALUES ('1302807753575763968', '1301760202076459008', '导出', 'train-class-user-invoice:export', '2', '2', '30', '', '', '2020-09-07 11:15:48');
INSERT INTO `sys_menu` VALUES ('1302810307160313856', '1296027641496866816', '导出', 'train-fixed-assets:export', '2', '2', '500', '', '', '2020-09-07 11:25:57');
INSERT INTO `sys_menu` VALUES ('1302860859311263744', '1301084518366711808', '查看', 'train-trainer-exam:sel', '2', '2', '1', '', '', '2020-09-07 14:46:50');
INSERT INTO `sys_menu` VALUES ('1302861071614349312', '1301084518366711808', '审核', 'train-trainer-exam:audit', '2', '2', '2', '', '', '2020-09-07 14:47:40');
INSERT INTO `sys_menu` VALUES ('1302862364781187072', '1295652389319217152', '查看', 'train-trainer-promotion:sel', '2', '2', '200', '', '', '2020-09-07 14:52:48');
INSERT INTO `sys_menu` VALUES ('1302863370155855872', '1295892068589244416', '添加', 'sys-appraise:add', '2', '2', '200', '', '', '2020-09-07 14:56:48');
INSERT INTO `sys_menu` VALUES ('1302863862672003072', '1295892068589244416', '编辑', 'sys-appraise:edit', '2', '2', '300', '', '', '2020-09-07 14:58:46');
INSERT INTO `sys_menu` VALUES ('1302863971614855168', '1295892068589244416', '删除', 'sys-appraise:del', '2', '2', '400', '', '', '2020-09-07 14:59:12');
INSERT INTO `sys_menu` VALUES ('1302950292681265152', '1301821852062191616', '查看培训班详情', 'train-class-settlement:sel', '2', '2', '1', '', '', '2020-09-07 20:42:12');
INSERT INTO `sys_menu` VALUES ('1302955381902938112', '1295720807741394944', '导出', 'sys-dept:export', '2', '2', '600', '', '', '2020-09-07 21:02:25');
INSERT INTO `sys_menu` VALUES ('1304316235256827904', '1299589097328873472', '集中培训班课程批量导入', 'train-class-offline:scheduleImport', '2', '2', '160', '', '', '2020-09-11 15:09:58');
INSERT INTO `sys_menu` VALUES ('1305422255093846016', '1302212543028269056', '批量导入', 'train-questionnaire:import', '2', '2', '100', '', '', '2020-09-14 16:24:54');
INSERT INTO `sys_menu` VALUES ('1305422376422477824', '1302212543028269056', '模板下载', 'train-questionnaire:import', '2', '2', '200', '', '', '2020-09-14 16:25:23');
INSERT INTO `sys_menu` VALUES ('1305688744849969152', '0', '统计分析', '/serve/echarts', '0', '0', '80', 'project', '', '2020-09-15 10:03:50');
INSERT INTO `sys_menu` VALUES ('1305689137612984320', '1305688744849969152', '用户统计', '/serve/echarts/user', '1', '1', '10', 'pie-chart', '', '2020-09-15 10:05:24');
INSERT INTO `sys_menu` VALUES ('1305802004202917888', '1305688744849969152', '收支情况汇总', '/serve/echarts/fee', '1', '1', '20', 'line-chart', '', '2020-09-15 17:33:53');
INSERT INTO `sys_menu` VALUES ('1305804398970146816', '1305688744849969152', '学员情况汇总', '/serve/echarts/orgUser', '1', '1', '30', 'bar-chart', '', '2020-09-15 17:43:24');
INSERT INTO `sys_menu` VALUES ('1305838987902062592', '1305688744849969152', '在线课程汇总', '/serve/echarts/course', '1', '1', '50', 'file-done', '', '2020-09-15 20:00:51');
INSERT INTO `sys_menu` VALUES ('1305876853847887872', '1305688744849969152', '培训课程汇总', '/serve/echarts/offline', '1', '1', '40', 'download', '', '2020-09-15 22:31:19');
INSERT INTO `sys_menu` VALUES ('1306874589887991808', '1295899194225201152', '添加', 'sys-major:add', '2', '2', '10', '', '', '2020-09-18 16:35:57');
INSERT INTO `sys_menu` VALUES ('1306878802714038272', '1295899194225201152', '启用/禁用', 'sys-major:state', '2', '2', '30', '', '', '2020-09-18 16:52:42');
INSERT INTO `sys_menu` VALUES ('1308220832627167232', '1296402147197456384', '帮助', '/serve/app/help/index', '1', '1', '140', 'shake', '', '2020-09-22 09:45:27');
INSERT INTO `sys_menu` VALUES ('1308224216469999616', '1296402147197456384', '反馈', '/serve/app/feedBack/index', '1', '1', '130', 'edit', '', '2020-09-22 09:58:53');
INSERT INTO `sys_menu` VALUES ('1308224624022130688', '1308224216469999616', '查看', 'train-feed-back:sel', '2', '2', '10', '', '', '2020-09-22 10:00:31');
INSERT INTO `sys_menu` VALUES ('1308224705785892864', '1308224216469999616', '删除', 'train-feed-back:del', '2', '2', '20', '', '', '2020-09-22 10:00:50');
INSERT INTO `sys_menu` VALUES ('1308281753043079168', '1308220832627167232', '添加', 'train-help:add', '2', '2', '1', '', '', '2020-09-22 13:47:31');
INSERT INTO `sys_menu` VALUES ('1308281889378930688', '1308220832627167232', '删除', 'train-help:del', '2', '2', '2', '', '', '2020-09-22 13:48:04');
INSERT INTO `sys_menu` VALUES ('1308282003271061504', '1308220832627167232', '编辑', 'train-help:edit', '2', '2', '3', '', '', '2020-09-22 13:48:31');
INSERT INTO `sys_menu` VALUES ('1308282086188257280', '1308220832627167232', '查看', 'train-help:sel', '2', '2', '4', '', '', '2020-09-22 13:48:51');
INSERT INTO `sys_menu` VALUES ('1308282197068877824', '1308220832627167232', '状态', 'train-help:state', '2', '2', '5', '', '', '2020-09-22 13:49:17');
INSERT INTO `sys_menu` VALUES ('1309095956565856256', '1296402147197456384', '版本信息', '/serve/app/version/index', '1', '1', '150', 'info-circle', '', '2020-09-24 19:42:53');
INSERT INTO `sys_menu` VALUES ('1309097940345819136', '1309095956565856256', '添加/修改/发布', 'train-version:edit', '2', '2', '10', '', '', '2020-09-24 19:50:45');
INSERT INTO `sys_menu` VALUES ('1309098024269647872', '1309095956565856256', '查看', 'train-version:sel', '2', '2', '20', '', '', '2020-09-24 19:51:06');
INSERT INTO `sys_menu` VALUES ('1310461440573968384', '1300703922314416128', '提交', 'train_rule:add', '2', '2', '1', '', '', '2020-09-28 14:08:49');
INSERT INTO `sys_menu` VALUES ('1314848101755916288', '1299894216708722688', '下架', 'train-course:down', '2', '2', '8', '', '', '2020-10-10 16:39:51');
INSERT INTO `sys_menu` VALUES ('1314874969259380736', '1295531958633369600', '讲师课件报表', '/serve/trainer/form/index', '1', '1', '60', 'bars', '', '2020-10-10 18:26:37');
INSERT INTO `sys_menu` VALUES ('1315907798571290624', '1299893396575490048', '视频课件管理', '/serve/video/courseware/index', '1', '1', '50', 'customer-service', '', '2020-10-13 14:50:42');
INSERT INTO `sys_menu` VALUES ('1315908067879161856', '1299588884690243584', '地市培训班管理', '/serve/app/class/index', '1', '1', '110', 'flag', '', '2020-10-13 14:51:46');
INSERT INTO `sys_menu` VALUES ('1315908995969585152', '1315907798571290624', '删除', 'train-video-courseware:del', '2', '2', '1', '', '', '2020-10-13 14:55:28');
INSERT INTO `sys_menu` VALUES ('1315909050592006144', '1315907798571290624', '修改', 'train-video-courseware:edit', '2', '2', '2', '', '', '2020-10-13 14:55:41');
INSERT INTO `sys_menu` VALUES ('1315909106040705024', '1315907798571290624', '查看', 'train-video-courseware:sel', '2', '2', '3', '', '', '2020-10-13 14:55:54');
INSERT INTO `sys_menu` VALUES ('1315909175192195072', '1315907798571290624', '添加', 'train-video-courseware:add', '2', '2', '4', '', '', '2020-10-13 14:56:10');
INSERT INTO `sys_menu` VALUES ('1315909304032825344', '1315908067879161856', '查看', 'train_user_class:sel', '2', '2', '1', '', '', '2020-10-13 14:56:41');
INSERT INTO `sys_menu` VALUES ('1315909363650662400', '1315908067879161856', '导出', 'train_user_class:export', '2', '2', '2', '', '', '2020-10-13 14:56:55');
INSERT INTO `sys_menu` VALUES ('1315934442639986688', '0', '首页', '/home/index', '0', '0', '0', 'home', '', '2020-10-13 16:36:35');
INSERT INTO `sys_menu` VALUES ('1317395752145784832', '1295531958633369600', '个人授课经历上报', '/serve/app/teaching/index', '1', '1', '70', 'contacts', '', '2020-10-17 17:23:18');
INSERT INTO `sys_menu` VALUES ('1317395752145784833', '1295531958633369600', '其他考核上报', '/serve/app/otherteaching/index', '1', '1', '69', 'contacts', '', '2020-10-17 17:23:18');
INSERT INTO `sys_menu` VALUES ('1317395901366538240', '1295531958633369600', '个人培训学习经历上报', '/serve/app/training/index', '1', '1', '80', 'contacts', '', '2020-10-17 17:23:54');
INSERT INTO `sys_menu` VALUES ('1317397135800537088', '1317395752145784832', '查看', 'train-user-teaching:sel', '2', '2', '1', '', '', '2020-10-17 17:28:48');
INSERT INTO `sys_menu` VALUES ('1317397135800537089', '1317395752145784833', '查看', 'train-user-otherteaching:sel', '2', '2', '1', '', '', '2020-10-17 17:28:48');
INSERT INTO `sys_menu` VALUES ('1317397244504313856', '1317395752145784832', '审核', 'train-user-teaching:audit', '2', '2', '2', '', '', '2020-10-17 17:29:14');
INSERT INTO `sys_menu` VALUES ('1317397244504313857', '1317395752145784833', '审核', 'train-user-otherteaching:audit', '2', '2', '2', '', '', '2020-10-17 17:29:14');
INSERT INTO `sys_menu` VALUES ('1317397629080047616', '1317395901366538240', '查看', 'train-user-training:sel', '2', '2', '1', '', '', '2020-10-17 17:30:45');
INSERT INTO `sys_menu` VALUES ('1317397707534503936', '1317395901366538240', '审核', 'train-user-training:audit', '2', '2', '2', '', '', '2020-10-17 17:31:04');
INSERT INTO `sys_menu` VALUES ('1318795219625447424', '1299589097328873472', '报道管理', 'train-class-offline:stay', '2', '2', '140', '', '', '2020-10-21 14:04:17');
INSERT INTO `sys_menu` VALUES ('1319225949073575936', '1302207667787403264', '审核信息', 'train-plan:auditRecord', '2', '2', '10', '', '', '2020-10-22 18:35:51');
INSERT INTO `sys_menu` VALUES ('1319226124974297088', '1299589097328873472', '审核信息', 'train-class-offline:auditRecord', '2', '2', '170', '', '', '2020-10-22 18:36:33');
INSERT INTO `sys_menu` VALUES ('1319226220105306112', '1302210831345389568', '审核信息', 'train-class-online:auditRecord', '2', '2', '100', '', '', '2020-10-22 18:36:56');
INSERT INTO `sys_menu` VALUES ('1319226330537136128', '1299894216708722688', '审核信息', 'train-course:auditRecord', '2', '2', '9', '', '', '2020-10-22 18:37:22');
INSERT INTO `sys_menu` VALUES ('1319226537295351808', '1295652389319217152', '审核信息', 'train-trainer-promotion:auditRecord', '2', '2', '3', '', '', '2020-10-22 18:38:11');
INSERT INTO `sys_menu` VALUES ('1319226804313133056', '1317395752145784832', '审核信息', 'train-user-teaching:auditRecord', '2', '2', '3', '', '', '2020-10-22 18:39:15');
INSERT INTO `sys_menu` VALUES ('1319226804313133057', '1317395752145784833', '审核信息', 'train-user-otherteaching:auditRecord', '2', '2', '3', '', '', '2020-10-22 18:39:15');
INSERT INTO `sys_menu` VALUES ('1319226884550168576', '1317395901366538240', '审核信息', 'train-user-training:auditRecord', '2', '2', '3', '', '', '2020-10-22 18:39:34');
INSERT INTO `sys_menu` VALUES ('1319227029631143936', '1302216379528777728', '审核信息', 'train-video-online:auditRecord', '2', '2', '4', '', '', '2020-10-22 18:40:09');
INSERT INTO `sys_menu` VALUES ('1319545341888040960', '1309095956565856256', '删除', 'train-version:del', '2', '2', '3', '', '', '2020-10-23 15:45:00');
INSERT INTO `sys_menu` VALUES ('1323512922764349440', '1293739771830603776', '就餐时间设置', '/serve/app/dineRule/index', '1', '1', '80', 'dashboard', '', '2020-11-03 14:30:45');
INSERT INTO `sys_menu` VALUES ('1323817354534195200', '1323512922764349440', '提交', 'train_class_dine_setting:add', '2', '2', '1', '', '', '2020-11-04 10:40:27');
INSERT INTO `sys_menu` VALUES ('1326431166089269248', '1315934442639986688', '首页', '/home/index', '1', '1', '0', 'home', '', '2020-11-11 15:46:49');
INSERT INTO `sys_menu` VALUES ('1328570525605302272', '0', '待办事项', '/home/todo', '0', '0', '5', 'form', '', '2020-11-17 13:27:52');
INSERT INTO `sys_menu` VALUES ('1328570617783521280', '1328570525605302272', '待办事项', '/home/todo', '1', '1', '1', 'form', '', '2020-11-17 13:28:14');
INSERT INTO `sys_menu` VALUES ('1336488972498636800', '1299588884690243584', '我创建的集中培训', '/serve/train/class/createOffline/index', '1', '1', '21', 'tags', '', '2020-12-09 09:52:56');
INSERT INTO `sys_menu` VALUES ('1336508897061638144', '1299588884690243584', '我管理的集中培训', '/serve/train/class/myOffline/index', '1', '1', '22', 'tags', '', '2020-12-09 11:12:07');
INSERT INTO `sys_menu` VALUES ('1336601300703514624', '1336488972498636800', '导出', 'train-class-offline:export', '2', '2', '1', '', '', '2020-12-09 17:19:18');
INSERT INTO `sys_menu` VALUES ('1336601370660311040', '1336488972498636800', '查看', 'train-class-offline:sel', '2', '2', '10', '', '', '2020-12-09 17:19:34');
INSERT INTO `sys_menu` VALUES ('1336601439665000448', '1336488972498636800', '编辑', 'train-class-offline:edit', '2', '2', '20', '', '', '2020-12-09 17:19:51');
INSERT INTO `sys_menu` VALUES ('1336601531675447296', '1336488972498636800', '删除', 'train-class-offline:del', '2', '2', '30', '', '', '2020-12-09 17:20:13');
INSERT INTO `sys_menu` VALUES ('1336601604274655232', '1336488972498636800', '添加', 'train-class-offline:add', '2', '2', '40', '', '', '2020-12-09 17:20:30');
INSERT INTO `sys_menu` VALUES ('1336601674202091520', '1336488972498636800', '审核', 'train-class-offline:audit', '2', '2', '70', '', '', '2020-12-09 17:20:47');
INSERT INTO `sys_menu` VALUES ('1336601851159777280', '1336488972498636800', '审核信息', 'train-class-offline:auditRecord', '2', '2', '170', '', '', '2020-12-09 17:21:29');
INSERT INTO `sys_menu` VALUES ('1336601921888325632', '1336508897061638144', '导出', 'train-class-offline:export', '2', '2', '1', '', '', '2020-12-09 17:21:46');
INSERT INTO `sys_menu` VALUES ('1336601987227193344', '1336508897061638144', '查看', 'train-class-offline:sel', '2', '2', '10', '', '', '2020-12-09 17:22:01');
INSERT INTO `sys_menu` VALUES ('1336602110585868288', '1336508897061638144', '完善信息', 'train-class-offline:add', '2', '2', '20', '', '', '2020-12-09 17:22:31');
INSERT INTO `sys_menu` VALUES ('1336602240345051136', '1336508897061638144', '编辑', 'train-class-offline:edit', '2', '2', '30', '', '', '2020-12-09 17:23:02');
INSERT INTO `sys_menu` VALUES ('1336602378891300864', '1336508897061638144', '申请发票', 'train-class-offline:invoice', '2', '2', '50', '', '', '2020-12-09 17:23:35');
INSERT INTO `sys_menu` VALUES ('1336602448504164352', '1336508897061638144', '附件上传', 'train-class-offline:appendix', '2', '2', '60', '', '', '2020-12-09 17:23:51');
INSERT INTO `sys_menu` VALUES ('1336602518372880384', '1336508897061638144', '发布', 'train-class-offline:release', '2', '2', '80', '', '', '2020-12-09 17:24:08');
INSERT INTO `sys_menu` VALUES ('1336602575927119872', '1336508897061638144', '考试计划', 'train-class-offline:test', '2', '2', '90', '', '', '2020-12-09 17:24:22');
INSERT INTO `sys_menu` VALUES ('1336602642964680704', '1336508897061638144', '课程表', 'train-class-offline:schedule', '2', '2', '100', '', '', '2020-12-09 17:24:38');
INSERT INTO `sys_menu` VALUES ('1336602703874363392', '1336508897061638144', '申请设备', 'train-class-offline:fixedAssets', '2', '2', '120', '', '', '2020-12-09 17:24:52');
INSERT INTO `sys_menu` VALUES ('1336602770664460288', '1336508897061638144', '评价项', 'train-class-offline:appraise', '2', '2', '130', '', '', '2020-12-09 17:25:08');
INSERT INTO `sys_menu` VALUES ('1336602830689144832', '1336508897061638144', '报道管理', 'train-class-offline:stay', '2', '2', '140', '', '', '2020-12-09 17:25:22');
INSERT INTO `sys_menu` VALUES ('1336602899928715264', '1336508897061638144', '上报结算', 'train-class-offline:settlement', '2', '2', '150', '', '', '2020-12-09 17:25:39');
INSERT INTO `sys_menu` VALUES ('1336602968673357824', '1336508897061638144', '集中培训班课程批量导入', 'train-class-offline:scheduleImport', '2', '2', '160', '', '', '2020-12-09 17:25:55');
INSERT INTO `sys_menu` VALUES ('1336603031722135552', '1336508897061638144', '审核信息', 'train-class-offline:auditRecord', '2', '2', '170', '', '', '2020-12-09 17:26:10');
INSERT INTO `sys_menu` VALUES ('1336605813736869888', '1299588884690243584', '我创建的在线培训', '/serve/train/class/createOnline/index', '1', '1', '31', 'desktop', '', '2020-12-09 17:37:14');
INSERT INTO `sys_menu` VALUES ('1336606142763241472', '1299588884690243584', '我管理的在线培训', '/serve/train/class/myOnline/index', '1', '1', '32', 'desktop', '', '2020-12-09 17:38:32');
INSERT INTO `sys_menu` VALUES ('1336840741883875328', '1336605813736869888', '导出', 'train-class-online:export', '2', '2', '1', '', '', '2020-12-10 09:10:45');
INSERT INTO `sys_menu` VALUES ('1336840819004542976', '1336605813736869888', '查看', 'train-class-online:sel', '2', '2', '10', '', '', '2020-12-10 09:11:03');
INSERT INTO `sys_menu` VALUES ('1336840879306051584', '1336605813736869888', '编辑', 'train-class-online:edit', '2', '2', '20', '', '', '2020-12-10 09:11:18');
INSERT INTO `sys_menu` VALUES ('1336841116703657984', '1336605813736869888', '删除', 'train-class-online:del', '2', '2', '30', '', '', '2020-12-10 09:12:14');
INSERT INTO `sys_menu` VALUES ('1336841413865902080', '1336605813736869888', '添加', 'train-class-online:add', '2', '2', '40', '', '', '2020-12-10 09:13:25');
INSERT INTO `sys_menu` VALUES ('1336841492353912832', '1336605813736869888', '审核', 'train-class-online:audit', '2', '2', '50', '', '', '2020-12-10 09:13:44');
INSERT INTO `sys_menu` VALUES ('1336841730565214208', '1336605813736869888', '审核信息', 'train-class-online:auditRecord', '2', '2', '100', '', '', '2020-12-10 09:14:41');
INSERT INTO `sys_menu` VALUES ('1336842076377190400', '1336606142763241472', '导出', 'train-class-online:export', '2', '2', '1', '', '', '2020-12-10 09:16:03');
INSERT INTO `sys_menu` VALUES ('1336842125156945920', '1336606142763241472', '查看', 'train-class-online:sel', '2', '2', '10', '', '', '2020-12-10 09:16:15');
INSERT INTO `sys_menu` VALUES ('1336842183382274048', '1336606142763241472', '编辑', 'train-class-online:edit', '2', '2', '20', '', '', '2020-12-10 09:16:29');
INSERT INTO `sys_menu` VALUES ('1336842325346881536', '1336606142763241472', '发布', 'train-class-online:release', '2', '2', '60', '', '', '2020-12-10 09:17:02');
INSERT INTO `sys_menu` VALUES ('1336842384981495808', '1336606142763241472', '考试计划', 'train-class-online:test', '2', '2', '70', '', '', '2020-12-10 09:17:17');
INSERT INTO `sys_menu` VALUES ('1336842451750621184', '1336606142763241472', '评价项', 'train-class-online:appraise', '2', '2', '80', '', '', '2020-12-10 09:17:32');
INSERT INTO `sys_menu` VALUES ('1336842522361729024', '1336606142763241472', '上报结算', 'train-class-online:settlement', '2', '2', '90', '', '', '2020-12-10 09:17:49');
INSERT INTO `sys_menu` VALUES ('1336842574677282816', '1336606142763241472', '审核信息', 'train-class-online:auditRecord', '2', '2', '100', '', '', '2020-12-10 09:18:02');
INSERT INTO `sys_menu` VALUES ('1336854020949676032', '1296402147197456384', '用户协议', '/serve/app/agreement/index', '1', '1', '160', 'snippets', '', '2020-12-10 10:03:31');
INSERT INTO `sys_menu` VALUES ('1336871082837282816', '1336508897061638144', '提交审核', 'train-class-offline:audit', '2', '2', '40', '', '', '2020-12-10 11:11:19');
INSERT INTO `sys_menu` VALUES ('1336871401365311488', '1302210831345389568', '提交审核', 'train-class-online:edit', '2', '2', '40', '', '', '2020-12-10 11:12:35');
INSERT INTO `sys_menu` VALUES ('1336901630691512320', '1302210831345389568', '完善信息', 'train-class-online:add', '2', '2', '50', '', '', '2020-12-10 13:12:42');
INSERT INTO `sys_menu` VALUES ('1338295598696239104', '1293739771830603776', '评价项模板', '/sys/myTemplate/index', '1', '1', '71', 'schedule', '', '2020-12-14 09:31:50');
INSERT INTO `sys_menu` VALUES ('1338295781035216896', '1338295598696239104', '查看', 'sys-my_template:sel', '2', '2', '10', '', '', '2020-12-14 09:32:33');
INSERT INTO `sys_menu` VALUES ('1338295901176860672', '1338295598696239104', '添加', 'sys-my_template:add', '2', '2', '20', '', '', '2020-12-14 09:33:02');
INSERT INTO `sys_menu` VALUES ('1338296071704678400', '1338295598696239104', '删除', 'sys-my_template:del', '2', '2', '40', '', '', '2020-12-14 09:33:42');
INSERT INTO `sys_menu` VALUES ('1338296221185478656', '1338295598696239104', '编辑', 'sys-my_template:edit', '2', '2', '30', '', '', '2020-12-14 09:34:18');
INSERT INTO `sys_menu` VALUES ('1340838213228564480', '1328570617783521280', '待审核的小视频', 'todo-video-online:state', '2', '2', '1', '', '', '2020-12-21 09:55:16');
INSERT INTO `sys_menu` VALUES ('1340838627072151552', '1328570617783521280', '待举办的培训班', 'todo-create:class', '2', '2', '10', '', '', '2020-12-21 09:56:55');
INSERT INTO `sys_menu` VALUES ('1340838967934849024', '1328570617783521280', '待举办的培训班（综合办）', 'todo-create:class-admin', '2', '2', '15', '', '', '2020-12-21 09:58:16');
INSERT INTO `sys_menu` VALUES ('1340840111914487808', '1328570617783521280', '待审核的培训计划', 'todo-plan:audit', '2', '2', '20', '', '', '2020-12-21 10:02:49');
INSERT INTO `sys_menu` VALUES ('1340840725398556672', '1328570617783521280', '待审核的培训班', 'todo-class:audit', '2', '2', '30', '', '', '2020-12-21 10:05:15');
INSERT INTO `sys_menu` VALUES ('1340840859654033408', '1328570617783521280', '待审核的晋升申请', 'todo-trainer-promotion:state', '2', '2', '40', '', '', '2020-12-21 10:05:47');
INSERT INTO `sys_menu` VALUES ('1340845474671890432', '1328570617783521280', '待审核的培训创建权限', 'todo_user_class_apply:audit', '2', '2', '50', '', '', '2020-12-21 10:24:08');
INSERT INTO `sys_menu` VALUES ('1340846002734764032', '1328570617783521280', '待审核的个人培训经历上报', 'todo-user-training:audit', '2', '2', '60', '', '', '2020-12-21 10:26:13');
INSERT INTO `sys_menu` VALUES ('1340846106849972224', '1328570617783521280', '待审核的个人授课经历上报', 'todo-user-teaching:audit', '2', '2', '70', '', '', '2020-12-21 10:26:38');
INSERT INTO `sys_menu` VALUES ('1340847576227909632', '1328570617783521280', '待审核的培训班（综合办）', 'todo-class:audit-admin', '2', '2', '35', '', '', '2020-12-21 10:32:29');
INSERT INTO `sys_menu` VALUES ('1340897427636490240', '1328570617783521280', '待完善的信息', 'todo-class:edit', '2', '2', '25', '', '', '2020-12-21 13:50:34');
INSERT INTO `sys_menu` VALUES ('1340935507693146112', '1299893396575490048', '首页课程推荐', '/serve/train/course/recommend/index', '1', '1', '3', 'align-center', '', '2020-12-21 16:21:53');
INSERT INTO `sys_menu` VALUES ('1340937206096859136', '1295531958633369600', '首页推荐设置', '/serve/trainer/recommend/index', '1', '1', '1', 'align-center', '', '2020-12-21 16:28:38');
INSERT INTO `sys_menu` VALUES ('1341693061956243456', '1328570617783521280', '待提交审核的培训班', 'todo-class:auditUp-admin', '2', '2', '80', '', '', '2020-12-23 18:32:08');
INSERT INTO `sys_menu` VALUES ('1341693219477524480', '1328570617783521280', '待提交审核的培训班 （班主任）', 'todo-class:auditUp-My', '2', '2', '90', '', '', '2020-12-23 18:32:46');
INSERT INTO `sys_menu` VALUES ('1343525424260583424', '1299589097328873472', '就餐管理--编辑', 'train-class-dine:add', '2', '2', '180', '', '', '2020-12-28 19:53:17');
INSERT INTO `sys_menu` VALUES ('1343525520268201984', '1336508897061638144', '就餐管理--编辑', 'train-class-dine:add', '2', '2', '180', '', '', '2020-12-28 19:53:40');
INSERT INTO `sys_menu` VALUES ('1343525638816010240', '1336508897061638144', '就餐管理--删除', 'train-class-dine:del', '2', '2', '190', '', '', '2020-12-28 19:54:08');
INSERT INTO `sys_menu` VALUES ('1343525839932887040', '1299589097328873472', '就餐管理--删除', 'train-class-dine:del', '2', '2', '190', '', '', '2020-12-28 19:54:56');
INSERT INTO `sys_menu` VALUES ('1346293518771032064', '1326431166089269248', '待审核的小视频', 'home-video:audit', '2', '2', '10', '', '', '2021-01-05 11:12:42');
INSERT INTO `sys_menu` VALUES ('1346294092413407232', '1326431166089269248', '待举办的培训班', 'home-class:todo', '2', '2', '15', '', '', '2021-01-05 11:14:59');
INSERT INTO `sys_menu` VALUES ('1346295953342205952', '1326431166089269248', '待审核的培训班', 'home-class:audit', '2', '2', '25', '', '', '2021-01-05 11:22:23');
INSERT INTO `sys_menu` VALUES ('1346296045176492032', '1326431166089269248', '待审核的培训计划', 'home-plan:audit', '2', '2', '30', '', '', '2021-01-05 11:22:45');
INSERT INTO `sys_menu` VALUES ('1346296122704007168', '1326431166089269248', '待审核的内训师晋升申请', 'home-trainerUp:audit', '2', '2', '35', '', '', '2021-01-05 11:23:03');
INSERT INTO `sys_menu` VALUES ('1346296204098670592', '1326431166089269248', '待审核的个人培训经历', 'home-training:audit', '2', '2', '40', '', '', '2021-01-05 11:23:23');
INSERT INTO `sys_menu` VALUES ('1346296283970801664', '1326431166089269248', '待审核的个人授课经历', 'home-teaching:audit', '2', '2', '45', '', '', '2021-01-05 11:23:42');
INSERT INTO `sys_menu` VALUES ('1346296360273580032', '1326431166089269248', '待审核的培训班创建权限', 'home-user-class-apply:audit', '2', '2', '50', '', '', '2021-01-05 11:24:00');
INSERT INTO `sys_menu` VALUES ('1348509452692754432', '1293739771830603776', '日志管理', '/sys/oper', '0', '1', '90', 'interation', '', '2021-01-11 13:58:02');
INSERT INTO `sys_menu` VALUES ('1348524655580942336', '1348509452692754432', '操作日志', '/sys/oper/index', '1', '2', '10', 'login', '', '2021-01-11 14:58:27');
INSERT INTO `sys_menu` VALUES ('1348524786950737920', '1348509452692754432', '登录日志', '/sys/loginLog/index', '1', '2', '20', 'up-circle', '', '2021-01-11 14:58:58');
INSERT INTO `sys_menu` VALUES ('1351002721578258432', '1315908067879161856', '审核', 'train-user-class:audit', '2', '2', '3', '', '', '2021-01-18 11:05:24');
INSERT INTO `sys_menu` VALUES ('1351002838288961536', '1315908067879161856', '审核信息', 'train-user-class:auditRecord', '2', '2', '4', '', '', '2021-01-18 11:05:52');
INSERT INTO `sys_menu` VALUES ('1351003577409212416', '1299588884690243584', '地市培训班', '/serve/app/classGet/index', '1', '1', '120', 'flag', '', '2021-01-18 11:08:48');
INSERT INTO `sys_menu` VALUES ('1351004334116179968', '1351003577409212416', '导出', 'train_user_class:export', '2', '2', '1', '', '', '2021-01-18 11:11:48');
INSERT INTO `sys_menu` VALUES ('1351004569164976128', '1351003577409212416', '审核信息', 'train_user_class_get:auditRecord', '2', '2', '2', '', '', '2021-01-18 11:12:44');
INSERT INTO `sys_menu` VALUES ('1351004867459682304', '1351003577409212416', '查看', 'train_user_class:sel', '2', '2', '3', '', '', '2021-01-18 11:13:56');
INSERT INTO `sys_menu` VALUES ('1372146162072686592', '1315908067879161856', '导入人员', 'train_user_class:import', '2', '2', '5', '', '', '2021-03-17 19:21:53');
INSERT INTO `sys_menu` VALUES ('1397029679306772480', '1293739771830603776', '培训地址管理', '/serve/train/address/index', '1', '1', '88', 'pic-left', '', '2021-05-25 11:20:06');
INSERT INTO `sys_menu` VALUES ('1397069839868235776', '1397029679306772480', '添加', 'train_class_address:add', '2', '2', '1', '', '', '2021-05-25 13:59:41');
INSERT INTO `sys_menu` VALUES ('1397069903684571136', '1397029679306772480', '编辑', 'train_class_address:edit', '2', '2', '2', '', '', '2021-05-25 13:59:56');
INSERT INTO `sys_menu` VALUES ('1397069963554066432', '1397029679306772480', '删除', 'train_class_address:del', '2', '2', '3', '', '', '2021-05-25 14:00:10');
INSERT INTO `sys_menu` VALUES ('1412553907093861488', '1296402147197456384', 'app部门管理', '/serve/app/dept/index', '1', '1', '15', 'unlock', '', '2023-05-20 19:09:12');
INSERT INTO `sys_menu` VALUES ('1485560354913259520', '1301821852062191616', '查看修改记录', 'train-class-settlement-log:select', '2', '2', '30', '', '', '2022-01-24 18:29:24');
INSERT INTO `sys_menu` VALUES ('1516253652388548608', '0', '周培训', '/serve/train/week', '0', '0', '99', 'bank', '', '2022-04-19 11:13:36');
INSERT INTO `sys_menu` VALUES ('1516254175913185280', '1516253652388548608', '周培训班', '/serve/train/week/index', '1', '1', '1', 'radius-bottomright', '', '2022-04-19 11:15:41');
INSERT INTO `sys_menu` VALUES ('1516614829291474944', '1516254175913185280', '添加', 'train-week-class:add', '2', '2', '1', '', '', '2022-04-20 11:08:47');
INSERT INTO `sys_menu` VALUES ('1516627560304349184', '1299589097328873472', '通讯录删除学员', 'train-class-offline:user-del', '2', '2', '180', '', '', '2022-04-20 11:59:23');
INSERT INTO `sys_menu` VALUES ('1516657268215648256', '1302210831345389568', '通讯录删除学员', 'train-class-online:user-del', '2', '2', '120', '', '', '2022-04-20 13:57:26');
INSERT INTO `sys_menu` VALUES ('1516769349271162880', '1516254175913185280', '上报结算', 'train-week-class:settlement', '2', '2', '100', '', '', '2022-04-20 21:22:48');
INSERT INTO `sys_menu` VALUES ('1517015679289659392', '1516254175913185280', '删除', 'train-week-class:del', '2', '2', '4', '', '', '2022-04-21 13:41:37');
INSERT INTO `sys_menu` VALUES ('1517015776484265984', '1516254175913185280', '附件上传', 'train-week-class:appendix', '2', '2', '5', '', '', '2022-04-21 13:42:01');
INSERT INTO `sys_menu` VALUES ('1517015865135075328', '1516254175913185280', '发布', 'train-week-class:release', '2', '2', '6', '', '', '2022-04-21 13:42:22');
INSERT INTO `sys_menu` VALUES ('1517016156135886848', '1516254175913185280', '二维码下载', 'train-week-class:QrCode', '2', '2', '7', '', '', '2022-04-21 13:43:31');
INSERT INTO `sys_menu` VALUES ('1517016265858879488', '1516254175913185280', '编辑', 'train-week-class:edit', '2', '2', '8', '', '', '2022-04-21 13:43:57');
INSERT INTO `sys_menu` VALUES ('1517091772302495744', '1516254175913185280', '课程表模板下载/导入', 'train-week-class:scheduleImport', '2', '2', '9', '', '', '2022-04-21 18:43:59');
INSERT INTO `sys_menu` VALUES ('1561968112096645120', '1295293800985530368', '资料库', '/serve/material/index', '1', '1', '50', 'copy', '', '2022-08-23 14:46:33');
INSERT INTO `sys_menu` VALUES ('1562016581561749504', '1295293800985530368', '车辆供应商', '/serve/resource/carSupplier/index', '1', '1', '100', 'edit', '', '2022-08-23 17:59:09');
INSERT INTO `sys_menu` VALUES ('1562345354924527616', '1562016581561749504', '删除', 'train-resource-car:del', '2', '2', '1', '', '', '2022-08-24 15:45:34');
INSERT INTO `sys_menu` VALUES ('1562345430753349632', '1562016581561749504', '编辑', 'train-resource-car:edit', '2', '2', '2', '', '', '2022-08-24 15:45:52');
INSERT INTO `sys_menu` VALUES ('1562345526047936512', '1562016581561749504', '添加', 'train-resource-car:add', '2', '2', '3', '', '', '2022-08-24 15:46:15');
INSERT INTO `sys_menu` VALUES ('1562352238381371392', '1561968112096645120', '添加', 'train-material:add', '2', '2', '10', '', '', '2022-08-24 16:12:55');
INSERT INTO `sys_menu` VALUES ('1562352300536762368', '1561968112096645120', '下载', 'train-material:down', '2', '2', '20', '', '', '2022-08-24 16:13:10');
INSERT INTO `sys_menu` VALUES ('1562352347240337408', '1561968112096645120', '预览', 'train-material:show', '2', '2', '30', '', '', '2022-08-24 16:13:21');
INSERT INTO `sys_menu` VALUES ('1562352406824620032', '1561968112096645120', '编辑', 'train-material:edit', '2', '2', '40', '', '', '2022-08-24 16:13:36');
INSERT INTO `sys_menu` VALUES ('1562352463384809472', '1561968112096645120', '删除', 'train-material:del', '2', '2', '50', '', '', '2022-08-24 16:13:49');
INSERT INTO `sys_menu` VALUES ('1564455756336599040', '1295293800985530368', '调查问卷模板', '/serve/resource/lookInfo/index', '1', '1', '200', 'file-unknown', '', '2022-08-30 11:31:33');
INSERT INTO `sys_menu` VALUES ('1565293981900869632', '1299589097328873472', '就餐管理--查看明细', 'train-class-dine:detail', '2', '2', '200', '', '', '2022-09-01 19:02:22');
INSERT INTO `sys_menu` VALUES ('1565294478477103104', '1336508897061638144', '就餐管理--查看明细', 'train-class-dine:detail', '2', '2', '200', '', '', '2022-09-01 19:04:20');
INSERT INTO `sys_menu` VALUES ('1566702138715934720', '0', '供应商', '/supplier', '0', '0', '66', 'codepen', '', '2022-09-05 16:17:52');
INSERT INTO `sys_menu` VALUES ('1566703162176442368', '1566702138715934720', '供应商管理', '/supplier/manage/index', '1', '1', '1', 'diff', '', '2022-09-05 16:21:56');
INSERT INTO `sys_menu` VALUES ('1567048376908910592', '1293739771830603776', '班主任管理', '/sys/classTeacher/index', '1', '1', '41', 'align-left', '', '2022-09-06 15:13:42');
INSERT INTO `sys_menu` VALUES ('1567358821205151744', '1566702138715934720', '公告管理', '/supplier/notice/index', '1', '1', '33', 'minus-square', '', '2022-09-07 11:47:18');
INSERT INTO `sys_menu` VALUES ('1568049005626265600', '1302207667787403264', '修改计划次数', 'train-plan:xgcs', '2', '2', '20', '', '', '2022-09-09 09:29:51');
INSERT INTO `sys_menu` VALUES ('1568080241308602368', '1299589097328873472', '工具包', 'train-class-offline:tool', '2', '2', '50', '', '', '2022-09-09 11:33:58');
INSERT INTO `sys_menu` VALUES ('1568114017090801664', '1566702138715934720', '供应商评价', '/serve/train/class/supplier/supplierEvaluate/index', '1', '1', '2', 'highlight', '', '2022-09-09 13:48:10');
INSERT INTO `sys_menu` VALUES ('1569504717653020672', '1299588884690243584', '考试管理', '/serve/testManage/index', '1', '1', '80', 'copy', '', '2022-09-13 09:54:19');
INSERT INTO `sys_menu` VALUES ('1569934115971665920', '0', '住宿管理', '/serve/stay', '0', '0', '1', 'highlight', '', '2022-09-14 14:20:36');
INSERT INTO `sys_menu` VALUES ('1569934379759833088', '1569934115971665920', '前台管理', '/serve/stay/frontDeskManage/index', '1', '1', '1', 'edit', '', '2022-09-14 14:21:39');
INSERT INTO `sys_menu` VALUES ('1569934740402868224', '1569934115971665920', '房间房卡管理', '/serve/stay/roomManage/index', '1', '1', '2', 'edit', '', '2022-09-14 14:23:05');
INSERT INTO `sys_menu` VALUES ('1570223851743350784', '1569934115971665920', '楼层房型管理', '/serve/stay/floorRoomManage/index', '1', '1', '3', 'right', '', '2022-09-15 09:31:54');
INSERT INTO `sys_menu` VALUES ('1572785843502977024', '1569504717653020672', '添加', 'train-manage-exam:add', '2', '2', '1', '', '', '2022-09-22 11:12:21');
INSERT INTO `sys_menu` VALUES ('1572785891204796416', '1569504717653020672', '详情', 'train-manage-exam:detail', '2', '2', '2', '', '', '2022-09-22 11:12:32');
INSERT INTO `sys_menu` VALUES ('1572785991100534784', '1569504717653020672', '发布', 'train-manage-exam:up', '2', '2', '3', '', '', '2022-09-22 11:12:56');
INSERT INTO `sys_menu` VALUES ('1572786278204837888', '1569504717653020672', '删除', 'train-manage-exam:del', '2', '2', '4', '', '', '2022-09-22 11:14:04');
INSERT INTO `sys_menu` VALUES ('1572786323792728064', '1569504717653020672', '查看结果', 'train-manage-exam:result', '2', '2', '5', '', '', '2022-09-22 11:14:15');
INSERT INTO `sys_menu` VALUES ('1572786377542733824', '1569504717653020672', '补考', 'train-manage-exam:makeup', '2', '2', '6', '', '', '2022-09-22 11:14:28');
INSERT INTO `sys_menu` VALUES ('1572786484086444032', '1569504717653020672', '编辑', 'train-manage-exam:edit', '2', '2', '1', '', '', '2022-09-22 11:14:53');
INSERT INTO `sys_menu` VALUES ('1582941131375775744', '1305688744849969152', '课程分析', '/serve/echarts/courseStatistics', '1', '1', '122', 'line-chart', '', '2022-10-20 11:45:50');
INSERT INTO `sys_menu` VALUES ('1583372980271058944', '1305688744849969152', '讲师分析', '/serve/echarts/teacher', '1', '1', '150', 'pic-center', '', '2022-10-21 16:21:51');
INSERT INTO `sys_menu` VALUES ('1584854005719371776', '1305688744849969152', '短视频分析', '/serve/echarts/videoOnline', '1', '1', '200', 'caret-right', '', '2022-10-25 18:26:55');
INSERT INTO `sys_menu` VALUES ('1585886175472783360', '0', '离线住宿', '1', '0', '0', '200', 'left-circle', '', '2022-10-28 14:48:23');
INSERT INTO `sys_menu` VALUES ('1585886393454956544', '1585886175472783360', '班级管理', '/serve/class/index', '1', '1', '1', 'border-bottom', '', '2022-10-28 14:49:15');
INSERT INTO `sys_menu` VALUES ('1590948672777097216', '1301760002951876608', '汇总统计', '/serve/finance/summary/index', '1', '1', '666', 'issues-close', '', '2022-11-11 14:04:57');
INSERT INTO `sys_menu` VALUES ('1594540323877556224', '1302210831345389568', '修改', 'train-class-online:edit', '2', '2', '130', '', '', '2022-11-21 11:56:53');
INSERT INTO `sys_menu` VALUES ('1597604113372286976', '1301760002951876608', '交易流水', '/serve/order/index', '1', '1', '777', 'file-text', '', '2022-11-29 22:51:17');
INSERT INTO `sys_menu` VALUES ('1597770627324973056', '1301760002951876608', '培训班账单', '/serve/orderTrain/index', '1', '1', '778', 'file-search', '', '2022-11-30 09:52:57');
INSERT INTO `sys_menu` VALUES ('1601897903406845952', '1301760002951876608', '每日对账', '/serve/finance/day/index', '1', '1', '888', 'border-bottom', '', '2022-12-11 19:13:17');
INSERT INTO `sys_menu` VALUES ('1603657544486752256', '1597770627324973056', '财务权限', 'orderTrain:finance', '2', '2', '1', '', '', '2022-12-16 15:45:28');
INSERT INTO `sys_menu` VALUES ('1608014636261707776', '1567358821205151744', '删除', 'train-supplier-notice:del', '2', '2', '1', '', '', '2022-12-28 16:18:59');
INSERT INTO `sys_menu` VALUES ('1611236025689051136', '1301760002951876608', '支付管理', '/serve/finance/rule/index', '1', '1', '12', 'snippets', '', '2023-01-06 13:39:39');
INSERT INTO `sys_menu` VALUES ('1613106457228742656', '1296402147197456384', '短视频推荐设置', '/serve/video/recommend/index', '1', '1', '999', 'sort-descending', '', '2023-01-11 17:32:04');
INSERT INTO `sys_menu` VALUES ('1614853161762212345', '1569934115971665920', '住宿管理', '/serve/stay/roomRecordConfig/index', '1', '1', '100', 'clock-circle', '', '2023-02-13 13:12:51');
INSERT INTO `sys_menu` VALUES ('1614853161762295808', '1569934115971665920', '开卡记录', '/serve/stay/roomRecord/index', '1', '1', '40', 'up-circle', '', '2023-01-16 13:12:51');
INSERT INTO `sys_menu` VALUES ('1621382872365666304', '0', '公共区域管理', '/serve/office', '0', '0', '67', 'area-chart', '', '2023-02-03 13:39:35');
INSERT INTO `sys_menu` VALUES ('1621383165753036800', '1621382872365666304', '公共区域', '/serve/officeManage/room/index', '1', '1', '1', 'calendar', '', '2023-02-03 13:40:45');
INSERT INTO `sys_menu` VALUES ('1621386189456150528', '1621382872365666304', '员工管理', '/serve/officeManage/user/index', '1', '1', '2', 'team', '', '2023-02-03 13:52:46');
INSERT INTO `sys_menu` VALUES ('1623502351979646976', '1569934115971665920', '住宿账单', '/serve/orderTrain2/index', '1', '1', '555', 'red-envelope', '', '2023-02-09 10:01:39');
INSERT INTO `sys_menu` VALUES ('1626054238763356160', '1315934442639986688', '数据分析', '/dataV/indexStatic', '1', '1', '1', 'bar-chart', '', '2023-02-16 11:01:56');

-- ----------------------------
-- Table structure for sys_news
-- ----------------------------
DROP TABLE IF EXISTS `sys_news`;
CREATE TABLE `sys_news` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `note` varchar(1024) DEFAULT NULL COMMENT '内容',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1.培训班待审核 2.培训班开始 3.培训班结束 11.培训班审核通过 12 培训班开始 13 培训班结束 14 供应商公告结束 15 备忘录提醒',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `is_look` smallint(255) DEFAULT NULL COMMENT '是否阅读  0 否 1是',
  `user_ids` varchar(1024) DEFAULT NULL COMMENT '推送人',
  `push_time` datetime DEFAULT NULL COMMENT '推送时间',
  `link_id` bigint(20) DEFAULT NULL COMMENT '推送主体id',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='消息推送';

-- ----------------------------
-- Records of sys_news
-- ----------------------------
INSERT INTO `sys_news` VALUES ('127051673789968116', '管理员消息提醒', '主宰老师管理的集中培训班《1121培训库课程-b》即将开始，请立即查看', '2', '2023-09-21 10:41:57', null, '0', '1', '2023-09-20 08:00:00', '127050043999518848', null);
INSERT INTO `sys_news` VALUES ('127051673808389424', '管理员消息提醒', '主宰老师管理的集中培训班《1121培训库课程-b》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-09-21 10:41:57', null, '0', '1', '2023-09-22 10:37:14', '127050043999518848', null);
INSERT INTO `sys_news` VALUES ('127051673813961135', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《1121培训库课程-b》，请立即查看', '11', '2023-09-21 10:41:57', null, '0', '1', '2023-09-21 10:41:57', '127050043999518848', null);
INSERT INTO `sys_news` VALUES ('127051673865382875', '班主任消息提醒', '您创建的集中培训班《1121培训库课程-b》即将开始，请立即查看', '12', '2023-09-21 10:41:57', null, '0', '1', '2023-09-20 09:00:00', '127050043999518848', null);
INSERT INTO `sys_news` VALUES ('127051673872312136', '班主任消息提醒', '您管理的培训班《1121培训库课程-b》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-09-21 10:41:57', null, '0', '1', '2023-09-22 10:37:14', '127050043999518848', null);
INSERT INTO `sys_news` VALUES ('128033249762938144', '待审核消息提醒', '张磊老师创建了《理财培训计划第一季度》集中培训班，请立即审核。', '1', '2023-09-22 13:57:55', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-09-21 14:00:15', '127931103763926586', null);
INSERT INTO `sys_news` VALUES ('128033789968964964', '管理员消息提醒', '高志远老师管理的集中培训班《理财培训计划第一季度》即将开始，请立即查看', '2', '2023-09-22 13:58:49', null, '0', '1327473526785052672', '2023-09-21 08:00:00', '127931103763926586', null);
INSERT INTO `sys_news` VALUES ('128033789982118467', '管理员消息提醒', '高志远老师管理的集中培训班《理财培训计划第一季度》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-09-22 13:58:49', null, '0', '1327473526785052672', '2023-11-30 11:06:32', '127931103763926586', null);
INSERT INTO `sys_news` VALUES ('128033789989647966', '班主任消息提醒', '张磊管理员审核通过了您创建的集中培训《理财培训计划第一季度》，请立即查看', '11', '2023-09-22 13:58:49', null, '0', '1327473526785052672', '2023-09-22 13:58:49', '127931103763926586', null);
INSERT INTO `sys_news` VALUES ('128033790086396948', '班主任消息提醒', '您创建的集中培训班《理财培训计划第一季度》即将开始，请立即查看', '12', '2023-09-22 13:58:49', null, '0', '1327473526785052672', '2023-09-21 09:00:00', '127931103763926586', null);
INSERT INTO `sys_news` VALUES ('128033790094341048', '班主任消息提醒', '您管理的培训班《理财培训计划第一季度》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-09-22 13:58:49', null, '0', '1327473526785052672', '2023-11-30 11:06:32', '127931103763926586', null);
INSERT INTO `sys_news` VALUES ('128045877002643935', '待审核消息提醒', '高志远老师创建了《理财培训计划第二季度》集中培训班，请立即审核。', '1', '2023-09-22 14:18:58', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-09-22 14:17:23', '128045312767044786', null);
INSERT INTO `sys_news` VALUES ('128045918361438023', '管理员消息提醒', '高志远老师管理的集中培训班《理财培训计划第二季度》即将开始，请立即查看', '2', '2023-09-22 14:19:02', null, '0', '1327473526785052672', '2023-09-22 08:00:00', '128045312767044786', null);
INSERT INTO `sys_news` VALUES ('128045918369549591', '管理员消息提醒', '高志远老师管理的集中培训班《理财培训计划第二季度》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-09-22 14:19:02', null, '0', '1327473526785052672', '2023-10-29 14:17:43', '128045312767044786', null);
INSERT INTO `sys_news` VALUES ('128045918373938962', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《理财培训计划第二季度》，请立即查看', '11', '2023-09-22 14:19:02', null, '0', '1327473526785052672', '2023-09-22 14:19:02', '128045312767044786', null);
INSERT INTO `sys_news` VALUES ('128045918454210145', '班主任消息提醒', '您创建的集中培训班《理财培训计划第二季度》即将开始，请立即查看', '12', '2023-09-22 14:19:02', null, '0', '1327473526785052672', '2023-09-22 09:00:00', '128045312767044786', null);
INSERT INTO `sys_news` VALUES ('128045918459633954', '班主任消息提醒', '您管理的培训班《理财培训计划第二季度》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-09-22 14:19:02', null, '0', '1327473526785052672', '2023-10-29 14:17:43', '128045312767044786', null);
INSERT INTO `sys_news` VALUES ('130442418332877509', '待审核消息提醒', '张磊老师创建了《数据库培训》集中培训班，请立即审核。', '1', '2023-09-25 08:53:12', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-09-24 08:51:01', '130441652709239612', null);
INSERT INTO `sys_news` VALUES ('130442604685560462', '管理员消息提醒', '张磊老师管理的集中培训班《数据库培训》即将开始，请立即查看', '2', '2023-09-25 08:53:30', null, '1', '1590543166828843008', '2023-09-24 08:00:00', '130441652709239612', null);
INSERT INTO `sys_news` VALUES ('130442604707584254', '管理员消息提醒', '张磊老师管理的集中培训班《数据库培训》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-09-25 08:53:30', null, '0', '1590543166828843008', '2023-11-30 08:51:08', '130441652709239612', null);
INSERT INTO `sys_news` VALUES ('130442604711793023', '班主任消息提醒', '张磊管理员审核通过了您创建的集中培训《数据库培训》，请立即查看', '11', '2023-09-25 08:53:30', null, '1', '1590543166828843008', '2023-09-25 08:53:30', '130441652709239612', null);
INSERT INTO `sys_news` VALUES ('130442604786631452', '班主任消息提醒', '您创建的集中培训班《数据库培训》即将开始，请立即查看', '12', '2023-09-25 08:53:30', null, '1', '1590543166828843008', '2023-09-24 09:00:00', '130441652709239612', null);
INSERT INTO `sys_news` VALUES ('130442604791609337', '班主任消息提醒', '您管理的培训班《数据库培训》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-09-25 08:53:30', null, '0', '1590543166828843008', '2023-11-30 08:51:08', '130441652709239612', null);
INSERT INTO `sys_news` VALUES ('130627190813385723', '班主任消息', '您发布的供应商公告《员工入职培训方案征集》已经结束，有1家供应商提交了方案，请及时查看并选定最终方案。', '14', '2023-09-25 14:01:09', null, '1', '1590543166828843008', '2023-09-25 14:01:09', '130623124513119214', null);
INSERT INTO `sys_news` VALUES ('171870688519990042', '待审核消息提醒', '高志远老师创建了《2022-0914-1002省级》集中培训班，请立即审核。', '1', '2023-08-30 15:56:02', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-08-29 15:27:39', '171701996296970014', null);
INSERT INTO `sys_news` VALUES ('179828131705020051', '待审核消息提醒', '主宰老师创建了《213》集中培训班，请立即审核。', '1', '2023-08-31 14:02:14', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-08-30 11:47:09', '179018949044720052', null);
INSERT INTO `sys_news` VALUES ('1598951313641705472', '待审核消息提醒', '张磊老师创建了《123培训班》集中培训班，请立即审核。', '1', '2022-12-03 16:04:35', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1569970196410667008,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1561995446459699200,1596788379830325248', '2022-12-02 16:03:15', '1598951182674563072', null);
INSERT INTO `sys_news` VALUES ('1598951326040068096', '管理员消息提醒', '张磊老师管理的集中培训班《123培训班》即将开始，请立即查看', '2', '2022-12-03 16:04:38', null, '1', '1590543166828843008', '2022-12-02 08:00:00', '1598951182674563072', null);
INSERT INTO `sys_news` VALUES ('1598951326044262401', '管理员消息提醒', '张磊老师管理的集中培训班《123培训班》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2022-12-03 16:04:38', null, '1', '1590543166828843008', '2022-12-06 16:03:59', '1598951182674563072', null);
INSERT INTO `sys_news` VALUES ('1598951326044262403', '班主任消息提醒', '张磊管理员审核通过了您创建的集中培训《123培训班》，请立即查看', '11', '2022-12-03 16:04:38', null, '1', '1590543166828843008', '2022-12-03 16:04:38', '1598951182674563072', null);
INSERT INTO `sys_news` VALUES ('1598951326065233921', '班主任消息提醒', '您创建的集中培训班《123培训班》即将开始，请立即查看', '12', '2022-12-03 16:04:38', null, '1', '1590543166828843008', '2022-12-02 09:00:00', '1598951182674563072', null);
INSERT INTO `sys_news` VALUES ('1598951326077816832', '班主任消息提醒', '您管理的培训班《123培训班》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2022-12-03 16:04:38', null, '1', '1590543166828843008', '2022-12-06 16:03:59', '1598951182674563072', null);
INSERT INTO `sys_news` VALUES ('1600488226571816960', '待审核消息提醒', '高志远老师创建了《1121培训库课程-b》集中培训班，请立即审核。', '1', '2022-12-07 21:51:44', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1569970196410667008,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1561995446459699200,1596788379830325248', '2022-12-05 15:10:11', '1599662455414460416', null);
INSERT INTO `sys_news` VALUES ('1600726286509150208', '待审核消息提醒', '国产007老师创建了《12-08-101》集中培训班，请立即审核。', '1', '2022-12-08 13:37:41', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1569970196410667008,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1561995446459699200,1596788379830325248', '2022-11-25 10:13:47', '1596689079976726528', null);
INSERT INTO `sys_news` VALUES ('1600726304670486528', '管理员消息提醒', '李露露老师管理的集中培训班《12-08-101》即将开始，请立即查看', '2', '2022-12-08 13:37:46', null, '0', '1569970196410667008', '2022-11-25 08:00:00', '1596689079976726528', null);
INSERT INTO `sys_news` VALUES ('1600726304674680833', '管理员消息提醒', '李露露老师管理的集中培训班《12-08-101》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2022-12-08 13:37:46', null, '0', '1569970196410667008', '2022-11-28 10:15:12', '1596689079976726528', null);
INSERT INTO `sys_news` VALUES ('1600726304674680835', '班主任消息提醒', '李露露管理员审核通过了您创建的集中培训《12-08-101》，请立即查看', '11', '2022-12-08 13:37:46', null, '0', '1569970196410667008', '2022-12-08 13:37:46', '1596689079976726528', null);
INSERT INTO `sys_news` VALUES ('1600726304695652353', '班主任消息提醒', '您创建的集中培训班《12-08-101》即将开始，请立即查看', '12', '2022-12-08 13:37:46', null, '0', '1569970196410667008', '2022-11-25 09:00:00', '1596689079976726528', null);
INSERT INTO `sys_news` VALUES ('1600726304695652355', '班主任消息提醒', '您管理的培训班《12-08-101》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2022-12-08 13:37:46', null, '0', '1569970196410667008', '2022-11-28 10:15:12', '1596689079976726528', null);
INSERT INTO `sys_news` VALUES ('1602187358504095744', '待审核消息提醒', '主宰老师创建了《1121培训库课程-b》集中培训班，请立即审核。', '1', '2022-12-12 14:23:28', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1569970196410667008,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1561995446459699200,1596788379830325248', '2022-12-11 13:16:30', '1602170576401731584', null);
INSERT INTO `sys_news` VALUES ('1607634377188184064', '待审核消息提醒', '主宰老师创建了《党建测试11111111111》集中培训班，请立即审核。', '1', '2022-12-27 15:07:59', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1569970196410667008,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1561995446459699200,1596788379830325248', '2022-12-26 15:06:37', '1607634115245510656', null);
INSERT INTO `sys_news` VALUES ('1607634414127419392', '管理员消息提醒', '主宰老师管理的集中培训班《党建测试11111111111》即将开始，请立即查看', '2', '2022-12-27 15:08:07', null, '1', '1', '2022-12-26 08:00:00', '1607634115245510656', null);
INSERT INTO `sys_news` VALUES ('1607634414140002305', '管理员消息提醒', '主宰老师管理的集中培训班《党建测试11111111111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2022-12-27 15:08:07', null, '1', '1', '2022-12-28 15:06:44', '1607634115245510656', null);
INSERT INTO `sys_news` VALUES ('1607634414140002307', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《党建测试11111111111》，请立即查看', '11', '2022-12-27 15:08:07', null, '1', '1', '2022-12-27 15:08:07', '1607634115245510656', null);
INSERT INTO `sys_news` VALUES ('1607634414563627009', '班主任消息提醒', '您创建的集中培训班《党建测试11111111111》即将开始，请立即查看', '12', '2022-12-27 15:08:07', null, '1', '1', '2022-12-26 09:00:00', '1607634115245510656', null);
INSERT INTO `sys_news` VALUES ('1607634414567821313', '班主任消息提醒', '您管理的培训班《党建测试11111111111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2022-12-27 15:08:07', null, '1', '1', '2022-12-28 15:06:44', '1607634115245510656', null);
INSERT INTO `sys_news` VALUES ('1608803107997880320', '班主任消息', '您发布的供应商公告《顶顶顶顶顶顶顶顶顶顶》已经结束，有0家供应商提交了方案，请及时查看并选定最终方案。', '14', '2022-12-30 20:32:06', null, '1', '1561995446459699200', '2022-12-30 20:32:06', '1608705859330904064', null);
INSERT INTO `sys_news` VALUES ('1608803108736077824', '班主任消息', '您发布的供应商公告《一趟一趟一趟一趟与他》已经结束，有0家供应商提交了方案，请及时查看并选定最终方案。', '14', '2022-12-30 20:32:06', null, '1', '1561995446459699200', '2022-12-30 20:32:06', '1608707957330153472', null);
INSERT INTO `sys_news` VALUES ('1610175339101818880', '班主任消息', '您发布的供应商公告《测试短信V12281420》已经结束，有0家供应商提交了方案，请及时查看并选定最终方案。', '14', '2023-01-03 15:24:51', null, '1', '1561995446459699200', '2023-01-03 15:24:51', '1607991602264018944', null);
INSERT INTO `sys_news` VALUES ('1610175339118596096', '班主任消息', '您发布的供应商公告《测试短信V12281420》已经结束，有0家供应商提交了方案，请及时查看并选定最终方案。', '14', '2023-01-03 15:24:51', null, '1', '1561995446459699200', '2023-01-03 15:24:51', '1607984960407474176', null);
INSERT INTO `sys_news` VALUES ('1610175455057547264', '待审核消息提醒', '主宰老师创建了《测试费用》集中培训班，请立即审核。', '1', '2023-01-03 15:25:19', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-02 15:23:45', '1610175243224223744', null);
INSERT INTO `sys_news` VALUES ('1610175544681435136', '管理员消息提醒', '李嘻嘻老师管理的集中培训班《测试费用》即将开始，请立即查看', '2', '2023-01-03 15:25:40', null, '0', '1579367842099367936', '2023-01-02 08:00:00', '1610175243224223744', null);
INSERT INTO `sys_news` VALUES ('1610175544685629441', '管理员消息提醒', '李嘻嘻老师管理的集中培训班《测试费用》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-03 15:25:40', null, '0', '1579367842099367936', '2023-01-31 15:23:52', '1610175243224223744', null);
INSERT INTO `sys_news` VALUES ('1610175544689823745', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《测试费用》，请立即查看', '11', '2023-01-03 15:25:40', null, '0', '1579367842099367936', '2023-01-03 15:25:40', '1610175243224223744', null);
INSERT INTO `sys_news` VALUES ('1610175545226694657', '班主任消息提醒', '您创建的集中培训班《测试费用》即将开始，请立即查看', '12', '2023-01-03 15:25:40', null, '0', '1579367842099367936', '2023-01-02 09:00:00', '1610175243224223744', null);
INSERT INTO `sys_news` VALUES ('1610175545226694659', '班主任消息提醒', '您管理的培训班《测试费用》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-03 15:25:40', null, '0', '1579367842099367936', '2023-01-31 15:23:52', '1610175243224223744', null);
INSERT INTO `sys_news` VALUES ('1610175965948940288', '待审核消息提醒', '主宰老师创建了《测试费用》集中培训班，请立即审核。', '1', '2023-01-03 15:27:21', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-02 15:26:18', '1610175794691313664', null);
INSERT INTO `sys_news` VALUES ('1610176216504078336', '管理员消息提醒', '李嘻嘻老师管理的集中培训班《测试费用》即将开始，请立即查看', '2', '2023-01-03 15:28:20', null, '0', '1579367842099367936', '2023-01-02 08:00:00', '1610175794691313664', null);
INSERT INTO `sys_news` VALUES ('1610176216508272640', '管理员消息提醒', '李嘻嘻老师管理的集中培训班《测试费用》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-03 15:28:20', null, '0', '1579367842099367936', '2023-01-04 15:26:23', '1610175794691313664', null);
INSERT INTO `sys_news` VALUES ('1610176216508272642', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《测试费用》，请立即查看', '11', '2023-01-03 15:28:20', null, '0', '1579367842099367936', '2023-01-03 15:28:20', '1610175794691313664', null);
INSERT INTO `sys_news` VALUES ('1610176216961257473', '班主任消息提醒', '您创建的集中培训班《测试费用》即将开始，请立即查看', '12', '2023-01-03 15:28:20', null, '0', '1579367842099367936', '2023-01-02 09:00:00', '1610175794691313664', null);
INSERT INTO `sys_news` VALUES ('1610176216961257475', '班主任消息提醒', '您管理的培训班《测试费用》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-03 15:28:20', null, '0', '1579367842099367936', '2023-01-04 15:26:23', '1610175794691313664', null);
INSERT INTO `sys_news` VALUES ('1610464560089796608', '待审核消息提醒', '主宰老师创建了《14 测试费用》集中培训班，请立即审核。', '1', '2023-01-04 10:34:07', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-03 10:32:54', '1610464458696691712', null);
INSERT INTO `sys_news` VALUES ('1610464589147934720', '管理员消息提醒', '主宰老师管理的集中培训班《14 测试费用》即将开始，请立即查看', '2', '2023-01-04 10:34:14', null, '1', '1', '2023-01-03 08:00:00', '1610464458696691712', null);
INSERT INTO `sys_news` VALUES ('1610464589152129025', '管理员消息提醒', '主宰老师管理的集中培训班《14 测试费用》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-04 10:34:14', null, '1', '1', '2023-01-05 10:32:58', '1610464458696691712', null);
INSERT INTO `sys_news` VALUES ('1610464589152129027', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《14 测试费用》，请立即查看', '11', '2023-01-04 10:34:14', null, '1', '1', '2023-01-04 10:34:14', '1610464458696691712', null);
INSERT INTO `sys_news` VALUES ('1610464589609308161', '班主任消息提醒', '您创建的集中培训班《14 测试费用》即将开始，请立即查看', '12', '2023-01-04 10:34:14', null, '1', '1', '2023-01-03 09:00:00', '1610464458696691712', null);
INSERT INTO `sys_news` VALUES ('1610464589613502465', '班主任消息提醒', '您管理的培训班《14 测试费用》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-04 10:34:14', null, '1', '1', '2023-01-05 10:32:58', '1610464458696691712', null);
INSERT INTO `sys_news` VALUES ('1610564941650202624', '待审核消息提醒', '主宰老师创建了《2022年邮政培训中心培训》集中培训班，请立即审核。', '1', '2023-01-04 17:13:00', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2022-04-30 00:00:00', '1597769173512097792', null);
INSERT INTO `sys_news` VALUES ('1610565832721698816', '待审核消息提醒', '主宰老师创建了《2022年邮政培训中心培训》集中培训班，请立即审核。', '1', '2023-01-04 17:16:32', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2022-04-30 00:00:00', '1597769173512097792', null);
INSERT INTO `sys_news` VALUES ('1610829529184604160', '待审核消息提醒', '李昊杰老师创建了《测试支付V1》集中培训班，请立即审核。', '1', '2023-01-05 10:44:22', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-03 10:42:33', '1610829322136981504', null);
INSERT INTO `sys_news` VALUES ('1610829553616424960', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V1》即将开始，请立即查看', '2', '2023-01-05 10:44:28', null, '1', '1561995446459699200', '2023-01-03 08:00:00', '1610829322136981504', null);
INSERT INTO `sys_news` VALUES ('1610829553754836993', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V1》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-05 10:44:28', null, '1', '1561995446459699200', '2023-01-07 10:42:41', '1610829322136981504', null);
INSERT INTO `sys_news` VALUES ('1610829553767419905', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《测试支付V1》，请立即查看', '11', '2023-01-05 10:44:28', null, '1', '1561995446459699200', '2023-01-05 10:44:28', '1610829322136981504', null);
INSERT INTO `sys_news` VALUES ('1610829553834528768', '班主任消息提醒', '您创建的集中培训班《测试支付V1》即将开始，请立即查看', '12', '2023-01-05 10:44:28', null, '1', '1561995446459699200', '2023-01-03 09:00:00', '1610829322136981504', null);
INSERT INTO `sys_news` VALUES ('1610829553842917377', '班主任消息提醒', '您管理的培训班《测试支付V1》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-05 10:44:28', null, '1', '1561995446459699200', '2023-01-07 10:42:41', '1610829322136981504', null);
INSERT INTO `sys_news` VALUES ('1610831048319569920', '待审核消息提醒', '李昊杰老师创建了《测试支付V2》集中培训班，请立即审核。', '1', '2023-01-05 10:50:24', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-03 10:49:52', '1610830975682613248', null);
INSERT INTO `sys_news` VALUES ('1610831068003438592', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V2》即将开始，请立即查看', '2', '2023-01-05 10:50:29', null, '1', '1561995446459699200', '2023-01-03 08:00:00', '1610830975682613248', null);
INSERT INTO `sys_news` VALUES ('1610831068003438594', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V2》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-05 10:50:29', null, '1', '1561995446459699200', '2023-01-07 10:49:56', '1610830975682613248', null);
INSERT INTO `sys_news` VALUES ('1610831068003438596', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《测试支付V2》，请立即查看', '11', '2023-01-05 10:50:29', null, '1', '1561995446459699200', '2023-01-05 10:50:29', '1610830975682613248', null);
INSERT INTO `sys_news` VALUES ('1610831068041187328', '班主任消息提醒', '您创建的集中培训班《测试支付V2》即将开始，请立即查看', '12', '2023-01-05 10:50:29', null, '1', '1561995446459699200', '2023-01-03 09:00:00', '1610830975682613248', null);
INSERT INTO `sys_news` VALUES ('1610831068041187330', '班主任消息提醒', '您管理的培训班《测试支付V2》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-05 10:50:29', null, '1', '1561995446459699200', '2023-01-07 10:49:56', '1610830975682613248', null);
INSERT INTO `sys_news` VALUES ('1610832778411249664', '待审核消息提醒', '李昊杰老师创建了《测试支付V3》集中培训班，请立即审核。', '1', '2023-01-05 10:57:17', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-03 10:56:33', '1610832720240447488', null);
INSERT INTO `sys_news` VALUES ('1610832800041275392', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V3》即将开始，请立即查看', '2', '2023-01-05 10:57:22', null, '1', '1561995446459699200', '2023-01-03 08:00:00', '1610832720240447488', null);
INSERT INTO `sys_news` VALUES ('1610832800041275394', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V3》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-05 10:57:22', null, '1', '1561995446459699200', '2023-01-07 10:56:40', '1610832720240447488', null);
INSERT INTO `sys_news` VALUES ('1610832800041275396', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《测试支付V3》，请立即查看', '11', '2023-01-05 10:57:22', null, '1', '1561995446459699200', '2023-01-05 10:57:22', '1610832720240447488', null);
INSERT INTO `sys_news` VALUES ('1610832800108384257', '班主任消息提醒', '您创建的集中培训班《测试支付V3》即将开始，请立即查看', '12', '2023-01-05 10:57:22', null, '1', '1561995446459699200', '2023-01-03 09:00:00', '1610832720240447488', null);
INSERT INTO `sys_news` VALUES ('1610832800108384259', '班主任消息提醒', '您管理的培训班《测试支付V3》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-05 10:57:22', null, '1', '1561995446459699200', '2023-01-07 10:56:40', '1610832720240447488', null);
INSERT INTO `sys_news` VALUES ('1611169188846637056', '待审核消息提醒', '李昊杰老师创建了《测试支付V4》集中培训班，请立即审核。', '1', '2023-01-06 09:14:03', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-04 09:12:40', '1611169111981821952', null);
INSERT INTO `sys_news` VALUES ('1611169208396288000', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V4》即将开始，请立即查看', '2', '2023-01-06 09:14:08', null, '1', '1561995446459699200', '2023-01-04 08:00:00', '1611169111981821952', null);
INSERT INTO `sys_news` VALUES ('1611169208404676609', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V4》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-06 09:14:08', null, '1', '1561995446459699200', '2023-01-06 22:15:57', '1611169111981821952', null);
INSERT INTO `sys_news` VALUES ('1611169208408870913', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《测试支付V4》，请立即查看', '11', '2023-01-06 09:14:08', null, '1', '1561995446459699200', '2023-01-06 09:14:08', '1611169111981821952', null);
INSERT INTO `sys_news` VALUES ('1611169208429842433', '班主任消息提醒', '您创建的集中培训班《测试支付V4》即将开始，请立即查看', '12', '2023-01-06 09:14:08', null, '1', '1561995446459699200', '2023-01-04 09:00:00', '1611169111981821952', null);
INSERT INTO `sys_news` VALUES ('1611169208438231041', '班主任消息提醒', '您管理的培训班《测试支付V4》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-06 09:14:08', null, '1', '1561995446459699200', '2023-01-06 22:15:57', '1611169111981821952', null);
INSERT INTO `sys_news` VALUES ('1611208242543857664', '待审核消息提醒', '李昊杰老师创建了《测试支付V5》集中培训班，请立即审核。', '1', '2023-01-06 11:49:14', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-04 11:47:52', '1611208176332574720', null);
INSERT INTO `sys_news` VALUES ('1611208259912470528', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V5》即将开始，请立即查看', '2', '2023-01-06 11:49:19', null, '1', '1561995446459699200', '2023-01-04 08:00:00', '1611208176332574720', null);
INSERT INTO `sys_news` VALUES ('1611208259916664833', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V5》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-06 11:49:19', null, '1', '1561995446459699200', '2023-01-06 18:45:11', '1611208176332574720', null);
INSERT INTO `sys_news` VALUES ('1611208259916664835', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《测试支付V5》，请立即查看', '11', '2023-01-06 11:49:19', null, '1', '1561995446459699200', '2023-01-06 11:49:19', '1611208176332574720', null);
INSERT INTO `sys_news` VALUES ('1611208259954413568', '班主任消息提醒', '您创建的集中培训班《测试支付V5》即将开始，请立即查看', '12', '2023-01-06 11:49:19', null, '1', '1561995446459699200', '2023-01-04 09:00:00', '1611208176332574720', null);
INSERT INTO `sys_news` VALUES ('1611208259958607872', '班主任消息提醒', '您管理的培训班《测试支付V5》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-06 11:49:19', null, '1', '1561995446459699200', '2023-01-06 18:45:11', '1611208176332574720', null);
INSERT INTO `sys_news` VALUES ('1611245743094501376', '待审核消息提醒', '李昊杰老师创建了《测试支付V6》集中培训班，请立即审核。', '1', '2023-01-06 14:18:15', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-04 14:17:38', '1611245681211740160', null);
INSERT INTO `sys_news` VALUES ('1611245763281686528', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V6》即将开始，请立即查看', '2', '2023-01-06 14:18:20', null, '1', '1561995446459699200', '2023-01-04 08:00:00', '1611245681211740160', null);
INSERT INTO `sys_news` VALUES ('1611245763281686530', '管理员消息提醒', '李昊杰老师管理的集中培训班《测试支付V6》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-06 14:18:20', null, '1', '1561995446459699200', '2023-01-06 19:17:44', '1611245681211740160', null);
INSERT INTO `sys_news` VALUES ('1611245763281686532', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《测试支付V6》，请立即查看', '11', '2023-01-06 14:18:20', null, '1', '1561995446459699200', '2023-01-06 14:18:20', '1611245681211740160', null);
INSERT INTO `sys_news` VALUES ('1611245763290075137', '班主任消息提醒', '您创建的集中培训班《测试支付V6》即将开始，请立即查看', '12', '2023-01-06 14:18:20', null, '1', '1561995446459699200', '2023-01-04 09:00:00', '1611245681211740160', null);
INSERT INTO `sys_news` VALUES ('1611245763294269441', '班主任消息提醒', '您管理的培训班《测试支付V6》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-06 14:18:20', null, '1', '1561995446459699200', '2023-01-06 19:17:44', '1611245681211740160', null);
INSERT INTO `sys_news` VALUES ('1611989718130626560', '待审核消息提醒', '主宰老师创建了《测试费用1月8》集中培训班，请立即审核。', '1', '2023-01-08 15:34:33', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-07 15:33:06', '1611989569824231424', null);
INSERT INTO `sys_news` VALUES ('1611989750724562944', '管理员消息提醒', '主宰老师管理的集中培训班《测试费用1月8》即将开始，请立即查看', '2', '2023-01-08 15:34:41', null, '1', '1', '2023-01-07 08:00:00', '1611989569824231424', null);
INSERT INTO `sys_news` VALUES ('1611989750728757249', '管理员消息提醒', '主宰老师管理的集中培训班《测试费用1月8》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-08 15:34:41', null, '1', '1', '2023-01-09 15:33:26', '1611989569824231424', null);
INSERT INTO `sys_news` VALUES ('1611989750728757251', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《测试费用1月8》，请立即查看', '11', '2023-01-08 15:34:41', null, '1', '1', '2023-01-08 15:34:41', '1611989569824231424', null);
INSERT INTO `sys_news` VALUES ('1611989751190130689', '班主任消息提醒', '您创建的集中培训班《测试费用1月8》即将开始，请立即查看', '12', '2023-01-08 15:34:41', null, '1', '1', '2023-01-07 09:00:00', '1611989569824231424', null);
INSERT INTO `sys_news` VALUES ('1611989751194324992', '班主任消息提醒', '您管理的培训班《测试费用1月8》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-08 15:34:41', null, '1', '1', '2023-01-09 15:33:26', '1611989569824231424', null);
INSERT INTO `sys_news` VALUES ('1612263747412430848', '待审核消息提醒', '李昊杰老师创建了《金融理财第一期》集中培训班，请立即审核。', '1', '2023-01-09 09:43:26', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-08 09:41:34', '1612263653086728192', null);
INSERT INTO `sys_news` VALUES ('1612263775803674624', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融理财第一期》即将开始，请立即查看', '2', '2023-01-09 09:43:33', null, '1', '1561995446459699200', '2023-01-08 08:00:00', '1612263653086728192', null);
INSERT INTO `sys_news` VALUES ('1612263775933698049', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融理财第一期》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-09 09:43:33', null, '1', '1561995446459699200', '2023-01-09 22:41:39', '1612263653086728192', null);
INSERT INTO `sys_news` VALUES ('1612263775942086657', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《金融理财第一期》，请立即查看', '11', '2023-01-09 09:43:33', null, '1', '1561995446459699200', '2023-01-09 09:43:33', '1612263653086728192', null);
INSERT INTO `sys_news` VALUES ('1612263775958863873', '班主任消息提醒', '您创建的集中培训班《金融理财第一期》即将开始，请立即查看', '12', '2023-01-09 09:43:33', null, '1', '1561995446459699200', '2023-01-08 09:00:00', '1612263653086728192', null);
INSERT INTO `sys_news` VALUES ('1612263775967252481', '班主任消息提醒', '您管理的培训班《金融理财第一期》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-09 09:43:33', null, '1', '1561995446459699200', '2023-01-09 22:41:39', '1612263653086728192', null);
INSERT INTO `sys_news` VALUES ('1612324501037649920', '待审核消息提醒', '主宰老师创建了《1月9 测试费用1》集中培训班，请立即审核。', '1', '2023-01-09 13:44:51', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-08 13:43:20', '1612324397706776576', null);
INSERT INTO `sys_news` VALUES ('1612324524391534592', '管理员消息提醒', '主宰老师管理的集中培训班《1月9 测试费用1》即将开始，请立即查看', '2', '2023-01-09 13:44:57', null, '1', '1', '2023-01-08 08:00:00', '1612324397706776576', null);
INSERT INTO `sys_news` VALUES ('1612324524399923201', '管理员消息提醒', '主宰老师管理的集中培训班《1月9 测试费用1》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-09 13:44:57', null, '1', '1', '2023-01-11 14:45:27', '1612324397706776576', null);
INSERT INTO `sys_news` VALUES ('1612324524404117505', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《1月9 测试费用1》，请立即查看', '11', '2023-01-09 13:44:57', null, '1', '1', '2023-01-09 13:44:57', '1612324397706776576', null);
INSERT INTO `sys_news` VALUES ('1612324524928405505', '班主任消息提醒', '您创建的集中培训班《1月9 测试费用1》即将开始，请立即查看', '12', '2023-01-09 13:44:57', null, '1', '1', '2023-01-08 09:00:00', '1612324397706776576', null);
INSERT INTO `sys_news` VALUES ('1612324524932599809', '班主任消息提醒', '您管理的培训班《1月9 测试费用1》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-09 13:44:57', null, '1', '1', '2023-01-11 14:45:27', '1612324397706776576', null);
INSERT INTO `sys_news` VALUES ('1612367633322217472', '待审核消息提醒', '李昊杰老师创建了《支付1》集中培训班，请立即审核。', '1', '2023-01-09 16:36:15', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-08 16:35:14', '1612367512480124928', null);
INSERT INTO `sys_news` VALUES ('1612367686485020672', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付1》即将开始，请立即查看', '2', '2023-01-09 16:36:27', null, '1', '1561995446459699200', '2023-01-08 08:00:00', '1612367512480124928', null);
INSERT INTO `sys_news` VALUES ('1612367686493409281', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付1》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-09 16:36:27', null, '0', '1561995446459699200', '2023-01-10 16:35:23', '1612367512480124928', null);
INSERT INTO `sys_news` VALUES ('1612367686501797888', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付1》，请立即查看', '11', '2023-01-09 16:36:27', null, '0', '1561995446459699200', '2023-01-09 16:36:27', '1612367512480124928', null);
INSERT INTO `sys_news` VALUES ('1612367686522769409', '班主任消息提醒', '您创建的集中培训班《支付1》即将开始，请立即查看', '12', '2023-01-09 16:36:27', null, '0', '1561995446459699200', '2023-01-08 09:00:00', '1612367512480124928', null);
INSERT INTO `sys_news` VALUES ('1612367686531158017', '班主任消息提醒', '您管理的培训班《支付1》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-09 16:36:27', null, '0', '1561995446459699200', '2023-01-10 16:35:23', '1612367512480124928', null);
INSERT INTO `sys_news` VALUES ('1612402318404358144', '待审核消息提醒', '李昊杰老师创建了《支付3》集中培训班，请立即审核。', '1', '2023-01-09 18:54:04', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-08 08:53:19', '1612402197872644096', null);
INSERT INTO `sys_news` VALUES ('1612402333726150656', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付3》即将开始，请立即查看', '2', '2023-01-09 18:54:08', null, '0', '1561995446459699200', '2023-01-08 08:00:00', '1612402197872644096', null);
INSERT INTO `sys_news` VALUES ('1612402333801648129', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付3》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-09 18:54:08', null, '0', '1561995446459699200', '2023-01-10 14:53:23', '1612402197872644096', null);
INSERT INTO `sys_news` VALUES ('1612402333814231041', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付3》，请立即查看', '11', '2023-01-09 18:54:08', null, '0', '1561995446459699200', '2023-01-09 18:54:08', '1612402197872644096', null);
INSERT INTO `sys_news` VALUES ('1612402333835202561', '班主任消息提醒', '您创建的集中培训班《支付3》即将开始，请立即查看', '12', '2023-01-09 18:54:08', null, '0', '1561995446459699200', '2023-01-08 09:00:00', '1612402197872644096', null);
INSERT INTO `sys_news` VALUES ('1612402333847785473', '班主任消息提醒', '您管理的培训班《支付3》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-09 18:54:08', null, '0', '1561995446459699200', '2023-01-10 14:53:23', '1612402197872644096', null);
INSERT INTO `sys_news` VALUES ('1612708376553328640', '待审核消息提醒', '李昊杰老师创建了《支付2》集中培训班，请立即审核。', '1', '2023-01-10 15:10:14', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-09 15:09:24', '1612708278364672000', null);
INSERT INTO `sys_news` VALUES ('1612708420102787072', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付2》即将开始，请立即查看', '2', '2023-01-10 15:10:25', null, '0', '1561995446459699200', '2023-01-09 08:00:00', '1612708278364672000', null);
INSERT INTO `sys_news` VALUES ('1612708420178284545', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付2》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-10 15:10:25', null, '0', '1561995446459699200', '2023-01-11 15:09:41', '1612708278364672000', null);
INSERT INTO `sys_news` VALUES ('1612708420190867457', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付2》，请立即查看', '11', '2023-01-10 15:10:25', null, '0', '1561995446459699200', '2023-01-10 15:10:25', '1612708278364672000', null);
INSERT INTO `sys_news` VALUES ('1612708420216033281', '班主任消息提醒', '您创建的集中培训班《支付2》即将开始，请立即查看', '12', '2023-01-10 15:10:25', null, '0', '1561995446459699200', '2023-01-09 09:00:00', '1612708278364672000', null);
INSERT INTO `sys_news` VALUES ('1612708420228616193', '班主任消息提醒', '您管理的培训班《支付2》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-10 15:10:25', null, '0', '1561995446459699200', '2023-01-11 15:09:41', '1612708278364672000', null);
INSERT INTO `sys_news` VALUES ('1612710631646040064', '待审核消息提醒', '李昊杰老师创建了《支付4》集中培训班，请立即审核。', '1', '2023-01-10 15:19:12', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-09 15:16:35', '1612710059157098496', null);
INSERT INTO `sys_news` VALUES ('1612710654001680384', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付4》即将开始，请立即查看', '2', '2023-01-10 15:19:17', null, '0', '1561995446459699200', '2023-01-09 08:00:00', '1612710059157098496', null);
INSERT INTO `sys_news` VALUES ('1612710654001680386', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付4》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-10 15:19:17', null, '0', '1561995446459699200', '2023-01-11 18:45:41', '1612710059157098496', null);
INSERT INTO `sys_news` VALUES ('1612710654001680388', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付4》，请立即查看', '11', '2023-01-10 15:19:17', null, '0', '1561995446459699200', '2023-01-10 15:19:17', '1612710059157098496', null);
INSERT INTO `sys_news` VALUES ('1612710654039429120', '班主任消息提醒', '您创建的集中培训班《支付4》即将开始，请立即查看', '12', '2023-01-10 15:19:17', null, '0', '1561995446459699200', '2023-01-09 09:00:00', '1612710059157098496', null);
INSERT INTO `sys_news` VALUES ('1612710654039429122', '班主任消息提醒', '您管理的培训班《支付4》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-10 15:19:17', null, '0', '1561995446459699200', '2023-01-11 18:45:41', '1612710059157098496', null);
INSERT INTO `sys_news` VALUES ('1612768037516218368', '待审核消息提醒', '主宰老师创建了《1.10》集中培训班，请立即审核。', '1', '2023-01-10 19:07:19', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-09 19:04:55', '1612767792682110976', null);
INSERT INTO `sys_news` VALUES ('1612768083494178816', '管理员消息提醒', '李主任001老师管理的集中培训班《1.10》即将开始，请立即查看', '2', '2023-01-10 19:07:30', null, '0', '1570252962385760256', '2023-01-09 08:00:00', '1612767792682110976', null);
INSERT INTO `sys_news` VALUES ('1612768083502567425', '管理员消息提醒', '李主任001老师管理的集中培训班《1.10》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-10 19:07:30', null, '0', '1570252962385760256', '2023-01-12 17:04:59', '1612767792682110976', null);
INSERT INTO `sys_news` VALUES ('1612768083506761729', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《1.10》，请立即查看', '11', '2023-01-10 19:07:30', null, '0', '1570252962385760256', '2023-01-10 19:07:30', '1612767792682110976', null);
INSERT INTO `sys_news` VALUES ('1612768083926192129', '班主任消息提醒', '您创建的集中培训班《1.10》即将开始，请立即查看', '12', '2023-01-10 19:07:30', null, '0', '1570252962385760256', '2023-01-09 09:00:00', '1612767792682110976', null);
INSERT INTO `sys_news` VALUES ('1612768083926192131', '班主任消息提醒', '您管理的培训班《1.10》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-10 19:07:30', null, '0', '1570252962385760256', '2023-01-12 17:04:59', '1612767792682110976', null);
INSERT INTO `sys_news` VALUES ('1613017467611910144', '待审核消息提醒', '主宰老师创建了《1.11》集中培训班，请立即审核。', '1', '2023-01-11 11:38:27', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200', '2023-01-10 11:31:19', '1613015858672701440', null);
INSERT INTO `sys_news` VALUES ('1613017590337245184', '管理员消息提醒', '主宰老师管理的集中培训班《1.11》即将开始，请立即查看', '2', '2023-01-11 11:38:57', null, '1', '1', '2023-01-10 08:00:00', '1613015858672701440', null);
INSERT INTO `sys_news` VALUES ('1613017590337245186', '管理员消息提醒', '主宰老师管理的集中培训班《1.11》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-11 11:38:57', null, '1', '1', '2023-01-13 11:31:24', '1613015858672701440', null);
INSERT INTO `sys_news` VALUES ('1613017590341439489', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《1.11》，请立即查看', '11', '2023-01-11 11:38:57', null, '1', '1', '2023-01-11 11:38:57', '1613015858672701440', null);
INSERT INTO `sys_news` VALUES ('1613017590765064193', '班主任消息提醒', '您创建的集中培训班《1.11》即将开始，请立即查看', '12', '2023-01-11 11:38:57', null, '1', '1', '2023-01-10 09:00:00', '1613015858672701440', null);
INSERT INTO `sys_news` VALUES ('1613017590773452801', '班主任消息提醒', '您管理的培训班《1.11》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-11 11:38:57', null, '1', '1', '2023-01-13 11:31:24', '1613015858672701440', null);
INSERT INTO `sys_news` VALUES ('1613049394154835968', '待审核消息提醒', '培训中心内老师创建了《支付1月1111111111111111》集中培训班，请立即审核。', '1', '2023-01-11 13:45:19', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-10 13:44:44', '1613049308599422976', null);
INSERT INTO `sys_news` VALUES ('1613049422629965824', '管理员消息提醒', '培训中心内老师管理的集中培训班《支付1月1111111111111111》即将开始，请立即查看', '2', '2023-01-11 13:45:26', null, '0', '1613048759447588864', '2023-01-10 08:00:00', '1613049308599422976', null);
INSERT INTO `sys_news` VALUES ('1613049422634160129', '管理员消息提醒', '培训中心内老师管理的集中培训班《支付1月1111111111111111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-11 13:45:26', null, '0', '1613048759447588864', '2023-01-13 13:44:49', '1613049308599422976', null);
INSERT INTO `sys_news` VALUES ('1613049422634160131', '班主任消息提醒', '培训中心内管理员审核通过了您创建的集中培训《支付1月1111111111111111》，请立即查看', '11', '2023-01-11 13:45:26', null, '0', '1613048759447588864', '2023-01-11 13:45:26', '1613049308599422976', null);
INSERT INTO `sys_news` VALUES ('1613049423053590529', '班主任消息提醒', '您创建的集中培训班《支付1月1111111111111111》即将开始，请立即查看', '12', '2023-01-11 13:45:26', null, '0', '1613048759447588864', '2023-01-10 09:00:00', '1613049308599422976', null);
INSERT INTO `sys_news` VALUES ('1613049423057784833', '班主任消息提醒', '您管理的培训班《支付1月1111111111111111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-11 13:45:26', null, '0', '1613048759447588864', '2023-01-13 13:44:49', '1613049308599422976', null);
INSERT INTO `sys_news` VALUES ('1613064571843645440', '待审核消息提醒', '李昊杰老师创建了《支付5》集中培训班，请立即审核。', '1', '2023-01-11 14:45:38', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-10 14:44:34', '1613064326346838016', null);
INSERT INTO `sys_news` VALUES ('1613064592911634432', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付5》即将开始，请立即查看', '2', '2023-01-11 14:45:43', null, '0', '1561995446459699200', '2023-01-10 08:00:00', '1613064326346838016', null);
INSERT INTO `sys_news` VALUES ('1613064593037463553', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付5》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-11 14:45:43', null, '0', '1561995446459699200', '2023-01-12 14:44:34', '1613064326346838016', null);
INSERT INTO `sys_news` VALUES ('1613064593079406593', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付5》，请立即查看', '11', '2023-01-11 14:45:43', null, '0', '1561995446459699200', '2023-01-11 14:45:43', '1613064326346838016', null);
INSERT INTO `sys_news` VALUES ('1613064593100378113', '班主任消息提醒', '您创建的集中培训班《支付5》即将开始，请立即查看', '12', '2023-01-11 14:45:43', null, '0', '1561995446459699200', '2023-01-10 09:00:00', '1613064326346838016', null);
INSERT INTO `sys_news` VALUES ('1613064593117155329', '班主任消息提醒', '您管理的培训班《支付5》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-11 14:45:43', null, '0', '1561995446459699200', '2023-01-12 14:44:34', '1613064326346838016', null);
INSERT INTO `sys_news` VALUES ('1613342846868393984', '待审核消息提醒', '李昊杰老师创建了《支付6》集中培训班，请立即审核。', '1', '2023-01-12 09:11:24', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-11 09:10:34', '1613342717457338368', null);
INSERT INTO `sys_news` VALUES ('1613342875846840320', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付6》即将开始，请立即查看', '2', '2023-01-12 09:11:31', null, '0', '1561995446459699200', '2023-01-11 08:00:00', '1613342717457338368', null);
INSERT INTO `sys_news` VALUES ('1613342875859423232', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付6》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-12 09:11:31', null, '0', '1561995446459699200', '2023-01-13 09:10:39', '1613342717457338368', null);
INSERT INTO `sys_news` VALUES ('1613342875867811841', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付6》，请立即查看', '11', '2023-01-12 09:11:31', null, '0', '1561995446459699200', '2023-01-12 09:11:31', '1613342717457338368', null);
INSERT INTO `sys_news` VALUES ('1613342875888783361', '班主任消息提醒', '您创建的集中培训班《支付6》即将开始，请立即查看', '12', '2023-01-12 09:11:31', null, '0', '1561995446459699200', '2023-01-11 09:00:00', '1613342717457338368', null);
INSERT INTO `sys_news` VALUES ('1613342875892977665', '班主任消息提醒', '您管理的培训班《支付6》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-12 09:11:31', null, '0', '1561995446459699200', '2023-01-13 09:10:39', '1613342717457338368', null);
INSERT INTO `sys_news` VALUES ('1613804667479920640', '待审核消息提醒', '李昊杰老师创建了《支付七》集中培训班，请立即审核。', '1', '2023-01-13 15:46:30', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-12 15:45:21', '1613804407424684032', null);
INSERT INTO `sys_news` VALUES ('1613804708118532096', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付七》即将开始，请立即查看', '2', '2023-01-13 15:46:40', null, '0', '1561995446459699200', '2023-01-12 08:00:00', '1613804407424684032', null);
INSERT INTO `sys_news` VALUES ('1613804708277915649', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付七》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-13 15:46:40', null, '0', '1561995446459699200', '2023-01-14 15:45:21', '1613804407424684032', null);
INSERT INTO `sys_news` VALUES ('1613804708286304257', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付七》，请立即查看', '11', '2023-01-13 15:46:40', null, '0', '1561995446459699200', '2023-01-13 15:46:40', '1613804407424684032', null);
INSERT INTO `sys_news` VALUES ('1613804708353413121', '班主任消息提醒', '您创建的集中培训班《支付七》即将开始，请立即查看', '12', '2023-01-13 15:46:40', null, '0', '1561995446459699200', '2023-01-12 09:00:00', '1613804407424684032', null);
INSERT INTO `sys_news` VALUES ('1613804708365996033', '班主任消息提醒', '您管理的培训班《支付七》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-13 15:46:40', null, '0', '1561995446459699200', '2023-01-14 15:45:21', '1613804407424684032', null);
INSERT INTO `sys_news` VALUES ('1613810664067960832', '待审核消息提醒', '李昊杰老师创建了《支付7》集中培训班，请立即审核。', '1', '2023-01-13 16:10:20', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-12 16:00:54', '1613808331804250112', null);
INSERT INTO `sys_news` VALUES ('1613810704501051392', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付7》即将开始，请立即查看', '2', '2023-01-13 16:10:30', null, '0', '1561995446459699200', '2023-01-12 08:00:00', '1613808331804250112', null);
INSERT INTO `sys_news` VALUES ('1613810704501051394', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付7》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-13 16:10:30', null, '0', '1561995446459699200', '2023-01-13 19:45:56', '1613808331804250112', null);
INSERT INTO `sys_news` VALUES ('1613810704522022912', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付7》，请立即查看', '11', '2023-01-13 16:10:30', null, '0', '1561995446459699200', '2023-01-13 16:10:30', '1613808331804250112', null);
INSERT INTO `sys_news` VALUES ('1613810704534605824', '班主任消息提醒', '您创建的集中培训班《支付7》即将开始，请立即查看', '12', '2023-01-13 16:10:30', null, '0', '1561995446459699200', '2023-01-12 09:00:00', '1613808331804250112', null);
INSERT INTO `sys_news` VALUES ('1613810704534605826', '班主任消息提醒', '您管理的培训班《支付7》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-13 16:10:30', null, '0', '1561995446459699200', '2023-01-13 19:45:56', '1613808331804250112', null);
INSERT INTO `sys_news` VALUES ('1613814403730378752', '待审核消息提醒', '李昊杰老师创建了《支付8》集中培训班，请立即审核。', '1', '2023-01-13 16:25:12', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-12 16:24:30', '1613814276676521984', null);
INSERT INTO `sys_news` VALUES ('1613814435082801152', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付8》即将开始，请立即查看', '2', '2023-01-13 16:25:19', null, '0', '1561995446459699200', '2023-01-12 08:00:00', '1613814276676521984', null);
INSERT INTO `sys_news` VALUES ('1613814435091189761', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付8》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-13 16:25:19', null, '0', '1561995446459699200', '2023-01-14 16:24:30', '1613814276676521984', null);
INSERT INTO `sys_news` VALUES ('1613814435099578369', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付8》，请立即查看', '11', '2023-01-13 16:25:19', null, '0', '1561995446459699200', '2023-01-13 16:25:19', '1613814276676521984', null);
INSERT INTO `sys_news` VALUES ('1613814435116355585', '班主任消息提醒', '您创建的集中培训班《支付8》即将开始，请立即查看', '12', '2023-01-13 16:25:19', null, '0', '1561995446459699200', '2023-01-12 09:00:00', '1613814276676521984', null);
INSERT INTO `sys_news` VALUES ('1613814435124744193', '班主任消息提醒', '您管理的培训班《支付8》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-13 16:25:19', null, '0', '1561995446459699200', '2023-01-14 16:24:30', '1613814276676521984', null);
INSERT INTO `sys_news` VALUES ('1613820042544287744', '班主任消息', '您发布的供应商公告《阿尔法打法》已经结束，有0家供应商提交了方案，请及时查看并选定最终方案。', '14', '2023-01-13 16:47:36', null, '0', '1561995446459699200', '2023-01-13 16:47:36', '1613728979066425344', null);
INSERT INTO `sys_news` VALUES ('1614180810536128512', '待审核消息提醒', '李昊杰老师创建了《支付9》集中培训班，请立即审核。', '1', '2023-01-14 16:41:10', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-13 16:00:40', '1614180571775373312', null);
INSERT INTO `sys_news` VALUES ('1614180846124797952', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付9》即将开始，请立即查看', '2', '2023-01-14 16:41:18', null, '0', '1561995446459699200', '2023-01-13 08:00:00', '1614180571775373312', null);
INSERT INTO `sys_news` VALUES ('1614180846196101120', '管理员消息提醒', '李昊杰老师管理的集中培训班《支付9》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-14 16:41:18', null, '0', '1561995446459699200', '2023-01-15 18:00:48', '1614180571775373312', null);
INSERT INTO `sys_news` VALUES ('1614180846204489729', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《支付9》，请立即查看', '11', '2023-01-14 16:41:18', null, '0', '1561995446459699200', '2023-01-14 16:41:18', '1614180571775373312', null);
INSERT INTO `sys_news` VALUES ('1614180846225461249', '班主任消息提醒', '您创建的集中培训班《支付9》即将开始，请立即查看', '12', '2023-01-14 16:41:18', null, '0', '1561995446459699200', '2023-01-13 09:00:00', '1614180571775373312', null);
INSERT INTO `sys_news` VALUES ('1614180846233849857', '班主任消息提醒', '您管理的培训班《支付9》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-14 16:41:18', null, '0', '1561995446459699200', '2023-01-15 18:00:48', '1614180571775373312', null);
INSERT INTO `sys_news` VALUES ('1619598728765771776', '待审核消息提醒', '李昊杰老师创建了《金融111》集中培训班，请立即审核。', '1', '2023-01-29 15:30:02', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619598733324980224', '待审核消息提醒', '李昊杰老师创建了《金融111》集中培训班，请立即审核。', '1', '2023-01-29 15:30:03', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619598763133898752', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》即将开始，请立即查看', '2', '2023-01-29 15:30:10', null, '0', '1561995446459699200', '2023-01-28 08:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619598763234562048', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-29 15:30:10', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619598763238756353', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《金融111》，请立即查看', '11', '2023-01-29 15:30:10', null, '0', '1561995446459699200', '2023-01-29 15:30:11', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619598763259727873', '班主任消息提醒', '您创建的集中培训班《金融111》即将开始，请立即查看', '12', '2023-01-29 15:30:10', null, '0', '1561995446459699200', '2023-01-28 09:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619598763268116481', '班主任消息提醒', '您管理的培训班《金融111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-29 15:30:10', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619608083271651328', '待审核消息提醒', '李昊杰老师创建了《金融111》集中培训班，请立即审核。', '1', '2023-01-29 16:07:13', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619608106034139136', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》即将开始，请立即查看', '2', '2023-01-29 16:07:18', null, '0', '1561995446459699200', '2023-01-28 08:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619608106034139138', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-29 16:07:18', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619608106059304960', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《金融111》，请立即查看', '11', '2023-01-29 16:07:18', null, '0', '1561995446459699200', '2023-01-29 16:07:18', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619608106071887873', '班主任消息提醒', '您创建的集中培训班《金融111》即将开始，请立即查看', '12', '2023-01-29 16:07:18', null, '0', '1561995446459699200', '2023-01-28 09:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619608106071887875', '班主任消息提醒', '您管理的培训班《金融111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-29 16:07:18', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615068192903168', '待审核消息提醒', '李昊杰老师创建了《金融111》集中培训班，请立即审核。', '1', '2023-01-29 16:34:58', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615093115457536', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》即将开始，请立即查看', '2', '2023-01-29 16:35:04', null, '0', '1561995446459699200', '2023-01-28 08:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615093119651841', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-29 16:35:04', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615093119651843', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《金融111》，请立即查看', '11', '2023-01-29 16:35:04', null, '0', '1561995446459699200', '2023-01-29 16:35:04', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615093128040449', '班主任消息提醒', '您创建的集中培训班《金融111》即将开始，请立即查看', '12', '2023-01-29 16:35:04', null, '0', '1561995446459699200', '2023-01-28 09:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615093128040451', '班主任消息提醒', '您管理的培训班《金融111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-29 16:35:04', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615180445061120', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》即将开始，请立即查看', '2', '2023-01-29 16:35:25', null, '0', '1561995446459699200', '2023-01-28 08:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615180445061122', '管理员消息提醒', '李昊杰老师管理的集中培训班《金融111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-29 16:35:25', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615180449255425', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《金融111》，请立即查看', '11', '2023-01-29 16:35:25', null, '0', '1561995446459699200', '2023-01-29 16:35:25', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615180457644033', '班主任消息提醒', '您创建的集中培训班《金融111》即将开始，请立即查看', '12', '2023-01-29 16:35:25', null, '0', '1561995446459699200', '2023-01-28 09:00:00', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619615180457644035', '班主任消息提醒', '您管理的培训班《金融111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-29 16:35:25', null, '0', '1561995446459699200', '2023-02-28 14:10:13', '1619578700037230592', null);
INSERT INTO `sys_news` VALUES ('1619874771795841024', '待审核消息提醒', '主宰老师创建了《0130测试支付》集中培训班，请立即审核。', '1', '2023-01-30 09:46:56', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-29 09:45:23', '1619874679139471360', null);
INSERT INTO `sys_news` VALUES ('1619874917350772736', '管理员消息提醒', '李嘻嘻老师管理的集中培训班《0130测试支付》即将开始，请立即查看', '2', '2023-01-30 09:47:31', null, '0', '1579367842099367936', '2023-01-29 08:00:00', '1619874679139471360', null);
INSERT INTO `sys_news` VALUES ('1619874917359161345', '管理员消息提醒', '李嘻嘻老师管理的集中培训班《0130测试支付》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-30 09:47:31', null, '0', '1579367842099367936', '2023-01-31 22:45:35', '1619874679139471360', null);
INSERT INTO `sys_news` VALUES ('1619874917359161347', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《0130测试支付》，请立即查看', '11', '2023-01-30 09:47:31', null, '0', '1579367842099367936', '2023-01-30 09:47:31', '1619874679139471360', null);
INSERT INTO `sys_news` VALUES ('1619874917816340481', '班主任消息提醒', '您创建的集中培训班《0130测试支付》即将开始，请立即查看', '12', '2023-01-30 09:47:31', null, '0', '1579367842099367936', '2023-01-29 09:00:00', '1619874679139471360', null);
INSERT INTO `sys_news` VALUES ('1619874917820534785', '班主任消息提醒', '您管理的培训班《0130测试支付》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-30 09:47:31', null, '0', '1579367842099367936', '2023-01-31 22:45:35', '1619874679139471360', null);
INSERT INTO `sys_news` VALUES ('1620323275026599936', '待审核消息提醒', '李昊杰老师创建了《2022集中培训001》集中培训班，请立即审核。', '1', '2023-01-31 15:29:08', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2022-12-31 15:27:30', '1620322963117182976', null);
INSERT INTO `sys_news` VALUES ('1620323291631849472', '管理员消息提醒', '李昊杰老师管理的集中培训班《2022集中培训001》即将开始，请立即查看', '2', '2023-01-31 15:29:12', null, '0', '1561995446459699200', '2022-12-31 08:00:00', '1620322963117182976', null);
INSERT INTO `sys_news` VALUES ('1620323291648626688', '管理员消息提醒', '李昊杰老师管理的集中培训班《2022集中培训001》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-31 15:29:12', null, '0', '1561995446459699200', '2023-02-01 15:27:35', '1620322963117182976', null);
INSERT INTO `sys_news` VALUES ('1620323291657015296', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《2022集中培训001》，请立即查看', '11', '2023-01-31 15:29:12', null, '0', '1561995446459699200', '2023-01-31 15:29:12', '1620322963117182976', null);
INSERT INTO `sys_news` VALUES ('1620323291673792513', '班主任消息提醒', '您创建的集中培训班《2022集中培训001》即将开始，请立即查看', '12', '2023-01-31 15:29:12', null, '0', '1561995446459699200', '2022-12-31 09:00:00', '1620322963117182976', null);
INSERT INTO `sys_news` VALUES ('1620323291682181121', '班主任消息提醒', '您管理的培训班《2022集中培训001》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-31 15:29:12', null, '0', '1561995446459699200', '2023-02-01 15:27:35', '1620322963117182976', null);
INSERT INTO `sys_news` VALUES ('1620324274730569728', '待审核消息提醒', '李昊杰老师创建了《2022年10月份培训班///*****002》集中培训班，请立即审核。', '1', '2023-01-31 15:33:06', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-30 15:32:30', '1620324158833561600', null);
INSERT INTO `sys_news` VALUES ('1620324312206675968', '管理员消息提醒', '李昊杰老师管理的集中培训班《2022年10月份培训班///*****002》即将开始，请立即查看', '2', '2023-01-31 15:33:15', null, '0', '1561995446459699200', '2023-01-30 08:00:00', '1620324158833561600', null);
INSERT INTO `sys_news` VALUES ('1620324312206675970', '管理员消息提醒', '李昊杰老师管理的集中培训班《2022年10月份培训班///*****002》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-31 15:33:15', null, '0', '1561995446459699200', '2023-02-02 15:32:30', '1620324158833561600', null);
INSERT INTO `sys_news` VALUES ('1620324312206675972', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《2022年10月份培训班///*****002》，请立即查看', '11', '2023-01-31 15:33:15', null, '0', '1561995446459699200', '2023-01-31 15:33:15', '1620324158833561600', null);
INSERT INTO `sys_news` VALUES ('1620324312240230400', '班主任消息提醒', '您创建的集中培训班《2022年10月份培训班///*****002》即将开始，请立即查看', '12', '2023-01-31 15:33:15', null, '0', '1561995446459699200', '2023-01-30 09:00:00', '1620324158833561600', null);
INSERT INTO `sys_news` VALUES ('1620324312240230402', '班主任消息提醒', '您管理的培训班《2022年10月份培训班///*****002》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-31 15:33:15', null, '0', '1561995446459699200', '2023-02-02 15:32:30', '1620324158833561600', null);
INSERT INTO `sys_news` VALUES ('1620327296021958656', '待审核消息提醒', '李昊杰老师创建了《投资第三期》集中培训班，请立即审核。', '1', '2023-01-31 15:45:06', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864', '2023-01-30 15:44:03', '1620327161489657856', null);
INSERT INTO `sys_news` VALUES ('1620327346961780736', '管理员消息提醒', '李昊杰老师管理的集中培训班《投资第三期》即将开始，请立即查看', '2', '2023-01-31 15:45:18', null, '0', '1561995446459699200', '2023-01-30 08:00:00', '1620327161489657856', null);
INSERT INTO `sys_news` VALUES ('1620327346982752256', '管理员消息提醒', '李昊杰老师管理的集中培训班《投资第三期》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-01-31 15:45:18', null, '0', '1561995446459699200', '2023-02-02 15:44:19', '1620327161489657856', null);
INSERT INTO `sys_news` VALUES ('1620327346999529473', '班主任消息提醒', '李昊杰管理员审核通过了您创建的集中培训《投资第三期》，请立即查看', '11', '2023-01-31 15:45:18', null, '0', '1561995446459699200', '2023-01-31 15:45:18', '1620327161489657856', null);
INSERT INTO `sys_news` VALUES ('1620327347037278209', '班主任消息提醒', '您创建的集中培训班《投资第三期》即将开始，请立即查看', '12', '2023-01-31 15:45:18', null, '0', '1561995446459699200', '2023-01-30 09:00:00', '1620327161489657856', null);
INSERT INTO `sys_news` VALUES ('1620327347058249728', '班主任消息提醒', '您管理的培训班《投资第三期》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-01-31 15:45:18', null, '0', '1561995446459699200', '2023-02-02 15:44:19', '1620327161489657856', null);
INSERT INTO `sys_news` VALUES ('1620598739381129216', '待审核消息提醒', '王主任老师创建了《测试支付0942》集中培训班，请立即审核。', '1', '2023-02-01 09:43:43', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512', '2023-01-31 09:42:56', '1620598592655986688', null);
INSERT INTO `sys_news` VALUES ('1620599635099914240', '管理员消息提醒', '王主任老师管理的集中培训班《测试支付0942》即将开始，请立即查看', '2', '2023-02-01 09:47:17', null, '1', '1579362188047552512', '2023-01-31 08:00:00', '1620598592655986688', null);
INSERT INTO `sys_news` VALUES ('1620599635129274368', '管理员消息提醒', '王主任老师管理的集中培训班《测试支付0942》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-02-01 09:47:17', null, '0', '1579362188047552512', '2023-02-03 09:43:01', '1620598592655986688', null);
INSERT INTO `sys_news` VALUES ('1620599635133468672', '班主任消息提醒', '王主任管理员审核通过了您创建的集中培训《测试支付0942》，请立即查看', '11', '2023-02-01 09:47:17', null, '1', '1579362188047552512', '2023-02-01 09:47:17', '1620598592655986688', null);
INSERT INTO `sys_news` VALUES ('1620599635607425025', '班主任消息提醒', '您创建的集中培训班《测试支付0942》即将开始，请立即查看', '12', '2023-02-01 09:47:17', null, '1', '1579362188047552512', '2023-01-31 09:00:00', '1620598592655986688', null);
INSERT INTO `sys_news` VALUES ('1620599635615813633', '班主任消息提醒', '您管理的培训班《测试支付0942》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-02-01 09:47:17', null, '0', '1579362188047552512', '2023-02-03 09:43:01', '1620598592655986688', null);
INSERT INTO `sys_news` VALUES ('1620614020849602560', '待审核消息提醒', '王主任老师创建了《测试支付1043》集中培训班，请立即审核。', '1', '2023-02-01 10:44:27', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512', '2023-01-31 10:43:56', '1620613930487517184', null);
INSERT INTO `sys_news` VALUES ('1620614280518963200', '管理员消息提醒', '王主任老师管理的集中培训班《测试支付1043》即将开始，请立即查看', '2', '2023-02-01 10:45:29', null, '1', '1579362188047552512', '2023-01-31 08:00:00', '1620613930487517184', null);
INSERT INTO `sys_news` VALUES ('1620614280544129025', '管理员消息提醒', '王主任老师管理的集中培训班《测试支付1043》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-02-01 10:45:29', null, '0', '1579362188047552512', '2023-02-04 10:43:59', '1620613930487517184', null);
INSERT INTO `sys_news` VALUES ('1620614280556711937', '班主任消息提醒', '王主任管理员审核通过了您创建的集中培训《测试支付1043》，请立即查看', '11', '2023-02-01 10:45:29', null, '1', '1579362188047552512', '2023-02-01 10:45:29', '1620613930487517184', null);
INSERT INTO `sys_news` VALUES ('1620614281068417025', '班主任消息提醒', '您创建的集中培训班《测试支付1043》即将开始，请立即查看', '12', '2023-02-01 10:45:29', null, '1', '1579362188047552512', '2023-01-31 09:00:00', '1620613930487517184', null);
INSERT INTO `sys_news` VALUES ('1620614281085194241', '班主任消息提醒', '您管理的培训班《测试支付1043》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-02-01 10:45:29', null, '0', '1579362188047552512', '2023-02-04 10:43:59', '1620613930487517184', null);
INSERT INTO `sys_news` VALUES ('1623944987429441536', '待审核消息提醒', '主宰老师创建了《测试支付失败》集中培训班，请立即审核。', '1', '2023-02-10 15:20:31', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512', '2023-02-09 15:19:12', '1623944808060030976', null);
INSERT INTO `sys_news` VALUES ('1623945020455391232', '管理员消息提醒', '主宰老师管理的集中培训班《测试支付失败》即将开始，请立即查看', '2', '2023-02-10 15:20:39', null, '1', '1', '2023-02-09 08:00:00', '1623944808060030976', null);
INSERT INTO `sys_news` VALUES ('1623945020455391234', '管理员消息提醒', '主宰老师管理的集中培训班《测试支付失败》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-02-10 15:20:39', null, '1', '1', '2023-02-11 15:19:16', '1623944808060030976', null);
INSERT INTO `sys_news` VALUES ('1623945020455391236', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《测试支付失败》，请立即查看', '11', '2023-02-10 15:20:39', null, '1', '1', '2023-02-10 15:20:39', '1623944808060030976', null);
INSERT INTO `sys_news` VALUES ('1623945020920958977', '班主任消息提醒', '您创建的集中培训班《测试支付失败》即将开始，请立即查看', '12', '2023-02-10 15:20:39', null, '1', '1', '2023-02-09 09:00:00', '1623944808060030976', null);
INSERT INTO `sys_news` VALUES ('1623945020920958979', '班主任消息提醒', '您管理的培训班《测试支付失败》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-02-10 15:20:39', null, '1', '1', '2023-02-11 15:19:16', '1623944808060030976', null);
INSERT INTO `sys_news` VALUES ('1638710640480751616', '待审核消息提醒', '高志远老师创建了《测试短信推送》集中培训班，请立即审核。', '1', '2023-03-23 09:13:57', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512', '2023-03-21 09:12:27', '1638710381205655552', null);
INSERT INTO `sys_news` VALUES ('1638710713205788672', '管理员消息提醒', '高志远老师管理的集中培训班《测试短信推送》即将开始，请立即查看', '2', '2023-03-23 09:14:14', null, '1', '1327473526785052672', '2023-03-21 08:00:00', '1638710381205655552', null);
INSERT INTO `sys_news` VALUES ('1638710713218371584', '管理员消息提醒', '高志远老师管理的集中培训班《测试短信推送》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-03-23 09:14:14', null, '1', '1327473526785052672', '2023-03-24 09:12:30', '1638710381205655552', null);
INSERT INTO `sys_news` VALUES ('1638710713222565889', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《测试短信推送》，请立即查看', '11', '2023-03-23 09:14:14', null, '1', '1327473526785052672', '2023-03-23 09:14:15', '1638710381205655552', null);
INSERT INTO `sys_news` VALUES ('1638710713734270977', '班主任消息提醒', '您创建的集中培训班《测试短信推送》即将开始，请立即查看', '12', '2023-03-23 09:14:14', null, '1', '1327473526785052672', '2023-03-21 09:00:00', '1638710381205655552', null);
INSERT INTO `sys_news` VALUES ('1638710713751048193', '班主任消息提醒', '您管理的培训班《测试短信推送》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-03-23 09:14:14', null, '1', '1327473526785052672', '2023-03-24 09:12:30', '1638710381205655552', null);
INSERT INTO `sys_news` VALUES ('1640981914733121536', '待审核消息提醒', '高志远老师创建了《2023培训计划》集中培训班，请立即审核。', '1', '2023-03-29 15:39:11', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1327473526785052672,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512', '2023-03-29 15:36:49', '1640981421491359744', null);
INSERT INTO `sys_news` VALUES ('1640981930193326080', '管理员消息提醒', '高志远老师管理的集中培训班《2023培训计划》即将开始，请立即查看', '2', '2023-03-29 15:39:15', null, '1', '1327473526785052672', '2023-03-29 08:00:00', '1640981421491359744', null);
INSERT INTO `sys_news` VALUES ('1640981930205908993', '管理员消息提醒', '高志远老师管理的集中培训班《2023培训计划》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-03-29 15:39:15', null, '1', '1327473526785052672', '2023-04-21 15:36:52', '1640981421491359744', null);
INSERT INTO `sys_news` VALUES ('1640981930218491905', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《2023培训计划》，请立即查看', '11', '2023-03-29 15:39:15', null, '1', '1327473526785052672', '2023-03-29 15:39:15', '1640981421491359744', null);
INSERT INTO `sys_news` VALUES ('1640981930323349505', '班主任消息提醒', '您创建的集中培训班《2023培训计划》即将开始，请立即查看', '12', '2023-03-29 15:39:15', null, '1', '1327473526785052672', '2023-03-29 09:00:00', '1640981421491359744', null);
INSERT INTO `sys_news` VALUES ('1640981930335932417', '班主任消息提醒', '您管理的培训班《2023培训计划》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-03-29 15:39:15', null, '1', '1327473526785052672', '2023-04-21 15:36:52', '1640981421491359744', null);
INSERT INTO `sys_news` VALUES ('1640984328198557696', '待审核消息提醒', '高志远老师创建了《前端vue入门培训》集中培训班，请立即审核。', '1', '2023-03-29 15:48:47', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-03-29 15:45:55', '1640983724587880448', null);
INSERT INTO `sys_news` VALUES ('1640984341842628608', '管理员消息提醒', '高志远老师管理的集中培训班《前端vue入门培训》即将开始，请立即查看', '2', '2023-03-29 15:48:50', null, '1', '1327473526785052672', '2023-03-29 08:00:00', '1640983724587880448', null);
INSERT INTO `sys_news` VALUES ('1640984341842628610', '管理员消息提醒', '高志远老师管理的集中培训班《前端vue入门培训》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-03-29 15:48:50', null, '1', '1327473526785052672', '2023-04-21 15:46:00', '1640983724587880448', null);
INSERT INTO `sys_news` VALUES ('1640984341842628612', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《前端vue入门培训》，请立即查看', '11', '2023-03-29 15:48:50', null, '1', '1327473526785052672', '2023-03-29 15:48:50', '1640983724587880448', null);
INSERT INTO `sys_news` VALUES ('1640984341913931776', '班主任消息提醒', '您创建的集中培训班《前端vue入门培训》即将开始，请立即查看', '12', '2023-03-29 15:48:50', null, '1', '1327473526785052672', '2023-03-29 09:00:00', '1640983724587880448', null);
INSERT INTO `sys_news` VALUES ('1640984341913931778', '班主任消息提醒', '您管理的培训班《前端vue入门培训》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-03-29 15:48:50', null, '1', '1327473526785052672', '2023-04-21 15:46:00', '1640983724587880448', null);
INSERT INTO `sys_news` VALUES ('1640985357283627008', '待审核消息提醒', '高志远老师创建了《零基础学习理财2023线上课》集中培训班，请立即审核。', '1', '2023-03-29 15:52:52', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-03-30 15:50:36', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1640985388879319040', '管理员消息提醒', '高志远老师管理的集中培训班《零基础学习理财2023线上课》即将开始，请立即查看', '2', '2023-03-29 15:52:59', null, '1', '1327473526785052672', '2023-03-30 08:00:00', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1640985388879319042', '管理员消息提醒', '高志远老师管理的集中培训班《零基础学习理财2023线上课》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-03-29 15:52:59', null, '1', '1327473526785052672', '2023-04-29 15:50:40', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1640985388879319044', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《零基础学习理财2023线上课》，请立即查看', '11', '2023-03-29 15:52:59', null, '1', '1327473526785052672', '2023-03-29 15:52:59', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1640985388954816513', '班主任消息提醒', '您创建的集中培训班《零基础学习理财2023线上课》即将开始，请立即查看', '12', '2023-03-29 15:52:59', null, '1', '1327473526785052672', '2023-03-30 09:00:00', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1640985388954816515', '班主任消息提醒', '您管理的培训班《零基础学习理财2023线上课》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-03-29 15:52:59', null, '0', '1327473526785052672', '2023-04-29 15:50:40', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1640985559088369664', '待审核消息提醒', '高志远老师创建了《零基础学习理财2023线上课》集中培训班，请立即审核。', '1', '2023-03-29 15:53:40', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-03-30 15:50:36', '1640984872040402944', null);
INSERT INTO `sys_news` VALUES ('1673179124606308352', '待审核消息提醒', '高志远老师创建了《投资第三期》集中培训班，请立即审核。', '1', '2023-06-26 11:59:24', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-06-25 11:56:49', '1673178905432952832', null);
INSERT INTO `sys_news` VALUES ('1673179150254477312', '管理员消息提醒', '高志远老师管理的集中培训班《投资第三期》即将开始，请立即查看', '2', '2023-06-26 11:59:30', null, '0', '1327473526785052672', '2023-06-25 08:00:00', '1673178905432952832', null);
INSERT INTO `sys_news` VALUES ('1673179150262865921', '管理员消息提醒', '高志远老师管理的集中培训班《投资第三期》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-06-26 11:59:30', null, '0', '1327473526785052672', '2023-06-28 11:56:52', '1673178905432952832', null);
INSERT INTO `sys_news` VALUES ('1673179150267060224', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《投资第三期》，请立即查看', '11', '2023-06-26 11:59:30', null, '0', '1327473526785052672', '2023-06-26 11:59:30', '1673178905432952832', null);
INSERT INTO `sys_news` VALUES ('1673179150711656449', '班主任消息提醒', '您创建的集中培训班《投资第三期》即将开始，请立即查看', '12', '2023-06-26 11:59:30', null, '0', '1327473526785052672', '2023-06-25 09:00:00', '1673178905432952832', null);
INSERT INTO `sys_news` VALUES ('1673179150720045057', '班主任消息提醒', '您管理的培训班《投资第三期》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-06-26 11:59:30', null, '0', '1327473526785052672', '2023-06-28 11:56:52', '1673178905432952832', null);
INSERT INTO `sys_news` VALUES ('1673207138387890176', '待审核消息提醒', '高志远老师创建了《2022-0914-1002省级》集中培训班，请立即审核。', '1', '2023-06-26 13:50:43', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-06-17 13:49:57', '1673207026655825920', null);
INSERT INTO `sys_news` VALUES ('1673211448739893248', '待审核消息提醒', '高志远老师创建了《2022-0914-1002省级》集中培训班，请立即审核。', '1', '2023-06-26 14:07:51', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-06-12 14:07:14', '1673211336424820736', null);
INSERT INTO `sys_news` VALUES ('1673933099383263232', '待审核消息提醒', '高志远老师创建了《投资第三期ceshi111》集中培训班，请立即审核。', '1', '2023-06-28 13:55:26', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-06-27 13:54:51', '1673933013370671104', null);
INSERT INTO `sys_news` VALUES ('1673933116529577984', '管理员消息提醒', '高志远老师管理的集中培训班《投资第三期ceshi111》即将开始，请立即查看', '2', '2023-06-28 13:55:30', null, '0', '1327473526785052672', '2023-06-27 08:00:00', '1673933013370671104', null);
INSERT INTO `sys_news` VALUES ('1673933116537966593', '管理员消息提醒', '高志远老师管理的集中培训班《投资第三期ceshi111》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-06-28 13:55:30', null, '0', '1327473526785052672', '2023-06-30 13:54:56', '1673933013370671104', null);
INSERT INTO `sys_news` VALUES ('1673933116542160897', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《投资第三期ceshi111》，请立即查看', '11', '2023-06-28 13:55:30', null, '0', '1327473526785052672', '2023-06-28 13:55:30', '1673933013370671104', null);
INSERT INTO `sys_news` VALUES ('1673933116969979905', '班主任消息提醒', '您创建的集中培训班《投资第三期ceshi111》即将开始，请立即查看', '12', '2023-06-28 13:55:30', null, '0', '1327473526785052672', '2023-06-27 09:00:00', '1673933013370671104', null);
INSERT INTO `sys_news` VALUES ('1673933116969979907', '班主任消息提醒', '您管理的培训班《投资第三期ceshi111》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-06-28 13:55:30', null, '0', '1327473526785052672', '2023-06-30 13:54:56', '1673933013370671104', null);
INSERT INTO `sys_news` VALUES ('1689904275087560704', '管理员消息提醒', '李主任001老师管理的集中培训班《投资第三期a》即将开始，请立即查看', '2', '2023-08-11 15:39:11', null, '0', '1570252962385760256', '2022-08-31 08:00:00', '1689903076166733824', null);
INSERT INTO `sys_news` VALUES ('1689904275100143617', '管理员消息提醒', '李主任001老师管理的集中培训班《投资第三期a》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-08-11 15:39:11', null, '0', '1570252962385760256', '2022-09-02 00:00:00', '1689903076166733824', null);
INSERT INTO `sys_news` VALUES ('1689904275108532224', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《投资第三期a》，请立即查看', '11', '2023-08-11 15:39:11', null, '0', '1570252962385760256', '2023-08-11 15:39:11', '1689903076166733824', null);
INSERT INTO `sys_news` VALUES ('1689904275511185409', '班主任消息提醒', '您创建的集中培训班《投资第三期a》即将开始，请立即查看', '12', '2023-08-11 15:39:11', null, '0', '1570252962385760256', '2022-08-31 09:00:00', '1689903076166733824', null);
INSERT INTO `sys_news` VALUES ('1689904275519574017', '班主任消息提醒', '您管理的培训班《投资第三期a》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-08-11 15:39:11', null, '0', '1570252962385760256', '2022-09-02 00:00:00', '1689903076166733824', null);
INSERT INTO `sys_news` VALUES ('1691378256000978944', '待审核消息提醒', '高志远老师创建了《测试计划库001》集中培训班，请立即审核。', '1', '2023-08-15 17:16:15', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-08-14 09:00:44', '1691377993613709312', null);
INSERT INTO `sys_news` VALUES ('1691378336326094848', '管理员消息提醒', '高志远老师管理的集中培训班《测试计划库001》即将开始，请立即查看', '2', '2023-08-15 17:16:34', null, '0', '1327473526785052672', '2023-08-14 08:00:00', '1691377993613709312', null);
INSERT INTO `sys_news` VALUES ('1691378336330289153', '管理员消息提醒', '高志远老师管理的集中培训班《测试计划库001》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-08-15 17:16:34', null, '0', '1327473526785052672', '2023-08-15 22:30:50', '1691377993613709312', null);
INSERT INTO `sys_news` VALUES ('1691378336330289155', '班主任消息提醒', '高志远管理员审核通过了您创建的集中培训《测试计划库001》，请立即查看', '11', '2023-08-15 17:16:34', null, '0', '1327473526785052672', '2023-08-15 17:16:34', '1691377993613709312', null);
INSERT INTO `sys_news` VALUES ('1691378336686804993', '班主任消息提醒', '您创建的集中培训班《测试计划库001》即将开始，请立即查看', '12', '2023-08-15 17:16:34', null, '0', '1327473526785052672', '2023-08-14 09:00:00', '1691377993613709312', null);
INSERT INTO `sys_news` VALUES ('1691378336690999297', '班主任消息提醒', '您管理的培训班《测试计划库001》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-08-15 17:16:34', null, '0', '1327473526785052672', '2023-08-15 22:30:50', '1691377993613709312', null);
INSERT INTO `sys_news` VALUES ('1691386178273677312', '待审核消息提醒', '主宰老师创建了《测试计划数据002-a》集中培训班，请立即审核。', '1', '2023-08-15 17:47:44', null, '1', '1329693071213989890,1333572587627876352,1329693071205601281,1323496432312913920,1329693071213989888,1329693071209795584,1329693071213989889,1561992470802337792,1562314510612697088,1564191182190415872,1564821097285816320,1569528534014234624,1567097186544652288,1570585310226681856,1564192820011601920,1570254300322598912,1578620683645227008,1579726696309985280,1580480688216477696,1581888248303718400,1583278909414313984,1591958463435640832,1593125995324510208,1593129902020890624,1590543166828843008,1596788379830325248,1569970196410667008,1561995446459699200,1613048759447588864,1579362188047552512,1327473526785052672', '2023-08-14 09:00:09', '1691385882579439616', null);
INSERT INTO `sys_news` VALUES ('1691386236205404160', '管理员消息提醒', '李主任001老师管理的集中培训班《测试计划数据002-a》即将开始，请立即查看', '2', '2023-08-15 17:47:58', null, '0', '1570252962385760256', '2023-08-14 08:00:00', '1691385882579439616', null);
INSERT INTO `sys_news` VALUES ('1691386236205404162', '管理员消息提醒', '李主任001老师管理的集中培训班《测试计划数据002-a》已经结束，您可以进行上报结算或者查看培训报告。', '3', '2023-08-15 17:47:58', null, '0', '1570252962385760256', '2023-08-15 20:00:12', '1691385882579439616', null);
INSERT INTO `sys_news` VALUES ('1691386236209598464', '班主任消息提醒', '主宰管理员审核通过了您创建的集中培训《测试计划数据002-a》，请立即查看', '11', '2023-08-15 17:47:58', null, '0', '1570252962385760256', '2023-08-15 17:47:58', '1691385882579439616', null);
INSERT INTO `sys_news` VALUES ('1691386236675166208', '班主任消息提醒', '您创建的集中培训班《测试计划数据002-a》即将开始，请立即查看', '12', '2023-08-15 17:47:58', null, '0', '1570252962385760256', '2023-08-14 09:00:00', '1691385882579439616', null);
INSERT INTO `sys_news` VALUES ('1691386236675166210', '班主任消息提醒', '您管理的培训班《测试计划数据002-a》已经结束，您可以查看培训报告、上传培训附件、对供应商评价。', '13', '2023-08-15 17:47:58', null, '0', '1570252962385760256', '2023-08-15 20:00:12', '1691385882579439616', null);

-- ----------------------------
-- Table structure for sys_news_push_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_news_push_user`;
CREATE TABLE `sys_news_push_user` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `user_id` bigint(20) DEFAULT NULL COMMENT '推送人',
  `sys_news_id` bigint(20) DEFAULT NULL COMMENT '主表id',
  `is_look` smallint(1) DEFAULT NULL COMMENT '是否阅读 0否 1.是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='消息推送人';

-- ----------------------------
-- Records of sys_news_push_user
-- ----------------------------
INSERT INTO `sys_news_push_user` VALUES ('127051673806615139', '1', '127051673789968116', '0');
INSERT INTO `sys_news_push_user` VALUES ('127051673812077643', '1', '127051673808389424', '0');
INSERT INTO `sys_news_push_user` VALUES ('127051673863870545', '1', '127051673813961135', '0');
INSERT INTO `sys_news_push_user` VALUES ('127051673870682337', '1', '127051673865382875', '0');
INSERT INTO `sys_news_push_user` VALUES ('127051673876873045', '1', '127051673872312136', '0');
INSERT INTO `sys_news_push_user` VALUES ('128033249771522724', '1329693071213989890', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249772228736', '1333572587627876352', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249772463316', '1329693071205601281', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249772681845', '1323496432312913920', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249772919592', '1329693071213989888', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249773128856', '1329693071209795584', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249773595979', '1329693071213989889', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249773823884', '1561992470802337792', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249774066656', '1562314510612697088', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249774276138', '1564191182190415872', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249774482121', '1564821097285816320', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249774688767', '1569528534014234624', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249774893346', '1567097186544652288', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249775097934', '1570585310226681856', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249775305424', '1564192820011601920', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249775512114', '1570254300322598912', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249775733554', '1578620683645227008', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249775941897', '1579726696309985280', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249776151761', '1580480688216477696', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249776360903', '1581888248303718400', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249776567708', '1583278909414313984', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249776770324', '1591958463435640832', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249776969254', '1593125995324510208', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249777175296', '1593129902020890624', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249777369988', '1590543166828843008', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249777569512', '1596788379830325248', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249777786605', '1569970196410667008', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249777989864', '1561995446459699200', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249778299203', '1613048759447588864', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249778503588', '1579362188047552512', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033249778787875', '1327473526785052672', '128033249762938144', '1');
INSERT INTO `sys_news_push_user` VALUES ('128033789979675174', '1327473526785052672', '128033789968964964', '0');
INSERT INTO `sys_news_push_user` VALUES ('128033789987580159', '1327473526785052672', '128033789982118467', '0');
INSERT INTO `sys_news_push_user` VALUES ('128033790084819343', '1327473526785052672', '128033789989647966', '0');
INSERT INTO `sys_news_push_user` VALUES ('128033790092945378', '1327473526785052672', '128033790086396948', '0');
INSERT INTO `sys_news_push_user` VALUES ('128033790097468229', '1327473526785052672', '128033790094341048', '0');
INSERT INTO `sys_news_push_user` VALUES ('128045877013705892', '1329693071213989890', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877014830126', '1333572587627876352', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877015183587', '1329693071205601281', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877015575312', '1323496432312913920', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877015947015', '1329693071213989888', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877016325946', '1329693071209795584', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877016711776', '1329693071213989889', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877017069796', '1561992470802337792', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877017429128', '1562314510612697088', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877017729198', '1564191182190415872', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877018106037', '1564821097285816320', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877018476515', '1569528534014234624', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877018838131', '1567097186544652288', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877019202185', '1570585310226681856', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877019579843', '1564192820011601920', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877019935513', '1570254300322598912', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877020436227', '1578620683645227008', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877020798577', '1579726696309985280', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877021190198', '1580480688216477696', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877021552328', '1581888248303718400', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877022003351', '1583278909414313984', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877022655953', '1591958463435640832', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877023025897', '1593125995324510208', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877023388915', '1593129902020890624', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877023695425', '1590543166828843008', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877024062197', '1596788379830325248', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877024636641', '1569970196410667008', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877025130571', '1561995446459699200', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877025515531', '1613048759447588864', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877025969861', '1579362188047552512', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045877026288489', '1327473526785052672', '128045877002643935', '1');
INSERT INTO `sys_news_push_user` VALUES ('128045918368160644', '1327473526785052672', '128045918361438023', '0');
INSERT INTO `sys_news_push_user` VALUES ('128045918372891483', '1327473526785052672', '128045918369549591', '0');
INSERT INTO `sys_news_push_user` VALUES ('128045918453026548', '1327473526785052672', '128045918373938962', '0');
INSERT INTO `sys_news_push_user` VALUES ('128045918458229488', '1327473526785052672', '128045918454210145', '0');
INSERT INTO `sys_news_push_user` VALUES ('128045918464101183', '1327473526785052672', '128045918459633954', '0');
INSERT INTO `sys_news_push_user` VALUES ('130442418338855866', '1329693071213989890', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339280924', '1333572587627876352', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339371886', '1329693071205601281', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339454241', '1323496432312913920', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339535148', '1329693071213989888', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339616027', '1329693071209795584', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339700498', '1329693071213989889', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339780336', '1561992470802337792', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339862696', '1562314510612697088', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418339942828', '1564191182190415872', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340137759', '1564821097285816320', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340220529', '1569528534014234624', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340300722', '1567097186544652288', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340380543', '1570585310226681856', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340462549', '1564192820011601920', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340543383', '1570254300322598912', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340624394', '1578620683645227008', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340705276', '1579726696309985280', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340788302', '1580480688216477696', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340868247', '1581888248303718400', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418340949628', '1583278909414313984', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341030879', '1591958463435640832', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341111336', '1593125995324510208', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341193178', '1593129902020890624', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341274673', '1590543166828843008', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341355131', '1596788379830325248', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341436015', '1569970196410667008', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341515422', '1561995446459699200', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341595267', '1613048759447588864', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341674993', '1579362188047552512', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442418341755701', '1327473526785052672', '130442418332877509', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442604706396122', '1590543166828843008', '130442604685560462', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442604710999745', '1590543166828843008', '130442604707584254', '0');
INSERT INTO `sys_news_push_user` VALUES ('130442604785614034', '1590543166828843008', '130442604711793023', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442604790720893', '1590543166828843008', '130442604786631452', '1');
INSERT INTO `sys_news_push_user` VALUES ('130442604794375834', '1590543166828843008', '130442604791609337', '0');
INSERT INTO `sys_news_push_user` VALUES ('130627190824227986', '1590543166828843008', '130627190813385723', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688600440015', '1329693071213989890', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688604460055', '1333572587627876352', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688605120038', '1329693071205601281', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688606020035', '1323496432312913920', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688606540050', '1329693071213989888', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688607060059', '1329693071209795584', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688607570092', '1329693071213989889', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688608080084', '1561992470802337792', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688608610090', '1562314510612697088', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688609130052', '1564191182190415872', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688609790038', '1564821097285816320', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688610440076', '1569528534014234624', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688610980081', '1567097186544652288', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688611600044', '1570585310226681856', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688612190046', '1564192820011601920', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688612960047', '1570254300322598912', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688613470044', '1578620683645227008', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688614180012', '1579726696309985280', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688614890086', '1580480688216477696', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688616350061', '1581888248303718400', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688616830097', '1583278909414313984', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688617290052', '1591958463435640832', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688618110052', '1593125995324510208', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688618640093', '1593129902020890624', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688619310064', '1590543166828843008', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688619920051', '1596788379830325248', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688620610035', '1569970196410667008', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688622120093', '1561995446459699200', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688622710055', '1613048759447588864', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688627740052', '1579362188047552512', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('171870688629140014', '1327473526785052672', '171870688519990042', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131779460016', '1329693071213989890', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131783040027', '1333572587627876352', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131783560021', '1329693071205601281', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131784000089', '1323496432312913920', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131784420027', '1329693071213989888', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131785380039', '1329693071209795584', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131785860038', '1329693071213989889', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131786410072', '1561992470802337792', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131786850019', '1562314510612697088', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131787560094', '1564191182190415872', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131788170014', '1564821097285816320', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131788650041', '1569528534014234624', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131789280022', '1567097186544652288', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131789950057', '1570585310226681856', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131790530027', '1564192820011601920', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131790990011', '1570254300322598912', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131791480039', '1578620683645227008', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131791910018', '1579726696309985280', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131792380037', '1580480688216477696', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131792980080', '1581888248303718400', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131793720025', '1583278909414313984', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131794320046', '1591958463435640832', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131794910069', '1593125995324510208', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131795380062', '1593129902020890624', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131796080086', '1590543166828843008', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131796510046', '1596788379830325248', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131797110054', '1569970196410667008', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131797690052', '1561995446459699200', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131798310086', '1613048759447588864', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131799040087', '1579362188047552512', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('179828131799570094', '1327473526785052672', '179828131705020051', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899776', '1329693071213989890', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899777', '1333572587627876352', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899778', '1329693071205601281', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899779', '1323496432312913920', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899780', '1329693071213989888', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899781', '1329693071209795584', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899782', '1329693071213989889', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899783', '1561992470802337792', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899784', '1562314510612697088', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899785', '1564191182190415872', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899786', '1564821097285816320', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899787', '1569528534014234624', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899788', '1567097186544652288', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899789', '1570585310226681856', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899790', '1564192820011601920', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899791', '1570254300322598912', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899792', '1578620683645227008', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899793', '1579726696309985280', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899794', '1580480688216477696', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899795', '1581888248303718400', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899796', '1569970196410667008', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899797', '1583278909414313984', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899798', '1591958463435640832', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899799', '1327473526785052672', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899800', '1593125995324510208', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899801', '1593129902020890624', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899802', '1590543166828843008', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899803', '1561995446459699200', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951313645899804', '1596788379830325248', '1598951313641705472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951326044262400', '1590543166828843008', '1598951326040068096', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951326044262402', '1590543166828843008', '1598951326044262401', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951326065233920', '1590543166828843008', '1598951326044262403', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951326069428224', '1590543166828843008', '1598951326065233921', '1');
INSERT INTO `sys_news_push_user` VALUES ('1598951326077816833', '1590543166828843008', '1598951326077816832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788480', '1329693071213989890', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788481', '1333572587627876352', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788482', '1329693071205601281', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788483', '1323496432312913920', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788484', '1329693071213989888', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788485', '1329693071209795584', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788486', '1329693071213989889', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788487', '1561992470802337792', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788488', '1562314510612697088', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788489', '1564191182190415872', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788490', '1564821097285816320', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788491', '1569528534014234624', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788492', '1567097186544652288', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788493', '1570585310226681856', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788494', '1564192820011601920', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226592788495', '1570254300322598912', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982784', '1578620683645227008', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982785', '1579726696309985280', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982786', '1580480688216477696', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982787', '1581888248303718400', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982788', '1569970196410667008', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982789', '1583278909414313984', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982790', '1591958463435640832', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982791', '1327473526785052672', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982792', '1593125995324510208', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982793', '1593129902020890624', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982794', '1590543166828843008', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982795', '1561995446459699200', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600488226596982796', '1596788379830325248', '1600488226571816960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344512', '1329693071213989890', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344513', '1333572587627876352', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344514', '1329693071205601281', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344515', '1323496432312913920', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344516', '1329693071213989888', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344517', '1329693071209795584', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344518', '1329693071213989889', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344519', '1561992470802337792', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344520', '1562314510612697088', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344521', '1564191182190415872', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344522', '1564821097285816320', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344523', '1569528534014234624', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344524', '1567097186544652288', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344525', '1570585310226681856', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344526', '1564192820011601920', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344527', '1570254300322598912', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344528', '1578620683645227008', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344529', '1579726696309985280', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344530', '1580480688216477696', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344531', '1581888248303718400', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344532', '1569970196410667008', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344533', '1583278909414313984', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344534', '1591958463435640832', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344535', '1327473526785052672', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344536', '1593125995324510208', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344537', '1593129902020890624', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344538', '1590543166828843008', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344539', '1561995446459699200', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726286513344540', '1596788379830325248', '1600726286509150208', '1');
INSERT INTO `sys_news_push_user` VALUES ('1600726304674680832', '1569970196410667008', '1600726304670486528', '0');
INSERT INTO `sys_news_push_user` VALUES ('1600726304674680834', '1569970196410667008', '1600726304674680833', '0');
INSERT INTO `sys_news_push_user` VALUES ('1600726304695652352', '1569970196410667008', '1600726304674680835', '0');
INSERT INTO `sys_news_push_user` VALUES ('1600726304695652354', '1569970196410667008', '1600726304695652353', '0');
INSERT INTO `sys_news_push_user` VALUES ('1600726304699846656', '1569970196410667008', '1600726304695652355', '0');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290048', '1329693071213989890', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290049', '1333572587627876352', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290050', '1329693071205601281', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290051', '1323496432312913920', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290052', '1329693071213989888', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290053', '1329693071209795584', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290054', '1329693071213989889', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290055', '1561992470802337792', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290056', '1562314510612697088', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290057', '1564191182190415872', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290058', '1564821097285816320', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290059', '1569528534014234624', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290060', '1567097186544652288', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290061', '1570585310226681856', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290062', '1564192820011601920', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290063', '1570254300322598912', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290064', '1578620683645227008', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290065', '1579726696309985280', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290066', '1580480688216477696', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290067', '1581888248303718400', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290068', '1569970196410667008', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290069', '1583278909414313984', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290070', '1591958463435640832', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290071', '1327473526785052672', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290072', '1593125995324510208', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290073', '1593129902020890624', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290074', '1590543166828843008', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290075', '1561995446459699200', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1602187358508290076', '1596788379830325248', '1602187358504095744', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378368', '1329693071213989890', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378369', '1333572587627876352', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378370', '1329693071205601281', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378371', '1323496432312913920', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378372', '1329693071213989888', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378373', '1329693071209795584', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378374', '1329693071213989889', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378375', '1561992470802337792', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378376', '1562314510612697088', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378377', '1564191182190415872', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378378', '1564821097285816320', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378379', '1569528534014234624', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378380', '1567097186544652288', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378381', '1570585310226681856', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378382', '1564192820011601920', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378383', '1570254300322598912', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378384', '1578620683645227008', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378385', '1579726696309985280', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378386', '1580480688216477696', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378387', '1581888248303718400', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378388', '1569970196410667008', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378389', '1583278909414313984', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378390', '1591958463435640832', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378391', '1327473526785052672', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378392', '1593125995324510208', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378393', '1593129902020890624', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378394', '1590543166828843008', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378395', '1561995446459699200', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634377192378396', '1596788379830325248', '1607634377188184064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634414140002304', '1', '1607634414127419392', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634414140002306', '1', '1607634414140002305', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634414563627008', '1', '1607634414140002307', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634414567821312', '1', '1607634414563627009', '1');
INSERT INTO `sys_news_push_user` VALUES ('1607634414572015616', '1', '1607634414567821313', '1');
INSERT INTO `sys_news_push_user` VALUES ('1608803108010463232', '1561995446459699200', '1608803107997880320', '1');
INSERT INTO `sys_news_push_user` VALUES ('1608803108736077825', '1561995446459699200', '1608803108736077824', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175339106013184', '1561995446459699200', '1610175339101818880', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175339118596097', '1561995446459699200', '1610175339118596096', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741568', '1329693071213989890', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741569', '1333572587627876352', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741570', '1329693071205601281', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741571', '1323496432312913920', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741572', '1329693071213989888', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741573', '1329693071209795584', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741574', '1329693071213989889', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741575', '1561992470802337792', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741576', '1562314510612697088', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741577', '1564191182190415872', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741578', '1564821097285816320', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741579', '1569528534014234624', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741580', '1567097186544652288', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741581', '1570585310226681856', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741582', '1564192820011601920', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741583', '1570254300322598912', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741584', '1578620683645227008', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741585', '1579726696309985280', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741586', '1580480688216477696', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741587', '1581888248303718400', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741588', '1583278909414313984', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741589', '1591958463435640832', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741590', '1327473526785052672', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741591', '1593125995324510208', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741592', '1593129902020890624', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741593', '1590543166828843008', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741594', '1596788379830325248', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741595', '1569970196410667008', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175455061741596', '1561995446459699200', '1610175455057547264', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175544685629440', '1579367842099367936', '1610175544681435136', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610175544689823744', '1579367842099367936', '1610175544685629441', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610175545226694656', '1579367842099367936', '1610175544689823745', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610175545226694658', '1579367842099367936', '1610175545226694657', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610175545235083264', '1579367842099367936', '1610175545226694659', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940289', '1329693071213989890', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940290', '1333572587627876352', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940291', '1329693071205601281', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940292', '1323496432312913920', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940293', '1329693071213989888', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940294', '1329693071209795584', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940295', '1329693071213989889', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940296', '1561992470802337792', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940297', '1562314510612697088', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940298', '1564191182190415872', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940299', '1564821097285816320', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940300', '1569528534014234624', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940301', '1567097186544652288', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940302', '1570585310226681856', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940303', '1564192820011601920', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940304', '1570254300322598912', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940305', '1578620683645227008', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940306', '1579726696309985280', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940307', '1580480688216477696', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940308', '1581888248303718400', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940309', '1583278909414313984', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940310', '1591958463435640832', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940311', '1327473526785052672', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940312', '1593125995324510208', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940313', '1593129902020890624', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940314', '1590543166828843008', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940315', '1596788379830325248', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940316', '1569970196410667008', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610175965948940317', '1561995446459699200', '1610175965948940288', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610176216504078337', '1579367842099367936', '1610176216504078336', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610176216508272641', '1579367842099367936', '1610176216508272640', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610176216961257472', '1579367842099367936', '1610176216508272642', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610176216961257474', '1579367842099367936', '1610176216961257473', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610176216961257476', '1579367842099367936', '1610176216961257475', '0');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990912', '1329693071213989890', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990913', '1333572587627876352', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990914', '1329693071205601281', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990915', '1323496432312913920', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990916', '1329693071213989888', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990917', '1329693071209795584', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990918', '1329693071213989889', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990919', '1561992470802337792', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990920', '1562314510612697088', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990921', '1564191182190415872', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990922', '1564821097285816320', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990923', '1569528534014234624', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990924', '1567097186544652288', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990925', '1570585310226681856', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990926', '1564192820011601920', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990927', '1570254300322598912', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990928', '1578620683645227008', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990929', '1579726696309985280', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990930', '1580480688216477696', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990931', '1581888248303718400', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990932', '1583278909414313984', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990933', '1591958463435640832', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990934', '1327473526785052672', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990935', '1593125995324510208', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990936', '1593129902020890624', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990937', '1590543166828843008', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990938', '1596788379830325248', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990939', '1569970196410667008', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464560093990940', '1561995446459699200', '1610464560089796608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464589152129024', '1', '1610464589147934720', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464589152129026', '1', '1610464589152129025', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464589609308160', '1', '1610464589152129027', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464589613502464', '1', '1610464589609308161', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610464589613502466', '1', '1610464589613502465', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174144', '1329693071213989890', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174145', '1333572587627876352', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174146', '1329693071205601281', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174147', '1323496432312913920', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174148', '1329693071213989888', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174149', '1329693071209795584', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174150', '1329693071213989889', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174151', '1561992470802337792', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174152', '1562314510612697088', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174153', '1564191182190415872', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174154', '1564821097285816320', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174155', '1569528534014234624', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174156', '1567097186544652288', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174157', '1570585310226681856', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174158', '1564192820011601920', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174159', '1570254300322598912', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174160', '1578620683645227008', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174161', '1579726696309985280', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174162', '1580480688216477696', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174163', '1581888248303718400', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174164', '1583278909414313984', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174165', '1591958463435640832', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174166', '1327473526785052672', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174167', '1593125995324510208', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174168', '1593129902020890624', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174169', '1590543166828843008', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174170', '1596788379830325248', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174171', '1569970196410667008', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610564941671174172', '1561995446459699200', '1610564941650202624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281728', '1329693071213989890', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281729', '1333572587627876352', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281730', '1329693071205601281', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281731', '1323496432312913920', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281732', '1329693071213989888', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281733', '1329693071209795584', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281734', '1329693071213989889', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281735', '1561992470802337792', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281736', '1562314510612697088', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281737', '1564191182190415872', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281738', '1564821097285816320', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281739', '1569528534014234624', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281740', '1567097186544652288', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281741', '1570585310226681856', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281742', '1564192820011601920', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281743', '1570254300322598912', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281744', '1578620683645227008', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281745', '1579726696309985280', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281746', '1580480688216477696', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281747', '1581888248303718400', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281748', '1583278909414313984', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281749', '1591958463435640832', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281750', '1327473526785052672', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281751', '1593125995324510208', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281752', '1593129902020890624', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281753', '1590543166828843008', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281754', '1596788379830325248', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281755', '1569970196410667008', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610565832734281756', '1561995446459699200', '1610565832721698816', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381376', '1329693071213989890', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381377', '1333572587627876352', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381378', '1329693071205601281', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381379', '1323496432312913920', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381380', '1329693071213989888', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381381', '1329693071209795584', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381382', '1329693071213989889', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381383', '1561992470802337792', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381384', '1562314510612697088', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381385', '1564191182190415872', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381386', '1564821097285816320', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381387', '1569528534014234624', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381388', '1567097186544652288', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381389', '1570585310226681856', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381390', '1564192820011601920', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381391', '1570254300322598912', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381392', '1578620683645227008', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381393', '1579726696309985280', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381394', '1580480688216477696', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381395', '1581888248303718400', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381396', '1583278909414313984', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381397', '1591958463435640832', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381398', '1327473526785052672', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381399', '1593125995324510208', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381400', '1593129902020890624', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381401', '1590543166828843008', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381402', '1596788379830325248', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381403', '1569970196410667008', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829529201381404', '1561995446459699200', '1610829529184604160', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829553754836992', '1561995446459699200', '1610829553616424960', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829553767419904', '1561995446459699200', '1610829553754836993', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829553830334464', '1561995446459699200', '1610829553767419905', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829553842917376', '1561995446459699200', '1610829553834528768', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610829553851305984', '1561995446459699200', '1610829553842917377', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569921', '1329693071213989890', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569922', '1333572587627876352', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569923', '1329693071205601281', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569924', '1323496432312913920', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569925', '1329693071213989888', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569926', '1329693071209795584', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569927', '1329693071213989889', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569928', '1561992470802337792', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569929', '1562314510612697088', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569930', '1564191182190415872', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569931', '1564821097285816320', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569932', '1569528534014234624', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569933', '1567097186544652288', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569934', '1570585310226681856', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569935', '1564192820011601920', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569936', '1570254300322598912', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569937', '1578620683645227008', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569938', '1579726696309985280', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569939', '1580480688216477696', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569940', '1581888248303718400', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569941', '1583278909414313984', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569942', '1591958463435640832', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569943', '1327473526785052672', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569944', '1593125995324510208', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569945', '1593129902020890624', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569946', '1590543166828843008', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569947', '1596788379830325248', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569948', '1569970196410667008', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831048319569949', '1561995446459699200', '1610831048319569920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831068003438593', '1561995446459699200', '1610831068003438592', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831068003438595', '1561995446459699200', '1610831068003438594', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831068016021504', '1561995446459699200', '1610831068003438596', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831068041187329', '1561995446459699200', '1610831068041187328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610831068041187331', '1561995446459699200', '1610831068041187330', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778411249665', '1329693071213989890', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778411249666', '1333572587627876352', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443968', '1329693071205601281', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443969', '1323496432312913920', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443970', '1329693071213989888', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443971', '1329693071209795584', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443972', '1329693071213989889', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443973', '1561992470802337792', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443974', '1562314510612697088', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443975', '1564191182190415872', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443976', '1564821097285816320', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443977', '1569528534014234624', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443978', '1567097186544652288', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443979', '1570585310226681856', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443980', '1564192820011601920', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443981', '1570254300322598912', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443982', '1578620683645227008', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443983', '1579726696309985280', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443984', '1580480688216477696', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443985', '1581888248303718400', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443986', '1583278909414313984', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443987', '1591958463435640832', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443988', '1327473526785052672', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443989', '1593125995324510208', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443990', '1593129902020890624', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443991', '1590543166828843008', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443992', '1596788379830325248', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443993', '1569970196410667008', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832778415443994', '1561995446459699200', '1610832778411249664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832800041275393', '1561995446459699200', '1610832800041275392', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832800041275395', '1561995446459699200', '1610832800041275394', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832800108384256', '1561995446459699200', '1610832800041275396', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832800108384258', '1561995446459699200', '1610832800108384257', '1');
INSERT INTO `sys_news_push_user` VALUES ('1610832800108384260', '1561995446459699200', '1610832800108384259', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188859219968', '1329693071213989890', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188859219969', '1333572587627876352', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188859219970', '1329693071205601281', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414272', '1323496432312913920', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414273', '1329693071213989888', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414274', '1329693071209795584', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414275', '1329693071213989889', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414276', '1561992470802337792', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414277', '1562314510612697088', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414278', '1564191182190415872', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414279', '1564821097285816320', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414280', '1569528534014234624', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414281', '1567097186544652288', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414282', '1570585310226681856', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414283', '1564192820011601920', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414284', '1570254300322598912', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414285', '1578620683645227008', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414286', '1579726696309985280', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414287', '1580480688216477696', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414288', '1581888248303718400', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414289', '1583278909414313984', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414290', '1591958463435640832', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414291', '1327473526785052672', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414292', '1593125995324510208', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414293', '1593129902020890624', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414294', '1590543166828843008', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414295', '1596788379830325248', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414296', '1569970196410667008', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169188863414297', '1561995446459699200', '1611169188846637056', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169208404676608', '1561995446459699200', '1611169208396288000', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169208408870912', '1561995446459699200', '1611169208404676609', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169208429842432', '1561995446459699200', '1611169208408870913', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169208438231040', '1561995446459699200', '1611169208429842433', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611169208442425344', '1561995446459699200', '1611169208438231041', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857665', '1329693071213989890', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857666', '1333572587627876352', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857667', '1329693071205601281', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857668', '1323496432312913920', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857669', '1329693071213989888', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857670', '1329693071209795584', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857671', '1329693071213989889', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857672', '1561992470802337792', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857673', '1562314510612697088', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857674', '1564191182190415872', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857675', '1564821097285816320', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857676', '1569528534014234624', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857677', '1567097186544652288', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857678', '1570585310226681856', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857679', '1564192820011601920', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857680', '1570254300322598912', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857681', '1578620683645227008', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857682', '1579726696309985280', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857683', '1580480688216477696', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857684', '1581888248303718400', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857685', '1583278909414313984', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857686', '1591958463435640832', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857687', '1327473526785052672', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857688', '1593125995324510208', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857689', '1593129902020890624', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857690', '1590543166828843008', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857691', '1596788379830325248', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857692', '1569970196410667008', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208242543857693', '1561995446459699200', '1611208242543857664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208259916664832', '1561995446459699200', '1611208259912470528', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208259916664834', '1561995446459699200', '1611208259916664833', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208259929247744', '1561995446459699200', '1611208259916664835', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208259954413569', '1561995446459699200', '1611208259954413568', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611208259958607873', '1561995446459699200', '1611208259958607872', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501377', '1329693071213989890', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501378', '1333572587627876352', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501379', '1329693071205601281', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501380', '1323496432312913920', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501381', '1329693071213989888', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501382', '1329693071209795584', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501383', '1329693071213989889', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501384', '1561992470802337792', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501385', '1562314510612697088', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501386', '1564191182190415872', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501387', '1564821097285816320', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501388', '1569528534014234624', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501389', '1567097186544652288', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501390', '1570585310226681856', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501391', '1564192820011601920', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501392', '1570254300322598912', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501393', '1578620683645227008', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501394', '1579726696309985280', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501395', '1580480688216477696', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501396', '1581888248303718400', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501397', '1583278909414313984', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501398', '1591958463435640832', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501399', '1327473526785052672', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501400', '1593125995324510208', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501401', '1593129902020890624', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501402', '1590543166828843008', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501403', '1596788379830325248', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501404', '1569970196410667008', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245743094501405', '1561995446459699200', '1611245743094501376', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245763281686529', '1561995446459699200', '1611245763281686528', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245763281686531', '1561995446459699200', '1611245763281686530', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245763290075136', '1561995446459699200', '1611245763281686532', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245763294269440', '1561995446459699200', '1611245763290075137', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611245763294269442', '1561995446459699200', '1611245763294269441', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626561', '1329693071213989890', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626562', '1333572587627876352', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626563', '1329693071205601281', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626564', '1323496432312913920', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626565', '1329693071213989888', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626566', '1329693071209795584', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626567', '1329693071213989889', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626568', '1561992470802337792', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626569', '1562314510612697088', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626570', '1564191182190415872', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626571', '1564821097285816320', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626572', '1569528534014234624', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626573', '1567097186544652288', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626574', '1570585310226681856', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626575', '1564192820011601920', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626576', '1570254300322598912', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626577', '1578620683645227008', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626578', '1579726696309985280', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626579', '1580480688216477696', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626580', '1581888248303718400', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626581', '1583278909414313984', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626582', '1591958463435640832', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626583', '1327473526785052672', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626584', '1593125995324510208', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626585', '1593129902020890624', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626586', '1590543166828843008', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626587', '1596788379830325248', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626588', '1569970196410667008', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989718130626589', '1561995446459699200', '1611989718130626560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989750728757248', '1', '1611989750724562944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989750728757250', '1', '1611989750728757249', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989751190130688', '1', '1611989750728757251', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989751190130690', '1', '1611989751190130689', '1');
INSERT INTO `sys_news_push_user` VALUES ('1611989751194324993', '1', '1611989751194324992', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013760', '1329693071213989890', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013761', '1333572587627876352', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013762', '1329693071205601281', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013763', '1323496432312913920', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013764', '1329693071213989888', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013765', '1329693071209795584', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013766', '1329693071213989889', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013767', '1561992470802337792', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013768', '1562314510612697088', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013769', '1564191182190415872', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013770', '1564821097285816320', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013771', '1569528534014234624', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013772', '1567097186544652288', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013773', '1570585310226681856', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013774', '1564192820011601920', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013775', '1570254300322598912', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013776', '1578620683645227008', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013777', '1579726696309985280', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013778', '1580480688216477696', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013779', '1581888248303718400', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013780', '1583278909414313984', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013781', '1591958463435640832', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013782', '1327473526785052672', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013783', '1593125995324510208', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013784', '1593129902020890624', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013785', '1590543166828843008', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013786', '1596788379830325248', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013787', '1569970196410667008', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263747425013788', '1561995446459699200', '1612263747412430848', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263775933698048', '1561995446459699200', '1612263775803674624', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263775942086656', '1561995446459699200', '1612263775933698049', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263775958863872', '1561995446459699200', '1612263775942086657', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263775967252480', '1561995446459699200', '1612263775958863873', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612263775971446784', '1561995446459699200', '1612263775967252481', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844224', '1329693071213989890', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844225', '1333572587627876352', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844226', '1329693071205601281', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844227', '1323496432312913920', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844228', '1329693071213989888', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844229', '1329693071209795584', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844230', '1329693071213989889', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844231', '1561992470802337792', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844232', '1562314510612697088', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844233', '1564191182190415872', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844234', '1564821097285816320', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844235', '1569528534014234624', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844236', '1567097186544652288', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844237', '1570585310226681856', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844238', '1564192820011601920', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844239', '1570254300322598912', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844240', '1578620683645227008', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844241', '1579726696309985280', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844242', '1580480688216477696', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844243', '1581888248303718400', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844244', '1583278909414313984', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844245', '1591958463435640832', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844246', '1327473526785052672', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844247', '1593125995324510208', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844248', '1593129902020890624', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844249', '1590543166828843008', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844250', '1596788379830325248', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844251', '1569970196410667008', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324501041844252', '1561995446459699200', '1612324501037649920', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324524399923200', '1', '1612324524391534592', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324524404117504', '1', '1612324524399923201', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324524928405504', '1', '1612324524404117505', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324524932599808', '1', '1612324524928405505', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612324524936794112', '1', '1612324524932599809', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800384', '1329693071213989890', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800385', '1333572587627876352', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800386', '1329693071205601281', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800387', '1323496432312913920', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800388', '1329693071213989888', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800389', '1329693071209795584', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800390', '1329693071213989889', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800391', '1561992470802337792', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800392', '1562314510612697088', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800393', '1564191182190415872', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800394', '1564821097285816320', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800395', '1569528534014234624', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800396', '1567097186544652288', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800397', '1570585310226681856', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800398', '1564192820011601920', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800399', '1570254300322598912', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800400', '1578620683645227008', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800401', '1579726696309985280', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800402', '1580480688216477696', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800403', '1581888248303718400', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800404', '1583278909414313984', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800405', '1591958463435640832', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800406', '1327473526785052672', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800407', '1593125995324510208', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800408', '1593129902020890624', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800409', '1590543166828843008', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800410', '1596788379830325248', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800411', '1569970196410667008', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367633334800412', '1561995446459699200', '1612367633322217472', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367686493409280', '1561995446459699200', '1612367686485020672', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612367686497603584', '1561995446459699200', '1612367686493409281', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612367686522769408', '1561995446459699200', '1612367686501797888', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612367686531158016', '1561995446459699200', '1612367686522769409', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612367686539546624', '1561995446459699200', '1612367686531158017', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941056', '1329693071213989890', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941057', '1333572587627876352', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941058', '1329693071205601281', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941059', '1323496432312913920', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941060', '1329693071213989888', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941061', '1329693071209795584', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941062', '1329693071213989889', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941063', '1561992470802337792', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941064', '1562314510612697088', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941065', '1564191182190415872', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941066', '1564821097285816320', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941067', '1569528534014234624', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941068', '1567097186544652288', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941069', '1570585310226681856', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941070', '1564192820011601920', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941071', '1570254300322598912', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941072', '1578620683645227008', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941073', '1579726696309985280', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941074', '1580480688216477696', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941075', '1581888248303718400', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941076', '1583278909414313984', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941077', '1591958463435640832', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941078', '1327473526785052672', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941079', '1593125995324510208', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941080', '1593129902020890624', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941081', '1590543166828843008', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941082', '1596788379830325248', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941083', '1569970196410667008', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402318416941084', '1561995446459699200', '1612402318404358144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612402333801648128', '1561995446459699200', '1612402333726150656', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612402333814231040', '1561995446459699200', '1612402333801648129', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612402333835202560', '1561995446459699200', '1612402333814231041', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612402333847785472', '1561995446459699200', '1612402333835202561', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612402333856174080', '1561995446459699200', '1612402333847785473', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300160', '1329693071213989890', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300161', '1333572587627876352', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300162', '1329693071205601281', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300163', '1323496432312913920', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300164', '1329693071213989888', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300165', '1329693071209795584', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300166', '1329693071213989889', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300167', '1561992470802337792', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300168', '1562314510612697088', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300169', '1564191182190415872', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300170', '1564821097285816320', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300171', '1569528534014234624', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300172', '1567097186544652288', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300173', '1570585310226681856', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300174', '1564192820011601920', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300175', '1570254300322598912', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300176', '1578620683645227008', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300177', '1579726696309985280', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300178', '1580480688216477696', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300179', '1581888248303718400', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300180', '1583278909414313984', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300181', '1591958463435640832', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300182', '1327473526785052672', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300183', '1593125995324510208', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300184', '1593129902020890624', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300185', '1590543166828843008', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300186', '1596788379830325248', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300187', '1569970196410667008', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708376574300188', '1561995446459699200', '1612708376553328640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612708420178284544', '1561995446459699200', '1612708420102787072', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612708420190867456', '1561995446459699200', '1612708420178284545', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612708420216033280', '1561995446459699200', '1612708420190867457', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612708420228616192', '1561995446459699200', '1612708420216033281', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612708420245393408', '1561995446459699200', '1612708420228616193', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040065', '1329693071213989890', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040066', '1333572587627876352', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040067', '1329693071205601281', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040068', '1323496432312913920', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040069', '1329693071213989888', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040070', '1329693071209795584', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040071', '1329693071213989889', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040072', '1561992470802337792', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040073', '1562314510612697088', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040074', '1564191182190415872', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040075', '1564821097285816320', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040076', '1569528534014234624', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040077', '1567097186544652288', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040078', '1570585310226681856', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040079', '1564192820011601920', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040080', '1570254300322598912', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040081', '1578620683645227008', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040082', '1579726696309985280', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040083', '1580480688216477696', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040084', '1581888248303718400', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040085', '1583278909414313984', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040086', '1591958463435640832', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040087', '1327473526785052672', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040088', '1593125995324510208', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040089', '1593129902020890624', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040090', '1590543166828843008', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040091', '1596788379830325248', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040092', '1569970196410667008', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710631646040093', '1561995446459699200', '1612710631646040064', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612710654001680385', '1561995446459699200', '1612710654001680384', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612710654001680387', '1561995446459699200', '1612710654001680386', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612710654014263296', '1561995446459699200', '1612710654001680388', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612710654039429121', '1561995446459699200', '1612710654039429120', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612710654039429123', '1561995446459699200', '1612710654039429122', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412672', '1329693071213989890', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412673', '1333572587627876352', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412674', '1329693071205601281', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412675', '1323496432312913920', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412676', '1329693071213989888', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412677', '1329693071209795584', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412678', '1329693071213989889', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412679', '1561992470802337792', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412680', '1562314510612697088', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412681', '1564191182190415872', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412682', '1564821097285816320', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412683', '1569528534014234624', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412684', '1567097186544652288', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412685', '1570585310226681856', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412686', '1564192820011601920', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412687', '1570254300322598912', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412688', '1578620683645227008', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412689', '1579726696309985280', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412690', '1580480688216477696', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412691', '1581888248303718400', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412692', '1583278909414313984', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412693', '1591958463435640832', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412694', '1327473526785052672', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412695', '1593125995324510208', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412696', '1593129902020890624', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412697', '1590543166828843008', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412698', '1596788379830325248', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412699', '1569970196410667008', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768037520412700', '1561995446459699200', '1612768037516218368', '1');
INSERT INTO `sys_news_push_user` VALUES ('1612768083502567424', '1570252962385760256', '1612768083494178816', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612768083506761728', '1570252962385760256', '1612768083502567425', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612768083926192128', '1570252962385760256', '1612768083506761729', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612768083926192130', '1570252962385760256', '1612768083926192129', '0');
INSERT INTO `sys_news_push_user` VALUES ('1612768083926192132', '1570252962385760256', '1612768083926192131', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104448', '1329693071213989890', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104449', '1333572587627876352', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104450', '1329693071205601281', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104451', '1323496432312913920', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104452', '1329693071213989888', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104453', '1329693071209795584', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104454', '1329693071213989889', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104455', '1561992470802337792', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104456', '1562314510612697088', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104457', '1564191182190415872', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104458', '1564821097285816320', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104459', '1569528534014234624', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104460', '1567097186544652288', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104461', '1570585310226681856', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104462', '1564192820011601920', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104463', '1570254300322598912', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104464', '1578620683645227008', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104465', '1579726696309985280', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104466', '1580480688216477696', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104467', '1581888248303718400', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104468', '1583278909414313984', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104469', '1591958463435640832', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104470', '1327473526785052672', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104471', '1593125995324510208', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104472', '1593129902020890624', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104473', '1590543166828843008', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104474', '1596788379830325248', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104475', '1569970196410667008', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017467616104476', '1561995446459699200', '1613017467611910144', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017590337245185', '1', '1613017590337245184', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017590341439488', '1', '1613017590337245186', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017590765064192', '1', '1613017590341439489', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017590773452800', '1', '1613017590765064193', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613017590773452802', '1', '1613017590773452801', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835969', '1329693071213989890', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835970', '1333572587627876352', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835971', '1329693071205601281', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835972', '1323496432312913920', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835973', '1329693071213989888', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835974', '1329693071209795584', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835975', '1329693071213989889', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835976', '1561992470802337792', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835977', '1562314510612697088', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835978', '1564191182190415872', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835979', '1564821097285816320', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835980', '1569528534014234624', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835981', '1567097186544652288', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835982', '1570585310226681856', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835983', '1564192820011601920', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835984', '1570254300322598912', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835985', '1578620683645227008', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835986', '1579726696309985280', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835987', '1580480688216477696', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835988', '1581888248303718400', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835989', '1583278909414313984', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835990', '1591958463435640832', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835991', '1327473526785052672', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835992', '1593125995324510208', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835993', '1593129902020890624', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835994', '1590543166828843008', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835995', '1596788379830325248', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835996', '1569970196410667008', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835997', '1561995446459699200', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049394154835998', '1613048759447588864', '1613049394154835968', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613049422634160128', '1613048759447588864', '1613049422629965824', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613049422634160130', '1613048759447588864', '1613049422634160129', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613049423053590528', '1613048759447588864', '1613049422634160131', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613049423057784832', '1613048759447588864', '1613049423053590529', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613049423057784834', '1613048759447588864', '1613049423057784833', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469504', '1329693071213989890', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469505', '1333572587627876352', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469506', '1329693071205601281', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469507', '1323496432312913920', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469508', '1329693071213989888', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469509', '1329693071209795584', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469510', '1329693071213989889', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469511', '1561992470802337792', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469512', '1562314510612697088', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469513', '1564191182190415872', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469514', '1564821097285816320', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469515', '1569528534014234624', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469516', '1567097186544652288', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469517', '1570585310226681856', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469518', '1564192820011601920', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469519', '1570254300322598912', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469520', '1578620683645227008', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469521', '1579726696309985280', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469522', '1580480688216477696', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469523', '1581888248303718400', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469524', '1583278909414313984', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469525', '1591958463435640832', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469526', '1327473526785052672', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469527', '1593125995324510208', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469528', '1593129902020890624', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469529', '1590543166828843008', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469530', '1596788379830325248', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469531', '1569970196410667008', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469532', '1561995446459699200', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064572120469533', '1613048759447588864', '1613064571843645440', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613064593037463552', '1561995446459699200', '1613064592911634432', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613064593079406592', '1561995446459699200', '1613064593037463553', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613064593100378112', '1561995446459699200', '1613064593079406593', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613064593117155328', '1561995446459699200', '1613064593100378113', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613064593129738240', '1561995446459699200', '1613064593117155329', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976896', '1329693071213989890', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976897', '1333572587627876352', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976898', '1329693071205601281', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976899', '1323496432312913920', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976900', '1329693071213989888', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976901', '1329693071209795584', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976902', '1329693071213989889', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976903', '1561992470802337792', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976904', '1562314510612697088', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976905', '1564191182190415872', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976906', '1564821097285816320', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976907', '1569528534014234624', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976908', '1567097186544652288', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976909', '1570585310226681856', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976910', '1564192820011601920', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976911', '1570254300322598912', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976912', '1578620683645227008', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976913', '1579726696309985280', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976914', '1580480688216477696', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976915', '1581888248303718400', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976916', '1583278909414313984', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976917', '1591958463435640832', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976918', '1327473526785052672', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976919', '1593125995324510208', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976920', '1593129902020890624', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976921', '1590543166828843008', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976922', '1596788379830325248', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976923', '1569970196410667008', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976924', '1561995446459699200', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342846880976925', '1613048759447588864', '1613342846868393984', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613342875855228928', '1561995446459699200', '1613342875846840320', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613342875867811840', '1561995446459699200', '1613342875859423232', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613342875888783360', '1561995446459699200', '1613342875867811841', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613342875892977664', '1561995446459699200', '1613342875888783361', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613342875901366272', '1561995446459699200', '1613342875892977665', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503552', '1329693071213989890', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503553', '1333572587627876352', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503554', '1329693071205601281', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503555', '1323496432312913920', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503556', '1329693071213989888', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503557', '1329693071209795584', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503558', '1329693071213989889', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503559', '1561992470802337792', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503560', '1562314510612697088', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503561', '1564191182190415872', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503562', '1564821097285816320', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503563', '1569528534014234624', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503564', '1567097186544652288', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503565', '1570585310226681856', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503566', '1564192820011601920', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503567', '1570254300322598912', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503568', '1578620683645227008', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503569', '1579726696309985280', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503570', '1580480688216477696', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503571', '1581888248303718400', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503572', '1583278909414313984', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503573', '1591958463435640832', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503574', '1327473526785052672', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503575', '1593125995324510208', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503576', '1593129902020890624', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503577', '1590543166828843008', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503578', '1596788379830325248', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503579', '1569970196410667008', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503580', '1561995446459699200', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804667492503581', '1613048759447588864', '1613804667479920640', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613804708277915648', '1561995446459699200', '1613804708118532096', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613804708286304256', '1561995446459699200', '1613804708277915649', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613804708353413120', '1561995446459699200', '1613804708286304257', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613804708365996032', '1561995446459699200', '1613804708353413121', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613804708374384640', '1561995446459699200', '1613804708365996033', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155136', '1329693071213989890', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155137', '1333572587627876352', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155138', '1329693071205601281', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155139', '1323496432312913920', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155140', '1329693071213989888', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155141', '1329693071209795584', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155142', '1329693071213989889', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155143', '1561992470802337792', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155144', '1562314510612697088', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155145', '1564191182190415872', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155146', '1564821097285816320', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155147', '1569528534014234624', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155148', '1567097186544652288', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155149', '1570585310226681856', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155150', '1564192820011601920', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155151', '1570254300322598912', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155152', '1578620683645227008', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155153', '1579726696309985280', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155154', '1580480688216477696', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155155', '1581888248303718400', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155156', '1583278909414313984', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155157', '1591958463435640832', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155158', '1327473526785052672', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155159', '1593125995324510208', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155160', '1593129902020890624', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155161', '1590543166828843008', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155162', '1596788379830325248', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155163', '1569970196410667008', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155164', '1561995446459699200', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810664072155165', '1613048759447588864', '1613810664067960832', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613810704501051393', '1561995446459699200', '1613810704501051392', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613810704501051395', '1561995446459699200', '1613810704501051394', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613810704530411520', '1561995446459699200', '1613810704522022912', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613810704534605825', '1561995446459699200', '1613810704534605824', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613810704534605827', '1561995446459699200', '1613810704534605826', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155968', '1329693071213989890', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155969', '1333572587627876352', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155970', '1329693071205601281', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155971', '1323496432312913920', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155972', '1329693071213989888', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155973', '1329693071209795584', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155974', '1329693071213989889', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155975', '1561992470802337792', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155976', '1562314510612697088', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155977', '1564191182190415872', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155978', '1564821097285816320', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155979', '1569528534014234624', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155980', '1567097186544652288', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155981', '1570585310226681856', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155982', '1564192820011601920', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155983', '1570254300322598912', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155984', '1578620683645227008', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155985', '1579726696309985280', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155986', '1580480688216477696', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155987', '1581888248303718400', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155988', '1583278909414313984', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155989', '1591958463435640832', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155990', '1327473526785052672', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155991', '1593125995324510208', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155992', '1593129902020890624', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155993', '1590543166828843008', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155994', '1596788379830325248', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155995', '1569970196410667008', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155996', '1561995446459699200', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814403747155997', '1613048759447588864', '1613814403730378752', '1');
INSERT INTO `sys_news_push_user` VALUES ('1613814435091189760', '1561995446459699200', '1613814435082801152', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613814435099578368', '1561995446459699200', '1613814435091189761', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613814435116355584', '1561995446459699200', '1613814435099578369', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613814435124744192', '1561995446459699200', '1613814435116355585', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613814435128938496', '1561995446459699200', '1613814435124744193', '0');
INSERT INTO `sys_news_push_user` VALUES ('1613820042556870656', '1561995446459699200', '1613820042544287744', '0');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711424', '1329693071213989890', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711425', '1333572587627876352', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711426', '1329693071205601281', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711427', '1323496432312913920', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711428', '1329693071213989888', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711429', '1329693071209795584', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711430', '1329693071213989889', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711431', '1561992470802337792', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711432', '1562314510612697088', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711433', '1564191182190415872', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711434', '1564821097285816320', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711435', '1569528534014234624', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711436', '1567097186544652288', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711437', '1570585310226681856', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711438', '1564192820011601920', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711439', '1570254300322598912', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711440', '1578620683645227008', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711441', '1579726696309985280', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711442', '1580480688216477696', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711443', '1581888248303718400', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711444', '1583278909414313984', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711445', '1591958463435640832', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711446', '1327473526785052672', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711447', '1593125995324510208', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711448', '1593129902020890624', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711449', '1590543166828843008', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711450', '1596788379830325248', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711451', '1569970196410667008', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711452', '1561995446459699200', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180810548711453', '1613048759447588864', '1614180810536128512', '1');
INSERT INTO `sys_news_push_user` VALUES ('1614180846191906816', '1561995446459699200', '1614180846124797952', '0');
INSERT INTO `sys_news_push_user` VALUES ('1614180846204489728', '1561995446459699200', '1614180846196101120', '0');
INSERT INTO `sys_news_push_user` VALUES ('1614180846225461248', '1561995446459699200', '1614180846204489729', '0');
INSERT INTO `sys_news_push_user` VALUES ('1614180846233849856', '1561995446459699200', '1614180846225461249', '0');
INSERT INTO `sys_news_push_user` VALUES ('1614180846242238464', '1561995446459699200', '1614180846233849857', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354688', '1329693071213989890', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354689', '1333572587627876352', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354690', '1329693071205601281', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354691', '1323496432312913920', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354692', '1329693071213989888', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354693', '1329693071209795584', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354694', '1329693071213989889', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354695', '1561992470802337792', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354696', '1562314510612697088', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354697', '1564191182190415872', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354698', '1564821097285816320', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354699', '1569528534014234624', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354700', '1567097186544652288', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354701', '1570585310226681856', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354702', '1564192820011601920', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354703', '1570254300322598912', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354704', '1578620683645227008', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354705', '1579726696309985280', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354706', '1580480688216477696', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354707', '1581888248303718400', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354708', '1583278909414313984', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354709', '1591958463435640832', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354710', '1327473526785052672', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354711', '1593125995324510208', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354712', '1593129902020890624', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354713', '1590543166828843008', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354714', '1596788379830325248', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354715', '1569970196410667008', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354716', '1561995446459699200', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598728778354717', '1613048759447588864', '1619598728765771776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980225', '1329693071213989890', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980226', '1333572587627876352', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980227', '1329693071205601281', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980228', '1323496432312913920', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980229', '1329693071213989888', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980230', '1329693071209795584', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980231', '1329693071213989889', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980232', '1561992470802337792', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980233', '1562314510612697088', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980234', '1564191182190415872', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980235', '1564821097285816320', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980236', '1569528534014234624', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980237', '1567097186544652288', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980238', '1570585310226681856', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980239', '1564192820011601920', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980240', '1570254300322598912', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980241', '1578620683645227008', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980242', '1579726696309985280', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980243', '1580480688216477696', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980244', '1581888248303718400', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980245', '1583278909414313984', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980246', '1591958463435640832', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980247', '1327473526785052672', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980248', '1593125995324510208', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980249', '1593129902020890624', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980250', '1590543166828843008', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980251', '1596788379830325248', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980252', '1569970196410667008', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980253', '1561995446459699200', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598733324980254', '1613048759447588864', '1619598733324980224', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619598763226173440', '1561995446459699200', '1619598763133898752', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619598763238756352', '1561995446459699200', '1619598763234562048', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619598763259727872', '1561995446459699200', '1619598763238756353', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619598763268116480', '1561995446459699200', '1619598763259727873', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619598763276505088', '1561995446459699200', '1619598763268116481', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651329', '1329693071213989890', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651330', '1333572587627876352', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651331', '1329693071205601281', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651332', '1323496432312913920', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651333', '1329693071213989888', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651334', '1329693071209795584', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651335', '1329693071213989889', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651336', '1561992470802337792', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651337', '1562314510612697088', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651338', '1564191182190415872', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651339', '1564821097285816320', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651340', '1569528534014234624', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651341', '1567097186544652288', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651342', '1570585310226681856', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651343', '1564192820011601920', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651344', '1570254300322598912', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651345', '1578620683645227008', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651346', '1579726696309985280', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651347', '1580480688216477696', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651348', '1581888248303718400', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651349', '1583278909414313984', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651350', '1591958463435640832', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651351', '1327473526785052672', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651352', '1593125995324510208', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651353', '1593129902020890624', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651354', '1590543166828843008', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651355', '1596788379830325248', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651356', '1569970196410667008', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651357', '1561995446459699200', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608083271651358', '1613048759447588864', '1619608083271651328', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619608106034139137', '1561995446459699200', '1619608106034139136', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619608106034139139', '1561995446459699200', '1619608106034139138', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619608106071887872', '1561995446459699200', '1619608106059304960', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619608106071887874', '1561995446459699200', '1619608106071887873', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619608106071887876', '1561995446459699200', '1619608106071887875', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097472', '1329693071213989890', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097473', '1333572587627876352', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097474', '1329693071205601281', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097475', '1323496432312913920', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097476', '1329693071213989888', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097477', '1329693071209795584', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097478', '1329693071213989889', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097479', '1561992470802337792', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097480', '1562314510612697088', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097481', '1564191182190415872', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097482', '1564821097285816320', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097483', '1569528534014234624', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097484', '1567097186544652288', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097485', '1570585310226681856', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097486', '1564192820011601920', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097487', '1570254300322598912', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097488', '1578620683645227008', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097489', '1579726696309985280', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097490', '1580480688216477696', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097491', '1581888248303718400', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097492', '1583278909414313984', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097493', '1591958463435640832', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097494', '1327473526785052672', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097495', '1593125995324510208', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097496', '1593129902020890624', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097497', '1590543166828843008', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097498', '1596788379830325248', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097499', '1569970196410667008', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097500', '1561995446459699200', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615068197097501', '1613048759447588864', '1619615068192903168', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619615093119651840', '1561995446459699200', '1619615093115457536', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615093119651842', '1561995446459699200', '1619615093119651841', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615093128040448', '1561995446459699200', '1619615093119651843', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615093128040450', '1561995446459699200', '1619615093128040449', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615093128040452', '1561995446459699200', '1619615093128040451', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615180445061121', '1561995446459699200', '1619615180445061120', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615180449255424', '1561995446459699200', '1619615180445061122', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615180457644032', '1561995446459699200', '1619615180449255425', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615180457644034', '1561995446459699200', '1619615180457644033', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619615180457644036', '1561995446459699200', '1619615180457644035', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035328', '1329693071213989890', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035329', '1333572587627876352', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035330', '1329693071205601281', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035331', '1323496432312913920', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035332', '1329693071213989888', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035333', '1329693071209795584', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035334', '1329693071213989889', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035335', '1561992470802337792', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035336', '1562314510612697088', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035337', '1564191182190415872', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035338', '1564821097285816320', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035339', '1569528534014234624', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035340', '1567097186544652288', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035341', '1570585310226681856', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035342', '1564192820011601920', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035343', '1570254300322598912', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035344', '1578620683645227008', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035345', '1579726696309985280', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035346', '1580480688216477696', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035347', '1581888248303718400', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035348', '1583278909414313984', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035349', '1591958463435640832', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035350', '1327473526785052672', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035351', '1593125995324510208', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035352', '1593129902020890624', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035353', '1590543166828843008', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035354', '1596788379830325248', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035355', '1569970196410667008', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035356', '1561995446459699200', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874771800035357', '1613048759447588864', '1619874771795841024', '1');
INSERT INTO `sys_news_push_user` VALUES ('1619874917359161344', '1579367842099367936', '1619874917350772736', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619874917359161346', '1579367842099367936', '1619874917359161345', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619874917816340480', '1579367842099367936', '1619874917359161347', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619874917820534784', '1579367842099367936', '1619874917816340481', '0');
INSERT INTO `sys_news_push_user` VALUES ('1619874917820534786', '1579367842099367936', '1619874917820534785', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182848', '1329693071213989890', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182849', '1333572587627876352', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182850', '1329693071205601281', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182851', '1323496432312913920', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182852', '1329693071213989888', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182853', '1329693071209795584', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182854', '1329693071213989889', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182855', '1561992470802337792', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182856', '1562314510612697088', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182857', '1564191182190415872', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182858', '1564821097285816320', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182859', '1569528534014234624', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182860', '1567097186544652288', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182861', '1570585310226681856', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182862', '1564192820011601920', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182863', '1570254300322598912', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182864', '1578620683645227008', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182865', '1579726696309985280', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182866', '1580480688216477696', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182867', '1581888248303718400', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182868', '1583278909414313984', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182869', '1591958463435640832', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182870', '1327473526785052672', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182871', '1593125995324510208', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182872', '1593129902020890624', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182873', '1590543166828843008', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182874', '1596788379830325248', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182875', '1569970196410667008', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182876', '1561995446459699200', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323275039182877', '1613048759447588864', '1620323275026599936', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620323291644432384', '1561995446459699200', '1620323291631849472', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620323291652820992', '1561995446459699200', '1620323291648626688', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620323291673792512', '1561995446459699200', '1620323291657015296', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620323291682181120', '1561995446459699200', '1620323291673792513', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620323291690569728', '1561995446459699200', '1620323291682181121', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764032', '1329693071213989890', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764033', '1333572587627876352', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764034', '1329693071205601281', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764035', '1323496432312913920', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764036', '1329693071213989888', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764037', '1329693071209795584', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764038', '1329693071213989889', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764039', '1561992470802337792', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764040', '1562314510612697088', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764041', '1564191182190415872', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764042', '1564821097285816320', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764043', '1569528534014234624', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764044', '1567097186544652288', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764045', '1570585310226681856', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764046', '1564192820011601920', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764047', '1570254300322598912', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764048', '1578620683645227008', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764049', '1579726696309985280', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764050', '1580480688216477696', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764051', '1581888248303718400', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764052', '1583278909414313984', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764053', '1591958463435640832', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764054', '1327473526785052672', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764055', '1593125995324510208', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764056', '1593129902020890624', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764057', '1590543166828843008', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764058', '1596788379830325248', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764059', '1569970196410667008', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764060', '1561995446459699200', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324274734764061', '1613048759447588864', '1620324274730569728', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620324312206675969', '1561995446459699200', '1620324312206675968', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620324312206675971', '1561995446459699200', '1620324312206675970', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620324312215064576', '1561995446459699200', '1620324312206675972', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620324312240230401', '1561995446459699200', '1620324312240230400', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620324312240230403', '1561995446459699200', '1620324312240230402', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958657', '1329693071213989890', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958658', '1333572587627876352', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958659', '1329693071205601281', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958660', '1323496432312913920', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958661', '1329693071213989888', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958662', '1329693071209795584', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958663', '1329693071213989889', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958664', '1561992470802337792', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958665', '1562314510612697088', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958666', '1564191182190415872', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958667', '1564821097285816320', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958668', '1569528534014234624', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958669', '1567097186544652288', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958670', '1570585310226681856', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958671', '1564192820011601920', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958672', '1570254300322598912', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958673', '1578620683645227008', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958674', '1579726696309985280', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958675', '1580480688216477696', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958676', '1581888248303718400', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958677', '1583278909414313984', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958678', '1591958463435640832', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958679', '1327473526785052672', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958680', '1593125995324510208', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958681', '1593129902020890624', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958682', '1590543166828843008', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958683', '1596788379830325248', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958684', '1569970196410667008', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958685', '1561995446459699200', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327296021958686', '1613048759447588864', '1620327296021958656', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620327346978557952', '1561995446459699200', '1620327346961780736', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620327346999529472', '1561995446459699200', '1620327346982752256', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620327347037278208', '1561995446459699200', '1620327346999529473', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620327347054055424', '1561995446459699200', '1620327347037278209', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620327347075026944', '1561995446459699200', '1620327347058249728', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712128', '1329693071213989890', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712129', '1333572587627876352', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712130', '1329693071205601281', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712131', '1323496432312913920', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712132', '1329693071213989888', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712133', '1329693071209795584', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712134', '1329693071213989889', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712135', '1561992470802337792', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712136', '1562314510612697088', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712137', '1564191182190415872', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712138', '1564821097285816320', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712139', '1569528534014234624', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712140', '1567097186544652288', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712141', '1570585310226681856', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712142', '1564192820011601920', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712143', '1570254300322598912', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712144', '1578620683645227008', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712145', '1579726696309985280', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712146', '1580480688216477696', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712147', '1581888248303718400', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712148', '1583278909414313984', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712149', '1591958463435640832', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712150', '1327473526785052672', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712151', '1593125995324510208', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712152', '1593129902020890624', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712153', '1590543166828843008', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712154', '1596788379830325248', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712155', '1569970196410667008', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712156', '1561995446459699200', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712157', '1613048759447588864', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620598739393712158', '1579362188047552512', '1620598739381129216', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620599635125080064', '1579362188047552512', '1620599635099914240', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620599635129274369', '1579362188047552512', '1620599635129274368', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620599635607425024', '1579362188047552512', '1620599635133468672', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620599635615813632', '1579362188047552512', '1620599635607425025', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620599635624202240', '1579362188047552512', '1620599635615813633', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602561', '1329693071213989890', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602562', '1333572587627876352', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602563', '1329693071205601281', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602564', '1323496432312913920', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602565', '1329693071213989888', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602566', '1329693071209795584', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602567', '1329693071213989889', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602568', '1561992470802337792', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602569', '1562314510612697088', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602570', '1564191182190415872', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602571', '1564821097285816320', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602572', '1569528534014234624', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602573', '1567097186544652288', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602574', '1570585310226681856', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602575', '1564192820011601920', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602576', '1570254300322598912', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602577', '1578620683645227008', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602578', '1579726696309985280', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602579', '1580480688216477696', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602580', '1581888248303718400', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602581', '1583278909414313984', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602582', '1591958463435640832', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602583', '1327473526785052672', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602584', '1593125995324510208', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602585', '1593129902020890624', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602586', '1590543166828843008', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602587', '1596788379830325248', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602588', '1569970196410667008', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602589', '1561995446459699200', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602590', '1613048759447588864', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614020849602591', '1579362188047552512', '1620614020849602560', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614280544129024', '1579362188047552512', '1620614280518963200', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614280556711936', '1579362188047552512', '1620614280544129025', '0');
INSERT INTO `sys_news_push_user` VALUES ('1620614281068417024', '1579362188047552512', '1620614280556711937', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614281085194240', '1579362188047552512', '1620614281068417025', '1');
INSERT INTO `sys_news_push_user` VALUES ('1620614281097777152', '1579362188047552512', '1620614281085194241', '0');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635840', '1329693071213989890', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635841', '1333572587627876352', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635842', '1329693071205601281', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635843', '1323496432312913920', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635844', '1329693071213989888', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635845', '1329693071209795584', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635846', '1329693071213989889', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635847', '1561992470802337792', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635848', '1562314510612697088', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635849', '1564191182190415872', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635850', '1564821097285816320', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635851', '1569528534014234624', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635852', '1567097186544652288', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635853', '1570585310226681856', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635854', '1564192820011601920', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635855', '1570254300322598912', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635856', '1578620683645227008', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635857', '1579726696309985280', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635858', '1580480688216477696', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635859', '1581888248303718400', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635860', '1583278909414313984', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635861', '1591958463435640832', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635862', '1327473526785052672', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635863', '1593125995324510208', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635864', '1593129902020890624', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635865', '1590543166828843008', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635866', '1596788379830325248', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635867', '1569970196410667008', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635868', '1561995446459699200', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635869', '1613048759447588864', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623944987433635870', '1579362188047552512', '1623944987429441536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623945020455391233', '1', '1623945020455391232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623945020455391235', '1', '1623945020455391234', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623945020920958976', '1', '1623945020455391236', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623945020920958978', '1', '1623945020920958977', '1');
INSERT INTO `sys_news_push_user` VALUES ('1623945020920958980', '1', '1623945020920958979', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528832', '1329693071213989890', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528833', '1333572587627876352', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528834', '1329693071205601281', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528835', '1323496432312913920', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528836', '1329693071213989888', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528837', '1329693071209795584', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528838', '1329693071213989889', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528839', '1561992470802337792', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528840', '1562314510612697088', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528841', '1564191182190415872', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528842', '1564821097285816320', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528843', '1569528534014234624', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528844', '1567097186544652288', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528845', '1570585310226681856', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528846', '1564192820011601920', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528847', '1570254300322598912', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528848', '1578620683645227008', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528849', '1579726696309985280', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528850', '1580480688216477696', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528851', '1581888248303718400', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528852', '1583278909414313984', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528853', '1591958463435640832', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528854', '1327473526785052672', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528855', '1593125995324510208', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528856', '1593129902020890624', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528857', '1590543166828843008', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528858', '1596788379830325248', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528859', '1569970196410667008', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528860', '1561995446459699200', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528861', '1613048759447588864', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710640497528862', '1579362188047552512', '1638710640480751616', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710713214177280', '1327473526785052672', '1638710713205788672', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710713222565888', '1327473526785052672', '1638710713218371584', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710713734270976', '1327473526785052672', '1638710713222565889', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710713751048192', '1327473526785052672', '1638710713734270977', '1');
INSERT INTO `sys_news_push_user` VALUES ('1638710713767825408', '1327473526785052672', '1638710713751048193', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704448', '1329693071213989890', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704449', '1333572587627876352', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704450', '1329693071205601281', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704451', '1323496432312913920', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704452', '1329693071213989888', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704453', '1329693071209795584', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704454', '1329693071213989889', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704455', '1561992470802337792', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704456', '1562314510612697088', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704457', '1564191182190415872', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704458', '1564821097285816320', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704459', '1569528534014234624', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704460', '1567097186544652288', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704461', '1570585310226681856', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704462', '1564192820011601920', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704463', '1570254300322598912', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704464', '1578620683645227008', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704465', '1579726696309985280', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704466', '1580480688216477696', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704467', '1581888248303718400', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704468', '1583278909414313984', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704469', '1591958463435640832', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704470', '1327473526785052672', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704471', '1593125995324510208', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704472', '1593129902020890624', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704473', '1590543166828843008', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704474', '1596788379830325248', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704475', '1569970196410667008', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704476', '1561995446459699200', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914745704477', '1613048759447588864', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981914749898752', '1579362188047552512', '1640981914733121536', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981930205908992', '1327473526785052672', '1640981930193326080', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981930218491904', '1327473526785052672', '1640981930205908993', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981930323349504', '1327473526785052672', '1640981930218491905', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981930335932416', '1327473526785052672', '1640981930323349505', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640981930340126720', '1327473526785052672', '1640981930335932417', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557697', '1329693071213989890', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557698', '1333572587627876352', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557699', '1329693071205601281', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557700', '1323496432312913920', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557701', '1329693071213989888', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557702', '1329693071209795584', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557703', '1329693071213989889', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557704', '1561992470802337792', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557705', '1562314510612697088', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557706', '1564191182190415872', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557707', '1564821097285816320', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557708', '1569528534014234624', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557709', '1567097186544652288', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557710', '1570585310226681856', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557711', '1564192820011601920', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557712', '1570254300322598912', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557713', '1578620683645227008', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557714', '1579726696309985280', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557715', '1580480688216477696', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557716', '1581888248303718400', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557717', '1583278909414313984', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557718', '1591958463435640832', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557719', '1593125995324510208', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557720', '1593129902020890624', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557721', '1590543166828843008', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557722', '1596788379830325248', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557723', '1569970196410667008', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557724', '1561995446459699200', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557725', '1613048759447588864', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557726', '1579362188047552512', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984328198557727', '1327473526785052672', '1640984328198557696', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984341842628609', '1327473526785052672', '1640984341842628608', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984341842628611', '1327473526785052672', '1640984341842628610', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984341897154560', '1327473526785052672', '1640984341842628612', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984341913931777', '1327473526785052672', '1640984341913931776', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640984341913931779', '1327473526785052672', '1640984341913931778', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627009', '1329693071213989890', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627010', '1333572587627876352', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627011', '1329693071205601281', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627012', '1323496432312913920', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627013', '1329693071213989888', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627014', '1329693071209795584', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627015', '1329693071213989889', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627016', '1561992470802337792', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627017', '1562314510612697088', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627018', '1564191182190415872', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627019', '1564821097285816320', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627020', '1569528534014234624', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627021', '1567097186544652288', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627022', '1570585310226681856', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627023', '1564192820011601920', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627024', '1570254300322598912', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627025', '1578620683645227008', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627026', '1579726696309985280', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627027', '1580480688216477696', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627028', '1581888248303718400', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627029', '1583278909414313984', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627030', '1591958463435640832', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627031', '1593125995324510208', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627032', '1593129902020890624', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627033', '1590543166828843008', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627034', '1596788379830325248', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627035', '1569970196410667008', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627036', '1561995446459699200', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627037', '1613048759447588864', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627038', '1579362188047552512', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985357283627039', '1327473526785052672', '1640985357283627008', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985388879319041', '1327473526785052672', '1640985388879319040', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985388879319043', '1327473526785052672', '1640985388879319042', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985388954816512', '1327473526785052672', '1640985388879319044', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985388954816514', '1327473526785052672', '1640985388954816513', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985388954816516', '1327473526785052672', '1640985388954816515', '0');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369665', '1329693071213989890', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369666', '1333572587627876352', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369667', '1329693071205601281', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369668', '1323496432312913920', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369669', '1329693071213989888', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369670', '1329693071209795584', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369671', '1329693071213989889', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369672', '1561992470802337792', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369673', '1562314510612697088', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369674', '1564191182190415872', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369675', '1564821097285816320', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369676', '1569528534014234624', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369677', '1567097186544652288', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369678', '1570585310226681856', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369679', '1564192820011601920', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369680', '1570254300322598912', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369681', '1578620683645227008', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369682', '1579726696309985280', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369683', '1580480688216477696', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369684', '1581888248303718400', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369685', '1583278909414313984', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369686', '1591958463435640832', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369687', '1593125995324510208', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369688', '1593129902020890624', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369689', '1590543166828843008', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369690', '1596788379830325248', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369691', '1569970196410667008', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369692', '1561995446459699200', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369693', '1613048759447588864', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369694', '1579362188047552512', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1640985559088369695', '1327473526785052672', '1640985559088369664', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502656', '1329693071213989890', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502657', '1333572587627876352', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502658', '1329693071205601281', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502659', '1323496432312913920', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502660', '1329693071213989888', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502661', '1329693071209795584', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502662', '1329693071213989889', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502663', '1561992470802337792', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502664', '1562314510612697088', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502665', '1564191182190415872', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502666', '1564821097285816320', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502667', '1569528534014234624', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502668', '1567097186544652288', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502669', '1570585310226681856', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502670', '1564192820011601920', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502671', '1570254300322598912', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502672', '1578620683645227008', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502673', '1579726696309985280', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502674', '1580480688216477696', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502675', '1581888248303718400', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502676', '1583278909414313984', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502677', '1591958463435640832', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502678', '1593125995324510208', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502679', '1593129902020890624', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502680', '1590543166828843008', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502681', '1596788379830325248', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502682', '1569970196410667008', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502683', '1561995446459699200', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502684', '1613048759447588864', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502685', '1579362188047552512', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179124610502686', '1327473526785052672', '1673179124606308352', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673179150262865920', '1327473526785052672', '1673179150254477312', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673179150262865922', '1327473526785052672', '1673179150262865921', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673179150711656448', '1327473526785052672', '1673179150267060224', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673179150720045056', '1327473526785052672', '1673179150711656449', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673179150720045058', '1327473526785052672', '1673179150720045057', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890177', '1329693071213989890', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890178', '1333572587627876352', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890179', '1329693071205601281', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890180', '1323496432312913920', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890181', '1329693071213989888', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890182', '1329693071209795584', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890183', '1329693071213989889', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890184', '1561992470802337792', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890185', '1562314510612697088', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890186', '1564191182190415872', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890187', '1564821097285816320', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890188', '1569528534014234624', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890189', '1567097186544652288', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890190', '1570585310226681856', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890191', '1564192820011601920', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890192', '1570254300322598912', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890193', '1578620683645227008', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890194', '1579726696309985280', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890195', '1580480688216477696', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890196', '1581888248303718400', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890197', '1583278909414313984', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890198', '1591958463435640832', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890199', '1593125995324510208', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890200', '1593129902020890624', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890201', '1590543166828843008', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890202', '1596788379830325248', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890203', '1569970196410667008', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890204', '1561995446459699200', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890205', '1613048759447588864', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890206', '1579362188047552512', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673207138387890207', '1327473526785052672', '1673207138387890176', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087552', '1329693071213989890', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087553', '1333572587627876352', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087554', '1329693071205601281', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087555', '1323496432312913920', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087556', '1329693071213989888', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087557', '1329693071209795584', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087558', '1329693071213989889', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087559', '1561992470802337792', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087560', '1562314510612697088', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087561', '1564191182190415872', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087562', '1564821097285816320', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087563', '1569528534014234624', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087564', '1567097186544652288', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087565', '1570585310226681856', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087566', '1564192820011601920', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087567', '1570254300322598912', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087568', '1578620683645227008', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087569', '1579726696309985280', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087570', '1580480688216477696', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087571', '1581888248303718400', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087572', '1583278909414313984', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087573', '1591958463435640832', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087574', '1593125995324510208', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087575', '1593129902020890624', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087576', '1590543166828843008', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087577', '1596788379830325248', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087578', '1569970196410667008', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087579', '1561995446459699200', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087580', '1613048759447588864', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087581', '1579362188047552512', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673211448744087582', '1327473526785052672', '1673211448739893248', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457536', '1329693071213989890', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457537', '1333572587627876352', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457538', '1329693071205601281', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457539', '1323496432312913920', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457540', '1329693071213989888', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457541', '1329693071209795584', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457542', '1329693071213989889', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457543', '1561992470802337792', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457544', '1562314510612697088', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457545', '1564191182190415872', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457546', '1564821097285816320', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457547', '1569528534014234624', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457548', '1567097186544652288', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457549', '1570585310226681856', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457550', '1564192820011601920', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457551', '1570254300322598912', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457552', '1578620683645227008', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457553', '1579726696309985280', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457554', '1580480688216477696', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457555', '1581888248303718400', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457556', '1583278909414313984', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457557', '1591958463435640832', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457558', '1593125995324510208', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457559', '1593129902020890624', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457560', '1590543166828843008', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457561', '1596788379830325248', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457562', '1569970196410667008', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457563', '1561995446459699200', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457564', '1613048759447588864', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457565', '1579362188047552512', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933099387457566', '1327473526785052672', '1673933099383263232', '1');
INSERT INTO `sys_news_push_user` VALUES ('1673933116537966592', '1327473526785052672', '1673933116529577984', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673933116542160896', '1327473526785052672', '1673933116537966593', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673933116969979904', '1327473526785052672', '1673933116542160897', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673933116969979906', '1327473526785052672', '1673933116969979905', '0');
INSERT INTO `sys_news_push_user` VALUES ('1673933116974174208', '1327473526785052672', '1673933116969979907', '0');
INSERT INTO `sys_news_push_user` VALUES ('1689904275100143616', '1570252962385760256', '1689904275087560704', '0');
INSERT INTO `sys_news_push_user` VALUES ('1689904275104337920', '1570252962385760256', '1689904275100143617', '0');
INSERT INTO `sys_news_push_user` VALUES ('1689904275511185408', '1570252962385760256', '1689904275108532224', '0');
INSERT INTO `sys_news_push_user` VALUES ('1689904275519574016', '1570252962385760256', '1689904275511185409', '0');
INSERT INTO `sys_news_push_user` VALUES ('1689904275523768320', '1570252962385760256', '1689904275519574017', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173248', '1329693071213989890', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173249', '1333572587627876352', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173250', '1329693071205601281', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173251', '1323496432312913920', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173252', '1329693071213989888', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173253', '1329693071209795584', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173254', '1329693071213989889', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173255', '1561992470802337792', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173256', '1562314510612697088', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173257', '1564191182190415872', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173258', '1564821097285816320', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173259', '1569528534014234624', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173260', '1567097186544652288', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173261', '1570585310226681856', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173262', '1564192820011601920', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173263', '1570254300322598912', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173264', '1578620683645227008', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173265', '1579726696309985280', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173266', '1580480688216477696', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173267', '1581888248303718400', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173268', '1583278909414313984', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173269', '1591958463435640832', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173270', '1593125995324510208', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173271', '1593129902020890624', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173272', '1590543166828843008', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173273', '1596788379830325248', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173274', '1569970196410667008', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173275', '1561995446459699200', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173276', '1613048759447588864', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173277', '1579362188047552512', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378256005173278', '1327473526785052672', '1691378256000978944', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691378336330289152', '1327473526785052672', '1691378336326094848', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691378336330289154', '1327473526785052672', '1691378336330289153', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691378336686804992', '1327473526785052672', '1691378336330289155', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691378336690999296', '1327473526785052672', '1691378336686804993', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691378336690999298', '1327473526785052672', '1691378336690999297', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677313', '1329693071213989890', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677314', '1333572587627876352', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677315', '1329693071205601281', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677316', '1323496432312913920', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677317', '1329693071213989888', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677318', '1329693071209795584', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677319', '1329693071213989889', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677320', '1561992470802337792', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677321', '1562314510612697088', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677322', '1564191182190415872', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677323', '1564821097285816320', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677324', '1569528534014234624', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677325', '1567097186544652288', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677326', '1570585310226681856', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677327', '1564192820011601920', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677328', '1570254300322598912', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677329', '1578620683645227008', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677330', '1579726696309985280', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677331', '1580480688216477696', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677332', '1581888248303718400', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677333', '1583278909414313984', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677334', '1591958463435640832', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677335', '1593125995324510208', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677336', '1593129902020890624', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677337', '1590543166828843008', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677338', '1596788379830325248', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677339', '1569970196410667008', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677340', '1561995446459699200', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677341', '1613048759447588864', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677342', '1579362188047552512', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386178273677343', '1327473526785052672', '1691386178273677312', '1');
INSERT INTO `sys_news_push_user` VALUES ('1691386236205404161', '1570252962385760256', '1691386236205404160', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691386236205404163', '1570252962385760256', '1691386236205404162', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691386236662583296', '1570252962385760256', '1691386236209598464', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691386236675166209', '1570252962385760256', '1691386236675166208', '0');
INSERT INTO `sys_news_push_user` VALUES ('1691386236675166211', '1570252962385760256', '1691386236675166210', '0');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log` (
  `id` bigint(20) NOT NULL COMMENT '日志主键',
  `title` varchar(50) DEFAULT '' COMMENT '模块标题',
  `business_type` smallint(2) DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) DEFAULT '' COMMENT '请求方式',
  `operator_type` smallint(1) DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(50) DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) DEFAULT '' COMMENT '返回参数',
  `state` smallint(1) DEFAULT '0' COMMENT '操作状态（1正常 0异常）',
  `error_msg` varchar(2000) DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='操作日志记录';

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES ('127050045593547842', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '222.143.20.184', '', '', '{\"code\":1,\"content\":127050043999518848,\"msg\":\"操作成功\"}', '1', '', '2023-09-21 10:39:14');
INSERT INTO `sys_oper_log` VALUES ('127050160675599921', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '222.143.20.184', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-21 10:39:26');
INSERT INTO `sys_oper_log` VALUES ('127051702255852179', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '222.143.20.184', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-09-21 10:42:00');
INSERT INTO `sys_oper_log` VALUES ('127051752750850311', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '222.143.20.184', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-21 10:42:05');
INSERT INTO `sys_oper_log` VALUES ('127052317527951396', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/exam/saveExam', '222.143.20.184', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-21 10:43:02');
INSERT INTO `sys_oper_log` VALUES ('127054340915367356', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '222.143.20.184', '', '', 'null', '0', 'java.lang.NumberFormatException: For input string: \"\"', '2023-09-21 10:46:24');
INSERT INTO `sys_oper_log` VALUES ('127079255307277027', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/exam/saveExam', '222.143.20.184', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-21 11:27:55');
INSERT INTO `sys_oper_log` VALUES ('127896797260743779', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/role/saveRoleMenu', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:10:30');
INSERT INTO `sys_oper_log` VALUES ('127897490524583202', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:11:39');
INSERT INTO `sys_oper_log` VALUES ('127897676529108486', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:11:58');
INSERT INTO `sys_oper_log` VALUES ('127897872137812949', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:12:17');
INSERT INTO `sys_oper_log` VALUES ('127897978159906379', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:12:28');
INSERT INTO `sys_oper_log` VALUES ('127898309494162692', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:13:01');
INSERT INTO `sys_oper_log` VALUES ('127898495046665052', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:13:19');
INSERT INTO `sys_oper_log` VALUES ('127898582946453554', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:13:28');
INSERT INTO `sys_oper_log` VALUES ('127898653896123749', '视频课件', '3', 'com.lazyit.base.controller.TrainVideoCoursewareController.del()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/del', '221.15.152.3', '', '', '{\"code\":0,\"msg\":\"存在关联培训班章节视频课件，不可删除\"}', '1', '', '2023-09-22 10:13:35');
INSERT INTO `sys_oper_log` VALUES ('127899073310477993', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:14:17');
INSERT INTO `sys_oper_log` VALUES ('127899160713986375', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:14:26');
INSERT INTO `sys_oper_log` VALUES ('127899213616506333', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/video/courseware/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:14:31');
INSERT INTO `sys_oper_log` VALUES ('127899664850245215', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:15:16');
INSERT INTO `sys_oper_log` VALUES ('127902314771421791', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:19:41');
INSERT INTO `sys_oper_log` VALUES ('127903019171350453', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:20:52');
INSERT INTO `sys_oper_log` VALUES ('127903215437599263', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:21:11');
INSERT INTO `sys_oper_log` VALUES ('127903511187788772', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:21:41');
INSERT INTO `sys_oper_log` VALUES ('127909285662308057', '机构部门管理', '2', 'com.lazyit.base.controller.SysOrgController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/org/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:31:18');
INSERT INTO `sys_oper_log` VALUES ('127911982434393377', '机构部门管理', '2', 'com.lazyit.base.controller.SysOrgController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/org/upd', '221.15.156.155', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:35:48');
INSERT INTO `sys_oper_log` VALUES ('127912055529238246', '机构部门管理', '2', 'com.lazyit.base.controller.SysOrgController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/org/upd', '221.15.156.155', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:35:55');
INSERT INTO `sys_oper_log` VALUES ('127914481814607634', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/role/saveRoleMenu', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:39:58');
INSERT INTO `sys_oper_log` VALUES ('127922446189832238', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1691377993613709312,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 10:53:15');
INSERT INTO `sys_oper_log` VALUES ('127931104797805368', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:07:40');
INSERT INTO `sys_oper_log` VALUES ('127931290667614656', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/del', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:07:59');
INSERT INTO `sys_oper_log` VALUES ('127931318459267575', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:08:02');
INSERT INTO `sys_oper_log` VALUES ('127931324925023963', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:08:02');
INSERT INTO `sys_oper_log` VALUES ('127931331157569544', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:08:03');
INSERT INTO `sys_oper_log` VALUES ('127931540080494561', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/del', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:08:24');
INSERT INTO `sys_oper_log` VALUES ('127935763674384717', '地市培训班用户', '2', 'com.lazyit.base.controller.TrainUserController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/user/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 11:15:26');
INSERT INTO `sys_oper_log` VALUES ('128030491692438978', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 13:53:19');
INSERT INTO `sys_oper_log` VALUES ('128033135411953042', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/schedule/saveV2', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 13:57:43');
INSERT INTO `sys_oper_log` VALUES ('128033623423717191', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 13:58:32');
INSERT INTO `sys_oper_log` VALUES ('128033818707584276', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '221.15.152.3', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-09-22 13:58:52');
INSERT INTO `sys_oper_log` VALUES ('128033973217176557', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/classFee/add', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 13:59:07');
INSERT INTO `sys_oper_log` VALUES ('128036187045736416', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '221.15.152.3', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-09-22 14:02:49');
INSERT INTO `sys_oper_log` VALUES ('128044051404039165', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '培训部', '/base/train/plan/updTimes', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:15:55');
INSERT INTO `sys_oper_log` VALUES ('128044159403626921', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '培训部', '/base/train/plan/updTimes', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:16:06');
INSERT INTO `sys_oper_log` VALUES ('128045313627515358', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":128045312767044786,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:18:01');
INSERT INTO `sys_oper_log` VALUES ('128045691093366809', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:18:39');
INSERT INTO `sys_oper_log` VALUES ('128045947649606841', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:19:05');
INSERT INTO `sys_oper_log` VALUES ('128046771471170167', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:20:27');
INSERT INTO `sys_oper_log` VALUES ('128046852951189641', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:20:35');
INSERT INTO `sys_oper_log` VALUES ('128046909271868576', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:20:41');
INSERT INTO `sys_oper_log` VALUES ('128047152892711029', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:21:05');
INSERT INTO `sys_oper_log` VALUES ('128047204236283535', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:21:10');
INSERT INTO `sys_oper_log` VALUES ('128047316367288127', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:21:22');
INSERT INTO `sys_oper_log` VALUES ('128048071036000765', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:22:37');
INSERT INTO `sys_oper_log` VALUES ('128048700207208134', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:23:40');
INSERT INTO `sys_oper_log` VALUES ('128052908407388181', '满意度评价项管理', '2', 'com.lazyit.base.controller.SysAppraiseController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/appraise/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:30:41');
INSERT INTO `sys_oper_log` VALUES ('128053199632199119', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/role/saveRoleMenu', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:31:10');
INSERT INTO `sys_oper_log` VALUES ('128054886358590922', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:33:59');
INSERT INTO `sys_oper_log` VALUES ('128054914960621494', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:34:01');
INSERT INTO `sys_oper_log` VALUES ('128055082926324311', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:34:18');
INSERT INTO `sys_oper_log` VALUES ('128055357942733689', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/trainer/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:34:46');
INSERT INTO `sys_oper_log` VALUES ('128055881181347544', '推荐设置', '6', 'com.lazyit.base.controller.TrainRecommendController.save()', 'POST', '1', '张磊', '单位领导部门', '/base/train/recommend/save', '221.15.152.3', '', '', '{\"code\":1,\"content\":6,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 14:35:38');
INSERT INTO `sys_oper_log` VALUES ('128116419159771214', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:16:32');
INSERT INTO `sys_oper_log` VALUES ('128116442745422627', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:16:34');
INSERT INTO `sys_oper_log` VALUES ('128116453538315586', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:16:35');
INSERT INTO `sys_oper_log` VALUES ('128116467899479686', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:16:37');
INSERT INTO `sys_oper_log` VALUES ('128116473866548995', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:16:37');
INSERT INTO `sys_oper_log` VALUES ('128116478175325911', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:16:38');
INSERT INTO `sys_oper_log` VALUES ('128122655959343335', '调查问卷', '1', 'com.lazyit.base.controller.TrainQuestionnaireController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/questionnaire/add', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:26:56');
INSERT INTO `sys_oper_log` VALUES ('128122690987073892', '调查问卷', '6', 'com.lazyit.base.controller.TrainQuestionnaireController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/questionnaire/release', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:26:59');
INSERT INTO `sys_oper_log` VALUES ('128123792943410429', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:28:49');
INSERT INTO `sys_oper_log` VALUES ('128127856206386349', '考卷管理', '2', 'com.lazyit.base.controller.TrainTestPaperController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/test/paper/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:35:36');
INSERT INTO `sys_oper_log` VALUES ('128127930929166634', '考卷管理', '2', 'com.lazyit.base.controller.TrainTestPaperController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/test/paper/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:35:43');
INSERT INTO `sys_oper_log` VALUES ('128127941281283124', '考卷管理', '2', 'com.lazyit.base.controller.TrainTestPaperController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/test/paper/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:35:44');
INSERT INTO `sys_oper_log` VALUES ('128128006608423434', '考卷管理', '2', 'com.lazyit.base.controller.TrainTestPaperController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/test/paper/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:35:51');
INSERT INTO `sys_oper_log` VALUES ('128134202721693369', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/exam/saveExam', '221.15.152.3', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:46:10');
INSERT INTO `sys_oper_log` VALUES ('128137474596663445', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/dict/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:51:37');
INSERT INTO `sys_oper_log` VALUES ('128137630048169956', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/dict/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 16:51:53');
INSERT INTO `sys_oper_log` VALUES ('128156569979727896', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:23:27');
INSERT INTO `sys_oper_log` VALUES ('128156643533971192', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:23:34');
INSERT INTO `sys_oper_log` VALUES ('128159373684076564', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:28:07');
INSERT INTO `sys_oper_log` VALUES ('128159515958025549', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:28:22');
INSERT INTO `sys_oper_log` VALUES ('128160748731826595', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:30:25');
INSERT INTO `sys_oper_log` VALUES ('128160806002865148', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/upd', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:30:31');
INSERT INTO `sys_oper_log` VALUES ('128161467573970789', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:31:37');
INSERT INTO `sys_oper_log` VALUES ('128162128079149619', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/course/updInfo', '221.15.152.3', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 17:32:43');
INSERT INTO `sys_oper_log` VALUES ('128254896931158863', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 20:07:20');
INSERT INTO `sys_oper_log` VALUES ('128254928857792153', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 20:07:23');
INSERT INTO `sys_oper_log` VALUES ('128254960450703664', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 20:07:26');
INSERT INTO `sys_oper_log` VALUES ('128254991593250977', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-22 20:07:29');
INSERT INTO `sys_oper_log` VALUES ('128961117729326862', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-23 15:44:22');
INSERT INTO `sys_oper_log` VALUES ('128961143704636166', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-23 15:44:24');
INSERT INTO `sys_oper_log` VALUES ('128963147183543721', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-23 15:47:45');
INSERT INTO `sys_oper_log` VALUES ('128981231056290092', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-23 16:17:53');
INSERT INTO `sys_oper_log` VALUES ('129897850137378837', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '223.88.126.73', '', '', '{\"code\":1,\"content\":127931103763926586,\"msg\":\"操作成功\"}', '1', '', '2023-09-24 17:45:35');
INSERT INTO `sys_oper_log` VALUES ('130441653493814293', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 08:51:55');
INSERT INTO `sys_oper_log` VALUES ('130441970455045321', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 08:52:27');
INSERT INTO `sys_oper_log` VALUES ('130442228697569323', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 08:52:53');
INSERT INTO `sys_oper_log` VALUES ('130442573195265711', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 08:53:27');
INSERT INTO `sys_oper_log` VALUES ('130442634523204814', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-09-25 08:53:33');
INSERT INTO `sys_oper_log` VALUES ('130442690500919732', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/classFee/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 08:53:39');
INSERT INTO `sys_oper_log` VALUES ('130443498422437346', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '218.28.192.38', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-09-25 08:55:00');
INSERT INTO `sys_oper_log` VALUES ('130453467718535979', '培训计划管理', '1', 'com.lazyit.base.controller.TrainPlanController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/plan/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":130453467331607919,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 09:11:37');
INSERT INTO `sys_oper_log` VALUES ('130466393935361421', '系统用户', '2', 'com.lazyit.base.controller.SysUserController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/user/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"\",\"msg\":\"操作成功\"}', '1', '', '2023-09-25 09:33:09');
INSERT INTO `sys_oper_log` VALUES ('130493128559512545', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 10:17:43');
INSERT INTO `sys_oper_log` VALUES ('130493159235740317', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 10:17:46');
INSERT INTO `sys_oper_log` VALUES ('130498958462711751', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 10:27:26');
INSERT INTO `sys_oper_log` VALUES ('130692986386612741', '机构部门管理', '2', 'com.lazyit.base.controller.SysOrgController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/org/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 15:50:49');
INSERT INTO `sys_oper_log` VALUES ('130765589661036204', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '221.15.155.248', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-25 17:51:49');
INSERT INTO `sys_oper_log` VALUES ('131374109656444663', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '221.15.157.188', '', '', '{\"code\":1,\"content\":130441652709239612,\"msg\":\"操作成功\"}', '1', '', '2023-09-26 10:46:01');
INSERT INTO `sys_oper_log` VALUES ('171616619544260039', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171616491109730052,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:13:41');
INSERT INTO `sys_oper_log` VALUES ('171618997511130098', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171616491109730052,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:14:05');
INSERT INTO `sys_oper_log` VALUES ('171619815189070063', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '高志远', '培训部', '/base/train/class/del', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-08-30 15:14:13');
INSERT INTO `sys_oper_log` VALUES ('171654905172420035', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '高志远', '培训部', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:20:04');
INSERT INTO `sys_oper_log` VALUES ('171682709202470097', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171682631906150086,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:24:42');
INSERT INTO `sys_oper_log` VALUES ('171684658901840036', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '高志远', '培训部', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:25:01');
INSERT INTO `sys_oper_log` VALUES ('171692000453810088', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171691864968230088,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:26:15');
INSERT INTO `sys_oper_log` VALUES ('171693294624160052', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '高志远', '培训部', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:26:28');
INSERT INTO `sys_oper_log` VALUES ('171698001939480058', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171697901328100029,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:27:15');
INSERT INTO `sys_oper_log` VALUES ('171698748575070038', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '高志远', '培训部', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:27:22');
INSERT INTO `sys_oper_log` VALUES ('171702091978930019', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171701996296970014,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:27:56');
INSERT INTO `sys_oper_log` VALUES ('171849790965070067', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171701996296970014,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:52:33');
INSERT INTO `sys_oper_log` VALUES ('171867050688280059', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:55:25');
INSERT INTO `sys_oper_log` VALUES ('171867633736210034', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":171701996296970014,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:55:31');
INSERT INTO `sys_oper_log` VALUES ('171867874035410087', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:55:34');
INSERT INTO `sys_oper_log` VALUES ('171875451546600091', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1640984872040402944,\"msg\":\"操作成功\"}', '1', '', '2023-08-30 15:56:49');
INSERT INTO `sys_oper_log` VALUES ('178497020487040085', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":178496918262110096,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 10:20:24');
INSERT INTO `sys_oper_log` VALUES ('178499188330270010', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 10:20:45');
INSERT INTO `sys_oper_log` VALUES ('178542766278120015', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '高志远', '培训部', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 10:28:01');
INSERT INTO `sys_oper_log` VALUES ('178824327957670084', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-08-31 11:14:56');
INSERT INTO `sys_oper_log` VALUES ('178834346592780089', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 11:16:37');
INSERT INTO `sys_oper_log` VALUES ('179019030266420048', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 11:47:23');
INSERT INTO `sys_oper_log` VALUES ('179019577399270067', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 11:47:29');
INSERT INTO `sys_oper_log` VALUES ('179046661390170092', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 11:52:00');
INSERT INTO `sys_oper_log` VALUES ('179047305913700071', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 11:52:06');
INSERT INTO `sys_oper_log` VALUES ('179099962937980026', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 12:00:53');
INSERT INTO `sys_oper_log` VALUES ('179725200306670010', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:45:05');
INSERT INTO `sys_oper_log` VALUES ('179751102687870084', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:49:24');
INSERT INTO `sys_oper_log` VALUES ('179751774943950082', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:49:31');
INSERT INTO `sys_oper_log` VALUES ('179766986831520010', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:52:03');
INSERT INTO `sys_oper_log` VALUES ('179767089129120014', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:52:04');
INSERT INTO `sys_oper_log` VALUES ('179767486150030031', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:52:08');
INSERT INTO `sys_oper_log` VALUES ('179783543213580077', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:54:49');
INSERT INTO `sys_oper_log` VALUES ('179813951567650021', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 13:59:53');
INSERT INTO `sys_oper_log` VALUES ('179821975142030096', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 14:01:13');
INSERT INTO `sys_oper_log` VALUES ('179822594277990049', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":179018949044720052,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 14:01:19');
INSERT INTO `sys_oper_log` VALUES ('179825287329720093', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-31 14:01:46');
INSERT INTO `sys_oper_log` VALUES ('794376488376498702', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:34');
INSERT INTO `sys_oper_log` VALUES ('794377229775947670', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:35');
INSERT INTO `sys_oper_log` VALUES ('794377986984330235', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:36');
INSERT INTO `sys_oper_log` VALUES ('794378568029684636', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:36');
INSERT INTO `sys_oper_log` VALUES ('794379326988214676', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:37');
INSERT INTO `sys_oper_log` VALUES ('794380478988229969', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:38');
INSERT INTO `sys_oper_log` VALUES ('794381968297793573', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:40');
INSERT INTO `sys_oper_log` VALUES ('794382681539967709', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:40');
INSERT INTO `sys_oper_log` VALUES ('794383739770337273', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:41');
INSERT INTO `sys_oper_log` VALUES ('794384427675601317', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:07:42');
INSERT INTO `sys_oper_log` VALUES ('794409002598372378', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:08:07');
INSERT INTO `sys_oper_log` VALUES ('794409768346632131', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:08:07');
INSERT INTO `sys_oper_log` VALUES ('794560170867803829', '培训班练习题', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExercises()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/exam/saveExercises', '218.28.192.38', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-10-07 15:10:38');
INSERT INTO `sys_oper_log` VALUES ('1598508827844677632', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '172.16.60.186', '', '', '{\"code\":1,\"content\":1597161124694986752,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 10:46:18');
INSERT INTO `sys_oper_log` VALUES ('1598508872228802560', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '172.16.60.186', '', '', '{\"code\":1,\"content\":1597161124694986752,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 10:46:29');
INSERT INTO `sys_oper_log` VALUES ('1598508965208133632', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '172.16.60.186', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 10:46:51');
INSERT INTO `sys_oper_log` VALUES ('1598509064688635904', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '172.16.60.186', '', '', '{\"code\":1,\"content\":1597161124694986752,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 10:47:15');
INSERT INTO `sys_oper_log` VALUES ('1598509337742020608', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '172.16.60.186', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 10:48:20');
INSERT INTO `sys_oper_log` VALUES ('1598509364937887744', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '172.16.60.186', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 10:48:26');
INSERT INTO `sys_oper_log` VALUES ('1598521011479908352', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/exam/saveExam', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:34:43');
INSERT INTO `sys_oper_log` VALUES ('1598521654546403328', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1598521650104635392,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:37:16');
INSERT INTO `sys_oper_log` VALUES ('1598521725228814336', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:37:33');
INSERT INTO `sys_oper_log` VALUES ('1598521787098992640', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:37:48');
INSERT INTO `sys_oper_log` VALUES ('1598521852307836928', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:38:03');
INSERT INTO `sys_oper_log` VALUES ('1598521941336133632', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:38:25');
INSERT INTO `sys_oper_log` VALUES ('1598522058965389312', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:38:53');
INSERT INTO `sys_oper_log` VALUES ('1598522087448907776', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:38:59');
INSERT INTO `sys_oper_log` VALUES ('1598522114229538816', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1598522109934571520,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:39:06');
INSERT INTO `sys_oper_log` VALUES ('1598522174199697408', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:39:20');
INSERT INTO `sys_oper_log` VALUES ('1598522508145987584', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-02 11:40:40');
INSERT INTO `sys_oper_log` VALUES ('1598522613691453440', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2022-12-02 11:41:05');
INSERT INTO `sys_oper_log` VALUES ('1598522637133418496', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2022-12-02 11:41:10');
INSERT INTO `sys_oper_log` VALUES ('1598950921415561216', '培训计划管理', '1', 'com.lazyit.base.controller.TrainPlanController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/plan/add', '222.137.30.112', '', '', '{\"code\":1,\"content\":1598950921180680192,\"msg\":\"操作成功\"}', '1', '', '2022-12-03 16:03:01');
INSERT INTO `sys_oper_log` VALUES ('1598951182963970048', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '222.137.30.112', '', '', '{\"code\":1,\"content\":1598951182674563072,\"msg\":\"操作成功\"}', '1', '', '2022-12-03 16:04:04');
INSERT INTO `sys_oper_log` VALUES ('1598951280619950080', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/schedule/saveV2', '222.137.30.112', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-03 16:04:27');
INSERT INTO `sys_oper_log` VALUES ('1598951338195161088', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '222.137.30.112', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2022-12-03 16:04:41');
INSERT INTO `sys_oper_log` VALUES ('1598951356905951232', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/classFee/add', '222.137.30.112', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-03 16:04:45');
INSERT INTO `sys_oper_log` VALUES ('1598951400669319168', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/release', '222.137.30.112', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-03 16:04:56');
INSERT INTO `sys_oper_log` VALUES ('1598956130959233024', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/exam/saveExam', '222.137.30.112', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-03 16:23:43');
INSERT INTO `sys_oper_log` VALUES ('1599662455829696512', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1599662455414460416,\"msg\":\"操作成功\"}', '1', '', '2022-12-05 15:10:24');
INSERT INTO `sys_oper_log` VALUES ('1599662515774689280', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-05 15:10:39');
INSERT INTO `sys_oper_log` VALUES ('1600022259056119808', '轮播图', '1', 'com.lazyit.base.controller.TrainAdController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/ad/add', '218.28.234.62', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-06 15:00:08');
INSERT INTO `sys_oper_log` VALUES ('1600295656856096768', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '218.28.234.62', '', '', '{\"code\":1,\"content\":1599662455414460416,\"msg\":\"操作成功\"}', '1', '', '2022-12-07 09:06:31');
INSERT INTO `sys_oper_log` VALUES ('1600486431845912576', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1599662455414460416,\"msg\":\"操作成功\"}', '1', '', '2022-12-07 21:44:36');
INSERT INTO `sys_oper_log` VALUES ('1600487480052813824', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1599662455414460416,\"msg\":\"操作成功\"}', '1', '', '2022-12-07 21:48:46');
INSERT INTO `sys_oper_log` VALUES ('1600488153733533696', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1599662455414460416,\"msg\":\"操作成功\"}', '1', '', '2022-12-07 21:51:26');
INSERT INTO `sys_oper_log` VALUES ('1600725064679034880', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李露露', '工会', '/base/train/class/addBaseInfo', '115.57.150.48', '', '', '{\"code\":1,\"content\":1596689079976726528,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 13:32:50');
INSERT INTO `sys_oper_log` VALUES ('1600725447858065408', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李露露', '工会', '/base/train/class/schedule/saveV2', '115.57.150.48', '', '', '{\"code\":1,\"content\":0,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 13:34:21');
INSERT INTO `sys_oper_log` VALUES ('1600726316582309888', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李露露', '工会', '/base/train/class/release', '115.57.150.48', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2022-12-08 13:37:49');
INSERT INTO `sys_oper_log` VALUES ('1600726334546513920', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李露露', '工会', '/base/train/classFee/add', '115.57.150.48', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 13:37:53');
INSERT INTO `sys_oper_log` VALUES ('1600726372861480960', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李露露', '工会', '/base/train/class/release', '115.57.150.48', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 13:38:02');
INSERT INTO `sys_oper_log` VALUES ('1600764294847401984', '视频课件', '1', 'com.lazyit.base.controller.TrainVideoCoursewareController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/video/courseware/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 16:08:43');
INSERT INTO `sys_oper_log` VALUES ('1600764485491101696', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 16:09:29');
INSERT INTO `sys_oper_log` VALUES ('1600764528692432896', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-08 16:09:39');
INSERT INTO `sys_oper_log` VALUES ('1601102470103306240', '场地管理', '1', 'com.lazyit.base.controller.TrainSpaceController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/space/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 14:32:30');
INSERT INTO `sys_oper_log` VALUES ('1601102533391159296', '场地管理', '2', 'com.lazyit.base.controller.TrainSpaceController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/space/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 14:32:46');
INSERT INTO `sys_oper_log` VALUES ('1601102701310119936', '场地管理', '1', 'com.lazyit.base.controller.TrainSpaceController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/space/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 14:33:26');
INSERT INTO `sys_oper_log` VALUES ('1601102782398599168', '场地管理', '1', 'com.lazyit.base.controller.TrainSpaceController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/space/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 14:33:45');
INSERT INTO `sys_oper_log` VALUES ('1601103092600934400', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 14:34:59');
INSERT INTO `sys_oper_log` VALUES ('1601103452946173952', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103448521183232,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 14:36:25');
INSERT INTO `sys_oper_log` VALUES ('1601140543319052288', '培训计划管理', '1', 'com.lazyit.base.controller.TrainPlanController.add()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/plan/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601140540873773056,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:03:48');
INSERT INTO `sys_oper_log` VALUES ('1601140581399138304', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/plan/updTimes', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:03:57');
INSERT INTO `sys_oper_log` VALUES ('1601140652903632896', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601140648700940288,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:04:14');
INSERT INTO `sys_oper_log` VALUES ('1601141118324576256', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '测试省级', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:06:05');
INSERT INTO `sys_oper_log` VALUES ('1601141363192238080', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601141358767247360,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:07:03');
INSERT INTO `sys_oper_log` VALUES ('1601141410759839744', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:07:15');
INSERT INTO `sys_oper_log` VALUES ('1601141429382549504', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:07:19');
INSERT INTO `sys_oper_log` VALUES ('1601141618965090304', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601141614636568576,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:08:04');
INSERT INTO `sys_oper_log` VALUES ('1601141664041275392', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '测试省级', '单位领导部门', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-09 17:08:15');
INSERT INTO `sys_oper_log` VALUES ('1601898126434766848', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-11 19:14:10');
INSERT INTO `sys_oper_log` VALUES ('1602170580608618496', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1602170576401731584,\"msg\":\"操作成功\"}', '1', '', '2022-12-12 13:16:48');
INSERT INTO `sys_oper_log` VALUES ('1602176548398567424', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1602170576401731584,\"msg\":\"操作成功\"}', '1', '', '2022-12-12 13:40:31');
INSERT INTO `sys_oper_log` VALUES ('1602181276427751424', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-12 13:59:18');
INSERT INTO `sys_oper_log` VALUES ('1602186410838855680', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-12 14:19:42');
INSERT INTO `sys_oper_log` VALUES ('1602186789936828416', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1602170576401731584,\"msg\":\"操作成功\"}', '1', '', '2022-12-12 14:21:13');
INSERT INTO `sys_oper_log` VALUES ('1602187220721209344', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-12 14:22:55');
INSERT INTO `sys_oper_log` VALUES ('1602895611722600448', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:17:49');
INSERT INTO `sys_oper_log` VALUES ('1602895698209148928', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:18:09');
INSERT INTO `sys_oper_log` VALUES ('1602895940413427712', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:19:07');
INSERT INTO `sys_oper_log` VALUES ('1602895980825546752', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:19:17');
INSERT INTO `sys_oper_log` VALUES ('1602896303594016768', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:20:34');
INSERT INTO `sys_oper_log` VALUES ('1602896336166981632', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:20:42');
INSERT INTO `sys_oper_log` VALUES ('1602896518912806912', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:21:25');
INSERT INTO `sys_oper_log` VALUES ('1602896558116966400', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:21:34');
INSERT INTO `sys_oper_log` VALUES ('1602897390858276864', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:24:53');
INSERT INTO `sys_oper_log` VALUES ('1602898581130448896', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.upd()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/course/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-14 13:29:37');
INSERT INTO `sys_oper_log` VALUES ('1603290552764338176', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:27:10');
INSERT INTO `sys_oper_log` VALUES ('1603290582699085824', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:27:17');
INSERT INTO `sys_oper_log` VALUES ('1603290620208746496', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:27:26');
INSERT INTO `sys_oper_log` VALUES ('1603290672771764224', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:27:39');
INSERT INTO `sys_oper_log` VALUES ('1603290724428812288', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:27:51');
INSERT INTO `sys_oper_log` VALUES ('1603290743655501824', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:27:56');
INSERT INTO `sys_oper_log` VALUES ('1603290793169260544', '字典管理', '1', 'com.lazyit.base.controller.SysDictController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/dict/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-15 15:28:07');
INSERT INTO `sys_oper_log` VALUES ('1603658472048693248', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-16 15:49:09');
INSERT INTO `sys_oper_log` VALUES ('1607634119729221632', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1607634115245510656,\"msg\":\"操作成功\"}', '1', '', '2022-12-27 15:06:57');
INSERT INTO `sys_oper_log` VALUES ('1607634264806002688', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-27 15:07:32');
INSERT INTO `sys_oper_log` VALUES ('1607634442317336576', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2022-12-27 15:08:14');
INSERT INTO `sys_oper_log` VALUES ('1607634469483843584', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-27 15:08:21');
INSERT INTO `sys_oper_log` VALUES ('1607634492720287744', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-27 15:08:26');
INSERT INTO `sys_oper_log` VALUES ('1607996882662068224', '系统用户角色', '1', 'com.lazyit.base.controller.SysUserController.saveRoleMenu()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/saveUserRole', '218.28.192.38', '', '', '{\"code\":1,\"content\":2,\"msg\":\"操作成功\"}', '1', '', '2022-12-28 15:08:27');
INSERT INTO `sys_oper_log` VALUES ('1608014825932328960', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-28 16:19:45');
INSERT INTO `sys_oper_log` VALUES ('1608014934480916480', '系统用户角色', '1', 'com.lazyit.base.controller.SysUserController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/user/saveUserRole', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-28 16:20:10');
INSERT INTO `sys_oper_log` VALUES ('1608024166462787584', '推荐设置', '6', 'com.lazyit.base.controller.TrainRecommendController.save()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/recommend/save', '127.0.0.1', '', '', '{\"code\":1,\"content\":8,\"msg\":\"操作成功\"}', '1', '', '2022-12-28 16:56:52');
INSERT INTO `sys_oper_log` VALUES ('1608028908467392512', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-28 17:15:41');
INSERT INTO `sys_oper_log` VALUES ('1608368846706708480', '推荐设置', '6', 'com.lazyit.base.controller.TrainRecommendController.save()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/recommend/save', '127.0.0.1', '', '', '{\"code\":1,\"content\":9,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 15:46:30');
INSERT INTO `sys_oper_log` VALUES ('1608371360814469120', '推荐设置', '6', 'com.lazyit.base.controller.TrainRecommendController.save()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/recommend/save', '127.0.0.1', '', '', '{\"code\":1,\"content\":9,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 15:56:29');
INSERT INTO `sys_oper_log` VALUES ('1608384729797758976', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 16:49:37');
INSERT INTO `sys_oper_log` VALUES ('1608386108629061632', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 16:55:05');
INSERT INTO `sys_oper_log` VALUES ('1608396907791650816', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 17:38:00');
INSERT INTO `sys_oper_log` VALUES ('1608397149274509312', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 17:38:58');
INSERT INTO `sys_oper_log` VALUES ('1608397412815212544', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 17:40:00');
INSERT INTO `sys_oper_log` VALUES ('1608397767959515136', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"讲师置顶超限\"}', '1', '', '2022-12-29 17:41:25');
INSERT INTO `sys_oper_log` VALUES ('1608397804030529536', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"讲师置顶超限\"}', '1', '', '2022-12-29 17:41:34');
INSERT INTO `sys_oper_log` VALUES ('1608398300027949056', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:32');
INSERT INTO `sys_oper_log` VALUES ('1608398305828671488', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:33');
INSERT INTO `sys_oper_log` VALUES ('1608398310685675520', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:34');
INSERT INTO `sys_oper_log` VALUES ('1608398315311992832', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:36');
INSERT INTO `sys_oper_log` VALUES ('1608398322626859008', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:37');
INSERT INTO `sys_oper_log` VALUES ('1608398328851206144', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:39');
INSERT INTO `sys_oper_log` VALUES ('1608398333049704448', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:40');
INSERT INTO `sys_oper_log` VALUES ('1608398337164316672', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:41');
INSERT INTO `sys_oper_log` VALUES ('1608398340653977600', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:42');
INSERT INTO `sys_oper_log` VALUES ('1608398344630177792', '设置内训师推荐', '3', 'com.lazyit.base.controller.TrainTrainerController.delSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/delSetting', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2022-12-29 17:43:43');
INSERT INTO `sys_oper_log` VALUES ('1608398362946703360', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"讲师置顶超限\"}', '1', '', '2022-12-29 17:43:47');
INSERT INTO `sys_oper_log` VALUES ('1608398395473530880', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"讲师置顶超限\"}', '1', '', '2022-12-29 17:43:55');
INSERT INTO `sys_oper_log` VALUES ('1608398555175849984', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"讲师置顶超限\"}', '1', '', '2022-12-29 17:44:33');
INSERT INTO `sys_oper_log` VALUES ('1608398656069832704', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 17:44:57');
INSERT INTO `sys_oper_log` VALUES ('1608398720066523136', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"讲师置顶超限\"}', '1', '', '2022-12-29 17:45:12');
INSERT INTO `sys_oper_log` VALUES ('1608398751112761344', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2022-12-29 17:45:20');
INSERT INTO `sys_oper_log` VALUES ('1610163075388936192', '固定资产-改变数量', '2', 'com.lazyit.base.controller.TrainFixedAssetsController.changeNum()', 'POST', '1', '主宰', '单位领导部门', '/base/train/fixed/assets/changeNum', '218.28.192.38', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 14:36:07');
INSERT INTO `sys_oper_log` VALUES ('1610175248098004992', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1610175243224223744,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 15:24:29');
INSERT INTO `sys_oper_log` VALUES ('1610175336320995328', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 15:24:50');
INSERT INTO `sys_oper_log` VALUES ('1610175799183413248', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1610175794691313664,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 15:26:41');
INSERT INTO `sys_oper_log` VALUES ('1610175852245553152', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 15:26:53');
INSERT INTO `sys_oper_log` VALUES ('1610176277027885056', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 15:28:35');
INSERT INTO `sys_oper_log` VALUES ('1610176311861579776', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 15:28:43');
INSERT INTO `sys_oper_log` VALUES ('1610216760915660800', '固定资产管理', '2', 'com.lazyit.base.controller.TrainFixedAssetsController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/fixed/assets/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-03 18:09:27');
INSERT INTO `sys_oper_log` VALUES ('1610449936736980992', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 09:36:00');
INSERT INTO `sys_oper_log` VALUES ('1610457048670146560', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:04:16');
INSERT INTO `sys_oper_log` VALUES ('1610458208768495616', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:08:52');
INSERT INTO `sys_oper_log` VALUES ('1610458450410737664', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:09:50');
INSERT INTO `sys_oper_log` VALUES ('1610464463436255232', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1610464458696691712,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:33:44');
INSERT INTO `sys_oper_log` VALUES ('1610464525818138624', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:33:59');
INSERT INTO `sys_oper_log` VALUES ('1610464940211179520', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:35:37');
INSERT INTO `sys_oper_log` VALUES ('1610464966152949760', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:35:44');
INSERT INTO `sys_oper_log` VALUES ('1610468167845548032', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 10:48:27');
INSERT INTO `sys_oper_log` VALUES ('1610472899364392960', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:07:15');
INSERT INTO `sys_oper_log` VALUES ('1610472908046602240', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:07:17');
INSERT INTO `sys_oper_log` VALUES ('1610478081603145728', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:27:51');
INSERT INTO `sys_oper_log` VALUES ('1610479887066468352', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:35:01');
INSERT INTO `sys_oper_log` VALUES ('1610484226447249408', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:52:16');
INSERT INTO `sys_oper_log` VALUES ('1610485903904608256', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:58:56');
INSERT INTO `sys_oper_log` VALUES ('1610485982572974080', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:59:14');
INSERT INTO `sys_oper_log` VALUES ('1610486147958575104', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 11:59:54');
INSERT INTO `sys_oper_log` VALUES ('1610487021183307776', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 12:03:22');
INSERT INTO `sys_oper_log` VALUES ('1610489037553012736', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 12:11:23');
INSERT INTO `sys_oper_log` VALUES ('1610489170512449536', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 12:11:54');
INSERT INTO `sys_oper_log` VALUES ('1610510961830137856', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 13:38:30');
INSERT INTO `sys_oper_log` VALUES ('1610511197667463168', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1601103088209498112,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 13:39:26');
INSERT INTO `sys_oper_log` VALUES ('1610564729288396800', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1597769173512097792,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 17:12:09');
INSERT INTO `sys_oper_log` VALUES ('1610564790672035840', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 17:12:24');
INSERT INTO `sys_oper_log` VALUES ('1610565787330940928', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1597769173512097792,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 17:16:21');
INSERT INTO `sys_oper_log` VALUES ('1610565797862838272', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-04 17:16:24');
INSERT INTO `sys_oper_log` VALUES ('1610829324330602496', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1610829322136981504,\"msg\":\"操作成功\"}', '1', '', '2023-01-05 10:43:33');
INSERT INTO `sys_oper_log` VALUES ('1610829571249278976', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-01-05 10:44:32');
INSERT INTO `sys_oper_log` VALUES ('1610829664299913216', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-05 10:44:54');
INSERT INTO `sys_oper_log` VALUES ('1610829684986220544', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-05 10:44:59');
INSERT INTO `sys_oper_log` VALUES ('1610830977184174080', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1610830975682613248,\"msg\":\"操作成功\"}', '1', '', '2023-01-05 10:50:07');
INSERT INTO `sys_oper_log` VALUES ('1610831107459256320', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-05 10:50:38');
INSERT INTO `sys_oper_log` VALUES ('1610831126505590784', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-05 10:50:43');
INSERT INTO `sys_oper_log` VALUES ('1610832721838477312', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1610832720240447488,\"msg\":\"操作成功\"}', '1', '', '2023-01-05 10:57:03');
INSERT INTO `sys_oper_log` VALUES ('1610832952239984640', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-05 10:57:58');
INSERT INTO `sys_oper_log` VALUES ('1610832986603917312', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-05 10:58:06');
INSERT INTO `sys_oper_log` VALUES ('1611169114439684096', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1611169111981821952,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 09:13:46');
INSERT INTO `sys_oper_log` VALUES ('1611169244312113152', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-01-06 09:14:17');
INSERT INTO `sys_oper_log` VALUES ('1611169278319529984', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 09:14:25');
INSERT INTO `sys_oper_log` VALUES ('1611169414047207424', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 09:14:57');
INSERT INTO `sys_oper_log` VALUES ('1611169594876235776', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 09:15:40');
INSERT INTO `sys_oper_log` VALUES ('1611169688136585216', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-06 09:16:02');
INSERT INTO `sys_oper_log` VALUES ('1611208178224205824', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1611208176332574720,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 11:48:59');
INSERT INTO `sys_oper_log` VALUES ('1611208376598007808', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 11:49:46');
INSERT INTO `sys_oper_log` VALUES ('1611208409019977728', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-06 11:49:54');
INSERT INTO `sys_oper_log` VALUES ('1611245189417013248', '系统用户', '2', 'com.lazyit.base.controller.SysUserController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":\"\",\"msg\":\"操作成功\"}', '1', '', '2023-01-06 14:16:03');
INSERT INTO `sys_oper_log` VALUES ('1611245682935599104', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1611245681211740160,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 14:18:01');
INSERT INTO `sys_oper_log` VALUES ('1611245777512960000', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-01-06 14:18:23');
INSERT INTO `sys_oper_log` VALUES ('1611245897147092992', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-06 14:18:52');
INSERT INTO `sys_oper_log` VALUES ('1611245952293801984', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-06 14:19:05');
INSERT INTO `sys_oper_log` VALUES ('1611971058523574272', '轮播图设置', '1', 'com.lazyit.base.controller.TrainSettingController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/setting/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 14:20:24');
INSERT INTO `sys_oper_log` VALUES ('1611971076194177024', '轮播图设置', '1', 'com.lazyit.base.controller.TrainSettingController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/setting/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 14:20:28');
INSERT INTO `sys_oper_log` VALUES ('1611978246583357440', '考核规则管理', '1', 'com.lazyit.base.controller.TrainRuleController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/train/rule/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 14:48:58');
INSERT INTO `sys_oper_log` VALUES ('1611989574366662656', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1611989569824231424,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 15:33:58');
INSERT INTO `sys_oper_log` VALUES ('1611989680520302592', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 15:34:24');
INSERT INTO `sys_oper_log` VALUES ('1611989811709743104', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 15:34:55');
INSERT INTO `sys_oper_log` VALUES ('1611989832152780800', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-08 15:35:00');
INSERT INTO `sys_oper_log` VALUES ('1612263655674613760', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612263653086728192,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 09:43:05');
INSERT INTO `sys_oper_log` VALUES ('1612263821622251520', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 09:43:44');
INSERT INTO `sys_oper_log` VALUES ('1612263854165856256', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-09 09:43:52');
INSERT INTO `sys_oper_log` VALUES ('1612324402416979968', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612324397706776576,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 13:44:28');
INSERT INTO `sys_oper_log` VALUES ('1612324463431520256', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 13:44:42');
INSERT INTO `sys_oper_log` VALUES ('1612324548550725632', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-01-09 13:45:03');
INSERT INTO `sys_oper_log` VALUES ('1612324597506641920', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 13:45:14');
INSERT INTO `sys_oper_log` VALUES ('1612324619958751232', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 13:45:20');
INSERT INTO `sys_oper_log` VALUES ('1612367514568888320', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612367512480124928,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 16:35:46');
INSERT INTO `sys_oper_log` VALUES ('1612367611708968960', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 16:36:10');
INSERT INTO `sys_oper_log` VALUES ('1612367816743325696', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 16:36:58');
INSERT INTO `sys_oper_log` VALUES ('1612367917863800832', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-09 16:37:23');
INSERT INTO `sys_oper_log` VALUES ('1612402199843966976', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612402197872644096,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 18:53:36');
INSERT INTO `sys_oper_log` VALUES ('1612402285583929344', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 18:53:57');
INSERT INTO `sys_oper_log` VALUES ('1612402425526882304', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-09 18:54:30');
INSERT INTO `sys_oper_log` VALUES ('1612402530480951296', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-09 18:54:55');
INSERT INTO `sys_oper_log` VALUES ('1612708281313267712', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612708278364672000,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 15:09:51');
INSERT INTO `sys_oper_log` VALUES ('1612708499622596608', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 15:10:44');
INSERT INTO `sys_oper_log` VALUES ('1612708528827535360', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-10 15:10:51');
INSERT INTO `sys_oper_log` VALUES ('1612708554047885312', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-10 15:10:57');
INSERT INTO `sys_oper_log` VALUES ('1612710060834820096', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612710059157098496,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 15:16:56');
INSERT INTO `sys_oper_log` VALUES ('1612710603892330496', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 15:19:05');
INSERT INTO `sys_oper_log` VALUES ('1612712861841362944', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 15:28:04');
INSERT INTO `sys_oper_log` VALUES ('1612712969530118144', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-10 15:28:29');
INSERT INTO `sys_oper_log` VALUES ('1612767797610418176', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1612767792682110976,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 19:06:21');
INSERT INTO `sys_oper_log` VALUES ('1612767996969881600', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 19:07:09');
INSERT INTO `sys_oper_log` VALUES ('1612768135142838272', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 19:07:42');
INSERT INTO `sys_oper_log` VALUES ('1612768161961218048', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-10 19:07:48');
INSERT INTO `sys_oper_log` VALUES ('1613015863584231424', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613015858672701440,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 11:32:05');
INSERT INTO `sys_oper_log` VALUES ('1613017434053283840', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 11:38:18');
INSERT INTO `sys_oper_log` VALUES ('1613048762467487744', '系统用户', '1', 'com.lazyit.base.controller.SysUserController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":\"PXZXN14715@\",\"msg\":\"操作成功\"}', '1', '', '2023-01-11 13:42:49');
INSERT INTO `sys_oper_log` VALUES ('1613049313087328256', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '培训中心内', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613049308599422976,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 13:45:00');
INSERT INTO `sys_oper_log` VALUES ('1613049365839089664', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '培训中心内', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 13:45:12');
INSERT INTO `sys_oper_log` VALUES ('1613049544860372992', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '培训中心内', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 13:45:55');
INSERT INTO `sys_oper_log` VALUES ('1613049655359311872', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '培训中心内', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-11 13:46:21');
INSERT INTO `sys_oper_log` VALUES ('1613049901032280064', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '培训中心内', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-11 13:47:20');
INSERT INTO `sys_oper_log` VALUES ('1613064328917946368', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613064326346838016,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 14:44:40');
INSERT INTO `sys_oper_log` VALUES ('1613064356088647680', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613064326346838016,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 14:44:46');
INSERT INTO `sys_oper_log` VALUES ('1613064674146914304', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 14:46:02');
INSERT INTO `sys_oper_log` VALUES ('1613064784616493056', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-11 14:46:29');
INSERT INTO `sys_oper_log` VALUES ('1613107128250273792', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-11 17:34:44');
INSERT INTO `sys_oper_log` VALUES ('1613342719659347968', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613342717457338368,\"msg\":\"操作成功\"}', '1', '', '2023-01-12 09:10:53');
INSERT INTO `sys_oper_log` VALUES ('1613342801339224064', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-12 09:11:13');
INSERT INTO `sys_oper_log` VALUES ('1613342963239358464', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-12 09:11:52');
INSERT INTO `sys_oper_log` VALUES ('1613343076498149376', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-01-12 09:12:19');
INSERT INTO `sys_oper_log` VALUES ('1613354807123382272', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2023-01-12 09:58:55');
INSERT INTO `sys_oper_log` VALUES ('1613368361385857024', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2023-01-12 10:52:46');
INSERT INTO `sys_oper_log` VALUES ('1613374575905738752', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2023-01-12 11:17:28');
INSERT INTO `sys_oper_log` VALUES ('1613418313814249472', '设置内训师推荐', '6', 'com.lazyit.base.controller.TrainTrainerController.trainerSetting()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/trainer/trainerSetting', '127.0.0.1', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2023-01-12 14:11:16');
INSERT INTO `sys_oper_log` VALUES ('1613804409987403776', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613804407424684032,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 15:45:29');
INSERT INTO `sys_oper_log` VALUES ('1613804643865989120', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 15:46:25');
INSERT INTO `sys_oper_log` VALUES ('1613804828427948032', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 15:47:09');
INSERT INTO `sys_oper_log` VALUES ('1613804850863280128', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 15:47:14');
INSERT INTO `sys_oper_log` VALUES ('1613808333314199552', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613808331804250112,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:01:04');
INSERT INTO `sys_oper_log` VALUES ('1613808403371659264', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:01:21');
INSERT INTO `sys_oper_log` VALUES ('1613810064567701504', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613808331804250112,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:07:57');
INSERT INTO `sys_oper_log` VALUES ('1613810581977042944', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613808331804250112,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:10:01');
INSERT INTO `sys_oper_log` VALUES ('1613810638860193792', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613808331804250112,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:10:14');
INSERT INTO `sys_oper_log` VALUES ('1613810723081818112', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-01-13 16:10:34');
INSERT INTO `sys_oper_log` VALUES ('1613810769726672896', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:10:45');
INSERT INTO `sys_oper_log` VALUES ('1613810855437275136', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:11:06');
INSERT INTO `sys_oper_log` VALUES ('1613814278979194880', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1613814276676521984,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:24:42');
INSERT INTO `sys_oper_log` VALUES ('1613814371920777216', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:25:04');
INSERT INTO `sys_oper_log` VALUES ('1613814532331933696', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:25:42');
INSERT INTO `sys_oper_log` VALUES ('1613814585045946368', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-13 16:25:55');
INSERT INTO `sys_oper_log` VALUES ('1614180573725724672', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614180571775373312,\"msg\":\"操作成功\"}', '1', '', '2023-01-14 16:40:13');
INSERT INTO `sys_oper_log` VALUES ('1614180723881807872', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-14 16:40:49');
INSERT INTO `sys_oper_log` VALUES ('1614180924512145408', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-14 16:41:37');
INSERT INTO `sys_oper_log` VALUES ('1614180945139732480', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-14 16:41:42');
INSERT INTO `sys_oper_log` VALUES ('1614443789940822016', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 10:06:09');
INSERT INTO `sys_oper_log` VALUES ('1614444261925851136', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 10:08:02');
INSERT INTO `sys_oper_log` VALUES ('1614444682375467008', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 10:09:42');
INSERT INTO `sys_oper_log` VALUES ('1614456538083233792', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 10:56:48');
INSERT INTO `sys_oper_log` VALUES ('1614456640776572928', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1597126122154364928,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 10:57:13');
INSERT INTO `sys_oper_log` VALUES ('1614456991332306944', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1592058496772345856,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 10:58:36');
INSERT INTO `sys_oper_log` VALUES ('1614469856067981312', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 11:49:44');
INSERT INTO `sys_oper_log` VALUES ('1614471916670816256', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1597126122154364928,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 11:57:55');
INSERT INTO `sys_oper_log` VALUES ('1614491124817334272', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 13:14:15');
INSERT INTO `sys_oper_log` VALUES ('1614492772180561920', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 13:20:47');
INSERT INTO `sys_oper_log` VALUES ('1614493283919204352', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 13:22:49');
INSERT INTO `sys_oper_log` VALUES ('1614493789425111040', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 13:24:50');
INSERT INTO `sys_oper_log` VALUES ('1614494411855630336', '考核规则管理', '1', 'com.lazyit.base.controller.TrainRuleController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/rule/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 13:27:18');
INSERT INTO `sys_oper_log` VALUES ('1614495010294730752', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:29:41');
INSERT INTO `sys_oper_log` VALUES ('1614495017844477952', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:29:43');
INSERT INTO `sys_oper_log` VALUES ('1614495026967089152', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:29:45');
INSERT INTO `sys_oper_log` VALUES ('1614495029794050048', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:29:46');
INSERT INTO `sys_oper_log` VALUES ('1614495033078190080', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:29:46');
INSERT INTO `sys_oper_log` VALUES ('1614495389577252864', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:31:11');
INSERT INTO `sys_oper_log` VALUES ('1614495439304921088', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:31:23');
INSERT INTO `sys_oper_log` VALUES ('1614495458292535296', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:31:28');
INSERT INTO `sys_oper_log` VALUES ('1614495583437983744', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:31:58');
INSERT INTO `sys_oper_log` VALUES ('1614495599770603520', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '127.0.0.1', '', '', 'null', '0', 'java.lang.ClassCastException: com.lazyit.base.service.impl.TrainAdServiceImpl cannot be cast to com.lazyit.common.service.impl.BaseServiceImpl', '2023-01-15 13:32:01');
INSERT INTO `sys_oper_log` VALUES ('1614500559933542400', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 13:51:44');
INSERT INTO `sys_oper_log` VALUES ('1614547247662501888', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1597126122154364928,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 16:57:15');
INSERT INTO `sys_oper_log` VALUES ('1614555512689528832', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-15 17:30:06');
INSERT INTO `sys_oper_log` VALUES ('1614903515493306368', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '高志远', '运营管理部', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-16 16:32:56');
INSERT INTO `sys_oper_log` VALUES ('1614997317742628864', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-16 22:45:40');
INSERT INTO `sys_oper_log` VALUES ('1614997695808802816', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-16 22:47:11');
INSERT INTO `sys_oper_log` VALUES ('1614998057416527872', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-16 22:48:37');
INSERT INTO `sys_oper_log` VALUES ('1615000345094787072', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', 'null', '0', 'org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 534,077 milliseconds ago.  The last packet sent successfully to the server was 19,212 milliseconds ago.\r\n### The error may exist in file [W:\\pro\\train2\\train_service\\base\\target\\classes\\mapping\\extend\\ExtendTrainVideoCoursewareMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: select IFNULL(sum(video_len),0) as video_len from train_video_courseware where id in      (         ?      )\r\n### Cause: com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 534,077 milliseconds ago.  The last packet sent successfully to the server was 19,212 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 534,077 milliseconds ago.  The last packet sent successfully to the server was 19,212 milliseconds ago.; nested exception is com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 534,077 milliseconds ago.  The last packet sent successfully to the server was 19,212 milliseconds ago.', '2023-01-16 22:57:42');
INSERT INTO `sys_oper_log` VALUES ('1615015427501592576', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-16 23:57:38');
INSERT INTO `sys_oper_log` VALUES ('1615016523318038528', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1597126122154364928,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 00:01:59');
INSERT INTO `sys_oper_log` VALUES ('1615016620428759040', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 00:02:22');
INSERT INTO `sys_oper_log` VALUES ('1615016665760796672', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1614443789450088448,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 00:02:33');
INSERT INTO `sys_oper_log` VALUES ('1615155694472925184', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 09:15:00');
INSERT INTO `sys_oper_log` VALUES ('1615161138222338048', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 09:36:38');
INSERT INTO `sys_oper_log` VALUES ('1615164904656998400', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 09:51:36');
INSERT INTO `sys_oper_log` VALUES ('1615164937510981632', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 09:51:44');
INSERT INTO `sys_oper_log` VALUES ('1615170088502169600', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 10:12:12');
INSERT INTO `sys_oper_log` VALUES ('1615179521022103552', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 10:49:41');
INSERT INTO `sys_oper_log` VALUES ('1615179765310951424', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 10:50:39');
INSERT INTO `sys_oper_log` VALUES ('1615193079327887360', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 11:43:34');
INSERT INTO `sys_oper_log` VALUES ('1615193151969038336', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 11:43:51');
INSERT INTO `sys_oper_log` VALUES ('1615210390776582144', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 12:52:21');
INSERT INTO `sys_oper_log` VALUES ('1615210627175944192', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-17 12:53:17');
INSERT INTO `sys_oper_log` VALUES ('1619523021461131264', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 10:29:12');
INSERT INTO `sys_oper_log` VALUES ('1619523468808818688', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 10:30:59');
INSERT INTO `sys_oper_log` VALUES ('1619566646719025152', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 13:22:33');
INSERT INTO `sys_oper_log` VALUES ('1619566751652122624', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 13:22:58');
INSERT INTO `sys_oper_log` VALUES ('1619567950816219136', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 13:27:44');
INSERT INTO `sys_oper_log` VALUES ('1619569646028066816', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 13:34:28');
INSERT INTO `sys_oper_log` VALUES ('1619574856813252608', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1615155692182835200,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 13:55:11');
INSERT INTO `sys_oper_log` VALUES ('1619578702289571840', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:10:28');
INSERT INTO `sys_oper_log` VALUES ('1619578805825966080', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', 'null', '0', 'java.lang.NullPointerException', '2023-01-29 14:10:52');
INSERT INTO `sys_oper_log` VALUES ('1619580388856958976', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:17:10');
INSERT INTO `sys_oper_log` VALUES ('1619580554087370752', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', 'null', '0', 'org.apache.ibatis.binding.BindingException: Invalid bound statement (not found): com.lazyit.base.mapper.TrainClassChapterVideoCoursewareMapper.getListByChapterId', '2023-01-29 14:17:49');
INSERT INTO `sys_oper_log` VALUES ('1619581314732789760', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:20:50');
INSERT INTO `sys_oper_log` VALUES ('1619581412774645760', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:21:14');
INSERT INTO `sys_oper_log` VALUES ('1619581445611851776', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:21:22');
INSERT INTO `sys_oper_log` VALUES ('1619582276365062144', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:24:40');
INSERT INTO `sys_oper_log` VALUES ('1619583565350178816', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:29:47');
INSERT INTO `sys_oper_log` VALUES ('1619584986351013888', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:35:26');
INSERT INTO `sys_oper_log` VALUES ('1619586475421208576', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:41:21');
INSERT INTO `sys_oper_log` VALUES ('1619587089970630656', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:43:47');
INSERT INTO `sys_oper_log` VALUES ('1619587123118215168', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:43:55');
INSERT INTO `sys_oper_log` VALUES ('1619587351464513536', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:44:50');
INSERT INTO `sys_oper_log` VALUES ('1619587378115121152', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:44:56');
INSERT INTO `sys_oper_log` VALUES ('1619590145978273792', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 14:55:56');
INSERT INTO `sys_oper_log` VALUES ('1619591173331095552', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:00:01');
INSERT INTO `sys_oper_log` VALUES ('1619591229346025472', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:00:14');
INSERT INTO `sys_oper_log` VALUES ('1619591369830043648', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:00:48');
INSERT INTO `sys_oper_log` VALUES ('1619591397768302592', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:00:54');
INSERT INTO `sys_oper_log` VALUES ('1619595436417486848', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:16:57');
INSERT INTO `sys_oper_log` VALUES ('1619595557129555968', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:17:26');
INSERT INTO `sys_oper_log` VALUES ('1619595581095809024', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:17:32');
INSERT INTO `sys_oper_log` VALUES ('1619596268928110592', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:20:16');
INSERT INTO `sys_oper_log` VALUES ('1619598658385350656', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:29:45');
INSERT INTO `sys_oper_log` VALUES ('1619598685056929792', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:29:52');
INSERT INTO `sys_oper_log` VALUES ('1619598795618783232', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 15:30:18');
INSERT INTO `sys_oper_log` VALUES ('1619607971963211776', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:06:46');
INSERT INTO `sys_oper_log` VALUES ('1619608024576561152', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:06:59');
INSERT INTO `sys_oper_log` VALUES ('1619608051688542208', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:07:05');
INSERT INTO `sys_oper_log` VALUES ('1619608067765309440', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:07:09');
INSERT INTO `sys_oper_log` VALUES ('1619608127194402816', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:07:23');
INSERT INTO `sys_oper_log` VALUES ('1619614539790290944', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:32:52');
INSERT INTO `sys_oper_log` VALUES ('1619615041848479744', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619578700037230592,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:34:52');
INSERT INTO `sys_oper_log` VALUES ('1619615053412175872', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:34:54');
INSERT INTO `sys_oper_log` VALUES ('1619615202960084992', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-29 16:35:30');
INSERT INTO `sys_oper_log` VALUES ('1619872230076977152', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1619872229623992320,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 09:36:50');
INSERT INTO `sys_oper_log` VALUES ('1619874684327825408', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1619874679139471360,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 09:46:35');
INSERT INTO `sys_oper_log` VALUES ('1619874741080952832', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 09:46:49');
INSERT INTO `sys_oper_log` VALUES ('1619874985172668416', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 09:47:47');
INSERT INTO `sys_oper_log` VALUES ('1619875031649751040', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 09:47:58');
INSERT INTO `sys_oper_log` VALUES ('1619875103053582336', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 09:48:15');
INSERT INTO `sys_oper_log` VALUES ('1619899587181547520', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.同步()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/%E5%90%8C%E6%AD%A5', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"],\"state\":[\"0\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 11:25:32');
INSERT INTO `sys_oper_log` VALUES ('1619924507189972992', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '刘国灿', '单位领导部门', '/base/train/class/addBaseInfo', '182.119.36.204', '', '', '{\"code\":1,\"content\":1619924506997035008,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:04:34');
INSERT INTO `sys_oper_log` VALUES ('1619925386253176832', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:08:03');
INSERT INTO `sys_oper_log` VALUES ('1619925466448269312', '视频课件', '3', 'com.lazyit.base.controller.TrainVideoCoursewareController.del()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/del', '127.0.0.1', '', '', '{\"code\":1}', '1', '', '2023-01-30 13:08:23');
INSERT INTO `sys_oper_log` VALUES ('1619925477567369216', '视频课件', '3', 'com.lazyit.base.controller.TrainVideoCoursewareController.del()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/del', '127.0.0.1', '', '', '{\"code\":1}', '1', '', '2023-01-30 13:08:25');
INSERT INTO `sys_oper_log` VALUES ('1619926408107266048', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '刘国灿', '单位领导部门', '/base/train/class/schedule/saveV2', '182.119.36.204', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:12:07');
INSERT INTO `sys_oper_log` VALUES ('1619929751785443328', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:25:24');
INSERT INTO `sys_oper_log` VALUES ('1619933354524807168', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:39:42');
INSERT INTO `sys_oper_log` VALUES ('1619933410128695296', '视频课件', '3', 'com.lazyit.base.controller.TrainVideoCoursewareController.del()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/del', '127.0.0.1', '', '', '{\"code\":1}', '1', '', '2023-01-30 13:39:57');
INSERT INTO `sys_oper_log` VALUES ('1619933420991942656', '视频课件', '3', 'com.lazyit.base.controller.TrainVideoCoursewareController.del()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/del', '127.0.0.1', '', '', '{\"code\":1}', '1', '', '2023-01-30 13:39:59');
INSERT INTO `sys_oper_log` VALUES ('1619934038670315520', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:42:26');
INSERT INTO `sys_oper_log` VALUES ('1619934114020986880', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:42:44');
INSERT INTO `sys_oper_log` VALUES ('1619934140080197632', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:42:51');
INSERT INTO `sys_oper_log` VALUES ('1619934168848928768', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:42:57');
INSERT INTO `sys_oper_log` VALUES ('1619934198938865664', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:43:05');
INSERT INTO `sys_oper_log` VALUES ('1619934231432138752', '在线小视频', '1', 'com.lazyit.base.controller.TrainVideoOnlineController.tb()', 'GET', '1', '李昊杰', '单位领导部门', '/base/train/video/online/tb', '127.0.0.1', '', '{\"id\":[\"1583408987863388160\"]}', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:43:12');
INSERT INTO `sys_oper_log` VALUES ('1619934480401829888', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.upd()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:44:12');
INSERT INTO `sys_oper_log` VALUES ('1619934500211527680', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.updataState()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/updataState', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:44:16');
INSERT INTO `sys_oper_log` VALUES ('1619934505915781120', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.updataState()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/updataState', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:44:18');
INSERT INTO `sys_oper_log` VALUES ('1619934543148617728', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.updataState()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/updataState', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:44:27');
INSERT INTO `sys_oper_log` VALUES ('1619934548479578112', '视频课件', '2', 'com.lazyit.base.controller.TrainVideoCoursewareController.updataState()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/video/courseware/updataState', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-30 13:44:28');
INSERT INTO `sys_oper_log` VALUES ('1620322966476820480', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1620322963117182976,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:27:54');
INSERT INTO `sys_oper_log` VALUES ('1620323019392159744', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1620322963117182976,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:28:07');
INSERT INTO `sys_oper_log` VALUES ('1620323107589984256', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:28:28');
INSERT INTO `sys_oper_log` VALUES ('1620323541645922304', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-01-31 15:30:11');
INSERT INTO `sys_oper_log` VALUES ('1620323577633050624', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:30:20');
INSERT INTO `sys_oper_log` VALUES ('1620323704078733312', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-01-31 15:30:50');
INSERT INTO `sys_oper_log` VALUES ('1620324058723913728', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/del', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:32:14');
INSERT INTO `sys_oper_log` VALUES ('1620324160498700288', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1620324158833561600,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:32:39');
INSERT INTO `sys_oper_log` VALUES ('1620324228257681408', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:32:55');
INSERT INTO `sys_oper_log` VALUES ('1620324343215165440', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:33:22');
INSERT INTO `sys_oper_log` VALUES ('1620324448764825600', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-01-31 15:33:47');
INSERT INTO `sys_oper_log` VALUES ('1620324897949618176', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-01-31 15:35:34');
INSERT INTO `sys_oper_log` VALUES ('1620324964542582784', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-01-31 15:35:50');
INSERT INTO `sys_oper_log` VALUES ('1620325268902252544', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:37:03');
INSERT INTO `sys_oper_log` VALUES ('1620327163230294016', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1620327161489657856,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:44:35');
INSERT INTO `sys_oper_log` VALUES ('1620327266770882560', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-01-31 15:44:59');
INSERT INTO `sys_oper_log` VALUES ('1620596453439311872', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/resetPwd', '127.0.0.1', '', '', '{\"code\":1,\"content\":\"WZR004@\",\"msg\":\"操作成功\"}', '1', '', '2023-02-01 09:34:38');
INSERT INTO `sys_oper_log` VALUES ('1620597136674656256', '系统用户角色', '1', 'com.lazyit.base.controller.SysUserController.saveRoleMenu()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/saveUserRole', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 09:37:21');
INSERT INTO `sys_oper_log` VALUES ('1620598598351851520', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1620598592655986688,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 09:43:10');
INSERT INTO `sys_oper_log` VALUES ('1620598697257734144', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 09:43:33');
INSERT INTO `sys_oper_log` VALUES ('1620599672232087552', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '王主任', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 09:47:26');
INSERT INTO `sys_oper_log` VALUES ('1620599783251120128', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-02-01 09:47:52');
INSERT INTO `sys_oper_log` VALUES ('1620599851945431040', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-02-01 09:48:09');
INSERT INTO `sys_oper_log` VALUES ('1620601129035501568', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 09:53:13');
INSERT INTO `sys_oper_log` VALUES ('1620613934975422464', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1620613930487517184,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 10:44:06');
INSERT INTO `sys_oper_log` VALUES ('1620613995767664640', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 10:44:21');
INSERT INTO `sys_oper_log` VALUES ('1620614312747995136', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '王主任', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 10:45:36');
INSERT INTO `sys_oper_log` VALUES ('1620614337754435584', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '王主任', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-01 10:45:42');
INSERT INTO `sys_oper_log` VALUES ('1621406535001444352', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-03 15:13:37');
INSERT INTO `sys_oper_log` VALUES ('1623500072832602112', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 09:52:35');
INSERT INTO `sys_oper_log` VALUES ('1623502457017602048', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '李昊杰', '单位领导部门', '/base/sys/role/saveRoleMenu', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 10:02:04');
INSERT INTO `sys_oper_log` VALUES ('1623502637628526592', '轮播图设置', '1', 'com.lazyit.base.controller.TrainSettingController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/setting/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 10:02:47');
INSERT INTO `sys_oper_log` VALUES ('1623522205948317696', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 11:20:32');
INSERT INTO `sys_oper_log` VALUES ('1623526343947980800', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', 'null', '0', 'org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named \'deposit\' in \'class com.lazyit.base.model.TrainClassFee\'', '2023-02-09 11:36:59');
INSERT INTO `sys_oper_log` VALUES ('1623529193495203840', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 11:48:18');
INSERT INTO `sys_oper_log` VALUES ('1623529336864903168', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 11:48:52');
INSERT INTO `sys_oper_log` VALUES ('1623530503984517120', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 11:53:31');
INSERT INTO `sys_oper_log` VALUES ('1623531835931889664', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '李昊杰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-09 11:58:48');
INSERT INTO `sys_oper_log` VALUES ('1623944813030281216', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1623944808060030976,\"msg\":\"操作成功\"}', '1', '', '2023-02-10 15:19:49');
INSERT INTO `sys_oper_log` VALUES ('1623944946031661056', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-10 15:20:21');
INSERT INTO `sys_oper_log` VALUES ('1623945081931304960', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-10 15:20:54');
INSERT INTO `sys_oper_log` VALUES ('1623945140303433728', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-10 15:21:08');
INSERT INTO `sys_oper_log` VALUES ('1625367991631876096', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1625367991157919744,\"msg\":\"操作成功\"}', '1', '', '2023-02-14 13:35:02');
INSERT INTO `sys_oper_log` VALUES ('1625368775475990528', '商品管理', '1', 'com.lazyit.base.controller.TrainGoodsController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/goods/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-14 13:38:09');
INSERT INTO `sys_oper_log` VALUES ('1626502347897311232', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-02-17 16:42:33');
INSERT INTO `sys_oper_log` VALUES ('1636287296380735488', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:44:27');
INSERT INTO `sys_oper_log` VALUES ('1636287664720318464', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:45:55');
INSERT INTO `sys_oper_log` VALUES ('1636287750560944128', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:46:15');
INSERT INTO `sys_oper_log` VALUES ('1636287876436201472', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:46:45');
INSERT INTO `sys_oper_log` VALUES ('1636287998993764352', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:47:14');
INSERT INTO `sys_oper_log` VALUES ('1636288089720754176', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:47:36');
INSERT INTO `sys_oper_log` VALUES ('1636288207077380096', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:48:03');
INSERT INTO `sys_oper_log` VALUES ('1636288304397815808', '题库管理', '1', 'com.lazyit.base.controller.TrainQuestionBankController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/question/bank/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:48:27');
INSERT INTO `sys_oper_log` VALUES ('1636288686813483008', '考卷管理', '1', 'com.lazyit.base.controller.TrainTestPaperController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/test/paper/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:49:58');
INSERT INTO `sys_oper_log` VALUES ('1636289053576007680', '考卷管理', '1', 'com.lazyit.base.controller.TrainTestPaperController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/test/paper/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-16 16:51:26');
INSERT INTO `sys_oper_log` VALUES ('1637627038976315392', '考卷管理', '1', 'com.lazyit.base.controller.TrainTestPaperController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/test/paper/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-20 09:28:06');
INSERT INTO `sys_oper_log` VALUES ('1638348816803565568', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:16:12');
INSERT INTO `sys_oper_log` VALUES ('1638349145901240320', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:17:30');
INSERT INTO `sys_oper_log` VALUES ('1638349568720637952', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:19:11');
INSERT INTO `sys_oper_log` VALUES ('1638349600517656576', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:19:18');
INSERT INTO `sys_oper_log` VALUES ('1638349622952988672', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:19:24');
INSERT INTO `sys_oper_log` VALUES ('1638349642871738368', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:19:29');
INSERT INTO `sys_oper_log` VALUES ('1638349667693629440', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-22 09:19:34');
INSERT INTO `sys_oper_log` VALUES ('1638710386956046336', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '172.16.60.194', '', '', '{\"code\":1,\"content\":1638710381205655552,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:12:57');
INSERT INTO `sys_oper_log` VALUES ('1638710581601112064', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/schedule/saveV2', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:13:43');
INSERT INTO `sys_oper_log` VALUES ('1638710757447307264', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-23 09:14:25');
INSERT INTO `sys_oper_log` VALUES ('1638710836904202240', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:14:44');
INSERT INTO `sys_oper_log` VALUES ('1638710872631283712', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:14:52');
INSERT INTO `sys_oper_log` VALUES ('1638711051778396160', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', 'null', '0', 'java.util.MissingFormatArgumentException: Format specifier \'%s\'', '2023-03-23 09:15:35');
INSERT INTO `sys_oper_log` VALUES ('1638717333788823552', '字典管理', '1', 'com.lazyit.base.controller.SysDictController.add()', 'POST', '1', '高志远', '运营管理部', '/base/sys/dict/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:40:33');
INSERT INTO `sys_oper_log` VALUES ('1638717388256055296', '字典管理', '1', 'com.lazyit.base.controller.SysDictController.add()', 'POST', '1', '高志远', '运营管理部', '/base/sys/dict/add', '172.16.60.194', '', '', '{\"code\":0,\"msg\":\"请按照: 姓名,手机号方式填写. 如：张三，156***789\"}', '1', '', '2023-03-23 09:40:46');
INSERT INTO `sys_oper_log` VALUES ('1638717428286492672', '字典管理', '1', 'com.lazyit.base.controller.SysDictController.add()', 'POST', '1', '高志远', '运营管理部', '/base/sys/dict/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:40:55');
INSERT INTO `sys_oper_log` VALUES ('1638717501540012032', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-23 09:41:13');
INSERT INTO `sys_oper_log` VALUES ('1638718102873182208', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-23 09:43:36');
INSERT INTO `sys_oper_log` VALUES ('1638718151879430144', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-23 09:43:48');
INSERT INTO `sys_oper_log` VALUES ('1638718188051107840', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:43:57');
INSERT INTO `sys_oper_log` VALUES ('1638718496705744896', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', 'null', '0', 'java.lang.NumberFormatException: For input string: \"\"', '2023-03-23 09:45:10');
INSERT INTO `sys_oper_log` VALUES ('1638718787006107648', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', 'null', '0', 'java.lang.NumberFormatException: For input string: \"\"', '2023-03-23 09:46:19');
INSERT INTO `sys_oper_log` VALUES ('1638719367216762880', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', 'null', '0', 'java.lang.NumberFormatException: For input string: \"\"', '2023-03-23 09:48:38');
INSERT INTO `sys_oper_log` VALUES ('1638720033846857728', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', 'null', '0', 'java.lang.NumberFormatException: For input string: \"\"', '2023-03-23 09:51:17');
INSERT INTO `sys_oper_log` VALUES ('1638720437611532288', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:52:53');
INSERT INTO `sys_oper_log` VALUES ('1638721890954645504', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-23 09:58:39');
INSERT INTO `sys_oper_log` VALUES ('1638721923510833152', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:58:47');
INSERT INTO `sys_oper_log` VALUES ('1638721980377206784', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 09:59:01');
INSERT INTO `sys_oper_log` VALUES ('1638722356354617344', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 10:00:30');
INSERT INTO `sys_oper_log` VALUES ('1638722573204328448', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '172.16.60.194', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-23 10:01:22');
INSERT INTO `sys_oper_log` VALUES ('1639159525741301760', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/resetPwd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"LILU3001@\",\"msg\":\"操作成功\"}', '1', '', '2023-03-24 14:57:40');
INSERT INTO `sys_oper_log` VALUES ('1639160140978589696', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', 'lilu', '运营管理部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1619924506997035008,\"msg\":\"操作成功\"}', '1', '', '2023-03-24 15:00:06');
INSERT INTO `sys_oper_log` VALUES ('1640971399013208064', '轮播图', '1', 'com.lazyit.base.controller.TrainAdController.add()', 'POST', '1', '高志远', '培训部', '/base/train/ad/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:24');
INSERT INTO `sys_oper_log` VALUES ('1640971410295885824', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:27');
INSERT INTO `sys_oper_log` VALUES ('1640971425223413760', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:30');
INSERT INTO `sys_oper_log` VALUES ('1640971434127921152', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:32');
INSERT INTO `sys_oper_log` VALUES ('1640971442243899392', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:34');
INSERT INTO `sys_oper_log` VALUES ('1640971480063938560', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:43');
INSERT INTO `sys_oper_log` VALUES ('1640971485348761600', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:45');
INSERT INTO `sys_oper_log` VALUES ('1640971488364466176', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:45');
INSERT INTO `sys_oper_log` VALUES ('1640971490667139072', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:46');
INSERT INTO `sys_oper_log` VALUES ('1640971547286048768', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:57:59');
INSERT INTO `sys_oper_log` VALUES ('1640971568060436480', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:58:04');
INSERT INTO `sys_oper_log` VALUES ('1640971577992548352', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:58:07');
INSERT INTO `sys_oper_log` VALUES ('1640971641238458368', '轮播图', '3', 'com.lazyit.base.controller.TrainAdController.del()', 'POST', '1', '高志远', '培训部', '/base/train/ad/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:58:22');
INSERT INTO `sys_oper_log` VALUES ('1640971777045827584', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:58:54');
INSERT INTO `sys_oper_log` VALUES ('1640971872634015744', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:59:17');
INSERT INTO `sys_oper_log` VALUES ('1640971954787848192', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 14:59:36');
INSERT INTO `sys_oper_log` VALUES ('1640972918894759936', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:03:26');
INSERT INTO `sys_oper_log` VALUES ('1640972939602038784', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:03:31');
INSERT INTO `sys_oper_log` VALUES ('1640973622808023040', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:06:14');
INSERT INTO `sys_oper_log` VALUES ('1640973648431026176', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:06:20');
INSERT INTO `sys_oper_log` VALUES ('1640974292961333248', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:08:54');
INSERT INTO `sys_oper_log` VALUES ('1640974312099942400', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:08:58');
INSERT INTO `sys_oper_log` VALUES ('1640974759405686784', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:10:45');
INSERT INTO `sys_oper_log` VALUES ('1640974789801807872', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:10:52');
INSERT INTO `sys_oper_log` VALUES ('1640975490359627776', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:13:39');
INSERT INTO `sys_oper_log` VALUES ('1640975509049446400', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:13:44');
INSERT INTO `sys_oper_log` VALUES ('1640975716524888064', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:14:33');
INSERT INTO `sys_oper_log` VALUES ('1640975731708268544', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:14:37');
INSERT INTO `sys_oper_log` VALUES ('1640975807801331712', '轮播图', '1', 'com.lazyit.base.controller.TrainAdController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/ad/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:14:55');
INSERT INTO `sys_oper_log` VALUES ('1640975815359467520', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:14:57');
INSERT INTO `sys_oper_log` VALUES ('1640975900382203904', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:15:17');
INSERT INTO `sys_oper_log` VALUES ('1640976423298666496', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/trainer/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:17:22');
INSERT INTO `sys_oper_log` VALUES ('1640976845073682432', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/trainer/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:19:02');
INSERT INTO `sys_oper_log` VALUES ('1640976929605685248', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/trainer/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:19:23');
INSERT INTO `sys_oper_log` VALUES ('1640977264260812800', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/trainer/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:20:42');
INSERT INTO `sys_oper_log` VALUES ('1640977336256040960', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/trainer/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:20:59');
INSERT INTO `sys_oper_log` VALUES ('1640977501591310336', '内训师管理', '2', 'com.lazyit.base.controller.TrainTrainerController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/train/trainer/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:21:39');
INSERT INTO `sys_oper_log` VALUES ('1640978093357273088', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:24:00');
INSERT INTO `sys_oper_log` VALUES ('1640978112726568960', '在线课程管理', '2', 'com.lazyit.base.controller.TrainCourseController.updInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/course/updInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:24:05');
INSERT INTO `sys_oper_log` VALUES ('1640979223990636544', '集中管理', '3', 'com.lazyit.base.controller.TrainClassController.del()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/del', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:28:30');
INSERT INTO `sys_oper_log` VALUES ('1640981263663894528', '培训计划管理', '1', 'com.lazyit.base.controller.TrainPlanController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/plan/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640981263219298304,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:36:36');
INSERT INTO `sys_oper_log` VALUES ('1640981422179225600', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640981421491359744,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:37:14');
INSERT INTO `sys_oper_log` VALUES ('1640981600013520896', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:37:56');
INSERT INTO `sys_oper_log` VALUES ('1640981777499688960', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:38:38');
INSERT INTO `sys_oper_log` VALUES ('1640981984467619840', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640981421491359744,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:39:28');
INSERT INTO `sys_oper_log` VALUES ('1640982010266783744', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-29 15:39:34');
INSERT INTO `sys_oper_log` VALUES ('1640982047004692480', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '运营管理部', '/base/train/classFee/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:39:43');
INSERT INTO `sys_oper_log` VALUES ('1640982150583029760', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640981421491359744,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:40:07');
INSERT INTO `sys_oper_log` VALUES ('1640982158996803584', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '运营管理部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640981421491359744,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:40:09');
INSERT INTO `sys_oper_log` VALUES ('1640982683293192192', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '运营管理部', '/base/train/plan/updTimes', '218.28.192.38', '', '', '{\"code\":0,\"msg\":\"修改后的集中次数不能小于等于原始次数\"}', '1', '', '2023-03-29 15:42:14');
INSERT INTO `sys_oper_log` VALUES ('1640982710006714368', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '运营管理部', '/base/train/plan/updTimes', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:42:21');
INSERT INTO `sys_oper_log` VALUES ('1640982922569846784', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '运营管理部', '/base/train/plan/updTimes', '218.28.192.38', '', '', '{\"code\":0,\"msg\":\"修改后的在线次数不能小于等于原始次数\"}', '1', '', '2023-03-29 15:43:11');
INSERT INTO `sys_oper_log` VALUES ('1640982943310680064', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '运营管理部', '/base/train/plan/updTimes', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:43:16');
INSERT INTO `sys_oper_log` VALUES ('1640983369208696832', '系统用户', '2', 'com.lazyit.base.controller.SysUserController.upd()', 'POST', '1', '高志远', '运营管理部', '/base/sys/user/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"\",\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:44:58');
INSERT INTO `sys_oper_log` VALUES ('1640983666362552320', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '', '', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:46:09');
INSERT INTO `sys_oper_log` VALUES ('1640983678177906688', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '', '', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:46:12');
INSERT INTO `sys_oper_log` VALUES ('1640983725321883648', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640983724587880448,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:46:23');
INSERT INTO `sys_oper_log` VALUES ('1640984028045774848', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '培训部', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:47:35');
INSERT INTO `sys_oper_log` VALUES ('1640984190067544064', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '培训部', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:48:14');
INSERT INTO `sys_oper_log` VALUES ('1640984293297754112', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '培训部', '/base/train/class/schedule/saveV2', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:48:38');
INSERT INTO `sys_oper_log` VALUES ('1640984350717775872', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-03-29 15:48:52');
INSERT INTO `sys_oper_log` VALUES ('1640984364974215168', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '培训部', '/base/train/classFee/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:48:55');
INSERT INTO `sys_oper_log` VALUES ('1640984872635994112', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640984872040402944,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:50:56');
INSERT INTO `sys_oper_log` VALUES ('1640985314786938880', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:52:42');
INSERT INTO `sys_oper_log` VALUES ('1640985419468378112', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640984872040402944,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:53:07');
INSERT INTO `sys_oper_log` VALUES ('1640985550922059776', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:53:38');
INSERT INTO `sys_oper_log` VALUES ('1640985570001948672', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:53:43');
INSERT INTO `sys_oper_log` VALUES ('1640985654227767296', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '高志远', '培训部', '/base/train/class/exam/saveExam', '218.28.192.38', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:54:03');
INSERT INTO `sys_oper_log` VALUES ('1640985737535033344', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640984872040402944,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:54:23');
INSERT INTO `sys_oper_log` VALUES ('1640985742215876608', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:54:24');
INSERT INTO `sys_oper_log` VALUES ('1640985806111903744', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640984872040402944,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:54:39');
INSERT INTO `sys_oper_log` VALUES ('1640985810570448896', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:54:40');
INSERT INTO `sys_oper_log` VALUES ('1640985926429708288', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640984872040402944,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:55:08');
INSERT INTO `sys_oper_log` VALUES ('1640985931064414208', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:55:09');
INSERT INTO `sys_oper_log` VALUES ('1640985980343291904', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:55:20');
INSERT INTO `sys_oper_log` VALUES ('1640986297709498368', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:56:36');
INSERT INTO `sys_oper_log` VALUES ('1640986378420490240', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:56:55');
INSERT INTO `sys_oper_log` VALUES ('1640986381616549888', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:56:56');
INSERT INTO `sys_oper_log` VALUES ('1640986384242184192', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:56:57');
INSERT INTO `sys_oper_log` VALUES ('1640986393490624512', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:56:59');
INSERT INTO `sys_oper_log` VALUES ('1640986407281496064', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:57:02');
INSERT INTO `sys_oper_log` VALUES ('1640986421194002432', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:57:06');
INSERT INTO `sys_oper_log` VALUES ('1640986424448782336', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:57:06');
INSERT INTO `sys_oper_log` VALUES ('1640986451061641216', '轮播图', '2', 'com.lazyit.base.controller.TrainAdController.upd()', 'POST', '1', '高志远', '培训部', '/base/train/ad/upd', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-03-29 15:57:13');
INSERT INTO `sys_oper_log` VALUES ('1641257888590729216', '在线课程推荐', '2', 'com.lazyit.base.controller.TrainCourseController.courseSetting()', 'POST', '1', '高志远', '培训部', '/base/train/course/courseSetting', '218.28.192.38', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2023-03-30 09:55:48');
INSERT INTO `sys_oper_log` VALUES ('1641257943615803392', '在线课程推荐', '2', 'com.lazyit.base.controller.TrainCourseController.courseSetting()', 'POST', '1', '高志远', '培训部', '/base/train/course/courseSetting', '218.28.192.38', '', '', '{\"code\":1,\"msg\":\"\"}', '1', '', '2023-03-30 09:56:02');
INSERT INTO `sys_oper_log` VALUES ('1642729053045788672', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '218.28.192.38', '', '', '{\"code\":1,\"content\":1640983724587880448,\"msg\":\"操作成功\"}', '1', '', '2023-04-03 11:21:41');
INSERT INTO `sys_oper_log` VALUES ('1643871111689146368', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '高志远', '培训部', '/base/sys/role/saveRoleMenu', '221.15.152.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-04-06 14:59:49');
INSERT INTO `sys_oper_log` VALUES ('1643885057917718528', '通知公告-置顶', '2', 'com.lazyit.base.controller.TrainNoticeController.isTop()', 'POST', '1', '张磊', '单位领导部门', '/base/train/notice/isTop', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-04-06 15:55:14');
INSERT INTO `sys_oper_log` VALUES ('1643890261891354624', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '张磊', '单位领导部门', '/base/train/class/exam/saveExam', '218.28.192.38', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-04-06 16:15:55');
INSERT INTO `sys_oper_log` VALUES ('1661213233685598208', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/role/saveRoleMenu', '218.28.234.62', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-05-24 11:31:13');
INSERT INTO `sys_oper_log` VALUES ('1663169943920840704', '机构部门管理', '1', 'com.lazyit.base.controller.SysOrgController.add()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/org/add', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-05-29 21:06:29');
INSERT INTO `sys_oper_log` VALUES ('1664183596350574592', '角色管理', '1', 'com.lazyit.base.controller.SysRoleController.saveRoleMenu()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/role/saveRoleMenu', '218.28.192.38', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-01 16:14:23');
INSERT INTO `sys_oper_log` VALUES ('1665618462128607232', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/dict/upd', '221.15.154.54', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-05 15:16:02');
INSERT INTO `sys_oper_log` VALUES ('1668104669462925312', '在线课程管理', '1', 'com.lazyit.base.controller.TrainCourseController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/course/add', '221.15.155.255', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-12 11:55:20');
INSERT INTO `sys_oper_log` VALUES ('1668934415671234560', '考卷管理', '1', 'com.lazyit.base.controller.TrainTestPaperController.add()', 'POST', '1', '高志远', '培训部', '/base/train/test/paper/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-14 18:52:27');
INSERT INTO `sys_oper_log` VALUES ('1668935418147639296', '考卷管理', '1', 'com.lazyit.base.controller.TrainTestPaperController.add()', 'POST', '1', '高志远', '培训部', '/base/train/test/paper/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-14 18:56:26');
INSERT INTO `sys_oper_log` VALUES ('1669148535926427648', '考卷管理', '1', 'com.lazyit.base.controller.TrainTestPaperController.add()', 'POST', '1', '高志远', '培训部', '/base/train/test/paper/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-15 09:03:17');
INSERT INTO `sys_oper_log` VALUES ('1673178514402185216', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', 'null', '0', 'org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column \'floor_Name\' in \'field list\'\r\n### The error may exist in file [D:\\work\\java\\project\\培训中心\\train_service\\base\\target\\classes\\mapping\\TrainClassMapper.xml]\r\n### The error may involve com.lazyit.base.mapper.TrainClassMapper.selectByPrimaryKey-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select           id, plan_id, type, code, name, org_id, org_code, org_use_code, org_name, dept_id, dept_code, dept_name, major_id, major_code, major_name, train_start_time, train_end_time, contact_person, contact_tel, site, lat, lng, num, sign_up_type, secret_key, user_path, head_teacher_id, head_teacher_name, content, study_require, study_percentage, cover, description_type, appraise_time, description, description_text, state, audit_cause,     create_user_id, create_user_name, create_dept_code, create_time, notes,floor,floor_Name         from train_class     where id = ?\r\n### Cause: com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column \'floor_Name\' in \'field list\'\n; bad SQL grammar []; nested exception is com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column \'floor_Name\' in \'field list\'', '2023-06-26 11:56:59');
INSERT INTO `sys_oper_log` VALUES ('1673178550242512896', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', 'null', '0', 'org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column \'floor_Name\' in \'field list\'\r\n### The error may exist in file [D:\\work\\java\\project\\培训中心\\train_service\\base\\target\\classes\\mapping\\TrainClassMapper.xml]\r\n### The error may involve com.lazyit.base.mapper.TrainClassMapper.selectByPrimaryKey-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select           id, plan_id, type, code, name, org_id, org_code, org_use_code, org_name, dept_id, dept_code, dept_name, major_id, major_code, major_name, train_start_time, train_end_time, contact_person, contact_tel, site, lat, lng, num, sign_up_type, secret_key, user_path, head_teacher_id, head_teacher_name, content, study_require, study_percentage, cover, description_type, appraise_time, description, description_text, state, audit_cause,     create_user_id, create_user_name, create_dept_code, create_time, notes,floor,floor_Name         from train_class     where id = ?\r\n### Cause: com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column \'floor_Name\' in \'field list\'\n; bad SQL grammar []; nested exception is com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column \'floor_Name\' in \'field list\'', '2023-06-26 11:57:07');
INSERT INTO `sys_oper_log` VALUES ('1673178910407397376', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673178905432952832,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 11:58:33');
INSERT INTO `sys_oper_log` VALUES ('1673179084055777280', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '培训部', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 11:59:14');
INSERT INTO `sys_oper_log` VALUES ('1673207030657191936', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673207026655825920,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 13:50:17');
INSERT INTO `sys_oper_log` VALUES ('1673207107664613376', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 13:50:36');
INSERT INTO `sys_oper_log` VALUES ('1673211345190916096', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673211336424820736,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 14:07:26');
INSERT INTO `sys_oper_log` VALUES ('1673211414359183360', '添加章节', '1', 'com.lazyit.base.controller.TrainClassController.addChaper()', 'POST', '1', '高志远', '培训部', '/base/train/class/addChaper', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 14:07:43');
INSERT INTO `sys_oper_log` VALUES ('1673259416482353152', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673178905432952832,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 17:18:27');
INSERT INTO `sys_oper_log` VALUES ('1673267454119383040', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673178905432952832,\"msg\":\"操作成功\"}', '1', '', '2023-06-26 17:50:23');
INSERT INTO `sys_oper_log` VALUES ('1673502128720711680', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673178905432952832,\"msg\":\"操作成功\"}', '1', '', '2023-06-27 09:22:54');
INSERT INTO `sys_oper_log` VALUES ('1673504609345343488', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673178905432952832,\"msg\":\"操作成功\"}', '1', '', '2023-06-27 09:32:46');
INSERT INTO `sys_oper_log` VALUES ('1673883617736134656', '字典管理', '1', 'com.lazyit.base.controller.SysDictController.add()', 'POST', '1', '高志远', '培训部', '/base/sys/dict/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 10:38:48');
INSERT INTO `sys_oper_log` VALUES ('1673885674480209920', '字典管理', '1', 'com.lazyit.base.controller.SysDictController.add()', 'POST', '1', '高志远', '培训部', '/base/sys/dict/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 10:46:59');
INSERT INTO `sys_oper_log` VALUES ('1673885729886965760', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '高志远', '培训部', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 10:47:12');
INSERT INTO `sys_oper_log` VALUES ('1673885750636187648', '字典管理', '2', 'com.lazyit.base.controller.SysDictController.upd()', 'POST', '1', '高志远', '培训部', '/base/sys/dict/upd', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 10:47:17');
INSERT INTO `sys_oper_log` VALUES ('1673890906857672704', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '127.0.0.1', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-06-28 11:07:46');
INSERT INTO `sys_oper_log` VALUES ('1673890934212923392', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '培训部', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 11:07:53');
INSERT INTO `sys_oper_log` VALUES ('1673890956065247232', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '培训部', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 11:07:58');
INSERT INTO `sys_oper_log` VALUES ('1673891074902462464', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '127.0.0.1', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: ConnectException: Connection timed out: connect', '2023-06-28 11:08:26');
INSERT INTO `sys_oper_log` VALUES ('1673933017174904832', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '127.0.0.1', '', '', '{\"code\":1,\"content\":1673933013370671104,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 13:55:06');
INSERT INTO `sys_oper_log` VALUES ('1673933067791765504', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '培训部', '/base/train/class/schedule/saveV2', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 13:55:18');
INSERT INTO `sys_oper_log` VALUES ('1673933146921504768', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '培训部', '/base/train/classFee/add', '127.0.0.1', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-06-28 13:55:37');
INSERT INTO `sys_oper_log` VALUES ('1687005020215709696', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/user/resetPwd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"LLBDS02000@\",\"msg\":\"操作成功\"}', '1', '', '2023-08-03 15:38:35');
INSERT INTO `sys_oper_log` VALUES ('1687005089597886464', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/user/resetPwd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"LLBDS02000@\",\"msg\":\"操作成功\"}', '1', '', '2023-08-03 15:38:51');
INSERT INTO `sys_oper_log` VALUES ('1687005175111356416', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/user/resetPwd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"LLBDS02000@\",\"msg\":\"操作成功\"}', '1', '', '2023-08-03 15:39:11');
INSERT INTO `sys_oper_log` VALUES ('1687005193234944000', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '张磊', '单位领导部门', '/base/sys/user/resetPwd', '218.28.192.38', '', '', '{\"code\":1,\"content\":\"LLBDS02000@\",\"msg\":\"操作成功\"}', '1', '', '2023-08-03 15:39:16');
INSERT INTO `sys_oper_log` VALUES ('1688857277668397056', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/resetPwd', '222.143.20.188', '', '', '{\"code\":1,\"content\":\"ZL1004@\",\"msg\":\"操作成功\"}', '1', '', '2023-08-08 18:18:47');
INSERT INTO `sys_oper_log` VALUES ('1689901771939516416', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '172.16.60.103', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-08-11 15:29:14');
INSERT INTO `sys_oper_log` VALUES ('1689903091069095936', '添加', '1', 'com.lazyit.base.controller.TrainClassController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/add', '172.16.60.103', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-11 15:34:28');
INSERT INTO `sys_oper_log` VALUES ('1689903162334515200', '添加', '1', 'com.lazyit.base.controller.TrainClassController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/add', '172.16.60.103', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-11 15:34:45');
INSERT INTO `sys_oper_log` VALUES ('1689903388394917888', '集中管理', '2', 'com.lazyit.base.controller.TrainClassController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/upd', '172.16.60.103', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-11 15:35:39');
INSERT INTO `sys_oper_log` VALUES ('1689904053288570880', '集中管理', '2', 'com.lazyit.base.controller.TrainClassController.upd()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/upd', '172.16.60.103', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-11 15:38:18');
INSERT INTO `sys_oper_log` VALUES ('1689906778424348672', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '172.16.60.103', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-11 15:49:08');
INSERT INTO `sys_oper_log` VALUES ('1691346122045526016', '系统用户重置密码', '2', 'com.lazyit.base.controller.SysUserController.resetPwd()', 'POST', '1', '主宰', '单位领导部门', '/base/sys/user/resetPwd', '172.16.20.4', '', '', '{\"code\":1,\"content\":\"GZY023479@\",\"msg\":\"操作成功\"}', '1', '', '2023-08-15 15:08:34');
INSERT INTO `sys_oper_log` VALUES ('1691377670362894336', '培训计划管理', '1', 'com.lazyit.base.controller.TrainPlanController.add()', 'POST', '1', '高志远', '培训部', '/base/train/plan/add', '172.16.20.4', '', '', '{\"code\":1,\"content\":1691377667674345472,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:13:55');
INSERT INTO `sys_oper_log` VALUES ('1691377723810910208', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '高志远', '培训部', '/base/train/plan/updTimes', '172.16.20.4', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:14:08');
INSERT INTO `sys_oper_log` VALUES ('1691377997480857600', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '高志远', '培训部', '/base/train/class/addBaseInfo', '172.16.20.4', '', '', '{\"code\":1,\"content\":1691377993613709312,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:15:14');
INSERT INTO `sys_oper_log` VALUES ('1691378172983119872', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '高志远', '培训部', '/base/train/class/schedule/saveV2', '172.16.20.4', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:15:55');
INSERT INTO `sys_oper_log` VALUES ('1691378364792836096', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '172.16.20.4', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-08-15 17:16:41');
INSERT INTO `sys_oper_log` VALUES ('1691378465892339712', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '高志远', '培训部', '/base/train/classFee/add', '172.16.20.4', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:17:05');
INSERT INTO `sys_oper_log` VALUES ('1691378626437713920', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '高志远', '培训部', '/base/train/class/release', '172.16.20.4', '', '', 'null', '0', 'cn.hutool.core.io.IORuntimeException: SocketTimeoutException: connect timed out', '2023-08-15 17:17:43');
INSERT INTO `sys_oper_log` VALUES ('1691379428057288704', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '高志远', '培训部', '/base/train/class/exam/saveExam', '172.16.20.4', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:20:55');
INSERT INTO `sys_oper_log` VALUES ('1691385411370356736', '培训计划管理', '1', 'com.lazyit.base.controller.TrainPlanController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/plan/add', '172.16.60.164', '', '', '{\"code\":1,\"content\":1691385409055100928,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:44:41');
INSERT INTO `sys_oper_log` VALUES ('1691385447781109760', '培训计划管理修改次数', '2', 'com.lazyit.base.controller.TrainPlanController.updTimes()', 'POST', '1', '主宰', '单位领导部门', '/base/train/plan/updTimes', '172.16.60.164', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:44:50');
INSERT INTO `sys_oper_log` VALUES ('1691385886501113856', '添加基本信息', '1', 'com.lazyit.base.controller.TrainClassController.addBaseInfo()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/addBaseInfo', '172.16.60.164', '', '', '{\"code\":1,\"content\":1691385882579439616,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:46:34');
INSERT INTO `sys_oper_log` VALUES ('1691386113706561536', '培训班课程表', '2', 'com.lazyit.base.controller.TrainClassScheduleController.saveV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/schedule/saveV2', '172.16.60.164', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:47:29');
INSERT INTO `sys_oper_log` VALUES ('1691386258816897024', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/release', '172.16.60.164', '', '', '{\"code\":0,\"msg\":\"请先录入费用\"}', '1', '', '2023-08-15 17:48:03');
INSERT INTO `sys_oper_log` VALUES ('1691386525000011776', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '172.16.60.164', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:49:07');
INSERT INTO `sys_oper_log` VALUES ('1691386583674130432', '集中管理', '1', 'com.lazyit.base.controller.trainClassFeeController.add()', 'POST', '1', '主宰', '单位领导部门', '/base/train/classFee/add', '172.16.60.164', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:49:21');
INSERT INTO `sys_oper_log` VALUES ('1691386718789439488', '就餐节点', '1', 'com.lazyit.base.controller.TrainClassDineController.addDineV2()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/dine/addDineV2', '172.16.60.164', '', '', '{\"code\":0,\"content\":\"\",\"msg\":\"就餐点已存在\"}', '1', '', '2023-08-15 17:49:53');
INSERT INTO `sys_oper_log` VALUES ('1691387320600760320', '培训班考试', '1', 'com.lazyit.base.controller.TrainClassExamController.saveExam()', 'POST', '1', '主宰', '单位领导部门', '/base/train/class/exam/saveExam', '172.16.60.164', '', '', '{\"code\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:52:16');
INSERT INTO `sys_oper_log` VALUES ('1691388292555214848', '集中管理', '6', 'com.lazyit.base.controller.TrainClassController.release()', 'POST', '1', '', '', '/base/train/class/release', '172.16.60.164', '', '', '{\"code\":1,\"content\":1,\"msg\":\"操作成功\"}', '1', '', '2023-08-15 17:56:08');

-- ----------------------------
-- Table structure for sys_org
-- ----------------------------
DROP TABLE IF EXISTS `sys_org`;
CREATE TABLE `sys_org` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、机构。2、部门。',
  `lv` smallint(3) DEFAULT NULL COMMENT '层级：1、省。2、市。3、县。4、支。99、部门',
  `pid` bigint(20) DEFAULT '0' COMMENT '上级id',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `code` varchar(20) DEFAULT NULL COMMENT '系统编号（001001001）方式',
  `use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义编号（部门默认、0000）',
  `seq` smallint(3) DEFAULT '999' COMMENT '顺序号',
  `state` smallint(1) DEFAULT '1' COMMENT '状态 ：0、禁用 。1、正常。',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='机构部门';

-- ----------------------------
-- Records of sys_org
-- ----------------------------
INSERT INTO `sys_org` VALUES ('1323441314733363200', '1', '1', '0', '河南省', '001', '56000000', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557504', '1', '2', '1323441314733363200', '省本部', '001001', '56040000', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557510', '1', '2', '1323441314733363200', '郑州市', '001007', '56510000', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557511', '1', '3', '1323441314737557510', '郑州市上街区', '001007001', '56510100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557512', '1', '3', '1323441314737557510', '河南省荥阳市', '001007002', '56510200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557513', '1', '3', '1323441314737557510', '河南省中牟县', '001007003', '56510300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557514', '1', '3', '1323441314737557510', '河南省新郑市', '001007004', '56510400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557515', '1', '3', '1323441314737557510', '河南省巩义市', '001007005', '56510500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557516', '1', '3', '1323441314737557510', '河南省登封市', '001007006', '56510600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557517', '1', '3', '1323441314737557510', '河南省新密市', '001007007', '56510700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557518', '1', '3', '1323441314737557510', '郑州市中原区', '001007008', '56512000', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557519', '1', '3', '1323441314737557510', '郑州市二七区', '001007009', '56512001', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557520', '1', '3', '1323441314737557510', '郑州市管城区', '001007010', '56512002', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557521', '1', '3', '1323441314737557510', '郑州市金水区', '001007011', '56512003', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557522', '1', '3', '1323441314737557510', '郑州市郑东新区', '001007012', '56512004', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557523', '1', '3', '1323441314737557510', '郑州市惠济区', '001007013', '56512005', '12', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557524', '1', '3', '1323441314737557510', '郑州市高新区', '001007014', '56512006', '13', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557525', '1', '3', '1323441314737557510', '郑州市经开区', '001007015', '56512007', '14', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557526', '1', '2', '1323441314733363200', '开封市', '001008', '56520000', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557527', '1', '3', '1323441314737557526', '河南省杞县分公司', '001008001', '56520100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557528', '1', '3', '1323441314737557526', '河南省通许县分公司', '001008002', '56520200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557529', '1', '3', '1323441314737557526', '河南省尉氏县分公司', '001008003', '56520300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557530', '1', '3', '1323441314737557526', '开封市祥符区分公司', '001008004', '56520400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557531', '1', '3', '1323441314737557526', '河南省兰考县分公司', '001008005', '56520500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557533', '1', '3', '1323441314737557526', '开封市新区分公司', '001008007', '56522001', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557534', '1', '3', '1323441314737557526', '开封市宋城区分公司', '001008008', '56522002', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314737557535', '1', '2', '1323441314733363200', '洛阳市', '001009', '56530000', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751808', '1', '3', '1323441314737557535', '河南省偃师市分公司', '001009001', '56530100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751809', '1', '3', '1323441314737557535', '河南省孟津县分公司', '001009002', '56530200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751810', '1', '3', '1323441314737557535', '河南省新安县分公司', '001009003', '56530300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751811', '1', '3', '1323441314737557535', '河南省伊川县分公司', '001009004', '56530400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751812', '1', '3', '1323441314737557535', '河南省汝阳县分公司', '001009005', '56530500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751813', '1', '3', '1323441314737557535', '河南省嵩县分公司', '001009006', '56530600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751814', '1', '3', '1323441314737557535', '河南省洛宁县分公司', '001009007', '56530700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751815', '1', '3', '1323441314737557535', '河南省栾川县分公司', '001009008', '56530800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751816', '1', '3', '1323441314737557535', '河南省宜阳县分公司', '001009009', '56530900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751817', '1', '3', '1323441314737557535', '洛阳市机要通信分局', '001009010', '56532000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751818', '1', '3', '1323441314737557535', '洛阳市西工区分公司', '001009011', '56532002', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751819', '1', '3', '1323441314737557535', '洛阳市老城区分公司', '001009012', '56532003', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751820', '1', '3', '1323441314737557535', '洛阳市涧西区分公司', '001009013', '56532004', '12', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751821', '1', '3', '1323441314737557535', '洛阳市洛龙区分公司', '001009014', '56532005', '13', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314741751822', '1', '3', '1323441314737557535', '洛阳市吉利区分公司', '001009015', '56532006', '14', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334752', '1', '2', '1323441314733363200', '信阳市', '001023', '56670000', '22', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334753', '1', '3', '1323441314754334752', '河南省息县分公司', '001023001', '56670100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334754', '1', '3', '1323441314754334752', '河南省潢川县分公司', '001023002', '56670200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334755', '1', '3', '1323441314754334752', '河南省罗山县分公司', '001023003', '56670300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334756', '1', '3', '1323441314754334752', '河南省光山县分公司', '001023004', '56670400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334757', '1', '3', '1323441314754334752', '信阳市郊区分公司', '001023005', '56670500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334758', '1', '3', '1323441314754334752', '河南省新县分公司', '001023006', '56670600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334759', '1', '3', '1323441314754334752', '河南省淮滨县分公司', '001023007', '56670700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334760', '1', '3', '1323441314754334752', '河南省固始县分公司', '001023008', '56670800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314754334761', '1', '3', '1323441314754334752', '河南省商城县分公司', '001023009', '56670900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314758529024', '1', '3', '1323441314754334752', '信阳市机要通信分局', '001023010', '56672000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314758529025', '1', '3', '1323441314754334752', '信阳市市区分公司', '001023011', '56672002', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314758529026', '1', '2', '1323441314733363200', '济源市', '001024', '56680000', '23', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441314758529027', '1', '3', '1323441314758529026', '济源市机要通信分局', '001024001', '56680100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857501466624', '2', '99', '1323441314733363200', '单位领导部门', '001025', '5600000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857501466625', '2', '99', '1323441314733363200', '非领导职务部门', '001026', '5600000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857501466626', '2', '99', '1323441314733363200', '领导助理部门', '001027', '5600000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857501466628', '2', '99', '1323441314733363200', '服务质量部（普遍服务部）', '001029', '5600000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660928', '2', '99', '1323441314733363200', '办公室（党委办公室）', '001033', '5600000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660929', '2', '99', '1323441314733363200', '财务部', '001034', '5600000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660930', '2', '99', '1323441314733363200', '人力资源部（党委组织部）', '001035', '5600000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660931', '2', '99', '1323441314733363200', '企业发展与科技部', '001036', '5600000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660932', '2', '99', '1323441314733363200', '安全保卫部', '001037', '5600000015', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660933', '2', '99', '1323441314733363200', '审计部', '001038', '5600000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660934', '2', '99', '1323441314733363200', '党委党建工作部', '001039', '5600000017', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660935', '2', '99', '1323441314733363200', '纪委办公室', '001040', '5600000018', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660936', '2', '99', '1323441314733363200', '工会', '001041', '5600000019', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660937', '2', '99', '1323441314733363200', '保留关系人员部门', '001042', '5600000099', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660938', '2', '99', '1323441314733363200', '客户营销中心', '001043', '560000000401', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660939', '2', '99', '1323441314733363200', '数据中心', '001044', '560000000402', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660940', '2', '99', '1323441314733363200', '客户服务中心', '001045', '560000000501', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660941', '2', '99', '1323441314733363200', '储汇业务室', '001046', '560000000701', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660942', '2', '99', '1323441314733363200', '保险理财室', '001047', '560000000702', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857505660943', '2', '99', '1323441314733363200', '内控管理室', '001048', '560000000703', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855232', '2', '99', '1323441314733363200', '创意研发室', '001050', '560000000802', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855234', '2', '99', '1323441314733363200', '函件业务室', '001052', '560000000804', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855236', '2', '99', '1323441314733363200', '电商分销室', '001054', '560000001002', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855237', '2', '99', '1323441314733363200', '法律事务室', '001055', '560000001101', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855238', '2', '99', '1323441314733363200', '新闻宣传中心', '001056', '560000001102', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855239', '2', '99', '1323441314733363200', '采购中心', '001057', '560000001103', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855240', '2', '99', '1323441314733363200', '档案馆（博物馆）', '001058', '560000001104', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855241', '2', '99', '1323441314733363200', '企业协会', '001059', '560000001106', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855242', '2', '99', '1323441314733363200', '后勤服务中心', '001060', '560000001107', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855243', '2', '99', '1323441314733363200', '会计核算中心', '001061', '560000001201', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855244', '2', '99', '1323441314733363200', '人力资源服务支撑中心', '001062', '560000001301', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857509855245', '2', '99', '1323441314733363200', '办公室', '001063', '560000001901', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049536', '2', '99', '1323441314733363200', '权益维护部', '001064', '560000001902', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049537', '2', '99', '1323441314733363200', '基层工作部', '001065', '560000001903', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049538', '2', '99', '1323441314733363200', '政企客户室', '001066', '56000000040101', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049539', '2', '99', '1323441314733363200', '公众客户室', '001067', '56000000040102', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049540', '2', '99', '1323441314733363200', '寄递事业部', '001068', '5600000088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049541', '2', '99', '1323441314737557504', '单位领导部门', '001001001', '5604000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049542', '2', '99', '1323441314737557504', '非领导职务部门', '001001002', '5604000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049543', '2', '99', '1323441314737557504', '领导助理部门', '001001003', '5604000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049544', '2', '99', '1323441314737557504', '办公室', '001001004', '5604000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049545', '2', '99', '1323441314737557504', '培训部', '001001005', '5604000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049546', '2', '99', '1323441314737557504', '保留关系人员部门', '001001006', '5604000099', '105', '0', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049547', '2', '99', '1323441314737557505', '单位领导部门', '001002001', '5605000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049548', '2', '99', '1323441314737557505', '非领导职务部门', '001002002', '5605000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857514049549', '2', '99', '1323441314737557505', '领导助理部门', '001002003', '5605000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243840', '2', '99', '1323441314737557505', '工程建设部', '001002004', '5605000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243841', '2', '99', '1323441314737557505', '技术开发部', '001002005', '5605000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243842', '2', '99', '1323441314737557505', '运行维护部', '001002006', '5605000006', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243843', '2', '99', '1323441314737557505', '保留关系人员部门', '001002007', '5605000099', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243844', '2', '99', '1323441314737557506', '单位领导部门', '001003001', '5609000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243845', '2', '99', '1323441314737557506', '非领导职务部门', '001003002', '5609000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243846', '2', '99', '1323441314737557506', '领导助理部门', '001003003', '5609000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243847', '2', '99', '1323441314737557506', '订阅业务室', '001003004', '5609000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243848', '2', '99', '1323441314737557506', '零售业务室', '001003005', '5609000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243849', '2', '99', '1323441314737557506', '保留关系人员部门', '001003006', '5609000099', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243850', '2', '99', '1323441314737557507', '单位领导部门', '001004001', '5617000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857518243851', '2', '99', '1323441314737557507', '非领导职务部门', '001004002', '5617000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438144', '2', '99', '1323441314737557507', '人力资源部', '001004003', '5617000017', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438145', '2', '99', '1323441314737557507', '综合事务部', '001004004', '5617000018', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438146', '2', '99', '1323441314737557507', '计划财务部', '001004005', '5617000019', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438147', '2', '99', '1323441314737557507', '押运管理部', '001004006', '5617000020', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438148', '2', '99', '1323441314737557507', '押运服务部', '001004007', '5617000021', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438149', '2', '99', '1323441314737557507', '郑州市分公司', '001004008', '5617000022', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438150', '2', '99', '1323441314737557507', '开封市分公司', '001004009', '5617000023', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438151', '2', '99', '1323441314737557507', '洛阳市分公司', '001004010', '5617000024', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438152', '2', '99', '1323441314737557507', '平顶山市分公司', '001004011', '5617000025', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438153', '2', '99', '1323441314737557507', '安阳市分公司', '001004012', '5617000026', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438154', '2', '99', '1323441314737557507', '鹤壁市分公司', '001004013', '5617000027', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438155', '2', '99', '1323441314737557507', '新乡市分公司', '001004014', '5617000028', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438156', '2', '99', '1323441314737557507', '焦作市分公司', '001004015', '5617000029', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438157', '2', '99', '1323441314737557507', '濮阳市分公司', '001004016', '5617000030', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438158', '2', '99', '1323441314737557507', '三门峡市分公司', '001004017', '5617000031', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438159', '2', '99', '1323441314737557507', '许昌市分公司', '001004018', '5617000032', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438160', '2', '99', '1323441314737557507', '漯河市分公司', '001004019', '5617000033', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438161', '2', '99', '1323441314737557507', '商丘市分公司', '001004020', '5617000034', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438162', '2', '99', '1323441314737557507', '周口市分公司', '001004021', '5617000035', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438163', '2', '99', '1323441314737557507', '驻马店市分公司', '001004022', '5617000036', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438164', '2', '99', '1323441314737557507', '南阳市分公司', '001004023', '5617000037', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857522438165', '2', '99', '1323441314737557507', '信阳市分公司', '001004024', '5617000038', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632448', '2', '99', '1323441314737557507', '济源市分公司', '001004025', '5617000039', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632449', '2', '99', '1323441314737557507', '保留关系人员部门', '001004026', '5617000099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632450', '2', '99', '1323441314737557507', '上街押运大队', '001004027', '561700002201', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632451', '2', '99', '1323441314737557507', '荥阳押运大队', '001004028', '561700002202', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632452', '2', '99', '1323441314737557507', '中牟押运大队', '001004029', '561700002203', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632453', '2', '99', '1323441314737557507', '新郑押运大队', '001004030', '561700002204', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632454', '2', '99', '1323441314737557507', '巩义押运大队', '001004031', '561700002205', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632455', '2', '99', '1323441314737557507', '登封押运大队', '001004032', '561700002206', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632456', '2', '99', '1323441314737557507', '新密押运大队', '001004033', '561700002207', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632457', '2', '99', '1323441314737557507', '杞县押运大队', '001004034', '561700002301', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632458', '2', '99', '1323441314737557507', '通许押运大队', '001004035', '561700002302', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632459', '2', '99', '1323441314737557507', '尉氏押运大队', '001004036', '561700002303', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632460', '2', '99', '1323441314737557507', '祥符区押运大队', '001004037', '561700002304', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632461', '2', '99', '1323441314737557507', '兰考押运大队', '001004038', '561700002305', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632462', '2', '99', '1323441314737557507', '偃师押运大队', '001004039', '561700002401', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632463', '2', '99', '1323441314737557507', '孟津押运大队', '001004040', '561700002402', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632464', '2', '99', '1323441314737557507', '新安押运大队', '001004041', '561700002403', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632465', '2', '99', '1323441314737557507', '伊川押运大队', '001004042', '561700002404', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632466', '2', '99', '1323441314737557507', '汝阳押运大队', '001004043', '561700002405', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632467', '2', '99', '1323441314737557507', '嵩县押运大队', '001004044', '561700002406', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632468', '2', '99', '1323441314737557507', '洛宁押运大队', '001004045', '561700002407', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632469', '2', '99', '1323441314737557507', '栾川押运大队', '001004046', '561700002408', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632470', '2', '99', '1323441314737557507', '宜阳押运大队', '001004047', '561700002409', '146', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857526632471', '2', '99', '1323441314737557507', '鲁山押运大队', '001004048', '561700002501', '147', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826752', '2', '99', '1323441314737557507', '舞钢押运大队', '001004049', '561700002502', '148', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826753', '2', '99', '1323441314737557507', '叶县押运大队', '001004050', '561700002503', '149', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826754', '2', '99', '1323441314737557507', '郏县押运大队', '001004051', '561700002504', '150', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826755', '2', '99', '1323441314737557507', '宝丰押运大队', '001004052', '561700002505', '151', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826756', '2', '99', '1323441314737557507', '汝州押运大队', '001004053', '561700002506', '152', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826757', '2', '99', '1323441314737557507', '林州押运大队', '001004054', '561700002601', '153', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826758', '2', '99', '1323441314737557507', '滑县押运大队', '001004055', '561700002602', '154', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826759', '2', '99', '1323441314737557507', '安阳县押运大队', '001004056', '561700002603', '155', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826760', '2', '99', '1323441314737557507', '汤阴押运大队', '001004057', '561700002604', '156', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826761', '2', '99', '1323441314737557507', '内黄押运大队', '001004058', '561700002605', '157', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826762', '2', '99', '1323441314737557507', '淇县押运大队', '001004059', '561700002701', '158', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826763', '2', '99', '1323441314737557507', '浚县押运大队', '001004060', '561700002702', '159', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826764', '2', '99', '1323441314737557507', '新乡县押运大队', '001004061', '561700002801', '160', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826765', '2', '99', '1323441314737557507', '卫辉押运大队', '001004062', '561700002802', '161', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826766', '2', '99', '1323441314737557507', '长垣押运大队', '001004063', '561700002803', '162', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826767', '2', '99', '1323441314737557507', '获嘉押运大队', '001004064', '561700002804', '163', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826768', '2', '99', '1323441314737557507', '辉县押运大队', '001004065', '561700002805', '164', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826769', '2', '99', '1323441314737557507', '原阳押运大队', '001004066', '561700002806', '165', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826770', '2', '99', '1323441314737557507', '延津押运大队', '001004067', '561700002807', '166', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826771', '2', '99', '1323441314737557507', '封丘押运大队', '001004068', '561700002808', '167', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826772', '2', '99', '1323441314737557507', '修武押运大队', '001004069', '561700002901', '168', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826773', '2', '99', '1323441314737557507', '博爱押运大队', '001004070', '561700002902', '169', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857530826774', '2', '99', '1323441314737557507', '沁阳押运大队', '001004071', '561700002903', '170', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021056', '2', '99', '1323441314737557507', '孟州押运大队', '001004072', '561700002904', '171', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021057', '2', '99', '1323441314737557507', '温县押运大队', '001004073', '561700002905', '172', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021058', '2', '99', '1323441314737557507', '武陟押运大队', '001004074', '561700002906', '173', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021059', '2', '99', '1323441314737557507', '濮阳县押运大队', '001004075', '561700003001', '174', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021060', '2', '99', '1323441314737557507', '清丰押运大队', '001004076', '561700003002', '175', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021061', '2', '99', '1323441314737557507', '南乐押运大队', '001004077', '561700003003', '176', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021062', '2', '99', '1323441314737557507', '范县押运大队', '001004078', '561700003004', '177', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021063', '2', '99', '1323441314737557507', '台前押运大队', '001004079', '561700003005', '178', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021064', '2', '99', '1323441314737557507', '义马押运大队', '001004080', '561700003101', '179', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021065', '2', '99', '1323441314737557507', '渑池押运大队', '001004081', '561700003102', '180', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021066', '2', '99', '1323441314737557507', '陕县押运大队', '001004082', '561700003103', '181', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021067', '2', '99', '1323441314737557507', '灵宝押运大队', '001004083', '561700003104', '182', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021068', '2', '99', '1323441314737557507', '卢氏押运大队', '001004084', '561700003105', '183', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021069', '2', '99', '1323441314737557507', '禹州押运大队', '001004085', '561700003201', '184', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021070', '2', '99', '1323441314737557507', '长葛押运大队', '001004086', '561700003202', '185', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021071', '2', '99', '1323441314737557507', '襄城押运大队', '001004087', '561700003203', '186', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021072', '2', '99', '1323441314737557507', '许昌县押运大队', '001004088', '561700003204', '187', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021073', '2', '99', '1323441314737557507', '鄢陵押运大队', '001004089', '561700003205', '188', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021074', '2', '99', '1323441314737557507', '临颍押运大队', '001004090', '561700003301', '189', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021075', '2', '99', '1323441314737557507', '舞阳押运大队', '001004091', '561700003302', '190', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021076', '2', '99', '1323441314737557507', '漯河郊区押运大队', '001004092', '561700003303', '191', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857535021077', '2', '99', '1323441314737557507', '永城押运大队', '001004093', '561700003401', '192', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215360', '2', '99', '1323441314737557507', '夏邑押运大队', '001004094', '561700003402', '193', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215361', '2', '99', '1323441314737557507', '虞城押运大队', '001004095', '561700003403', '194', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215362', '2', '99', '1323441314737557507', '商丘郊区押运大队', '001004096', '561700003404', '195', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215363', '2', '99', '1323441314737557507', '柘城押运大队', '001004097', '561700003405', '196', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215364', '2', '99', '1323441314737557507', '宁陵押运大队', '001004098', '561700003406', '197', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215365', '2', '99', '1323441314737557507', '睢县押运大队', '001004099', '561700003407', '198', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215366', '2', '99', '1323441314737557507', '民权押运大队', '001004100', '561700003408', '199', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215367', '2', '99', '1323441314737557507', '项城押运大队', '001004101', '561700003501', '200', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215368', '2', '99', '1323441314737557507', '商水押运大队', '001004102', '561700003502', '201', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215369', '2', '99', '1323441314737557507', '沈丘押运大队', '001004103', '561700003503', '202', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215370', '2', '99', '1323441314737557507', '太康押运大队', '001004104', '561700003504', '203', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215371', '2', '99', '1323441314737557507', '西华押运大队', '001004105', '561700003505', '204', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215372', '2', '99', '1323441314737557507', '郸城押运大队', '001004106', '561700003506', '205', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215373', '2', '99', '1323441314737557507', '扶沟押运大队', '001004107', '561700003507', '206', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215374', '2', '99', '1323441314737557507', '鹿邑押运大队', '001004108', '561700003508', '207', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215375', '2', '99', '1323441314737557507', '淮阳押运大队', '001004109', '561700003509', '208', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215376', '2', '99', '1323441314737557507', '泌阳押运大队', '001004110', '561700003601', '209', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215377', '2', '99', '1323441314737557507', '确山押运大队', '001004111', '561700003602', '210', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215378', '2', '99', '1323441314737557507', '正阳押运大队', '001004112', '561700003603', '211', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857539215379', '2', '99', '1323441314737557507', '新蔡押运大队', '001004113', '561700003604', '212', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409664', '2', '99', '1323441314737557507', '平舆押运大队', '001004114', '561700003605', '213', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409665', '2', '99', '1323441314737557507', '汝南押运大队', '001004115', '561700003606', '214', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409666', '2', '99', '1323441314737557507', '上蔡押运大队', '001004116', '561700003607', '215', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409667', '2', '99', '1323441314737557507', '遂平押运大队', '001004117', '561700003608', '216', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409668', '2', '99', '1323441314737557507', '西平押运大队', '001004118', '561700003609', '217', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409669', '2', '99', '1323441314737557507', '南召押运大队', '001004119', '561700003701', '218', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409670', '2', '99', '1323441314737557507', '方城押运大队', '001004120', '561700003702', '219', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409671', '2', '99', '1323441314737557507', '西峡押运大队', '001004121', '561700003703', '220', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409672', '2', '99', '1323441314737557507', '南阳郊区押运大队', '001004122', '561700003704', '221', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857543409673', '2', '99', '1323441314737557507', '镇平押运大队', '001004123', '561700003705', '222', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603968', '2', '99', '1323441314737557507', '内乡押运大队', '001004124', '561700003706', '223', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603969', '2', '99', '1323441314737557507', '淅川押运大队', '001004125', '561700003707', '224', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603970', '2', '99', '1323441314737557507', '社旗押运大队', '001004126', '561700003708', '225', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603971', '2', '99', '1323441314737557507', '唐河押运大队', '001004127', '561700003709', '226', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603972', '2', '99', '1323441314737557507', '邓州押运大队', '001004128', '561700003710', '227', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603973', '2', '99', '1323441314737557507', '新野押运大队', '001004129', '561700003711', '228', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603974', '2', '99', '1323441314737557507', '桐柏押运大队', '001004130', '561700003712', '229', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603975', '2', '99', '1323441314737557507', '息县押运大队', '001004131', '561700003801', '230', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603976', '2', '99', '1323441314737557507', '潢川押运大队', '001004132', '561700003802', '231', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603977', '2', '99', '1323441314737557507', '罗山押运大队', '001004133', '561700003803', '232', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603978', '2', '99', '1323441314737557507', '光山押运大队', '001004134', '561700003804', '233', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603979', '2', '99', '1323441314737557507', '信阳郊区押运大队', '001004135', '561700003805', '234', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603980', '2', '99', '1323441314737557507', '新县押运大队', '001004136', '561700003806', '235', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603981', '2', '99', '1323441314737557507', '淮滨押运大队', '001004137', '561700003807', '236', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603982', '2', '99', '1323441314737557507', '固始押运大队', '001004138', '561700003808', '237', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603983', '2', '99', '1323441314737557507', '商城押运大队', '001004139', '561700003809', '238', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603984', '2', '99', '1323441314737557508', '单位领导部门', '001005001', '5618000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857547603985', '2', '99', '1323441314737557508', '非领导职务部门', '001005002', '5618000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798272', '2', '99', '1323441314737557508', '领导助理部门', '001005003', '5618000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798273', '2', '99', '1323441314737557508', '业务室', '001005004', '5618000005', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798274', '2', '99', '1323441314737557508', '通信室', '001005005', '5618000006', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798275', '2', '99', '1323441314737557508', '保留关系人员部门', '001005006', '5618000099', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798276', '2', '99', '1323441314737557509', '单位领导部门', '001006001', '5622000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798277', '2', '99', '1323441314737557509', '非领导职务部门', '001006002', '5622000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798278', '2', '99', '1323441314737557509', '领导助理部门', '001006003', '5622000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798279', '2', '99', '1323441314737557509', '人力资源部', '001006004', '5622000005', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798280', '2', '99', '1323441314737557509', '综合部（党委办公室）', '001006005', '5622000006', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798281', '2', '99', '1323441314737557509', '计划财务部', '001006006', '5622000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798282', '2', '99', '1323441314737557509', '质量管理部', '001006007', '5622000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798283', '2', '99', '1323441314737557509', '工艺技术部', '001006008', '5622000009', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798284', '2', '99', '1323441314737557509', '设备部', '001006009', '5622000010', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798285', '2', '99', '1323441314737557509', '储运部', '001006010', '5622000011', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798286', '2', '99', '1323441314737557509', '生产调度部', '001006011', '5622000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798287', '2', '99', '1323441314737557509', '制版车间', '001006012', '5622000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798289', '2', '99', '1323441314737557509', '装订车间', '001006014', '5622000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798292', '2', '99', '1323441314737557509', '光达公司', '001006017', '5622000021', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798293', '2', '99', '1323441314737557509', '报刊印务公司', '001006018', '5622000022', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798294', '2', '99', '1323441314737557509', '设计制作公司', '001006019', '5622000023', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857551798295', '2', '99', '1323441314737557509', '规划设计部', '001006020', '5622000024', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992576', '2', '99', '1323441314737557509', '保留关系人员部门', '001006021', '5622000099', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992577', '2', '99', '1323441314737557510', '单位领导部门--GAI', '001007016', '5651000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992578', '2', '99', '1323441314737557510', '非领导职务部门', '001007017', '5651000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992579', '2', '99', '1323441314737557510', '领导助理部门', '001007018', '5651000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992581', '2', '99', '1323441314737557510', '服务质量部（普遍服务部）', '001007020', '5651000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992585', '2', '99', '1323441314737557510', '综合办公室（党委办公室、安全保卫部）', '001007024', '5651000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992586', '2', '99', '1323441314737557510', '财务部', '001007025', '5651000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992587', '2', '99', '1323441314737557510', '人力资源部（党委组织部）', '001007026', '5651000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992588', '2', '99', '1323441314737557510', '党委党建工作部', '001007027', '5651000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992589', '2', '99', '1323441314737557510', '纪委办公室', '001007028', '5651000015', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857555992590', '2', '99', '1323441314737557510', '工会', '001007029', '5651000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186881', '2', '99', '1323441314737557510', '保留关系人员部门', '001007031', '5651000099', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186882', '2', '99', '1323441314737557510', '客户营销中心', '001007032', '565100000401', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186883', '2', '99', '1323441314737557510', '业务档案班', '001007033', '565100000501', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186884', '2', '99', '1323441314737557510', '客户服务班', '001007034', '565100000502', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186885', '2', '99', '1323441314737557510', '业务管理室', '001007035', '565100000701', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186886', '2', '99', '1323441314737557510', '内控管理室', '001007036', '565100000702', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186887', '2', '99', '1323441314737557510', '业务管理室', '001007037', '565100000801', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186888', '2', '99', '1323441314737557510', '创意研发室', '001007038', '565100000802', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186889', '2', '99', '1323441314737557510', '商函制作班', '001007039', '565100000803', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186890', '2', '99', '1323441314737557510', '创意设计组', '001007040', '565100000804', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186893', '2', '99', '1323441314737557510', '电商分销室', '001007043', '565100001002', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186894', '2', '99', '1323441314737557510', '农村电商线上运营组', '001007044', '565100001003', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186895', '2', '99', '1323441314737557510', '远程监控班', '001007045', '565100001101', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186896', '2', '99', '1323441314737557510', '寄递事业部', '001007046', '5651000088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186897', '2', '99', '1323441314737557511', '单位领导部门', '001007001001', '5651010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186898', '2', '99', '1323441314737557511', '非领导职务部门', '001007001002', '5651010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857560186899', '2', '99', '1323441314737557511', '领导助理部门', '001007001003', '5651010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381186', '2', '99', '1323441314737557511', '综合办公室（安全保卫部）', '001007001008', '5651010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381187', '2', '99', '1323441314737557511', '营业班', '001007001009', '5651010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381188', '2', '99', '1323441314737557511', '汝南路支局', '001007001010', '5651010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381189', '2', '99', '1323441314737557511', '登封路支局', '001007001011', '5651010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381190', '2', '99', '1323441314737557511', '峡窝支局', '001007001012', '5651010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381191', '2', '99', '1323441314737557511', '新安东路支局', '001007001013', '5651010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381193', '2', '99', '1323441314737557511', '保留关系人员部门', '001007001015', '5651010099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381194', '2', '99', '1323441314737557511', '机要室', '001007001016', '565101000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381195', '2', '99', '1323441314737557511', '寄递事业部', '001007001017', '5651010088', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381196', '2', '99', '1323441314737557512', '单位领导部门', '001007002001', '5651020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381197', '2', '99', '1323441314737557512', '非领导职务部门', '001007002002', '5651020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857564381198', '2', '99', '1323441314737557512', '领导助理部门', '001007002003', '5651020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575490', '2', '99', '1323441314737557512', '综合办公室（安全保卫部）', '001007002008', '5651020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575491', '2', '99', '1323441314737557512', '营业班', '001007002009', '5651020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575495', '2', '99', '1323441314737557512', '高村支局', '001007002013', '5651020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575496', '2', '99', '1323441314737557512', '高山支局', '001007002014', '5651020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575497', '2', '99', '1323441314737557512', '广武支局', '001007002015', '5651020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575499', '2', '99', '1323441314737557512', '贾峪支局', '001007002017', '5651020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575501', '2', '99', '1323441314737557512', '刘河支局', '001007002019', '5651020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575502', '2', '99', '1323441314737557512', '乔楼支局', '001007002020', '5651020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575503', '2', '99', '1323441314737557512', '卅里铺支局', '001007002021', '5651020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575504', '2', '99', '1323441314737557512', '汜水支局', '001007002022', '5651020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575505', '2', '99', '1323441314737557512', '万山路支局', '001007002023', '5651020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857568575506', '2', '99', '1323441314737557512', '万山南路支局', '001007002024', '5651020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769792', '2', '99', '1323441314737557512', '王村支局', '001007002025', '5651020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769793', '2', '99', '1323441314737557512', '豫龙支局', '001007002026', '5651020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769794', '2', '99', '1323441314737557512', '竹川支局', '001007002027', '5651020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769796', '2', '99', '1323441314737557512', '保留关系人员部门', '001007002029', '5651020099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769797', '2', '99', '1323441314737557512', '机要室', '001007002030', '565102000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769799', '2', '99', '1323441314737557512', '寄递事业部', '001007002032', '5651020088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769800', '2', '99', '1323441314737557513', '单位领导部门', '001007003001', '5651030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769801', '2', '99', '1323441314737557513', '非领导职务部门', '001007003002', '5651030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769802', '2', '99', '1323441314737557513', '领导助理部门', '001007003003', '5651030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769807', '2', '99', '1323441314737557513', '综合办公室（安全保卫部）', '001007003008', '5651030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769808', '2', '99', '1323441314737557513', '营业班', '001007003009', '5651030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769810', '2', '99', '1323441314737557513', '白沙开发区支局', '001007003011', '5651030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857572769811', '2', '99', '1323441314737557513', '白沙支局', '001007003012', '5651030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857576964100', '2', '99', '1323441314737557513', '官渡支局', '001007003020', '5651030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857576964101', '2', '99', '1323441314737557513', '韩寺支局', '001007003021', '5651030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857576964103', '2', '99', '1323441314737557513', '九龙支局', '001007003023', '5651030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857576964106', '2', '99', '1323441314737557513', '青年路支局', '001007003026', '5651030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857576964108', '2', '99', '1323441314737557513', '万滩支局', '001007003028', '5651030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857576964110', '2', '99', '1323441314737557513', '雁鸣湖支局', '001007003030', '5651030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857581158403', '2', '99', '1323441314737557513', '保留关系人员部门', '001007003034', '5651030099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857581158404', '2', '99', '1323441314737557513', '机要室', '001007003035', '565103000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857581158405', '2', '99', '1323441314737557513', '寄递事业部', '001007003036', '5651030088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857581158406', '2', '99', '1323441314737557514', '单位领导部门', '001007004001', '5651040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857581158407', '2', '99', '1323441314737557514', '非领导职务部门', '001007004002', '5651040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352704', '2', '99', '1323441314737557514', '领导助理部门', '001007004003', '5651040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352709', '2', '99', '1323441314737557514', '综合办公室（安全保卫部）', '001007004008', '5651040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352710', '2', '99', '1323441314737557514', '营业班', '001007004009', '5651040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352711', '2', '99', '1323441314737557514', '八千支局', '001007004010', '5651040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352712', '2', '99', '1323441314737557514', '观音寺支局', '001007004011', '5651040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352713', '2', '99', '1323441314737557514', '郭店支局', '001007004012', '5651040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857585352714', '2', '99', '1323441314737557514', '和庄支局', '001007004013', '5651040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547009', '2', '99', '1323441314737557514', '梨河支局', '001007004016', '5651040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547010', '2', '99', '1323441314737557514', '龙湖支局', '001007004017', '5651040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547012', '2', '99', '1323441314737557514', '孟庄支局', '001007004019', '5651040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547016', '2', '99', '1323441314737557514', '西城支局', '001007004023', '5651040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547019', '2', '99', '1323441314737557514', '新村支局', '001007004026', '5651040032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547020', '2', '99', '1323441314737557514', '薛店支局', '001007004027', '5651040033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547022', '2', '99', '1323441314737557514', '中华路支局', '001007004029', '5651040035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547025', '2', '99', '1323441314737557514', '保留关系人员部门', '001007004032', '5651040099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547026', '2', '99', '1323441314737557514', '机要室', '001007004033', '565104000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547028', '2', '99', '1323441314737557514', '寄递事业部', '001007004035', '5651040088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857589547029', '2', '99', '1323441314737557515', '单位领导部门', '001007005001', '5651050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741312', '2', '99', '1323441314737557515', '非领导职务部门', '001007005002', '5651050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741313', '2', '99', '1323441314737557515', '领导助理部门', '001007005003', '5651050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741318', '2', '99', '1323441314737557515', '综合办公室（安全保卫部）', '001007005008', '5651050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741319', '2', '99', '1323441314737557515', '营业班', '001007005009', '5651050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741320', '2', '99', '1323441314737557515', '北山口支局', '001007005010', '5651050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741322', '2', '99', '1323441314737557515', '大峪沟支局', '001007005012', '5651050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741323', '2', '99', '1323441314737557515', '杜甫路支局', '001007005013', '5651050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741326', '2', '99', '1323441314737557515', '夹津口支局', '001007005016', '5651050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741327', '2', '99', '1323441314737557515', '康店支局', '001007005017', '5651050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741328', '2', '99', '1323441314737557515', '鲁庄支局', '001007005018', '5651050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741329', '2', '99', '1323441314737557515', '米河支局', '001007005019', '5651050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741330', '2', '99', '1323441314737557515', '南河渡支局', '001007005020', '5651050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741331', '2', '99', '1323441314737557515', '涉村支局', '001007005021', '5651050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741332', '2', '99', '1323441314737557515', '西村支局', '001007005022', '5651050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741333', '2', '99', '1323441314737557515', '小关支局', '001007005023', '5651050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857593741334', '2', '99', '1323441314737557515', '孝义支局', '001007005024', '5651050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935616', '2', '99', '1323441314737557515', '新兴路支局', '001007005025', '5651050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935617', '2', '99', '1323441314737557515', '新中支局', '001007005026', '5651050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935619', '2', '99', '1323441314737557515', '站街支局', '001007005028', '5651050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935620', '2', '99', '1323441314737557515', '芝田支局', '001007005029', '5651050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935622', '2', '99', '1323441314737557515', '保留关系人员部门', '001007005031', '5651050099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935623', '2', '99', '1323441314737557515', '机要室', '001007005032', '565105000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935625', '2', '99', '1323441314737557515', '寄递事业部', '001007005034', '5651050088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935626', '2', '99', '1323441314737557516', '单位领导部门', '001007006001', '5651060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935627', '2', '99', '1323441314737557516', '非领导职务部门', '001007006002', '5651060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857597935628', '2', '99', '1323441314737557516', '领导助理部门', '001007006003', '5651060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129921', '2', '99', '1323441314737557516', '综合办公室（安全保卫部）', '001007006008', '5651060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129922', '2', '99', '1323441314737557516', '营业班', '001007006009', '5651060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129924', '2', '99', '1323441314737557516', '大金店支局', '001007006011', '5651060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129925', '2', '99', '1323441314737557516', '大冶支局', '001007006012', '5651060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129926', '2', '99', '1323441314737557516', '东华支局', '001007006013', '5651060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129928', '2', '99', '1323441314737557516', '君召支局', '001007006015', '5651060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129929', '2', '99', '1323441314737557516', '卢店支局', '001007006016', '5651060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129932', '2', '99', '1323441314737557516', '守敬路支局', '001007006019', '5651060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129933', '2', '99', '1323441314737557516', '嵩山路支局', '001007006020', '5651060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129936', '2', '99', '1323441314737557516', '徐庄支局', '001007006023', '5651060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129937', '2', '99', '1323441314737557516', '宣化支局', '001007006024', '5651060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129938', '2', '99', '1323441314737557516', '颖阳支局', '001007006025', '5651060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129940', '2', '99', '1323441314737557516', '保留关系人员部门', '001007006027', '5651060099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129941', '2', '99', '1323441314737557516', '机要室', '001007006028', '565106000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129942', '2', '99', '1323441314737557516', '寄递事业部', '001007006029', '5651060088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129943', '2', '99', '1323441314737557517', '单位领导部门', '001007007001', '5651070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129944', '2', '99', '1323441314737557517', '非领导职务部门', '001007007002', '5651070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129945', '2', '99', '1323441314737557517', '领导助理部门', '001007007003', '5651070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129950', '2', '99', '1323441314737557517', '综合办公室（安全保卫部）', '001007007008', '5651070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129951', '2', '99', '1323441314737557517', '营业班', '001007007009', '5651070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129952', '2', '99', '1323441314737557517', '白寨支局', '001007007010', '5651070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129953', '2', '99', '1323441314737557517', '超化支局', '001007007011', '5651070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129954', '2', '99', '1323441314737557517', '大隗支局', '001007007012', '5651070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857602129955', '2', '99', '1323441314737557517', '东大街支局', '001007007013', '5651070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324224', '2', '99', '1323441314737557517', '苟堂支局', '001007007014', '5651070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324226', '2', '99', '1323441314737557517', '行政路支局', '001007007016', '5651070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324228', '2', '99', '1323441314737557517', '金华支局', '001007007018', '5651070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324230', '2', '99', '1323441314737557517', '来集支局', '001007007020', '5651070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324233', '2', '99', '1323441314737557517', '刘寨支局', '001007007023', '5651070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324234', '2', '99', '1323441314737557517', '芦沟支局', '001007007024', '5651070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324235', '2', '99', '1323441314737557517', '米村支局', '001007007025', '5651070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324237', '2', '99', '1323441314737557517', '裴沟支局', '001007007027', '5651070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324238', '2', '99', '1323441314737557517', '平陌支局', '001007007028', '5651070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324240', '2', '99', '1323441314737557517', '溱水路支局', '001007007030', '5651070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324241', '2', '99', '1323441314737557517', '青屏支局', '001007007031', '5651070036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324242', '2', '99', '1323441314737557517', '曲梁支局', '001007007032', '5651070037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324243', '2', '99', '1323441314737557517', '王庄支局', '001007007033', '5651070038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324244', '2', '99', '1323441314737557517', '新密西大街支局', '001007007034', '5651070039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324247', '2', '99', '1323441314737557517', '保留关系人员部门', '001007007037', '5651070099', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324248', '2', '99', '1323441314737557517', '机要室', '001007007038', '565107000401', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324250', '2', '99', '1323441314737557517', '寄递事业部', '001007007040', '5651070088', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324251', '2', '99', '1323441314737557518', '单位领导部门', '001007008001', '5651200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324252', '2', '99', '1323441314737557518', '非领导职务部门', '001007008002', '5651200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324253', '2', '99', '1323441314737557518', '领导助理部门', '001007008003', '5651200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324258', '2', '99', '1323441314737557518', '营业班', '001007008008', '5651200012', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324261', '2', '99', '1323441314737557518', '伏牛路支局', '001007008011', '5651200018', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324263', '2', '99', '1323441314737557518', '航海中路支局', '001007008013', '5651200020', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324264', '2', '99', '1323441314737557518', '建设路支局', '001007008014', '5651200021', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324265', '2', '99', '1323441314737557518', '锦艺城支局', '001007008015', '5651200022', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324267', '2', '99', '1323441314737557518', '汝河路支局', '001007008017', '5651200024', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324268', '2', '99', '1323441314737557518', '桐柏路支局', '001007008018', '5651200025', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324269', '2', '99', '1323441314737557518', '万达支局', '001007008019', '5651200026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324271', '2', '99', '1323441314737557518', '中原区局大宗班', '001007008021', '5651200028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324272', '2', '99', '1323441314737557518', '中原西路支局', '001007008022', '5651200029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324273', '2', '99', '1323441314737557518', '保留关系人员部门', '001007008023', '5651200099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857606324274', '2', '99', '1323441314737557518', '寄递事业部', '001007008024', '5651200088', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518528', '2', '99', '1323441314737557519', '单位领导部门', '001007009001', '5651200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518529', '2', '99', '1323441314737557519', '非领导职务部门', '001007009002', '5651200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518530', '2', '99', '1323441314737557519', '领导助理部门', '001007009003', '5651200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518535', '2', '99', '1323441314737557519', '营业班', '001007009008', '5651200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518538', '2', '99', '1323441314737557519', '航院支局', '001007009011', '5651200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518541', '2', '99', '1323441314737557519', '连云路支局', '001007009014', '5651200122', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518542', '2', '99', '1323441314737557519', '陇海西路支局', '001007009015', '5651200123', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518543', '2', '99', '1323441314737557519', '陇海中路支局', '001007009016', '5651200124', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518545', '2', '99', '1323441314737557519', '升龙支局', '001007009018', '5651200126', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518547', '2', '99', '1323441314737557519', '五里堡支局', '001007009020', '5651200128', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518548', '2', '99', '1323441314737557519', '正兴街支局', '001007009021', '5651200129', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518550', '2', '99', '1323441314737557519', '保留关系人员部门', '001007009023', '5651200199', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518551', '2', '99', '1323441314737557519', '寄递事业部', '001007009024', '5651200188', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518552', '2', '99', '1323441314737557520', '单位领导部门', '001007010001', '5651200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518553', '2', '99', '1323441314737557520', '非领导职务部门', '001007010002', '5651200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857610518554', '2', '99', '1323441314737557520', '领导助理部门', '001007010003', '5651200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712833', '2', '99', '1323441314737557520', '营业班', '001007010008', '5651200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712835', '2', '99', '1323441314737557520', '紫辰路支局', '001007010010', '5651200216', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712836', '2', '99', '1323441314737557520', '大同路支局', '001007010011', '5651200217', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712837', '2', '99', '1323441314737557520', '东明路支局', '001007010012', '5651200218', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712839', '2', '99', '1323441314737557520', '管城区局大宗班', '001007010014', '5651200220', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712840', '2', '99', '1323441314737557520', '航海东路支局', '001007010015', '5651200221', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712842', '2', '99', '1323441314737557520', '货栈街支局', '001007010017', '5651200223', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712844', '2', '99', '1323441314737557520', '商城东路支局', '001007010019', '5651200225', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712845', '2', '99', '1323441314737557520', '西大街支局', '001007010020', '5651200226', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712846', '2', '99', '1323441314737557520', '玉凤路支局', '001007010021', '5651200227', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712848', '2', '99', '1323441314737557520', '保留关系人员部门', '001007010023', '5651200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712849', '2', '99', '1323441314737557520', '寄递事业部', '001007010024', '5651200288', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712850', '2', '99', '1323441314737557521', '单位领导部门', '001007011001', '5651200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712851', '2', '99', '1323441314737557521', '非领导职务部门', '001007011002', '5651200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712852', '2', '99', '1323441314737557521', '领导助理部门', '001007011003', '5651200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712857', '2', '99', '1323441314737557521', '营业班', '001007011008', '5651200312', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712860', '2', '99', '1323441314737557521', '岗杜支局', '001007011011', '5651200320', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712861', '2', '99', '1323441314737557521', '红旗路支局', '001007011012', '5651200321', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712862', '2', '99', '1323441314737557521', '金水区局大宗班', '001007011013', '5651200322', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712864', '2', '99', '1323441314737557521', '经五路支局', '001007011015', '5651200324', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712866', '2', '99', '1323441314737557521', '南阳路大宗班', '001007011017', '5651200326', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712869', '2', '99', '1323441314737557521', '省中医院支局', '001007011020', '5651200329', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712872', '2', '99', '1323441314737557521', '文化路支局', '001007011023', '5651200332', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712874', '2', '99', '1323441314737557521', '保留关系人员部门', '001007011025', '5651200399', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712875', '2', '99', '1323441314737557521', '寄递事业部', '001007011026', '5651200388', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712876', '2', '99', '1323441314737557522', '单位领导部门', '001007012001', '5651200401', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712877', '2', '99', '1323441314737557522', '非领导职务部门', '001007012002', '5651200402', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857614712878', '2', '99', '1323441314737557522', '领导助理部门', '001007012003', '5651200403', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907136', '2', '99', '1323441314737557522', '营业班', '001007012008', '5651200412', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907138', '2', '99', '1323441314737557522', '常寨支局', '001007012010', '5651200419', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907143', '2', '99', '1323441314737557522', '花园路大宗班', '001007012015', '5651200424', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907144', '2', '99', '1323441314737557522', '花园路支局', '001007012016', '5651200425', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907147', '2', '99', '1323441314737557522', '经三路支局', '001007012019', '5651200428', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907149', '2', '99', '1323441314737557522', '农业南路支局', '001007012021', '5651200430', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907151', '2', '99', '1323441314737557522', '纬五路支局', '001007012023', '5651200432', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907153', '2', '99', '1323441314737557522', '原盛国际支局', '001007012025', '5651200434', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907154', '2', '99', '1323441314737557522', '政六街支局', '001007012026', '5651200435', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907157', '2', '99', '1323441314737557522', '保留关系人员部门', '001007012029', '5651200499', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907158', '2', '99', '1323441314737557522', '寄递事业部', '001007012030', '5651200488', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907159', '2', '99', '1323441314737557523', '单位领导部门', '001007013001', '5651200501', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907160', '2', '99', '1323441314737557523', '非领导职务部门', '001007013002', '5651200502', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907161', '2', '99', '1323441314737557523', '领导助理部门', '001007013003', '5651200503', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907166', '2', '99', '1323441314737557523', '营业班', '001007013008', '5651200512', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907167', '2', '99', '1323441314737557523', '北大学城支局', '001007013009', '5651200517', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907168', '2', '99', '1323441314737557523', '古荥支局', '001007013010', '5651200518', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907169', '2', '99', '1323441314737557523', '海洋路支局', '001007013011', '5651200519', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907173', '2', '99', '1323441314737557523', '老鸦陈支局', '001007013015', '5651200523', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907175', '2', '99', '1323441314737557523', '宋寨东路支局', '001007013017', '5651200525', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907176', '2', '99', '1323441314737557523', '中方园支局', '001007013018', '5651200526', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907177', '2', '99', '1323441314737557523', '中州大道支局', '001007013019', '5651200527', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907179', '2', '99', '1323441314737557523', '保留关系人员部门', '001007013021', '5651200599', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907180', '2', '99', '1323441314737557523', '寄递事业部', '001007013022', '5651200588', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907181', '2', '99', '1323441314737557524', '单位领导部门', '001007014001', '5651200601', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907182', '2', '99', '1323441314737557524', '非领导职务部门', '001007014002', '5651200602', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857618907183', '2', '99', '1323441314737557524', '领导助理部门', '001007014003', '5651200603', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101444', '2', '99', '1323441314737557524', '营业班', '001007014008', '5651200612', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101446', '2', '99', '1323441314737557524', '翠竹街支局', '001007014010', '5651200618', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101451', '2', '99', '1323441314737557524', '华山路支局', '001007014015', '5651200623', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101454', '2', '99', '1323441314737557524', '马寨支局', '001007014018', '5651200626', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101455', '2', '99', '1323441314737557524', '五龙口支局', '001007014019', '5651200627', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101459', '2', '99', '1323441314737557524', '保留关系人员部门', '001007014023', '5651200699', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101460', '2', '99', '1323441314737557524', '寄递事业部', '001007014024', '5651200688', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101461', '2', '99', '1323441314737557525', '单位领导部门', '001007015001', '5651200701', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101462', '2', '99', '1323441314737557525', '非领导职务部门', '001007015002', '5651200702', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101463', '2', '99', '1323441314737557525', '领导助理部门', '001007015003', '5651200703', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101468', '2', '99', '1323441314737557525', '营业班', '001007015008', '5651200712', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101470', '2', '99', '1323441314737557525', '寒山东路支局', '001007015010', '5651200719', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101474', '2', '99', '1323441314737557525', '南环路支局', '001007015014', '5651200723', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101475', '2', '99', '1323441314737557525', '圃田支局', '001007015015', '5651200724', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101476', '2', '99', '1323441314737557525', '十里铺街支局', '001007015016', '5651200725', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101477', '2', '99', '1323441314737557525', '万客来支局', '001007015017', '5651200726', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101478', '2', '99', '1323441314737557525', '五洲小区支局', '001007015018', '5651200727', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101479', '2', '99', '1323441314737557525', '郑飞支局', '001007015019', '5651200728', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101480', '2', '99', '1323441314737557525', '行云路支局', '001007015020', '5651200729', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101481', '2', '99', '1323441314737557525', '保留关系人员部门', '001007015021', '5651200799', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101482', '2', '99', '1323441314737557525', '寄递事业部', '001007015022', '5651200788', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101483', '2', '99', '1323441314737557526', '单位领导部门', '001008009', '5652000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101484', '2', '99', '1323441314737557526', '非领导职务部门', '001008010', '5652000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101485', '2', '99', '1323441314737557526', '领导助理部门', '001008011', '5652000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857623101487', '2', '99', '1323441314737557526', '服务质量部（普遍服务部）', '001008013', '5652000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295747', '2', '99', '1323441314737557526', '综合办公室（党委办公室、安全保卫部）', '001008017', '5652000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295748', '2', '99', '1323441314737557526', '财务部', '001008018', '5652000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295749', '2', '99', '1323441314737557526', '人力资源部（党委组织部）', '001008019', '5652000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295750', '2', '99', '1323441314737557526', '党委党建工作部（纪委办公室）', '001008020', '5652000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295751', '2', '99', '1323441314737557526', '工会', '001008021', '5652000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295752', '2', '99', '1323441314737557526', '保留关系人员部门', '001008022', '5652000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295753', '2', '99', '1323441314737557526', '客户营销中心', '001008023', '565200000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295754', '2', '99', '1323441314737557526', '业务档案班', '001008024', '565200000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295755', '2', '99', '1323441314737557526', '业务管理室', '001008025', '565200000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295756', '2', '99', '1323441314737557526', '内控管理室', '001008026', '565200000702', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295758', '2', '99', '1323441314737557526', '业务管理室', '001008028', '565200000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295759', '2', '99', '1323441314737557526', '创意研发室', '001008029', '565200000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295760', '2', '99', '1323441314737557526', '商函制作班', '001008030', '565200000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295762', '2', '99', '1323441314737557526', '电商分销室', '001008032', '565200001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295763', '2', '99', '1323441314737557526', '寄递事业部', '001008033', '5652000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295764', '2', '99', '1323441314737557527', '单位领导部门', '001008001001', '5652010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295765', '2', '99', '1323441314737557527', '非领导职务部门', '001008001002', '5652010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295766', '2', '99', '1323441314737557527', '领导助理部门', '001008001003', '5652010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295771', '2', '99', '1323441314737557527', '综合办公室（安全保卫部）', '001008001008', '5652010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295772', '2', '99', '1323441314737557527', '营业班', '001008001009', '5652010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295773', '2', '99', '1323441314737557527', '板木支局', '001008001010', '5652010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295774', '2', '99', '1323441314737557527', '付集支局', '001008001011', '5652010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295775', '2', '99', '1323441314737557527', '高阳支局', '001008001012', '5652010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295776', '2', '99', '1323441314737557527', '葛岗支局', '001008001013', '5652010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295777', '2', '99', '1323441314737557527', '官庄支局', '001008001014', '5652010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295778', '2', '99', '1323441314737557527', '湖岗支局', '001008001015', '5652010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295779', '2', '99', '1323441314737557527', '泥沟支局', '001008001016', '5652010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295780', '2', '99', '1323441314737557527', '裴村店支局', '001008001017', '5652010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295781', '2', '99', '1323441314737557527', '平城支局', '001008001018', '5652010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295782', '2', '99', '1323441314737557527', '沙沃支局', '001008001019', '5652010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295783', '2', '99', '1323441314737557527', '柿园支局', '001008001020', '5652010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295784', '2', '99', '1323441314737557527', '五里河支局', '001008001021', '5652010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295785', '2', '99', '1323441314737557527', '西关支局', '001008001022', '5652010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295786', '2', '99', '1323441314737557527', '西寨支局', '001008001023', '5652010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295787', '2', '99', '1323441314737557527', '邢口支局', '001008001024', '5652010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295788', '2', '99', '1323441314737557527', '阳固支局', '001008001025', '5652010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295789', '2', '99', '1323441314737557527', '于镇支局', '001008001026', '5652010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295790', '2', '99', '1323441314737557527', '竹林支局', '001008001027', '5652010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295791', '2', '99', '1323441314737557527', '宗店支局', '001008001028', '5652010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857627295794', '2', '99', '1323441314737557527', '保留关系人员部门', '001008001031', '5652010099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490048', '2', '99', '1323441314737557527', '机要室', '001008001032', '565201000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490050', '2', '99', '1323441314737557527', '寄递事业部', '001008001034', '5652010088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490051', '2', '99', '1323441314737557528', '单位领导部门', '001008002001', '5652020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490052', '2', '99', '1323441314737557528', '非领导职务部门', '001008002002', '5652020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490053', '2', '99', '1323441314737557528', '领导助理部门', '001008002003', '5652020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490058', '2', '99', '1323441314737557528', '综合办公室（安全保卫部）', '001008002008', '5652020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490059', '2', '99', '1323441314737557528', '营业班', '001008002009', '5652020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490060', '2', '99', '1323441314737557528', '北关支局', '001008002010', '5652020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490062', '2', '99', '1323441314737557528', '邸阁支局', '001008002012', '5652020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490063', '2', '99', '1323441314737557528', '冯庄支局', '001008002013', '5652020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490065', '2', '99', '1323441314737557528', '练城支局', '001008002015', '5652020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490066', '2', '99', '1323441314737557528', '竖岗支局', '001008002016', '5652020022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490067', '2', '99', '1323441314737557528', '四所楼支局', '001008002017', '5652020023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490068', '2', '99', '1323441314737557528', '孙营支局', '001008002018', '5652020024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490069', '2', '99', '1323441314737557528', '玉皇庙支局', '001008002019', '5652020025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490070', '2', '99', '1323441314737557528', '长智支局', '001008002020', '5652020026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490071', '2', '99', '1323441314737557528', '中心支局', '001008002021', '5652020027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490072', '2', '99', '1323441314737557528', '朱砂支局', '001008002022', '5652020028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490073', '2', '99', '1323441314737557528', '保留关系人员部门', '001008002023', '5652020099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490074', '2', '99', '1323441314737557528', '机要室', '001008002024', '565202000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490075', '2', '99', '1323441314737557528', '寄递事业部', '001008002025', '5652020088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490076', '2', '99', '1323441314737557529', '单位领导部门', '001008003001', '5652030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490077', '2', '99', '1323441314737557529', '非领导职务部门', '001008003002', '5652030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490078', '2', '99', '1323441314737557529', '领导助理部门', '001008003003', '5652030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490083', '2', '99', '1323441314737557529', '综合办公室（安全保卫部）', '001008003008', '5652030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490084', '2', '99', '1323441314737557529', '营业班', '001008003009', '5652030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490085', '2', '99', '1323441314737557529', '蔡庄支局', '001008003010', '5652030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490086', '2', '99', '1323441314737557529', '大马支局', '001008003011', '5652030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490088', '2', '99', '1323441314737557529', '大营支局', '001008003013', '5652030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490089', '2', '99', '1323441314737557529', '岗李支局', '001008003014', '5652030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490091', '2', '99', '1323441314737557529', '门楼任支局', '001008003016', '5652030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490092', '2', '99', '1323441314737557529', '南曹支局', '001008003017', '5652030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490093', '2', '99', '1323441314737557529', '十八里支局', '001008003018', '5652030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490094', '2', '99', '1323441314737557529', '水坡支局', '001008003019', '5652030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490095', '2', '99', '1323441314737557529', '洧川支局', '001008003020', '5652030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857631490096', '2', '99', '1323441314737557529', '西大街支局', '001008003021', '5652030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684352', '2', '99', '1323441314737557529', '小陈支局', '001008003022', '5652030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684355', '2', '99', '1323441314737557529', '张市支局', '001008003025', '5652030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684356', '2', '99', '1323441314737557529', '朱曲支局', '001008003026', '5652030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684357', '2', '99', '1323441314737557529', '庄头支局', '001008003027', '5652030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684358', '2', '99', '1323441314737557529', '保留关系人员部门', '001008003028', '5652030099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684359', '2', '99', '1323441314737557529', '机要室', '001008003029', '565203000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684361', '2', '99', '1323441314737557529', '寄递事业部', '001008003031', '5652030088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684362', '2', '99', '1323441314737557530', '单位领导部门', '001008004001', '5652040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684363', '2', '99', '1323441314737557530', '非领导职务部门', '001008004002', '5652040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684364', '2', '99', '1323441314737557530', '领导助理部门', '001008004003', '5652040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684369', '2', '99', '1323441314737557530', '综合办公室（安全保卫部）', '001008004008', '5652040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684370', '2', '99', '1323441314737557530', '营业班', '001008004009', '5652040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684372', '2', '99', '1323441314737557530', '仇楼支局', '001008004011', '5652040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684374', '2', '99', '1323441314737557530', '杜良支局', '001008004013', '5652040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684375', '2', '99', '1323441314737557530', '范村支局', '001008004014', '5652040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684376', '2', '99', '1323441314737557530', '开祥路支局', '001008004015', '5652040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684377', '2', '99', '1323441314737557530', '刘店支局', '001008004016', '5652040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684378', '2', '99', '1323441314737557530', '罗王支局', '001008004017', '5652040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684379', '2', '99', '1323441314737557530', '曲兴支局', '001008004018', '5652040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684380', '2', '99', '1323441314737557530', '土山岗支局', '001008004019', '5652040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684381', '2', '99', '1323441314737557530', '万隆支局', '001008004020', '5652040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684382', '2', '99', '1323441314737557530', '西姜寨支局', '001008004021', '5652040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684383', '2', '99', '1323441314737557530', '兴隆支局', '001008004022', '5652040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684384', '2', '99', '1323441314737557530', '袁坊支局', '001008004023', '5652040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684385', '2', '99', '1323441314737557530', '朱仙镇支局', '001008004024', '5652040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684387', '2', '99', '1323441314737557530', '八里湾支局', '001008004026', '5652040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684388', '2', '99', '1323441314737557530', '半坡店支局', '001008004027', '5652040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684389', '2', '99', '1323441314737557530', '保留关系人员部门', '001008004028', '5652040099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684390', '2', '99', '1323441314737557530', '机要室', '001008004029', '565204000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684392', '2', '99', '1323441314737557530', '寄递事业部', '001008004031', '5652040088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684393', '2', '99', '1323441314737557531', '单位领导部门', '001008005001', '5652050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684394', '2', '99', '1323441314737557531', '非领导职务部门', '001008005002', '5652050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684395', '2', '99', '1323441314737557531', '领导助理部门', '001008005003', '5652050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684400', '2', '99', '1323441314737557531', '综合办公室（安全保卫部）', '001008005008', '5652050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684401', '2', '99', '1323441314737557531', '营业班', '001008005009', '5652050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684402', '2', '99', '1323441314737557531', '坝头支局', '001008005010', '5652050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857635684403', '2', '99', '1323441314737557531', '东街支局', '001008005011', '5652050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878656', '2', '99', '1323441314737557531', '谷营支局', '001008005012', '5652050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878658', '2', '99', '1323441314737557531', '红庙支局', '001008005014', '5652050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878659', '2', '99', '1323441314737557531', '考城支局', '001008005015', '5652050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878660', '2', '99', '1323441314737557531', '兰北支局', '001008005016', '5652050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878661', '2', '99', '1323441314737557531', '孟寨支局', '001008005017', '5652050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878662', '2', '99', '1323441314737557531', '南彰支局', '001008005018', '5652050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878663', '2', '99', '1323441314737557531', '葡萄架支局', '001008005019', '5652050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878664', '2', '99', '1323441314737557531', '三义寨支局', '001008005020', '5652050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878665', '2', '99', '1323441314737557531', '孙营支局', '001008005021', '5652050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878666', '2', '99', '1323441314737557531', '小宋支局', '001008005022', '5652050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878667', '2', '99', '1323441314737557531', '许河支局', '001008005023', '5652050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878668', '2', '99', '1323441314737557531', '闫楼支局', '001008005024', '5652050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878669', '2', '99', '1323441314737557531', '仪封支局', '001008005025', '5652050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878670', '2', '99', '1323441314737557531', '爪营支局', '001008005026', '5652050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878672', '2', '99', '1323441314737557531', '保留关系人员部门', '001008005028', '5652050099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878673', '2', '99', '1323441314737557531', '机要室', '001008005029', '565205000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878675', '2', '99', '1323441314737557531', '寄递事业部', '001008005031', '5652050088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878676', '2', '99', '1323441314737557532', '单位领导部门', '001008006001', '5652200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878677', '2', '99', '1323441314737557532', '非领导职务部门', '001008006002', '5652200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878678', '2', '99', '1323441314737557532', '领导助理部门', '001008006003', '5652200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878679', '2', '99', '1323441314737557532', '机要通信分局内设机构（虚拟部门）', '001008006004', '5652200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878680', '2', '99', '1323441314737557532', '保留关系人员部门', '001008006005', '5652200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878681', '2', '99', '1323441314737557533', '单位领导部门', '001008007001', '5652200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878682', '2', '99', '1323441314737557533', '非领导职务部门', '001008007002', '5652200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878683', '2', '99', '1323441314737557533', '领导助理部门', '001008007003', '5652200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878685', '2', '99', '1323441314737557533', '营业班', '001008007005', '5652200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878686', '2', '99', '1323441314737557533', '河大西支局', '001008007006', '5652200114', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878687', '2', '99', '1323441314737557533', '金明支局', '001008007007', '5652200115', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878688', '2', '99', '1323441314737557533', '开封大学支局', '001008007008', '5652200116', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878691', '2', '99', '1323441314737557533', '杏花营支局', '001008007011', '5652200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878692', '2', '99', '1323441314737557533', '保留关系人员部门', '001008007012', '5652200199', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878696', '2', '99', '1323441314737557533', '寄递事业部', '001008007016', '5652200188', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878697', '2', '99', '1323441314737557534', '单位领导部门', '001008008001', '5652200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878698', '2', '99', '1323441314737557534', '非领导职务部门', '001008008002', '5652200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878699', '2', '99', '1323441314737557534', '领导助理部门', '001008008003', '5652200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857639878701', '2', '99', '1323441314737557534', '营业班', '001008008005', '5652200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072960', '2', '99', '1323441314737557534', '劳动路支局', '001008008008', '5652200218', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072962', '2', '99', '1323441314737557534', '河南大学支局', '001008008010', '5652200220', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072964', '2', '99', '1323441314737557534', '南关支局', '001008008012', '5652200222', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072971', '2', '99', '1323441314737557534', '相国寺支局', '001008008019', '5652200231', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072974', '2', '99', '1323441314737557534', '龙亭支局', '001008008022', '5652200234', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072975', '2', '99', '1323441314737557534', '保留关系人员部门', '001008008023', '5652200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072979', '2', '99', '1323441314737557534', '寄递事业部', '001008008027', '5652200288', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072980', '2', '99', '1323441314737557535', '单位领导部门', '001009016', '5653000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072981', '2', '99', '1323441314737557535', '非领导职务部门', '001009017', '5653000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072982', '2', '99', '1323441314737557535', '领导助理部门', '001009018', '5653000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072984', '2', '99', '1323441314737557535', '服务质量部（普遍服务部）', '001009020', '5653000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072988', '2', '99', '1323441314737557535', '综合办公室（党委办公室、安全保卫部）', '001009024', '5653000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072989', '2', '99', '1323441314737557535', '财务部', '001009025', '5653000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072990', '2', '99', '1323441314737557535', '人力资源部（党委组织部）', '001009026', '5653000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072991', '2', '99', '1323441314737557535', '党委党建工作部（纪委办公室）', '001009027', '5653000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072992', '2', '99', '1323441314737557535', '工会', '001009028', '5653000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072994', '2', '99', '1323441314737557535', '保留关系人员部门', '001009030', '5653000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072995', '2', '99', '1323441314737557535', '客户营销中心', '001009031', '565300000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072996', '2', '99', '1323441314737557535', '业务档案班', '001009032', '565300000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072997', '2', '99', '1323441314737557535', '业务管理室', '001009033', '565300000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072998', '2', '99', '1323441314737557535', '内控管理室', '001009034', '565300000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644072999', '2', '99', '1323441314737557535', '业务管理室', '001009035', '565300000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644073000', '2', '99', '1323441314737557535', '创意研发室', '001009036', '565300000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644073001', '2', '99', '1323441314737557535', '商函制作班', '001009037', '565300000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644073003', '2', '99', '1323441314737557535', '电商分销室', '001009039', '565300001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644073004', '2', '99', '1323441314737557535', '寄递事业部', '001009040', '5653000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857644073005', '2', '99', '1323441314741751808', '单位领导部门', '001009001001', '5653010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267264', '2', '99', '1323441314741751808', '非领导职务部门', '001009001002', '5653010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267265', '2', '99', '1323441314741751808', '领导助理部门', '001009001003', '5653010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267270', '2', '99', '1323441314741751808', '综合办公室（安全保卫部）', '001009001008', '5653010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267271', '2', '99', '1323441314741751808', '营业班', '001009001009', '5653010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267272', '2', '99', '1323441314741751808', '城关支局', '001009001010', '5653010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267274', '2', '99', '1323441314741751808', '佃庄支局', '001009001012', '5653010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267275', '2', '99', '1323441314741751808', '府店支局', '001009001013', '5653010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267276', '2', '99', '1323441314741751808', '高龙支局', '001009001014', '5653010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267277', '2', '99', '1323441314741751808', '缑氏支局', '001009001015', '5653010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267278', '2', '99', '1323441314741751808', '顾县支局', '001009001016', '5653010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267279', '2', '99', '1323441314741751808', '寇店支局', '001009001017', '5653010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267280', '2', '99', '1323441314741751808', '李村支局', '001009001018', '5653010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267282', '2', '99', '1323441314741751808', '民主街支局', '001009001020', '5653010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267284', '2', '99', '1323441314741751808', '庞村支局', '001009001022', '5653010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267285', '2', '99', '1323441314741751808', '山化支局', '001009001023', '5653010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267286', '2', '99', '1323441314741751808', '首阳山支局', '001009001024', '5653010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267287', '2', '99', '1323441314741751808', '书香名邸支局', '001009001025', '5653010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267289', '2', '99', '1323441314741751808', '岳滩支局', '001009001027', '5653010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267290', '2', '99', '1323441314741751808', '翟镇支局', '001009001028', '5653010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267291', '2', '99', '1323441314741751808', '诸葛支局', '001009001029', '5653010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267292', '2', '99', '1323441314741751808', '保留关系人员部门', '001009001030', '5653010099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267293', '2', '99', '1323441314741751808', '机要室', '001009001031', '565301000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267295', '2', '99', '1323441314741751808', '寄递事业部', '001009001033', '5653010088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267296', '2', '99', '1323441314741751809', '单位领导部门', '001009002001', '5653020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267297', '2', '99', '1323441314741751809', '非领导职务部门', '001009002002', '5653020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267298', '2', '99', '1323441314741751809', '领导助理部门', '001009002003', '5653020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857648267303', '2', '99', '1323441314741751809', '综合办公室（安全保卫部）', '001009002008', '5653020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461568', '2', '99', '1323441314741751809', '营业班', '001009002009', '5653020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461570', '2', '99', '1323441314741751809', '白鹤镇支局', '001009002011', '5653020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461571', '2', '99', '1323441314741751809', '常袋乡支局', '001009002012', '5653020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461572', '2', '99', '1323441314741751809', '朝阳镇支局', '001009002013', '5653020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461573', '2', '99', '1323441314741751809', '东良支局', '001009002014', '5653020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461574', '2', '99', '1323441314741751809', '横水镇支局', '001009002015', '5653020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461575', '2', '99', '1323441314741751809', '会盟镇支局', '001009002016', '5653020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461577', '2', '99', '1323441314741751809', '送庄镇支局', '001009002018', '5653020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461578', '2', '99', '1323441314741751809', '平乐镇支局', '001009002019', '5653020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461579', '2', '99', '1323441314741751809', '小浪底大道支局', '001009002020', '5653020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461580', '2', '99', '1323441314741751809', '小浪底镇支局', '001009002021', '5653020027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461582', '2', '99', '1323441314741751809', '保留关系人员部门', '001009002023', '5653020099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461583', '2', '99', '1323441314741751809', '机要室', '001009002024', '565302000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461585', '2', '99', '1323441314741751809', '寄递事业部', '001009002026', '5653020088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461586', '2', '99', '1323441314741751810', '单位领导部门', '001009003001', '5653030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461587', '2', '99', '1323441314741751810', '非领导职务部门', '001009003002', '5653030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461588', '2', '99', '1323441314741751810', '领导助理部门', '001009003003', '5653030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461593', '2', '99', '1323441314741751810', '综合办公室（安全保卫部）', '001009003008', '5653030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461594', '2', '99', '1323441314741751810', '营业班', '001009003009', '5653030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461595', '2', '99', '1323441314741751810', '北京路支局', '001009003010', '5653030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461597', '2', '99', '1323441314741751810', '仓头支局', '001009003012', '5653030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461599', '2', '99', '1323441314741751810', '磁涧支局', '001009003014', '5653030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461600', '2', '99', '1323441314741751810', '古灯支局', '001009003015', '5653030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461601', '2', '99', '1323441314741751810', '杭州路支局', '001009003016', '5653030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461604', '2', '99', '1323441314741751810', '庙头支局', '001009003019', '5653030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461605', '2', '99', '1323441314741751810', '石井支局', '001009003020', '5653030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461606', '2', '99', '1323441314741751810', '石寺支局', '001009003021', '5653030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461607', '2', '99', '1323441314741751810', '铁门支局', '001009003022', '5653030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461608', '2', '99', '1323441314741751810', '五头支局', '001009003023', '5653030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461610', '2', '99', '1323441314741751810', '正村支局', '001009003025', '5653030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461611', '2', '99', '1323441314741751810', '保留关系人员部门', '001009003026', '5653030099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461612', '2', '99', '1323441314741751810', '机要室', '001009003027', '565303000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461613', '2', '99', '1323441314741751810', '寄递事业部', '001009003028', '5653030088', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857652461614', '2', '99', '1323441314741751811', '单位领导部门', '001009004001', '5653040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655872', '2', '99', '1323441314741751811', '非领导职务部门', '001009004002', '5653040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655873', '2', '99', '1323441314741751811', '领导助理部门', '001009004003', '5653040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655878', '2', '99', '1323441314741751811', '综合办公室（安全保卫部）', '001009004008', '5653040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655879', '2', '99', '1323441314741751811', '营业班', '001009004009', '5653040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655880', '2', '99', '1323441314741751811', '白沙支局', '001009004010', '5653040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655881', '2', '99', '1323441314741751811', '白元支局', '001009004011', '5653040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655882', '2', '99', '1323441314741751811', '半坡支局', '001009004012', '5653040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655884', '2', '99', '1323441314741751811', '常川支局', '001009004014', '5653040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655885', '2', '99', '1323441314741751811', '杜康大道支局', '001009004015', '5653040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655886', '2', '99', '1323441314741751811', '二电支局', '001009004016', '5653040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655887', '2', '99', '1323441314741751811', '高山支局', '001009004017', '5653040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655888', '2', '99', '1323441314741751811', '葛寨支局', '001009004018', '5653040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655889', '2', '99', '1323441314741751811', '槐树街支局', '001009004019', '5653040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655890', '2', '99', '1323441314741751811', '江左支局', '001009004020', '5653040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655891', '2', '99', '1323441314741751811', '荆山路支局', '001009004021', '5653040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655892', '2', '99', '1323441314741751811', '酒后支局', '001009004022', '5653040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655893', '2', '99', '1323441314741751811', '吕店支局', '001009004023', '5653040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655894', '2', '99', '1323441314741751811', '鸣皋支局', '001009004024', '5653040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655896', '2', '99', '1323441314741751811', '平等支局', '001009004026', '5653040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655897', '2', '99', '1323441314741751811', '水寨支局', '001009004027', '5653040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655898', '2', '99', '1323441314741751811', '文化路支局', '001009004028', '5653040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655900', '2', '99', '1323441314741751811', '兴华街支局', '001009004030', '5653040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655901', '2', '99', '1323441314741751811', '鸦岭支局', '001009004031', '5653040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655902', '2', '99', '1323441314741751811', '中溪支局', '001009004032', '5653040037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655903', '2', '99', '1323441314741751811', '保留关系人员部门', '001009004033', '5653040099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655904', '2', '99', '1323441314741751811', '机要室', '001009004034', '565304000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655906', '2', '99', '1323441314741751811', '寄递事业部', '001009004036', '5653040088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655907', '2', '99', '1323441314741751812', '单位领导部门', '001009005001', '5653050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655908', '2', '99', '1323441314741751812', '非领导职务部门', '001009005002', '5653050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655909', '2', '99', '1323441314741751812', '领导助理部门', '001009005003', '5653050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655914', '2', '99', '1323441314741751812', '综合办公室（安全保卫部）', '001009005008', '5653050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655915', '2', '99', '1323441314741751812', '营业班', '001009005009', '5653050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857656655917', '2', '99', '1323441314741751812', '蔡店支局', '001009005011', '5653050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850177', '2', '99', '1323441314741751812', '大安支局', '001009005013', '5653050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850178', '2', '99', '1323441314741751812', '杜鹃大道支局', '001009005014', '5653050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850179', '2', '99', '1323441314741751812', '付店支局', '001009005015', '5653050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850180', '2', '99', '1323441314741751812', '靳村支局', '001009005016', '5653050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850181', '2', '99', '1323441314741751812', '刘店支局', '001009005017', '5653050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850182', '2', '99', '1323441314741751812', '隆盛路支局', '001009005018', '5653050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850184', '2', '99', '1323441314741751812', '人民路支局', '001009005020', '5653050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850185', '2', '99', '1323441314741751812', '三屯支局', '001009005021', '5653050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850186', '2', '99', '1323441314741751812', '上店支局', '001009005022', '5653050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850188', '2', '99', '1323441314741751812', '陶营支局', '001009005024', '5653050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850190', '2', '99', '1323441314741751812', '小店支局', '001009005026', '5653050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850191', '2', '99', '1323441314741751812', '保留关系人员部门', '001009005027', '5653050099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850192', '2', '99', '1323441314741751812', '机要室', '001009005028', '565305000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850194', '2', '99', '1323441314741751812', '寄递事业部', '001009005030', '5653050088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850195', '2', '99', '1323441314741751813', '单位领导部门', '001009006001', '5653060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850196', '2', '99', '1323441314741751813', '非领导职务部门', '001009006002', '5653060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850197', '2', '99', '1323441314741751813', '领导助理部门', '001009006003', '5653060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850202', '2', '99', '1323441314741751813', '综合办公室（安全保卫部）', '001009006008', '5653060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850203', '2', '99', '1323441314741751813', '营业班', '001009006009', '5653060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850204', '2', '99', '1323441314741751813', '白河支局', '001009006010', '5653060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850205', '2', '99', '1323441314741751813', '白云西路支局', '001009006011', '5653060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850206', '2', '99', '1323441314741751813', '白云中路支局', '001009006012', '5653060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850207', '2', '99', '1323441314741751813', '车村支局', '001009006013', '5653060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850209', '2', '99', '1323441314741751813', '大禹路支局', '001009006015', '5653060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850210', '2', '99', '1323441314741751813', '大章支局', '001009006016', '5653060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850211', '2', '99', '1323441314741751813', '德亭支局', '001009006017', '5653060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850212', '2', '99', '1323441314741751813', '饭坡支局', '001009006018', '5653060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850214', '2', '99', '1323441314741751813', '黄庄支局', '001009006020', '5653060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850215', '2', '99', '1323441314741751813', '金城路支局', '001009006021', '5653060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857660850216', '2', '99', '1323441314741751813', '九店支局', '001009006022', '5653060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044480', '2', '99', '1323441314741751813', '田湖支局', '001009006026', '5653060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044481', '2', '99', '1323441314741751813', '闫庄支局', '001009006027', '5653060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044482', '2', '99', '1323441314741751813', '保留关系人员部门', '001009006028', '5653060099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044483', '2', '99', '1323441314741751813', '机要室', '001009006029', '565306000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044485', '2', '99', '1323441314741751813', '寄递事业部', '001009006031', '5653060088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044486', '2', '99', '1323441314741751814', '单位领导部门', '001009007001', '5653070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044487', '2', '99', '1323441314741751814', '非领导职务部门', '001009007002', '5653070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044488', '2', '99', '1323441314741751814', '领导助理部门', '001009007003', '5653070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044493', '2', '99', '1323441314741751814', '综合办公室（安全保卫部）', '001009007008', '5653070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044494', '2', '99', '1323441314741751814', '营业班', '001009007009', '5653070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044495', '2', '99', '1323441314741751814', '陈吴支局', '001009007010', '5653070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044496', '2', '99', '1323441314741751814', '大原支局', '001009007011', '5653070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044497', '2', '99', '1323441314741751814', '底张支局', '001009007012', '5653070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044498', '2', '99', '1323441314741751814', '东宋支局', '001009007013', '5653070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044499', '2', '99', '1323441314741751814', '凤翼路支局', '001009007014', '5653070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044501', '2', '99', '1323441314741751814', '河底支局', '001009007016', '5653070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044502', '2', '99', '1323441314741751814', '涧口支局', '001009007017', '5653070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044504', '2', '99', '1323441314741751814', '洛浦路支局', '001009007019', '5653070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044505', '2', '99', '1323441314741751814', '马店支局', '001009007020', '5653070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044506', '2', '99', '1323441314741751814', '山底支局', '001009007021', '5653070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044507', '2', '99', '1323441314741751814', '上戈支局', '001009007022', '5653070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044508', '2', '99', '1323441314741751814', '下峪支局', '001009007023', '5653070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044510', '2', '99', '1323441314741751814', '兴华支局', '001009007025', '5653070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044511', '2', '99', '1323441314741751814', '兴宁东路支局', '001009007026', '5653070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044512', '2', '99', '1323441314741751814', '兴宁路支局', '001009007027', '5653070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044514', '2', '99', '1323441314741751814', '杨坡支局', '001009007029', '5653070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044515', '2', '99', '1323441314741751814', '长水支局', '001009007030', '5653070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044516', '2', '99', '1323441314741751814', '赵村支局', '001009007031', '5653070036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857665044518', '2', '99', '1323441314741751814', '保留关系人员部门', '001009007033', '5653070099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238784', '2', '99', '1323441314741751814', '机要室', '001009007034', '565307000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238786', '2', '99', '1323441314741751814', '寄递事业部', '001009007036', '5653070088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238787', '2', '99', '1323441314741751815', '单位领导部门', '001009008001', '5653080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238788', '2', '99', '1323441314741751815', '非领导职务部门', '001009008002', '5653080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238789', '2', '99', '1323441314741751815', '领导助理部门', '001009008003', '5653080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238794', '2', '99', '1323441314741751815', '综合办公室（安全保卫部）', '001009008008', '5653080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238795', '2', '99', '1323441314741751815', '营业班', '001009008009', '5653080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238796', '2', '99', '1323441314741751815', '白土支局', '001009008010', '5653080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238797', '2', '99', '1323441314741751815', '赤土店支局', '001009008011', '5653080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238799', '2', '99', '1323441314741751815', '合峪支局', '001009008013', '5653080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238801', '2', '99', '1323441314741751815', '叫河支局', '001009008015', '5653080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238803', '2', '99', '1323441314741751815', '冷水支局', '001009008017', '5653080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238804', '2', '99', '1323441314741751815', '庙子支局', '001009008018', '5653080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238805', '2', '99', '1323441314741751815', '七里坪支局', '001009008019', '5653080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238806', '2', '99', '1323441314741751815', '秋扒支局', '001009008020', '5653080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238807', '2', '99', '1323441314741751815', '三川支局', '001009008021', '5653080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238808', '2', '99', '1323441314741751815', '狮子庙支局', '001009008022', '5653080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238810', '2', '99', '1323441314741751815', '潭头支局', '001009008024', '5653080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238811', '2', '99', '1323441314741751815', '陶湾支局', '001009008025', '5653080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238812', '2', '99', '1323441314741751815', '长春路支局', '001009008026', '5653080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238813', '2', '99', '1323441314741751815', '保留关系人员部门', '001009008027', '5653080099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238814', '2', '99', '1323441314741751815', '机要室', '001009008028', '565308000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238816', '2', '99', '1323441314741751815', '寄递事业部', '001009008030', '5653080088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238817', '2', '99', '1323441314741751816', '单位领导部门', '001009009001', '5653090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238818', '2', '99', '1323441314741751816', '非领导职务部门', '001009009002', '5653090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238819', '2', '99', '1323441314741751816', '领导助理部门', '001009009003', '5653090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238824', '2', '99', '1323441314741751816', '综合办公室（安全保卫部）', '001009009008', '5653090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238825', '2', '99', '1323441314741751816', '营业班', '001009009009', '5653090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857669238826', '2', '99', '1323441314741751816', '白杨支局', '001009009010', '5653090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433091', '2', '99', '1323441314741751816', '高村支局', '001009009014', '5653090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433092', '2', '99', '1323441314741751816', '韩城支局', '001009009015', '5653090020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433093', '2', '99', '1323441314741751816', '红旗路支局', '001009009016', '5653090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433095', '2', '99', '1323441314741751816', '红旗西路支局', '001009009018', '5653090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433098', '2', '99', '1323441314741751816', '李贺大道支局', '001009009021', '5653090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433099', '2', '99', '1323441314741751816', '莲庄支局', '001009009022', '5653090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433100', '2', '99', '1323441314741751816', '灵山大道支局', '001009009023', '5653090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433101', '2', '99', '1323441314741751816', '柳泉支局', '001009009024', '5653090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433102', '2', '99', '1323441314741751816', '三乡支局', '001009009025', '5653090030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433107', '2', '99', '1323441314741751816', '香鹿山支局', '001009009030', '5653090035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433108', '2', '99', '1323441314741751816', '盐镇支局', '001009009031', '5653090036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433109', '2', '99', '1323441314741751816', '张午支局', '001009009032', '5653090037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433110', '2', '99', '1323441314741751816', '赵堡支局', '001009009033', '5653090038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433111', '2', '99', '1323441314741751816', '董王庄乡营业所', '001009009034', '5653090039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433112', '2', '99', '1323441314741751816', '保留关系人员部门', '001009009035', '5653090099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433113', '2', '99', '1323441314741751816', '机要室', '001009009036', '565309000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433115', '2', '99', '1323441314741751816', '寄递事业部', '001009009038', '5653090088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433116', '2', '99', '1323441314741751817', '单位领导部门', '001009010001', '5653200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433117', '2', '99', '1323441314741751817', '非领导职务部门', '001009010002', '5653200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433118', '2', '99', '1323441314741751817', '领导助理部门', '001009010003', '5653200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433119', '2', '99', '1323441314741751817', '机要通信分局内设机构（虚拟部门）', '001009010004', '5653200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433120', '2', '99', '1323441314741751817', '保留关系人员部门', '001009010005', '5653200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433121', '2', '99', '1323441314741751818', '单位领导部门', '001009011001', '5653200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433122', '2', '99', '1323441314741751818', '非领导职务部门', '001009011002', '5653200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857673433123', '2', '99', '1323441314741751818', '领导助理部门', '001009011003', '5653200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627394', '2', '99', '1323441314741751818', '营业班', '001009011008', '5653200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627396', '2', '99', '1323441314741751818', '健康西路支局', '001009011010', '5653200216', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627397', '2', '99', '1323441314741751818', '凯旋西路支局', '001009011011', '5653200217', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627398', '2', '99', '1323441314741751818', '邙岭路支局', '001009011012', '5653200218', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627399', '2', '99', '1323441314741751818', '纱厂西路支局', '001009011013', '5653200219', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627400', '2', '99', '1323441314741751818', '王城路支局', '001009011014', '5653200220', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627403', '2', '99', '1323441314741751818', '保留关系人员部门', '001009011017', '5653200299', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627404', '2', '99', '1323441314741751818', '寄递事业部', '001009011018', '5653200288', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627405', '2', '99', '1323441314741751819', '单位领导部门', '001009012001', '5653200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627406', '2', '99', '1323441314741751819', '非领导职务部门', '001009012002', '5653200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627407', '2', '99', '1323441314741751819', '领导助理部门', '001009012003', '5653200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627409', '2', '99', '1323441314741751819', '营业班', '001009012005', '5653200312', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627410', '2', '99', '1323441314741751819', '白马寺支局', '001009012006', '5653200314', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627412', '2', '99', '1323441314741751819', '启明路支局', '001009012008', '5653200316', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627413', '2', '99', '1323441314741751819', '青年宫支局', '001009012009', '5653200317', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627415', '2', '99', '1323441314741751819', '五股路支局', '001009012011', '5653200319', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627416', '2', '99', '1323441314741751819', '五三七厂支局', '001009012012', '5653200320', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627417', '2', '99', '1323441314741751819', '西关支局', '001009012013', '5653200321', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627418', '2', '99', '1323441314741751819', '保留关系人员部门', '001009012014', '5653200399', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627422', '2', '99', '1323441314741751819', '寄递事业部', '001009012018', '5653200388', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627423', '2', '99', '1323441314741751820', '单位领导部门', '001009013001', '5653200401', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627424', '2', '99', '1323441314741751820', '非领导职务部门', '001009013002', '5653200402', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627425', '2', '99', '1323441314741751820', '领导助理部门', '001009013003', '5653200403', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627430', '2', '99', '1323441314741751820', '营业班', '001009013008', '5653200412', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627431', '2', '99', '1323441314741751820', '创业路支局', '001009013009', '5653200416', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627432', '2', '99', '1323441314741751820', '谷水支局', '001009013010', '5653200417', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857677627434', '2', '99', '1323441314741751820', '联盟路支局', '001009013012', '5653200421', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821696', '2', '99', '1323441314741751820', '牡丹路支局', '001009013013', '5653200422', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821698', '2', '99', '1323441314741751820', '七里河支局', '001009013015', '5653200424', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821700', '2', '99', '1323441314741751820', '太原路支局', '001009013017', '5653200426', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821704', '2', '99', '1323441314741751820', '长安路支局', '001009013021', '5653200432', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821705', '2', '99', '1323441314741751820', '郑州路支局', '001009013022', '5653200433', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821706', '2', '99', '1323441314741751820', '保留关系人员部门', '001009013023', '5653200499', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821707', '2', '99', '1323441314741751820', '寄递事业部', '001009013024', '5653200488', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821708', '2', '99', '1323441314741751821', '单位领导部门', '001009014001', '5653200501', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821709', '2', '99', '1323441314741751821', '非领导职务部门', '001009014002', '5653200502', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821710', '2', '99', '1323441314741751821', '领导助理部门', '001009014003', '5653200503', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821712', '2', '99', '1323441314741751821', '营业班', '001009014005', '5653200512', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857681821713', '2', '99', '1323441314741751821', '古城乡支局', '001009014006', '5653200514', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016001', '2', '99', '1323441314741751821', '广利街支局', '001009014008', '5653200516', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016002', '2', '99', '1323441314741751821', '李楼支局', '001009014009', '5653200517', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016004', '2', '99', '1323441314741751821', '洛龙路支局', '001009014011', '5653200519', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016008', '2', '99', '1323441314741751821', '英才路支局', '001009014015', '5653200524', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016009', '2', '99', '1323441314741751821', '保留关系人员部门', '001009014016', '5653200599', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016013', '2', '99', '1323441314741751821', '寄递事业部', '001009014020', '5653200588', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016014', '2', '99', '1323441314741751822', '单位领导部门', '001009015001', '5653200601', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016015', '2', '99', '1323441314741751822', '非领导职务部门', '001009015002', '5653200602', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016016', '2', '99', '1323441314741751822', '领导助理部门', '001009015003', '5653200603', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016018', '2', '99', '1323441314741751822', '营业班', '001009015005', '5653200612', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016019', '2', '99', '1323441314741751822', '大庆路支局', '001009015006', '5653200614', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016020', '2', '99', '1323441314741751822', '保留关系人员部门', '001009015007', '5653200699', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857686016024', '2', '99', '1323441314741751822', '寄递事业部', '001009015011', '5653200688', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210318', '2', '99', '1323441314741751824', '单位领导部门', '001010001001', '5654010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210319', '2', '99', '1323441314741751824', '非领导职务部门', '001010001002', '5654010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210320', '2', '99', '1323441314741751824', '领导助理部门', '001010001003', '5654010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210325', '2', '99', '1323441314741751824', '综合办公室（安全保卫部）', '001010001008', '5654010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210326', '2', '99', '1323441314741751824', '营业班', '001010001009', '5654010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210330', '2', '99', '1323441314741751824', '西关支局', '001010001013', '5654010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210332', '2', '99', '1323441314741751824', '人民路支局', '001010001015', '5654010021', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210333', '2', '99', '1323441314741751824', '振兴路支局', '001010001016', '5654010022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210334', '2', '99', '1323441314741751824', '东关支局', '001010001017', '5654010023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210337', '2', '99', '1323441314741751824', '马楼支局', '001010001020', '5654010026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210338', '2', '99', '1323441314741751824', '张良支局', '001010001021', '5654010027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857690210339', '2', '99', '1323441314741751824', '磙子营支局', '001010001022', '5654010028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404608', '2', '99', '1323441314741751824', '张官营支局', '001010001023', '5654010029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404609', '2', '99', '1323441314741751824', '让河支局', '001010001024', '5654010030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404610', '2', '99', '1323441314741751824', '鸿雁支局', '001010001025', '5654010031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404613', '2', '99', '1323441314741751824', '下汤支局', '001010001028', '5654010034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404614', '2', '99', '1323441314741751824', '四棵树支局', '001010001029', '5654010035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404615', '2', '99', '1323441314741751824', '江河支局', '001010001030', '5654010036', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404618', '2', '99', '1323441314741751824', '尧山支局', '001010001033', '5654010039', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404620', '2', '99', '1323441314741751824', '瓦屋支局', '001010001035', '5654010041', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404621', '2', '99', '1323441314741751824', '董村支局', '001010001036', '5654010042', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404622', '2', '99', '1323441314741751824', '向阳路支局', '001010001037', '5654010043', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404626', '2', '99', '1323441314741751824', '保留关系人员部门', '001010001041', '5654010099', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404627', '2', '99', '1323441314741751824', '机要室', '001010001042', '565401000401', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404629', '2', '99', '1323441314741751824', '寄递事业部', '001010001044', '5654010088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404630', '2', '99', '1323441314741751825', '单位领导部门', '001010002001', '5654020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404631', '2', '99', '1323441314741751825', '非领导职务部门', '001010002002', '5654020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404632', '2', '99', '1323441314741751825', '领导助理部门', '001010002003', '5654020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404637', '2', '99', '1323441314741751825', '综合办公室（安全保卫部）', '001010002008', '5654020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404638', '2', '99', '1323441314741751825', '营业班', '001010002009', '5654020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404639', '2', '99', '1323441314741751825', '寺坡支局', '001010002010', '5654020018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404641', '2', '99', '1323441314741751825', '朱兰支局', '001010002012', '5654020020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857694404642', '2', '99', '1323441314741751825', '李辉庄支局', '001010002013', '5654020021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598912', '2', '99', '1323441314741751825', '石漫滩支局', '001010002015', '5654020023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598914', '2', '99', '1323441314741751825', '武功支局', '001010002017', '5654020027', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598915', '2', '99', '1323441314741751825', '尹集支局', '001010002018', '5654020028', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598916', '2', '99', '1323441314741751825', '尚店支局', '001010002019', '5654020029', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598918', '2', '99', '1323441314741751825', '八台支局', '001010002021', '5654020031', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598920', '2', '99', '1323441314741751825', '保留关系人员部门', '001010002023', '5654020099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598921', '2', '99', '1323441314741751825', '机要室', '001010002024', '565402000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598922', '2', '99', '1323441314741751825', '寄递事业部', '001010002025', '5654020088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598923', '2', '99', '1323441314741751826', '单位领导部门', '001010003001', '5654030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598924', '2', '99', '1323441314741751826', '非领导职务部门', '001010003002', '5654030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598925', '2', '99', '1323441314741751826', '领导助理部门', '001010003003', '5654030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598930', '2', '99', '1323441314741751826', '综合办公室（安全保卫部）', '001010003008', '5654030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857698598931', '2', '99', '1323441314741751826', '营业班', '001010003009', '5654030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793218', '2', '99', '1323441314741751826', '叶廉路支局', '001010003013', '5654030020', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793219', '2', '99', '1323441314741751826', '东关支局', '001010003014', '5654030021', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793220', '2', '99', '1323441314741751826', '任店支局', '001010003015', '5654030022', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793221', '2', '99', '1323441314741751826', '遵化支局', '001010003016', '5654030023', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793222', '2', '99', '1323441314741751826', '洪庄杨支局', '001010003017', '5654030024', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793223', '2', '99', '1323441314741751826', '龚店支局', '001010003018', '5654030025', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793225', '2', '99', '1323441314741751826', '连村支局', '001010003020', '5654030027', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793226', '2', '99', '1323441314741751826', '水寨支局', '001010003021', '5654030028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793227', '2', '99', '1323441314741751826', '仙台支局', '001010003022', '5654030029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793228', '2', '99', '1323441314741751826', '龙泉支局', '001010003023', '5654030030', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793229', '2', '99', '1323441314741751826', '叶邑支局', '001010003024', '5654030031', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793230', '2', '99', '1323441314741751826', '辛店支局', '001010003025', '5654030032', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793232', '2', '99', '1323441314741751826', '夏李支局', '001010003027', '5654030034', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793233', '2', '99', '1323441314741751826', '常村支局', '001010003028', '5654030035', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793234', '2', '99', '1323441314741751826', '田庄支局', '001010003029', '5654030036', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857702793235', '2', '99', '1323441314741751826', '保留关系人员部门', '001010003030', '5654030099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987520', '2', '99', '1323441314741751826', '机要室', '001010003031', '565403000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987522', '2', '99', '1323441314741751826', '寄递事业部', '001010003033', '5654030088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987523', '2', '99', '1323441314741751827', '单位领导部门', '001010004001', '5654040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987524', '2', '99', '1323441314741751827', '非领导职务部门', '001010004002', '5654040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987525', '2', '99', '1323441314741751827', '领导助理部门', '001010004003', '5654040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987530', '2', '99', '1323441314741751827', '综合办公室（安全保卫部）', '001010004008', '5654040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987531', '2', '99', '1323441314741751827', '营业班', '001010004009', '5654040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987536', '2', '99', '1323441314741751827', '行政路支局', '001010004014', '5654040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987537', '2', '99', '1323441314741751827', '新城支局', '001010004015', '5654040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987538', '2', '99', '1323441314741751827', '行政路中心支局', '001010004016', '5654040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987539', '2', '99', '1323441314741751827', '东关支局', '001010004017', '5654040023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987540', '2', '99', '1323441314741751827', '八一路支局', '001010004018', '5654040024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987541', '2', '99', '1323441314741751827', '白庙支局', '001010004019', '5654040026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987542', '2', '99', '1323441314741751827', '安良支局', '001010004020', '5654040027', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987543', '2', '99', '1323441314741751827', '冢头支局', '001010004021', '5654040028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987544', '2', '99', '1323441314741751827', '长桥支局', '001010004022', '5654040029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987545', '2', '99', '1323441314741751827', '王集支局', '001010004023', '5654040030', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987546', '2', '99', '1323441314741751827', '堂街支局', '001010004024', '5654040031', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987547', '2', '99', '1323441314741751827', '李口支局', '001010004025', '5654040032', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987549', '2', '99', '1323441314741751827', '茨芭支局', '001010004027', '5654040034', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987550', '2', '99', '1323441314741751827', '黄道支局', '001010004028', '5654040035', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987551', '2', '99', '1323441314741751827', '保留关系人员部门', '001010004029', '5654040099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987552', '2', '99', '1323441314741751827', '机要室', '001010004030', '565404000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987554', '2', '99', '1323441314741751827', '寄递事业部', '001010004032', '5654040088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987555', '2', '99', '1323441314741751828', '单位领导部门', '001010005001', '5654050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987556', '2', '99', '1323441314741751828', '非领导职务部门', '001010005002', '5654050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857706987557', '2', '99', '1323441314741751828', '领导助理部门', '001010005003', '5654050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181828', '2', '99', '1323441314741751828', '综合办公室（安全保卫部）', '001010005008', '5654050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181829', '2', '99', '1323441314741751828', '营业班', '001010005009', '5654050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181834', '2', '99', '1323441314741751828', '龙兴路支局', '001010005014', '5654050020', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181836', '2', '99', '1323441314741751828', '闹店支局', '001010005016', '5654050022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181837', '2', '99', '1323441314741751828', '前营支局', '001010005017', '5654050023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181838', '2', '99', '1323441314741751828', '人民路支局', '001010005018', '5654050024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181840', '2', '99', '1323441314741751828', '石桥支局', '001010005020', '5654050026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181841', '2', '99', '1323441314741751828', '西街支局', '001010005021', '5654050027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181843', '2', '99', '1323441314741751828', '杨庄支局', '001010005023', '5654050029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181845', '2', '99', '1323441314741751828', '赵庄支局', '001010005025', '5654050031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181847', '2', '99', '1323441314741751828', '大营镇支局', '001010005027', '5654050033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181848', '2', '99', '1323441314741751828', '保留关系人员部门', '001010005028', '5654050099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181849', '2', '99', '1323441314741751828', '机要室', '001010005029', '565405000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181850', '2', '99', '1323441314741751828', '寄递事业部', '001010005030', '5654050088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181851', '2', '99', '1323441314741751829', '单位领导部门', '001010006001', '5654060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181852', '2', '99', '1323441314741751829', '非领导职务部门', '001010006002', '5654060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181853', '2', '99', '1323441314741751829', '领导助理部门', '001010006003', '5654060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181858', '2', '99', '1323441314741751829', '综合办公室（安全保卫部）', '001010006008', '5654060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181859', '2', '99', '1323441314741751829', '营业班', '001010006009', '5654060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857711181860', '2', '99', '1323441314741751829', '朝阳路支局', '001010006010', '5654060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376128', '2', '99', '1323441314741751829', '城关支局', '001010006011', '5654060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376129', '2', '99', '1323441314741751829', '大峪支局', '001010006012', '5654060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376131', '2', '99', '1323441314741751829', '广成支局', '001010006014', '5654060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376132', '2', '99', '1323441314741751829', '寄料支局', '001010006015', '5654060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376134', '2', '99', '1323441314741751829', '临汝镇支局', '001010006017', '5654060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376135', '2', '99', '1323441314741751829', '陵头支局', '001010006018', '5654060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376137', '2', '99', '1323441314741751829', '庙下支局', '001010006020', '5654060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376139', '2', '99', '1323441314741751829', '骑岭支局', '001010006022', '5654060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376140', '2', '99', '1323441314741751829', '尚庄支局', '001010006023', '5654060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376141', '2', '99', '1323441314741751829', '王寨支局', '001010006024', '5654060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376143', '2', '99', '1323441314741751829', '温泉支局', '001010006026', '5654060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376144', '2', '99', '1323441314741751829', '小屯支局', '001010006027', '5654060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376145', '2', '99', '1323441314741751829', '杨楼支局', '001010006028', '5654060033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857715376146', '2', '99', '1323441314741751829', '纸坊支局', '001010006029', '5654060034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570432', '2', '99', '1323441314741751829', '钟楼支局', '001010006030', '5654060035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570433', '2', '99', '1323441314741751829', '保留关系人员部门', '001010006031', '5654060099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570434', '2', '99', '1323441314741751829', '机要室', '001010006032', '565406000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570436', '2', '99', '1323441314741751829', '寄递事业部', '001010006034', '5654060088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570437', '2', '99', '1323441314741751830', '单位领导部门', '001010007001', '5654200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570438', '2', '99', '1323441314741751830', '非领导职务部门', '001010007002', '5654200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570439', '2', '99', '1323441314741751830', '领导助理部门', '001010007003', '5654200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570440', '2', '99', '1323441314741751830', '机要通信分局内设机构（虚拟部门）', '001010007004', '5654200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570441', '2', '99', '1323441314741751830', '保留关系人员部门', '001010007005', '5654200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570442', '2', '99', '1323441314741751831', '单位领导部门', '001010008001', '5654200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570443', '2', '99', '1323441314741751831', '非领导职务部门', '001010008002', '5654200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570444', '2', '99', '1323441314741751831', '领导助理部门', '001010008003', '5654200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857719570449', '2', '99', '1323441314741751831', '营业班', '001010008008', '5654200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764736', '2', '99', '1323441314741751831', '中心投递部', '001010008009', '5654200113', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764737', '2', '99', '1323441314741751831', '建东投递部', '001010008010', '5654200114', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764738', '2', '99', '1323441314741751831', '八矿支局', '001010008011', '5654200115', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764740', '2', '99', '1323441314741751831', '火车站支局', '001010008013', '5654200117', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764742', '2', '99', '1323441314741751831', '劳动路支局', '001010008015', '5654200120', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764743', '2', '99', '1323441314741751831', '贸易广场支局', '001010008016', '5654200121', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764745', '2', '99', '1323441314741751831', '寺沟支局', '001010008018', '5654200123', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764746', '2', '99', '1323441314741751831', '卫东支局', '001010008019', '5654200124', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764747', '2', '99', '1323441314741751831', '先锋路支局', '001010008020', '5654200125', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764748', '2', '99', '1323441314741751831', '新华中路支局', '001010008021', '5654200126', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764749', '2', '99', '1323441314741751831', '新华南路支局', '001010008022', '5654200127', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764750', '2', '99', '1323441314741751831', '保留关系人员部门', '001010008023', '5654200199', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764751', '2', '99', '1323441314741751831', '寄递事业部', '001010008024', '5654200188', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764752', '2', '99', '1323441314741751832', '单位领导部门', '001010009001', '5654200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764753', '2', '99', '1323441314741751832', '非领导职务部门', '001010009002', '5654200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764754', '2', '99', '1323441314741751832', '领导助理部门', '001010009003', '5654200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764756', '2', '99', '1323441314741751832', '营业班', '001010009005', '5654200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764757', '2', '99', '1323441314741751832', '光明路投递部', '001010009006', '5654200213', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764758', '2', '99', '1323441314741751832', '新城区投递部', '001010009007', '5654200214', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764760', '2', '99', '1323441314741751832', '光明路支局', '001010009009', '5654200216', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764762', '2', '99', '1323441314741751832', '建西支局', '001010009011', '5654200218', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764763', '2', '99', '1323441314741751832', '南环路支局', '001010009012', '5654200219', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764768', '2', '99', '1323441314741751832', '新城区支局', '001010009017', '5654200224', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857723764770', '2', '99', '1323441314741751832', '薛庄支局', '001010009019', '5654200226', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959041', '2', '99', '1323441314741751832', '中兴北路支局', '001010009021', '5654200228', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959042', '2', '99', '1323441314741751832', '北渡支局', '001010009022', '5654200229', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959043', '2', '99', '1323441314741751832', '保留关系人员部门', '001010009023', '5654200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959047', '2', '99', '1323441314741751832', '寄递事业部', '001010009027', '5654200288', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959073', '2', '99', '1323441314741751834', '单位领导部门', '001011001001', '5655010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959074', '2', '99', '1323441314741751834', '非领导职务部门', '001011001002', '5655010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857727959075', '2', '99', '1323441314741751834', '领导助理部门', '001011001003', '5655010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153348', '2', '99', '1323441314741751834', '综合办公室（安全保卫部）', '001011001008', '5655010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153349', '2', '99', '1323441314741751834', '营业班', '001011001009', '5655010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153350', '2', '99', '1323441314741751834', '北关支局', '001011001010', '5655010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153351', '2', '99', '1323441314741751834', '城里支局', '001011001011', '5655010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153352', '2', '99', '1323441314741751834', '鸿雁支局', '001011001012', '5655010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153353', '2', '99', '1323441314741751834', '龙山路支局', '001011001013', '5655010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153354', '2', '99', '1323441314741751834', '南环路支局', '001011001014', '5655010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153355', '2', '99', '1323441314741751834', '其林台支局', '001011001015', '5655010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153356', '2', '99', '1323441314741751834', '太行路支局', '001011001016', '5655010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153357', '2', '99', '1323441314741751834', '林钢支局', '001011001017', '5655010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153360', '2', '99', '1323441314741751834', '陵阳支局', '001011001020', '5655010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153361', '2', '99', '1323441314741751834', '东岗支局', '001011001021', '5655010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153362', '2', '99', '1323441314741751834', '河顺支局', '001011001022', '5655010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153364', '2', '99', '1323441314741751834', '采桑支局', '001011001024', '5655010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153365', '2', '99', '1323441314741751834', '东姚支局', '001011001025', '5655010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153366', '2', '99', '1323441314741751834', '合涧支局', '001011001026', '5655010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153367', '2', '99', '1323441314741751834', '合涧东街支局', '001011001027', '5655010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153368', '2', '99', '1323441314741751834', '原康支局', '001011001028', '5655010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153369', '2', '99', '1323441314741751834', '茶店支局', '001011001029', '5655010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153370', '2', '99', '1323441314741751834', '临淇支局', '001011001030', '5655010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153371', '2', '99', '1323441314741751834', '李家寨支局', '001011001031', '5655010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153372', '2', '99', '1323441314741751834', '五龙支局', '001011001032', '5655010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153373', '2', '99', '1323441314741751834', '桂林支局', '001011001033', '5655010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153375', '2', '99', '1323441314741751834', '姚村支局', '001011001035', '5655010040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153376', '2', '99', '1323441314741751834', '任村支局', '001011001036', '5655010041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153377', '2', '99', '1323441314741751834', '保留关系人员部门', '001011001037', '5655010099', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857732153378', '2', '99', '1323441314741751834', '机要室', '001011001038', '565501000401', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347649', '2', '99', '1323441314741751834', '寄递事业部', '001011001040', '5655010088', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347650', '2', '99', '1323441314741751835', '单位领导部门', '001011002001', '5655020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347651', '2', '99', '1323441314741751835', '非领导职务部门', '001011002002', '5655020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347652', '2', '99', '1323441314741751835', '领导助理部门', '001011002003', '5655020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347657', '2', '99', '1323441314741751835', '综合办公室（安全保卫部）', '001011002008', '5655020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347658', '2', '99', '1323441314741751835', '营业班', '001011002009', '5655020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347660', '2', '99', '1323441314741751835', '道城路支局', '001011002011', '5655020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347661', '2', '99', '1323441314741751835', '卫河路支局', '001011002012', '5655020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347662', '2', '99', '1323441314741751835', '文明路支局', '001011002013', '5655020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347663', '2', '99', '1323441314741751835', '城关支局', '001011002014', '5655020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347664', '2', '99', '1323441314741751835', '枣村支局', '001011002015', '5655020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347665', '2', '99', '1323441314741751835', '白道口支局', '001011002016', '5655020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347666', '2', '99', '1323441314741751835', '四间房支局', '001011002017', '5655020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347667', '2', '99', '1323441314741751835', '半坡店支局', '001011002018', '5655020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347668', '2', '99', '1323441314741751835', '留固支局', '001011002019', '5655020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347669', '2', '99', '1323441314741751835', '八里营支局', '001011002020', '5655020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347670', '2', '99', '1323441314741751835', '赵营支局', '001011002021', '5655020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347671', '2', '99', '1323441314741751835', '大寨支局', '001011002022', '5655020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347672', '2', '99', '1323441314741751835', '上官支局', '001011002023', '5655020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347673', '2', '99', '1323441314741751835', '万古支局', '001011002024', '5655020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347674', '2', '99', '1323441314741751835', '老庙支局', '001011002025', '5655020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347675', '2', '99', '1323441314741751835', '桑村支局', '001011002026', '5655020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347676', '2', '99', '1323441314741751835', '高平支局', '001011002027', '5655020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347677', '2', '99', '1323441314741751835', '慈周寨支局', '001011002028', '5655020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347679', '2', '99', '1323441314741751835', '焦虎支局', '001011002030', '5655020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347680', '2', '99', '1323441314741751835', '老店支局', '001011002031', '5655020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857736347681', '2', '99', '1323441314741751835', '小铺支局', '001011002032', '5655020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541952', '2', '99', '1323441314741751835', '王庄支局', '001011002033', '5655020038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541953', '2', '99', '1323441314741751835', '牛屯支局', '001011002034', '5655020039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541955', '2', '99', '1323441314741751835', '保留关系人员部门', '001011002036', '5655020099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541956', '2', '99', '1323441314741751835', '机要室', '001011002037', '565502000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541958', '2', '99', '1323441314741751835', '寄递事业部', '001011002039', '5655020088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541959', '2', '99', '1323441314741751836', '单位领导部门', '001011003001', '5655030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541960', '2', '99', '1323441314741751836', '非领导职务部门', '001011003002', '5655030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541961', '2', '99', '1323441314741751836', '领导助理部门', '001011003003', '5655030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541966', '2', '99', '1323441314741751836', '综合办公室（安全保卫部）', '001011003008', '5655030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541967', '2', '99', '1323441314741751836', '营业班', '001011003009', '5655030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541968', '2', '99', '1323441314741751836', '灯塔路支局', '001011003010', '5655030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541969', '2', '99', '1323441314741751836', '韩陵支局', '001011003011', '5655030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541970', '2', '99', '1323441314741751836', '柏庄支局', '001011003012', '5655030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541971', '2', '99', '1323441314741751836', '永和支局', '001011003013', '5655030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541972', '2', '99', '1323441314741751836', '崔家桥支局', '001011003014', '5655030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541973', '2', '99', '1323441314741751836', '瓦店支局', '001011003015', '5655030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541974', '2', '99', '1323441314741751836', '吕村支局', '001011003016', '5655030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541975', '2', '99', '1323441314741751836', '辛村支局', '001011003017', '5655030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541976', '2', '99', '1323441314741751836', '北郭支局', '001011003018', '5655030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541977', '2', '99', '1323441314741751836', '白璧支局', '001011003019', '5655030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541978', '2', '99', '1323441314741751836', '宝莲寺支局', '001011003020', '5655030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541979', '2', '99', '1323441314741751836', '马投涧支局', '001011003021', '5655030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541980', '2', '99', '1323441314741751836', '水冶支局', '001011003022', '5655030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541981', '2', '99', '1323441314741751836', '铜冶支局', '001011003023', '5655030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541982', '2', '99', '1323441314741751836', '曲沟支局', '001011003024', '5655030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857740541983', '2', '99', '1323441314741751836', '蒋村支局', '001011003025', '5655030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736258', '2', '99', '1323441314741751836', '善应支局', '001011003030', '5655030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736259', '2', '99', '1323441314741751836', '马家支局', '001011003031', '5655030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736260', '2', '99', '1323441314741751836', '伦掌支局', '001011003032', '5655030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736261', '2', '99', '1323441314741751836', '洪河屯支局', '001011003033', '5655030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736262', '2', '99', '1323441314741751836', '安丰支局', '001011003034', '5655030039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736263', '2', '99', '1323441314741751836', '龙泉支局', '001011003035', '5655030040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736264', '2', '99', '1323441314741751836', '高庄支局', '001011003036', '5655030041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736266', '2', '99', '1323441314741751836', '辛店支局', '001011003038', '5655030043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736267', '2', '99', '1323441314741751836', '龙山大道支局', '001011003039', '5655030044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736268', '2', '99', '1323441314741751836', '保留关系人员部门', '001011003040', '5655030099', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736269', '2', '99', '1323441314741751836', '机要室', '001011003041', '565503000401', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736271', '2', '99', '1323441314741751836', '寄递事业部', '001011003043', '5655030088', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736272', '2', '99', '1323441314741751837', '单位领导部门', '001011004001', '5655040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736273', '2', '99', '1323441314741751837', '非领导职务部门', '001011004002', '5655040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736274', '2', '99', '1323441314741751837', '领导助理部门', '001011004003', '5655040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736279', '2', '99', '1323441314741751837', '综合办公室（安全保卫部）', '001011004008', '5655040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736280', '2', '99', '1323441314741751837', '营业班', '001011004009', '5655040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736281', '2', '99', '1323441314741751837', '车站支局', '001011004010', '5655040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736282', '2', '99', '1323441314741751837', '政通路支局', '001011004011', '5655040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736283', '2', '99', '1323441314741751837', '崇文大道支局', '001011004012', '5655040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857744736284', '2', '99', '1323441314741751837', '精忠支局', '001011004013', '5655040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930560', '2', '99', '1323441314741751837', '古贤支局', '001011004017', '5655040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930561', '2', '99', '1323441314741751837', '菜园支局', '001011004018', '5655040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930562', '2', '99', '1323441314741751837', '任固支局', '001011004019', '5655040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930563', '2', '99', '1323441314741751837', '五陵支局', '001011004020', '5655040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930564', '2', '99', '1323441314741751837', '瓦岗支局', '001011004021', '5655040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930565', '2', '99', '1323441314741751837', '伏道支局', '001011004022', '5655040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930566', '2', '99', '1323441314741751837', '宜沟支局', '001011004023', '5655040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930567', '2', '99', '1323441314741751837', '保留关系人员部门', '001011004024', '5655040099', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930568', '2', '99', '1323441314741751837', '机要室', '001011004025', '565504000401', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930569', '2', '99', '1323441314741751837', '寄递事业部', '001011004026', '5655040088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930570', '2', '99', '1323441314741751838', '单位领导部门', '001011005001', '5655050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930571', '2', '99', '1323441314741751838', '非领导职务部门', '001011005002', '5655050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930572', '2', '99', '1323441314741751838', '领导助理部门', '001011005003', '5655050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930577', '2', '99', '1323441314741751838', '综合办公室（安全保卫部）', '001011005008', '5655050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930578', '2', '99', '1323441314741751838', '营业班', '001011005009', '5655050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930579', '2', '99', '1323441314741751838', '二帝大道支局', '001011005010', '5655050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930580', '2', '99', '1323441314741751838', '朝阳路支局', '001011005011', '5655050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930581', '2', '99', '1323441314741751838', '亳城支局', '001011005012', '5655050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930582', '2', '99', '1323441314741751838', '楚旺支局', '001011005013', '5655050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930583', '2', '99', '1323441314741751838', '田氏支局', '001011005014', '5655050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930584', '2', '99', '1323441314741751838', '宋村支局', '001011005015', '5655050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930585', '2', '99', '1323441314741751838', '石盘屯支局', '001011005016', '5655050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930586', '2', '99', '1323441314741751838', '后河支局', '001011005017', '5655050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930587', '2', '99', '1323441314741751838', '白条河支局', '001011005018', '5655050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930588', '2', '99', '1323441314741751838', '梁庄支局', '001011005019', '5655050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930589', '2', '99', '1323441314741751838', '中召支局', '001011005020', '5655050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930590', '2', '99', '1323441314741751838', '井店支局', '001011005021', '5655050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930591', '2', '99', '1323441314741751838', '六村支局', '001011005022', '5655050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857748930592', '2', '99', '1323441314741751838', '高堤支局', '001011005023', '5655050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124867', '2', '99', '1323441314741751838', '东庄支局', '001011005027', '5655050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124868', '2', '99', '1323441314741751838', '豆公支局', '001011005028', '5655050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124869', '2', '99', '1323441314741751838', '保留关系人员部门', '001011005029', '5655050099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124870', '2', '99', '1323441314741751838', '机要室', '001011005030', '565505000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124872', '2', '99', '1323441314741751838', '寄递事业部', '001011005032', '5655050088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124873', '2', '99', '1323441314741751839', '单位领导部门', '001011006001', '5655200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124874', '2', '99', '1323441314741751839', '非领导职务部门', '001011006002', '5655200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124875', '2', '99', '1323441314741751839', '领导助理部门', '001011006003', '5655200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124876', '2', '99', '1323441314741751839', '机要通信分局内设机构（虚拟部门）', '001011006004', '5655200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124877', '2', '99', '1323441314741751839', '保留关系人员部门', '001011006005', '5655200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124878', '2', '99', '1323441314741751840', '单位领导部门', '001011007001', '5655200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124879', '2', '99', '1323441314741751840', '非领导职务部门', '001011007002', '5655200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124880', '2', '99', '1323441314741751840', '领导助理部门', '001011007003', '5655200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124885', '2', '99', '1323441314741751840', '营业班', '001011007008', '5655200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124888', '2', '99', '1323441314741751840', '东风路支局', '001011007011', '5655200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124890', '2', '99', '1323441314741751840', '东工路支局', '001011007013', '5655200121', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857753124892', '2', '99', '1323441314741751840', '和平路支局', '001011007015', '5655200123', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319172', '2', '99', '1323441314741751840', '朝阳路支局', '001011007022', '5655200130', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319174', '2', '99', '1323441314741751840', '中华北路支局', '001011007024', '5655200132', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319178', '2', '99', '1323441314741751840', '华强城支局', '001011007028', '5655200136', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319179', '2', '99', '1323441314741751840', '保留关系人员部门', '001011007029', '5655200199', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319180', '2', '99', '1323441314741751840', '寄递事业部', '001011007030', '5655200188', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319181', '2', '99', '1323441314741751841', '单位领导部门', '001011008001', '5655200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319182', '2', '99', '1323441314741751841', '非领导职务部门', '001011008002', '5655200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319183', '2', '99', '1323441314741751841', '领导助理部门', '001011008003', '5655200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319185', '2', '99', '1323441314741751841', '营业班', '001011008005', '5655200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319187', '2', '99', '1323441314741751841', '钢二路支局', '001011008007', '5655200216', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319189', '2', '99', '1323441314741751841', '八里庄支局', '001011008009', '5655200218', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319191', '2', '99', '1323441314741751841', '电厂路支局', '001011008011', '5655200220', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319192', '2', '99', '1323441314741751841', '钢城支局', '001011008012', '5655200221', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319194', '2', '99', '1323441314741751841', '纱厂路支局', '001011008014', '5655200223', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857757319197', '2', '99', '1323441314741751841', '保留关系人员部门', '001011008017', '5655200299', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513473', '2', '99', '1323441314741751841', '寄递事业部', '001011008021', '5655200288', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513493', '2', '99', '1323441314741751843', '单位领导部门', '001012001001', '5656010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513494', '2', '99', '1323441314741751843', '非领导职务部门', '001012001002', '5656010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513495', '2', '99', '1323441314741751843', '领导助理部门', '001012001003', '5656010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513497', '2', '99', '1323441314741751843', '综合办公室（安全保卫部）', '001012001005', '5656010011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513498', '2', '99', '1323441314741751843', '营业班', '001012001006', '5656010012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513499', '2', '99', '1323441314741751843', '北阳支局', '001012001007', '5656010015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513500', '2', '99', '1323441314741751843', '高村支局', '001012001008', '5656010016', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857761513502', '2', '99', '1323441314741751843', '庙口支局', '001012001010', '5656010018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707777', '2', '99', '1323441314741751843', '西岗支局', '001012001013', '5656010021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707778', '2', '99', '1323441314741751843', '淇县县营支局', '001012001014', '5656010022', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707779', '2', '99', '1323441314741751843', '保留关系人员部门', '001012001015', '5656010099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707780', '2', '99', '1323441314741751843', '机要室', '001012001016', '565601000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707784', '2', '99', '1323441314741751843', '寄递事业部', '001012001020', '5656010088', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707785', '2', '99', '1323441314741751844', '单位领导部门', '001012002001', '5656020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707786', '2', '99', '1323441314741751844', '非领导职务部门', '001012002002', '5656020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707787', '2', '99', '1323441314741751844', '领导助理部门', '001012002003', '5656020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707792', '2', '99', '1323441314741751844', '综合办公室（安全保卫部）', '001012002008', '5656020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707793', '2', '99', '1323441314741751844', '营业班', '001012002009', '5656020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707794', '2', '99', '1323441314741751844', '白寺支局', '001012002010', '5656020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707795', '2', '99', '1323441314741751844', '黎阳路支局', '001012002011', '5656020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707797', '2', '99', '1323441314741751844', '屯子支局', '001012002013', '5656020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707798', '2', '99', '1323441314741751844', '王庄支局', '001012002014', '5656020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707799', '2', '99', '1323441314741751844', '卫贤支局', '001012002015', '5656020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707801', '2', '99', '1323441314741751844', '小河支局', '001012002017', '5656020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707802', '2', '99', '1323441314741751844', '新镇支局', '001012002018', '5656020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707803', '2', '99', '1323441314741751844', '保留关系人员部门', '001012002019', '5656020099', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707804', '2', '99', '1323441314741751844', '机要室', '001012002020', '565602000401', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857765707806', '2', '99', '1323441314741751844', '寄递事业部', '001012002022', '5656020088', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902080', '2', '99', '1323441314741751845', '单位领导部门', '001012003001', '5656200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902081', '2', '99', '1323441314741751845', '非领导职务部门', '001012003002', '5656200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902082', '2', '99', '1323441314741751845', '领导助理部门', '001012003003', '5656200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902083', '2', '99', '1323441314741751845', '机要通信分局内设机构（虚拟部门）', '001012003004', '5656200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902084', '2', '99', '1323441314741751845', '保留关系人员部门', '001012003005', '5656200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902085', '2', '99', '1323441314745946112', '单位领导部门', '001012004001', '5656200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902086', '2', '99', '1323441314745946112', '非领导职务部门', '001012004002', '5656200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902087', '2', '99', '1323441314745946112', '领导助理部门', '001012004003', '5656200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902089', '2', '99', '1323441314745946112', '营业班', '001012004005', '5656200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902091', '2', '99', '1323441314745946112', '大湖支局', '001012004007', '5656200115', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902092', '2', '99', '1323441314745946112', '鹤山支局', '001012004008', '5656200116', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902095', '2', '99', '1323441314745946112', '鹿楼支局', '001012004011', '5656200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902100', '2', '99', '1323441314745946112', '保留关系人员部门', '001012004016', '5656200199', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902104', '2', '99', '1323441314745946112', '寄递事业部', '001012004020', '5656200188', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902105', '2', '99', '1323441314745946113', '单位领导部门', '001012005001', '5656200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902106', '2', '99', '1323441314745946113', '非领导职务部门', '001012005002', '5656200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902107', '2', '99', '1323441314745946113', '领导助理部门', '001012005003', '5656200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902109', '2', '99', '1323441314745946113', '营业班', '001012005005', '5656200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857769902110', '2', '99', '1323441314745946113', '钜桥支局', '001012005006', '5656200214', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857774096384', '2', '99', '1323441314745946113', '新世纪支局', '001012005007', '5656200215', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857774096385', '2', '99', '1323441314745946113', '淇滨支局', '001012005008', '5656200216', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857774096386', '2', '99', '1323441314745946113', '清华园支局', '001012005009', '5656200217', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857774096387', '2', '99', '1323441314745946113', '保留关系人员部门', '001012005010', '5656200299', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857774096391', '2', '99', '1323441314745946113', '寄递事业部', '001012005014', '5656200288', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290694', '2', '99', '1323441314745946115', '单位领导部门', '001013001001', '5657010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290695', '2', '99', '1323441314745946115', '非领导职务部门', '001013001002', '5657010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290696', '2', '99', '1323441314745946115', '领导助理部门', '001013001003', '5657010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290701', '2', '99', '1323441314745946115', '综合办公室（安全保卫部）', '001013001008', '5657010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290702', '2', '99', '1323441314745946115', '营业班', '001013001009', '5657010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290703', '2', '99', '1323441314745946115', '胜利南街支局', '001013001010', '5657010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290704', '2', '99', '1323441314745946115', '新一街支局', '001013001011', '5657010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290705', '2', '99', '1323441314745946115', '小冀支局', '001013001012', '5657010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290706', '2', '99', '1323441314745946115', '七里营支局', '001013001013', '5657010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290707', '2', '99', '1323441314745946115', '朗公庙支局', '001013001014', '5657010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290708', '2', '99', '1323441314745946115', '古固寨支局', '001013001015', '5657010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290709', '2', '99', '1323441314745946115', '关堤支局', '001013001016', '5657010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290710', '2', '99', '1323441314745946115', '洪门支局', '001013001017', '5657010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290711', '2', '99', '1323441314745946115', '大块支局', '001013001018', '5657010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290712', '2', '99', '1323441314745946115', '合河支局', '001013001019', '5657010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290713', '2', '99', '1323441314745946115', '大召营支局', '001013001020', '5657010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290714', '2', '99', '1323441314745946115', '翟坡支局', '001013001021', '5657010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290715', '2', '99', '1323441314745946115', '保留关系人员部门', '001013001022', '5657010099', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290716', '2', '99', '1323441314745946115', '机要室', '001013001023', '565701000401', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857778290718', '2', '99', '1323441314745946115', '寄递事业部', '001013001025', '5657010088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782484992', '2', '99', '1323441314745946116', '单位领导部门', '001013002001', '5657020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782484993', '2', '99', '1323441314745946116', '非领导职务部门', '001013002002', '5657020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782484994', '2', '99', '1323441314745946116', '领导助理部门', '001013002003', '5657020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782484999', '2', '99', '1323441314745946116', '综合办公室（安全保卫部）', '001013002008', '5657020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485000', '2', '99', '1323441314745946116', '营业班', '001013002009', '5657020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485001', '2', '99', '1323441314745946116', '大道支局', '001013002010', '5657020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485003', '2', '99', '1323441314745946116', '新医一附院支局', '001013002012', '5657020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485004', '2', '99', '1323441314745946116', '唐庄支局', '001013002013', '5657020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485005', '2', '99', '1323441314745946116', '孙杏村支局', '001013002014', '5657020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485006', '2', '99', '1323441314745946116', '李元屯支局', '001013002015', '5657020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485007', '2', '99', '1323441314745946116', '上乐村支局', '001013002016', '5657020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485008', '2', '99', '1323441314745946116', '安都支局', '001013002017', '5657020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485017', '2', '99', '1323441314745946116', '孟西支局', '001013002026', '5657020032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485018', '2', '99', '1323441314745946116', '保留关系人员部门', '001013002027', '5657020099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485019', '2', '99', '1323441314745946116', '机要室', '001013002028', '565702000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857782485020', '2', '99', '1323441314745946116', '寄递事业部', '001013002029', '5657020088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679296', '2', '99', '1323441314745946117', '单位领导部门', '001013003001', '5657030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679297', '2', '99', '1323441314745946117', '非领导职务部门', '001013003002', '5657030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679298', '2', '99', '1323441314745946117', '领导助理部门', '001013003003', '5657030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679303', '2', '99', '1323441314745946117', '综合办公室（安全保卫部）', '001013003008', '5657030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679304', '2', '99', '1323441314745946117', '营业班', '001013003009', '5657030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679305', '2', '99', '1323441314745946117', '宏力大道支局', '001013003010', '5657030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679306', '2', '99', '1323441314745946117', '金贝山支局', '001013003011', '5657030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679307', '2', '99', '1323441314745946117', '建设路支局', '001013003012', '5657030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679308', '2', '99', '1323441314745946117', '满村支局', '001013003013', '5657030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679309', '2', '99', '1323441314745946117', '丁栾支局', '001013003014', '5657030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679310', '2', '99', '1323441314745946117', '方里支局', '001013003015', '5657030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679311', '2', '99', '1323441314745946117', '佘家支局', '001013003016', '5657030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679312', '2', '99', '1323441314745946117', '赵堤支局', '001013003017', '5657030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679313', '2', '99', '1323441314745946117', '武邱支局', '001013003018', '5657030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679314', '2', '99', '1323441314745946117', '苗占支局', '001013003019', '5657030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679315', '2', '99', '1323441314745946117', '孟岗支局', '001013003020', '5657030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679317', '2', '99', '1323441314745946117', '恼里支局', '001013003022', '5657030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857786679320', '2', '99', '1323441314745946117', '凡相支局', '001013003025', '5657030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873601', '2', '99', '1323441314745946117', '保留关系人员部门', '001013003030', '5657030099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873602', '2', '99', '1323441314745946117', '机要室', '001013003031', '565703000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873604', '2', '99', '1323441314745946117', '寄递事业部', '001013003033', '5657030088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873605', '2', '99', '1323441314745946118', '单位领导部门', '001013004001', '5657040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873606', '2', '99', '1323441314745946118', '非领导职务部门', '001013004002', '5657040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873607', '2', '99', '1323441314745946118', '领导助理部门', '001013004003', '5657040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873612', '2', '99', '1323441314745946118', '综合办公室（安全保卫部）', '001013004008', '5657040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873613', '2', '99', '1323441314745946118', '营业班', '001013004009', '5657040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873616', '2', '99', '1323441314745946118', '行政路支局', '001013004012', '5657040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873619', '2', '99', '1323441314745946118', '太山支局', '001013004015', '5657040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873620', '2', '99', '1323441314745946118', '冯庄支局', '001013004016', '5657040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873621', '2', '99', '1323441314745946118', '中和支局', '001013004017', '5657040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873622', '2', '99', '1323441314745946118', '徐营支局', '001013004018', '5657040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873624', '2', '99', '1323441314745946118', '黄堤支局', '001013004020', '5657040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873625', '2', '99', '1323441314745946118', '照镜支局', '001013004021', '5657040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857790873626', '2', '99', '1323441314745946118', '振兴路支局', '001013004022', '5657040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067905', '2', '99', '1323441314745946118', '保留关系人员部门', '001013004025', '5657040099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067906', '2', '99', '1323441314745946118', '机要室', '001013004026', '565704000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067907', '2', '99', '1323441314745946118', '寄递事业部', '001013004027', '5657040088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067908', '2', '99', '1323441314745946119', '单位领导部门', '001013005001', '5657050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067909', '2', '99', '1323441314745946119', '非领导职务部门', '001013005002', '5657050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067910', '2', '99', '1323441314745946119', '领导助理部门', '001013005003', '5657050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067915', '2', '99', '1323441314745946119', '综合办公室（安全保卫部）', '001013005008', '5657050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067916', '2', '99', '1323441314745946119', '营业班', '001013005009', '5657050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067917', '2', '99', '1323441314745946119', '城内支局', '001013005010', '5657050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067918', '2', '99', '1323441314745946119', '城东支局', '001013005011', '5657050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067919', '2', '99', '1323441314745946119', '太行大道支局', '001013005012', '5657050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067920', '2', '99', '1323441314745946119', '上八里支局', '001013005013', '5657050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067921', '2', '99', '1323441314745946119', '北云门支局', '001013005014', '5657050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067922', '2', '99', '1323441314745946119', '南寨支局', '001013005015', '5657050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067923', '2', '99', '1323441314745946119', '赵固支局', '001013005016', '5657050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067924', '2', '99', '1323441314745946119', '占城支局', '001013005017', '5657050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067925', '2', '99', '1323441314745946119', '峪河支局', '001013005018', '5657050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067928', '2', '99', '1323441314745946119', '张村支局', '001013005021', '5657050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857795067929', '2', '99', '1323441314745946119', '高庄支局', '001013005022', '5657050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262209', '2', '99', '1323441314745946119', '薄壁支局', '001013005024', '5657050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262210', '2', '99', '1323441314745946119', '冀屯支局', '001013005025', '5657050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262211', '2', '99', '1323441314745946119', '赵庄支局', '001013005026', '5657050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262212', '2', '99', '1323441314745946119', '吴村支局', '001013005027', '5657050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262213', '2', '99', '1323441314745946119', '百泉支局', '001013005028', '5657050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262214', '2', '99', '1323441314745946119', '南村支局', '001013005029', '5657050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262216', '2', '99', '1323441314745946119', '常村支局', '001013005031', '5657050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262220', '2', '99', '1323441314745946119', '保留关系人员部门', '001013005035', '5657050099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262221', '2', '99', '1323441314745946119', '机要室', '001013005036', '565705000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262223', '2', '99', '1323441314745946119', '寄递事业部', '001013005038', '5657050088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262224', '2', '99', '1323441314745946120', '单位领导部门', '001013006001', '5657060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262225', '2', '99', '1323441314745946120', '非领导职务部门', '001013006002', '5657060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262226', '2', '99', '1323441314745946120', '领导助理部门', '001013006003', '5657060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262231', '2', '99', '1323441314745946120', '综合办公室（安全保卫部）', '001013006008', '5657060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262232', '2', '99', '1323441314745946120', '营业班', '001013006009', '5657060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262233', '2', '99', '1323441314745946120', '胜利支局', '001013006010', '5657060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262234', '2', '99', '1323441314745946120', '官厂支局', '001013006011', '5657060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857799262235', '2', '99', '1323441314745946120', '大宾支局', '001013006012', '5657060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456512', '2', '99', '1323441314745946120', '陡门支局', '001013006013', '5657060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456514', '2', '99', '1323441314745946120', '路寨支局', '001013006015', '5657060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456515', '2', '99', '1323441314745946120', '阳阿支局', '001013006016', '5657060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456516', '2', '99', '1323441314745946120', '师寨支局', '001013006017', '5657060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456517', '2', '99', '1323441314745946120', '原武支局', '001013006018', '5657060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456518', '2', '99', '1323441314745946120', '祝楼支局', '001013006019', '5657060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456519', '2', '99', '1323441314745946120', '桥北支局', '001013006020', '5657060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456521', '2', '99', '1323441314745946120', '韩董庄支局', '001013006022', '5657060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456522', '2', '99', '1323441314745946120', '太平镇支局', '001013006023', '5657060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456524', '2', '99', '1323441314745946120', '福宁集支局', '001013006025', '5657060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456527', '2', '99', '1323441314745946120', '黑羊山支局', '001013006028', '5657060033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456529', '2', '99', '1323441314745946120', '保留关系人员部门', '001013006030', '5657060099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456530', '2', '99', '1323441314745946120', '机要室', '001013006031', '565706000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456532', '2', '99', '1323441314745946120', '寄递事业部', '001013006033', '5657060088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456533', '2', '99', '1323441314745946121', '单位领导部门', '001013007001', '5657070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456534', '2', '99', '1323441314745946121', '非领导职务部门', '001013007002', '5657070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857803456535', '2', '99', '1323441314745946121', '领导助理部门', '001013007003', '5657070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650817', '2', '99', '1323441314745946121', '综合办公室（安全保卫部）', '001013007008', '5657070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650818', '2', '99', '1323441314745946121', '营业班', '001013007009', '5657070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650820', '2', '99', '1323441314745946121', '丰庄支局', '001013007011', '5657070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650821', '2', '99', '1323441314745946121', '马庄支局', '001013007012', '5657070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650822', '2', '99', '1323441314745946121', '王楼支局', '001013007013', '5657070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650823', '2', '99', '1323441314745946121', '司寨支局', '001013007014', '5657070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650824', '2', '99', '1323441314745946121', '位邱支局', '001013007015', '5657070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650825', '2', '99', '1323441314745946121', '胙城支局', '001013007016', '5657070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650827', '2', '99', '1323441314745946121', '东屯支局', '001013007018', '5657070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650828', '2', '99', '1323441314745946121', '榆林支局', '001013007019', '5657070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650830', '2', '99', '1323441314745946121', '建设路支局', '001013007021', '5657070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650831', '2', '99', '1323441314745946121', '保留关系人员部门', '001013007022', '5657070099', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650832', '2', '99', '1323441314745946121', '机要室', '001013007023', '565707000401', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650833', '2', '99', '1323441314745946121', '寄递事业部', '001013007024', '5657070088', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650834', '2', '99', '1323441314745946122', '单位领导部门', '001013008001', '5657080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650835', '2', '99', '1323441314745946122', '非领导职务部门', '001013008002', '5657080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650836', '2', '99', '1323441314745946122', '领导助理部门', '001013008003', '5657080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650841', '2', '99', '1323441314745946122', '综合办公室（安全保卫部）', '001013008008', '5657080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857807650842', '2', '99', '1323441314745946122', '营业班', '001013008009', '5657080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845120', '2', '99', '1323441314745946122', '北干道支局', '001013008010', '5657080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845121', '2', '99', '1323441314745946122', '应举支局', '001013008011', '5657080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845122', '2', '99', '1323441314745946122', '黄德支局', '001013008012', '5657080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845123', '2', '99', '1323441314745946122', '鲁岗支局', '001013008013', '5657080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845124', '2', '99', '1323441314745946122', '荆隆宫支局', '001013008014', '5657080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845125', '2', '99', '1323441314745946122', '留光支局', '001013008015', '5657080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845126', '2', '99', '1323441314745946122', '曹岗支局', '001013008016', '5657080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845128', '2', '99', '1323441314745946122', '赵岗支局', '001013008018', '5657080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845129', '2', '99', '1323441314745946122', '陈固支局', '001013008019', '5657080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845130', '2', '99', '1323441314745946122', '李庄支局', '001013008020', '5657080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845131', '2', '99', '1323441314745946122', '潘店支局', '001013008021', '5657080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845132', '2', '99', '1323441314745946122', '戚城支局', '001013008022', '5657080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845133', '2', '99', '1323441314745946122', '冯村支局', '001013008023', '5657080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845135', '2', '99', '1323441314745946122', '新李庄支局', '001013008025', '5657080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845141', '2', '99', '1323441314745946122', '保留关系人员部门', '001013008031', '5657080099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845142', '2', '99', '1323441314745946122', '机要室', '001013008032', '565708000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845144', '2', '99', '1323441314745946122', '寄递事业部', '001013008034', '5657080088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857811845145', '2', '99', '1323441314745946123', '单位领导部门', '001013009001', '5657200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039424', '2', '99', '1323441314745946123', '非领导职务部门', '001013009002', '5657200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039425', '2', '99', '1323441314745946123', '领导助理部门', '001013009003', '5657200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039426', '2', '99', '1323441314745946123', '机要通信分局内设机构（虚拟部门）', '001013009004', '5657200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039427', '2', '99', '1323441314745946123', '保留关系人员部门', '001013009005', '5657200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039428', '2', '99', '1323441314745946124', '单位领导部门', '001013010001', '5657200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039429', '2', '99', '1323441314745946124', '非领导职务部门', '001013010002', '5657200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039430', '2', '99', '1323441314745946124', '领导助理部门', '001013010003', '5657200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039435', '2', '99', '1323441314745946124', '营业班', '001013010008', '5657200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039437', '2', '99', '1323441314745946124', '人民西路支局', '001013010010', '5657200117', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039438', '2', '99', '1323441314745946124', '化工路支局', '001013010011', '5657200118', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039439', '2', '99', '1323441314745946124', '火车站支局', '001013010012', '5657200119', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039441', '2', '99', '1323441314745946124', '健康路支局', '001013010014', '5657200121', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039443', '2', '99', '1323441314745946124', '南干道支局', '001013010016', '5657200123', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039444', '2', '99', '1323441314745946124', '帕堤欧支局', '001013010017', '5657200124', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039445', '2', '99', '1323441314745946124', '西台头支局', '001013010018', '5657200125', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039448', '2', '99', '1323441314745946124', '新四街支局', '001013010021', '5657200128', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857816039449', '2', '99', '1323441314745946124', '饮马口支局', '001013010022', '5657200129', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233728', '2', '99', '1323441314745946124', '保留关系人员部门', '001013010024', '5657200199', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233729', '2', '99', '1323441314745946124', '寄递事业部', '001013010025', '5657200188', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233730', '2', '99', '1323441314745946125', '单位领导部门', '001013011001', '5657200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233731', '2', '99', '1323441314745946125', '非领导职务部门', '001013011002', '5657200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233732', '2', '99', '1323441314745946125', '领导助理部门', '001013011003', '5657200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233737', '2', '99', '1323441314745946125', '营业班', '001013011008', '5657200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233739', '2', '99', '1323441314745946125', '大景城支局', '001013011010', '5657200218', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233741', '2', '99', '1323441314745946125', '和平北路支局', '001013011012', '5657200220', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233743', '2', '99', '1323441314745946125', '黄岗支局', '001013011014', '5657200222', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233744', '2', '99', '1323441314745946125', '劳动北路支局', '001013011015', '5657200224', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233745', '2', '99', '1323441314745946125', '平原路支局', '001013011016', '5657200225', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233746', '2', '99', '1323441314745946125', '荣校路支局', '001013011017', '5657200226', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233749', '2', '99', '1323441314745946125', '中同街支局', '001013011020', '5657200229', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233751', '2', '99', '1323441314745946125', '保留关系人员部门', '001013011022', '5657200299', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233752', '2', '99', '1323441314745946125', '寄递事业部', '001013011023', '5657200288', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857820233753', '2', '99', '1323441314745946126', '单位领导部门', '001013012001', '5657200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857824428032', '2', '99', '1323441314745946126', '非领导职务部门', '001013012002', '5657200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857824428033', '2', '99', '1323441314745946126', '领导助理部门', '001013012003', '5657200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857824428039', '2', '99', '1323441314745946126', '保留关系人员部门', '001013012009', '5657200399', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857824428043', '2', '99', '1323441314745946126', '寄递事业部', '001013012013', '5657200388', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622347', '2', '99', '1323441314745946128', '单位领导部门', '001014001001', '5658010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622348', '2', '99', '1323441314745946128', '非领导职务部门', '001014001002', '5658010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622349', '2', '99', '1323441314745946128', '领导助理部门', '001014001003', '5658010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622351', '2', '99', '1323441314745946128', '综合办公室（安全保卫部）', '001014001005', '5658010011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622352', '2', '99', '1323441314745946128', '营业班', '001014001006', '5658010012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622353', '2', '99', '1323441314745946128', '方庄矿区支局', '001014001007', '5658010015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622355', '2', '99', '1323441314745946128', '高村支局', '001014001009', '5658010017', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622357', '2', '99', '1323441314745946128', '环城西路支局', '001014001011', '5658010019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622358', '2', '99', '1323441314745946128', '环城东路支局', '001014001012', '5658010020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622359', '2', '99', '1323441314745946128', '周庄支局', '001014001013', '5658010021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622360', '2', '99', '1323441314745946128', '王屯支局', '001014001014', '5658010022', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622361', '2', '99', '1323441314745946128', '五里源支局', '001014001015', '5658010023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857828622362', '2', '99', '1323441314745946128', '郇封支局', '001014001016', '5658010024', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816640', '2', '99', '1323441314745946128', '西村支局', '001014001017', '5658010025', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816642', '2', '99', '1323441314745946128', '保留关系人员部门', '001014001019', '5658010099', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816643', '2', '99', '1323441314745946128', '机要室', '001014001020', '565801000401', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816647', '2', '99', '1323441314745946128', '寄递事业部', '001014001024', '5658010088', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816648', '2', '99', '1323441314745946129', '单位领导部门', '001014002001', '5658020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816649', '2', '99', '1323441314745946129', '非领导职务部门', '001014002002', '5658020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816650', '2', '99', '1323441314745946129', '领导助理部门', '001014002003', '5658020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816655', '2', '99', '1323441314745946129', '综合办公室（安全保卫部）', '001014002008', '5658020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816656', '2', '99', '1323441314745946129', '营业班', '001014002009', '5658020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816657', '2', '99', '1323441314745946129', '商贸城支局', '001014002010', '5658020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816658', '2', '99', '1323441314745946129', '西城支局', '001014002011', '5658020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816660', '2', '99', '1323441314745946129', '柏山支局', '001014002013', '5658020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816661', '2', '99', '1323441314745946129', '阳庙支局', '001014002014', '5658020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816662', '2', '99', '1323441314745946129', '苏家作支局', '001014002015', '5658020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816663', '2', '99', '1323441314745946129', '西金城支局', '001014002016', '5658020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816664', '2', '99', '1323441314745946129', '金城支局', '001014002017', '5658020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857832816665', '2', '99', '1323441314745946129', '孝敬支局', '001014002018', '5658020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010944', '2', '99', '1323441314745946129', '界沟支局', '001014002019', '5658020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010945', '2', '99', '1323441314745946129', '磨头支局', '001014002020', '5658020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010947', '2', '99', '1323441314745946129', '月山火车站支局', '001014002022', '5658020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010948', '2', '99', '1323441314745946129', '月山支局', '001014002023', '5658020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010950', '2', '99', '1323441314745946129', '高庙支局', '001014002025', '5658020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010951', '2', '99', '1323441314745946129', '东城支局', '001014002026', '5658020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010952', '2', '99', '1323441314745946129', '中山支局', '001014002027', '5658020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010953', '2', '99', '1323441314745946129', '保留关系人员部门', '001014002028', '5658020099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010954', '2', '99', '1323441314745946129', '机要室', '001014002029', '565802000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010955', '2', '99', '1323441314745946129', '寄递事业部', '001014002030', '5658020088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010956', '2', '99', '1323441314745946130', '单位领导部门', '001014003001', '5658030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010957', '2', '99', '1323441314745946130', '非领导职务部门', '001014003002', '5658030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010958', '2', '99', '1323441314745946130', '领导助理部门', '001014003003', '5658030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010963', '2', '99', '1323441314745946130', '综合办公室（安全保卫部）', '001014003008', '5658030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010964', '2', '99', '1323441314745946130', '营业班', '001014003009', '5658030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010965', '2', '99', '1323441314745946130', '柏香支局', '001014003010', '5658030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010966', '2', '99', '1323441314745946130', '崇义支局', '001014003011', '5658030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857837010967', '2', '99', '1323441314745946130', '葛村支局', '001014003012', '5658030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205248', '2', '99', '1323441314745946130', '建设南路支局', '001014003014', '5658030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205249', '2', '99', '1323441314745946130', '怀府西路支局', '001014003015', '5658030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205250', '2', '99', '1323441314745946130', '西向支局', '001014003016', '5658030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205252', '2', '99', '1323441314745946130', '山王庄支局', '001014003018', '5658030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205253', '2', '99', '1323441314745946130', '王召支局', '001014003019', '5658030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205254', '2', '99', '1323441314745946130', '木楼支局', '001014003020', '5658030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205255', '2', '99', '1323441314745946130', '紫陵支局', '001014003021', '5658030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205257', '2', '99', '1323441314745946130', '太行大道支局', '001014003023', '5658030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205260', '2', '99', '1323441314745946130', '保留关系人员部门', '001014003026', '5658030099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205261', '2', '99', '1323441314745946130', '机要室', '001014003027', '565803000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205263', '2', '99', '1323441314745946130', '寄递事业部', '001014003029', '5658030088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205264', '2', '99', '1323441314745946131', '单位领导部门', '001014004001', '5658040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205265', '2', '99', '1323441314745946131', '非领导职务部门', '001014004002', '5658040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205266', '2', '99', '1323441314745946131', '领导助理部门', '001014004003', '5658040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205271', '2', '99', '1323441314745946131', '综合办公室（安全保卫部）', '001014004008', '5658040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205272', '2', '99', '1323441314745946131', '营业班', '001014004009', '5658040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857841205273', '2', '99', '1323441314745946131', '城伯支局', '001014004010', '5658040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399552', '2', '99', '1323441314745946131', '东小仇支局', '001014004011', '5658040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399553', '2', '99', '1323441314745946131', '缑村支局', '001014004012', '5658040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399554', '2', '99', '1323441314745946131', '赵和支局', '001014004013', '5658040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399556', '2', '99', '1323441314745946131', '槐树支局', '001014004015', '5658040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399557', '2', '99', '1323441314745946131', '河阳大街支局', '001014004016', '5658040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399558', '2', '99', '1323441314745946131', '石庄支局', '001014004017', '5658040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399559', '2', '99', '1323441314745946131', '河雍支局', '001014004018', '5658040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399560', '2', '99', '1323441314745946131', '谷旦支局', '001014004019', '5658040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399561', '2', '99', '1323441314745946131', '西虢支局', '001014004020', '5658040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857845399562', '2', '99', '1323441314745946131', '化工支局', '001014004021', '5658040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593856', '2', '99', '1323441314745946131', '大定路支局', '001014004023', '5658040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593857', '2', '99', '1323441314745946131', '孟州路支局', '001014004024', '5658040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593858', '2', '99', '1323441314745946131', '保留关系人员部门', '001014004025', '5658040099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593859', '2', '99', '1323441314745946131', '机要室', '001014004026', '565804000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593860', '2', '99', '1323441314745946131', '寄递事业部', '001014004027', '5658040088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593861', '2', '99', '1323441314745946132', '单位领导部门', '001014005001', '5658050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857849593862', '2', '99', '1323441314745946132', '非领导职务部门', '001014005002', '5658050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788160', '2', '99', '1323441314745946132', '领导助理部门', '001014005003', '5658050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788165', '2', '99', '1323441314745946132', '综合办公室（安全保卫部）', '001014005008', '5658050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788166', '2', '99', '1323441314745946132', '营业班', '001014005009', '5658050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788168', '2', '99', '1323441314745946132', '招贤支局', '001014005011', '5658050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788170', '2', '99', '1323441314745946132', '南张羌支局', '001014005013', '5658050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788171', '2', '99', '1323441314745946132', '赵堡支局', '001014005014', '5658050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857853788172', '2', '99', '1323441314745946132', '武德镇支局', '001014005015', '5658050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982464', '2', '99', '1323441314745946132', '徐堡支局', '001014005016', '5658050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982465', '2', '99', '1323441314745946132', '北冷支局', '001014005017', '5658050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982467', '2', '99', '1323441314745946132', '黄庄支局', '001014005019', '5658050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982468', '2', '99', '1323441314745946132', '番田支局', '001014005020', '5658050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982469', '2', '99', '1323441314745946132', '杨垒支局', '001014005021', '5658050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982470', '2', '99', '1323441314745946132', '慈胜大街支局', '001014005022', '5658050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982471', '2', '99', '1323441314745946132', '司马大街支局', '001014005023', '5658050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982472', '2', '99', '1323441314745946132', '黄河中路支局', '001014005024', '5658050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982473', '2', '99', '1323441314745946132', '保留关系人员部门', '001014005025', '5658050099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982474', '2', '99', '1323441314745946132', '机要室', '001014005026', '565805000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982475', '2', '99', '1323441314745946132', '寄递事业部', '001014005027', '5658050088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982476', '2', '99', '1323441314745946133', '单位领导部门', '001014006001', '5658060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982477', '2', '99', '1323441314745946133', '非领导职务部门', '001014006002', '5658060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982478', '2', '99', '1323441314745946133', '领导助理部门', '001014006003', '5658060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982483', '2', '99', '1323441314745946133', '综合办公室（安全保卫部）', '001014006008', '5658060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982484', '2', '99', '1323441314745946133', '营业班', '001014006009', '5658060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857857982485', '2', '99', '1323441314745946133', '北郭支局', '001014006010', '5658060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176768', '2', '99', '1323441314745946133', '大虹桥一支局', '001014006012', '5658060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176769', '2', '99', '1323441314745946133', '大虹桥二支局', '001014006013', '5658060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176770', '2', '99', '1323441314745946133', '龙源支局', '001014006014', '5658060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176771', '2', '99', '1323441314745946133', '和平支局', '001014006015', '5658060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176772', '2', '99', '1323441314745946133', '小董支局', '001014006016', '5658060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176773', '2', '99', '1323441314745946133', '红旗路支局', '001014006017', '5658060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176774', '2', '99', '1323441314745946133', '嘉应观支局', '001014006018', '5658060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176775', '2', '99', '1323441314745946133', '谢旗营支局', '001014006019', '5658060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176776', '2', '99', '1323441314745946133', '宁郭支局', '001014006020', '5658060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176777', '2', '99', '1323441314745946133', '圪当店支局', '001014006021', '5658060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176778', '2', '99', '1323441314745946133', '詹店支局', '001014006022', '5658060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176779', '2', '99', '1323441314745946133', '乔庙支局', '001014006023', '5658060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176780', '2', '99', '1323441314745946133', '西陶支局', '001014006024', '5658060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176781', '2', '99', '1323441314745946133', '三阳支局', '001014006025', '5658060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176782', '2', '99', '1323441314745946133', '黄河路支局', '001014006026', '5658060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176783', '2', '99', '1323441314745946133', '保留关系人员部门', '001014006027', '5658060099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176784', '2', '99', '1323441314745946133', '机要室', '001014006028', '565806000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176785', '2', '99', '1323441314745946133', '寄递事业部', '001014006029', '5658060088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176786', '2', '99', '1323441314745946134', '单位领导部门', '001014007001', '5658200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176787', '2', '99', '1323441314745946134', '非领导职务部门', '001014007002', '5658200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176788', '2', '99', '1323441314745946134', '领导助理部门', '001014007003', '5658200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857862176789', '2', '99', '1323441314745946134', '机要通信分局内设机构（虚拟部门）', '001014007004', '5658200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371072', '2', '99', '1323441314745946134', '保留关系人员部门', '001014007005', '5658200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371073', '2', '99', '1323441314745946135', '单位领导部门', '001014008001', '5658200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371074', '2', '99', '1323441314745946135', '非领导职务部门', '001014008002', '5658200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371075', '2', '99', '1323441314745946135', '领导助理部门', '001014008003', '5658200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371080', '2', '99', '1323441314745946135', '营业班', '001014008008', '5658200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371081', '2', '99', '1323441314745946135', '朝阳路支局', '001014008009', '5658200116', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371082', '2', '99', '1323441314745946135', '衡苑小区支局', '001014008010', '5658200117', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371083', '2', '99', '1323441314745946135', '建设街支局', '001014008011', '5658200118', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371084', '2', '99', '1323441314745946135', '建设西路支局', '001014008012', '5658200119', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371085', '2', '99', '1323441314745946135', '解放东路支局', '001014008013', '5658200120', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371087', '2', '99', '1323441314745946135', '民主路支局', '001014008015', '5658200122', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371088', '2', '99', '1323441314745946135', '民主中路支局', '001014008016', '5658200123', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371089', '2', '99', '1323441314745946135', '世纪新区支局', '001014008017', '5658200124', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371090', '2', '99', '1323441314745946135', '太行西路支局', '001014008018', '5658200125', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371091', '2', '99', '1323441314745946135', '太行中路支局', '001014008019', '5658200126', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371092', '2', '99', '1323441314745946135', '体育馆支局', '001014008020', '5658200127', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371093', '2', '99', '1323441314745946135', '新华中街支局', '001014008021', '5658200128', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857866371095', '2', '99', '1323441314745946135', '月季公园支局', '001014008023', '5658200130', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565376', '2', '99', '1323441314745946135', '保留关系人员部门', '001014008025', '5658200199', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565377', '2', '99', '1323441314745946135', '寄递事业部', '001014008026', '5658200188', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565378', '2', '99', '1323441314745946136', '单位领导部门', '001014009001', '5658200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565379', '2', '99', '1323441314745946136', '非领导职务部门', '001014009002', '5658200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565380', '2', '99', '1323441314745946136', '领导助理部门', '001014009003', '5658200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565385', '2', '99', '1323441314745946136', '营业班', '001014009008', '5658200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565386', '2', '99', '1323441314745946136', '安阳城支局', '001014009009', '5658200215', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565388', '2', '99', '1323441314745946136', '待王支局', '001014009011', '5658200217', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565389', '2', '99', '1323441314745946136', '都市花园支局', '001014009012', '5658200218', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565390', '2', '99', '1323441314745946136', '锦祥花园支局', '001014009013', '5658200219', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565392', '2', '99', '1323441314745946136', '龙源湖支局', '001014009015', '5658200221', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565393', '2', '99', '1323441314745946136', '人民路支局', '001014009016', '5658200222', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565394', '2', '99', '1323441314745946136', '塔南路支局', '001014009017', '5658200223', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565395', '2', '99', '1323441314745946136', '文昌路北段支局', '001014009018', '5658200224', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565396', '2', '99', '1323441314745946136', '文昌路南段支局', '001014009019', '5658200225', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565397', '2', '99', '1323441314745946136', '政二街支局', '001014009020', '5658200226', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857870565398', '2', '99', '1323441314745946136', '中州铝厂支局', '001014009021', '5658200227', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857874759680', '2', '99', '1323441314745946136', '保留关系人员部门', '001014009022', '5658200299', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857874759681', '2', '99', '1323441314745946136', '寄递事业部', '001014009023', '5658200288', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953986', '2', '99', '1323441314745946138', '单位领导部门', '001015001001', '5659010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953987', '2', '99', '1323441314745946138', '非领导职务部门', '001015001002', '5659010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953988', '2', '99', '1323441314745946138', '领导助理部门', '001015001003', '5659010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953993', '2', '99', '1323441314745946138', '综合办公室（安全保卫部）', '001015001008', '5659010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953994', '2', '99', '1323441314745946138', '营业班', '001015001009', '5659010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953995', '2', '99', '1323441314745946138', '八公桥支局', '001015001010', '5659010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878953999', '2', '99', '1323441314745946138', '胡状支局', '001015001014', '5659010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878954002', '2', '99', '1323441314745946138', '解放路支局', '001015001017', '5659010024', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878954004', '2', '99', '1323441314745946138', '梨园支局', '001015001019', '5659010026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857878954006', '2', '99', '1323441314745946138', '梁庄支局', '001015001021', '5659010028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148289', '2', '99', '1323441314745946138', '柳屯支局', '001015001023', '5659010030', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148292', '2', '99', '1323441314745946138', '庆祖支局', '001015001026', '5659010033', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148293', '2', '99', '1323441314745946138', '渠村支局', '001015001027', '5659010034', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148294', '2', '99', '1323441314745946138', '四厂支局', '001015001028', '5659010035', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148295', '2', '99', '1323441314745946138', '王称固支局', '001015001029', '5659010036', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148296', '2', '99', '1323441314745946138', '文留支局', '001015001030', '5659010037', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148299', '2', '99', '1323441314745946138', '徐镇支局', '001015001033', '5659010040', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148301', '2', '99', '1323441314745946138', '保留关系人员部门', '001015001035', '5659010099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148302', '2', '99', '1323441314745946138', '机要室', '001015001036', '565901000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148304', '2', '99', '1323441314745946138', '寄递事业部', '001015001038', '5659010088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148305', '2', '99', '1323441314745946139', '单位领导部门', '001015002001', '5659020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148306', '2', '99', '1323441314745946139', '非领导职务部门', '001015002002', '5659020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857883148307', '2', '99', '1323441314745946139', '领导助理部门', '001015002003', '5659020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342592', '2', '99', '1323441314745946139', '综合办公室（安全保卫部）', '001015002008', '5659020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342593', '2', '99', '1323441314745946139', '营业班', '001015002009', '5659020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342594', '2', '99', '1323441314745946139', '人民路支局', '001015002010', '5659020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342595', '2', '99', '1323441314745946139', '大流支局', '001015002011', '5659020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342598', '2', '99', '1323441314745946139', '巩营支局', '001015002014', '5659020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342599', '2', '99', '1323441314745946139', '古城支局', '001015002015', '5659020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342600', '2', '99', '1323441314745946139', '固城支局', '001015002016', '5659020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342601', '2', '99', '1323441314745946139', '韩村支局', '001015002017', '5659020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342602', '2', '99', '1323441314745946139', '柳格支局', '001015002018', '5659020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342603', '2', '99', '1323441314745946139', '六塔支局', '001015002019', '5659020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342604', '2', '99', '1323441314745946139', '马村支局', '001015002020', '5659020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342606', '2', '99', '1323441314745946139', '双庙支局', '001015002022', '5659020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342607', '2', '99', '1323441314745946139', '瓦屋头支局', '001015002023', '5659020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342609', '2', '99', '1323441314745946139', '仙庄支局', '001015002025', '5659020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342610', '2', '99', '1323441314745946139', '衙前街支局', '001015002026', '5659020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342611', '2', '99', '1323441314745946139', '阳邵支局', '001015002027', '5659020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342612', '2', '99', '1323441314745946139', '纸房支局', '001015002028', '5659020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342613', '2', '99', '1323441314745946139', '保留关系人员部门', '001015002029', '5659020099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857887342614', '2', '99', '1323441314745946139', '机要室', '001015002030', '565902000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536897', '2', '99', '1323441314745946139', '寄递事业部', '001015002032', '5659020088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536898', '2', '99', '1323441314745946140', '单位领导部门', '001015003001', '5659030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536899', '2', '99', '1323441314745946140', '非领导职务部门', '001015003002', '5659030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536900', '2', '99', '1323441314745946140', '领导助理部门', '001015003003', '5659030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536905', '2', '99', '1323441314745946140', '综合办公室（安全保卫部）', '001015003008', '5659030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536906', '2', '99', '1323441314745946140', '营业班', '001015003009', '5659030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536907', '2', '99', '1323441314745946140', '福堪支局', '001015003010', '5659030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536908', '2', '99', '1323441314745946140', '谷金楼支局', '001015003011', '5659030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536909', '2', '99', '1323441314745946140', '光明路支局', '001015003012', '5659030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536910', '2', '99', '1323441314745946140', '韩张支局', '001015003013', '5659030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536911', '2', '99', '1323441314745946140', '近德固支局', '001015003014', '5659030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536913', '2', '99', '1323441314745946140', '千口支局', '001015003016', '5659030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536914', '2', '99', '1323441314745946140', '寺庄支局', '001015003017', '5659030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536915', '2', '99', '1323441314745946140', '西邵支局', '001015003018', '5659030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536916', '2', '99', '1323441314745946140', '杨村支局', '001015003019', '5659030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857891536918', '2', '99', '1323441314745946140', '张果屯支局', '001015003021', '5659030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731200', '2', '99', '1323441314745946140', '兴华路支局', '001015003022', '5659030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731201', '2', '99', '1323441314745946140', '保留关系人员部门', '001015003023', '5659030099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731202', '2', '99', '1323441314745946140', '机要室', '001015003024', '565903000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731204', '2', '99', '1323441314745946140', '寄递事业部', '001015003026', '5659030088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731205', '2', '99', '1323441314745946141', '单位领导部门', '001015004001', '5659040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731206', '2', '99', '1323441314745946141', '非领导职务部门', '001015004002', '5659040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731207', '2', '99', '1323441314745946141', '领导助理部门', '001015004003', '5659040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731212', '2', '99', '1323441314745946141', '综合办公室（安全保卫部）', '001015004008', '5659040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731213', '2', '99', '1323441314745946141', '营业班', '001015004009', '5659040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731214', '2', '99', '1323441314745946141', '白衣阁支局', '001015004010', '5659040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731215', '2', '99', '1323441314745946141', '板桥路支局', '001015004011', '5659040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731216', '2', '99', '1323441314745946141', '陈庄支局', '001015004012', '5659040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857895731218', '2', '99', '1323441314745946141', '高码头支局', '001015004014', '5659040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925505', '2', '99', '1323441314745946141', '龙王庄支局', '001015004017', '5659040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925507', '2', '99', '1323441314745946141', '濮城支局', '001015004019', '5659040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925508', '2', '99', '1323441314745946141', '王楼支局', '001015004020', '5659040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925510', '2', '99', '1323441314745946141', '颜村铺支局', '001015004022', '5659040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925511', '2', '99', '1323441314745946141', '杨集支局', '001015004023', '5659040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925513', '2', '99', '1323441314745946141', '保留关系人员部门', '001015004025', '5659040099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925514', '2', '99', '1323441314745946141', '机要室', '001015004026', '565904000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925515', '2', '99', '1323441314745946141', '寄递事业部', '001015004027', '5659040088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925516', '2', '99', '1323441314745946142', '单位领导部门', '001015005001', '5659050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925517', '2', '99', '1323441314745946142', '非领导职务部门', '001015005002', '5659050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925518', '2', '99', '1323441314745946142', '领导助理部门', '001015005003', '5659050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925520', '2', '99', '1323441314745946142', '综合办公室（安全保卫部）', '001015005005', '5659050011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925521', '2', '99', '1323441314745946142', '营业班', '001015005006', '5659050012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857899925523', '2', '99', '1323441314745946142', '侯庙支局', '001015005008', '5659050016', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119809', '2', '99', '1323441314745946142', '夹河支局', '001015005010', '5659050018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119810', '2', '99', '1323441314745946142', '郊区支局', '001015005011', '5659050019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119811', '2', '99', '1323441314745946142', '金水路支局', '001015005012', '5659050020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119816', '2', '99', '1323441314745946142', '保留关系人员部门', '001015005017', '5659050099', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119817', '2', '99', '1323441314745946142', '机要室', '001015005018', '565905000401', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119821', '2', '99', '1323441314745946142', '寄递事业部', '001015005022', '5659050088', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119822', '2', '99', '1323441314745946143', '单位领导部门', '001015006001', '5659200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119823', '2', '99', '1323441314745946143', '非领导职务部门', '001015006002', '5659200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119824', '2', '99', '1323441314745946143', '领导助理部门', '001015006003', '5659200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119825', '2', '99', '1323441314745946143', '机要通信分局内设机构（虚拟部门）', '001015006004', '5659200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119826', '2', '99', '1323441314745946143', '保留关系人员部门', '001015006005', '5659200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119827', '2', '99', '1323441314745946144', '单位领导部门', '001015007001', '5659200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857904119828', '2', '99', '1323441314745946144', '非领导职务部门', '001015007002', '5659200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314112', '2', '99', '1323441314745946144', '领导助理部门', '001015007003', '5659200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314118', '2', '99', '1323441314745946144', '黄河西路皇甫支局', '001015007009', '5659200114', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314119', '2', '99', '1323441314745946144', '京开路支局', '001015007010', '5659200115', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314120', '2', '99', '1323441314745946144', '开州路支局', '001015007011', '5659200116', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314121', '2', '99', '1323441314745946144', '昆吾中路支局', '001015007012', '5659200117', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314122', '2', '99', '1323441314745946144', '濮上路支局', '001015007013', '5659200118', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314124', '2', '99', '1323441314745946144', '石化路支局', '001015007015', '5659200120', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314128', '2', '99', '1323441314745946144', '中原西路支局', '001015007019', '5659200124', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314129', '2', '99', '1323441314745946144', '保留关系人员部门', '001015007020', '5659200199', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314130', '2', '99', '1323441314745946144', '寄递事业部', '001015007021', '5659200188', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314131', '2', '99', '1323441314745946145', '单位领导部门', '001015008001', '5659200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314132', '2', '99', '1323441314745946145', '非领导职务部门', '001015008002', '5659200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857908314133', '2', '99', '1323441314745946145', '领导助理部门', '001015008003', '5659200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857912508420', '2', '99', '1323441314745946145', '江汉路支局', '001015008008', '5659200217', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857912508421', '2', '99', '1323441314745946145', '绿城路支局', '001015008009', '5659200218', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857912508424', '2', '99', '1323441314745946145', '天街支局', '001015008012', '5659200221', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857912508426', '2', '99', '1323441314745946145', '中原东路支局', '001015008014', '5659200223', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857912508427', '2', '99', '1323441314745946145', '保留关系人员部门', '001015008015', '5659200299', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857912508431', '2', '99', '1323441314745946145', '寄递事业部', '001015008019', '5659200288', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702732', '2', '99', '1323441314745946147', '单位领导部门', '001016001001', '5660010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702733', '2', '99', '1323441314745946147', '非领导职务部门', '001016001002', '5660010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702734', '2', '99', '1323441314745946147', '领导助理部门', '001016001003', '5660010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702736', '2', '99', '1323441314745946147', '综合办公室（安全保卫部）', '001016001005', '5660010011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702737', '2', '99', '1323441314745946147', '营业班', '001016001006', '5660010012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702738', '2', '99', '1323441314745946147', '东工地支局', '001016001007', '5660010015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857916702740', '2', '99', '1323441314745946147', '新市区支局', '001016001009', '5660010017', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897025', '2', '99', '1323441314745946147', '常村支局', '001016001012', '5660010020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897026', '2', '99', '1323441314745946147', '保留关系人员部门', '001016001013', '5660010099', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897027', '2', '99', '1323441314745946147', '机要室', '001016001014', '566001000401', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897031', '2', '99', '1323441314745946147', '寄递事业部', '001016001018', '5660010088', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897032', '2', '99', '1323441314745946148', '单位领导部门', '001016002001', '5660020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897033', '2', '99', '1323441314745946148', '非领导职务部门', '001016002002', '5660020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897034', '2', '99', '1323441314745946148', '领导助理部门', '001016002003', '5660020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897039', '2', '99', '1323441314745946148', '综合办公室（安全保卫部）', '001016002008', '5660020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857920897040', '2', '99', '1323441314745946148', '营业班', '001016002009', '5660020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091332', '2', '99', '1323441314745946148', '澧泉支局', '001016002020', '5660020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091337', '2', '99', '1323441314745946148', '仰韶大街支局', '001016002025', '5660020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091339', '2', '99', '1323441314745946148', '英豪支局', '001016002027', '5660020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091340', '2', '99', '1323441314745946148', '张村支局', '001016002028', '5660020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091341', '2', '99', '1323441314745946148', '保留关系人员部门', '001016002029', '5660020099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091342', '2', '99', '1323441314745946148', '机要室', '001016002030', '566002000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091343', '2', '99', '1323441314745946148', '寄递事业部', '001016002031', '5660020088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091344', '2', '99', '1323441314745946149', '单位领导部门', '001016003001', '5660030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091345', '2', '99', '1323441314745946149', '非领导职务部门', '001016003002', '5660030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857925091346', '2', '99', '1323441314745946149', '领导助理部门', '001016003003', '5660030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285633', '2', '99', '1323441314745946149', '综合办公室（安全保卫部）', '001016003008', '5660030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285634', '2', '99', '1323441314745946149', '营业班', '001016003009', '5660030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285635', '2', '99', '1323441314745946149', '秦汉路支局', '001016003010', '5660030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285636', '2', '99', '1323441314745946149', '陕州大道支局', '001016003011', '5660030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285640', '2', '99', '1323441314745946149', '甘壕支局', '001016003015', '5660030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285643', '2', '99', '1323441314745946149', '观音堂支局', '001016003018', '5660030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285648', '2', '99', '1323441314745946149', '宜村支局', '001016003023', '5660030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285650', '2', '99', '1323441314745946149', '张村支局', '001016003025', '5660030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285652', '2', '99', '1323441314745946149', '保留关系人员部门', '001016003027', '5660030099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857929285653', '2', '99', '1323441314745946149', '机要室', '001016003028', '566003000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479936', '2', '99', '1323441314745946149', '寄递事业部', '001016003029', '5660030088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479937', '2', '99', '1323441314750140416', '单位领导部门', '001016004001', '5660040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479938', '2', '99', '1323441314750140416', '非领导职务部门', '001016004002', '5660040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479939', '2', '99', '1323441314750140416', '领导助理部门', '001016004003', '5660040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479944', '2', '99', '1323441314750140416', '综合办公室（安全保卫部）', '001016004008', '5660040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479945', '2', '99', '1323441314750140416', '营业班', '001016004009', '5660040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479946', '2', '99', '1323441314750140416', '程村支局', '001016004010', '5660040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479948', '2', '99', '1323441314750140416', '大王支局', '001016004012', '5660040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479949', '2', '99', '1323441314750140416', '故县支局', '001016004013', '5660040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479950', '2', '99', '1323441314750140416', '函谷关支局', '001016004014', '5660040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479951', '2', '99', '1323441314750140416', '建设路支局', '001016004015', '5660040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857933479957', '2', '99', '1323441314750140416', '五亩支局', '001016004021', '5660040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674240', '2', '99', '1323441314750140416', '西闫支局', '001016004022', '5660040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674241', '2', '99', '1323441314750140416', '新灵街支局', '001016004023', '5660040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674243', '2', '99', '1323441314750140416', '阳店支局', '001016004025', '5660040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674245', '2', '99', '1323441314750140416', '尹溪路支局', '001016004027', '5660040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674246', '2', '99', '1323441314750140416', '豫灵支局', '001016004028', '5660040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674247', '2', '99', '1323441314750140416', '朱阳支局', '001016004029', '5660040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674248', '2', '99', '1323441314750140416', '保留关系人员部门', '001016004030', '5660040099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674249', '2', '99', '1323441314750140416', '机要室', '001016004031', '566004000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674251', '2', '99', '1323441314750140416', '寄递事业部', '001016004033', '5660040088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674252', '2', '99', '1323441314750140417', '单位领导部门', '001016005001', '5660050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674253', '2', '99', '1323441314750140417', '非领导职务部门', '001016005002', '5660050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674254', '2', '99', '1323441314750140417', '领导助理部门', '001016005003', '5660050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674259', '2', '99', '1323441314750140417', '综合办公室（安全保卫部）', '001016005008', '5660050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674260', '2', '99', '1323441314750140417', '营业班', '001016005009', '5660050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857937674261', '2', '99', '1323441314750140417', '杜关支局', '001016005010', '5660050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868544', '2', '99', '1323441314750140417', '范里支局', '001016005011', '5660050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868545', '2', '99', '1323441314750140417', '官道口支局', '001016005012', '5660050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868546', '2', '99', '1323441314750140417', '官坡支局', '001016005013', '5660050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868547', '2', '99', '1323441314750140417', '行政路支局', '001016005014', '5660050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868550', '2', '99', '1323441314750140417', '解放路支局', '001016005017', '5660050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868564', '2', '99', '1323441314750140417', '莘源路支局', '001016005031', '5660050078', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857941868565', '2', '99', '1323441314750140417', '保留关系人员部门', '001016005032', '5660050099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062848', '2', '99', '1323441314750140417', '机要室', '001016005033', '566005000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062849', '2', '99', '1323441314750140417', '寄递事业部', '001016005034', '5660050088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062850', '2', '99', '1323441314750140418', '单位领导部门', '001016006001', '5660200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062851', '2', '99', '1323441314750140418', '非领导职务部门', '001016006002', '5660200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062852', '2', '99', '1323441314750140418', '领导助理部门', '001016006003', '5660200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062853', '2', '99', '1323441314750140418', '机要通信分局内设机构（虚拟部门）', '001016006004', '5660200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062854', '2', '99', '1323441314750140418', '保留关系人员部门', '001016006005', '5660200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062855', '2', '99', '1323441314750140419', '单位领导部门', '001016007001', '5660200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062856', '2', '99', '1323441314750140419', '非领导职务部门', '001016007002', '5660200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062857', '2', '99', '1323441314750140419', '领导助理部门', '001016007003', '5660200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062862', '2', '99', '1323441314750140419', '营业班', '001016007008', '5660200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857946062868', '2', '99', '1323441314750140419', '黄河西路支局', '001016007014', '5660200120', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257152', '2', '99', '1323441314750140419', '黄河中路支局', '001016007015', '5660200121', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257153', '2', '99', '1323441314750140419', '火车站支局', '001016007016', '5660200122', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257155', '2', '99', '1323441314750140419', '建设东路支局', '001016007018', '5660200124', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257158', '2', '99', '1323441314750140419', '六峰路支局', '001016007021', '5660200127', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257159', '2', '99', '1323441314750140419', '陕源路支局', '001016007022', '5660200128', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257160', '2', '99', '1323441314750140419', '文明东路支局', '001016007023', '5660200129', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257164', '2', '99', '1323441314750140419', '正和支局', '001016007027', '5660200133', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257166', '2', '99', '1323441314750140419', '保留关系人员部门', '001016007029', '5660200199', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857950257167', '2', '99', '1323441314750140419', '寄递事业部', '001016007030', '5660200188', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857954451475', '2', '99', '1323441314750140421', '单位领导部门', '001017001001', '5661010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857954451476', '2', '99', '1323441314750140421', '非领导职务部门', '001017001002', '5661010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857954451477', '2', '99', '1323441314750140421', '领导助理部门', '001017001003', '5661010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645764', '2', '99', '1323441314750140421', '综合办公室（安全保卫部）', '001017001008', '5661010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645765', '2', '99', '1323441314750140421', '营业班', '001017001009', '5661010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645767', '2', '99', '1323441314750140421', '褚河支局', '001017001011', '5661010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645768', '2', '99', '1323441314750140421', '范坡支局', '001017001012', '5661010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645770', '2', '99', '1323441314750140421', '方山支局', '001017001014', '5661010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645772', '2', '99', '1323441314750140421', '古城支局', '001017001016', '5661010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645773', '2', '99', '1323441314750140421', '郭连支局', '001017001017', '5661010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645775', '2', '99', '1323441314750140421', '花石支局', '001017001019', '5661010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857958645777', '2', '99', '1323441314750140421', '火龙支局', '001017001021', '5661010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840064', '2', '99', '1323441314750140421', '梁北支局', '001017001024', '5661010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840065', '2', '99', '1323441314750140421', '磨街支局', '001017001025', '5661010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840066', '2', '99', '1323441314750140421', '南关支局', '001017001026', '5661010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840069', '2', '99', '1323441314750140421', '商贸支局', '001017001029', '5661010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840070', '2', '99', '1323441314750140421', '神后支局', '001017001030', '5661010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840071', '2', '99', '1323441314750140421', '顺店支局', '001017001031', '5661010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840073', '2', '99', '1323441314750140421', '无梁支局', '001017001033', '5661010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840074', '2', '99', '1323441314750140421', '小吕支局', '001017001034', '5661010040', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840075', '2', '99', '1323441314750140421', '张得支局', '001017001035', '5661010041', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840076', '2', '99', '1323441314750140421', '朱阁支局', '001017001036', '5661010042', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840078', '2', '99', '1323441314750140421', '保留关系人员部门', '001017001038', '5661010099', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840079', '2', '99', '1323441314750140421', '机要室', '001017001039', '566101000401', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840081', '2', '99', '1323441314750140421', '寄递事业部', '001017001041', '5661010088', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840082', '2', '99', '1323441314750140422', '单位领导部门', '001017002001', '5661020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840083', '2', '99', '1323441314750140422', '非领导职务部门', '001017002002', '5661020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857962840084', '2', '99', '1323441314750140422', '领导助理部门', '001017002003', '5661020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034372', '2', '99', '1323441314750140422', '综合办公室（安全保卫部）', '001017002008', '5661020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034373', '2', '99', '1323441314750140422', '营业班', '001017002009', '5661020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034374', '2', '99', '1323441314750140422', '建设北路支局', '001017002010', '5661020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034375', '2', '99', '1323441314750140422', '钟繇路支局', '001017002011', '5661020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034376', '2', '99', '1323441314750140422', '人民路支局', '001017002012', '5661020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034377', '2', '99', '1323441314750140422', '后河支局', '001017002013', '5661020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034378', '2', '99', '1323441314750140422', '坡胡支局', '001017002014', '5661020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034379', '2', '99', '1323441314750140422', '石固支局', '001017002015', '5661020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034380', '2', '99', '1323441314750140422', '佛耳湖镇支局', '001017002016', '5661020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034382', '2', '99', '1323441314750140422', '老城支局', '001017002018', '5661020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034383', '2', '99', '1323441314750140422', '董村支局', '001017002019', '5661020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034384', '2', '99', '1323441314750140422', '石象支局', '001017002020', '5661020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034385', '2', '99', '1323441314750140422', '古桥支局', '001017002021', '5661020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034386', '2', '99', '1323441314750140422', '南席支局', '001017002022', '5661020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857967034387', '2', '99', '1323441314750140422', '建设路支局', '001017002023', '5661020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228674', '2', '99', '1323441314750140422', '保留关系人员部门', '001017002027', '5661020099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228675', '2', '99', '1323441314750140422', '机要室', '001017002028', '566102000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228677', '2', '99', '1323441314750140422', '寄递事业部', '001017002030', '5661020088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228678', '2', '99', '1323441314750140423', '单位领导部门', '001017003001', '5661030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228679', '2', '99', '1323441314750140423', '非领导职务部门', '001017003002', '5661030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228680', '2', '99', '1323441314750140423', '领导助理部门', '001017003003', '5661030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228685', '2', '99', '1323441314750140423', '综合办公室（安全保卫部）', '001017003008', '5661030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228686', '2', '99', '1323441314750140423', '营业班', '001017003009', '5661030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228688', '2', '99', '1323441314750140423', '茨沟支局', '001017003011', '5661030017', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228689', '2', '99', '1323441314750140423', '大十字街支局', '001017003012', '5661030018', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228690', '2', '99', '1323441314750140423', '丁营支局', '001017003013', '5661030019', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228691', '2', '99', '1323441314750140423', '范湖支局', '001017003014', '5661030020', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857971228692', '2', '99', '1323441314750140423', '汾陈支局', '001017003015', '5661030021', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422976', '2', '99', '1323441314750140423', '姜庄支局', '001017003016', '5661030022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422977', '2', '99', '1323441314750140423', '库庄支局', '001017003017', '5661030023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422978', '2', '99', '1323441314750140423', '麦岭支局', '001017003018', '5661030024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422979', '2', '99', '1323441314750140423', '山头店支局', '001017003019', '5661030025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422982', '2', '99', '1323441314750140423', '王洛支局', '001017003022', '5661030028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422984', '2', '99', '1323441314750140423', '颖阳支局', '001017003024', '5661030030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422986', '2', '99', '1323441314750140423', '紫云支局', '001017003026', '5661030032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422987', '2', '99', '1323441314750140423', '保留关系人员部门', '001017003027', '5661030099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422988', '2', '99', '1323441314750140423', '机要室', '001017003028', '566103000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422989', '2', '99', '1323441314750140423', '寄递事业部', '001017003029', '5661030088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422990', '2', '99', '1323441314750140424', '单位领导部门', '001017004001', '5661040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422991', '2', '99', '1323441314750140424', '非领导职务部门', '001017004002', '5661040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857975422992', '2', '99', '1323441314750140424', '领导助理部门', '001017004003', '5661040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617281', '2', '99', '1323441314750140424', '综合办公室（安全保卫部）', '001017004008', '5661040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617282', '2', '99', '1323441314750140424', '营业班', '001017004009', '5661040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617284', '2', '99', '1323441314750140424', '陈曹支局', '001017004011', '5661040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617285', '2', '99', '1323441314750140424', '邓庄支局', '001017004012', '5661040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617286', '2', '99', '1323441314750140424', '桂村支局', '001017004013', '5661040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617288', '2', '99', '1323441314750140424', '蒋李集支局', '001017004015', '5661040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617289', '2', '99', '1323441314750140424', '灵井支局', '001017004016', '5661040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617290', '2', '99', '1323441314750140424', '泉店支局', '001017004017', '5661040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617292', '2', '99', '1323441314750140424', '尚集支局', '001017004019', '5661040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617294', '2', '99', '1323441314750140424', '苏桥支局', '001017004021', '5661040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617295', '2', '99', '1323441314750140424', '五女店支局', '001017004022', '5661040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617296', '2', '99', '1323441314750140424', '小召支局', '001017004023', '5661040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617297', '2', '99', '1323441314750140424', '许由东路支局', '001017004024', '5661040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857979617298', '2', '99', '1323441314750140424', '许由路支局', '001017004025', '5661040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811584', '2', '99', '1323441314750140424', '榆林支局', '001017004026', '5661040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811586', '2', '99', '1323441314750140424', '长村张支局', '001017004028', '5661040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811587', '2', '99', '1323441314750140424', '中心支局', '001017004029', '5661040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811588', '2', '99', '1323441314750140424', '保留关系人员部门', '001017004030', '5661040099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811589', '2', '99', '1323441314750140424', '机要室', '001017004031', '566104000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811591', '2', '99', '1323441314750140424', '寄递事业部', '001017004033', '5661040088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811592', '2', '99', '1323441314750140425', '单位领导部门', '001017005001', '5661050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811593', '2', '99', '1323441314750140425', '非领导职务部门', '001017005002', '5661050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811594', '2', '99', '1323441314750140425', '领导助理部门', '001017005003', '5661050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811599', '2', '99', '1323441314750140425', '综合办公室（安全保卫部）', '001017005008', '5661050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811600', '2', '99', '1323441314750140425', '营业班', '001017005009', '5661050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811601', '2', '99', '1323441314750140425', '柏梁支局', '001017005010', '5661050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811602', '2', '99', '1323441314750140425', '陈化店支局', '001017005011', '5661050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857983811603', '2', '99', '1323441314750140425', '大马支局', '001017005012', '5661050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005888', '2', '99', '1323441314750140425', '花都支局', '001017005013', '5661050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005889', '2', '99', '1323441314750140425', '马坊支局', '001017005014', '5661050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005890', '2', '99', '1323441314750140425', '马栏支局', '001017005015', '5661050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005892', '2', '99', '1323441314750140425', '南坞支局', '001017005017', '5661050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005895', '2', '99', '1323441314750140425', '陶城支局', '001017005020', '5661050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005897', '2', '99', '1323441314750140425', '张桥支局', '001017005022', '5661050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005898', '2', '99', '1323441314750140425', '只乐支局', '001017005023', '5661050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005899', '2', '99', '1323441314750140425', '保留关系人员部门', '001017005024', '5661050099', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005900', '2', '99', '1323441314750140425', '机要室', '001017005025', '566105000401', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005901', '2', '99', '1323441314750140425', '寄递事业部', '001017005026', '5661050088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005902', '2', '99', '1323441314750140426', '单位领导部门', '001017006001', '5661200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005903', '2', '99', '1323441314750140426', '非领导职务部门', '001017006002', '5661200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005904', '2', '99', '1323441314750140426', '领导助理部门', '001017006003', '5661200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005905', '2', '99', '1323441314750140426', '机要通信分局内设机构（虚拟部门）', '001017006004', '5661200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005906', '2', '99', '1323441314750140426', '保留关系人员部门', '001017006005', '5661200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857988005907', '2', '99', '1323441314750140427', '单位领导部门', '001017007001', '5661200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200192', '2', '99', '1323441314750140427', '非领导职务部门', '001017007002', '5661200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200193', '2', '99', '1323441314750140427', '领导助理部门', '001017007003', '5661200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200195', '2', '99', '1323441314750140427', '营业班', '001017007005', '5661200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200198', '2', '99', '1323441314750140427', '七一路支局', '001017007008', '5661200116', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200200', '2', '99', '1323441314750140427', '中心支局', '001017007010', '5661200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200201', '2', '99', '1323441314750140427', '智慧大道支局', '001017007011', '5661200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200202', '2', '99', '1323441314750140427', '保留关系人员部门', '001017007012', '5661200199', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200206', '2', '99', '1323441314750140427', '寄递事业部', '001017007016', '5661200188', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200207', '2', '99', '1323441314750140428', '单位领导部门', '001017008001', '5661200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200208', '2', '99', '1323441314750140428', '非领导职务部门', '001017008002', '5661200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200209', '2', '99', '1323441314750140428', '领导助理部门', '001017008003', '5661200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857992200211', '2', '99', '1323441314750140428', '营业班', '001017008005', '5661200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857996394496', '2', '99', '1323441314750140428', '丞相府支局', '001017008007', '5661200217', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857996394498', '2', '99', '1323441314750140428', '建安路支局', '001017008009', '5661200219', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857996394501', '2', '99', '1323441314750140428', '文峰路支局', '001017008012', '5661200222', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857996394502', '2', '99', '1323441314750140428', '学府街支局', '001017008013', '5661200223', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857996394504', '2', '99', '1323441314750140428', '保留关系人员部门', '001017008015', '5661200299', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441857996394508', '2', '99', '1323441314750140428', '寄递事业部', '001017008019', '5661200288', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858000588813', '2', '99', '1323441314750140430', '单位领导部门', '001018001001', '5662010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858000588814', '2', '99', '1323441314750140430', '非领导职务部门', '001018001002', '5662010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858000588815', '2', '99', '1323441314750140430', '领导助理部门', '001018001003', '5662010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783105', '2', '99', '1323441314750140430', '综合办公室（安全保卫部）', '001018001008', '5662010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783106', '2', '99', '1323441314750140430', '营业班', '001018001009', '5662010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783108', '2', '99', '1323441314750140430', '车站支局', '001018001011', '5662010020', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783109', '2', '99', '1323441314750140430', '城内支局', '001018001012', '5662010021', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783111', '2', '99', '1323441314750140430', '巨陵支局', '001018001014', '5662010023', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783112', '2', '99', '1323441314750140430', '固厢支局', '001018001015', '5662010024', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783113', '2', '99', '1323441314750140430', '石桥支局', '001018001016', '5662010025', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783114', '2', '99', '1323441314750140430', '沃城支局', '001018001017', '5662010026', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783115', '2', '99', '1323441314750140430', '台陈支局', '001018001018', '5662010027', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783116', '2', '99', '1323441314750140430', '皇帝庙支局', '001018001019', '5662010028', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783117', '2', '99', '1323441314750140430', '陈庄支局', '001018001020', '5662010029', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783118', '2', '99', '1323441314750140430', '杜曲支局', '001018001021', '5662010030', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783119', '2', '99', '1323441314750140430', '王孟支局', '001018001022', '5662010031', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783120', '2', '99', '1323441314750140430', '王岗支局', '001018001023', '5662010032', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783121', '2', '99', '1323441314750140430', '瓦店支局', '001018001024', '5662010033', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858004783123', '2', '99', '1323441314750140430', '大郭支局', '001018001026', '5662010035', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977408', '2', '99', '1323441314750140430', '繁城支局', '001018001027', '5662010036', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977409', '2', '99', '1323441314750140430', '保留关系人员部门', '001018001028', '5662010099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977410', '2', '99', '1323441314750140430', '机要室', '001018001029', '566201000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977412', '2', '99', '1323441314750140430', '寄递事业部', '001018001031', '5662010088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977413', '2', '99', '1323441314750140431', '单位领导部门', '001018002001', '5662020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977414', '2', '99', '1323441314750140431', '非领导职务部门', '001018002002', '5662020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977415', '2', '99', '1323441314750140431', '领导助理部门', '001018002003', '5662020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977420', '2', '99', '1323441314750140431', '综合办公室（安全保卫部）', '001018002008', '5662020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977421', '2', '99', '1323441314750140431', '营业班', '001018002009', '5662020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977423', '2', '99', '1323441314750140431', '文峰支局', '001018002011', '5662020020', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977424', '2', '99', '1323441314750140431', '保和支局', '001018002012', '5662020021', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977425', '2', '99', '1323441314750140431', '孟寨支局', '001018002013', '5662020022', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858008977426', '2', '99', '1323441314750140431', '姜店支局', '001018002014', '5662020023', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171712', '2', '99', '1323441314750140431', '章化支局', '001018002015', '5662020024', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171713', '2', '99', '1323441314750140431', '侯集支局', '001018002016', '5662020025', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171714', '2', '99', '1323441314750140431', '太尉支局', '001018002017', '5662020026', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171715', '2', '99', '1323441314750140431', '马村支局', '001018002018', '5662020027', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171716', '2', '99', '1323441314750140431', '北舞渡支局', '001018002019', '5662020028', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171717', '2', '99', '1323441314750140431', '莲花支局', '001018002020', '5662020029', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171718', '2', '99', '1323441314750140431', '九街支局', '001018002021', '5662020030', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171719', '2', '99', '1323441314750140431', '吴城支局', '001018002022', '5662020031', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171721', '2', '99', '1323441314750140431', '保留关系人员部门', '001018002024', '5662020099', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171722', '2', '99', '1323441314750140431', '机要室', '001018002025', '566202000401', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171723', '2', '99', '1323441314750140431', '寄递事业部', '001018002026', '5662020088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171724', '2', '99', '1323441314750140432', '单位领导部门', '001018003001', '5662030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171725', '2', '99', '1323441314750140432', '非领导职务部门', '001018003002', '5662030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858013171726', '2', '99', '1323441314750140432', '领导助理部门', '001018003003', '5662030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366016', '2', '99', '1323441314750140432', '综合办公室（安全保卫部）', '001018003008', '5662030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366017', '2', '99', '1323441314750140432', '营业班', '001018003009', '5662030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366019', '2', '99', '1323441314750140432', '东大街支局', '001018003011', '5662030020', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366020', '2', '99', '1323441314750140432', '孟庙支局', '001018003012', '5662030021', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366021', '2', '99', '1323441314750140432', '李集支局', '001018003013', '5662030022', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366024', '2', '99', '1323441314750140432', '青年支局', '001018003016', '5662030025', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366025', '2', '99', '1323441314750140432', '万金支局', '001018003017', '5662030026', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366026', '2', '99', '1323441314750140432', '邓乡支局', '001018003018', '5662030027', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366027', '2', '99', '1323441314750140432', '老窝支局', '001018003019', '5662030028', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366028', '2', '99', '1323441314750140432', '空冢郭支局', '001018003020', '5662030029', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366029', '2', '99', '1323441314750140432', '大刘支局', '001018003021', '5662030030', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366030', '2', '99', '1323441314750140432', '阴阳赵支局', '001018003022', '5662030031', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366032', '2', '99', '1323441314750140432', '龙城支局', '001018003024', '5662030033', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366033', '2', '99', '1323441314750140432', '新店支局', '001018003025', '5662030034', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366034', '2', '99', '1323441314750140432', '裴城支局', '001018003026', '5662030035', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858017366035', '2', '99', '1323441314750140432', '商桥支局', '001018003027', '5662030036', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560320', '2', '99', '1323441314750140432', '姬石支局', '001018003028', '5662030038', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560321', '2', '99', '1323441314750140432', '保留关系人员部门', '001018003029', '5662030099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560322', '2', '99', '1323441314750140432', '机要室', '001018003030', '566203000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560324', '2', '99', '1323441314750140432', '寄递事业部', '001018003032', '5662030088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560325', '2', '99', '1323441314750140433', '单位领导部门', '001018004001', '5662200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560326', '2', '99', '1323441314750140433', '非领导职务部门', '001018004002', '5662200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560327', '2', '99', '1323441314750140433', '领导助理部门', '001018004003', '5662200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560328', '2', '99', '1323441314750140433', '机要通信分局内设机构（虚拟部门）', '001018004004', '5662200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560329', '2', '99', '1323441314750140433', '保留关系人员部门', '001018004005', '5662200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560330', '2', '99', '1323441314750140434', '单位领导部门', '001018005001', '5662200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560331', '2', '99', '1323441314750140434', '非领导职务部门', '001018005002', '5662200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858021560332', '2', '99', '1323441314750140434', '领导助理部门', '001018005003', '5662200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754625', '2', '99', '1323441314750140434', '老街支局', '001018005011', '5662200118', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754626', '2', '99', '1323441314750140434', '马路街支局', '001018005012', '5662200119', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754627', '2', '99', '1323441314750140434', '嵩山路支局', '001018005013', '5662200120', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754628', '2', '99', '1323441314750140434', '泰山北路支局', '001018005014', '5662200121', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754630', '2', '99', '1323441314750140434', '文化路支局', '001018005016', '5662200123', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754634', '2', '99', '1323441314750140434', '营业班', '001018005020', '5662200127', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754635', '2', '99', '1323441314750140434', '保留关系人员部门', '001018005021', '5662200199', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858025754636', '2', '99', '1323441314750140434', '寄递事业部', '001018005022', '5662200188', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858029948947', '2', '99', '1323441314750140436', '单位领导部门', '001019001001', '5663010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143232', '2', '99', '1323441314750140436', '非领导职务部门', '001019001002', '5663010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143233', '2', '99', '1323441314750140436', '领导助理部门', '001019001003', '5663010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143238', '2', '99', '1323441314750140436', '综合办公室（安全保卫部）', '001019001008', '5663010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143239', '2', '99', '1323441314750140436', '营业班', '001019001009', '5663010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143241', '2', '99', '1323441314750140436', '陈集支局', '001019001011', '5663010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143242', '2', '99', '1323441314750140436', '高庄支局', '001019001012', '5663010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143244', '2', '99', '1323441314750140436', '黄口支局', '001019001014', '5663010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143245', '2', '99', '1323441314750140436', '茴村支局', '001019001015', '5663010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143246', '2', '99', '1323441314750140436', '蒋口支局', '001019001016', '5663010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143247', '2', '99', '1323441314750140436', '李寨支局', '001019001017', '5663010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858034143248', '2', '99', '1323441314750140436', '刘河支局', '001019001018', '5663010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337536', '2', '99', '1323441314750140436', '龙岗支局', '001019001019', '5663010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337538', '2', '99', '1323441314750140436', '马牧支局', '001019001021', '5663010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337539', '2', '99', '1323441314750140436', '马桥支局', '001019001022', '5663010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337543', '2', '99', '1323441314750140436', '裴桥支局', '001019001026', '5663010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337545', '2', '99', '1323441314750140436', '双桥支局', '001019001028', '5663010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337546', '2', '99', '1323441314750140436', '顺和支局', '001019001029', '5663010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337547', '2', '99', '1323441314750140436', '太丘支局', '001019001030', '5663010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337548', '2', '99', '1323441314750140436', '条河支局', '001019001031', '5663010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337552', '2', '99', '1323441314750140436', '薛湖支局', '001019001035', '5663010040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858038337553', '2', '99', '1323441314750140436', '雪枫路支局', '001019001036', '5663010041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531840', '2', '99', '1323441314750140436', '演集支局', '001019001038', '5663010043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531841', '2', '99', '1323441314750140436', '酂城支局', '001019001039', '5663010044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531842', '2', '99', '1323441314750140436', '酂阳支局', '001019001040', '5663010045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531843', '2', '99', '1323441314750140436', '中山路支局', '001019001041', '5663010046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531845', '2', '99', '1323441314750140436', '保留关系人员部门', '001019001043', '5663010099', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531846', '2', '99', '1323441314750140436', '机要室', '001019001044', '566301000401', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531848', '2', '99', '1323441314750140436', '寄递事业部', '001019001046', '5663010088', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531849', '2', '99', '1323441314750140437', '单位领导部门', '001019002001', '5663020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531850', '2', '99', '1323441314750140437', '非领导职务部门', '001019002002', '5663020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531851', '2', '99', '1323441314750140437', '领导助理部门', '001019002003', '5663020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531856', '2', '99', '1323441314750140437', '综合办公室（安全保卫部）', '001019002008', '5663020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858042531857', '2', '99', '1323441314750140437', '营业班', '001019002009', '5663020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726144', '2', '99', '1323441314750140437', '北岭支局', '001019002010', '5663020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726145', '2', '99', '1323441314750140437', '昌盛路支局', '001019002011', '5663020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726147', '2', '99', '1323441314750140437', '车站支局', '001019002013', '5663020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726148', '2', '99', '1323441314750140437', '郭店支局', '001019002014', '5663020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726150', '2', '99', '1323441314750140437', '韩道口镇支局', '001019002016', '5663020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726151', '2', '99', '1323441314750140437', '何营支局', '001019002017', '5663020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726152', '2', '99', '1323441314750140437', '胡桥支局', '001019002018', '5663020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726154', '2', '99', '1323441314750140437', '火店支局', '001019002020', '5663020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726155', '2', '99', '1323441314750140437', '济阳支局', '001019002021', '5663020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726156', '2', '99', '1323441314750140437', '孔庄支局', '001019002022', '5663020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726157', '2', '99', '1323441314750140437', '李集镇支局', '001019002023', '5663020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726160', '2', '99', '1323441314750140437', '骆集支局', '001019002026', '5663020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858046726161', '2', '99', '1323441314750140437', '马头支局', '001019002027', '5663020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920448', '2', '99', '1323441314750140437', '歧河支局', '001019002028', '5663020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920449', '2', '99', '1323441314750140437', '桑固支局', '001019002029', '5663020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920450', '2', '99', '1323441314750140437', '圣源支局', '001019002030', '5663020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920452', '2', '99', '1323441314750140437', '太平支局', '001019002032', '5663020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920453', '2', '99', '1323441314750140437', '王集乡支局', '001019002033', '5663020038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920455', '2', '99', '1323441314750140437', '杨集支局', '001019002035', '5663020040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920456', '2', '99', '1323441314750140437', '业庙支局', '001019002036', '5663020041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920458', '2', '99', '1323441314750140437', '保留关系人员部门', '001019002038', '5663020099', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920459', '2', '99', '1323441314750140437', '机要室', '001019002039', '566302000401', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920461', '2', '99', '1323441314750140437', '寄递事业部', '001019002041', '5663020088', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920462', '2', '99', '1323441314750140438', '单位领导部门', '001019003001', '5663030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920463', '2', '99', '1323441314750140438', '非领导职务部门', '001019003002', '5663030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858050920464', '2', '99', '1323441314750140438', '领导助理部门', '001019003003', '5663030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114755', '2', '99', '1323441314750140438', '综合办公室（安全保卫部）', '001019003008', '5663030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114756', '2', '99', '1323441314750140438', '营业班', '001019003009', '5663030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114758', '2', '99', '1323441314750140438', '大侯支局', '001019003011', '5663030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114759', '2', '99', '1323441314750140438', '店集支局', '001019003012', '5663030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114760', '2', '99', '1323441314750140438', '东郊路支局', '001019003013', '5663030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114761', '2', '99', '1323441314750140438', '杜集支局', '001019003014', '5663030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114762', '2', '99', '1323441314750140438', '府前路支局', '001019003015', '5663030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114763', '2', '99', '1323441314750140438', '谷熟镇支局', '001019003016', '5663030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114764', '2', '99', '1323441314750140438', '黄冢支局', '001019003017', '5663030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114767', '2', '99', '1323441314750140438', '开发区支局', '001019003020', '5663030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114768', '2', '99', '1323441314750140438', '李老家支局', '001019003021', '5663030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858055114769', '2', '99', '1323441314750140438', '利民镇支局', '001019003022', '5663030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309057', '2', '99', '1323441314750140438', '刘集支局', '001019003024', '5663030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309058', '2', '99', '1323441314750140438', '芒种桥支局', '001019003025', '5663030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309060', '2', '99', '1323441314750140438', '乔集支局', '001019003027', '5663030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309063', '2', '99', '1323441314750140438', '沙集支局', '001019003030', '5663030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309064', '2', '99', '1323441314750140438', '稍岗支局', '001019003031', '5663030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309066', '2', '99', '1323441314750140438', '王集支局', '001019003033', '5663030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309069', '2', '99', '1323441314750140438', '杨集镇支局', '001019003036', '5663030041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858059309071', '2', '99', '1323441314750140438', '站集支局', '001019003038', '5663030043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503360', '2', '99', '1323441314750140438', '郑集支局', '001019003041', '5663030046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503361', '2', '99', '1323441314750140438', '界沟镇营业所', '001019003042', '5663030047', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503362', '2', '99', '1323441314750140438', '保留关系人员部门', '001019003043', '5663030099', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503363', '2', '99', '1323441314750140438', '机要室', '001019003044', '566303000401', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503365', '2', '99', '1323441314750140438', '寄递事业部', '001019003046', '5663030088', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503366', '2', '99', '1323441314750140439', '单位领导部门', '001019004001', '5663040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503367', '2', '99', '1323441314750140439', '非领导职务部门', '001019004002', '5663040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503368', '2', '99', '1323441314750140439', '领导助理部门', '001019004003', '5663040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503373', '2', '99', '1323441314750140439', '综合办公室（安全保卫部）', '001019004008', '5663040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503374', '2', '99', '1323441314750140439', '营业班', '001019004009', '5663040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858063503376', '2', '99', '1323441314750140439', '北海路支局', '001019004011', '5663040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697665', '2', '99', '1323441314750140439', '高辛镇支局', '001019004013', '5663040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697666', '2', '99', '1323441314750140439', '观堂支局', '001019004014', '5663040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697667', '2', '99', '1323441314750140439', '郭村镇支局', '001019004015', '5663040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697669', '2', '99', '1323441314750140439', '火车南站支局', '001019004017', '5663040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697670', '2', '99', '1323441314750140439', '勒马乡支局', '001019004018', '5663040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697671', '2', '99', '1323441314750140439', '李口镇支局', '001019004019', '5663040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697672', '2', '99', '1323441314750140439', '李庄支局', '001019004020', '5663040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697674', '2', '99', '1323441314750140439', '刘口镇支局', '001019004022', '5663040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697677', '2', '99', '1323441314750140439', '毛固堆支局', '001019004025', '5663040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697678', '2', '99', '1323441314750140439', '双八镇支局', '001019004026', '5663040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858067697680', '2', '99', '1323441314750140439', '宋集镇支局', '001019004028', '5663040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891968', '2', '99', '1323441314750140439', '孙福集乡支局', '001019004030', '5663040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891970', '2', '99', '1323441314750140439', '坞墙乡支局', '001019004032', '5663040037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891972', '2', '99', '1323441314750140439', '谢集镇支局', '001019004034', '5663040039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891974', '2', '99', '1323441314750140439', '张阁镇支局', '001019004036', '5663040041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891975', '2', '99', '1323441314750140439', '中山路支局', '001019004037', '5663040042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891977', '2', '99', '1323441314750140439', '中山南路支局', '001019004039', '5663040044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891979', '2', '99', '1323441314750140439', '保留关系人员部门', '001019004041', '5663040099', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891980', '2', '99', '1323441314750140439', '机要室', '001019004042', '566304000401', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891982', '2', '99', '1323441314750140439', '寄递事业部', '001019004044', '5663040088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858071891983', '2', '99', '1323441314750140440', '单位领导部门', '001019005001', '5663050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086272', '2', '99', '1323441314750140440', '非领导职务部门', '001019005002', '5663050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086273', '2', '99', '1323441314750140440', '领导助理部门', '001019005003', '5663050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086278', '2', '99', '1323441314750140440', '综合办公室（安全保卫部）', '001019005008', '5663050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086279', '2', '99', '1323441314750140440', '营业班', '001019005009', '5663050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086280', '2', '99', '1323441314750140440', '安平支局', '001019005010', '5663050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086281', '2', '99', '1323441314750140440', '伯岗支局', '001019005011', '5663050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086282', '2', '99', '1323441314750140440', '陈集支局', '001019005012', '5663050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086283', '2', '99', '1323441314750140440', '春水路支局', '001019005013', '5663050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858076086284', '2', '99', '1323441314750140440', '慈圣支局', '001019005014', '5663050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280577', '2', '99', '1323441314750140440', '汇泉路支局', '001019005020', '5663050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280579', '2', '99', '1323441314750140440', '李原支局', '001019005022', '5663050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280582', '2', '99', '1323441314750140440', '起台支局', '001019005025', '5663050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280583', '2', '99', '1323441314750140440', '申桥支局', '001019005026', '5663050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280584', '2', '99', '1323441314750140440', '未来路支局', '001019005027', '5663050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280586', '2', '99', '1323441314750140440', '文庙支局', '001019005029', '5663050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280589', '2', '99', '1323441314750140440', '远襄支局', '001019005032', '5663050037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280591', '2', '99', '1323441314750140440', '中原支局', '001019005034', '5663050039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280592', '2', '99', '1323441314750140440', '保留关系人员部门', '001019005035', '5663050099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858080280593', '2', '99', '1323441314750140440', '机要室', '001019005036', '566305000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474881', '2', '99', '1323441314750140440', '寄递事业部', '001019005038', '5663050088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474882', '2', '99', '1323441314750140441', '单位领导部门', '001019006001', '5663060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474883', '2', '99', '1323441314750140441', '非领导职务部门', '001019006002', '5663060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474884', '2', '99', '1323441314750140441', '领导助理部门', '001019006003', '5663060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474889', '2', '99', '1323441314750140441', '综合办公室（安全保卫部）', '001019006008', '5663060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474890', '2', '99', '1323441314750140441', '营业班', '001019006009', '5663060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474891', '2', '99', '1323441314750140441', '程楼支局', '001019006010', '5663060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474892', '2', '99', '1323441314750140441', '楚庄支局', '001019006011', '5663060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474893', '2', '99', '1323441314750140441', '华堡支局', '001019006012', '5663060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474895', '2', '99', '1323441314750140441', '孔集支局', '001019006014', '5663060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858084474896', '2', '99', '1323441314750140441', '刘楼支局', '001019006015', '5663060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669184', '2', '99', '1323441314750140441', '柳河支局', '001019006016', '5663060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669185', '2', '99', '1323441314750140441', '逻岗支局', '001019006017', '5663060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669187', '2', '99', '1323441314750140441', '石桥支局', '001019006019', '5663060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669189', '2', '99', '1323441314750140441', '新吾路支局', '001019006021', '5663060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669190', '2', '99', '1323441314750140441', '阳驿支局', '001019006022', '5663060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669191', '2', '99', '1323441314750140441', '张弓路支局', '001019006023', '5663060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669193', '2', '99', '1323441314750140441', '赵村支局', '001019006025', '5663060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669194', '2', '99', '1323441314750140441', '保留关系人员部门', '001019006026', '5663060099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669195', '2', '99', '1323441314750140441', '机要室', '001019006027', '566306000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669197', '2', '99', '1323441314750140441', '寄递事业部', '001019006029', '5663060088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669198', '2', '99', '1323441314750140442', '单位领导部门', '001019007001', '5663070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669199', '2', '99', '1323441314750140442', '非领导职务部门', '001019007002', '5663070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858088669200', '2', '99', '1323441314750140442', '领导助理部门', '001019007003', '5663070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863491', '2', '99', '1323441314750140442', '综合办公室（安全保卫部）', '001019007008', '5663070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863492', '2', '99', '1323441314750140442', '营业班', '001019007009', '5663070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863495', '2', '99', '1323441314750140442', '潮庄支局', '001019007012', '5663070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863498', '2', '99', '1323441314750140442', '河集支局', '001019007015', '5663070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863501', '2', '99', '1323441314750140442', '建设路支局', '001019007018', '5663070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863502', '2', '99', '1323441314750140442', '涧岗支局', '001019007019', '5663070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858092863504', '2', '99', '1323441314750140442', '蓼堤支局', '001019007021', '5663070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057792', '2', '99', '1323441314750140442', '平岗支局', '001019007022', '5663070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057793', '2', '99', '1323441314750140442', '尚屯支局', '001019007023', '5663070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057795', '2', '99', '1323441314750140442', '孙聚寨支局', '001019007025', '5663070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057796', '2', '99', '1323441314750140442', '西陵支局', '001019007026', '5663070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057798', '2', '99', '1323441314750140442', '袁山路支局', '001019007028', '5663070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057800', '2', '99', '1323441314750140442', '周堂支局', '001019007030', '5663070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057801', '2', '99', '1323441314750140442', '保留关系人员部门', '001019007031', '5663070099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057802', '2', '99', '1323441314750140442', '机要室', '001019007032', '566307000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057804', '2', '99', '1323441314750140442', '寄递事业部', '001019007034', '5663070088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057805', '2', '99', '1323441314750140443', '单位领导部门', '001019008001', '5663080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057806', '2', '99', '1323441314750140443', '非领导职务部门', '001019008002', '5663080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858097057807', '2', '99', '1323441314750140443', '领导助理部门', '001019008003', '5663080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252099', '2', '99', '1323441314750140443', '综合办公室（安全保卫部）', '001019008008', '5663080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252100', '2', '99', '1323441314750140443', '营业班', '001019008009', '5663080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252101', '2', '99', '1323441314750140443', '白云寺镇支局', '001019008010', '5663080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252102', '2', '99', '1323441314750140443', '北关支局', '001019008011', '5663080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252103', '2', '99', '1323441314750140443', '伯党支局', '001019008012', '5663080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252104', '2', '99', '1323441314750140443', '程庄支局', '001019008013', '5663080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252106', '2', '99', '1323441314750140443', '东关支局', '001019008015', '5663080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858101252111', '2', '99', '1323441314750140443', '林七支局', '001019008020', '5663080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446400', '2', '99', '1323441314750140443', '人和支局', '001019008022', '5663080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446401', '2', '99', '1323441314750140443', '人民路支局', '001019008023', '5663080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446404', '2', '99', '1323441314750140443', '王桥支局', '001019008026', '5663080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446408', '2', '99', '1323441314750140443', '庄子支局', '001019008030', '5663080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446409', '2', '99', '1323441314750140443', '保留关系人员部门', '001019008031', '5663080099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446410', '2', '99', '1323441314750140443', '机要室', '001019008032', '566308000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446412', '2', '99', '1323441314750140443', '寄递事业部', '001019008034', '5663080088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446413', '2', '99', '1323441314750140444', '单位领导部门', '001019009001', '5663200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446414', '2', '99', '1323441314750140444', '非领导职务部门', '001019009002', '5663200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858105446415', '2', '99', '1323441314750140444', '领导助理部门', '001019009003', '5663200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640704', '2', '99', '1323441314750140444', '机要通信分局内设机构（虚拟部门）', '001019009004', '5663200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640705', '2', '99', '1323441314750140444', '保留关系人员部门', '001019009005', '5663200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640706', '2', '99', '1323441314750140445', '单位领导部门', '001019010001', '5663200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640707', '2', '99', '1323441314750140445', '非领导职务部门', '001019010002', '5663200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640708', '2', '99', '1323441314750140445', '领导助理部门', '001019010003', '5663200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640713', '2', '99', '1323441314750140445', '营业班', '001019010008', '5663200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640717', '2', '99', '1323441314750140445', '府前支局', '001019010012', '5663200118', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640718', '2', '99', '1323441314750140445', '凯旋路曙光支局', '001019010013', '5663200119', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640719', '2', '99', '1323441314750140445', '凯旋路支局', '001019010014', '5663200120', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858109640720', '2', '99', '1323441314750140445', '凯旋南路支局', '001019010015', '5663200121', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858113835008', '2', '99', '1323441314750140445', '民主东路支局', '001019010016', '5663200122', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858113835009', '2', '99', '1323441314750140445', '民主西路支局', '001019010017', '5663200123', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858113835010', '2', '99', '1323441314750140445', '胜利路支局', '001019010018', '5663200124', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858113835011', '2', '99', '1323441314750140445', '文化东路支局', '001019010019', '5663200125', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858113835019', '2', '99', '1323441314750140445', '睢阳区长江路支局', '001019010027', '5663200133', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858118029312', '2', '99', '1323441314750140445', '保留关系人员部门', '001019010032', '5663200199', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858118029313', '2', '99', '1323441314750140445', '寄递事业部', '001019010033', '5663200188', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858122223627', '2', '99', '1323441314750140447', '单位领导部门', '001020001001', '5664010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858122223628', '2', '99', '1323441314750140447', '非领导职务部门', '001020001002', '5664010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858122223629', '2', '99', '1323441314750140447', '领导助理部门', '001020001003', '5664010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417920', '2', '99', '1323441314750140447', '综合办公室（安全保卫部）', '001020001008', '5664010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417921', '2', '99', '1323441314750140447', '营业班', '001020001009', '5664010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417922', '2', '99', '1323441314750140447', '城关支局', '001020001010', '5664010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417923', '2', '99', '1323441314750140447', '丁集支局', '001020001011', '5664010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417924', '2', '99', '1323441314750140447', '范集支局', '001020001012', '5664010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417925', '2', '99', '1323441314750140447', '付集支局', '001020001013', '5664010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417926', '2', '99', '1323441314750140447', '高寺支局', '001020001014', '5664010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417927', '2', '99', '1323441314750140447', '官会支局', '001020001015', '5664010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417928', '2', '99', '1323441314750140447', '环城路支局', '001020001016', '5664010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417929', '2', '99', '1323441314750140447', '贾岭支局', '001020001017', '5664010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417930', '2', '99', '1323441314750140447', '李寨支局', '001020001018', '5664010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417932', '2', '99', '1323441314750140447', '孙店支局', '001020001020', '5664010026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417933', '2', '99', '1323441314750140447', '王明口支局', '001020001021', '5664010027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858126417934', '2', '99', '1323441314750140447', '市局营业支局', '001020001022', '5664010028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612224', '2', '99', '1323441314750140447', '新桥支局', '001020001024', '5664010030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612225', '2', '99', '1323441314750140447', '永丰支局', '001020001025', '5664010031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612226', '2', '99', '1323441314750140447', '郑郭支局', '001020001026', '5664010032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612227', '2', '99', '1323441314750140447', '三店支局', '001020001027', '5664010033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612228', '2', '99', '1323441314750140447', '保留关系人员部门', '001020001028', '5664010099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612229', '2', '99', '1323441314750140447', '机要室', '001020001029', '566401000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612231', '2', '99', '1323441314750140447', '寄递事业部', '001020001031', '5664010088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612232', '2', '99', '1323441314750140448', '单位领导部门', '001020002001', '5664020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612233', '2', '99', '1323441314750140448', '非领导职务部门', '001020002002', '5664020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612234', '2', '99', '1323441314750140448', '领导助理部门', '001020002003', '5664020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858130612239', '2', '99', '1323441314750140448', '综合办公室（安全保卫部）', '001020002008', '5664020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806528', '2', '99', '1323441314750140448', '营业班', '001020002009', '5664020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806529', '2', '99', '1323441314750140448', '巴村支局', '001020002010', '5664020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806530', '2', '99', '1323441314750140448', '白寺支局', '001020002011', '5664020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806531', '2', '99', '1323441314750140448', '备战路支局', '001020002012', '5664020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806534', '2', '99', '1323441314750140448', '邓城支局', '001020002015', '5664020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806535', '2', '99', '1323441314750140448', '固墙支局', '001020002016', '5664020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806539', '2', '99', '1323441314750140448', '黄寨支局', '001020002020', '5664020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806540', '2', '99', '1323441314750140448', '李埠口支局', '001020002021', '5664020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806541', '2', '99', '1323441314750140448', '练集支局', '001020002022', '5664020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806542', '2', '99', '1323441314750140448', '平店支局', '001020002023', '5664020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858134806543', '2', '99', '1323441314750140448', '舒庄支局', '001020002024', '5664020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000832', '2', '99', '1323441314750140448', '谭庄支局', '001020002025', '5664020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000834', '2', '99', '1323441314750140448', '位集支局', '001020002027', '5664020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000835', '2', '99', '1323441314750140448', '姚集支局', '001020002028', '5664020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000838', '2', '99', '1323441314750140448', '张明支局', '001020002031', '5664020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000839', '2', '99', '1323441314750140448', '张庄支局', '001020002032', '5664020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000840', '2', '99', '1323441314750140448', '保留关系人员部门', '001020002033', '5664020099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000841', '2', '99', '1323441314750140448', '机要室', '001020002034', '566402000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000843', '2', '99', '1323441314750140448', '寄递事业部', '001020002036', '5664020088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000844', '2', '99', '1323441314750140449', '单位领导部门', '001020003001', '5664030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000845', '2', '99', '1323441314750140449', '非领导职务部门', '001020003002', '5664030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858139000846', '2', '99', '1323441314750140449', '领导助理部门', '001020003003', '5664030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195138', '2', '99', '1323441314750140449', '综合办公室（安全保卫部）', '001020003008', '5664030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195139', '2', '99', '1323441314750140449', '营业班', '001020003009', '5664030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195140', '2', '99', '1323441314750140449', '白集支局', '001020003010', '5664030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195142', '2', '99', '1323441314750140449', '卞路口支局', '001020003012', '5664030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195143', '2', '99', '1323441314750140449', '城关支局', '001020003013', '5664030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195144', '2', '99', '1323441314750140449', '范营支局', '001020003014', '5664030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195145', '2', '99', '1323441314750140449', '冯营支局', '001020003015', '5664030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195147', '2', '99', '1323441314750140449', '颖河（商贸城）支局', '001020003017', '5664030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195148', '2', '99', '1323441314750140449', '洪山支局', '001020003018', '5664030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195149', '2', '99', '1323441314750140449', '李老庄支局', '001020003019', '5664030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858143195150', '2', '99', '1323441314750140449', '莲池支局', '001020003020', '5664030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389440', '2', '99', '1323441314750140449', '刘湾支局', '001020003021', '5664030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389441', '2', '99', '1323441314750140449', '刘庄店支局', '001020003022', '5664030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389442', '2', '99', '1323441314750140449', '留福支局', '001020003023', '5664030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389443', '2', '99', '1323441314750140449', '石槽支局', '001020003024', '5664030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389445', '2', '99', '1323441314750140449', '新华街支局', '001020003026', '5664030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389446', '2', '99', '1323441314750140449', '新集支局', '001020003027', '5664030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389447', '2', '99', '1323441314750140449', '邢庄支局', '001020003028', '5664030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389448', '2', '99', '1323441314750140449', '北杨集支局', '001020003029', '5664030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389449', '2', '99', '1323441314750140449', '闸南支局', '001020003030', '5664030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389450', '2', '99', '1323441314750140449', '赵德营支局', '001020003031', '5664030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389451', '2', '99', '1323441314750140449', '纸店支局', '001020003032', '5664030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389452', '2', '99', '1323441314750140449', '周营支局', '001020003033', '5664030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389453', '2', '99', '1323441314750140449', '保留关系人员部门', '001020003034', '5664030099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858147389454', '2', '99', '1323441314750140449', '机要室', '001020003035', '566403000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583744', '2', '99', '1323441314750140449', '寄递事业部', '001020003037', '5664030088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583745', '2', '99', '1323441314750140450', '单位领导部门', '001020004001', '5664040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583746', '2', '99', '1323441314750140450', '非领导职务部门', '001020004002', '5664040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583747', '2', '99', '1323441314750140450', '领导助理部门', '001020004003', '5664040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583752', '2', '99', '1323441314750140450', '综合办公室（安全保卫部）', '001020004008', '5664040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583753', '2', '99', '1323441314750140450', '营业班', '001020004009', '5664040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583754', '2', '99', '1323441314750140450', '板桥支局', '001020004010', '5664040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583755', '2', '99', '1323441314750140450', '常营支局', '001020004011', '5664040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583756', '2', '99', '1323441314750140450', '城关支局', '001020004012', '5664040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858151583758', '2', '99', '1323441314750140450', '大许寨支局', '001020004014', '5664040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778048', '2', '99', '1323441314750140450', '中心支局', '001020004015', '5664040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778049', '2', '99', '1323441314750140450', '独塘支局', '001020004016', '5664040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778050', '2', '99', '1323441314750140450', '符草楼支局', '001020004017', '5664040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778052', '2', '99', '1323441314750140450', '高贤支局', '001020004019', '5664040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778055', '2', '99', '1323441314750140450', '马厂支局', '001020004022', '5664040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778056', '2', '99', '1323441314750140450', '马头支局', '001020004023', '5664040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778058', '2', '99', '1323441314750140450', '清集支局', '001020004025', '5664040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778059', '2', '99', '1323441314750140450', '王集支局', '001020004026', '5664040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778060', '2', '99', '1323441314750140450', '五里口支局', '001020004027', '5664040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778061', '2', '99', '1323441314750140450', '西关支局', '001020004028', '5664040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778062', '2', '99', '1323441314750140450', '逊母口支局', '001020004029', '5664040035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858155778063', '2', '99', '1323441314750140450', '杨庙支局', '001020004030', '5664040036', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972352', '2', '99', '1323441314750140450', '张集支局', '001020004031', '5664040037', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972353', '2', '99', '1323441314750140450', '芝麻洼支局', '001020004032', '5664040038', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972354', '2', '99', '1323441314750140450', '朱口支局', '001020004033', '5664040039', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972356', '2', '99', '1323441314750140450', '保留关系人员部门', '001020004035', '5664040099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972357', '2', '99', '1323441314750140450', '机要室', '001020004036', '566404000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972359', '2', '99', '1323441314750140450', '寄递事业部', '001020004038', '5664040088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972360', '2', '99', '1323441314750140451', '单位领导部门', '001020005001', '5664050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972361', '2', '99', '1323441314750140451', '非领导职务部门', '001020005002', '5664050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972362', '2', '99', '1323441314750140451', '领导助理部门', '001020005003', '5664050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858159972367', '2', '99', '1323441314750140451', '综合办公室（安全保卫部）', '001020005008', '5664050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166656', '2', '99', '1323441314750140451', '营业班', '001020005009', '5664050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166657', '2', '99', '1323441314750140451', '艾岗支局', '001020005010', '5664050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166663', '2', '99', '1323441314750140451', '东夏支局', '001020005016', '5664050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166664', '2', '99', '1323441314750140451', '泛区支局', '001020005017', '5664050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166665', '2', '99', '1323441314750140451', '奉母支局', '001020005018', '5664050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166666', '2', '99', '1323441314750140451', '红花支局', '001020005019', '5664050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166667', '2', '99', '1323441314750140451', '黄桥支局', '001020005020', '5664050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166668', '2', '99', '1323441314750140451', '箕城南路支局', '001020005021', '5664050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858164166669', '2', '99', '1323441314750140451', '李大庄支局', '001020005022', '5664050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360960', '2', '99', '1323441314750140451', '聂堆支局', '001020005023', '5664050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360961', '2', '99', '1323441314750140451', '皮营支局', '001020005024', '5664050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360962', '2', '99', '1323441314750140451', '清河驿支局', '001020005025', '5664050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360963', '2', '99', '1323441314750140451', '西华营支局', '001020005026', '5664050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360964', '2', '99', '1323441314750140451', '西夏支局', '001020005027', '5664050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360965', '2', '99', '1323441314750140451', '逍遥支局', '001020005028', '5664050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360966', '2', '99', '1323441314750140451', '址坊支局', '001020005029', '5664050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360967', '2', '99', '1323441314750140451', '五二支局', '001020005030', '5664050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360968', '2', '99', '1323441314750140451', '东王营支局', '001020005031', '5664050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360969', '2', '99', '1323441314750140451', '保留关系人员部门', '001020005032', '5664050099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360970', '2', '99', '1323441314750140451', '机要室', '001020005033', '566405000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360972', '2', '99', '1323441314750140451', '寄递事业部', '001020005035', '5664050088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360973', '2', '99', '1323441314750140452', '单位领导部门', '001020006001', '5664060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858168360974', '2', '99', '1323441314750140452', '非领导职务部门', '001020006002', '5664060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555264', '2', '99', '1323441314750140452', '领导助理部门', '001020006003', '5664060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555269', '2', '99', '1323441314750140452', '综合办公室（安全保卫部）', '001020006008', '5664060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555270', '2', '99', '1323441314750140452', '营业班', '001020006009', '5664060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555272', '2', '99', '1323441314750140452', '白马支局', '001020006011', '5664060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555273', '2', '99', '1323441314750140452', '城郊支局', '001020006012', '5664060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555274', '2', '99', '1323441314750140452', '丁村支局', '001020006013', '5664060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555275', '2', '99', '1323441314750140452', '东风支局', '001020006014', '5664060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555276', '2', '99', '1323441314750140452', '胡集支局', '001020006015', '5664060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555277', '2', '99', '1323441314750140452', '虎岗支局', '001020006016', '5664060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555278', '2', '99', '1323441314750140452', '汲水支局', '001020006017', '5664060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858172555279', '2', '99', '1323441314750140452', '汲冢支局', '001020006018', '5664060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749568', '2', '99', '1323441314750140452', '交通路支局', '001020006019', '5664060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749569', '2', '99', '1323441314750140452', '李楼支局', '001020006020', '5664060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749571', '2', '99', '1323441314750140452', '宁平支局', '001020006022', '5664060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749572', '2', '99', '1323441314750140452', '钱店支局', '001020006023', '5664060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749573', '2', '99', '1323441314750140452', '秋渠支局', '001020006024', '5664060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749574', '2', '99', '1323441314750140452', '石槽支局', '001020006025', '5664060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749575', '2', '99', '1323441314750140452', '双楼支局', '001020006026', '5664060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749576', '2', '99', '1323441314750140452', '吴台支局', '001020006027', '5664060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749578', '2', '99', '1323441314750140452', '宜路支局', '001020006029', '5664060034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858176749579', '2', '99', '1323441314750140452', '张完支局', '001020006030', '5664060035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943872', '2', '99', '1323441314750140452', '保留关系人员部门', '001020006033', '5664060099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943873', '2', '99', '1323441314750140452', '机要室', '001020006034', '566406000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943875', '2', '99', '1323441314750140452', '寄递事业部', '001020006036', '5664060088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943876', '2', '99', '1323441314750140453', '单位领导部门', '001020007001', '5664070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943877', '2', '99', '1323441314750140453', '非领导职务部门', '001020007002', '5664070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943878', '2', '99', '1323441314750140453', '领导助理部门', '001020007003', '5664070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943883', '2', '99', '1323441314750140453', '综合办公室（安全保卫部）', '001020007008', '5664070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943884', '2', '99', '1323441314750140453', '营业班', '001020007009', '5664070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943885', '2', '99', '1323441314750140453', '白潭支局', '001020007010', '5664070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858180943886', '2', '99', '1323441314750140453', '包屯支局', '001020007011', '5664070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138176', '2', '99', '1323441314750140453', '汴岗支局', '001020007012', '5664070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138177', '2', '99', '1323441314750140453', '曹里支局', '001020007013', '5664070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138178', '2', '99', '1323441314750140453', '柴岗支局', '001020007014', '5664070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138179', '2', '99', '1323441314750140453', '城关镇支局', '001020007015', '5664070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138181', '2', '99', '1323441314750140453', '崔桥支局', '001020007017', '5664070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138182', '2', '99', '1323441314750140453', '大李庄支局', '001020007018', '5664070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138183', '2', '99', '1323441314750140453', '大新支局', '001020007019', '5664070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138184', '2', '99', '1323441314750140453', '古城支局', '001020007020', '5664070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138185', '2', '99', '1323441314750140453', '江村支局', '001020007021', '5664070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138187', '2', '99', '1323441314750140453', '练寺支局', '001020007023', '5664070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138188', '2', '99', '1323441314750140453', '吕潭支局', '001020007024', '5664070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858185138190', '2', '99', '1323441314750140453', '综合营业厅', '001020007026', '5664070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332480', '2', '99', '1323441314750140453', '保留关系人员部门', '001020007027', '5664070099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332481', '2', '99', '1323441314750140453', '机要室', '001020007028', '566407000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332483', '2', '99', '1323441314750140453', '寄递事业部', '001020007030', '5664070088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332484', '2', '99', '1323441314750140454', '单位领导部门', '001020008001', '5664080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332485', '2', '99', '1323441314750140454', '非领导职务部门', '001020008002', '5664080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332486', '2', '99', '1323441314750140454', '领导助理部门', '001020008003', '5664080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332491', '2', '99', '1323441314750140454', '综合办公室（安全保卫部）', '001020008008', '5664080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858189332492', '2', '99', '1323441314750140454', '营业班', '001020008009', '5664080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526784', '2', '99', '1323441314750140454', '北关支局', '001020008010', '5664080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526785', '2', '99', '1323441314750140454', '高集支局', '001020008011', '5664080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526786', '2', '99', '1323441314750140454', '观堂支局', '001020008012', '5664080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526787', '2', '99', '1323441314750140454', '贾滩支局', '001020008013', '5664080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526788', '2', '99', '1323441314750140454', '马铺支局', '001020008014', '5664080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526790', '2', '99', '1323441314750140454', '邱集支局', '001020008016', '5664080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526791', '2', '99', '1323441314750140454', '任集支局', '001020008017', '5664080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526792', '2', '99', '1323441314750140454', '生铁冢支局', '001020008018', '5664080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526794', '2', '99', '1323441314750140454', '太清宫支局', '001020008020', '5664080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526795', '2', '99', '1323441314750140454', '唐集支局', '001020008021', '5664080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526796', '2', '99', '1323441314750140454', '王皮留支局', '001020008022', '5664080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858193526798', '2', '99', '1323441314750140454', '辛集支局', '001020008024', '5664080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721088', '2', '99', '1323441314750140454', '玄武支局', '001020008025', '5664080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721089', '2', '99', '1323441314750140454', '杨湖口支局', '001020008026', '5664080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721091', '2', '99', '1323441314750140454', '枣集支局', '001020008028', '5664080033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721092', '2', '99', '1323441314750140454', '张店支局', '001020008029', '5664080034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721093', '2', '99', '1323441314750140454', '赵村支局', '001020008030', '5664080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721094', '2', '99', '1323441314750140454', '郑集支局', '001020008031', '5664080036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721095', '2', '99', '1323441314750140454', '保留关系人员部门', '001020008032', '5664080099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721096', '2', '99', '1323441314750140454', '机要室', '001020008033', '566408000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721098', '2', '99', '1323441314750140454', '寄递事业部', '001020008035', '5664080088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721099', '2', '99', '1323441314750140455', '单位领导部门', '001020009001', '5664090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721100', '2', '99', '1323441314750140455', '非领导职务部门', '001020009002', '5664090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858197721101', '2', '99', '1323441314750140455', '领导助理部门', '001020009003', '5664090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915394', '2', '99', '1323441314750140455', '综合办公室（安全保卫部）', '001020009008', '5664090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915395', '2', '99', '1323441314750140455', '营业班', '001020009009', '5664090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915396', '2', '99', '1323441314750140455', '安岭支局', '001020009010', '5664090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915398', '2', '99', '1323441314750140455', '搬口支局', '001020009012', '5664090017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915399', '2', '99', '1323441314750140455', '北关支局', '001020009013', '5664090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915401', '2', '99', '1323441314750140455', '大连支局', '001020009015', '5664090020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915402', '2', '99', '1323441314750140455', '豆门支局', '001020009016', '5664090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915403', '2', '99', '1323441314750140455', '冯塘支局', '001020009017', '5664090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915404', '2', '99', '1323441314750140455', '葛店支局', '001020009018', '5664090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915405', '2', '99', '1323441314750140455', '黄集支局', '001020009019', '5664090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858201915406', '2', '99', '1323441314750140455', '临蔡支局', '001020009020', '5664090025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109696', '2', '99', '1323441314750140455', '刘振屯支局', '001020009021', '5664090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109697', '2', '99', '1323441314750140455', '鲁台支局', '001020009022', '5664090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109698', '2', '99', '1323441314750140455', '齐老支局', '001020009023', '5664090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109699', '2', '99', '1323441314750140455', '四通镇支局', '001020009024', '5664090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109700', '2', '99', '1323441314750140455', '王店支局', '001020009025', '5664090030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109701', '2', '99', '1323441314750140455', '大同支局', '001020009026', '5664090031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109702', '2', '99', '1323441314750140455', '新华大街支局', '001020009027', '5664090032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109703', '2', '99', '1323441314750140455', '新站支局', '001020009028', '5664090033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109704', '2', '99', '1323441314750140455', '许湾支局', '001020009029', '5664090034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109705', '2', '99', '1323441314750140455', '郑集支局', '001020009030', '5664090035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109707', '2', '99', '1323441314750140455', '保留关系人员部门', '001020009032', '5664090099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109708', '2', '99', '1323441314750140455', '机要室', '001020009033', '566409000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858206109710', '2', '99', '1323441314750140455', '寄递事业部', '001020009035', '5664090088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304000', '2', '99', '1323441314754334720', '单位领导部门', '001020010001', '5664200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304001', '2', '99', '1323441314754334720', '非领导职务部门', '001020010002', '5664200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304002', '2', '99', '1323441314754334720', '领导助理部门', '001020010003', '5664200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304003', '2', '99', '1323441314754334720', '机要通信分局内设机构（虚拟部门）', '001020010004', '5664200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304004', '2', '99', '1323441314754334720', '保留关系人员部门', '001020010005', '5664200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304005', '2', '99', '1323441314754334721', '单位领导部门', '001020011001', '5664200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304006', '2', '99', '1323441314754334721', '非领导职务部门', '001020011002', '5664200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304007', '2', '99', '1323441314754334721', '领导助理部门', '001020011003', '5664200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304009', '2', '99', '1323441314754334721', '营业班', '001020011005', '5664200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858210304010', '2', '99', '1323441314754334721', '北花园支局', '001020011006', '5664200115', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858214498307', '2', '99', '1323441314754334721', '汉阳路支局', '001020011013', '5664200122', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858214498308', '2', '99', '1323441314754334721', '车站路支局', '001020011014', '5664200123', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858214498309', '2', '99', '1323441314754334721', '保留关系人员部门', '001020011015', '5664200199', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858214498313', '2', '99', '1323441314754334721', '寄递事业部', '001020011019', '5664200188', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858222886916', '2', '99', '1323441314754334723', '单位领导部门', '001021001001', '5665010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858222886917', '2', '99', '1323441314754334723', '非领导职务部门', '001021001002', '5665010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858222886918', '2', '99', '1323441314754334723', '领导助理部门', '001021001003', '5665010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858222886923', '2', '99', '1323441314754334723', '综合办公室（安全保卫部）', '001021001008', '5665010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858222886924', '2', '99', '1323441314754334723', '营业班', '001021001009', '5665010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081217', '2', '99', '1323441314754334723', '春水支局', '001021001011', '5665010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081218', '2', '99', '1323441314754334723', '第一支局', '001021001012', '5665010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081219', '2', '99', '1323441314754334723', '付庄支局', '001021001013', '5665010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081220', '2', '99', '1323441314754334723', '高店支局', '001021001014', '5665010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081222', '2', '99', '1323441314754334723', '官庄支局', '001021001016', '5665010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081223', '2', '99', '1323441314754334723', '郭集支局', '001021001017', '5665010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081226', '2', '99', '1323441314754334723', '贾楼支局', '001021001020', '5665010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081228', '2', '99', '1323441314754334723', '马谷田支局', '001021001022', '5665010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858227081229', '2', '99', '1323441314754334723', '盘古支局', '001021001023', '5665010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275520', '2', '99', '1323441314754334723', '沙河店支局', '001021001024', '5665010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275521', '2', '99', '1323441314754334723', '赊湾支局', '001021001025', '5665010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275522', '2', '99', '1323441314754334723', '双庙支局', '001021001026', '5665010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275523', '2', '99', '1323441314754334723', '泰山庙支局', '001021001027', '5665010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275524', '2', '99', '1323441314754334723', '铜山支局', '001021001028', '5665010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275526', '2', '99', '1323441314754334723', '下碑寺支局', '001021001030', '5665010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275527', '2', '99', '1323441314754334723', '象河支局', '001021001031', '5665010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275528', '2', '99', '1323441314754334723', '羊册支局', '001021001032', '5665010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275529', '2', '99', '1323441314754334723', '杨家集支局', '001021001033', '5665010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275530', '2', '99', '1323441314754334723', '保留关系人员部门', '001021001034', '5665010099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275531', '2', '99', '1323441314754334723', '机要室', '001021001035', '566501000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275533', '2', '99', '1323441314754334723', '寄递事业部', '001021001037', '5665010088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858231275534', '2', '99', '1323441314754334724', '单位领导部门', '001021002001', '5665020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858235469824', '2', '99', '1323441314754334724', '非领导职务部门', '001021002002', '5665020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858235469825', '2', '99', '1323441314754334724', '领导助理部门', '001021002003', '5665020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858235469830', '2', '99', '1323441314754334724', '综合办公室（安全保卫部）', '001021002008', '5665020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858235469831', '2', '99', '1323441314754334724', '营业班', '001021002009', '5665020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858235469832', '2', '99', '1323441314754334724', '爱民路支局', '001021002010', '5665020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858235469835', '2', '99', '1323441314754334724', '建设路支局', '001021002013', '5665020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664128', '2', '99', '1323441314754334724', '刘店支局', '001021002016', '5665020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664129', '2', '99', '1323441314754334724', '留庄支局', '001021002017', '5665020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664130', '2', '99', '1323441314754334724', '普会寺支局', '001021002018', '5665020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664131', '2', '99', '1323441314754334724', '任店支局', '001021002019', '5665020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664134', '2', '99', '1323441314754334724', '双河支局', '001021002022', '5665020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664135', '2', '99', '1323441314754334724', '顺山店支局', '001021002023', '5665020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664139', '2', '99', '1323441314754334724', '新生街支局', '001021002027', '5665020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664141', '2', '99', '1323441314754334724', '蚁蜂支局', '001021002029', '5665020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858239664142', '2', '99', '1323441314754334724', '竹沟支局', '001021002030', '5665020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858432', '2', '99', '1323441314754334724', '保留关系人员部门', '001021002031', '5665020099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858433', '2', '99', '1323441314754334724', '机要室', '001021002032', '566502000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858435', '2', '99', '1323441314754334724', '寄递事业部', '001021002034', '5665020088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858436', '2', '99', '1323441314754334725', '单位领导部门', '001021003001', '5665030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858437', '2', '99', '1323441314754334725', '非领导职务部门', '001021003002', '5665030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858438', '2', '99', '1323441314754334725', '领导助理部门', '001021003003', '5665030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858443', '2', '99', '1323441314754334725', '综合办公室（安全保卫部）', '001021003008', '5665030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858444', '2', '99', '1323441314754334725', '营业班', '001021003009', '5665030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858445', '2', '99', '1323441314754334725', '大林支局', '001021003010', '5665030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858243858446', '2', '99', '1323441314754334725', '陡沟支局', '001021003011', '5665030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052737', '2', '99', '1323441314754334725', '寒冻支局', '001021003013', '5665030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052738', '2', '99', '1323441314754334725', '兰青支局', '001021003014', '5665030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052743', '2', '99', '1323441314754334725', '皮店支局', '001021003019', '5665030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052744', '2', '99', '1323441314754334725', '汝南埠支局', '001021003020', '5665030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052746', '2', '99', '1323441314754334725', '铜钟支局', '001021003022', '5665030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052747', '2', '99', '1323441314754334725', '王勿桥支局', '001021003023', '5665030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858248052749', '2', '99', '1323441314754334725', '新建街支局', '001021003025', '5665030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247040', '2', '99', '1323441314754334725', '新阮店支局', '001021003026', '5665030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247045', '2', '99', '1323441314754334725', '岳城支局', '001021003031', '5665030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247047', '2', '99', '1323441314754334725', '保留关系人员部门', '001021003033', '5665030099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247048', '2', '99', '1323441314754334725', '机要室', '001021003034', '566503000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247050', '2', '99', '1323441314754334725', '寄递事业部', '001021003036', '5665030088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247051', '2', '99', '1323441314754334726', '单位领导部门', '001021004001', '5665040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247052', '2', '99', '1323441314754334726', '非领导职务部门', '001021004002', '5665040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858252247053', '2', '99', '1323441314754334726', '领导助理部门', '001021004003', '5665040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858256441348', '2', '99', '1323441314754334726', '综合办公室（安全保卫部）', '001021004008', '5665040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858256441349', '2', '99', '1323441314754334726', '营业班', '001021004009', '5665040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635649', '2', '99', '1323441314754334726', '顿岗支局', '001021004011', '5665040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635650', '2', '99', '1323441314754334726', '佛阁寺支局', '001021004012', '5665040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635652', '2', '99', '1323441314754334726', '韩集支局', '001021004014', '5665040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635655', '2', '99', '1323441314754334726', '黄楼支局', '001021004017', '5665040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635656', '2', '99', '1323441314754334726', '涧头支局', '001021004018', '5665040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635657', '2', '99', '1323441314754334726', '蛟庭湖支局', '001021004019', '5665040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635658', '2', '99', '1323441314754334726', '李桥支局', '001021004020', '5665040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635659', '2', '99', '1323441314754334726', '栎城支局', '001021004021', '5665040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635660', '2', '99', '1323441314754334726', '练村支局', '001021004022', '5665040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858260635661', '2', '99', '1323441314754334726', '龙口支局', '001021004023', '5665040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829953', '2', '99', '1323441314754334726', '宋岗支局', '001021004025', '5665040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829954', '2', '99', '1323441314754334726', '孙召支局', '001021004026', '5665040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829955', '2', '99', '1323441314754334726', '棠村支局', '001021004027', '5665040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829956', '2', '99', '1323441314754334726', '杨庄户支局', '001021004028', '5665040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829958', '2', '99', '1323441314754334726', '周潢路支局', '001021004030', '5665040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829959', '2', '99', '1323441314754334726', '砖店支局', '001021004031', '5665040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829960', '2', '99', '1323441314754334726', '保留关系人员部门', '001021004032', '5665040099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829961', '2', '99', '1323441314754334726', '机要室', '001021004033', '566504000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829963', '2', '99', '1323441314754334726', '寄递事业部', '001021004035', '5665040088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829964', '2', '99', '1323441314754334727', '单位领导部门', '001021005001', '5665050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858264829965', '2', '99', '1323441314754334727', '非领导职务部门', '001021005002', '5665050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024256', '2', '99', '1323441314754334727', '领导助理部门', '001021005003', '5665050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024261', '2', '99', '1323441314754334727', '综合办公室（安全保卫部）', '001021005008', '5665050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024262', '2', '99', '1323441314754334727', '营业班', '001021005009', '5665050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024263', '2', '99', '1323441314754334727', '东和店支局', '001021005010', '5665050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024264', '2', '99', '1323441314754334727', '高杨店支局', '001021005011', '5665050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024265', '2', '99', '1323441314754334727', '郭楼支局', '001021005012', '5665050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024267', '2', '99', '1323441314754334727', '解放街支局', '001021005014', '5665050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024268', '2', '99', '1323441314754334727', '李屯支局', '001021005015', '5665050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858269024269', '2', '99', '1323441314754334727', '庙湾支局', '001021005016', '5665050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218560', '2', '99', '1323441314754334727', '射桥支局', '001021005017', '5665050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218561', '2', '99', '1323441314754334727', '十字路支局', '001021005018', '5665050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218562', '2', '99', '1323441314754334727', '双庙支局', '001021005019', '5665050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218563', '2', '99', '1323441314754334727', '万金店支局', '001021005020', '5665050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218564', '2', '99', '1323441314754334727', '万冢支局', '001021005021', '5665050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218565', '2', '99', '1323441314754334727', '王岗支局', '001021005022', '5665050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218566', '2', '99', '1323441314754334727', '西洋店支局', '001021005023', '5665050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218567', '2', '99', '1323441314754334727', '辛店支局', '001021005024', '5665050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218568', '2', '99', '1323441314754334727', '杨埠支局', '001021005025', '5665050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218569', '2', '99', '1323441314754334727', '玉皇庙支局', '001021005026', '5665050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218570', '2', '99', '1323441314754334727', '保留关系人员部门', '001021005027', '5665050099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218571', '2', '99', '1323441314754334727', '机要室', '001021005028', '566505000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218573', '2', '99', '1323441314754334727', '寄递事业部', '001021005030', '5665050088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858273218574', '2', '99', '1323441314754334728', '单位领导部门', '001021006001', '5665060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858277412864', '2', '99', '1323441314754334728', '非领导职务部门', '001021006002', '5665060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858277412865', '2', '99', '1323441314754334728', '领导助理部门', '001021006003', '5665060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858277412870', '2', '99', '1323441314754334728', '综合办公室（安全保卫部）', '001021006008', '5665060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858277412871', '2', '99', '1323441314754334728', '营业班', '001021006009', '5665060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858277412873', '2', '99', '1323441314754334728', '常兴支局', '001021006011', '5665060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858277412877', '2', '99', '1323441314754334728', '韩庄支局', '001021006015', '5665060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607168', '2', '99', '1323441314754334728', '和孝支局', '001021006016', '5665060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607169', '2', '99', '1323441314754334728', '金铺支局', '001021006017', '5665060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607171', '2', '99', '1323441314754334728', '梁祝支局', '001021006019', '5665060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607172', '2', '99', '1323441314754334728', '留盆支局', '001021006020', '5665060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607173', '2', '99', '1323441314754334728', '罗店支局', '001021006021', '5665060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607175', '2', '99', '1323441314754334728', '三桥支局', '001021006023', '5665060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607178', '2', '99', '1323441314754334728', '王岗支局', '001021006026', '5665060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858281607179', '2', '99', '1323441314754334728', '余店支局', '001021006027', '5665060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801473', '2', '99', '1323441314754334728', '万和支局', '001021006031', '5665060036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801474', '2', '99', '1323441314754334728', '保留关系人员部门', '001021006032', '5665060099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801475', '2', '99', '1323441314754334728', '机要室', '001021006033', '566506000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801477', '2', '99', '1323441314754334728', '寄递事业部', '001021006035', '5665060088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801478', '2', '99', '1323441314754334729', '单位领导部门', '001021007001', '5665070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801479', '2', '99', '1323441314754334729', '非领导职务部门', '001021007002', '5665070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801480', '2', '99', '1323441314754334729', '领导助理部门', '001021007003', '5665070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858285801485', '2', '99', '1323441314754334729', '综合办公室（安全保卫部）', '001021007008', '5665070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995776', '2', '99', '1323441314754334729', '营业班', '001021007009', '5665070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995777', '2', '99', '1323441314754334729', '百尺支局', '001021007010', '5665070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995778', '2', '99', '1323441314754334729', '蔡沟支局', '001021007011', '5665070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995779', '2', '99', '1323441314754334729', '崇礼支局', '001021007012', '5665070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995780', '2', '99', '1323441314754334729', '大路李支局', '001021007013', '5665070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995781', '2', '99', '1323441314754334729', '党店支局', '001021007014', '5665070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995782', '2', '99', '1323441314754334729', '东岸支局', '001021007015', '5665070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995784', '2', '99', '1323441314754334729', '东洪支局', '001021007017', '5665070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995785', '2', '99', '1323441314754334729', '韩寨支局', '001021007018', '5665070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995786', '2', '99', '1323441314754334729', '和店支局', '001021007019', '5665070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995787', '2', '99', '1323441314754334729', '华陂支局', '001021007020', '5665070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995788', '2', '99', '1323441314754334729', '黄埠支局', '001021007021', '5665070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858289995789', '2', '99', '1323441314754334729', '齐海支局', '001021007022', '5665070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190080', '2', '99', '1323441314754334729', '邵店支局', '001021007023', '5665070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190082', '2', '99', '1323441314754334729', '无量寺支局', '001021007025', '5665070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190083', '2', '99', '1323441314754334729', '五龙支局', '001021007026', '5665070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190084', '2', '99', '1323441314754334729', '西大街支局', '001021007027', '5665070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190085', '2', '99', '1323441314754334729', '西洪支局', '001021007028', '5665070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190086', '2', '99', '1323441314754334729', '小岳寺支局', '001021007029', '5665070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190087', '2', '99', '1323441314754334729', '杨集支局', '001021007030', '5665070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190089', '2', '99', '1323441314754334729', '朱里支局', '001021007032', '5665070037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190090', '2', '99', '1323441314754334729', '洙湖支局', '001021007033', '5665070038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190091', '2', '99', '1323441314754334729', '保留关系人员部门', '001021007034', '5665070099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858294190092', '2', '99', '1323441314754334729', '机要室', '001021007035', '566507000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384384', '2', '99', '1323441314754334729', '寄递事业部', '001021007037', '5665070088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384385', '2', '99', '1323441314754334730', '单位领导部门', '001021008001', '5665080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384386', '2', '99', '1323441314754334730', '非领导职务部门', '001021008002', '5665080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384387', '2', '99', '1323441314754334730', '领导助理部门', '001021008003', '5665080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384392', '2', '99', '1323441314754334730', '综合办公室（安全保卫部）', '001021008008', '5665080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384393', '2', '99', '1323441314754334730', '营业班', '001021008009', '5665080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384394', '2', '99', '1323441314754334730', '嵖岈山支局', '001021008010', '5665080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858298384395', '2', '99', '1323441314754334730', '常庄支局', '001021008011', '5665080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578688', '2', '99', '1323441314754334730', '车站支局', '001021008012', '5665080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578690', '2', '99', '1323441314754334730', '和兴支局', '001021008014', '5665080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578693', '2', '99', '1323441314754334730', '建设路支局', '001021008017', '5665080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578695', '2', '99', '1323441314754334730', '沈寨支局', '001021008019', '5665080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578696', '2', '99', '1323441314754334730', '石寨铺支局', '001021008020', '5665080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578697', '2', '99', '1323441314754334730', '文城支局', '001021008021', '5665080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858302578698', '2', '99', '1323441314754334730', '阳丰支局', '001021008022', '5665080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306772992', '2', '99', '1323441314754334730', '保留关系人员部门', '001021008026', '5665080099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306772993', '2', '99', '1323441314754334730', '机要室', '001021008027', '566508000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306772995', '2', '99', '1323441314754334730', '寄递事业部', '001021008029', '5665080088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306772996', '2', '99', '1323441314754334731', '单位领导部门', '001021009001', '5665090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306772997', '2', '99', '1323441314754334731', '非领导职务部门', '001021009002', '5665090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306772998', '2', '99', '1323441314754334731', '领导助理部门', '001021009003', '5665090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306773003', '2', '99', '1323441314754334731', '综合办公室（安全保卫部）', '001021009008', '5665090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858306773004', '2', '99', '1323441314754334731', '营业班', '001021009009', '5665090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967296', '2', '99', '1323441314754334731', '出山支局', '001021009011', '5665090016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967297', '2', '99', '1323441314754334731', '二郎支局', '001021009012', '5665090017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967298', '2', '99', '1323441314754334731', '工交路支局', '001021009013', '5665090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967299', '2', '99', '1323441314754334731', '焦庄支局', '001021009014', '5665090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967301', '2', '99', '1323441314754334731', '嫘祖支局', '001021009016', '5665090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967302', '2', '99', '1323441314754334731', '芦庙支局', '001021009017', '5665090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967303', '2', '99', '1323441314754334731', '盆尧支局', '001021009018', '5665090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967304', '2', '99', '1323441314754334731', '权寨支局', '001021009019', '5665090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967305', '2', '99', '1323441314754334731', '人和支局', '001021009020', '5665090025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967306', '2', '99', '1323441314754334731', '师灵支局', '001021009021', '5665090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967307', '2', '99', '1323441314754334731', '宋集支局', '001021009022', '5665090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858310967308', '2', '99', '1323441314754334731', '谭店支局', '001021009023', '5665090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161600', '2', '99', '1323441314754334731', '五沟营支局', '001021009024', '5665090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161603', '2', '99', '1323441314754334731', '重渠支局', '001021009027', '5665090033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161604', '2', '99', '1323441314754334731', '专探支局', '001021009028', '5665090034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161606', '2', '99', '1323441314754334731', '保留关系人员部门', '001021009030', '5665090099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161607', '2', '99', '1323441314754334731', '机要室', '001021009031', '566509000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161609', '2', '99', '1323441314754334731', '寄递事业部', '001021009033', '5665090088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161610', '2', '99', '1323441314754334732', '单位领导部门', '001021010001', '5665200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161611', '2', '99', '1323441314754334732', '非领导职务部门', '001021010002', '5665200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161612', '2', '99', '1323441314754334732', '领导助理部门', '001021010003', '5665200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858315161613', '2', '99', '1323441314754334732', '机要通信分局内设机构（虚拟部门）', '001021010004', '5665200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355904', '2', '99', '1323441314754334732', '保留关系人员部门', '001021010005', '5665200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355905', '2', '99', '1323441314754334733', '单位领导部门', '001021011001', '5665200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355906', '2', '99', '1323441314754334733', '非领导职务部门', '001021011002', '5665200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355907', '2', '99', '1323441314754334733', '领导助理部门', '001021011003', '5665200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355909', '2', '99', '1323441314754334733', '营业班', '001021011005', '5665200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355910', '2', '99', '1323441314754334733', '白桥路支局', '001021011006', '5665200116', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858319355916', '2', '99', '1323441314754334733', '水屯支局', '001021011012', '5665200122', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858323550210', '2', '99', '1323441314754334733', '解放路支局', '001021011015', '5665200125', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858323550211', '2', '99', '1323441314754334733', '保留关系人员部门', '001021011016', '5665200199', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858323550215', '2', '99', '1323441314754334733', '寄递事业部', '001021011020', '5665200188', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858323550216', '2', '99', '1323441314754334734', '单位领导部门', '001021012001', '5665200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858323550217', '2', '99', '1323441314754334734', '非领导职务部门', '001021012002', '5665200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858323550218', '2', '99', '1323441314754334734', '领导助理部门', '001021012003', '5665200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744513', '2', '99', '1323441314754334734', '营业班', '001021012008', '5665200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744516', '2', '99', '1323441314754334734', '风光路支局', '001021012011', '5665200218', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744517', '2', '99', '1323441314754334734', '关王庙支局', '001021012012', '5665200219', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744519', '2', '99', '1323441314754334734', '交通路支局', '001021012014', '5665200221', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744521', '2', '99', '1323441314754334734', '诸市支局', '001021012016', '5665200223', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744522', '2', '99', '1323441314754334734', '保留关系人员部门', '001021012017', '5665200299', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858327744523', '2', '99', '1323441314754334734', '寄递事业部', '001021012018', '5665200288', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858336133132', '2', '99', '1323441314754334736', '单位领导部门', '001022001001', '5666010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858336133133', '2', '99', '1323441314754334736', '非领导职务部门', '001022001002', '5666010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858336133134', '2', '99', '1323441314754334736', '领导助理部门', '001022001003', '5666010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858340327428', '2', '99', '1323441314754334736', '综合办公室（安全保卫部）', '001022001008', '5666010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858340327429', '2', '99', '1323441314754334736', '营业班', '001022001009', '5666010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858340327430', '2', '99', '1323441314754334736', '白土岗支局', '001022001010', '5666010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858340327431', '2', '99', '1323441314754334736', '板山坪支局', '001022001011', '5666010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858340327435', '2', '99', '1323441314754334736', '红宇支局', '001022001015', '5666010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858340327436', '2', '99', '1323441314754334736', '皇后支局', '001022001016', '5666010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521728', '2', '99', '1323441314754334736', '皇路店支局', '001022001017', '5666010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521729', '2', '99', '1323441314754334736', '黄洋路支局', '001022001018', '5666010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521730', '2', '99', '1323441314754334736', '黄洋南路支局', '001022001019', '5666010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521731', '2', '99', '1323441314754334736', '留山支局', '001022001020', '5666010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521732', '2', '99', '1323441314754334736', '马市坪支局', '001022001021', '5666010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521733', '2', '99', '1323441314754334736', '南河店支局', '001022001022', '5666010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521735', '2', '99', '1323441314754334736', '人民南路支局', '001022001024', '5666010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521736', '2', '99', '1323441314754334736', '石门支局', '001022001025', '5666010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521737', '2', '99', '1323441314754334736', '四棵树支局', '001022001026', '5666010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858344521738', '2', '99', '1323441314754334736', '太山庙支局', '001022001027', '5666010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716032', '2', '99', '1323441314754334736', '向东支局', '001022001028', '5666010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716033', '2', '99', '1323441314754334736', '小店支局', '001022001029', '5666010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716034', '2', '99', '1323441314754334736', '鸭河支局', '001022001030', '5666010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716035', '2', '99', '1323441314754334736', '云阳古城支局', '001022001031', '5666010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716036', '2', '99', '1323441314754334736', '云阳支局', '001022001032', '5666010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716037', '2', '99', '1323441314754334736', '云阳中心支局', '001022001033', '5666010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716038', '2', '99', '1323441314754334736', '中华路支局', '001022001034', '5666010039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716040', '2', '99', '1323441314754334736', '保留关系人员部门', '001022001036', '5666010099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716041', '2', '99', '1323441314754334736', '机要室', '001022001037', '566601000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716043', '2', '99', '1323441314754334736', '寄递事业部', '001022001039', '5666010088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716044', '2', '99', '1323441314754334737', '单位领导部门', '001022002001', '5666020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858348716045', '2', '99', '1323441314754334737', '非领导职务部门', '001022002002', '5666020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910336', '2', '99', '1323441314754334737', '领导助理部门', '001022002003', '5666020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910341', '2', '99', '1323441314754334737', '综合办公室（安全保卫部）', '001022002008', '5666020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910342', '2', '99', '1323441314754334737', '营业班', '001022002009', '5666020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910344', '2', '99', '1323441314754334737', '老城支局', '001022002011', '5666020025', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910345', '2', '99', '1323441314754334737', '车站支局', '001022002012', '5666020026', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910346', '2', '99', '1323441314754334737', '裕州南路支局', '001022002013', '5666020027', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858352910347', '2', '99', '1323441314754334737', '清河支局', '001022002014', '5666020028', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104640', '2', '99', '1323441314754334737', '袁店支局', '001022002015', '5666020029', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104641', '2', '99', '1323441314754334737', '广阳支局', '001022002016', '5666020030', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104642', '2', '99', '1323441314754334737', '柳河支局', '001022002017', '5666020031', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104644', '2', '99', '1323441314754334737', '杨集支局', '001022002019', '5666020033', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104645', '2', '99', '1323441314754334737', '拐河支局', '001022002020', '5666020034', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104646', '2', '99', '1323441314754334737', '四里店支局', '001022002021', '5666020035', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104647', '2', '99', '1323441314754334737', '赵河支局', '001022002022', '5666020036', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104648', '2', '99', '1323441314754334737', '博望支局', '001022002023', '5666020037', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104649', '2', '99', '1323441314754334737', '二郎庙支局', '001022002024', '5666020039', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104650', '2', '99', '1323441314754334737', '券桥支局', '001022002025', '5666020040', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104651', '2', '99', '1323441314754334737', '独树支局', '001022002026', '5666020041', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858357104652', '2', '99', '1323441314754334737', '古庄店支局', '001022002027', '5666020042', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858361298944', '2', '99', '1323441314754334737', '杨楼支局', '001022002028', '5666020043', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858361298945', '2', '99', '1323441314754334737', '小史店支局', '001022002029', '5666020045', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858361298946', '2', '99', '1323441314754334737', '保留关系人员部门', '001022002030', '5666020099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858361298947', '2', '99', '1323441314754334737', '机要室', '001022002031', '566602000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858361298949', '2', '99', '1323441314754334737', '寄递事业部', '001022002033', '5666020088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858361298950', '2', '99', '1323441314754334738', '单位领导部门', '001022003001', '5666030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493248', '2', '99', '1323441314754334738', '非领导职务部门', '001022003002', '5666030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493249', '2', '99', '1323441314754334738', '领导助理部门', '001022003003', '5666030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493254', '2', '99', '1323441314754334738', '综合办公室（安全保卫部）', '001022003008', '5666030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493255', '2', '99', '1323441314754334738', '营业班', '001022003009', '5666030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493256', '2', '99', '1323441314754334738', '南大街支局', '001022003010', '5666030021', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493257', '2', '99', '1323441314754334738', '丁河镇支局', '001022003011', '5666030022', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493258', '2', '99', '1323441314754334738', '北关支局', '001022003012', '5666030029', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858365493259', '2', '99', '1323441314754334738', '莲花支局', '001022003013', '5666030030', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687553', '2', '99', '1323441314754334738', '田关支局', '001022003016', '5666030036', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687554', '2', '99', '1323441314754334738', '回车镇支局', '001022003017', '5666030038', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687555', '2', '99', '1323441314754334738', '重阳镇支局', '001022003018', '5666030041', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687556', '2', '99', '1323441314754334738', '西坪镇支局', '001022003019', '5666030042', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687557', '2', '99', '1323441314754334738', '桑坪支局', '001022003020', '5666030044', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687558', '2', '99', '1323441314754334738', '石界河乡支局', '001022003021', '5666030045', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687559', '2', '99', '1323441314754334738', '米坪镇支局', '001022003022', '5666030046', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687561', '2', '99', '1323441314754334738', '双龙支局', '001022003024', '5666030048', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687562', '2', '99', '1323441314754334738', '二郎坪支局', '001022003025', '5666030049', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858369687563', '2', '99', '1323441314754334738', '太平镇支局', '001022003026', '5666030050', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881856', '2', '99', '1323441314754334738', '五里桥支局', '001022003027', '5666030051', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881857', '2', '99', '1323441314754334738', '工业大道支局', '001022003028', '5666030053', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881858', '2', '99', '1323441314754334738', '保留关系人员部门', '001022003029', '5666030099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881859', '2', '99', '1323441314754334738', '机要室', '001022003030', '566603000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881861', '2', '99', '1323441314754334738', '寄递事业部', '001022003032', '5666030088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881862', '2', '99', '1323441314754334739', '单位领导部门', '001022004001', '5666040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881863', '2', '99', '1323441314754334739', '非领导职务部门', '001022004002', '5666040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881864', '2', '99', '1323441314754334739', '领导助理部门', '001022004003', '5666040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858373881869', '2', '99', '1323441314754334739', '综合办公室（安全保卫部）', '001022004008', '5666040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076160', '2', '99', '1323441314754334739', '营业班', '001022004009', '5666040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076161', '2', '99', '1323441314754334739', '白河支局', '001022004010', '5666040028', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076162', '2', '99', '1323441314754334739', '黄台岗支局', '001022004011', '5666040029', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076163', '2', '99', '1323441314754334739', '瓦店支局', '001022004012', '5666040030', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076164', '2', '99', '1323441314754334739', '官庄支局', '001022004013', '5666040031', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076165', '2', '99', '1323441314754334739', '金华支局', '001022004014', '5666040032', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076166', '2', '99', '1323441314754334739', '汉冢支局', '001022004015', '5666040033', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076167', '2', '99', '1323441314754334739', '溧河支局', '001022004016', '5666040034', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076168', '2', '99', '1323441314754334739', '茶庵支局', '001022004017', '5666040035', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858378076169', '2', '99', '1323441314754334739', '高庙支局', '001022004018', '5666040036', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270464', '2', '99', '1323441314754334739', '新店支局', '001022004020', '5666040038', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270465', '2', '99', '1323441314754334739', '蒲山支局', '001022004021', '5666040039', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270466', '2', '99', '1323441314754334739', '石桥支局', '001022004022', '5666040040', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270467', '2', '99', '1323441314754334739', '安皋支局', '001022004023', '5666040042', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270468', '2', '99', '1323441314754334739', '谢庄支局', '001022004024', '5666040043', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270469', '2', '99', '1323441314754334739', '王村支局', '001022004025', '5666040044', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270470', '2', '99', '1323441314754334739', '潦河支局', '001022004026', '5666040045', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270471', '2', '99', '1323441314754334739', '陆营支局', '001022004027', '5666040046', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270472', '2', '99', '1323441314754334739', '英庄支局', '001022004028', '5666040047', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270473', '2', '99', '1323441314754334739', '青华支局', '001022004029', '5666040048', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858382270474', '2', '99', '1323441314754334739', '潦河坡支局', '001022004030', '5666040049', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464768', '2', '99', '1323441314754334739', '保留关系人员部门', '001022004032', '5666040099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464769', '2', '99', '1323441314754334739', '机要室', '001022004033', '566604000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464771', '2', '99', '1323441314754334739', '寄递事业部', '001022004035', '5666040088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464772', '2', '99', '1323441314754334740', '单位领导部门', '001022005001', '5666050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464773', '2', '99', '1323441314754334740', '非领导职务部门', '001022005002', '5666050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464774', '2', '99', '1323441314754334740', '领导助理部门', '001022005003', '5666050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464779', '2', '99', '1323441314754334740', '综合办公室（安全保卫部）', '001022005008', '5666050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858386464780', '2', '99', '1323441314754334740', '营业班', '001022005009', '5666050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659072', '2', '99', '1323441314754334740', '三里河支局', '001022005010', '5666050037', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659073', '2', '99', '1323441314754334740', '南关支局', '001022005011', '5666050038', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659074', '2', '99', '1323441314754334740', '雪枫支局', '001022005012', '5666050039', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659075', '2', '99', '1323441314754334740', '贾宋支局', '001022005013', '5666050045', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659076', '2', '99', '1323441314754334740', '候集支局', '001022005014', '5666050046', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659078', '2', '99', '1323441314754334740', '卢医支局', '001022005016', '5666050048', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659079', '2', '99', '1323441314754334740', '彭营支局', '001022005017', '5666050049', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659080', '2', '99', '1323441314754334740', '杨营支局', '001022005018', '5666050050', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659081', '2', '99', '1323441314754334740', '高丘支局', '001022005019', '5666050051', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659082', '2', '99', '1323441314754334740', '柳泉铺支局', '001022005020', '5666050052', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858390659083', '2', '99', '1323441314754334740', '老庄支局', '001022005021', '5666050053', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853376', '2', '99', '1323441314754334740', '晁陂支局', '001022005022', '5666050054', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853377', '2', '99', '1323441314754334740', '张林支局', '001022005023', '5666050055', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853378', '2', '99', '1323441314754334740', '黑龙集支局', '001022005024', '5666050056', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853379', '2', '99', '1323441314754334740', '枣园支局', '001022005025', '5666050057', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853380', '2', '99', '1323441314754334740', '安子营支局', '001022005026', '5666050058', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853381', '2', '99', '1323441314754334740', '马庄支局', '001022005027', '5666050059', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853382', '2', '99', '1323441314754334740', '曲屯支局', '001022005028', '5666050060', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853383', '2', '99', '1323441314754334740', '王岗支局', '001022005029', '5666050061', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853384', '2', '99', '1323441314754334740', '遮山支局', '001022005030', '5666050062', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853385', '2', '99', '1323441314754334740', '保留关系人员部门', '001022005031', '5666050099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853386', '2', '99', '1323441314754334740', '机要室', '001022005032', '566605000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858394853388', '2', '99', '1323441314754334740', '寄递事业部', '001022005034', '5666050088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047680', '2', '99', '1323441314754334741', '单位领导部门', '001022006001', '5666060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047681', '2', '99', '1323441314754334741', '非领导职务部门', '001022006002', '5666060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047682', '2', '99', '1323441314754334741', '领导助理部门', '001022006003', '5666060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047687', '2', '99', '1323441314754334741', '综合办公室（安全保卫部）', '001022006008', '5666060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047688', '2', '99', '1323441314754334741', '营业班', '001022006009', '5666060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047689', '2', '99', '1323441314754334741', '北大街支局', '001022006010', '5666060027', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047690', '2', '99', '1323441314754334741', '南关支局', '001022006011', '5666060029', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858399047691', '2', '99', '1323441314754334741', '灌涨支局', '001022006012', '5666060033', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241984', '2', '99', '1323441314754334741', '王店支局', '001022006013', '5666060034', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241985', '2', '99', '1323441314754334741', '余关支局', '001022006014', '5666060035', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241987', '2', '99', '1323441314754334741', '七里坪支局', '001022006016', '5666060037', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241989', '2', '99', '1323441314754334741', '赤眉支局', '001022006018', '5666060040', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241990', '2', '99', '1323441314754334741', '赵店支局', '001022006019', '5666060041', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241991', '2', '99', '1323441314754334741', '大桥支局', '001022006020', '5666060042', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241992', '2', '99', '1323441314754334741', '师岗支局', '001022006021', '5666060043', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858403241993', '2', '99', '1323441314754334741', '瓦亭支局', '001022006022', '5666060044', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436288', '2', '99', '1323441314754334741', '乍曲支局', '001022006023', '5666060045', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436289', '2', '99', '1323441314754334741', '桃溪支局', '001022006024', '5666060046', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436290', '2', '99', '1323441314754334741', '湍东支局', '001022006025', '5666060047', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436291', '2', '99', '1323441314754334741', '夏馆支局', '001022006026', '5666060050', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436292', '2', '99', '1323441314754334741', '保留关系人员部门', '001022006027', '5666060099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436293', '2', '99', '1323441314754334741', '机要室', '001022006028', '566606000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436295', '2', '99', '1323441314754334741', '寄递事业部', '001022006030', '5666060088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858407436296', '2', '99', '1323441314754334742', '单位领导部门', '001022007001', '5666070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858411630592', '2', '99', '1323441314754334742', '非领导职务部门', '001022007002', '5666070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858411630593', '2', '99', '1323441314754334742', '领导助理部门', '001022007003', '5666070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858411630598', '2', '99', '1323441314754334742', '综合办公室（安全保卫部）', '001022007008', '5666070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858411630599', '2', '99', '1323441314754334742', '营业班', '001022007009', '5666070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858411630601', '2', '99', '1323441314754334742', '解放路支局', '001022007011', '5666070027', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858411630602', '2', '99', '1323441314754334742', '金河镇支局', '001022007012', '5666070034', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824897', '2', '99', '1323441314754334742', '荆紫关支局', '001022007014', '5666070036', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824898', '2', '99', '1323441314754334742', '寺湾支局', '001022007015', '5666070037', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824899', '2', '99', '1323441314754334742', '西簧支局', '001022007016', '5666070038', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824900', '2', '99', '1323441314754334742', '毛堂支局', '001022007017', '5666070039', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824901', '2', '99', '1323441314754334742', '老城支局', '001022007018', '5666070040', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824902', '2', '99', '1323441314754334742', '大石桥支局', '001022007019', '5666070041', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824903', '2', '99', '1323441314754334742', '滔河支局', '001022007020', '5666070042', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824904', '2', '99', '1323441314754334742', '盛湾支局', '001022007021', '5666070043', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858415824905', '2', '99', '1323441314754334742', '马蹬支局', '001022007022', '5666070044', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019200', '2', '99', '1323441314754334742', '九重支局', '001022007024', '5666070046', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019201', '2', '99', '1323441314754334742', '厚坡支局', '001022007025', '5666070047', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019203', '2', '99', '1323441314754334742', '灌河路支局', '001022007027', '5666070049', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019204', '2', '99', '1323441314754334742', '保留关系人员部门', '001022007028', '5666070099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019205', '2', '99', '1323441314754334742', '机要室', '001022007029', '566607000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019207', '2', '99', '1323441314754334742', '寄递事业部', '001022007031', '5666070088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019208', '2', '99', '1323441314754334743', '单位领导部门', '001022008001', '5666080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019209', '2', '99', '1323441314754334743', '非领导职务部门', '001022008002', '5666080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858420019210', '2', '99', '1323441314754334743', '领导助理部门', '001022008003', '5666080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213506', '2', '99', '1323441314754334743', '综合办公室（安全保卫部）', '001022008008', '5666080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213507', '2', '99', '1323441314754334743', '营业班', '001022008009', '5666080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213511', '2', '99', '1323441314754334743', '红旗路支局', '001022008013', '5666080028', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213512', '2', '99', '1323441314754334743', '东关支局', '001022008014', '5666080029', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213513', '2', '99', '1323441314754334743', '新华支局', '001022008015', '5666080030', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213514', '2', '99', '1323441314754334743', '城郊支局', '001022008016', '5666080035', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858424213515', '2', '99', '1323441314754334743', '陌陂支局', '001022008017', '5666080036', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407808', '2', '99', '1323441314754334743', '下洼支局', '001022008018', '5666080037', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407809', '2', '99', '1323441314754334743', '郝寨支局', '001022008019', '5666080038', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407810', '2', '99', '1323441314754334743', '苗店支局', '001022008020', '5666080039', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407811', '2', '99', '1323441314754334743', '丁庄支局', '001022008021', '5666080040', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407813', '2', '99', '1323441314754334743', '尧良支局', '001022008023', '5666080042', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407814', '2', '99', '1323441314754334743', '朱集支局', '001022008024', '5666080043', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407815', '2', '99', '1323441314754334743', '太和支局', '001022008025', '5666080044', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407816', '2', '99', '1323441314754334743', '青台支局', '001022008026', '5666080045', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407817', '2', '99', '1323441314754334743', '李店支局', '001022008027', '5666080046', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407818', '2', '99', '1323441314754334743', '晋庄支局', '001022008028', '5666080047', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407819', '2', '99', '1323441314754334743', '大冯营支局', '001022008029', '5666080048', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407821', '2', '99', '1323441314754334743', '兴隆支局', '001022008031', '5666080050', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407822', '2', '99', '1323441314754334743', '保留关系人员部门', '001022008032', '5666080099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407823', '2', '99', '1323441314754334743', '机要室', '001022008033', '566608000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407825', '2', '99', '1323441314754334743', '寄递事业部', '001022008035', '5666080088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407826', '2', '99', '1323441314754334744', '单位领导部门', '001022009001', '5666090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407827', '2', '99', '1323441314754334744', '非领导职务部门', '001022009002', '5666090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858428407828', '2', '99', '1323441314754334744', '领导助理部门', '001022009003', '5666090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602113', '2', '99', '1323441314754334744', '综合办公室（安全保卫部）', '001022009008', '5666090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602114', '2', '99', '1323441314754334744', '营业班', '001022009009', '5666090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602116', '2', '99', '1323441314754334744', '建设路支局', '001022009011', '5666090027', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602117', '2', '99', '1323441314754334744', '上屯支局', '001022009012', '5666090030', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602118', '2', '99', '1323441314754334744', '王集支局', '001022009013', '5666090031', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602119', '2', '99', '1323441314754334744', '苍台支局', '001022009014', '5666090032', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602120', '2', '99', '1323441314754334744', '少拜寺支局', '001022009015', '5666090033', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602121', '2', '99', '1323441314754334744', '湖阳支局', '001022009016', '5666090034', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858432602122', '2', '99', '1323441314754334744', '大河屯支局', '001022009017', '5666090035', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796416', '2', '99', '1323441314754334744', '桐寨铺支局', '001022009018', '5666090036', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796417', '2', '99', '1323441314754334744', '桐河支局', '001022009019', '5666090037', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796418', '2', '99', '1323441314754334744', '源潭支局', '001022009020', '5666090038', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796419', '2', '99', '1323441314754334744', '古城支局', '001022009021', '5666090039', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796420', '2', '99', '1323441314754334744', '昝岗支局', '001022009022', '5666090040', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796421', '2', '99', '1323441314754334744', '马振抚支局', '001022009023', '5666090041', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796422', '2', '99', '1323441314754334744', '郭滩支局', '001022009024', '5666090042', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796423', '2', '99', '1323441314754334744', '祁仪支局', '001022009025', '5666090043', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796424', '2', '99', '1323441314754334744', '黑龙镇支局', '001022009026', '5666090044', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796425', '2', '99', '1323441314754334744', '龙潭支局', '001022009027', '5666090045', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858436796426', '2', '99', '1323441314754334744', '双河支局', '001022009028', '5666090046', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990720', '2', '99', '1323441314754334744', '井楼支局', '001022009029', '5666090047', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990721', '2', '99', '1323441314754334744', '张店支局', '001022009030', '5666090048', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990722', '2', '99', '1323441314754334744', '毕店支局', '001022009031', '5666090049', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990723', '2', '99', '1323441314754334744', '城郊乡支局', '001022009032', '5666090050', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990725', '2', '99', '1323441314754334744', '保留关系人员部门', '001022009034', '5666090099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990726', '2', '99', '1323441314754334744', '机要室', '001022009035', '566609000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990728', '2', '99', '1323441314754334744', '寄递事业部', '001022009037', '5666090088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990729', '2', '99', '1323441314754334745', '单位领导部门', '001022010001', '5666100001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858440990730', '2', '99', '1323441314754334745', '非领导职务部门', '001022010002', '5666100002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858445185024', '2', '99', '1323441314754334745', '领导助理部门', '001022010003', '5666100003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858445185029', '2', '99', '1323441314754334745', '综合办公室（安全保卫部）', '001022010008', '5666100011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858445185030', '2', '99', '1323441314754334745', '营业班', '001022010009', '5666100012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858445185032', '2', '99', '1323441314754334745', '雷锋路支局', '001022010011', '5666100034', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858445185033', '2', '99', '1323441314754334745', '文化路支局', '001022010012', '5666100035', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379328', '2', '99', '1323441314754334745', '火车站支局', '001022010013', '5666100037', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379330', '2', '99', '1323441314754334745', '北京大道支局', '001022010015', '5666100049', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379331', '2', '99', '1323441314754334745', '桑庄支局', '001022010016', '5666100050', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379332', '2', '99', '1323441314754334745', '腰店支局', '001022010017', '5666100051', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379334', '2', '99', '1323441314754334745', '元庄支局', '001022010019', '5666100053', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379335', '2', '99', '1323441314754334745', '白牛支局', '001022010020', '5666100054', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379336', '2', '99', '1323441314754334745', '穰东支局', '001022010021', '5666100055', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379337', '2', '99', '1323441314754334745', '夏集支局', '001022010022', '5666100056', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858449379338', '2', '99', '1323441314754334745', '裴营支局', '001022010023', '5666100057', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573632', '2', '99', '1323441314754334745', '赵集支局', '001022010024', '5666100058', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573633', '2', '99', '1323441314754334745', '文渠支局', '001022010025', '5666100059', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573635', '2', '99', '1323441314754334745', '张村支局', '001022010027', '5666100061', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573636', '2', '99', '1323441314754334745', '十林支局', '001022010028', '5666100062', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573637', '2', '99', '1323441314754334745', '罗庄支局', '001022010029', '5666100063', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573639', '2', '99', '1323441314754334745', '高集支局', '001022010031', '5666100065', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573641', '2', '99', '1323441314754334745', '构林支局', '001022010033', '5666100067', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858453573642', '2', '99', '1323441314754334745', '都司支局', '001022010034', '5666100068', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767937', '2', '99', '1323441314754334745', '陶营支局', '001022010037', '5666100071', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767938', '2', '99', '1323441314754334745', '孟楼支局', '001022010038', '5666100072', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767939', '2', '99', '1323441314754334745', '龙堰支局', '001022010039', '5666100073', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767940', '2', '99', '1323441314754334745', '杨营支局', '001022010040', '5666100074', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767942', '2', '99', '1323441314754334745', '保留关系人员部门', '001022010042', '5666100099', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767943', '2', '99', '1323441314754334745', '机要室', '001022010043', '566610000401', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767945', '2', '99', '1323441314754334745', '寄递事业部', '001022010045', '5666100088', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767946', '2', '99', '1323441314754334746', '单位领导部门', '001022011001', '5666110001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858457767947', '2', '99', '1323441314754334746', '非领导职务部门', '001022011002', '5666110002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858461962240', '2', '99', '1323441314754334746', '领导助理部门', '001022011003', '5666110003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858461962245', '2', '99', '1323441314754334746', '综合办公室（安全保卫部）', '001022011008', '5666110011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858461962246', '2', '99', '1323441314754334746', '营业班', '001022011009', '5666110012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858461962247', '2', '99', '1323441314754334746', '东关支局', '001022011010', '5666110037', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858461962248', '2', '99', '1323441314754334746', '北关支局', '001022011011', '5666110038', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156544', '2', '99', '1323441314754334746', '沙堰支局', '001022011014', '5666110045', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156546', '2', '99', '1323441314754334746', '溧河支局', '001022011016', '5666110047', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156547', '2', '99', '1323441314754334746', '歪子支局', '001022011017', '5666110048', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156548', '2', '99', '1323441314754334746', '上庄支局', '001022011018', '5666110049', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156549', '2', '99', '1323441314754334746', '高庙支局', '001022011019', '5666110050', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156550', '2', '99', '1323441314754334746', '王庄支局', '001022011020', '5666110051', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156551', '2', '99', '1323441314754334746', '五星支局', '001022011021', '5666110052', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156552', '2', '99', '1323441314754334746', '新甸支局', '001022011022', '5666110053', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156553', '2', '99', '1323441314754334746', '上港支局', '001022011023', '5666110054', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156554', '2', '99', '1323441314754334746', '王集支局', '001022011024', '5666110055', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858466156555', '2', '99', '1323441314754334746', '樊集支局', '001022011025', '5666110056', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858470350848', '2', '99', '1323441314754334746', '保留关系人员部门', '001022011026', '5666110099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858470350849', '2', '99', '1323441314754334746', '机要室', '001022011027', '566611000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858470350851', '2', '99', '1323441314754334746', '寄递事业部', '001022011029', '5666110088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858470350852', '2', '99', '1323441314754334747', '单位领导部门', '001022012001', '5666120001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858470350853', '2', '99', '1323441314754334747', '非领导职务部门', '001022012002', '5666120002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858470350854', '2', '99', '1323441314754334747', '领导助理部门', '001022012003', '5666120003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545152', '2', '99', '1323441314754334747', '综合办公室（安全保卫部）', '001022012008', '5666120011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545153', '2', '99', '1323441314754334747', '营业班', '001022012009', '5666120012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545154', '2', '99', '1323441314754334747', '淮源大道支局', '001022012010', '5666120022', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545155', '2', '99', '1323441314754334747', '综合营业厅', '001022012011', '5666120023', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545156', '2', '99', '1323441314754334747', '鸿仪河支局', '001022012012', '5666120024', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545157', '2', '99', '1323441314754334747', '新集支局', '001022012013', '5666120025', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545158', '2', '99', '1323441314754334747', '平氏支局', '001022012014', '5666120026', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545159', '2', '99', '1323441314754334747', '程湾支局', '001022012015', '5666120027', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545160', '2', '99', '1323441314754334747', '安棚支局', '001022012016', '5666120029', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545161', '2', '99', '1323441314754334747', '埠江支局', '001022012017', '5666120030', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545162', '2', '99', '1323441314754334747', '埠江镇西支局', '001022012018', '5666120031', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858474545163', '2', '99', '1323441314754334747', '埠江镇江河矿支局', '001022012019', '5666120032', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739456', '2', '99', '1323441314754334747', '城郊乡支局', '001022012020', '5666120033', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739458', '2', '99', '1323441314754334747', '吴城支局', '001022012022', '5666120035', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739459', '2', '99', '1323441314754334747', '吴城镇老街支局', '001022012023', '5666120036', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739460', '2', '99', '1323441314754334747', '固县支局', '001022012024', '5666120037', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739461', '2', '99', '1323441314754334747', '毛集支局', '001022012025', '5666120038', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739462', '2', '99', '1323441314754334747', '毛集铁矿支局', '001022012026', '5666120039', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739463', '2', '99', '1323441314754334747', '大河支局', '001022012027', '5666120040', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739464', '2', '99', '1323441314754334747', '回龙支局', '001022012028', '5666120041', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739465', '2', '99', '1323441314754334747', '黄岗支局', '001022012029', '5666120042', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858478739466', '2', '99', '1323441314754334747', '朱庄支局', '001022012030', '5666120043', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858482933760', '2', '99', '1323441314754334747', '大河铜矿支局', '001022012031', '5666120044', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858482933761', '2', '99', '1323441314754334747', '城郊乡甲六路支局', '001022012032', '5666120045', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858482933763', '2', '99', '1323441314754334747', '城郊乡杨庄支局', '001022012034', '5666120047', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858482933764', '2', '99', '1323441314754334747', '程湾二所', '001022012035', '5666120048', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858482933765', '2', '99', '1323441314754334747', '保留关系人员部门', '001022012036', '5666120099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128064', '2', '99', '1323441314754334747', '机要室', '001022012037', '566612000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128066', '2', '99', '1323441314754334747', '寄递事业部', '001022012039', '5666120088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128067', '2', '99', '1323441314754334748', '单位领导部门', '001022013001', '5666200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128068', '2', '99', '1323441314754334748', '非领导职务部门', '001022013002', '5666200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128069', '2', '99', '1323441314754334748', '领导助理部门', '001022013003', '5666200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128070', '2', '99', '1323441314754334748', '机要通信分局内设机构（虚拟部门）', '001022013004', '5666200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128071', '2', '99', '1323441314754334748', '保留关系人员部门', '001022013005', '5666200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128072', '2', '99', '1323441314754334749', '单位领导部门', '001022014001', '5666200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858487128073', '2', '99', '1323441314754334749', '非领导职务部门', '001022014002', '5666200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858491322368', '2', '99', '1323441314754334749', '领导助理部门', '001022014003', '5666200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858491322373', '2', '99', '1323441314754334749', '营业班', '001022014008', '5666200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858491322379', '2', '99', '1323441314754334749', '麒麟路支局', '001022014014', '5666200122', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516673', '2', '99', '1323441314754334749', '师院支局', '001022014016', '5666200124', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516674', '2', '99', '1323441314754334749', '卧龙岗支局', '001022014017', '5666200125', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516676', '2', '99', '1323441314754334749', '长线局支局', '001022014019', '5666200127', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516677', '2', '99', '1323441314754334749', '张衡中路支局', '001022014020', '5666200128', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516678', '2', '99', '1323441314754334749', '工业路支局', '001022014021', '5666200129', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516679', '2', '99', '1323441314754334749', '鸿雁支局', '001022014022', '5666200130', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516680', '2', '99', '1323441314754334749', '保留关系人员部门', '001022014023', '5666200199', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516681', '2', '99', '1323441314754334749', '寄递事业部', '001022014024', '5666200188', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858495516682', '2', '99', '1323441314754334750', '单位领导部门', '001022015001', '5666200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858499710976', '2', '99', '1323441314754334750', '非领导职务部门', '001022015002', '5666200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858499710977', '2', '99', '1323441314754334750', '领导助理部门', '001022015003', '5666200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858499710982', '2', '99', '1323441314754334750', '营业班', '001022015008', '5666200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858499710984', '2', '99', '1323441314754334750', '孔明路支局', '001022015010', '5666200218', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858499710985', '2', '99', '1323441314754334750', '金辉支局', '001022015011', '5666200219', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905280', '2', '99', '1323441314754334750', '七里园支局', '001022015012', '5666200220', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905281', '2', '99', '1323441314754334750', '人民中路支局', '001022015013', '5666200221', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905282', '2', '99', '1323441314754334750', '范蠡路支局', '001022015014', '5666200222', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905283', '2', '99', '1323441314754334750', '新中支局', '001022015015', '5666200223', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905284', '2', '99', '1323441314754334750', '长江路支局', '001022015016', '5666200224', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905285', '2', '99', '1323441314754334750', '中州东路支局', '001022015017', '5666200225', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905289', '2', '99', '1323441314754334750', '保留关系人员部门', '001022015021', '5666200299', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858503905290', '2', '99', '1323441314754334750', '寄递事业部', '001022015022', '5666200288', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099584', '2', '99', '1323441314754334751', '单位领导部门', '001022016001', '5666200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099585', '2', '99', '1323441314754334751', '非领导职务部门', '001022016002', '5666200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099586', '2', '99', '1323441314754334751', '领导助理部门', '001022016003', '5666200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099588', '2', '99', '1323441314754334751', '营业班', '001022016005', '5666200311', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099589', '2', '99', '1323441314754334751', '泰山路支局', '001022016006', '5666200313', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099590', '2', '99', '1323441314754334751', '中南路支局', '001022016007', '5666200314', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858508099592', '2', '99', '1323441314754334751', '保留关系人员部门', '001022016009', '5666200399', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293888', '2', '99', '1323441314754334751', '寄递事业部', '001022016013', '5666200388', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293889', '2', '99', '1323441314754334752', '单位领导部门', '001023012', '5667000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293890', '2', '99', '1323441314754334752', '非领导职务部门', '001023013', '5667000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293891', '2', '99', '1323441314754334752', '领导助理部门', '001023014', '5667000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293893', '2', '99', '1323441314754334752', '服务质量部（普遍服务部）', '001023016', '5667000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293897', '2', '99', '1323441314754334752', '综合办公室（党委办公室、安全保卫部）', '001023020', '5667000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858512293898', '2', '99', '1323441314754334752', '财务部', '001023021', '5667000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488192', '2', '99', '1323441314754334752', '人力资源部（党委组织部）', '001023022', '5667000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488193', '2', '99', '1323441314754334752', '党委党建工作部（纪委办公室）', '001023023', '5667000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488194', '2', '99', '1323441314754334752', '工会', '001023024', '5667000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488196', '2', '99', '1323441314754334752', '保留关系人员部门', '001023026', '5667000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488197', '2', '99', '1323441314754334752', '客户营销中心', '001023027', '566700000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488198', '2', '99', '1323441314754334752', '业务档案班', '001023028', '566700000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488199', '2', '99', '1323441314754334752', '业务管理室', '001023029', '566700000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488200', '2', '99', '1323441314754334752', '内控管理室', '001023030', '566700000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858516488201', '2', '99', '1323441314754334752', '业务管理室', '001023031', '566700000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682496', '2', '99', '1323441314754334752', '创意研发室', '001023032', '566700000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682497', '2', '99', '1323441314754334752', '商函制作班', '001023033', '566700000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682499', '2', '99', '1323441314754334752', '电商分销室', '001023035', '566700001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682500', '2', '99', '1323441314754334752', '寄递事业部', '001023036', '5667000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682501', '2', '99', '1323441314754334753', '单位领导部门', '001023001001', '5667010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682502', '2', '99', '1323441314754334753', '非领导职务部门', '001023001002', '5667010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858520682503', '2', '99', '1323441314754334753', '领导助理部门', '001023001003', '5667010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876800', '2', '99', '1323441314754334753', '综合办公室（安全保卫部）', '001023001008', '5667010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876801', '2', '99', '1323441314754334753', '营业班', '001023001009', '5667010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876802', '2', '99', '1323441314754334753', '八里岔支局', '001023001010', '5667010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876803', '2', '99', '1323441314754334753', '白店支局', '001023001011', '5667010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876804', '2', '99', '1323441314754334753', '包信支局', '001023001012', '5667010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876805', '2', '99', '1323441314754334753', '北大街支局', '001023001013', '5667010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876806', '2', '99', '1323441314754334753', '曹黄林支局', '001023001014', '5667010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876807', '2', '99', '1323441314754334753', '车站支局', '001023001015', '5667010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876808', '2', '99', '1323441314754334753', '陈棚支局', '001023001016', '5667010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858524876809', '2', '99', '1323441314754334753', '东岳支局', '001023001017', '5667010023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071104', '2', '99', '1323441314754334753', '岗李店支局', '001023001018', '5667010024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071105', '2', '99', '1323441314754334753', '关店支局', '001023001019', '5667010025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071107', '2', '99', '1323441314754334753', '临河支局', '001023001021', '5667010027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071108', '2', '99', '1323441314754334753', '路口支局', '001023001022', '5667010028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071109', '2', '99', '1323441314754334753', '彭店支局', '001023001023', '5667010029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071111', '2', '99', '1323441314754334753', '孙庙支局', '001023001025', '5667010031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071112', '2', '99', '1323441314754334753', '息州支局', '001023001026', '5667010032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858529071113', '2', '99', '1323441314754334753', '夏庄镇支局', '001023001027', '5667010033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858533265408', '2', '99', '1323441314754334753', '项店支局', '001023001028', '5667010034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858533265409', '2', '99', '1323441314754334753', '小茴店支局', '001023001029', '5667010035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858533265412', '2', '99', '1323441314754334753', '张陶支局', '001023001032', '5667010038', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858533265413', '2', '99', '1323441314754334753', '长陵支局', '001023001033', '5667010039', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858533265416', '2', '99', '1323441314754334753', '保留关系人员部门', '001023001036', '5667010099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858533265417', '2', '99', '1323441314754334753', '机要室', '001023001037', '566701000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459712', '2', '99', '1323441314754334753', '寄递事业部', '001023001039', '5667010088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459713', '2', '99', '1323441314754334754', '单位领导部门', '001023002001', '5667020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459714', '2', '99', '1323441314754334754', '非领导职务部门', '001023002002', '5667020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459715', '2', '99', '1323441314754334754', '领导助理部门', '001023002003', '5667020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459720', '2', '99', '1323441314754334754', '综合办公室（安全保卫部）', '001023002008', '5667020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459721', '2', '99', '1323441314754334754', '营业班', '001023002009', '5667020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858537459723', '2', '99', '1323441314754334754', '白店支局', '001023002011', '5667020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654016', '2', '99', '1323441314754334754', '卜集支局', '001023002012', '5667020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654017', '2', '99', '1323441314754334754', '传店支局', '001023002013', '5667020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654020', '2', '99', '1323441314754334754', '江集支局', '001023002016', '5667020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654021', '2', '99', '1323441314754334754', '来龙支局', '001023002017', '5667020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654022', '2', '99', '1323441314754334754', '隆古支局', '001023002018', '5667020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654024', '2', '99', '1323441314754334754', '牛岗支局', '001023002020', '5667020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858541654026', '2', '99', '1323441314754334754', '仁和支局', '001023002022', '5667020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858545848322', '2', '99', '1323441314754334754', '双柳支局', '001023002025', '5667020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858545848323', '2', '99', '1323441314754334754', '谈店支局', '001023002026', '5667020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858545848324', '2', '99', '1323441314754334754', '桃林支局', '001023002027', '5667020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858545848328', '2', '99', '1323441314754334754', '衙门口支局', '001023002031', '5667020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858545848329', '2', '99', '1323441314754334754', '张集镇支局', '001023002032', '5667020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858545848330', '2', '99', '1323441314754334754', '保留关系人员部门', '001023002033', '5667020099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858550042624', '2', '99', '1323441314754334754', '机要室', '001023002034', '566702000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858550042626', '2', '99', '1323441314754334754', '寄递事业部', '001023002036', '5667020088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858550042627', '2', '99', '1323441314754334755', '单位领导部门', '001023003001', '5667030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858550042628', '2', '99', '1323441314754334755', '非领导职务部门', '001023003002', '5667030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858550042629', '2', '99', '1323441314754334755', '领导助理部门', '001023003003', '5667030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858550042634', '2', '99', '1323441314754334755', '综合办公室（安全保卫部）', '001023003008', '5667030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858554236928', '2', '99', '1323441314754334755', '营业班', '001023003009', '5667030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858554236930', '2', '99', '1323441314754334755', '定远支局', '001023003011', '5667030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858554236932', '2', '99', '1323441314754334755', '高店支局', '001023003013', '5667030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858554236933', '2', '99', '1323441314754334755', '灵山支局', '001023003014', '5667030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431233', '2', '99', '1323441314754334755', '潘新支局', '001023003019', '5667030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431234', '2', '99', '1323441314754334755', '彭新支局', '001023003020', '5667030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431235', '2', '99', '1323441314754334755', '青山支局', '001023003021', '5667030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431236', '2', '99', '1323441314754334755', '山店支局', '001023003022', '5667030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431238', '2', '99', '1323441314754334755', '五一支局', '001023003024', '5667030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431239', '2', '99', '1323441314754334755', '西大街支局', '001023003025', '5667030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431241', '2', '99', '1323441314754334755', '周党支局', '001023003027', '5667030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858558431242', '2', '99', '1323441314754334755', '朱堂支局', '001023003028', '5667030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858562625538', '2', '99', '1323441314754334755', '保留关系人员部门', '001023003031', '5667030099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858562625539', '2', '99', '1323441314754334755', '机要室', '001023003032', '566703000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858562625541', '2', '99', '1323441314754334755', '寄递事业部', '001023003034', '5667030088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858562625542', '2', '99', '1323441314754334756', '单位领导部门', '001023004001', '5667040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858562625543', '2', '99', '1323441314754334756', '非领导职务部门', '001023004002', '5667040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858562625544', '2', '99', '1323441314754334756', '领导助理部门', '001023004003', '5667040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858566819842', '2', '99', '1323441314754334756', '综合办公室（安全保卫部）', '001023004008', '5667040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858566819843', '2', '99', '1323441314754334756', '营业班', '001023004009', '5667040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858566819846', '2', '99', '1323441314754334756', '北关支局', '001023004012', '5667040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858566819849', '2', '99', '1323441314754334756', '斛山支局', '001023004015', '5667040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014144', '2', '99', '1323441314754334756', '凉亭支局', '001023004017', '5667040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014146', '2', '99', '1323441314754334756', '罗陈支局', '001023004019', '5667040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014147', '2', '99', '1323441314754334756', '马畈支局', '001023004020', '5667040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014149', '2', '99', '1323441314754334756', '南向店支局', '001023004022', '5667040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014150', '2', '99', '1323441314754334756', '泼河支局', '001023004023', '5667040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014152', '2', '99', '1323441314754334756', '孙铁铺支局', '001023004025', '5667040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858571014153', '2', '99', '1323441314754334756', '文殊支局', '001023004026', '5667040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208449', '2', '99', '1323441314754334756', '晏河支局', '001023004028', '5667040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208451', '2', '99', '1323441314754334756', '殷棚支局', '001023004030', '5667040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208452', '2', '99', '1323441314754334756', '寨河支局', '001023004031', '5667040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208453', '2', '99', '1323441314754334756', '砖桥支局', '001023004032', '5667040037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208454', '2', '99', '1323441314754334756', '河棚支局（所）', '001023004033', '5667040043', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208455', '2', '99', '1323441314754334756', '保留关系人员部门', '001023004034', '5667040099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208456', '2', '99', '1323441314754334756', '机要室', '001023004035', '566704000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858575208458', '2', '99', '1323441314754334756', '寄递事业部', '001023004037', '5667040088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858579402752', '2', '99', '1323441314754334757', '单位领导部门', '001023005001', '5667050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858579402753', '2', '99', '1323441314754334757', '非领导职务部门', '001023005002', '5667050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858579402754', '2', '99', '1323441314754334757', '领导助理部门', '001023005003', '5667050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858579402759', '2', '99', '1323441314754334757', '综合办公室（安全保卫部）', '001023005008', '5667050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858579402760', '2', '99', '1323441314754334757', '营业班', '001023005009', '5667050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858579402762', '2', '99', '1323441314754334757', '东双河支局', '001023005011', '5667050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858583597056', '2', '99', '1323441314754334757', '董家河支局', '001023005012', '5667050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858583597063', '2', '99', '1323441314754334757', '李家寨支局', '001023005019', '5667050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858583597064', '2', '99', '1323441314754334757', '柳林支局', '001023005020', '5667050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858587791361', '2', '99', '1323441314754334757', '明港农工路支局', '001023005023', '5667050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858587791365', '2', '99', '1323441314754334757', '彭家湾支局', '001023005027', '5667050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858587791368', '2', '99', '1323441314754334757', '平西路支局', '001023005030', '5667050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858587791369', '2', '99', '1323441314754334757', '人民路支局', '001023005031', '5667050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858587791370', '2', '99', '1323441314754334757', '浉河港支局', '001023005032', '5667050037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985664', '2', '99', '1323441314754334757', '十三里桥支局', '001023005033', '5667050038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985665', '2', '99', '1323441314754334757', '谭家河支局', '001023005034', '5667050039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985667', '2', '99', '1323441314754334757', '吴家店支局', '001023005036', '5667050041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985668', '2', '99', '1323441314754334757', '五里店支局', '001023005037', '5667050042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985670', '2', '99', '1323441314754334757', '肖王支局', '001023005039', '5667050044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985671', '2', '99', '1323441314754334757', '邢集支局', '001023005040', '5667050045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858591985673', '2', '99', '1323441314754334757', '游河支局', '001023005042', '5667050047', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179968', '2', '99', '1323441314754334757', '长台关支局', '001023005043', '5667050048', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179969', '2', '99', '1323441314754334757', '保留关系人员部门', '001023005044', '5667050099', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179970', '2', '99', '1323441314754334757', '机要室', '001023005045', '566705000401', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179972', '2', '99', '1323441314754334757', '寄递事业部', '001023005047', '5667050088', '146', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179973', '2', '99', '1323441314754334758', '单位领导部门', '001023006001', '5667060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179974', '2', '99', '1323441314754334758', '非领导职务部门', '001023006002', '5667060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858596179975', '2', '99', '1323441314754334758', '领导助理部门', '001023006003', '5667060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374273', '2', '99', '1323441314754334758', '综合办公室（安全保卫部）', '001023006008', '5667060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374274', '2', '99', '1323441314754334758', '营业班', '001023006009', '5667060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374275', '2', '99', '1323441314754334758', '八里畈支局', '001023006010', '5667060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374276', '2', '99', '1323441314754334758', '陈店支局', '001023006011', '5667060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374277', '2', '99', '1323441314754334758', '陡山河支局', '001023006012', '5667060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374278', '2', '99', '1323441314754334758', '郭家河支局', '001023006013', '5667060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858600374279', '2', '99', '1323441314754334758', '浒湾支局', '001023006014', '5667060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858604568576', '2', '99', '1323441314754334758', '千斤支局', '001023006017', '5667060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858604568578', '2', '99', '1323441314754334758', '沙窝支局', '001023006019', '5667060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858604568580', '2', '99', '1323441314754334758', '苏河支局', '001023006021', '5667060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858604568584', '2', '99', '1323441314754334758', '新集支局', '001023006025', '5667060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858608762880', '2', '99', '1323441314754334758', '保留关系人员部门', '001023006028', '5667060099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858608762881', '2', '99', '1323441314754334758', '机要室', '001023006029', '566706000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858608762882', '2', '99', '1323441314754334758', '寄递事业部', '001023006030', '5667060088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858608762883', '2', '99', '1323441314754334759', '单位领导部门', '001023007001', '5667070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858608762884', '2', '99', '1323441314754334759', '非领导职务部门', '001023007002', '5667070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858608762885', '2', '99', '1323441314754334759', '领导助理部门', '001023007003', '5667070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858612957185', '2', '99', '1323441314754334759', '综合办公室（安全保卫部）', '001023007008', '5667070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858612957186', '2', '99', '1323441314754334759', '营业班', '001023007009', '5667070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858612957187', '2', '99', '1323441314754334759', '北岗支局', '001023007010', '5667070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858621345792', '2', '99', '1323441314754334759', '防胡支局', '001023007014', '5667070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858621345793', '2', '99', '1323441314754334759', '谷堆支局', '001023007015', '5667070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858621345794', '2', '99', '1323441314754334759', '固城支局', '001023007016', '5667070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858625540097', '2', '99', '1323441314754334759', '马集支局', '001023007019', '5667070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858625540098', '2', '99', '1323441314754334759', '期思支局', '001023007020', '5667070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858633928705', '2', '99', '1323441314754334759', '新里支局', '001023007027', '5667070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858633928706', '2', '99', '1323441314754334759', '张里支局', '001023007028', '5667070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858633928707', '2', '99', '1323441314754334759', '张庄支局', '001023007029', '5667070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858633928708', '2', '99', '1323441314754334759', '赵集支局', '001023007030', '5667070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858638123008', '2', '99', '1323441314754334759', '保留关系人员部门', '001023007033', '5667070099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858638123009', '2', '99', '1323441314754334759', '机要室', '001023007034', '566707000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858638123011', '2', '99', '1323441314754334759', '寄递事业部', '001023007036', '5667070088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858638123012', '2', '99', '1323441314754334760', '单位领导部门', '001023008001', '5667080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858638123013', '2', '99', '1323441314754334760', '非领导职务部门', '001023008002', '5667080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858638123014', '2', '99', '1323441314754334760', '领导助理部门', '001023008003', '5667080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858642317316', '2', '99', '1323441314754334760', '综合办公室（安全保卫部）', '001023008008', '5667080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858642317317', '2', '99', '1323441314754334760', '营业班', '001023008009', '5667080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858646511616', '2', '99', '1323441314754334760', '陈集支局', '001023008011', '5667080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858646511617', '2', '99', '1323441314754334760', '陈淋子支局', '001023008012', '5667080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858646511620', '2', '99', '1323441314754334760', '段集支局', '001023008015', '5667080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858646511621', '2', '99', '1323441314754334760', '方集支局', '001023008016', '5667080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858646511622', '2', '99', '1323441314754334760', '分水支局', '001023008017', '5667080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858646511625', '2', '99', '1323441314754334760', '郭陆滩支局', '001023008020', '5667080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858650705921', '2', '99', '1323441314754334760', '胡族支局', '001023008022', '5667080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858650705922', '2', '99', '1323441314754334760', '黄河路支局', '001023008023', '5667080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858650705924', '2', '99', '1323441314754334760', '黎集镇支局', '001023008025', '5667080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858650705925', '2', '99', '1323441314754334760', '李店支局', '001023008026', '5667080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858654900224', '2', '99', '1323441314754334760', '南大桥支局', '001023008030', '5667080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858654900225', '2', '99', '1323441314754334760', '桥沟支局', '001023008031', '5667080036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858654900228', '2', '99', '1323441314754334760', '沙河支局', '001023008034', '5667080039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858654900229', '2', '99', '1323441314754334760', '石佛支局', '001023008035', '5667080040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858654900230', '2', '99', '1323441314754334760', '汪棚支局', '001023008036', '5667080041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858654900231', '2', '99', '1323441314754334760', '往流镇所', '001023008037', '5667080042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858659094529', '2', '99', '1323441314754334760', '张广支局', '001023008041', '5667080046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858659094532', '2', '99', '1323441314754334760', '中山大街支局', '001023008044', '5667080049', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858659094534', '2', '99', '1323441314754334760', '保留关系人员部门', '001023008046', '5667080099', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858659094535', '2', '99', '1323441314754334760', '机要室', '001023008047', '566708000401', '146', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858659094537', '2', '99', '1323441314754334760', '寄递事业部', '001023008049', '5667080088', '148', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858663288832', '2', '99', '1323441314754334761', '单位领导部门', '001023009001', '5667090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858663288833', '2', '99', '1323441314754334761', '非领导职务部门', '001023009002', '5667090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858663288834', '2', '99', '1323441314754334761', '领导助理部门', '001023009003', '5667090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858663288839', '2', '99', '1323441314754334761', '综合办公室（安全保卫部）', '001023009008', '5667090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858663288840', '2', '99', '1323441314754334761', '营业班', '001023009009', '5667090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858667483138', '2', '99', '1323441314754334761', '达权店支局', '001023009013', '5667090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858667483139', '2', '99', '1323441314754334761', '丰集支局', '001023009014', '5667090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858667483142', '2', '99', '1323441314754334761', '观庙支局', '001023009017', '5667090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858667483144', '2', '99', '1323441314754334761', '金刚台支局', '001023009019', '5667090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858671677442', '2', '99', '1323441314754334761', '上石桥支局', '001023009023', '5667090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858671677443', '2', '99', '1323441314754334761', '双铺支局', '001023009024', '5667090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858671677446', '2', '99', '1323441314754334761', '汪桥支局', '001023009027', '5667090032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858671677447', '2', '99', '1323441314754334761', '吴河支局', '001023009028', '5667090033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858671677449', '2', '99', '1323441314754334761', '西城区支局', '001023009030', '5667090035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871745', '2', '99', '1323441314754334761', '余集支局', '001023009032', '5667090037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871746', '2', '99', '1323441314754334761', '长竹园支局', '001023009033', '5667090038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871747', '2', '99', '1323441314754334761', '保留关系人员部门', '001023009034', '5667090099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871748', '2', '99', '1323441314754334761', '机要室', '001023009035', '566709000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871750', '2', '99', '1323441314754334761', '寄递事业部', '001023009037', '5667090088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871751', '2', '99', '1323441314758529024', '单位领导部门', '001023010001', '5667200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871752', '2', '99', '1323441314758529024', '非领导职务部门', '001023010002', '5667200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858675871753', '2', '99', '1323441314758529024', '领导助理部门', '001023010003', '5667200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858680066048', '2', '99', '1323441314758529024', '机要通信分局内设机构（虚拟部门）', '001023010004', '5667200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858680066049', '2', '99', '1323441314758529024', '保留关系人员部门', '001023010005', '5667200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858680066050', '2', '99', '1323441314758529025', '单位领导部门', '001023011001', '5667200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858680066051', '2', '99', '1323441314758529025', '非领导职务部门', '001023011002', '5667200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858680066052', '2', '99', '1323441314758529025', '领导助理部门', '001023011003', '5667200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858684260352', '2', '99', '1323441314758529025', '营业班', '001023011008', '5667200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858684260354', '2', '99', '1323441314758529025', '东方红大道支局', '001023011010', '5667200215', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858684260356', '2', '99', '1323441314758529025', '湖东路支局', '001023011012', '5667200217', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858684260359', '2', '99', '1323441314758529025', '南湾支局', '001023011015', '5667200220', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858688454661', '2', '99', '1323441314758529025', '保留关系人员部门', '001023011023', '5667200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858688454662', '2', '99', '1323441314758529025', '寄递事业部', '001023011024', '5667200288', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858688454663', '2', '99', '1323441314758529026', '单位领导部门', '001024002', '5668000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858688454664', '2', '99', '1323441314758529026', '非领导职务部门', '001024003', '5668000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858688454665', '2', '99', '1323441314758529026', '领导助理部门', '001024004', '5668000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858692648961', '2', '99', '1323441314758529026', '服务质量部（普遍服务部）', '001024006', '5668000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858692648965', '2', '99', '1323441314758529026', '综合办公室（安全保卫部、党委办公室）', '001024010', '5668000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858692648966', '2', '99', '1323441314758529026', '财务部', '001024011', '5668000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858692648967', '2', '99', '1323441314758529026', '人力资源部（党委组织部）', '001024012', '5668000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858692648968', '2', '99', '1323441314758529026', '党委党建工作部（纪委办公室）', '001024013', '5668000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858696843264', '2', '99', '1323441314758529026', '工会', '001024014', '5668000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858696843265', '2', '99', '1323441314758529026', '营业班', '001024015', '5668000019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858696843266', '2', '99', '1323441314758529026', '北海支局', '001024016', '5668000023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858696843267', '2', '99', '1323441314758529026', '承留支局', '001024017', '5668000024', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858701037568', '2', '99', '1323441314758529026', '东添浆支局', '001024019', '5668000026', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858701037571', '2', '99', '1323441314758529026', '梨林支局', '001024022', '5668000029', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858701037572', '2', '99', '1323441314758529026', '李八庄支局', '001024023', '5668000030', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858701037573', '2', '99', '1323441314758529026', '坡头支局', '001024024', '5668000032', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858701037575', '2', '99', '1323441314758529026', '尚庄支局', '001024026', '5668000034', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858701037576', '2', '99', '1323441314758529026', '邵原支局', '001024027', '5668000035', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231872', '2', '99', '1323441314758529026', '思礼支局', '001024028', '5668000036', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231873', '2', '99', '1323441314758529026', '天坛支局', '001024029', '5668000037', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231874', '2', '99', '1323441314758529026', '王屋支局', '001024030', '5668000038', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231875', '2', '99', '1323441314758529026', '五龙口支局', '001024031', '5668000039', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231876', '2', '99', '1323441314758529026', '西城支局', '001024032', '5668000040', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231877', '2', '99', '1323441314758529026', '下冶支局', '001024033', '5668000041', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231878', '2', '99', '1323441314758529026', '小寨支局', '001024034', '5668000042', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858705231880', '2', '99', '1323441314758529026', '亚桥支局', '001024036', '5668000044', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426176', '2', '99', '1323441314758529026', '轵城支局', '001024037', '5668000045', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426177', '2', '99', '1323441314758529026', '中王支局', '001024038', '5668000046', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426178', '2', '99', '1323441314758529026', '周园东路支局', '001024039', '5668000047', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426179', '2', '99', '1323441314758529026', '保留关系人员部门', '001024040', '5668000099', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426180', '2', '99', '1323441314758529026', '客户营销中心', '001024041', '566800000401', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426181', '2', '99', '1323441314758529026', '业务档案班', '001024042', '566800000501', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858709426183', '2', '99', '1323441314758529026', '商函制作班', '001024044', '566800000801', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858713620480', '2', '99', '1323441314758529026', '寄递事业部', '001024045', '5668000088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858713620481', '2', '99', '1323441314758529027', '单位领导部门', '001024001001', '5668010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858713620482', '2', '99', '1323441314758529027', '非领导职务部门', '001024001002', '5668010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858713620483', '2', '99', '1323441314758529027', '领导助理部门', '001024001003', '5668010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858713620484', '2', '99', '1323441314758529027', '机要通信分局内设机构（虚拟部门）', '001024001004', '5668010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1323441858713620485', '2', '99', '1323441314758529027', '保留关系人员部门', '001024001005', '5668010099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org` VALUES ('1352540044132487168', '1', '3', '1334398186252537856', '分公司本部', '001069001', '20210001', '1', '0', null, '2021-01-22 16:54:10');
INSERT INTO `sys_org` VALUES ('1353520876376690688', '2', '99', '1353520240742502400', '单位领导部门', '001070001', '0656050001', '1', '1', null, '2021-01-25 09:51:39');
INSERT INTO `sys_org` VALUES ('1353521008656650240', '2', '99', '1353520240742502400', '领导助理部门', '001070002', '0656050002', '2', '1', null, '2021-01-25 09:52:10');
INSERT INTO `sys_org` VALUES ('1353521121206603776', '2', '99', '1353520240742502400', '综合办公室（安全保卫部、党委办公室）', '001070003', '0656050003', '3', '1', null, '2021-01-25 09:52:37');
INSERT INTO `sys_org` VALUES ('1353521269391364096', '2', '99', '1353520240742502400', '指挥调度中心', '001070004', '0656050004', '4', '1', null, '2021-01-25 09:53:12');
INSERT INTO `sys_org` VALUES ('1353521429995458560', '2', '99', '1353520240742502400', '财务部', '001070005', '0656050005', '5', '1', null, '2021-01-25 09:53:51');
INSERT INTO `sys_org` VALUES ('1353521503475470336', '2', '99', '1353520240742502400', '人力资源部', '001070006', '0656050006', '6', '1', null, '2021-01-25 09:54:08');
INSERT INTO `sys_org` VALUES ('1353521580759715840', '2', '99', '1353520240742502400', '监督检查部', '001070007', '0656050007', '7', '1', null, '2021-01-25 09:54:27');
INSERT INTO `sys_org` VALUES ('1353521659792986112', '2', '99', '1353520240742502400', '党委党建工作部（纪委办公室）', '001070008', '0656050008', '8', '1', null, '2021-01-25 09:54:46');
INSERT INTO `sys_org` VALUES ('1353521774070992896', '2', '99', '1353520240742502400', '工会', '001070009', '0656050009', '9', '1', null, '2021-01-25 09:55:13');
INSERT INTO `sys_org` VALUES ('1353522029130813440', '2', '99', '1353520240742502400', '运行维护中心', '001070012', '0656050012', '12', '1', null, '2021-01-25 09:56:14');
INSERT INTO `sys_org` VALUES ('1353522176086642688', '2', '99', '1353520240742502400', '保留关系人员部门', '001070014', '0656050014', '14', '1', null, '2021-01-25 09:56:49');
INSERT INTO `sys_org` VALUES ('1366299625929183232', '2', '99', '1323441314733363200', '运营管理部', '001071', '560000000705', '45', '1', null, '2021-03-01 16:09:50');
INSERT INTO `sys_org` VALUES ('1366299958692679680', '2', '99', '1323441314737557510', '运营管理部', '001007047', '5651000089', '131', '1', null, '2021-03-01 16:11:09');
INSERT INTO `sys_org` VALUES ('1366300355368980480', '2', '99', '1323441314737557526', '运营管理部', '001008034', '5652000006', '130', '1', null, '2021-03-01 16:12:44');
INSERT INTO `sys_org` VALUES ('1366300946329636864', '2', '99', '1323441314737557535', '运营管理部', '001009041', '565300001003', '130', '1', null, '2021-03-01 16:15:05');
INSERT INTO `sys_org` VALUES ('1366302695933218816', '2', '99', '1323441314754334752', '运营管理部', '001023037', '566700001003', '130', '1', null, '2021-03-01 16:22:02');
INSERT INTO `sys_org` VALUES ('1366302806306328576', '2', '99', '1323441314758529026', '运营管理部', '001024046', '566800000802', '130', '1', null, '2021-03-01 16:22:28');
INSERT INTO `sys_org` VALUES ('1371389197931384832', '2', '99', '1323441314741751820', '武汉南路支局', '001009013025', '5653200434', '1', '1', null, '2021-03-15 17:13:59');
INSERT INTO `sys_org` VALUES ('1575686278798774272', '2', '99', '1323441314733363200', '其他', '001072', '56690000', '24', '0', null, '2022-09-30 11:17:38');
INSERT INTO `sys_org` VALUES ('1575687397113466880', '1', '2', '1323441314733363200', '其他', '001073', '56790000', '25', '1', null, '2022-09-30 11:22:05');

-- ----------------------------
-- Table structure for sys_org_copy1
-- ----------------------------
DROP TABLE IF EXISTS `sys_org_copy1`;
CREATE TABLE `sys_org_copy1` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、机构。2、部门。',
  `lv` smallint(3) DEFAULT NULL COMMENT '层级：1、省。2、市。3、县。4、支。99、部门',
  `pid` bigint(20) DEFAULT '0' COMMENT '上级id',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `code` varchar(20) DEFAULT NULL COMMENT '系统编号（001001001）方式',
  `use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义编号（部门默认、0000）',
  `seq` smallint(3) DEFAULT '999' COMMENT '顺序号',
  `state` smallint(1) DEFAULT '1' COMMENT '状态 ：0、禁用 。1、正常。',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='机构部门';

-- ----------------------------
-- Records of sys_org_copy1
-- ----------------------------
INSERT INTO `sys_org_copy1` VALUES ('1323441314733363200', '1', '1', '0', '河南省', '001', '56000000', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557504', '1', '2', '1323441314733363200', '河南省培训中心', '001001', '56040000', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557510', '1', '2', '1323441314733363200', '郑州市', '001007', '56510000', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557511', '1', '3', '1323441314737557510', '郑州市上街区分公司', '001007001', '56510100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557512', '1', '3', '1323441314737557510', '河南省荥阳市分公司', '001007002', '56510200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557513', '1', '3', '1323441314737557510', '河南省中牟县分公司', '001007003', '56510300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557514', '1', '3', '1323441314737557510', '河南省新郑市分公司', '001007004', '56510400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557515', '1', '3', '1323441314737557510', '河南省巩义市分公司', '001007005', '56510500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557516', '1', '3', '1323441314737557510', '河南省登封市分公司', '001007006', '56510600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557517', '1', '3', '1323441314737557510', '河南省新密市分公司', '001007007', '56510700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557518', '1', '3', '1323441314737557510', '郑州市中原区分公司', '001007008', '56512000', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557519', '1', '3', '1323441314737557510', '郑州市二七区分公司', '001007009', '56512001', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557520', '1', '3', '1323441314737557510', '郑州市管城区分公司', '001007010', '56512002', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557521', '1', '3', '1323441314737557510', '郑州市金水区分公司', '001007011', '56512003', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557522', '1', '3', '1323441314737557510', '郑州市郑东新区分公司', '001007012', '56512004', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557523', '1', '3', '1323441314737557510', '郑州市惠济区分公司', '001007013', '56512005', '12', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557524', '1', '3', '1323441314737557510', '郑州市高新区分公司', '001007014', '56512006', '13', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557525', '1', '3', '1323441314737557510', '郑州市经开区分公司', '001007015', '56512007', '14', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557526', '1', '2', '1323441314733363200', '开封市', '001008', '56520000', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557527', '1', '3', '1323441314737557526', '河南省杞县分公司', '001008001', '56520100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557528', '1', '3', '1323441314737557526', '河南省通许县分公司', '001008002', '56520200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557529', '1', '3', '1323441314737557526', '河南省尉氏县分公司', '001008003', '56520300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557530', '1', '3', '1323441314737557526', '开封市祥符区分公司', '001008004', '56520400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557531', '1', '3', '1323441314737557526', '河南省兰考县分公司', '001008005', '56520500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557532', '1', '3', '1323441314737557526', '开封市机要通信分局', '001008006', '56522000', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557533', '1', '3', '1323441314737557526', '开封市新区分公司', '001008007', '56522001', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557534', '1', '3', '1323441314737557526', '开封市宋城区分公司', '001008008', '56522002', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314737557535', '1', '2', '1323441314733363200', '洛阳市', '001009', '56530000', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751808', '1', '3', '1323441314737557535', '河南省偃师市分公司', '001009001', '56530100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751809', '1', '3', '1323441314737557535', '河南省孟津县分公司', '001009002', '56530200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751810', '1', '3', '1323441314737557535', '河南省新安县分公司', '001009003', '56530300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751811', '1', '3', '1323441314737557535', '河南省伊川县分公司', '001009004', '56530400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751812', '1', '3', '1323441314737557535', '河南省汝阳县分公司', '001009005', '56530500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751813', '1', '3', '1323441314737557535', '河南省嵩县分公司', '001009006', '56530600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751814', '1', '3', '1323441314737557535', '河南省洛宁县分公司', '001009007', '56530700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751815', '1', '3', '1323441314737557535', '河南省栾川县分公司', '001009008', '56530800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751816', '1', '3', '1323441314737557535', '河南省宜阳县分公司', '001009009', '56530900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751817', '1', '3', '1323441314737557535', '洛阳市机要通信分局', '001009010', '56532000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751818', '1', '3', '1323441314737557535', '洛阳市西工区分公司', '001009011', '56532002', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751819', '1', '3', '1323441314737557535', '洛阳市老城区分公司', '001009012', '56532003', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751820', '1', '3', '1323441314737557535', '洛阳市涧西区分公司', '001009013', '56532004', '12', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751821', '1', '3', '1323441314737557535', '洛阳市洛龙区分公司', '001009014', '56532005', '13', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751822', '1', '3', '1323441314737557535', '洛阳市吉利区分公司', '001009015', '56532006', '14', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751823', '1', '2', '1323441314733363200', '平顶山市分公司本部', '001010', '56540000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751824', '1', '3', '1323441314741751823', '河南省鲁山县分公司', '001010001', '56540100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751825', '1', '3', '1323441314741751823', '河南省舞钢市分公司', '001010002', '56540200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751826', '1', '3', '1323441314741751823', '河南省叶县分公司', '001010003', '56540300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751827', '1', '3', '1323441314741751823', '河南省郏县分公司', '001010004', '56540400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751828', '1', '3', '1323441314741751823', '河南省宝丰县分公司', '001010005', '56540500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751829', '1', '3', '1323441314741751823', '河南省汝州市分公司', '001010006', '56540600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751830', '1', '3', '1323441314741751823', '平顶山市机要通信分局', '001010007', '56542000', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751831', '1', '3', '1323441314741751823', '平顶山市东区分公司', '001010008', '56542001', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751832', '1', '3', '1323441314741751823', '平顶山市西区分公司', '001010009', '56542002', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751833', '1', '2', '1323441314733363200', '安阳市', '001011', '56550000', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751834', '1', '3', '1323441314741751833', '河南省林州市分公司', '001011001', '56550100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751835', '1', '3', '1323441314741751833', '河南省滑县分公司', '001011002', '56550200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751836', '1', '3', '1323441314741751833', '河南省安阳县分公司', '001011003', '56550300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751837', '1', '3', '1323441314741751833', '河南省汤阴县分公司', '001011004', '56550400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751838', '1', '3', '1323441314741751833', '河南省内黄县分公司', '001011005', '56550500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751839', '1', '3', '1323441314741751833', '安阳市机要通信分局', '001011006', '56552000', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751840', '1', '3', '1323441314741751833', '安阳市文峰区分公司', '001011007', '56552001', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751841', '1', '3', '1323441314741751833', '安阳市殷都区分公司', '001011008', '56552002', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751842', '1', '2', '1323441314733363200', '鹤壁市', '001012', '56560000', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751843', '1', '3', '1323441314741751842', '河南省淇县分公司', '001012001', '56560100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751844', '1', '3', '1323441314741751842', '河南省浚县分公司', '001012002', '56560200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314741751845', '1', '3', '1323441314741751842', '鹤壁市机要通信分局', '001012003', '56562000', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946112', '1', '3', '1323441314741751842', '鹤壁市山城区分公司', '001012004', '56562001', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946113', '1', '3', '1323441314741751842', '鹤壁市淇滨区分公司', '001012005', '56562002', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946114', '1', '2', '1323441314733363200', '新乡市分公司本部', '001013', '56570000', '12', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946115', '1', '3', '1323441314745946114', '河南省新乡县分公司', '001013001', '56570100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946116', '1', '3', '1323441314745946114', '河南省卫辉市分公司', '001013002', '56570200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946117', '1', '3', '1323441314745946114', '河南省长垣县分公司', '001013003', '56570300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946118', '1', '3', '1323441314745946114', '河南省获嘉县分公司', '001013004', '56570400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946119', '1', '3', '1323441314745946114', '河南省辉县市分公司', '001013005', '56570500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946120', '1', '3', '1323441314745946114', '河南省原阳县分公司', '001013006', '56570600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946121', '1', '3', '1323441314745946114', '河南省延津县分公司', '001013007', '56570700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946122', '1', '3', '1323441314745946114', '河南省封丘县分公司', '001013008', '56570800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946123', '1', '3', '1323441314745946114', '新乡市机要通信分局', '001013009', '56572000', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946124', '1', '3', '1323441314745946114', '新乡市红旗区分公司', '001013010', '56572001', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946125', '1', '3', '1323441314745946114', '新乡市卫滨区分公司', '001013011', '56572002', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946126', '1', '3', '1323441314745946114', '新乡市凤泉区分公司', '001013012', '56572003', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946127', '1', '2', '1323441314733363200', '焦作市分公司本部', '001014', '56580000', '13', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946128', '1', '3', '1323441314745946127', '河南省修武县分公司', '001014001', '56580100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946129', '1', '3', '1323441314745946127', '河南省博爱县分公司', '001014002', '56580200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946130', '1', '3', '1323441314745946127', '河南省沁阳市分公司', '001014003', '56580300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946131', '1', '3', '1323441314745946127', '河南省孟州市分公司', '001014004', '56580400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946132', '1', '3', '1323441314745946127', '河南省温县分公司', '001014005', '56580500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946133', '1', '3', '1323441314745946127', '河南省武陟县分公司', '001014006', '56580600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946134', '1', '3', '1323441314745946127', '焦作市机要通信分局', '001014007', '56582000', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946135', '1', '3', '1323441314745946127', '焦作市解放区分公司', '001014008', '56582001', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946136', '1', '3', '1323441314745946127', '焦作市高新区分公司', '001014009', '56582002', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946137', '1', '2', '1323441314733363200', '濮阳市分公司本部', '001015', '56590000', '14', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946138', '1', '3', '1323441314745946137', '河南省濮阳县分公司', '001015001', '56590100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946139', '1', '3', '1323441314745946137', '河南省清丰县分公司', '001015002', '56590200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946140', '1', '3', '1323441314745946137', '河南省南乐县分公司', '001015003', '56590300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946141', '1', '3', '1323441314745946137', '河南省范县分公司', '001015004', '56590400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946142', '1', '3', '1323441314745946137', '河南省台前县分公司', '001015005', '56590500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946143', '1', '3', '1323441314745946137', '濮阳市机要通信分局', '001015006', '56592000', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946144', '1', '3', '1323441314745946137', '濮阳市开发区分公司', '001015007', '56592001', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946145', '1', '3', '1323441314745946137', '濮阳市华龙区分公司', '001015008', '56592002', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946146', '1', '2', '1323441314733363200', '三门峡市分公司本部', '001016', '56600000', '15', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946147', '1', '3', '1323441314745946146', '河南省义马市分公司', '001016001', '56600100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946148', '1', '3', '1323441314745946146', '河南省渑池县分公司', '001016002', '56600200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314745946149', '1', '3', '1323441314745946146', '三门峡市陕州区分公司', '001016003', '56600300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140416', '1', '3', '1323441314745946146', '河南省灵宝市分公司', '001016004', '56600400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140417', '1', '3', '1323441314745946146', '河南省卢氏县分公司', '001016005', '56600500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140418', '1', '3', '1323441314745946146', '三门峡市机要通信分局', '001016006', '56602000', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140419', '1', '3', '1323441314745946146', '三门峡市市区分公司', '001016007', '56602001', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140420', '1', '2', '1323441314733363200', '许昌市分公司本部', '001017', '56610000', '16', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140421', '1', '3', '1323441314750140420', '河南省禹州市分公司', '001017001', '56610100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140422', '1', '3', '1323441314750140420', '河南省长葛市分公司', '001017002', '56610200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140423', '1', '3', '1323441314750140420', '河南省襄城县分公司', '001017003', '56610300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140424', '1', '3', '1323441314750140420', '许昌市建安区分公司', '001017004', '56610400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140425', '1', '3', '1323441314750140420', '河南省鄢陵县分公司', '001017005', '56610500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140426', '1', '3', '1323441314750140420', '许昌市机要通信分局', '001017006', '56612000', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140427', '1', '3', '1323441314750140420', '许昌市建南区分公司', '001017007', '56612001', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140428', '1', '3', '1323441314750140420', '许昌市建北区分公司', '001017008', '56612002', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140429', '1', '2', '1323441314733363200', '漯河市分公司本部', '001018', '56620000', '17', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140430', '1', '3', '1323441314750140429', '河南省临颍县分公司', '001018001', '56620100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140431', '1', '3', '1323441314750140429', '河南省舞阳县分公司', '001018002', '56620200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140432', '1', '3', '1323441314750140429', '漯河市郊区分公司', '001018003', '56620300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140433', '1', '3', '1323441314750140429', '漯河市机要通信分局', '001018004', '56622000', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140434', '1', '3', '1323441314750140429', '漯河市市区分公司', '001018005', '56622001', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140435', '1', '2', '1323441314733363200', '商丘市分公司本部', '001019', '56630000', '18', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140436', '1', '3', '1323441314750140435', '河南省永城市分公司', '001019001', '56630100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140437', '1', '3', '1323441314750140435', '河南省夏邑县分公司', '001019002', '56630200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140438', '1', '3', '1323441314750140435', '河南省虞城县分公司', '001019003', '56630300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140439', '1', '3', '1323441314750140435', '商丘市郊区分公司', '001019004', '56630400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140440', '1', '3', '1323441314750140435', '河南省柘城县分公司', '001019005', '56630500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140441', '1', '3', '1323441314750140435', '河南省宁陵县分公司', '001019006', '56630600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140442', '1', '3', '1323441314750140435', '河南省睢县分公司', '001019007', '56630700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140443', '1', '3', '1323441314750140435', '河南省民权县分公司', '001019008', '56630800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140444', '1', '3', '1323441314750140435', '商丘市机要通信分局', '001019009', '56632000', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140445', '1', '3', '1323441314750140435', '商丘市市区分公司', '001019010', '56632001', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140446', '1', '2', '1323441314733363200', '周口市分公司本部', '001020', '56640000', '19', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140447', '1', '3', '1323441314750140446', '河南省项城市分公司', '001020001', '56640100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140448', '1', '3', '1323441314750140446', '河南省商水县分公司', '001020002', '56640200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140449', '1', '3', '1323441314750140446', '河南省沈丘县分公司', '001020003', '56640300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140450', '1', '3', '1323441314750140446', '河南省太康县分公司', '001020004', '56640400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140451', '1', '3', '1323441314750140446', '河南省西华县分公司', '001020005', '56640500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140452', '1', '3', '1323441314750140446', '河南省郸城县分公司', '001020006', '56640600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140453', '1', '3', '1323441314750140446', '河南省扶沟县分公司', '001020007', '56640700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140454', '1', '3', '1323441314750140446', '河南省鹿邑县分公司', '001020008', '56640800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314750140455', '1', '3', '1323441314750140446', '河南省淮阳县分公司', '001020009', '56640900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334720', '1', '3', '1323441314750140446', '周口市机要通信分局', '001020010', '56642000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334721', '1', '3', '1323441314750140446', '周口市市区分公司', '001020011', '56642001', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334722', '1', '2', '1323441314733363200', '驻马店市分公司本部', '001021', '56650000', '20', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334723', '1', '3', '1323441314754334722', '河南省泌阳县分公司', '001021001', '56650100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334724', '1', '3', '1323441314754334722', '河南省确山县分公司', '001021002', '56650200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334725', '1', '3', '1323441314754334722', '河南省正阳县分公司', '001021003', '56650300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334726', '1', '3', '1323441314754334722', '河南省新蔡县分公司', '001021004', '56650400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334727', '1', '3', '1323441314754334722', '河南省平舆县分公司', '001021005', '56650500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334728', '1', '3', '1323441314754334722', '河南省汝南县分公司', '001021006', '56650600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334729', '1', '3', '1323441314754334722', '河南省上蔡县分公司', '001021007', '56650700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334730', '1', '3', '1323441314754334722', '河南省遂平县分公司', '001021008', '56650800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334731', '1', '3', '1323441314754334722', '河南省西平县分公司', '001021009', '56650900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334732', '1', '3', '1323441314754334722', '驻马店市机要通信分局', '001021010', '56652000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334733', '1', '3', '1323441314754334722', '驻马店市驿城区分公司', '001021011', '56652001', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334734', '1', '3', '1323441314754334722', '驻马店市天中区分公司', '001021012', '56652002', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334735', '1', '2', '1323441314733363200', '南阳市分公司本部', '001022', '56660000', '21', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334736', '1', '3', '1323441314754334735', '河南省南召县分公司', '001022001', '56660100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334737', '1', '3', '1323441314754334735', '河南省方城县分公司', '001022002', '56660200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334738', '1', '3', '1323441314754334735', '河南省西峡县分公司', '001022003', '56660300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334739', '1', '3', '1323441314754334735', '南阳市郊区分公司', '001022004', '56660400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334740', '1', '3', '1323441314754334735', '河南省镇平县分公司', '001022005', '56660500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334741', '1', '3', '1323441314754334735', '河南省内乡县分公司', '001022006', '56660600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334742', '1', '3', '1323441314754334735', '河南省淅川县分公司', '001022007', '56660700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334743', '1', '3', '1323441314754334735', '河南省社旗县分公司', '001022008', '56660800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334744', '1', '3', '1323441314754334735', '河南省唐河县分公司', '001022009', '56660900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334745', '1', '3', '1323441314754334735', '河南省邓州市分公司', '001022010', '56661000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334746', '1', '3', '1323441314754334735', '河南省新野县分公司', '001022011', '56661100', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334747', '1', '3', '1323441314754334735', '河南省桐柏县分公司', '001022012', '56661200', '11', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334748', '1', '3', '1323441314754334735', '南阳市机要通信分局', '001022013', '56662000', '12', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334749', '1', '3', '1323441314754334735', '南阳市卧龙区分公司', '001022014', '56662001', '13', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334750', '1', '3', '1323441314754334735', '南阳市宛城区分公司', '001022015', '56662002', '14', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334751', '1', '3', '1323441314754334735', '南阳市官庄工区分公司', '001022016', '56662003', '15', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334752', '1', '2', '1323441314733363200', '信阳市分公司本部', '001023', '56670000', '22', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334753', '1', '3', '1323441314754334752', '河南省息县分公司', '001023001', '56670100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334754', '1', '3', '1323441314754334752', '河南省潢川县分公司', '001023002', '56670200', '1', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334755', '1', '3', '1323441314754334752', '河南省罗山县分公司', '001023003', '56670300', '2', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334756', '1', '3', '1323441314754334752', '河南省光山县分公司', '001023004', '56670400', '3', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334757', '1', '3', '1323441314754334752', '信阳市郊区分公司', '001023005', '56670500', '4', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334758', '1', '3', '1323441314754334752', '河南省新县分公司', '001023006', '56670600', '5', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334759', '1', '3', '1323441314754334752', '河南省淮滨县分公司', '001023007', '56670700', '6', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334760', '1', '3', '1323441314754334752', '河南省固始县分公司', '001023008', '56670800', '7', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314754334761', '1', '3', '1323441314754334752', '河南省商城县分公司', '001023009', '56670900', '8', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314758529024', '1', '3', '1323441314754334752', '信阳市机要通信分局', '001023010', '56672000', '9', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314758529025', '1', '3', '1323441314754334752', '信阳市市区分公司', '001023011', '56672002', '10', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314758529026', '1', '2', '1323441314733363200', '济源市分公司本部', '001024', '56680000', '23', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441314758529027', '1', '3', '1323441314758529026', '济源市机要通信分局', '001024001', '56680100', '0', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466624', '2', '99', '1323441314733363200', '单位领导部门', '001025', '5600000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466625', '2', '99', '1323441314733363200', '非领导职务部门', '001026', '5600000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466626', '2', '99', '1323441314733363200', '领导助理部门', '001027', '5600000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466627', '2', '99', '1323441314733363200', '市场营销部', '001028', '5600000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466628', '2', '99', '1323441314733363200', '服务质量部（普遍服务部）', '001029', '5600000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466629', '2', '99', '1323441314733363200', '金融业务部', '001030', '5600000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466630', '2', '99', '1323441314733363200', '集邮与文化传媒部', '001031', '5600000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857501466631', '2', '99', '1323441314733363200', '渠道平台部', '001032', '5600000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660928', '2', '99', '1323441314733363200', '办公室（党委办公室）', '001033', '5600000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660929', '2', '99', '1323441314733363200', '财务部', '001034', '5600000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660930', '2', '99', '1323441314733363200', '人力资源部（党委组织部）', '001035', '5600000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660931', '2', '99', '1323441314733363200', '企业发展与科技部', '001036', '5600000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660932', '2', '99', '1323441314733363200', '安全保卫部', '001037', '5600000015', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660933', '2', '99', '1323441314733363200', '审计部', '001038', '5600000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660934', '2', '99', '1323441314733363200', '党委党建工作部', '001039', '5600000017', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660935', '2', '99', '1323441314733363200', '纪委办公室', '001040', '5600000018', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660936', '2', '99', '1323441314733363200', '工会', '001041', '5600000019', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660937', '2', '99', '1323441314733363200', '保留关系人员部门', '001042', '5600000099', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660938', '2', '99', '1323441314733363200', '客户营销中心', '001043', '560000000401', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660939', '2', '99', '1323441314733363200', '数据中心', '001044', '560000000402', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660940', '2', '99', '1323441314733363200', '客户服务中心', '001045', '560000000501', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660941', '2', '99', '1323441314733363200', '储汇业务室', '001046', '560000000701', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660942', '2', '99', '1323441314733363200', '保险理财室', '001047', '560000000702', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660943', '2', '99', '1323441314733363200', '内控管理室', '001048', '560000000703', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857505660944', '2', '99', '1323441314733363200', '中邮保险室', '001049', '560000000704', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855232', '2', '99', '1323441314733363200', '创意研发室', '001050', '560000000802', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855233', '2', '99', '1323441314733363200', '集邮业务室', '001051', '560000000803', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855234', '2', '99', '1323441314733363200', '函件业务室', '001052', '560000000804', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855235', '2', '99', '1323441314733363200', '渠道管理室', '001053', '560000001001', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855236', '2', '99', '1323441314733363200', '电商分销室', '001054', '560000001002', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855237', '2', '99', '1323441314733363200', '法律事务室', '001055', '560000001101', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855238', '2', '99', '1323441314733363200', '新闻宣传中心', '001056', '560000001102', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855239', '2', '99', '1323441314733363200', '采购中心', '001057', '560000001103', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855240', '2', '99', '1323441314733363200', '档案馆（博物馆）', '001058', '560000001104', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855241', '2', '99', '1323441314733363200', '企业协会', '001059', '560000001106', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855242', '2', '99', '1323441314733363200', '后勤服务中心', '001060', '560000001107', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855243', '2', '99', '1323441314733363200', '会计核算中心', '001061', '560000001201', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855244', '2', '99', '1323441314733363200', '人力资源服务支撑中心', '001062', '560000001301', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857509855245', '2', '99', '1323441314733363200', '办公室', '001063', '560000001901', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049536', '2', '99', '1323441314733363200', '权益维护部', '001064', '560000001902', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049537', '2', '99', '1323441314733363200', '基层工作部', '001065', '560000001903', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049538', '2', '99', '1323441314733363200', '政企客户室', '001066', '56000000040101', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049539', '2', '99', '1323441314733363200', '公众客户室', '001067', '56000000040102', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049540', '2', '99', '1323441314733363200', '寄递事业部', '001068', '5600000088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049541', '2', '99', '1323441314737557504', '单位领导部门', '001001001', '5604000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049542', '2', '99', '1323441314737557504', '非领导职务部门', '001001002', '5604000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049543', '2', '99', '1323441314737557504', '领导助理部门', '001001003', '5604000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049544', '2', '99', '1323441314737557504', '办公室', '001001004', '5604000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049545', '2', '99', '1323441314737557504', '培训部', '001001005', '5604000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049546', '2', '99', '1323441314737557504', '保留关系人员部门', '001001006', '5604000099', '105', '0', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049547', '2', '99', '1323441314737557505', '单位领导部门', '001002001', '5605000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049548', '2', '99', '1323441314737557505', '非领导职务部门', '001002002', '5605000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857514049549', '2', '99', '1323441314737557505', '领导助理部门', '001002003', '5605000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243840', '2', '99', '1323441314737557505', '工程建设部', '001002004', '5605000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243841', '2', '99', '1323441314737557505', '技术开发部', '001002005', '5605000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243842', '2', '99', '1323441314737557505', '运行维护部', '001002006', '5605000006', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243843', '2', '99', '1323441314737557505', '保留关系人员部门', '001002007', '5605000099', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243844', '2', '99', '1323441314737557506', '单位领导部门', '001003001', '5609000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243845', '2', '99', '1323441314737557506', '非领导职务部门', '001003002', '5609000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243846', '2', '99', '1323441314737557506', '领导助理部门', '001003003', '5609000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243847', '2', '99', '1323441314737557506', '订阅业务室', '001003004', '5609000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243848', '2', '99', '1323441314737557506', '零售业务室', '001003005', '5609000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243849', '2', '99', '1323441314737557506', '保留关系人员部门', '001003006', '5609000099', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243850', '2', '99', '1323441314737557507', '单位领导部门', '001004001', '5617000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857518243851', '2', '99', '1323441314737557507', '非领导职务部门', '001004002', '5617000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438144', '2', '99', '1323441314737557507', '人力资源部', '001004003', '5617000017', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438145', '2', '99', '1323441314737557507', '综合事务部', '001004004', '5617000018', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438146', '2', '99', '1323441314737557507', '计划财务部', '001004005', '5617000019', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438147', '2', '99', '1323441314737557507', '押运管理部', '001004006', '5617000020', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438148', '2', '99', '1323441314737557507', '押运服务部', '001004007', '5617000021', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438149', '2', '99', '1323441314737557507', '郑州市分公司', '001004008', '5617000022', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438150', '2', '99', '1323441314737557507', '开封市分公司', '001004009', '5617000023', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438151', '2', '99', '1323441314737557507', '洛阳市分公司', '001004010', '5617000024', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438152', '2', '99', '1323441314737557507', '平顶山市分公司', '001004011', '5617000025', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438153', '2', '99', '1323441314737557507', '安阳市分公司', '001004012', '5617000026', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438154', '2', '99', '1323441314737557507', '鹤壁市分公司', '001004013', '5617000027', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438155', '2', '99', '1323441314737557507', '新乡市分公司', '001004014', '5617000028', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438156', '2', '99', '1323441314737557507', '焦作市分公司', '001004015', '5617000029', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438157', '2', '99', '1323441314737557507', '濮阳市分公司', '001004016', '5617000030', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438158', '2', '99', '1323441314737557507', '三门峡市分公司', '001004017', '5617000031', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438159', '2', '99', '1323441314737557507', '许昌市分公司', '001004018', '5617000032', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438160', '2', '99', '1323441314737557507', '漯河市分公司', '001004019', '5617000033', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438161', '2', '99', '1323441314737557507', '商丘市分公司', '001004020', '5617000034', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438162', '2', '99', '1323441314737557507', '周口市分公司', '001004021', '5617000035', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438163', '2', '99', '1323441314737557507', '驻马店市分公司', '001004022', '5617000036', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438164', '2', '99', '1323441314737557507', '南阳市分公司', '001004023', '5617000037', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857522438165', '2', '99', '1323441314737557507', '信阳市分公司', '001004024', '5617000038', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632448', '2', '99', '1323441314737557507', '济源市分公司', '001004025', '5617000039', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632449', '2', '99', '1323441314737557507', '保留关系人员部门', '001004026', '5617000099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632450', '2', '99', '1323441314737557507', '上街押运大队', '001004027', '561700002201', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632451', '2', '99', '1323441314737557507', '荥阳押运大队', '001004028', '561700002202', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632452', '2', '99', '1323441314737557507', '中牟押运大队', '001004029', '561700002203', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632453', '2', '99', '1323441314737557507', '新郑押运大队', '001004030', '561700002204', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632454', '2', '99', '1323441314737557507', '巩义押运大队', '001004031', '561700002205', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632455', '2', '99', '1323441314737557507', '登封押运大队', '001004032', '561700002206', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632456', '2', '99', '1323441314737557507', '新密押运大队', '001004033', '561700002207', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632457', '2', '99', '1323441314737557507', '杞县押运大队', '001004034', '561700002301', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632458', '2', '99', '1323441314737557507', '通许押运大队', '001004035', '561700002302', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632459', '2', '99', '1323441314737557507', '尉氏押运大队', '001004036', '561700002303', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632460', '2', '99', '1323441314737557507', '祥符区押运大队', '001004037', '561700002304', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632461', '2', '99', '1323441314737557507', '兰考押运大队', '001004038', '561700002305', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632462', '2', '99', '1323441314737557507', '偃师押运大队', '001004039', '561700002401', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632463', '2', '99', '1323441314737557507', '孟津押运大队', '001004040', '561700002402', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632464', '2', '99', '1323441314737557507', '新安押运大队', '001004041', '561700002403', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632465', '2', '99', '1323441314737557507', '伊川押运大队', '001004042', '561700002404', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632466', '2', '99', '1323441314737557507', '汝阳押运大队', '001004043', '561700002405', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632467', '2', '99', '1323441314737557507', '嵩县押运大队', '001004044', '561700002406', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632468', '2', '99', '1323441314737557507', '洛宁押运大队', '001004045', '561700002407', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632469', '2', '99', '1323441314737557507', '栾川押运大队', '001004046', '561700002408', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632470', '2', '99', '1323441314737557507', '宜阳押运大队', '001004047', '561700002409', '146', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857526632471', '2', '99', '1323441314737557507', '鲁山押运大队', '001004048', '561700002501', '147', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826752', '2', '99', '1323441314737557507', '舞钢押运大队', '001004049', '561700002502', '148', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826753', '2', '99', '1323441314737557507', '叶县押运大队', '001004050', '561700002503', '149', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826754', '2', '99', '1323441314737557507', '郏县押运大队', '001004051', '561700002504', '150', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826755', '2', '99', '1323441314737557507', '宝丰押运大队', '001004052', '561700002505', '151', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826756', '2', '99', '1323441314737557507', '汝州押运大队', '001004053', '561700002506', '152', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826757', '2', '99', '1323441314737557507', '林州押运大队', '001004054', '561700002601', '153', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826758', '2', '99', '1323441314737557507', '滑县押运大队', '001004055', '561700002602', '154', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826759', '2', '99', '1323441314737557507', '安阳县押运大队', '001004056', '561700002603', '155', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826760', '2', '99', '1323441314737557507', '汤阴押运大队', '001004057', '561700002604', '156', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826761', '2', '99', '1323441314737557507', '内黄押运大队', '001004058', '561700002605', '157', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826762', '2', '99', '1323441314737557507', '淇县押运大队', '001004059', '561700002701', '158', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826763', '2', '99', '1323441314737557507', '浚县押运大队', '001004060', '561700002702', '159', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826764', '2', '99', '1323441314737557507', '新乡县押运大队', '001004061', '561700002801', '160', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826765', '2', '99', '1323441314737557507', '卫辉押运大队', '001004062', '561700002802', '161', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826766', '2', '99', '1323441314737557507', '长垣押运大队', '001004063', '561700002803', '162', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826767', '2', '99', '1323441314737557507', '获嘉押运大队', '001004064', '561700002804', '163', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826768', '2', '99', '1323441314737557507', '辉县押运大队', '001004065', '561700002805', '164', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826769', '2', '99', '1323441314737557507', '原阳押运大队', '001004066', '561700002806', '165', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826770', '2', '99', '1323441314737557507', '延津押运大队', '001004067', '561700002807', '166', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826771', '2', '99', '1323441314737557507', '封丘押运大队', '001004068', '561700002808', '167', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826772', '2', '99', '1323441314737557507', '修武押运大队', '001004069', '561700002901', '168', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826773', '2', '99', '1323441314737557507', '博爱押运大队', '001004070', '561700002902', '169', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857530826774', '2', '99', '1323441314737557507', '沁阳押运大队', '001004071', '561700002903', '170', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021056', '2', '99', '1323441314737557507', '孟州押运大队', '001004072', '561700002904', '171', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021057', '2', '99', '1323441314737557507', '温县押运大队', '001004073', '561700002905', '172', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021058', '2', '99', '1323441314737557507', '武陟押运大队', '001004074', '561700002906', '173', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021059', '2', '99', '1323441314737557507', '濮阳县押运大队', '001004075', '561700003001', '174', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021060', '2', '99', '1323441314737557507', '清丰押运大队', '001004076', '561700003002', '175', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021061', '2', '99', '1323441314737557507', '南乐押运大队', '001004077', '561700003003', '176', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021062', '2', '99', '1323441314737557507', '范县押运大队', '001004078', '561700003004', '177', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021063', '2', '99', '1323441314737557507', '台前押运大队', '001004079', '561700003005', '178', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021064', '2', '99', '1323441314737557507', '义马押运大队', '001004080', '561700003101', '179', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021065', '2', '99', '1323441314737557507', '渑池押运大队', '001004081', '561700003102', '180', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021066', '2', '99', '1323441314737557507', '陕县押运大队', '001004082', '561700003103', '181', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021067', '2', '99', '1323441314737557507', '灵宝押运大队', '001004083', '561700003104', '182', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021068', '2', '99', '1323441314737557507', '卢氏押运大队', '001004084', '561700003105', '183', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021069', '2', '99', '1323441314737557507', '禹州押运大队', '001004085', '561700003201', '184', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021070', '2', '99', '1323441314737557507', '长葛押运大队', '001004086', '561700003202', '185', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021071', '2', '99', '1323441314737557507', '襄城押运大队', '001004087', '561700003203', '186', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021072', '2', '99', '1323441314737557507', '许昌县押运大队', '001004088', '561700003204', '187', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021073', '2', '99', '1323441314737557507', '鄢陵押运大队', '001004089', '561700003205', '188', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021074', '2', '99', '1323441314737557507', '临颍押运大队', '001004090', '561700003301', '189', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021075', '2', '99', '1323441314737557507', '舞阳押运大队', '001004091', '561700003302', '190', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021076', '2', '99', '1323441314737557507', '漯河郊区押运大队', '001004092', '561700003303', '191', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857535021077', '2', '99', '1323441314737557507', '永城押运大队', '001004093', '561700003401', '192', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215360', '2', '99', '1323441314737557507', '夏邑押运大队', '001004094', '561700003402', '193', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215361', '2', '99', '1323441314737557507', '虞城押运大队', '001004095', '561700003403', '194', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215362', '2', '99', '1323441314737557507', '商丘郊区押运大队', '001004096', '561700003404', '195', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215363', '2', '99', '1323441314737557507', '柘城押运大队', '001004097', '561700003405', '196', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215364', '2', '99', '1323441314737557507', '宁陵押运大队', '001004098', '561700003406', '197', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215365', '2', '99', '1323441314737557507', '睢县押运大队', '001004099', '561700003407', '198', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215366', '2', '99', '1323441314737557507', '民权押运大队', '001004100', '561700003408', '199', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215367', '2', '99', '1323441314737557507', '项城押运大队', '001004101', '561700003501', '200', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215368', '2', '99', '1323441314737557507', '商水押运大队', '001004102', '561700003502', '201', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215369', '2', '99', '1323441314737557507', '沈丘押运大队', '001004103', '561700003503', '202', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215370', '2', '99', '1323441314737557507', '太康押运大队', '001004104', '561700003504', '203', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215371', '2', '99', '1323441314737557507', '西华押运大队', '001004105', '561700003505', '204', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215372', '2', '99', '1323441314737557507', '郸城押运大队', '001004106', '561700003506', '205', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215373', '2', '99', '1323441314737557507', '扶沟押运大队', '001004107', '561700003507', '206', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215374', '2', '99', '1323441314737557507', '鹿邑押运大队', '001004108', '561700003508', '207', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215375', '2', '99', '1323441314737557507', '淮阳押运大队', '001004109', '561700003509', '208', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215376', '2', '99', '1323441314737557507', '泌阳押运大队', '001004110', '561700003601', '209', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215377', '2', '99', '1323441314737557507', '确山押运大队', '001004111', '561700003602', '210', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215378', '2', '99', '1323441314737557507', '正阳押运大队', '001004112', '561700003603', '211', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857539215379', '2', '99', '1323441314737557507', '新蔡押运大队', '001004113', '561700003604', '212', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409664', '2', '99', '1323441314737557507', '平舆押运大队', '001004114', '561700003605', '213', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409665', '2', '99', '1323441314737557507', '汝南押运大队', '001004115', '561700003606', '214', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409666', '2', '99', '1323441314737557507', '上蔡押运大队', '001004116', '561700003607', '215', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409667', '2', '99', '1323441314737557507', '遂平押运大队', '001004117', '561700003608', '216', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409668', '2', '99', '1323441314737557507', '西平押运大队', '001004118', '561700003609', '217', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409669', '2', '99', '1323441314737557507', '南召押运大队', '001004119', '561700003701', '218', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409670', '2', '99', '1323441314737557507', '方城押运大队', '001004120', '561700003702', '219', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409671', '2', '99', '1323441314737557507', '西峡押运大队', '001004121', '561700003703', '220', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409672', '2', '99', '1323441314737557507', '南阳郊区押运大队', '001004122', '561700003704', '221', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857543409673', '2', '99', '1323441314737557507', '镇平押运大队', '001004123', '561700003705', '222', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603968', '2', '99', '1323441314737557507', '内乡押运大队', '001004124', '561700003706', '223', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603969', '2', '99', '1323441314737557507', '淅川押运大队', '001004125', '561700003707', '224', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603970', '2', '99', '1323441314737557507', '社旗押运大队', '001004126', '561700003708', '225', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603971', '2', '99', '1323441314737557507', '唐河押运大队', '001004127', '561700003709', '226', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603972', '2', '99', '1323441314737557507', '邓州押运大队', '001004128', '561700003710', '227', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603973', '2', '99', '1323441314737557507', '新野押运大队', '001004129', '561700003711', '228', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603974', '2', '99', '1323441314737557507', '桐柏押运大队', '001004130', '561700003712', '229', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603975', '2', '99', '1323441314737557507', '息县押运大队', '001004131', '561700003801', '230', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603976', '2', '99', '1323441314737557507', '潢川押运大队', '001004132', '561700003802', '231', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603977', '2', '99', '1323441314737557507', '罗山押运大队', '001004133', '561700003803', '232', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603978', '2', '99', '1323441314737557507', '光山押运大队', '001004134', '561700003804', '233', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603979', '2', '99', '1323441314737557507', '信阳郊区押运大队', '001004135', '561700003805', '234', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603980', '2', '99', '1323441314737557507', '新县押运大队', '001004136', '561700003806', '235', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603981', '2', '99', '1323441314737557507', '淮滨押运大队', '001004137', '561700003807', '236', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603982', '2', '99', '1323441314737557507', '固始押运大队', '001004138', '561700003808', '237', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603983', '2', '99', '1323441314737557507', '商城押运大队', '001004139', '561700003809', '238', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603984', '2', '99', '1323441314737557508', '单位领导部门', '001005001', '5618000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857547603985', '2', '99', '1323441314737557508', '非领导职务部门', '001005002', '5618000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798272', '2', '99', '1323441314737557508', '领导助理部门', '001005003', '5618000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798273', '2', '99', '1323441314737557508', '业务室', '001005004', '5618000005', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798274', '2', '99', '1323441314737557508', '通信室', '001005005', '5618000006', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798275', '2', '99', '1323441314737557508', '保留关系人员部门', '001005006', '5618000099', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798276', '2', '99', '1323441314737557509', '单位领导部门', '001006001', '5622000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798277', '2', '99', '1323441314737557509', '非领导职务部门', '001006002', '5622000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798278', '2', '99', '1323441314737557509', '领导助理部门', '001006003', '5622000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798279', '2', '99', '1323441314737557509', '人力资源部', '001006004', '5622000005', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798280', '2', '99', '1323441314737557509', '综合部（党委办公室）', '001006005', '5622000006', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798281', '2', '99', '1323441314737557509', '计划财务部', '001006006', '5622000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798282', '2', '99', '1323441314737557509', '质量管理部', '001006007', '5622000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798283', '2', '99', '1323441314737557509', '工艺技术部', '001006008', '5622000009', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798284', '2', '99', '1323441314737557509', '设备部', '001006009', '5622000010', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798285', '2', '99', '1323441314737557509', '储运部', '001006010', '5622000011', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798286', '2', '99', '1323441314737557509', '生产调度部', '001006011', '5622000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798287', '2', '99', '1323441314737557509', '制版车间', '001006012', '5622000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798289', '2', '99', '1323441314737557509', '装订车间', '001006014', '5622000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798290', '2', '99', '1323441314737557509', '市场一部', '001006015', '5622000018', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798291', '2', '99', '1323441314737557509', '市场二部', '001006016', '5622000019', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798292', '2', '99', '1323441314737557509', '光达公司', '001006017', '5622000021', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798293', '2', '99', '1323441314737557509', '报刊印务公司', '001006018', '5622000022', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798294', '2', '99', '1323441314737557509', '设计制作公司', '001006019', '5622000023', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857551798295', '2', '99', '1323441314737557509', '规划设计部', '001006020', '5622000024', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992576', '2', '99', '1323441314737557509', '保留关系人员部门', '001006021', '5622000099', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992577', '2', '99', '1323441314737557510', '单位领导部门--GAI', '001007016', '5651000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992578', '2', '99', '1323441314737557510', '非领导职务部门', '001007017', '5651000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992579', '2', '99', '1323441314737557510', '领导助理部门', '001007018', '5651000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992580', '2', '99', '1323441314737557510', '市场营销部', '001007019', '5651000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992581', '2', '99', '1323441314737557510', '服务质量部（普遍服务部）', '001007020', '5651000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992582', '2', '99', '1323441314737557510', '金融业务部', '001007021', '5651000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992583', '2', '99', '1323441314737557510', '集邮与文化传媒部', '001007022', '5651000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992584', '2', '99', '1323441314737557510', '渠道平台部', '001007023', '5651000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992585', '2', '99', '1323441314737557510', '综合办公室（党委办公室、安全保卫部）', '001007024', '5651000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992586', '2', '99', '1323441314737557510', '财务部', '001007025', '5651000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992587', '2', '99', '1323441314737557510', '人力资源部（党委组织部）', '001007026', '5651000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992588', '2', '99', '1323441314737557510', '党委党建工作部', '001007027', '5651000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992589', '2', '99', '1323441314737557510', '纪委办公室', '001007028', '5651000015', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857555992590', '2', '99', '1323441314737557510', '工会', '001007029', '5651000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186880', '2', '99', '1323441314737557510', '中邮保险业务部', '001007030', '5651000017', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186881', '2', '99', '1323441314737557510', '保留关系人员部门', '001007031', '5651000099', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186882', '2', '99', '1323441314737557510', '客户营销中心', '001007032', '565100000401', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186883', '2', '99', '1323441314737557510', '业务档案班', '001007033', '565100000501', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186884', '2', '99', '1323441314737557510', '客户服务班', '001007034', '565100000502', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186885', '2', '99', '1323441314737557510', '业务管理室', '001007035', '565100000701', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186886', '2', '99', '1323441314737557510', '内控管理室', '001007036', '565100000702', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186887', '2', '99', '1323441314737557510', '业务管理室', '001007037', '565100000801', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186888', '2', '99', '1323441314737557510', '创意研发室', '001007038', '565100000802', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186889', '2', '99', '1323441314737557510', '商函制作班', '001007039', '565100000803', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186890', '2', '99', '1323441314737557510', '创意设计组', '001007040', '565100000804', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186891', '2', '99', '1323441314737557510', '集邮网厅线上运营组', '001007041', '565100000805', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186892', '2', '99', '1323441314737557510', '渠道管理室', '001007042', '565100001001', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186893', '2', '99', '1323441314737557510', '电商分销室', '001007043', '565100001002', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186894', '2', '99', '1323441314737557510', '农村电商线上运营组', '001007044', '565100001003', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186895', '2', '99', '1323441314737557510', '远程监控班', '001007045', '565100001101', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186896', '2', '99', '1323441314737557510', '寄递事业部', '001007046', '5651000088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186897', '2', '99', '1323441314737557511', '单位领导部门', '001007001001', '5651010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186898', '2', '99', '1323441314737557511', '非领导职务部门', '001007001002', '5651010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186899', '2', '99', '1323441314737557511', '领导助理部门', '001007001003', '5651010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186900', '2', '99', '1323441314737557511', '市场营销部', '001007001004', '5651010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857560186901', '2', '99', '1323441314737557511', '金融业务部（中邮保险中心）', '001007001005', '5651010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381184', '2', '99', '1323441314737557511', '集邮与文化传媒部', '001007001006', '5651010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381185', '2', '99', '1323441314737557511', '渠道平台部', '001007001007', '5651010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381186', '2', '99', '1323441314737557511', '综合办公室（安全保卫部）', '001007001008', '5651010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381187', '2', '99', '1323441314737557511', '营业班', '001007001009', '5651010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381188', '2', '99', '1323441314737557511', '汝南路支局', '001007001010', '5651010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381189', '2', '99', '1323441314737557511', '登封路支局', '001007001011', '5651010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381190', '2', '99', '1323441314737557511', '峡窝支局', '001007001012', '5651010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381191', '2', '99', '1323441314737557511', '新安东路支局', '001007001013', '5651010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381192', '2', '99', '1323441314737557511', '中心路邮政所', '001007001014', '5651010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381193', '2', '99', '1323441314737557511', '保留关系人员部门', '001007001015', '5651010099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381194', '2', '99', '1323441314737557511', '机要室', '001007001016', '565101000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381195', '2', '99', '1323441314737557511', '寄递事业部', '001007001017', '5651010088', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381196', '2', '99', '1323441314737557512', '单位领导部门', '001007002001', '5651020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381197', '2', '99', '1323441314737557512', '非领导职务部门', '001007002002', '5651020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381198', '2', '99', '1323441314737557512', '领导助理部门', '001007002003', '5651020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381199', '2', '99', '1323441314737557512', '市场营销部', '001007002004', '5651020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857564381200', '2', '99', '1323441314737557512', '金融业务部', '001007002005', '5651020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575488', '2', '99', '1323441314737557512', '集邮与文化传媒部', '001007002006', '5651020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575489', '2', '99', '1323441314737557512', '渠道平台部', '001007002007', '5651020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575490', '2', '99', '1323441314737557512', '综合办公室（安全保卫部）', '001007002008', '5651020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575491', '2', '99', '1323441314737557512', '营业班', '001007002009', '5651020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575492', '2', '99', '1323441314737557512', '城关邮政所', '001007002010', '5651020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575493', '2', '99', '1323441314737557512', '崔庙邮政所', '001007002011', '5651020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575494', '2', '99', '1323441314737557512', '车站邮政所', '001007002012', '5651020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575495', '2', '99', '1323441314737557512', '高村支局', '001007002013', '5651020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575496', '2', '99', '1323441314737557512', '高山支局', '001007002014', '5651020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575497', '2', '99', '1323441314737557512', '广武支局', '001007002015', '5651020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575498', '2', '99', '1323441314737557512', '河阴路邮政所', '001007002016', '5651020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575499', '2', '99', '1323441314737557512', '贾峪支局', '001007002017', '5651020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575500', '2', '99', '1323441314737557512', '金寨邮政所', '001007002018', '5651020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575501', '2', '99', '1323441314737557512', '刘河支局', '001007002019', '5651020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575502', '2', '99', '1323441314737557512', '乔楼支局', '001007002020', '5651020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575503', '2', '99', '1323441314737557512', '卅里铺支局', '001007002021', '5651020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575504', '2', '99', '1323441314737557512', '汜水支局', '001007002022', '5651020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575505', '2', '99', '1323441314737557512', '万山路支局', '001007002023', '5651020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857568575506', '2', '99', '1323441314737557512', '万山南路支局', '001007002024', '5651020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769792', '2', '99', '1323441314737557512', '王村支局', '001007002025', '5651020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769793', '2', '99', '1323441314737557512', '豫龙支局', '001007002026', '5651020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769794', '2', '99', '1323441314737557512', '竹川支局', '001007002027', '5651020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769795', '2', '99', '1323441314737557512', '棋源路邮政所', '001007002028', '5651020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769796', '2', '99', '1323441314737557512', '保留关系人员部门', '001007002029', '5651020099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769797', '2', '99', '1323441314737557512', '机要室', '001007002030', '565102000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769798', '2', '99', '1323441314737557512', '中邮保险中心', '001007002031', '565102000701', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769799', '2', '99', '1323441314737557512', '寄递事业部', '001007002032', '5651020088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769800', '2', '99', '1323441314737557513', '单位领导部门', '001007003001', '5651030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769801', '2', '99', '1323441314737557513', '非领导职务部门', '001007003002', '5651030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769802', '2', '99', '1323441314737557513', '领导助理部门', '001007003003', '5651030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769803', '2', '99', '1323441314737557513', '市场营销部', '001007003004', '5651030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769804', '2', '99', '1323441314737557513', '金融业务部（中邮保险中心）', '001007003005', '5651030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769805', '2', '99', '1323441314737557513', '集邮与文化传媒部', '001007003006', '5651030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769806', '2', '99', '1323441314737557513', '渠道平台部', '001007003007', '5651030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769807', '2', '99', '1323441314737557513', '综合办公室（安全保卫部）', '001007003008', '5651030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769808', '2', '99', '1323441314737557513', '营业班', '001007003009', '5651030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769809', '2', '99', '1323441314737557513', '八岗邮政所', '001007003010', '5651030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769810', '2', '99', '1323441314737557513', '白沙开发区支局', '001007003011', '5651030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769811', '2', '99', '1323441314737557513', '白沙支局', '001007003012', '5651030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769812', '2', '99', '1323441314737557513', '仓砦邮政所', '001007003013', '5651030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769813', '2', '99', '1323441314737557513', '城关邮政所', '001007003014', '5651030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857572769814', '2', '99', '1323441314737557513', '大孟邮政所', '001007003015', '5651030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964096', '2', '99', '1323441314737557513', '电力学院邮政所', '001007003016', '5651030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964097', '2', '99', '1323441314737557513', '电器化邮政所', '001007003017', '5651030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964098', '2', '99', '1323441314737557513', '刁家邮政所', '001007003018', '5651030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964099', '2', '99', '1323441314737557513', '冯堂邮政所', '001007003019', '5651030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964100', '2', '99', '1323441314737557513', '官渡支局', '001007003020', '5651030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964101', '2', '99', '1323441314737557513', '韩寺支局', '001007003021', '5651030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964102', '2', '99', '1323441314737557513', '黄店邮政所', '001007003022', '5651030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964103', '2', '99', '1323441314737557513', '九龙支局', '001007003023', '5651030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964104', '2', '99', '1323441314737557513', '狼城岗邮政所', '001007003024', '5651030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964105', '2', '99', '1323441314737557513', '刘集邮政所', '001007003025', '5651030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964106', '2', '99', '1323441314737557513', '青年路支局', '001007003026', '5651030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964107', '2', '99', '1323441314737557513', '三官庙邮政所', '001007003027', '5651030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964108', '2', '99', '1323441314737557513', '万滩支局', '001007003028', '5651030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964109', '2', '99', '1323441314737557513', '谢庄邮政所', '001007003029', '5651030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857576964110', '2', '99', '1323441314737557513', '雁鸣湖支局', '001007003030', '5651030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158400', '2', '99', '1323441314737557513', '姚家邮政所', '001007003031', '5651030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158401', '2', '99', '1323441314737557513', '张庄邮政所', '001007003032', '5651030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158402', '2', '99', '1323441314737557513', '郑庵邮政所', '001007003033', '5651030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158403', '2', '99', '1323441314737557513', '保留关系人员部门', '001007003034', '5651030099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158404', '2', '99', '1323441314737557513', '机要室', '001007003035', '565103000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158405', '2', '99', '1323441314737557513', '寄递事业部', '001007003036', '5651030088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158406', '2', '99', '1323441314737557514', '单位领导部门', '001007004001', '5651040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857581158407', '2', '99', '1323441314737557514', '非领导职务部门', '001007004002', '5651040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352704', '2', '99', '1323441314737557514', '领导助理部门', '001007004003', '5651040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352705', '2', '99', '1323441314737557514', '市场营销部', '001007004004', '5651040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352706', '2', '99', '1323441314737557514', '金融业务部', '001007004005', '5651040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352707', '2', '99', '1323441314737557514', '集邮与文化传媒部', '001007004006', '5651040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352708', '2', '99', '1323441314737557514', '渠道平台部', '001007004007', '5651040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352709', '2', '99', '1323441314737557514', '综合办公室（安全保卫部）', '001007004008', '5651040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352710', '2', '99', '1323441314737557514', '营业班', '001007004009', '5651040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352711', '2', '99', '1323441314737557514', '八千支局', '001007004010', '5651040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352712', '2', '99', '1323441314737557514', '观音寺支局', '001007004011', '5651040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352713', '2', '99', '1323441314737557514', '郭店支局', '001007004012', '5651040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352714', '2', '99', '1323441314737557514', '和庄支局', '001007004013', '5651040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857585352715', '2', '99', '1323441314737557514', '河南工程学院邮政所', '001007004014', '5651040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547008', '2', '99', '1323441314737557514', '检察学院邮政所', '001007004015', '5651040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547009', '2', '99', '1323441314737557514', '梨河支局', '001007004016', '5651040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547010', '2', '99', '1323441314737557514', '龙湖支局', '001007004017', '5651040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547011', '2', '99', '1323441314737557514', '龙王邮政所', '001007004018', '5651040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547012', '2', '99', '1323441314737557514', '孟庄支局', '001007004019', '5651040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547013', '2', '99', '1323441314737557514', '千户寨邮政所', '001007004020', '5651040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547014', '2', '99', '1323441314737557514', '人民路邮政所', '001007004021', '5651040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547015', '2', '99', '1323441314737557514', '升达学院邮政所', '001007004022', '5651040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547016', '2', '99', '1323441314737557514', '西城支局', '001007004023', '5651040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547017', '2', '99', '1323441314737557514', '西亚斯学院邮政所', '001007004024', '5651040030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547018', '2', '99', '1323441314737557514', '辛店邮政所', '001007004025', '5651040031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547019', '2', '99', '1323441314737557514', '新村支局', '001007004026', '5651040032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547020', '2', '99', '1323441314737557514', '薛店支局', '001007004027', '5651040033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547021', '2', '99', '1323441314737557514', '职工医学院邮政所', '001007004028', '5651040034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547022', '2', '99', '1323441314737557514', '中华路支局', '001007004029', '5651040035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547023', '2', '99', '1323441314737557514', '中原工学院邮政所', '001007004030', '5651040036', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547024', '2', '99', '1323441314737557514', '华南城邮政所', '001007004031', '5651040037', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547025', '2', '99', '1323441314737557514', '保留关系人员部门', '001007004032', '5651040099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547026', '2', '99', '1323441314737557514', '机要室', '001007004033', '565104000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547027', '2', '99', '1323441314737557514', '中邮保险中心', '001007004034', '565104000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547028', '2', '99', '1323441314737557514', '寄递事业部', '001007004035', '5651040088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857589547029', '2', '99', '1323441314737557515', '单位领导部门', '001007005001', '5651050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741312', '2', '99', '1323441314737557515', '非领导职务部门', '001007005002', '5651050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741313', '2', '99', '1323441314737557515', '领导助理部门', '001007005003', '5651050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741314', '2', '99', '1323441314737557515', '市场营销部', '001007005004', '5651050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741315', '2', '99', '1323441314737557515', '金融业务部', '001007005005', '5651050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741316', '2', '99', '1323441314737557515', '集邮与文化传媒部', '001007005006', '5651050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741317', '2', '99', '1323441314737557515', '渠道平台部', '001007005007', '5651050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741318', '2', '99', '1323441314737557515', '综合办公室（安全保卫部）', '001007005008', '5651050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741319', '2', '99', '1323441314737557515', '营业班', '001007005009', '5651050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741320', '2', '99', '1323441314737557515', '北山口支局', '001007005010', '5651050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741321', '2', '99', '1323441314737557515', '成功学院邮政所', '001007005011', '5651050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741322', '2', '99', '1323441314737557515', '大峪沟支局', '001007005012', '5651050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741323', '2', '99', '1323441314737557515', '杜甫路支局', '001007005013', '5651050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741324', '2', '99', '1323441314737557515', '河洛邮政所', '001007005014', '5651050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741325', '2', '99', '1323441314737557515', '回郭镇邮政所', '001007005015', '5651050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741326', '2', '99', '1323441314737557515', '夹津口支局', '001007005016', '5651050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741327', '2', '99', '1323441314737557515', '康店支局', '001007005017', '5651050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741328', '2', '99', '1323441314737557515', '鲁庄支局', '001007005018', '5651050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741329', '2', '99', '1323441314737557515', '米河支局', '001007005019', '5651050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741330', '2', '99', '1323441314737557515', '南河渡支局', '001007005020', '5651050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741331', '2', '99', '1323441314737557515', '涉村支局', '001007005021', '5651050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741332', '2', '99', '1323441314737557515', '西村支局', '001007005022', '5651050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741333', '2', '99', '1323441314737557515', '小关支局', '001007005023', '5651050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857593741334', '2', '99', '1323441314737557515', '孝义支局', '001007005024', '5651050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935616', '2', '99', '1323441314737557515', '新兴路支局', '001007005025', '5651050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935617', '2', '99', '1323441314737557515', '新中支局', '001007005026', '5651050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935618', '2', '99', '1323441314737557515', '永安邮政所', '001007005027', '5651050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935619', '2', '99', '1323441314737557515', '站街支局', '001007005028', '5651050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935620', '2', '99', '1323441314737557515', '芝田支局', '001007005029', '5651050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935621', '2', '99', '1323441314737557515', '竹林邮政所', '001007005030', '5651050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935622', '2', '99', '1323441314737557515', '保留关系人员部门', '001007005031', '5651050099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935623', '2', '99', '1323441314737557515', '机要室', '001007005032', '565105000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935624', '2', '99', '1323441314737557515', '中邮保险中心', '001007005033', '565105000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935625', '2', '99', '1323441314737557515', '寄递事业部', '001007005034', '5651050088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935626', '2', '99', '1323441314737557516', '单位领导部门', '001007006001', '5651060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935627', '2', '99', '1323441314737557516', '非领导职务部门', '001007006002', '5651060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935628', '2', '99', '1323441314737557516', '领导助理部门', '001007006003', '5651060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935629', '2', '99', '1323441314737557516', '市场营销部', '001007006004', '5651060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935630', '2', '99', '1323441314737557516', '金融业务部（中邮保险中心）', '001007006005', '5651060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857597935631', '2', '99', '1323441314737557516', '集邮与文化传媒部', '001007006006', '5651060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129920', '2', '99', '1323441314737557516', '渠道平台部', '001007006007', '5651060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129921', '2', '99', '1323441314737557516', '综合办公室（安全保卫部）', '001007006008', '5651060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129922', '2', '99', '1323441314737557516', '营业班', '001007006009', '5651060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129923', '2', '99', '1323441314737557516', '白坪邮政所', '001007006010', '5651060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129924', '2', '99', '1323441314737557516', '大金店支局', '001007006011', '5651060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129925', '2', '99', '1323441314737557516', '大冶支局', '001007006012', '5651060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129926', '2', '99', '1323441314737557516', '东华支局', '001007006013', '5651060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129927', '2', '99', '1323441314737557516', '告成邮政所', '001007006014', '5651060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129928', '2', '99', '1323441314737557516', '君召支局', '001007006015', '5651060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129929', '2', '99', '1323441314737557516', '卢店支局', '001007006016', '5651060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129930', '2', '99', '1323441314737557516', '少林寺邮政所', '001007006017', '5651060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129931', '2', '99', '1323441314737557516', '石道邮政所', '001007006018', '5651060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129932', '2', '99', '1323441314737557516', '守敬路支局', '001007006019', '5651060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129933', '2', '99', '1323441314737557516', '嵩山路支局', '001007006020', '5651060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129934', '2', '99', '1323441314737557516', '送表邮政所', '001007006021', '5651060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129935', '2', '99', '1323441314737557516', '唐庄邮政所', '001007006022', '5651060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129936', '2', '99', '1323441314737557516', '徐庄支局', '001007006023', '5651060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129937', '2', '99', '1323441314737557516', '宣化支局', '001007006024', '5651060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129938', '2', '99', '1323441314737557516', '颖阳支局', '001007006025', '5651060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129939', '2', '99', '1323441314737557516', '中岳邮政所', '001007006026', '5651060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129940', '2', '99', '1323441314737557516', '保留关系人员部门', '001007006027', '5651060099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129941', '2', '99', '1323441314737557516', '机要室', '001007006028', '565106000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129942', '2', '99', '1323441314737557516', '寄递事业部', '001007006029', '5651060088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129943', '2', '99', '1323441314737557517', '单位领导部门', '001007007001', '5651070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129944', '2', '99', '1323441314737557517', '非领导职务部门', '001007007002', '5651070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129945', '2', '99', '1323441314737557517', '领导助理部门', '001007007003', '5651070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129946', '2', '99', '1323441314737557517', '市场营销部', '001007007004', '5651070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129947', '2', '99', '1323441314737557517', '金融业务部', '001007007005', '5651070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129948', '2', '99', '1323441314737557517', '集邮与文化传媒部', '001007007006', '5651070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129949', '2', '99', '1323441314737557517', '渠道平台部', '001007007007', '5651070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129950', '2', '99', '1323441314737557517', '综合办公室（安全保卫部）', '001007007008', '5651070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129951', '2', '99', '1323441314737557517', '营业班', '001007007009', '5651070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129952', '2', '99', '1323441314737557517', '白寨支局', '001007007010', '5651070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129953', '2', '99', '1323441314737557517', '超化支局', '001007007011', '5651070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129954', '2', '99', '1323441314737557517', '大隗支局', '001007007012', '5651070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857602129955', '2', '99', '1323441314737557517', '东大街支局', '001007007013', '5651070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324224', '2', '99', '1323441314737557517', '苟堂支局', '001007007014', '5651070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324225', '2', '99', '1323441314737557517', '广场邮政所', '001007007015', '5651070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324226', '2', '99', '1323441314737557517', '行政路支局', '001007007016', '5651070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324227', '2', '99', '1323441314737557517', '尖山邮政所', '001007007017', '5651070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324228', '2', '99', '1323441314737557517', '金华支局', '001007007018', '5651070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324229', '2', '99', '1323441314737557517', '矿区邮政所', '001007007019', '5651070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324230', '2', '99', '1323441314737557517', '来集支局', '001007007020', '5651070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324231', '2', '99', '1323441314737557517', '老城邮政所', '001007007021', '5651070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324232', '2', '99', '1323441314737557517', '李堂邮政所', '001007007022', '5651070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324233', '2', '99', '1323441314737557517', '刘寨支局', '001007007023', '5651070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324234', '2', '99', '1323441314737557517', '芦沟支局', '001007007024', '5651070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324235', '2', '99', '1323441314737557517', '米村支局', '001007007025', '5651070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324236', '2', '99', '1323441314737557517', '牛店邮政所', '001007007026', '5651070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324237', '2', '99', '1323441314737557517', '裴沟支局', '001007007027', '5651070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324238', '2', '99', '1323441314737557517', '平陌支局', '001007007028', '5651070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324239', '2', '99', '1323441314737557517', '七里岗邮政所', '001007007029', '5651070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324240', '2', '99', '1323441314737557517', '溱水路支局', '001007007030', '5651070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324241', '2', '99', '1323441314737557517', '青屏支局', '001007007031', '5651070036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324242', '2', '99', '1323441314737557517', '曲梁支局', '001007007032', '5651070037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324243', '2', '99', '1323441314737557517', '王庄支局', '001007007033', '5651070038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324244', '2', '99', '1323441314737557517', '新密西大街支局', '001007007034', '5651070039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324245', '2', '99', '1323441314737557517', '袁庄邮政所', '001007007035', '5651070040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324246', '2', '99', '1323441314737557517', '岳村邮政所', '001007007036', '5651070041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324247', '2', '99', '1323441314737557517', '保留关系人员部门', '001007007037', '5651070099', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324248', '2', '99', '1323441314737557517', '机要室', '001007007038', '565107000401', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324249', '2', '99', '1323441314737557517', '中邮保险中心', '001007007039', '565107000701', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324250', '2', '99', '1323441314737557517', '寄递事业部', '001007007040', '5651070088', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324251', '2', '99', '1323441314737557518', '单位领导部门', '001007008001', '5651200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324252', '2', '99', '1323441314737557518', '非领导职务部门', '001007008002', '5651200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324253', '2', '99', '1323441314737557518', '领导助理部门', '001007008003', '5651200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324254', '2', '99', '1323441314737557518', '市场营销部', '001007008004', '5651200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324255', '2', '99', '1323441314737557518', '金融业务部（中邮保险局）', '001007008005', '5651200007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324256', '2', '99', '1323441314737557518', '集邮与文化传媒部', '001007008006', '5651200008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324257', '2', '99', '1323441314737557518', '渠道平台部', '001007008007', '5651200010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324258', '2', '99', '1323441314737557518', '营业班', '001007008008', '5651200012', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324259', '2', '99', '1323441314737557518', '百花路邮政所', '001007008009', '5651200016', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324260', '2', '99', '1323441314737557518', '东风西路邮政所', '001007008010', '5651200017', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324261', '2', '99', '1323441314737557518', '伏牛路支局', '001007008011', '5651200018', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324262', '2', '99', '1323441314737557518', '工人路邮政所', '001007008012', '5651200019', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324263', '2', '99', '1323441314737557518', '航海中路支局', '001007008013', '5651200020', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324264', '2', '99', '1323441314737557518', '建设路支局', '001007008014', '5651200021', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324265', '2', '99', '1323441314737557518', '锦艺城支局', '001007008015', '5651200022', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324266', '2', '99', '1323441314737557518', '前进路邮政所', '001007008016', '5651200023', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324267', '2', '99', '1323441314737557518', '汝河路支局', '001007008017', '5651200024', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324268', '2', '99', '1323441314737557518', '桐柏路支局', '001007008018', '5651200025', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324269', '2', '99', '1323441314737557518', '万达支局', '001007008019', '5651200026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324270', '2', '99', '1323441314737557518', '文化宫路邮政所', '001007008020', '5651200027', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324271', '2', '99', '1323441314737557518', '中原区局大宗班', '001007008021', '5651200028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324272', '2', '99', '1323441314737557518', '中原西路支局', '001007008022', '5651200029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324273', '2', '99', '1323441314737557518', '保留关系人员部门', '001007008023', '5651200099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857606324274', '2', '99', '1323441314737557518', '寄递事业部', '001007008024', '5651200088', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518528', '2', '99', '1323441314737557519', '单位领导部门', '001007009001', '5651200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518529', '2', '99', '1323441314737557519', '非领导职务部门', '001007009002', '5651200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518530', '2', '99', '1323441314737557519', '领导助理部门', '001007009003', '5651200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518531', '2', '99', '1323441314737557519', '市场营销部', '001007009004', '5651200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518532', '2', '99', '1323441314737557519', '金融业务部（中邮保险局）', '001007009005', '5651200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518533', '2', '99', '1323441314737557519', '集邮与文化传媒部', '001007009006', '5651200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518534', '2', '99', '1323441314737557519', '渠道平台部', '001007009007', '5651200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518535', '2', '99', '1323441314737557519', '营业班', '001007009008', '5651200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518536', '2', '99', '1323441314737557519', '大学路邮政所', '001007009009', '5651200117', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518537', '2', '99', '1323441314737557519', '大学南路邮政所', '001007009010', '5651200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518538', '2', '99', '1323441314737557519', '航院支局', '001007009011', '5651200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518539', '2', '99', '1323441314737557519', '淮河东路邮政所', '001007009012', '5651200120', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518540', '2', '99', '1323441314737557519', '火车站邮政所', '001007009013', '5651200121', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518541', '2', '99', '1323441314737557519', '连云路支局', '001007009014', '5651200122', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518542', '2', '99', '1323441314737557519', '陇海西路支局', '001007009015', '5651200123', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518543', '2', '99', '1323441314737557519', '陇海中路支局', '001007009016', '5651200124', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518544', '2', '99', '1323441314737557519', '铭功路邮政所', '001007009017', '5651200125', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518545', '2', '99', '1323441314737557519', '升龙支局', '001007009018', '5651200126', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518546', '2', '99', '1323441314737557519', '嵩山南路邮政所', '001007009019', '5651200127', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518547', '2', '99', '1323441314737557519', '五里堡支局', '001007009020', '5651200128', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518548', '2', '99', '1323441314737557519', '正兴街支局', '001007009021', '5651200129', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518549', '2', '99', '1323441314737557519', '郑大市场邮政所', '001007009022', '5651200130', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518550', '2', '99', '1323441314737557519', '保留关系人员部门', '001007009023', '5651200199', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518551', '2', '99', '1323441314737557519', '寄递事业部', '001007009024', '5651200188', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518552', '2', '99', '1323441314737557520', '单位领导部门', '001007010001', '5651200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518553', '2', '99', '1323441314737557520', '非领导职务部门', '001007010002', '5651200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518554', '2', '99', '1323441314737557520', '领导助理部门', '001007010003', '5651200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518555', '2', '99', '1323441314737557520', '市场营销部', '001007010004', '5651200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518556', '2', '99', '1323441314737557520', '金融业务部（中邮保险局）', '001007010005', '5651200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857610518557', '2', '99', '1323441314737557520', '集邮与文化传媒部', '001007010006', '5651200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712832', '2', '99', '1323441314737557520', '渠道平台部', '001007010007', '5651200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712833', '2', '99', '1323441314737557520', '营业班', '001007010008', '5651200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712834', '2', '99', '1323441314737557520', '布厂街邮政所', '001007010009', '5651200215', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712835', '2', '99', '1323441314737557520', '紫辰路支局', '001007010010', '5651200216', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712836', '2', '99', '1323441314737557520', '大同路支局', '001007010011', '5651200217', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712837', '2', '99', '1323441314737557520', '东明路支局', '001007010012', '5651200218', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712838', '2', '99', '1323441314737557520', '东明南路邮政所', '001007010013', '5651200219', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712839', '2', '99', '1323441314737557520', '管城区局大宗班', '001007010014', '5651200220', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712840', '2', '99', '1323441314737557520', '航海东路支局', '001007010015', '5651200221', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712841', '2', '99', '1323441314737557520', '黄委会邮政所', '001007010016', '5651200222', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712842', '2', '99', '1323441314737557520', '货栈街支局', '001007010017', '5651200223', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712843', '2', '99', '1323441314737557520', '南五里堡邮政所', '001007010018', '5651200224', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712844', '2', '99', '1323441314737557520', '商城东路支局', '001007010019', '5651200225', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712845', '2', '99', '1323441314737557520', '西大街支局', '001007010020', '5651200226', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712846', '2', '99', '1323441314737557520', '玉凤路支局', '001007010021', '5651200227', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712847', '2', '99', '1323441314737557520', '紫荆山路邮政所', '001007010022', '5651200228', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712848', '2', '99', '1323441314737557520', '保留关系人员部门', '001007010023', '5651200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712849', '2', '99', '1323441314737557520', '寄递事业部', '001007010024', '5651200288', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712850', '2', '99', '1323441314737557521', '单位领导部门', '001007011001', '5651200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712851', '2', '99', '1323441314737557521', '非领导职务部门', '001007011002', '5651200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712852', '2', '99', '1323441314737557521', '领导助理部门', '001007011003', '5651200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712853', '2', '99', '1323441314737557521', '市场营销部', '001007011004', '5651200304', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712854', '2', '99', '1323441314737557521', '金融业务部（中邮保险局）', '001007011005', '5651200307', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712855', '2', '99', '1323441314737557521', '集邮与文化传媒部', '001007011006', '5651200308', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712856', '2', '99', '1323441314737557521', '渠道平台部', '001007011007', '5651200310', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712857', '2', '99', '1323441314737557521', '营业班', '001007011008', '5651200312', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712858', '2', '99', '1323441314737557521', '东风路邮政所', '001007011009', '5651200318', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712859', '2', '99', '1323441314737557521', '二环道邮政所', '001007011010', '5651200319', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712860', '2', '99', '1323441314737557521', '岗杜支局', '001007011011', '5651200320', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712861', '2', '99', '1323441314737557521', '红旗路支局', '001007011012', '5651200321', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712862', '2', '99', '1323441314737557521', '金水区局大宗班', '001007011013', '5651200322', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712863', '2', '99', '1323441314737557521', '经八路邮政所', '001007011014', '5651200323', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712864', '2', '99', '1323441314737557521', '经五路支局', '001007011015', '5651200324', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712865', '2', '99', '1323441314737557521', '科技市场支局', '001007011016', '5651200325', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712866', '2', '99', '1323441314737557521', '南阳路大宗班', '001007011017', '5651200326', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712867', '2', '99', '1323441314737557521', '南阳路邮政所', '001007011018', '5651200327', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712868', '2', '99', '1323441314737557521', '农业路邮政所', '001007011019', '5651200328', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712869', '2', '99', '1323441314737557521', '省中医院支局', '001007011020', '5651200329', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712870', '2', '99', '1323441314737557521', '桃李园邮政所', '001007011021', '5651200330', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712871', '2', '99', '1323441314737557521', '同乐路邮政所', '001007011022', '5651200331', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712872', '2', '99', '1323441314737557521', '文化路支局', '001007011023', '5651200332', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712873', '2', '99', '1323441314737557521', '邮政广场邮政所', '001007011024', '5651200333', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712874', '2', '99', '1323441314737557521', '保留关系人员部门', '001007011025', '5651200399', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712875', '2', '99', '1323441314737557521', '寄递事业部', '001007011026', '5651200388', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712876', '2', '99', '1323441314737557522', '单位领导部门', '001007012001', '5651200401', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712877', '2', '99', '1323441314737557522', '非领导职务部门', '001007012002', '5651200402', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712878', '2', '99', '1323441314737557522', '领导助理部门', '001007012003', '5651200403', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712879', '2', '99', '1323441314737557522', '市场营销部', '001007012004', '5651200404', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712880', '2', '99', '1323441314737557522', '金融业务部（中邮保险局）', '001007012005', '5651200407', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712881', '2', '99', '1323441314737557522', '集邮与文化传媒部', '001007012006', '5651200408', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857614712882', '2', '99', '1323441314737557522', '渠道平台部', '001007012007', '5651200410', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907136', '2', '99', '1323441314737557522', '营业班', '001007012008', '5651200412', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907137', '2', '99', '1323441314737557522', '北林邮政所', '001007012009', '5651200418', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907138', '2', '99', '1323441314737557522', '常寨支局', '001007012010', '5651200419', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907139', '2', '99', '1323441314737557522', '东明北路邮政所', '001007012011', '5651200420', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907140', '2', '99', '1323441314737557522', '丰产路邮政所', '001007012012', '5651200421', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907141', '2', '99', '1323441314737557522', '航院新校区邮政所', '001007012013', '5651200422', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907142', '2', '99', '1323441314737557522', '河南财经政法大学邮政所', '001007012014', '5651200423', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907143', '2', '99', '1323441314737557522', '花园路大宗班', '001007012015', '5651200424', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907144', '2', '99', '1323441314737557522', '花园路支局', '001007012016', '5651200425', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907145', '2', '99', '1323441314737557522', '华北水院东校区邮政所', '001007012017', '5651200426', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907146', '2', '99', '1323441314737557522', '金水花园邮政所', '001007012018', '5651200427', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907147', '2', '99', '1323441314737557522', '经三路支局', '001007012019', '5651200428', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907148', '2', '99', '1323441314737557522', '经一路邮政所', '001007012020', '5651200429', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907149', '2', '99', '1323441314737557522', '农业南路支局', '001007012021', '5651200430', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907150', '2', '99', '1323441314737557522', '省直邮政所', '001007012022', '5651200431', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907151', '2', '99', '1323441314737557522', '纬五路支局', '001007012023', '5651200432', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907152', '2', '99', '1323441314737557522', '鑫苑路邮政所', '001007012024', '5651200433', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907153', '2', '99', '1323441314737557522', '原盛国际支局', '001007012025', '5651200434', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907154', '2', '99', '1323441314737557522', '政六街支局', '001007012026', '5651200435', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907155', '2', '99', '1323441314737557522', '政七街邮政所', '001007012027', '5651200436', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907156', '2', '99', '1323441314737557522', '众意路邮政所', '001007012028', '5651200437', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907157', '2', '99', '1323441314737557522', '保留关系人员部门', '001007012029', '5651200499', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907158', '2', '99', '1323441314737557522', '寄递事业部', '001007012030', '5651200488', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907159', '2', '99', '1323441314737557523', '单位领导部门', '001007013001', '5651200501', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907160', '2', '99', '1323441314737557523', '非领导职务部门', '001007013002', '5651200502', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907161', '2', '99', '1323441314737557523', '领导助理部门', '001007013003', '5651200503', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907162', '2', '99', '1323441314737557523', '市场营销部', '001007013004', '5651200504', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907163', '2', '99', '1323441314737557523', '金融业务部（中邮保险局）', '001007013005', '5651200507', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907164', '2', '99', '1323441314737557523', '集邮与文化传媒部', '001007013006', '5651200508', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907165', '2', '99', '1323441314737557523', '渠道平台部', '001007013007', '5651200510', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907166', '2', '99', '1323441314737557523', '营业班', '001007013008', '5651200512', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907167', '2', '99', '1323441314737557523', '北大学城支局', '001007013009', '5651200517', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907168', '2', '99', '1323441314737557523', '古荥支局', '001007013010', '5651200518', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907169', '2', '99', '1323441314737557523', '海洋路支局', '001007013011', '5651200519', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907170', '2', '99', '1323441314737557523', '花园口邮政所', '001007013012', '5651200520', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907171', '2', '99', '1323441314737557523', '华北水院邮政所', '001007013013', '5651200521', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907172', '2', '99', '1323441314737557523', '黄河南岸邮政所', '001007013014', '5651200522', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907173', '2', '99', '1323441314737557523', '老鸦陈支局', '001007013015', '5651200523', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907174', '2', '99', '1323441314737557523', '柳林邮政所', '001007013016', '5651200524', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907175', '2', '99', '1323441314737557523', '宋寨东路支局', '001007013017', '5651200525', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907176', '2', '99', '1323441314737557523', '中方园支局', '001007013018', '5651200526', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907177', '2', '99', '1323441314737557523', '中州大道支局', '001007013019', '5651200527', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907178', '2', '99', '1323441314737557523', '综合投资区邮政所', '001007013020', '5651200528', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907179', '2', '99', '1323441314737557523', '保留关系人员部门', '001007013021', '5651200599', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907180', '2', '99', '1323441314737557523', '寄递事业部', '001007013022', '5651200588', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907181', '2', '99', '1323441314737557524', '单位领导部门', '001007014001', '5651200601', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907182', '2', '99', '1323441314737557524', '非领导职务部门', '001007014002', '5651200602', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857618907183', '2', '99', '1323441314737557524', '领导助理部门', '001007014003', '5651200603', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101440', '2', '99', '1323441314737557524', '市场营销部', '001007014004', '5651200604', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101441', '2', '99', '1323441314737557524', '金融业务部（中邮保险局）', '001007014005', '5651200607', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101442', '2', '99', '1323441314737557524', '集邮与文化传媒部', '001007014006', '5651200608', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101443', '2', '99', '1323441314737557524', '渠道平台部', '001007014007', '5651200610', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101444', '2', '99', '1323441314737557524', '营业班', '001007014008', '5651200612', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101445', '2', '99', '1323441314737557524', '153邮政所', '001007014009', '5651200617', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101446', '2', '99', '1323441314737557524', '翠竹街支局', '001007014010', '5651200618', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101447', '2', '99', '1323441314737557524', '冬青街邮政所', '001007014011', '5651200619', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101448', '2', '99', '1323441314737557524', '工业大学邮政所', '001007014012', '5651200620', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101449', '2', '99', '1323441314737557524', '侯寨邮政所', '001007014013', '5651200621', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101450', '2', '99', '1323441314737557524', '华淮邮政所', '001007014014', '5651200622', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101451', '2', '99', '1323441314737557524', '华山路支局', '001007014015', '5651200623', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101452', '2', '99', '1323441314737557524', '化工学院邮政所', '001007014016', '5651200624', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101453', '2', '99', '1323441314737557524', '黄河医学院邮政所', '001007014017', '5651200625', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101454', '2', '99', '1323441314737557524', '马寨支局', '001007014018', '5651200626', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101455', '2', '99', '1323441314737557524', '五龙口支局', '001007014019', '5651200627', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101456', '2', '99', '1323441314737557524', '信息工程大学邮政所', '001007014020', '5651200628', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101457', '2', '99', '1323441314737557524', '须水邮政所', '001007014021', '5651200629', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101458', '2', '99', '1323441314737557524', '郑大新区邮政所', '001007014022', '5651200630', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101459', '2', '99', '1323441314737557524', '保留关系人员部门', '001007014023', '5651200699', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101460', '2', '99', '1323441314737557524', '寄递事业部', '001007014024', '5651200688', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101461', '2', '99', '1323441314737557525', '单位领导部门', '001007015001', '5651200701', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101462', '2', '99', '1323441314737557525', '非领导职务部门', '001007015002', '5651200702', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101463', '2', '99', '1323441314737557525', '领导助理部门', '001007015003', '5651200703', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101464', '2', '99', '1323441314737557525', '市场营销部', '001007015004', '5651200704', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101465', '2', '99', '1323441314737557525', '金融业务部（中邮保险局）', '001007015005', '5651200707', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101466', '2', '99', '1323441314737557525', '集邮与文化传媒部', '001007015006', '5651200708', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101467', '2', '99', '1323441314737557525', '渠道平台部', '001007015007', '5651200710', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101468', '2', '99', '1323441314737557525', '营业班', '001007015008', '5651200712', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101469', '2', '99', '1323441314737557525', '第五大街邮政所', '001007015009', '5651200718', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101470', '2', '99', '1323441314737557525', '寒山东路支局', '001007015010', '5651200719', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101471', '2', '99', '1323441314737557525', '黄科大邮政所', '001007015011', '5651200720', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101472', '2', '99', '1323441314737557525', '机场路邮政所', '001007015012', '5651200721', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101473', '2', '99', '1323441314737557525', '南曹邮政所', '001007015013', '5651200722', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101474', '2', '99', '1323441314737557525', '南环路支局', '001007015014', '5651200723', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101475', '2', '99', '1323441314737557525', '圃田支局', '001007015015', '5651200724', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101476', '2', '99', '1323441314737557525', '十里铺街支局', '001007015016', '5651200725', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101477', '2', '99', '1323441314737557525', '万客来支局', '001007015017', '5651200726', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101478', '2', '99', '1323441314737557525', '五洲小区支局', '001007015018', '5651200727', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101479', '2', '99', '1323441314737557525', '郑飞支局', '001007015019', '5651200728', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101480', '2', '99', '1323441314737557525', '行云路支局', '001007015020', '5651200729', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101481', '2', '99', '1323441314737557525', '保留关系人员部门', '001007015021', '5651200799', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101482', '2', '99', '1323441314737557525', '寄递事业部', '001007015022', '5651200788', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101483', '2', '99', '1323441314737557526', '单位领导部门', '001008009', '5652000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101484', '2', '99', '1323441314737557526', '非领导职务部门', '001008010', '5652000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101485', '2', '99', '1323441314737557526', '领导助理部门', '001008011', '5652000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101486', '2', '99', '1323441314737557526', '市场营销部', '001008012', '5652000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857623101487', '2', '99', '1323441314737557526', '服务质量部（普遍服务部）', '001008013', '5652000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295744', '2', '99', '1323441314737557526', '金融业务部', '001008014', '5652000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295745', '2', '99', '1323441314737557526', '集邮与文化传媒部', '001008015', '5652000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295746', '2', '99', '1323441314737557526', '渠道平台部', '001008016', '5652000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295747', '2', '99', '1323441314737557526', '综合办公室（党委办公室、安全保卫部）', '001008017', '5652000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295748', '2', '99', '1323441314737557526', '财务部', '001008018', '5652000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295749', '2', '99', '1323441314737557526', '人力资源部（党委组织部）', '001008019', '5652000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295750', '2', '99', '1323441314737557526', '党委党建工作部（纪委办公室）', '001008020', '5652000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295751', '2', '99', '1323441314737557526', '工会', '001008021', '5652000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295752', '2', '99', '1323441314737557526', '保留关系人员部门', '001008022', '5652000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295753', '2', '99', '1323441314737557526', '客户营销中心', '001008023', '565200000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295754', '2', '99', '1323441314737557526', '业务档案班', '001008024', '565200000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295755', '2', '99', '1323441314737557526', '业务管理室', '001008025', '565200000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295756', '2', '99', '1323441314737557526', '内控管理室', '001008026', '565200000702', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295757', '2', '99', '1323441314737557526', '中邮保险中心', '001008027', '565200000703', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295758', '2', '99', '1323441314737557526', '业务管理室', '001008028', '565200000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295759', '2', '99', '1323441314737557526', '创意研发室', '001008029', '565200000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295760', '2', '99', '1323441314737557526', '商函制作班', '001008030', '565200000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295761', '2', '99', '1323441314737557526', '渠道管理室', '001008031', '565200001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295762', '2', '99', '1323441314737557526', '电商分销室', '001008032', '565200001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295763', '2', '99', '1323441314737557526', '寄递事业部', '001008033', '5652000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295764', '2', '99', '1323441314737557527', '单位领导部门', '001008001001', '5652010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295765', '2', '99', '1323441314737557527', '非领导职务部门', '001008001002', '5652010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295766', '2', '99', '1323441314737557527', '领导助理部门', '001008001003', '5652010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295767', '2', '99', '1323441314737557527', '市场营销部', '001008001004', '5652010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295768', '2', '99', '1323441314737557527', '金融业务部', '001008001005', '5652010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295769', '2', '99', '1323441314737557527', '集邮与文化传媒部', '001008001006', '5652010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295770', '2', '99', '1323441314737557527', '渠道平台部', '001008001007', '5652010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295771', '2', '99', '1323441314737557527', '综合办公室（安全保卫部）', '001008001008', '5652010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295772', '2', '99', '1323441314737557527', '营业班', '001008001009', '5652010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295773', '2', '99', '1323441314737557527', '板木支局', '001008001010', '5652010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295774', '2', '99', '1323441314737557527', '付集支局', '001008001011', '5652010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295775', '2', '99', '1323441314737557527', '高阳支局', '001008001012', '5652010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295776', '2', '99', '1323441314737557527', '葛岗支局', '001008001013', '5652010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295777', '2', '99', '1323441314737557527', '官庄支局', '001008001014', '5652010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295778', '2', '99', '1323441314737557527', '湖岗支局', '001008001015', '5652010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295779', '2', '99', '1323441314737557527', '泥沟支局', '001008001016', '5652010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295780', '2', '99', '1323441314737557527', '裴村店支局', '001008001017', '5652010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295781', '2', '99', '1323441314737557527', '平城支局', '001008001018', '5652010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295782', '2', '99', '1323441314737557527', '沙沃支局', '001008001019', '5652010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295783', '2', '99', '1323441314737557527', '柿园支局', '001008001020', '5652010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295784', '2', '99', '1323441314737557527', '五里河支局', '001008001021', '5652010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295785', '2', '99', '1323441314737557527', '西关支局', '001008001022', '5652010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295786', '2', '99', '1323441314737557527', '西寨支局', '001008001023', '5652010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295787', '2', '99', '1323441314737557527', '邢口支局', '001008001024', '5652010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295788', '2', '99', '1323441314737557527', '阳固支局', '001008001025', '5652010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295789', '2', '99', '1323441314737557527', '于镇支局', '001008001026', '5652010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295790', '2', '99', '1323441314737557527', '竹林支局', '001008001027', '5652010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295791', '2', '99', '1323441314737557527', '宗店支局', '001008001028', '5652010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295792', '2', '99', '1323441314737557527', '苏木邮政所', '001008001029', '5652010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295793', '2', '99', '1323441314737557527', '文化东街邮政所', '001008001030', '5652010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857627295794', '2', '99', '1323441314737557527', '保留关系人员部门', '001008001031', '5652010099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490048', '2', '99', '1323441314737557527', '机要室', '001008001032', '565201000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490049', '2', '99', '1323441314737557527', '中邮保险中心', '001008001033', '565201000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490050', '2', '99', '1323441314737557527', '寄递事业部', '001008001034', '5652010088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490051', '2', '99', '1323441314737557528', '单位领导部门', '001008002001', '5652020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490052', '2', '99', '1323441314737557528', '非领导职务部门', '001008002002', '5652020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490053', '2', '99', '1323441314737557528', '领导助理部门', '001008002003', '5652020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490054', '2', '99', '1323441314737557528', '市场营销部', '001008002004', '5652020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490055', '2', '99', '1323441314737557528', '金融业务部（中邮保险中心）', '001008002005', '5652020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490056', '2', '99', '1323441314737557528', '集邮与文化传媒部', '001008002006', '5652020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490057', '2', '99', '1323441314737557528', '渠道平台部', '001008002007', '5652020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490058', '2', '99', '1323441314737557528', '综合办公室（安全保卫部）', '001008002008', '5652020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490059', '2', '99', '1323441314737557528', '营业班', '001008002009', '5652020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490060', '2', '99', '1323441314737557528', '北关支局', '001008002010', '5652020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490061', '2', '99', '1323441314737557528', '大岗李邮政所', '001008002011', '5652020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490062', '2', '99', '1323441314737557528', '邸阁支局', '001008002012', '5652020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490063', '2', '99', '1323441314737557528', '冯庄支局', '001008002013', '5652020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490064', '2', '99', '1323441314737557528', '历庄邮政所', '001008002014', '5652020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490065', '2', '99', '1323441314737557528', '练城支局', '001008002015', '5652020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490066', '2', '99', '1323441314737557528', '竖岗支局', '001008002016', '5652020022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490067', '2', '99', '1323441314737557528', '四所楼支局', '001008002017', '5652020023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490068', '2', '99', '1323441314737557528', '孙营支局', '001008002018', '5652020024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490069', '2', '99', '1323441314737557528', '玉皇庙支局', '001008002019', '5652020025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490070', '2', '99', '1323441314737557528', '长智支局', '001008002020', '5652020026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490071', '2', '99', '1323441314737557528', '中心支局', '001008002021', '5652020027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490072', '2', '99', '1323441314737557528', '朱砂支局', '001008002022', '5652020028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490073', '2', '99', '1323441314737557528', '保留关系人员部门', '001008002023', '5652020099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490074', '2', '99', '1323441314737557528', '机要室', '001008002024', '565202000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490075', '2', '99', '1323441314737557528', '寄递事业部', '001008002025', '5652020088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490076', '2', '99', '1323441314737557529', '单位领导部门', '001008003001', '5652030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490077', '2', '99', '1323441314737557529', '非领导职务部门', '001008003002', '5652030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490078', '2', '99', '1323441314737557529', '领导助理部门', '001008003003', '5652030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490079', '2', '99', '1323441314737557529', '市场营销部', '001008003004', '5652030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490080', '2', '99', '1323441314737557529', '金融业务部', '001008003005', '5652030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490081', '2', '99', '1323441314737557529', '集邮与文化传媒部', '001008003006', '5652030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490082', '2', '99', '1323441314737557529', '渠道平台部', '001008003007', '5652030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490083', '2', '99', '1323441314737557529', '综合办公室（安全保卫部）', '001008003008', '5652030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490084', '2', '99', '1323441314737557529', '营业班', '001008003009', '5652030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490085', '2', '99', '1323441314737557529', '蔡庄支局', '001008003010', '5652030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490086', '2', '99', '1323441314737557529', '大马支局', '001008003011', '5652030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490087', '2', '99', '1323441314737557529', '大桥邮政所', '001008003012', '5652030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490088', '2', '99', '1323441314737557529', '大营支局', '001008003013', '5652030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490089', '2', '99', '1323441314737557529', '岗李支局', '001008003014', '5652030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490090', '2', '99', '1323441314737557529', '建设路邮政所', '001008003015', '5652030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490091', '2', '99', '1323441314737557529', '门楼任支局', '001008003016', '5652030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490092', '2', '99', '1323441314737557529', '南曹支局', '001008003017', '5652030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490093', '2', '99', '1323441314737557529', '十八里支局', '001008003018', '5652030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490094', '2', '99', '1323441314737557529', '水坡支局', '001008003019', '5652030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490095', '2', '99', '1323441314737557529', '洧川支局', '001008003020', '5652030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857631490096', '2', '99', '1323441314737557529', '西大街支局', '001008003021', '5652030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684352', '2', '99', '1323441314737557529', '小陈支局', '001008003022', '5652030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684353', '2', '99', '1323441314737557529', '邢庄邮政所', '001008003023', '5652030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684354', '2', '99', '1323441314737557529', '永兴邮政所', '001008003024', '5652030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684355', '2', '99', '1323441314737557529', '张市支局', '001008003025', '5652030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684356', '2', '99', '1323441314737557529', '朱曲支局', '001008003026', '5652030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684357', '2', '99', '1323441314737557529', '庄头支局', '001008003027', '5652030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684358', '2', '99', '1323441314737557529', '保留关系人员部门', '001008003028', '5652030099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684359', '2', '99', '1323441314737557529', '机要室', '001008003029', '565203000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684360', '2', '99', '1323441314737557529', '中邮保险中心', '001008003030', '565203000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684361', '2', '99', '1323441314737557529', '寄递事业部', '001008003031', '5652030088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684362', '2', '99', '1323441314737557530', '单位领导部门', '001008004001', '5652040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684363', '2', '99', '1323441314737557530', '非领导职务部门', '001008004002', '5652040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684364', '2', '99', '1323441314737557530', '领导助理部门', '001008004003', '5652040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684365', '2', '99', '1323441314737557530', '市场营销部', '001008004004', '5652040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684366', '2', '99', '1323441314737557530', '金融业务部', '001008004005', '5652040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684367', '2', '99', '1323441314737557530', '集邮与文化传媒部', '001008004006', '5652040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684368', '2', '99', '1323441314737557530', '渠道平台部', '001008004007', '5652040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684369', '2', '99', '1323441314737557530', '综合办公室（安全保卫部）', '001008004008', '5652040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684370', '2', '99', '1323441314737557530', '营业班', '001008004009', '5652040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684371', '2', '99', '1323441314737557530', '陈留邮政所', '001008004010', '5652040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684372', '2', '99', '1323441314737557530', '仇楼支局', '001008004011', '5652040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684373', '2', '99', '1323441314737557530', '大李庄邮政所', '001008004012', '5652040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684374', '2', '99', '1323441314737557530', '杜良支局', '001008004013', '5652040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684375', '2', '99', '1323441314737557530', '范村支局', '001008004014', '5652040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684376', '2', '99', '1323441314737557530', '开祥路支局', '001008004015', '5652040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684377', '2', '99', '1323441314737557530', '刘店支局', '001008004016', '5652040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684378', '2', '99', '1323441314737557530', '罗王支局', '001008004017', '5652040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684379', '2', '99', '1323441314737557530', '曲兴支局', '001008004018', '5652040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684380', '2', '99', '1323441314737557530', '土山岗支局', '001008004019', '5652040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684381', '2', '99', '1323441314737557530', '万隆支局', '001008004020', '5652040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684382', '2', '99', '1323441314737557530', '西姜寨支局', '001008004021', '5652040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684383', '2', '99', '1323441314737557530', '兴隆支局', '001008004022', '5652040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684384', '2', '99', '1323441314737557530', '袁坊支局', '001008004023', '5652040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684385', '2', '99', '1323441314737557530', '朱仙镇支局', '001008004024', '5652040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684386', '2', '99', '1323441314737557530', '文化路邮政所', '001008004025', '5652040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684387', '2', '99', '1323441314737557530', '八里湾支局', '001008004026', '5652040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684388', '2', '99', '1323441314737557530', '半坡店支局', '001008004027', '5652040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684389', '2', '99', '1323441314737557530', '保留关系人员部门', '001008004028', '5652040099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684390', '2', '99', '1323441314737557530', '机要室', '001008004029', '565204000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684391', '2', '99', '1323441314737557530', '中邮保险中心', '001008004030', '565204000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684392', '2', '99', '1323441314737557530', '寄递事业部', '001008004031', '5652040088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684393', '2', '99', '1323441314737557531', '单位领导部门', '001008005001', '5652050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684394', '2', '99', '1323441314737557531', '非领导职务部门', '001008005002', '5652050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684395', '2', '99', '1323441314737557531', '领导助理部门', '001008005003', '5652050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684396', '2', '99', '1323441314737557531', '市场营销部', '001008005004', '5652050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684397', '2', '99', '1323441314737557531', '金融业务部', '001008005005', '5652050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684398', '2', '99', '1323441314737557531', '集邮与文化传媒部', '001008005006', '5652050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684399', '2', '99', '1323441314737557531', '渠道平台部', '001008005007', '5652050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684400', '2', '99', '1323441314737557531', '综合办公室（安全保卫部）', '001008005008', '5652050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684401', '2', '99', '1323441314737557531', '营业班', '001008005009', '5652050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684402', '2', '99', '1323441314737557531', '坝头支局', '001008005010', '5652050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857635684403', '2', '99', '1323441314737557531', '东街支局', '001008005011', '5652050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878656', '2', '99', '1323441314737557531', '谷营支局', '001008005012', '5652050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878657', '2', '99', '1323441314737557531', '堌阳邮政所', '001008005013', '5652050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878658', '2', '99', '1323441314737557531', '红庙支局', '001008005014', '5652050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878659', '2', '99', '1323441314737557531', '考城支局', '001008005015', '5652050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878660', '2', '99', '1323441314737557531', '兰北支局', '001008005016', '5652050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878661', '2', '99', '1323441314737557531', '孟寨支局', '001008005017', '5652050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878662', '2', '99', '1323441314737557531', '南彰支局', '001008005018', '5652050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878663', '2', '99', '1323441314737557531', '葡萄架支局', '001008005019', '5652050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878664', '2', '99', '1323441314737557531', '三义寨支局', '001008005020', '5652050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878665', '2', '99', '1323441314737557531', '孙营支局', '001008005021', '5652050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878666', '2', '99', '1323441314737557531', '小宋支局', '001008005022', '5652050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878667', '2', '99', '1323441314737557531', '许河支局', '001008005023', '5652050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878668', '2', '99', '1323441314737557531', '闫楼支局', '001008005024', '5652050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878669', '2', '99', '1323441314737557531', '仪封支局', '001008005025', '5652050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878670', '2', '99', '1323441314737557531', '爪营支局', '001008005026', '5652050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878671', '2', '99', '1323441314737557531', '中原路邮政所', '001008005027', '5652050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878672', '2', '99', '1323441314737557531', '保留关系人员部门', '001008005028', '5652050099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878673', '2', '99', '1323441314737557531', '机要室', '001008005029', '565205000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878674', '2', '99', '1323441314737557531', '中邮保险中心', '001008005030', '565205000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878675', '2', '99', '1323441314737557531', '寄递事业部', '001008005031', '5652050088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878676', '2', '99', '1323441314737557532', '单位领导部门', '001008006001', '5652200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878677', '2', '99', '1323441314737557532', '非领导职务部门', '001008006002', '5652200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878678', '2', '99', '1323441314737557532', '领导助理部门', '001008006003', '5652200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878679', '2', '99', '1323441314737557532', '机要通信分局内设机构（虚拟部门）', '001008006004', '5652200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878680', '2', '99', '1323441314737557532', '保留关系人员部门', '001008006005', '5652200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878681', '2', '99', '1323441314737557533', '单位领导部门', '001008007001', '5652200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878682', '2', '99', '1323441314737557533', '非领导职务部门', '001008007002', '5652200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878683', '2', '99', '1323441314737557533', '领导助理部门', '001008007003', '5652200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878684', '2', '99', '1323441314737557533', '市场营销部', '001008007004', '5652200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878685', '2', '99', '1323441314737557533', '营业班', '001008007005', '5652200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878686', '2', '99', '1323441314737557533', '河大西支局', '001008007006', '5652200114', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878687', '2', '99', '1323441314737557533', '金明支局', '001008007007', '5652200115', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878688', '2', '99', '1323441314737557533', '开封大学支局', '001008007008', '5652200116', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878689', '2', '99', '1323441314737557533', '农场邮政所', '001008007009', '5652200117', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878690', '2', '99', '1323441314737557533', '水稻邮政所', '001008007010', '5652200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878691', '2', '99', '1323441314737557533', '杏花营支局', '001008007011', '5652200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878692', '2', '99', '1323441314737557533', '保留关系人员部门', '001008007012', '5652200199', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878693', '2', '99', '1323441314737557533', '金融业务中心（中邮保险局）', '001008007013', '565220010402', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878694', '2', '99', '1323441314737557533', '集邮与文化传媒中心', '001008007014', '565220010403', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878695', '2', '99', '1323441314737557533', '渠道平台中心', '001008007015', '565220010405', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878696', '2', '99', '1323441314737557533', '寄递事业部', '001008007016', '5652200188', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878697', '2', '99', '1323441314737557534', '单位领导部门', '001008008001', '5652200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878698', '2', '99', '1323441314737557534', '非领导职务部门', '001008008002', '5652200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878699', '2', '99', '1323441314737557534', '领导助理部门', '001008008003', '5652200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878700', '2', '99', '1323441314737557534', '市场营销部', '001008008004', '5652200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878701', '2', '99', '1323441314737557534', '营业班', '001008008005', '5652200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878702', '2', '99', '1323441314737557534', '北郊邮政所', '001008008006', '5652200216', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857639878703', '2', '99', '1323441314737557534', '滨河路邮政所', '001008008007', '5652200217', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072960', '2', '99', '1323441314737557534', '劳动路支局', '001008008008', '5652200218', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072961', '2', '99', '1323441314737557534', '行宫角邮政所', '001008008009', '5652200219', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072962', '2', '99', '1323441314737557534', '河南大学支局', '001008008010', '5652200220', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072963', '2', '99', '1323441314737557534', '柳园口邮政所', '001008008011', '5652200221', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072964', '2', '99', '1323441314737557534', '南关支局', '001008008012', '5652200222', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072965', '2', '99', '1323441314737557534', '南郊邮政所', '001008008013', '5652200223', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072966', '2', '99', '1323441314737557534', '苹果园邮政所', '001008008014', '5652200224', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072967', '2', '99', '1323441314737557534', '土柏岗邮政所', '001008008015', '5652200227', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072968', '2', '99', '1323441314737557534', '汪屯邮政所', '001008008016', '5652200228', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072969', '2', '99', '1323441314737557534', '西关邮政所', '001008008017', '5652200229', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072970', '2', '99', '1323441314737557534', '仙人庄邮政所', '001008008018', '5652200230', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072971', '2', '99', '1323441314737557534', '相国寺支局', '001008008019', '5652200231', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072972', '2', '99', '1323441314737557534', '新宋路邮政所', '001008008020', '5652200232', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072973', '2', '99', '1323441314737557534', '学院门邮政所', '001008008021', '5652200233', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072974', '2', '99', '1323441314737557534', '龙亭支局', '001008008022', '5652200234', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072975', '2', '99', '1323441314737557534', '保留关系人员部门', '001008008023', '5652200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072976', '2', '99', '1323441314737557534', '金融业务中心（中邮保险局）', '001008008024', '565220020402', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072977', '2', '99', '1323441314737557534', '集邮与文化传媒中心', '001008008025', '565220020403', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072978', '2', '99', '1323441314737557534', '渠道平台中心', '001008008026', '565220020405', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072979', '2', '99', '1323441314737557534', '寄递事业部', '001008008027', '5652200288', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072980', '2', '99', '1323441314737557535', '单位领导部门', '001009016', '5653000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072981', '2', '99', '1323441314737557535', '非领导职务部门', '001009017', '5653000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072982', '2', '99', '1323441314737557535', '领导助理部门', '001009018', '5653000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072983', '2', '99', '1323441314737557535', '市场营销部', '001009019', '5653000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072984', '2', '99', '1323441314737557535', '服务质量部（普遍服务部）', '001009020', '5653000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072985', '2', '99', '1323441314737557535', '金融业务部', '001009021', '5653000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072986', '2', '99', '1323441314737557535', '集邮与文化传媒部', '001009022', '5653000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072987', '2', '99', '1323441314737557535', '渠道平台部', '001009023', '5653000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072988', '2', '99', '1323441314737557535', '综合办公室（党委办公室、安全保卫部）', '001009024', '5653000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072989', '2', '99', '1323441314737557535', '财务部', '001009025', '5653000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072990', '2', '99', '1323441314737557535', '人力资源部（党委组织部）', '001009026', '5653000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072991', '2', '99', '1323441314737557535', '党委党建工作部（纪委办公室）', '001009027', '5653000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072992', '2', '99', '1323441314737557535', '工会', '001009028', '5653000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072993', '2', '99', '1323441314737557535', '中邮保险业务部', '001009029', '5653000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072994', '2', '99', '1323441314737557535', '保留关系人员部门', '001009030', '5653000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072995', '2', '99', '1323441314737557535', '客户营销中心', '001009031', '565300000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072996', '2', '99', '1323441314737557535', '业务档案班', '001009032', '565300000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072997', '2', '99', '1323441314737557535', '业务管理室', '001009033', '565300000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072998', '2', '99', '1323441314737557535', '内控管理室', '001009034', '565300000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644072999', '2', '99', '1323441314737557535', '业务管理室', '001009035', '565300000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644073000', '2', '99', '1323441314737557535', '创意研发室', '001009036', '565300000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644073001', '2', '99', '1323441314737557535', '商函制作班', '001009037', '565300000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644073002', '2', '99', '1323441314737557535', '渠道管理室', '001009038', '565300001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644073003', '2', '99', '1323441314737557535', '电商分销室', '001009039', '565300001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644073004', '2', '99', '1323441314737557535', '寄递事业部', '001009040', '5653000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857644073005', '2', '99', '1323441314741751808', '单位领导部门', '001009001001', '5653010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267264', '2', '99', '1323441314741751808', '非领导职务部门', '001009001002', '5653010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267265', '2', '99', '1323441314741751808', '领导助理部门', '001009001003', '5653010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267266', '2', '99', '1323441314741751808', '市场营销部', '001009001004', '5653010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267267', '2', '99', '1323441314741751808', '金融业务部', '001009001005', '5653010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267268', '2', '99', '1323441314741751808', '集邮与文化传媒部', '001009001006', '5653010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267269', '2', '99', '1323441314741751808', '渠道平台部', '001009001007', '5653010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267270', '2', '99', '1323441314741751808', '综合办公室（安全保卫部）', '001009001008', '5653010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267271', '2', '99', '1323441314741751808', '营业班', '001009001009', '5653010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267272', '2', '99', '1323441314741751808', '城关支局', '001009001010', '5653010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267273', '2', '99', '1323441314741751808', '大口邮政所', '001009001011', '5653010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267274', '2', '99', '1323441314741751808', '佃庄支局', '001009001012', '5653010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267275', '2', '99', '1323441314741751808', '府店支局', '001009001013', '5653010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267276', '2', '99', '1323441314741751808', '高龙支局', '001009001014', '5653010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267277', '2', '99', '1323441314741751808', '缑氏支局', '001009001015', '5653010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267278', '2', '99', '1323441314741751808', '顾县支局', '001009001016', '5653010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267279', '2', '99', '1323441314741751808', '寇店支局', '001009001017', '5653010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267280', '2', '99', '1323441314741751808', '李村支局', '001009001018', '5653010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267281', '2', '99', '1323441314741751808', '邙岭邮政所', '001009001019', '5653010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267282', '2', '99', '1323441314741751808', '民主街支局', '001009001020', '5653010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267283', '2', '99', '1323441314741751808', '民主街邮政所', '001009001021', '5653010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267284', '2', '99', '1323441314741751808', '庞村支局', '001009001022', '5653010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267285', '2', '99', '1323441314741751808', '山化支局', '001009001023', '5653010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267286', '2', '99', '1323441314741751808', '首阳山支局', '001009001024', '5653010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267287', '2', '99', '1323441314741751808', '书香名邸支局', '001009001025', '5653010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267288', '2', '99', '1323441314741751808', '伊滨区师范学院邮政所', '001009001026', '5653010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267289', '2', '99', '1323441314741751808', '岳滩支局', '001009001027', '5653010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267290', '2', '99', '1323441314741751808', '翟镇支局', '001009001028', '5653010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267291', '2', '99', '1323441314741751808', '诸葛支局', '001009001029', '5653010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267292', '2', '99', '1323441314741751808', '保留关系人员部门', '001009001030', '5653010099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267293', '2', '99', '1323441314741751808', '机要室', '001009001031', '565301000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267294', '2', '99', '1323441314741751808', '中邮保险中心', '001009001032', '565301000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267295', '2', '99', '1323441314741751808', '寄递事业部', '001009001033', '5653010088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267296', '2', '99', '1323441314741751809', '单位领导部门', '001009002001', '5653020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267297', '2', '99', '1323441314741751809', '非领导职务部门', '001009002002', '5653020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267298', '2', '99', '1323441314741751809', '领导助理部门', '001009002003', '5653020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267299', '2', '99', '1323441314741751809', '市场营销部', '001009002004', '5653020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267300', '2', '99', '1323441314741751809', '金融业务部', '001009002005', '5653020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267301', '2', '99', '1323441314741751809', '集邮与文化传媒部', '001009002006', '5653020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267302', '2', '99', '1323441314741751809', '渠道平台部', '001009002007', '5653020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857648267303', '2', '99', '1323441314741751809', '综合办公室（安全保卫部）', '001009002008', '5653020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461568', '2', '99', '1323441314741751809', '营业班', '001009002009', '5653020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461569', '2', '99', '1323441314741751809', '白鹤镇王良邮政所', '001009002010', '5653020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461570', '2', '99', '1323441314741751809', '白鹤镇支局', '001009002011', '5653020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461571', '2', '99', '1323441314741751809', '常袋乡支局', '001009002012', '5653020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461572', '2', '99', '1323441314741751809', '朝阳镇支局', '001009002013', '5653020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461573', '2', '99', '1323441314741751809', '东良支局', '001009002014', '5653020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461574', '2', '99', '1323441314741751809', '横水镇支局', '001009002015', '5653020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461575', '2', '99', '1323441314741751809', '会盟镇支局', '001009002016', '5653020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461576', '2', '99', '1323441314741751809', '麻屯镇邮政所', '001009002017', '5653020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461577', '2', '99', '1323441314741751809', '送庄镇支局', '001009002018', '5653020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461578', '2', '99', '1323441314741751809', '平乐镇支局', '001009002019', '5653020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461579', '2', '99', '1323441314741751809', '小浪底大道支局', '001009002020', '5653020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461580', '2', '99', '1323441314741751809', '小浪底镇支局', '001009002021', '5653020027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461581', '2', '99', '1323441314741751809', '龙马路邮政所', '001009002022', '5653020028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461582', '2', '99', '1323441314741751809', '保留关系人员部门', '001009002023', '5653020099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461583', '2', '99', '1323441314741751809', '机要室', '001009002024', '565302000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461584', '2', '99', '1323441314741751809', '中邮保险中心', '001009002025', '565302000701', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461585', '2', '99', '1323441314741751809', '寄递事业部', '001009002026', '5653020088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461586', '2', '99', '1323441314741751810', '单位领导部门', '001009003001', '5653030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461587', '2', '99', '1323441314741751810', '非领导职务部门', '001009003002', '5653030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461588', '2', '99', '1323441314741751810', '领导助理部门', '001009003003', '5653030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461589', '2', '99', '1323441314741751810', '市场营销部', '001009003004', '5653030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461590', '2', '99', '1323441314741751810', '金融业务部（中邮保险中心）', '001009003005', '5653030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461591', '2', '99', '1323441314741751810', '集邮与文化传媒部', '001009003006', '5653030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461592', '2', '99', '1323441314741751810', '渠道平台部', '001009003007', '5653030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461593', '2', '99', '1323441314741751810', '综合办公室（安全保卫部）', '001009003008', '5653030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461594', '2', '99', '1323441314741751810', '营业班', '001009003009', '5653030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461595', '2', '99', '1323441314741751810', '北京路支局', '001009003010', '5653030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461596', '2', '99', '1323441314741751810', '北冶邮政所', '001009003011', '5653030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461597', '2', '99', '1323441314741751810', '仓头支局', '001009003012', '5653030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461598', '2', '99', '1323441314741751810', '曹村邮政所', '001009003013', '5653030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461599', '2', '99', '1323441314741751810', '磁涧支局', '001009003014', '5653030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461600', '2', '99', '1323441314741751810', '古灯支局', '001009003015', '5653030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461601', '2', '99', '1323441314741751810', '杭州路支局', '001009003016', '5653030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461602', '2', '99', '1323441314741751810', '老城邮政所', '001009003017', '5653030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461603', '2', '99', '1323441314741751810', '李村邮政所', '001009003018', '5653030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461604', '2', '99', '1323441314741751810', '庙头支局', '001009003019', '5653030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461605', '2', '99', '1323441314741751810', '石井支局', '001009003020', '5653030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461606', '2', '99', '1323441314741751810', '石寺支局', '001009003021', '5653030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461607', '2', '99', '1323441314741751810', '铁门支局', '001009003022', '5653030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461608', '2', '99', '1323441314741751810', '五头支局', '001009003023', '5653030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461609', '2', '99', '1323441314741751810', '西沃邮政所', '001009003024', '5653030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461610', '2', '99', '1323441314741751810', '正村支局', '001009003025', '5653030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461611', '2', '99', '1323441314741751810', '保留关系人员部门', '001009003026', '5653030099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461612', '2', '99', '1323441314741751810', '机要室', '001009003027', '565303000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461613', '2', '99', '1323441314741751810', '寄递事业部', '001009003028', '5653030088', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857652461614', '2', '99', '1323441314741751811', '单位领导部门', '001009004001', '5653040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655872', '2', '99', '1323441314741751811', '非领导职务部门', '001009004002', '5653040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655873', '2', '99', '1323441314741751811', '领导助理部门', '001009004003', '5653040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655874', '2', '99', '1323441314741751811', '市场营销部', '001009004004', '5653040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655875', '2', '99', '1323441314741751811', '金融业务部', '001009004005', '5653040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655876', '2', '99', '1323441314741751811', '集邮与文化传媒部', '001009004006', '5653040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655877', '2', '99', '1323441314741751811', '渠道平台部', '001009004007', '5653040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655878', '2', '99', '1323441314741751811', '综合办公室（安全保卫部）', '001009004008', '5653040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655879', '2', '99', '1323441314741751811', '营业班', '001009004009', '5653040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655880', '2', '99', '1323441314741751811', '白沙支局', '001009004010', '5653040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655881', '2', '99', '1323441314741751811', '白元支局', '001009004011', '5653040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655882', '2', '99', '1323441314741751811', '半坡支局', '001009004012', '5653040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655883', '2', '99', '1323441314741751811', '草店邮政所', '001009004013', '5653040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655884', '2', '99', '1323441314741751811', '常川支局', '001009004014', '5653040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655885', '2', '99', '1323441314741751811', '杜康大道支局', '001009004015', '5653040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655886', '2', '99', '1323441314741751811', '二电支局', '001009004016', '5653040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655887', '2', '99', '1323441314741751811', '高山支局', '001009004017', '5653040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655888', '2', '99', '1323441314741751811', '葛寨支局', '001009004018', '5653040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655889', '2', '99', '1323441314741751811', '槐树街支局', '001009004019', '5653040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655890', '2', '99', '1323441314741751811', '江左支局', '001009004020', '5653040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655891', '2', '99', '1323441314741751811', '荆山路支局', '001009004021', '5653040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655892', '2', '99', '1323441314741751811', '酒后支局', '001009004022', '5653040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655893', '2', '99', '1323441314741751811', '吕店支局', '001009004023', '5653040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655894', '2', '99', '1323441314741751811', '鸣皋支局', '001009004024', '5653040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655895', '2', '99', '1323441314741751811', '彭婆邮政所', '001009004025', '5653040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655896', '2', '99', '1323441314741751811', '平等支局', '001009004026', '5653040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655897', '2', '99', '1323441314741751811', '水寨支局', '001009004027', '5653040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655898', '2', '99', '1323441314741751811', '文化路支局', '001009004028', '5653040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655899', '2', '99', '1323441314741751811', '兴华街邮政所', '001009004029', '5653040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655900', '2', '99', '1323441314741751811', '兴华街支局', '001009004030', '5653040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655901', '2', '99', '1323441314741751811', '鸦岭支局', '001009004031', '5653040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655902', '2', '99', '1323441314741751811', '中溪支局', '001009004032', '5653040037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655903', '2', '99', '1323441314741751811', '保留关系人员部门', '001009004033', '5653040099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655904', '2', '99', '1323441314741751811', '机要室', '001009004034', '565304000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655905', '2', '99', '1323441314741751811', '中邮保险中心', '001009004035', '565304000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655906', '2', '99', '1323441314741751811', '寄递事业部', '001009004036', '5653040088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655907', '2', '99', '1323441314741751812', '单位领导部门', '001009005001', '5653050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655908', '2', '99', '1323441314741751812', '非领导职务部门', '001009005002', '5653050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655909', '2', '99', '1323441314741751812', '领导助理部门', '001009005003', '5653050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655910', '2', '99', '1323441314741751812', '市场营销部', '001009005004', '5653050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655911', '2', '99', '1323441314741751812', '金融业务部', '001009005005', '5653050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655912', '2', '99', '1323441314741751812', '集邮与文化传媒部', '001009005006', '5653050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655913', '2', '99', '1323441314741751812', '渠道平台部', '001009005007', '5653050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655914', '2', '99', '1323441314741751812', '综合办公室（安全保卫部）', '001009005008', '5653050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655915', '2', '99', '1323441314741751812', '营业班', '001009005009', '5653050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655916', '2', '99', '1323441314741751812', '柏树邮政所', '001009005010', '5653050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857656655917', '2', '99', '1323441314741751812', '蔡店支局', '001009005011', '5653050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850176', '2', '99', '1323441314741751812', '城东邮政所', '001009005012', '5653050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850177', '2', '99', '1323441314741751812', '大安支局', '001009005013', '5653050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850178', '2', '99', '1323441314741751812', '杜鹃大道支局', '001009005014', '5653050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850179', '2', '99', '1323441314741751812', '付店支局', '001009005015', '5653050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850180', '2', '99', '1323441314741751812', '靳村支局', '001009005016', '5653050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850181', '2', '99', '1323441314741751812', '刘店支局', '001009005017', '5653050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850182', '2', '99', '1323441314741751812', '隆盛路支局', '001009005018', '5653050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850183', '2', '99', '1323441314741751812', '内埠邮政所', '001009005019', '5653050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850184', '2', '99', '1323441314741751812', '人民路支局', '001009005020', '5653050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850185', '2', '99', '1323441314741751812', '三屯支局', '001009005021', '5653050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850186', '2', '99', '1323441314741751812', '上店支局', '001009005022', '5653050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850187', '2', '99', '1323441314741751812', '十八盘邮政所', '001009005023', '5653050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850188', '2', '99', '1323441314741751812', '陶营支局', '001009005024', '5653050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850189', '2', '99', '1323441314741751812', '王坪邮政所', '001009005025', '5653050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850190', '2', '99', '1323441314741751812', '小店支局', '001009005026', '5653050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850191', '2', '99', '1323441314741751812', '保留关系人员部门', '001009005027', '5653050099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850192', '2', '99', '1323441314741751812', '机要室', '001009005028', '565305000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850193', '2', '99', '1323441314741751812', '中邮保险中心', '001009005029', '565305000701', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850194', '2', '99', '1323441314741751812', '寄递事业部', '001009005030', '5653050088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850195', '2', '99', '1323441314741751813', '单位领导部门', '001009006001', '5653060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850196', '2', '99', '1323441314741751813', '非领导职务部门', '001009006002', '5653060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850197', '2', '99', '1323441314741751813', '领导助理部门', '001009006003', '5653060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850198', '2', '99', '1323441314741751813', '市场营销部', '001009006004', '5653060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850199', '2', '99', '1323441314741751813', '金融业务部', '001009006005', '5653060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850200', '2', '99', '1323441314741751813', '集邮与文化传媒部', '001009006006', '5653060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850201', '2', '99', '1323441314741751813', '渠道平台部', '001009006007', '5653060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850202', '2', '99', '1323441314741751813', '综合办公室（安全保卫部）', '001009006008', '5653060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850203', '2', '99', '1323441314741751813', '营业班', '001009006009', '5653060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850204', '2', '99', '1323441314741751813', '白河支局', '001009006010', '5653060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850205', '2', '99', '1323441314741751813', '白云西路支局', '001009006011', '5653060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850206', '2', '99', '1323441314741751813', '白云中路支局', '001009006012', '5653060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850207', '2', '99', '1323441314741751813', '车村支局', '001009006013', '5653060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850208', '2', '99', '1323441314741751813', '大坪邮政所', '001009006014', '5653060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850209', '2', '99', '1323441314741751813', '大禹路支局', '001009006015', '5653060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850210', '2', '99', '1323441314741751813', '大章支局', '001009006016', '5653060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850211', '2', '99', '1323441314741751813', '德亭支局', '001009006017', '5653060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850212', '2', '99', '1323441314741751813', '饭坡支局', '001009006018', '5653060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850213', '2', '99', '1323441314741751813', '何村邮政所', '001009006019', '5653060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850214', '2', '99', '1323441314741751813', '黄庄支局', '001009006020', '5653060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850215', '2', '99', '1323441314741751813', '金城路支局', '001009006021', '5653060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850216', '2', '99', '1323441314741751813', '九店支局', '001009006022', '5653060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850217', '2', '99', '1323441314741751813', '旧县邮政所', '001009006023', '5653060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850218', '2', '99', '1323441314741751813', '库区邮政所', '001009006024', '5653060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857660850219', '2', '99', '1323441314741751813', '木植街邮政所', '001009006025', '5653060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044480', '2', '99', '1323441314741751813', '田湖支局', '001009006026', '5653060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044481', '2', '99', '1323441314741751813', '闫庄支局', '001009006027', '5653060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044482', '2', '99', '1323441314741751813', '保留关系人员部门', '001009006028', '5653060099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044483', '2', '99', '1323441314741751813', '机要室', '001009006029', '565306000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044484', '2', '99', '1323441314741751813', '中邮保险中心', '001009006030', '565306000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044485', '2', '99', '1323441314741751813', '寄递事业部', '001009006031', '5653060088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044486', '2', '99', '1323441314741751814', '单位领导部门', '001009007001', '5653070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044487', '2', '99', '1323441314741751814', '非领导职务部门', '001009007002', '5653070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044488', '2', '99', '1323441314741751814', '领导助理部门', '001009007003', '5653070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044489', '2', '99', '1323441314741751814', '市场营销部', '001009007004', '5653070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044490', '2', '99', '1323441314741751814', '金融业务部', '001009007005', '5653070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044491', '2', '99', '1323441314741751814', '集邮与文化传媒部', '001009007006', '5653070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044492', '2', '99', '1323441314741751814', '渠道平台部', '001009007007', '5653070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044493', '2', '99', '1323441314741751814', '综合办公室（安全保卫部）', '001009007008', '5653070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044494', '2', '99', '1323441314741751814', '营业班', '001009007009', '5653070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044495', '2', '99', '1323441314741751814', '陈吴支局', '001009007010', '5653070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044496', '2', '99', '1323441314741751814', '大原支局', '001009007011', '5653070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044497', '2', '99', '1323441314741751814', '底张支局', '001009007012', '5653070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044498', '2', '99', '1323441314741751814', '东宋支局', '001009007013', '5653070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044499', '2', '99', '1323441314741751814', '凤翼路支局', '001009007014', '5653070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044500', '2', '99', '1323441314741751814', '故县邮政所', '001009007015', '5653070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044501', '2', '99', '1323441314741751814', '河底支局', '001009007016', '5653070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044502', '2', '99', '1323441314741751814', '涧口支局', '001009007017', '5653070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044503', '2', '99', '1323441314741751814', '罗岭邮政所', '001009007018', '5653070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044504', '2', '99', '1323441314741751814', '洛浦路支局', '001009007019', '5653070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044505', '2', '99', '1323441314741751814', '马店支局', '001009007020', '5653070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044506', '2', '99', '1323441314741751814', '山底支局', '001009007021', '5653070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044507', '2', '99', '1323441314741751814', '上戈支局', '001009007022', '5653070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044508', '2', '99', '1323441314741751814', '下峪支局', '001009007023', '5653070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044509', '2', '99', '1323441314741751814', '小界邮政所', '001009007024', '5653070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044510', '2', '99', '1323441314741751814', '兴华支局', '001009007025', '5653070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044511', '2', '99', '1323441314741751814', '兴宁东路支局', '001009007026', '5653070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044512', '2', '99', '1323441314741751814', '兴宁路支局', '001009007027', '5653070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044513', '2', '99', '1323441314741751814', '兴宁路邮政所', '001009007028', '5653070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044514', '2', '99', '1323441314741751814', '杨坡支局', '001009007029', '5653070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044515', '2', '99', '1323441314741751814', '长水支局', '001009007030', '5653070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044516', '2', '99', '1323441314741751814', '赵村支局', '001009007031', '5653070036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044517', '2', '99', '1323441314741751814', '中河邮政所', '001009007032', '5653070037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857665044518', '2', '99', '1323441314741751814', '保留关系人员部门', '001009007033', '5653070099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238784', '2', '99', '1323441314741751814', '机要室', '001009007034', '565307000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238785', '2', '99', '1323441314741751814', '中邮保险中心', '001009007035', '565307000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238786', '2', '99', '1323441314741751814', '寄递事业部', '001009007036', '5653070088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238787', '2', '99', '1323441314741751815', '单位领导部门', '001009008001', '5653080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238788', '2', '99', '1323441314741751815', '非领导职务部门', '001009008002', '5653080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238789', '2', '99', '1323441314741751815', '领导助理部门', '001009008003', '5653080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238790', '2', '99', '1323441314741751815', '市场营销部', '001009008004', '5653080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238791', '2', '99', '1323441314741751815', '金融业务部', '001009008005', '5653080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238792', '2', '99', '1323441314741751815', '集邮与文化传媒部', '001009008006', '5653080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238793', '2', '99', '1323441314741751815', '渠道平台部', '001009008007', '5653080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238794', '2', '99', '1323441314741751815', '综合办公室（安全保卫部）', '001009008008', '5653080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238795', '2', '99', '1323441314741751815', '营业班', '001009008009', '5653080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238796', '2', '99', '1323441314741751815', '白土支局', '001009008010', '5653080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238797', '2', '99', '1323441314741751815', '赤土店支局', '001009008011', '5653080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238798', '2', '99', '1323441314741751815', '大清沟邮政所', '001009008012', '5653080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238799', '2', '99', '1323441314741751815', '合峪支局', '001009008013', '5653080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238800', '2', '99', '1323441314741751815', '鸡冠洞邮政所', '001009008014', '5653080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238801', '2', '99', '1323441314741751815', '叫河支局', '001009008015', '5653080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238802', '2', '99', '1323441314741751815', '君山路邮政所', '001009008016', '5653080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238803', '2', '99', '1323441314741751815', '冷水支局', '001009008017', '5653080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238804', '2', '99', '1323441314741751815', '庙子支局', '001009008018', '5653080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238805', '2', '99', '1323441314741751815', '七里坪支局', '001009008019', '5653080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238806', '2', '99', '1323441314741751815', '秋扒支局', '001009008020', '5653080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238807', '2', '99', '1323441314741751815', '三川支局', '001009008021', '5653080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238808', '2', '99', '1323441314741751815', '狮子庙支局', '001009008022', '5653080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238809', '2', '99', '1323441314741751815', '石庙邮政所', '001009008023', '5653080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238810', '2', '99', '1323441314741751815', '潭头支局', '001009008024', '5653080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238811', '2', '99', '1323441314741751815', '陶湾支局', '001009008025', '5653080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238812', '2', '99', '1323441314741751815', '长春路支局', '001009008026', '5653080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238813', '2', '99', '1323441314741751815', '保留关系人员部门', '001009008027', '5653080099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238814', '2', '99', '1323441314741751815', '机要室', '001009008028', '565308000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238815', '2', '99', '1323441314741751815', '中邮保险中心', '001009008029', '565308000701', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238816', '2', '99', '1323441314741751815', '寄递事业部', '001009008030', '5653080088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238817', '2', '99', '1323441314741751816', '单位领导部门', '001009009001', '5653090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238818', '2', '99', '1323441314741751816', '非领导职务部门', '001009009002', '5653090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238819', '2', '99', '1323441314741751816', '领导助理部门', '001009009003', '5653090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238820', '2', '99', '1323441314741751816', '市场营销部', '001009009004', '5653090004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238821', '2', '99', '1323441314741751816', '金融业务部', '001009009005', '5653090007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238822', '2', '99', '1323441314741751816', '集邮与文化传媒部', '001009009006', '5653090008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238823', '2', '99', '1323441314741751816', '渠道平台部', '001009009007', '5653090010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238824', '2', '99', '1323441314741751816', '综合办公室（安全保卫部）', '001009009008', '5653090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238825', '2', '99', '1323441314741751816', '营业班', '001009009009', '5653090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857669238826', '2', '99', '1323441314741751816', '白杨支局', '001009009010', '5653090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433088', '2', '99', '1323441314741751816', '董王庄邮政所', '001009009011', '5653090016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433089', '2', '99', '1323441314741751816', '樊村邮政所', '001009009012', '5653090017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433090', '2', '99', '1323441314741751816', '丰李邮政所', '001009009013', '5653090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433091', '2', '99', '1323441314741751816', '高村支局', '001009009014', '5653090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433092', '2', '99', '1323441314741751816', '韩城支局', '001009009015', '5653090020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433093', '2', '99', '1323441314741751816', '红旗路支局', '001009009016', '5653090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433094', '2', '99', '1323441314741751816', '红旗路邮政所', '001009009017', '5653090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433095', '2', '99', '1323441314741751816', '红旗西路支局', '001009009018', '5653090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433096', '2', '99', '1323441314741751816', '花果山邮政所', '001009009019', '5653090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433097', '2', '99', '1323441314741751816', '锦屏邮政所', '001009009020', '5653090025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433098', '2', '99', '1323441314741751816', '李贺大道支局', '001009009021', '5653090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433099', '2', '99', '1323441314741751816', '莲庄支局', '001009009022', '5653090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433100', '2', '99', '1323441314741751816', '灵山大道支局', '001009009023', '5653090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433101', '2', '99', '1323441314741751816', '柳泉支局', '001009009024', '5653090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433102', '2', '99', '1323441314741751816', '三乡支局', '001009009025', '5653090030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433103', '2', '99', '1323441314741751816', '上观邮政所', '001009009026', '5653090031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433104', '2', '99', '1323441314741751816', '石村邮政所', '001009009027', '5653090032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433105', '2', '99', '1323441314741751816', '石陵邮政所', '001009009028', '5653090033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433106', '2', '99', '1323441314741751816', '孙留邮政所', '001009009029', '5653090034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433107', '2', '99', '1323441314741751816', '香鹿山支局', '001009009030', '5653090035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433108', '2', '99', '1323441314741751816', '盐镇支局', '001009009031', '5653090036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433109', '2', '99', '1323441314741751816', '张午支局', '001009009032', '5653090037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433110', '2', '99', '1323441314741751816', '赵堡支局', '001009009033', '5653090038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433111', '2', '99', '1323441314741751816', '董王庄乡营业所', '001009009034', '5653090039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433112', '2', '99', '1323441314741751816', '保留关系人员部门', '001009009035', '5653090099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433113', '2', '99', '1323441314741751816', '机要室', '001009009036', '565309000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433114', '2', '99', '1323441314741751816', '中邮保险中心', '001009009037', '565309000701', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433115', '2', '99', '1323441314741751816', '寄递事业部', '001009009038', '5653090088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433116', '2', '99', '1323441314741751817', '单位领导部门', '001009010001', '5653200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433117', '2', '99', '1323441314741751817', '非领导职务部门', '001009010002', '5653200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433118', '2', '99', '1323441314741751817', '领导助理部门', '001009010003', '5653200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433119', '2', '99', '1323441314741751817', '机要通信分局内设机构（虚拟部门）', '001009010004', '5653200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433120', '2', '99', '1323441314741751817', '保留关系人员部门', '001009010005', '5653200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433121', '2', '99', '1323441314741751818', '单位领导部门', '001009011001', '5653200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433122', '2', '99', '1323441314741751818', '非领导职务部门', '001009011002', '5653200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433123', '2', '99', '1323441314741751818', '领导助理部门', '001009011003', '5653200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433124', '2', '99', '1323441314741751818', '市场营销部', '001009011004', '5653200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857673433125', '2', '99', '1323441314741751818', '金融业务部（中邮保险局）', '001009011005', '5653200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627392', '2', '99', '1323441314741751818', '集邮与文化传媒部', '001009011006', '5653200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627393', '2', '99', '1323441314741751818', '渠道平台部', '001009011007', '5653200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627394', '2', '99', '1323441314741751818', '营业班', '001009011008', '5653200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627395', '2', '99', '1323441314741751818', '宏进市场邮政所', '001009011009', '5653200215', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627396', '2', '99', '1323441314741751818', '健康西路支局', '001009011010', '5653200216', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627397', '2', '99', '1323441314741751818', '凯旋西路支局', '001009011011', '5653200217', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627398', '2', '99', '1323441314741751818', '邙岭路支局', '001009011012', '5653200218', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627399', '2', '99', '1323441314741751818', '纱厂西路支局', '001009011013', '5653200219', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627400', '2', '99', '1323441314741751818', '王城路支局', '001009011014', '5653200220', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627401', '2', '99', '1323441314741751818', '洛北乡邮政所', '001009011015', '5653200221', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627402', '2', '99', '1323441314741751818', '中州中路邮政所', '001009011016', '5653200222', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627403', '2', '99', '1323441314741751818', '保留关系人员部门', '001009011017', '5653200299', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627404', '2', '99', '1323441314741751818', '寄递事业部', '001009011018', '5653200288', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627405', '2', '99', '1323441314741751819', '单位领导部门', '001009012001', '5653200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627406', '2', '99', '1323441314741751819', '非领导职务部门', '001009012002', '5653200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627407', '2', '99', '1323441314741751819', '领导助理部门', '001009012003', '5653200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627408', '2', '99', '1323441314741751819', '市场营销部', '001009012004', '5653200304', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627409', '2', '99', '1323441314741751819', '营业班', '001009012005', '5653200312', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627410', '2', '99', '1323441314741751819', '白马寺支局', '001009012006', '5653200314', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627411', '2', '99', '1323441314741751819', '机车工厂邮政所', '001009012007', '5653200315', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627412', '2', '99', '1323441314741751819', '启明路支局', '001009012008', '5653200316', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627413', '2', '99', '1323441314741751819', '青年宫支局', '001009012009', '5653200317', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627414', '2', '99', '1323441314741751819', '爽明街邮政所', '001009012010', '5653200318', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627415', '2', '99', '1323441314741751819', '五股路支局', '001009012011', '5653200319', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627416', '2', '99', '1323441314741751819', '五三七厂支局', '001009012012', '5653200320', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627417', '2', '99', '1323441314741751819', '西关支局', '001009012013', '5653200321', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627418', '2', '99', '1323441314741751819', '保留关系人员部门', '001009012014', '5653200399', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627419', '2', '99', '1323441314741751819', '金融业务中心（中邮保险局）', '001009012015', '565320030402', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627420', '2', '99', '1323441314741751819', '集邮与文化传媒中心', '001009012016', '565320030403', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627421', '2', '99', '1323441314741751819', '渠道平台中心', '001009012017', '565320030405', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627422', '2', '99', '1323441314741751819', '寄递事业部', '001009012018', '5653200388', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627423', '2', '99', '1323441314741751820', '单位领导部门', '001009013001', '5653200401', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627424', '2', '99', '1323441314741751820', '非领导职务部门', '001009013002', '5653200402', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627425', '2', '99', '1323441314741751820', '领导助理部门', '001009013003', '5653200403', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627426', '2', '99', '1323441314741751820', '市场营销部', '001009013004', '5653200404', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627427', '2', '99', '1323441314741751820', '金融业务部（中邮保险局）', '001009013005', '5653200407', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627428', '2', '99', '1323441314741751820', '集邮与文化传媒部', '001009013006', '5653200408', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627429', '2', '99', '1323441314741751820', '渠道平台部', '001009013007', '5653200410', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627430', '2', '99', '1323441314741751820', '营业班', '001009013008', '5653200412', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627431', '2', '99', '1323441314741751820', '创业路支局', '001009013009', '5653200416', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627432', '2', '99', '1323441314741751820', '谷水支局', '001009013010', '5653200417', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627433', '2', '99', '1323441314741751820', '工农乡邮政所', '001009013011', '5653200419', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857677627434', '2', '99', '1323441314741751820', '联盟路支局', '001009013012', '5653200421', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821696', '2', '99', '1323441314741751820', '牡丹路支局', '001009013013', '5653200422', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821697', '2', '99', '1323441314741751820', '南昌路邮政所', '001009013014', '5653200423', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821698', '2', '99', '1323441314741751820', '七里河支局', '001009013015', '5653200424', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821699', '2', '99', '1323441314741751820', '孙旗屯邮政所', '001009013016', '5653200425', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821700', '2', '99', '1323441314741751820', '太原路支局', '001009013017', '5653200426', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821701', '2', '99', '1323441314741751820', '天津路邮政所', '001009013018', '5653200427', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821702', '2', '99', '1323441314741751820', '外语学院邮政所', '001009013019', '5653200428', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821703', '2', '99', '1323441314741751820', '辛店邮政所', '001009013020', '5653200429', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821704', '2', '99', '1323441314741751820', '长安路支局', '001009013021', '5653200432', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821705', '2', '99', '1323441314741751820', '郑州路支局', '001009013022', '5653200433', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821706', '2', '99', '1323441314741751820', '保留关系人员部门', '001009013023', '5653200499', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821707', '2', '99', '1323441314741751820', '寄递事业部', '001009013024', '5653200488', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821708', '2', '99', '1323441314741751821', '单位领导部门', '001009014001', '5653200501', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821709', '2', '99', '1323441314741751821', '非领导职务部门', '001009014002', '5653200502', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821710', '2', '99', '1323441314741751821', '领导助理部门', '001009014003', '5653200503', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821711', '2', '99', '1323441314741751821', '市场营销部', '001009014004', '5653200504', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821712', '2', '99', '1323441314741751821', '营业班', '001009014005', '5653200512', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857681821713', '2', '99', '1323441314741751821', '古城乡支局', '001009014006', '5653200514', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016000', '2', '99', '1323441314741751821', '关林邮政所', '001009014007', '5653200515', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016001', '2', '99', '1323441314741751821', '广利街支局', '001009014008', '5653200516', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016002', '2', '99', '1323441314741751821', '李楼支局', '001009014009', '5653200517', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016003', '2', '99', '1323441314741751821', '龙门景区邮政所', '001009014010', '5653200518', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016004', '2', '99', '1323441314741751821', '洛龙路支局', '001009014011', '5653200519', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016005', '2', '99', '1323441314741751821', '龙门大道邮政所', '001009014012', '5653200520', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016006', '2', '99', '1323441314741751821', '市政府邮政所', '001009014013', '5653200521', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016007', '2', '99', '1323441314741751821', '隋唐城路邮政所', '001009014014', '5653200522', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016008', '2', '99', '1323441314741751821', '英才路支局', '001009014015', '5653200524', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016009', '2', '99', '1323441314741751821', '保留关系人员部门', '001009014016', '5653200599', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016010', '2', '99', '1323441314741751821', '金融业务中心（中邮保险局）', '001009014017', '565320050402', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016011', '2', '99', '1323441314741751821', '集邮与文化传媒中心', '001009014018', '565320050403', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016012', '2', '99', '1323441314741751821', '渠道平台中心', '001009014019', '565320050405', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016013', '2', '99', '1323441314741751821', '寄递事业部', '001009014020', '5653200588', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016014', '2', '99', '1323441314741751822', '单位领导部门', '001009015001', '5653200601', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016015', '2', '99', '1323441314741751822', '非领导职务部门', '001009015002', '5653200602', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016016', '2', '99', '1323441314741751822', '领导助理部门', '001009015003', '5653200603', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016017', '2', '99', '1323441314741751822', '市场营销部', '001009015004', '5653200604', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016018', '2', '99', '1323441314741751822', '营业班', '001009015005', '5653200612', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016019', '2', '99', '1323441314741751822', '大庆路支局', '001009015006', '5653200614', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016020', '2', '99', '1323441314741751822', '保留关系人员部门', '001009015007', '5653200699', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016021', '2', '99', '1323441314741751822', '金融业务中心（中邮保险局）', '001009015008', '565320060402', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016022', '2', '99', '1323441314741751822', '集邮与文化传媒中心', '001009015009', '565320060403', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016023', '2', '99', '1323441314741751822', '渠道平台中心', '001009015010', '565320060405', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016024', '2', '99', '1323441314741751822', '寄递事业部', '001009015011', '5653200688', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016025', '2', '99', '1323441314741751823', '单位领导部门', '001010010', '5654000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016026', '2', '99', '1323441314741751823', '非领导职务部门', '001010011', '5654000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016027', '2', '99', '1323441314741751823', '领导助理部门', '001010012', '5654000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016028', '2', '99', '1323441314741751823', '市场营销部', '001010013', '5654000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016029', '2', '99', '1323441314741751823', '服务质量部（普遍服务部）', '001010014', '5654000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016030', '2', '99', '1323441314741751823', '金融业务部', '001010015', '5654000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016031', '2', '99', '1323441314741751823', '集邮与文化传媒部', '001010016', '5654000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016032', '2', '99', '1323441314741751823', '渠道平台部', '001010017', '5654000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016033', '2', '99', '1323441314741751823', '综合办公室（党委办公室、安全保卫部）', '001010018', '5654000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016034', '2', '99', '1323441314741751823', '财务部', '001010019', '5654000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857686016035', '2', '99', '1323441314741751823', '人力资源部（党委组织部）', '001010020', '5654000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210304', '2', '99', '1323441314741751823', '党委党建工作部（纪委办公室）', '001010021', '5654000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210305', '2', '99', '1323441314741751823', '工会', '001010022', '5654000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210306', '2', '99', '1323441314741751823', '保留关系人员部门', '001010023', '5654000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210307', '2', '99', '1323441314741751823', '客户营销中心', '001010024', '565400000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210308', '2', '99', '1323441314741751823', '业务档案班', '001010025', '565400000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210309', '2', '99', '1323441314741751823', '业务管理室', '001010026', '565400000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210310', '2', '99', '1323441314741751823', '内控管理室', '001010027', '565400000702', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210311', '2', '99', '1323441314741751823', '中邮保险中心', '001010028', '565400000703', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210312', '2', '99', '1323441314741751823', '业务管理室', '001010029', '565400000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210313', '2', '99', '1323441314741751823', '创意研发室', '001010030', '565400000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210314', '2', '99', '1323441314741751823', '商函制作班', '001010031', '565400000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210315', '2', '99', '1323441314741751823', '渠道管理室', '001010032', '565400001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210316', '2', '99', '1323441314741751823', '电商分销室', '001010033', '565400001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210317', '2', '99', '1323441314741751823', '寄递事业部', '001010034', '5654000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210318', '2', '99', '1323441314741751824', '单位领导部门', '001010001001', '5654010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210319', '2', '99', '1323441314741751824', '非领导职务部门', '001010001002', '5654010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210320', '2', '99', '1323441314741751824', '领导助理部门', '001010001003', '5654010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210321', '2', '99', '1323441314741751824', '市场营销部', '001010001004', '5654010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210322', '2', '99', '1323441314741751824', '金融业务部', '001010001005', '5654010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210323', '2', '99', '1323441314741751824', '集邮与文化传媒部', '001010001006', '5654010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210324', '2', '99', '1323441314741751824', '渠道平台部', '001010001007', '5654010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210325', '2', '99', '1323441314741751824', '综合办公室（安全保卫部）', '001010001008', '5654010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210326', '2', '99', '1323441314741751824', '营业班', '001010001009', '5654010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210327', '2', '99', '1323441314741751824', '仓头邮政所', '001010001010', '5654010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210328', '2', '99', '1323441314741751824', '鸡冢邮政所', '001010001011', '5654010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210329', '2', '99', '1323441314741751824', '库区邮政所', '001010001012', '5654010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210330', '2', '99', '1323441314741751824', '西关支局', '001010001013', '5654010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210331', '2', '99', '1323441314741751824', '土门邮政所', '001010001014', '5654010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210332', '2', '99', '1323441314741751824', '人民路支局', '001010001015', '5654010021', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210333', '2', '99', '1323441314741751824', '振兴路支局', '001010001016', '5654010022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210334', '2', '99', '1323441314741751824', '东关支局', '001010001017', '5654010023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210335', '2', '99', '1323441314741751824', '梁洼邮政所', '001010001018', '5654010024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210336', '2', '99', '1323441314741751824', '辛集邮政所', '001010001019', '5654010025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210337', '2', '99', '1323441314741751824', '马楼支局', '001010001020', '5654010026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210338', '2', '99', '1323441314741751824', '张良支局', '001010001021', '5654010027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857690210339', '2', '99', '1323441314741751824', '磙子营支局', '001010001022', '5654010028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404608', '2', '99', '1323441314741751824', '张官营支局', '001010001023', '5654010029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404609', '2', '99', '1323441314741751824', '让河支局', '001010001024', '5654010030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404610', '2', '99', '1323441314741751824', '鸿雁支局', '001010001025', '5654010031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404611', '2', '99', '1323441314741751824', '交口邮政所', '001010001026', '5654010032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404612', '2', '99', '1323441314741751824', '元寨邮政所', '001010001027', '5654010033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404613', '2', '99', '1323441314741751824', '下汤支局', '001010001028', '5654010034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404614', '2', '99', '1323441314741751824', '四棵树支局', '001010001029', '5654010035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404615', '2', '99', '1323441314741751824', '江河支局', '001010001030', '5654010036', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404616', '2', '99', '1323441314741751824', '赵村邮政所', '001010001031', '5654010037', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404617', '2', '99', '1323441314741751824', '中汤邮政所', '001010001032', '5654010038', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404618', '2', '99', '1323441314741751824', '尧山支局', '001010001033', '5654010039', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404619', '2', '99', '1323441314741751824', '背孜邮政所', '001010001034', '5654010040', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404620', '2', '99', '1323441314741751824', '瓦屋支局', '001010001035', '5654010041', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404621', '2', '99', '1323441314741751824', '董村支局', '001010001036', '5654010042', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404622', '2', '99', '1323441314741751824', '向阳路支局', '001010001037', '5654010043', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404623', '2', '99', '1323441314741751824', '张店邮政所', '001010001038', '5654010046', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404624', '2', '99', '1323441314741751824', '团城邮政所', '001010001039', '5654010048', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404625', '2', '99', '1323441314741751824', '熊背邮政所', '001010001040', '5654010049', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404626', '2', '99', '1323441314741751824', '保留关系人员部门', '001010001041', '5654010099', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404627', '2', '99', '1323441314741751824', '机要室', '001010001042', '565401000401', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404628', '2', '99', '1323441314741751824', '中邮保险中心', '001010001043', '565401000701', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404629', '2', '99', '1323441314741751824', '寄递事业部', '001010001044', '5654010088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404630', '2', '99', '1323441314741751825', '单位领导部门', '001010002001', '5654020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404631', '2', '99', '1323441314741751825', '非领导职务部门', '001010002002', '5654020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404632', '2', '99', '1323441314741751825', '领导助理部门', '001010002003', '5654020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404633', '2', '99', '1323441314741751825', '市场营销部', '001010002004', '5654020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404634', '2', '99', '1323441314741751825', '金融业务部（中邮保险中心）', '001010002005', '5654020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404635', '2', '99', '1323441314741751825', '集邮与文化传媒部', '001010002006', '5654020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404636', '2', '99', '1323441314741751825', '渠道平台部', '001010002007', '5654020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404637', '2', '99', '1323441314741751825', '综合办公室（安全保卫部）', '001010002008', '5654020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404638', '2', '99', '1323441314741751825', '营业班', '001010002009', '5654020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404639', '2', '99', '1323441314741751825', '寺坡支局', '001010002010', '5654020018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404640', '2', '99', '1323441314741751825', '垭口邮政所', '001010002011', '5654020019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404641', '2', '99', '1323441314741751825', '朱兰支局', '001010002012', '5654020020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404642', '2', '99', '1323441314741751825', '李辉庄支局', '001010002013', '5654020021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857694404643', '2', '99', '1323441314741751825', '市场街支局', '001010002014', '5654020022', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598912', '2', '99', '1323441314741751825', '石漫滩支局', '001010002015', '5654020023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598913', '2', '99', '1323441314741751825', '枣林邮政所', '001010002016', '5654020024', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598914', '2', '99', '1323441314741751825', '武功支局', '001010002017', '5654020027', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598915', '2', '99', '1323441314741751825', '尹集支局', '001010002018', '5654020028', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598916', '2', '99', '1323441314741751825', '尚店支局', '001010002019', '5654020029', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598917', '2', '99', '1323441314741751825', '八台邮政所', '001010002020', '5654020030', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598918', '2', '99', '1323441314741751825', '八台支局', '001010002021', '5654020031', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598919', '2', '99', '1323441314741751825', '庙街邮政所', '001010002022', '5654020032', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598920', '2', '99', '1323441314741751825', '保留关系人员部门', '001010002023', '5654020099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598921', '2', '99', '1323441314741751825', '机要室', '001010002024', '565402000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598922', '2', '99', '1323441314741751825', '寄递事业部', '001010002025', '5654020088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598923', '2', '99', '1323441314741751826', '单位领导部门', '001010003001', '5654030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598924', '2', '99', '1323441314741751826', '非领导职务部门', '001010003002', '5654030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598925', '2', '99', '1323441314741751826', '领导助理部门', '001010003003', '5654030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598926', '2', '99', '1323441314741751826', '市场营销部', '001010003004', '5654030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598927', '2', '99', '1323441314741751826', '金融业务部', '001010003005', '5654030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598928', '2', '99', '1323441314741751826', '集邮与文化传媒部', '001010003006', '5654030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598929', '2', '99', '1323441314741751826', '渠道平台部', '001010003007', '5654030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598930', '2', '99', '1323441314741751826', '综合办公室（安全保卫部）', '001010003008', '5654030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598931', '2', '99', '1323441314741751826', '营业班', '001010003009', '5654030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857698598932', '2', '99', '1323441314741751826', '仙台邮政所', '001010003010', '5654030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793216', '2', '99', '1323441314741751826', '马庄邮政所', '001010003011', '5654030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793217', '2', '99', '1323441314741751826', '九龙邮政所', '001010003012', '5654030019', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793218', '2', '99', '1323441314741751826', '叶廉路支局', '001010003013', '5654030020', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793219', '2', '99', '1323441314741751826', '东关支局', '001010003014', '5654030021', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793220', '2', '99', '1323441314741751826', '任店支局', '001010003015', '5654030022', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793221', '2', '99', '1323441314741751826', '遵化支局', '001010003016', '5654030023', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793222', '2', '99', '1323441314741751826', '洪庄杨支局', '001010003017', '5654030024', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793223', '2', '99', '1323441314741751826', '龚店支局', '001010003018', '5654030025', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793224', '2', '99', '1323441314741751826', '邓李邮政所', '001010003019', '5654030026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793225', '2', '99', '1323441314741751826', '连村支局', '001010003020', '5654030027', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793226', '2', '99', '1323441314741751826', '水寨支局', '001010003021', '5654030028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793227', '2', '99', '1323441314741751826', '仙台支局', '001010003022', '5654030029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793228', '2', '99', '1323441314741751826', '龙泉支局', '001010003023', '5654030030', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793229', '2', '99', '1323441314741751826', '叶邑支局', '001010003024', '5654030031', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793230', '2', '99', '1323441314741751826', '辛店支局', '001010003025', '5654030032', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793232', '2', '99', '1323441314741751826', '夏李支局', '001010003027', '5654030034', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793233', '2', '99', '1323441314741751826', '常村支局', '001010003028', '5654030035', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793234', '2', '99', '1323441314741751826', '田庄支局', '001010003029', '5654030036', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857702793235', '2', '99', '1323441314741751826', '保留关系人员部门', '001010003030', '5654030099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987520', '2', '99', '1323441314741751826', '机要室', '001010003031', '565403000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987521', '2', '99', '1323441314741751826', '中邮保险中心', '001010003032', '565403000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987522', '2', '99', '1323441314741751826', '寄递事业部', '001010003033', '5654030088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987523', '2', '99', '1323441314741751827', '单位领导部门', '001010004001', '5654040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987524', '2', '99', '1323441314741751827', '非领导职务部门', '001010004002', '5654040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987525', '2', '99', '1323441314741751827', '领导助理部门', '001010004003', '5654040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987526', '2', '99', '1323441314741751827', '市场营销部', '001010004004', '5654040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987527', '2', '99', '1323441314741751827', '金融业务部', '001010004005', '5654040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987528', '2', '99', '1323441314741751827', '集邮与文化传媒部', '001010004006', '5654040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987529', '2', '99', '1323441314741751827', '渠道平台部', '001010004007', '5654040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987530', '2', '99', '1323441314741751827', '综合办公室（安全保卫部）', '001010004008', '5654040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987531', '2', '99', '1323441314741751827', '营业班', '001010004009', '5654040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987532', '2', '99', '1323441314741751827', '姚庄邮政所', '001010004010', '5654040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987533', '2', '99', '1323441314741751827', '渣园邮政所', '001010004011', '5654040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987534', '2', '99', '1323441314741751827', '广阔天地邮政所', '001010004012', '5654040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987535', '2', '99', '1323441314741751827', '城关邮政所', '001010004013', '5654040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987536', '2', '99', '1323441314741751827', '行政路支局', '001010004014', '5654040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987537', '2', '99', '1323441314741751827', '新城支局', '001010004015', '5654040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987538', '2', '99', '1323441314741751827', '行政路中心支局', '001010004016', '5654040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987539', '2', '99', '1323441314741751827', '东关支局', '001010004017', '5654040023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987540', '2', '99', '1323441314741751827', '八一路支局', '001010004018', '5654040024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987541', '2', '99', '1323441314741751827', '白庙支局', '001010004019', '5654040026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987542', '2', '99', '1323441314741751827', '安良支局', '001010004020', '5654040027', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987543', '2', '99', '1323441314741751827', '冢头支局', '001010004021', '5654040028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987544', '2', '99', '1323441314741751827', '长桥支局', '001010004022', '5654040029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987545', '2', '99', '1323441314741751827', '王集支局', '001010004023', '5654040030', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987546', '2', '99', '1323441314741751827', '堂街支局', '001010004024', '5654040031', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987547', '2', '99', '1323441314741751827', '李口支局', '001010004025', '5654040032', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987548', '2', '99', '1323441314741751827', '薛店邮政所', '001010004026', '5654040033', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987549', '2', '99', '1323441314741751827', '茨芭支局', '001010004027', '5654040034', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987550', '2', '99', '1323441314741751827', '黄道支局', '001010004028', '5654040035', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987551', '2', '99', '1323441314741751827', '保留关系人员部门', '001010004029', '5654040099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987552', '2', '99', '1323441314741751827', '机要室', '001010004030', '565404000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987553', '2', '99', '1323441314741751827', '中邮保险中心', '001010004031', '565404000701', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987554', '2', '99', '1323441314741751827', '寄递事业部', '001010004032', '5654040088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987555', '2', '99', '1323441314741751828', '单位领导部门', '001010005001', '5654050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987556', '2', '99', '1323441314741751828', '非领导职务部门', '001010005002', '5654050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857706987557', '2', '99', '1323441314741751828', '领导助理部门', '001010005003', '5654050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181824', '2', '99', '1323441314741751828', '市场营销部', '001010005004', '5654050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181825', '2', '99', '1323441314741751828', '金融业务部（中邮保险中心）', '001010005005', '5654050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181826', '2', '99', '1323441314741751828', '集邮与文化传媒部', '001010005006', '5654050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181827', '2', '99', '1323441314741751828', '渠道平台部', '001010005007', '5654050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181828', '2', '99', '1323441314741751828', '综合办公室（安全保卫部）', '001010005008', '5654050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181829', '2', '99', '1323441314741751828', '营业班', '001010005009', '5654050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181830', '2', '99', '1323441314741751828', '大庄邮政所', '001010005010', '5654050016', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181831', '2', '99', '1323441314741751828', '高庄邮政所', '001010005011', '5654050017', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181832', '2', '99', '1323441314741751828', '观音堂邮政所', '001010005012', '5654050018', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181833', '2', '99', '1323441314741751828', '李庄邮政所', '001010005013', '5654050019', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181834', '2', '99', '1323441314741751828', '龙兴路支局', '001010005014', '5654050020', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181835', '2', '99', '1323441314741751828', '南顾庄邮政所', '001010005015', '5654050021', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181836', '2', '99', '1323441314741751828', '闹店支局', '001010005016', '5654050022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181837', '2', '99', '1323441314741751828', '前营支局', '001010005017', '5654050023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181838', '2', '99', '1323441314741751828', '人民路支局', '001010005018', '5654050024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181839', '2', '99', '1323441314741751828', '商酒务邮政所', '001010005019', '5654050025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181840', '2', '99', '1323441314741751828', '石桥支局', '001010005020', '5654050026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181841', '2', '99', '1323441314741751828', '西街支局', '001010005021', '5654050027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181842', '2', '99', '1323441314741751828', '肖旗邮政所', '001010005022', '5654050028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181843', '2', '99', '1323441314741751828', '杨庄支局', '001010005023', '5654050029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181844', '2', '99', '1323441314741751828', '张八桥邮政所', '001010005024', '5654050030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181845', '2', '99', '1323441314741751828', '赵庄支局', '001010005025', '5654050031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181846', '2', '99', '1323441314741751828', '周庄邮政所', '001010005026', '5654050032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181847', '2', '99', '1323441314741751828', '大营镇支局', '001010005027', '5654050033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181848', '2', '99', '1323441314741751828', '保留关系人员部门', '001010005028', '5654050099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181849', '2', '99', '1323441314741751828', '机要室', '001010005029', '565405000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181850', '2', '99', '1323441314741751828', '寄递事业部', '001010005030', '5654050088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181851', '2', '99', '1323441314741751829', '单位领导部门', '001010006001', '5654060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181852', '2', '99', '1323441314741751829', '非领导职务部门', '001010006002', '5654060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181853', '2', '99', '1323441314741751829', '领导助理部门', '001010006003', '5654060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181854', '2', '99', '1323441314741751829', '市场营销部', '001010006004', '5654060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181855', '2', '99', '1323441314741751829', '金融业务部', '001010006005', '5654060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181856', '2', '99', '1323441314741751829', '集邮与文化传媒部', '001010006006', '5654060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181857', '2', '99', '1323441314741751829', '渠道平台部', '001010006007', '5654060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181858', '2', '99', '1323441314741751829', '综合办公室（安全保卫部）', '001010006008', '5654060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181859', '2', '99', '1323441314741751829', '营业班', '001010006009', '5654060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857711181860', '2', '99', '1323441314741751829', '朝阳路支局', '001010006010', '5654060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376128', '2', '99', '1323441314741751829', '城关支局', '001010006011', '5654060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376129', '2', '99', '1323441314741751829', '大峪支局', '001010006012', '5654060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376130', '2', '99', '1323441314741751829', '丹阳邮政所', '001010006013', '5654060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376131', '2', '99', '1323441314741751829', '广成支局', '001010006014', '5654060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376132', '2', '99', '1323441314741751829', '寄料支局', '001010006015', '5654060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376133', '2', '99', '1323441314741751829', '焦村邮政所', '001010006016', '5654060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376134', '2', '99', '1323441314741751829', '临汝镇支局', '001010006017', '5654060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376135', '2', '99', '1323441314741751829', '陵头支局', '001010006018', '5654060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376136', '2', '99', '1323441314741751829', '蟒川邮政所', '001010006019', '5654060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376137', '2', '99', '1323441314741751829', '庙下支局', '001010006020', '5654060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376138', '2', '99', '1323441314741751829', '骑岭邮政所', '001010006021', '5654060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376139', '2', '99', '1323441314741751829', '骑岭支局', '001010006022', '5654060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376140', '2', '99', '1323441314741751829', '尚庄支局', '001010006023', '5654060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376141', '2', '99', '1323441314741751829', '王寨支局', '001010006024', '5654060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376142', '2', '99', '1323441314741751829', '温泉邮政所', '001010006025', '5654060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376143', '2', '99', '1323441314741751829', '温泉支局', '001010006026', '5654060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376144', '2', '99', '1323441314741751829', '小屯支局', '001010006027', '5654060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376145', '2', '99', '1323441314741751829', '杨楼支局', '001010006028', '5654060033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857715376146', '2', '99', '1323441314741751829', '纸坊支局', '001010006029', '5654060034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570432', '2', '99', '1323441314741751829', '钟楼支局', '001010006030', '5654060035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570433', '2', '99', '1323441314741751829', '保留关系人员部门', '001010006031', '5654060099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570434', '2', '99', '1323441314741751829', '机要室', '001010006032', '565406000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570435', '2', '99', '1323441314741751829', '中邮保险中心', '001010006033', '565406000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570436', '2', '99', '1323441314741751829', '寄递事业部', '001010006034', '5654060088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570437', '2', '99', '1323441314741751830', '单位领导部门', '001010007001', '5654200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570438', '2', '99', '1323441314741751830', '非领导职务部门', '001010007002', '5654200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570439', '2', '99', '1323441314741751830', '领导助理部门', '001010007003', '5654200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570440', '2', '99', '1323441314741751830', '机要通信分局内设机构（虚拟部门）', '001010007004', '5654200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570441', '2', '99', '1323441314741751830', '保留关系人员部门', '001010007005', '5654200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570442', '2', '99', '1323441314741751831', '单位领导部门', '001010008001', '5654200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570443', '2', '99', '1323441314741751831', '非领导职务部门', '001010008002', '5654200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570444', '2', '99', '1323441314741751831', '领导助理部门', '001010008003', '5654200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570445', '2', '99', '1323441314741751831', '市场营销部', '001010008004', '5654200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570446', '2', '99', '1323441314741751831', '金融业务部（中邮保险局）', '001010008005', '5654200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570447', '2', '99', '1323441314741751831', '集邮与文化传媒部', '001010008006', '5654200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570448', '2', '99', '1323441314741751831', '渠道平台部', '001010008007', '5654200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857719570449', '2', '99', '1323441314741751831', '营业班', '001010008008', '5654200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764736', '2', '99', '1323441314741751831', '中心投递部', '001010008009', '5654200113', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764737', '2', '99', '1323441314741751831', '建东投递部', '001010008010', '5654200114', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764738', '2', '99', '1323441314741751831', '八矿支局', '001010008011', '5654200115', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764739', '2', '99', '1323441314741751831', '东工人镇邮政所', '001010008012', '5654200116', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764740', '2', '99', '1323441314741751831', '火车站支局', '001010008013', '5654200117', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764741', '2', '99', '1323441314741751831', '矿工中路邮政所', '001010008014', '5654200119', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764742', '2', '99', '1323441314741751831', '劳动路支局', '001010008015', '5654200120', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764743', '2', '99', '1323441314741751831', '贸易广场支局', '001010008016', '5654200121', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764744', '2', '99', '1323441314741751831', '十矿邮政所', '001010008017', '5654200122', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764745', '2', '99', '1323441314741751831', '寺沟支局', '001010008018', '5654200123', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764746', '2', '99', '1323441314741751831', '卫东支局', '001010008019', '5654200124', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764747', '2', '99', '1323441314741751831', '先锋路支局', '001010008020', '5654200125', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764748', '2', '99', '1323441314741751831', '新华中路支局', '001010008021', '5654200126', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764749', '2', '99', '1323441314741751831', '新华南路支局', '001010008022', '5654200127', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764750', '2', '99', '1323441314741751831', '保留关系人员部门', '001010008023', '5654200199', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764751', '2', '99', '1323441314741751831', '寄递事业部', '001010008024', '5654200188', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764752', '2', '99', '1323441314741751832', '单位领导部门', '001010009001', '5654200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764753', '2', '99', '1323441314741751832', '非领导职务部门', '001010009002', '5654200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764754', '2', '99', '1323441314741751832', '领导助理部门', '001010009003', '5654200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764755', '2', '99', '1323441314741751832', '市场营销部', '001010009004', '5654200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764756', '2', '99', '1323441314741751832', '营业班', '001010009005', '5654200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764757', '2', '99', '1323441314741751832', '光明路投递部', '001010009006', '5654200213', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764758', '2', '99', '1323441314741751832', '新城区投递部', '001010009007', '5654200214', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764759', '2', '99', '1323441314741751832', '曹镇邮政所', '001010009008', '5654200215', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764760', '2', '99', '1323441314741751832', '光明路支局', '001010009009', '5654200216', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764761', '2', '99', '1323441314741751832', '河南城建学院邮政所', '001010009010', '5654200217', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764762', '2', '99', '1323441314741751832', '建西支局', '001010009011', '5654200218', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764763', '2', '99', '1323441314741751832', '南环路支局', '001010009012', '5654200219', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764764', '2', '99', '1323441314741751832', '青石山邮政所', '001010009013', '5654200220', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764765', '2', '99', '1323441314741751832', '四矿邮政所', '001010009014', '5654200221', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764766', '2', '99', '1323441314741751832', '西市场邮政所', '001010009015', '5654200222', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764767', '2', '99', '1323441314741751832', '西市场支局', '001010009016', '5654200223', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764768', '2', '99', '1323441314741751832', '新城区支局', '001010009017', '5654200224', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764769', '2', '99', '1323441314741751832', '新新街邮政所', '001010009018', '5654200225', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857723764770', '2', '99', '1323441314741751832', '薛庄支局', '001010009019', '5654200226', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959040', '2', '99', '1323441314741751832', '姚孟邮政所', '001010009020', '5654200227', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959041', '2', '99', '1323441314741751832', '中兴北路支局', '001010009021', '5654200228', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959042', '2', '99', '1323441314741751832', '北渡支局', '001010009022', '5654200229', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959043', '2', '99', '1323441314741751832', '保留关系人员部门', '001010009023', '5654200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959044', '2', '99', '1323441314741751832', '金融业务中心（中邮保险局）', '001010009024', '565420020402', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959045', '2', '99', '1323441314741751832', '集邮与文化传媒中心', '001010009025', '565420020403', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959046', '2', '99', '1323441314741751832', '渠道平台中心', '001010009026', '565420020405', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959047', '2', '99', '1323441314741751832', '寄递事业部', '001010009027', '5654200288', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959048', '2', '99', '1323441314741751833', '单位领导部门', '001011009', '5655000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959049', '2', '99', '1323441314741751833', '非领导职务部门', '001011010', '5655000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959050', '2', '99', '1323441314741751833', '领导助理部门', '001011011', '5655000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959051', '2', '99', '1323441314741751833', '市场营销部', '001011012', '5655000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959052', '2', '99', '1323441314741751833', '服务质量部（普遍服务部）', '001011013', '5655000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959053', '2', '99', '1323441314741751833', '金融业务部', '001011014', '5655000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959054', '2', '99', '1323441314741751833', '集邮与文化传媒部', '001011015', '5655000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959055', '2', '99', '1323441314741751833', '渠道平台部', '001011016', '5655000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959056', '2', '99', '1323441314741751833', '综合办公室（党委办公室、安全保卫部）', '001011017', '5655000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959057', '2', '99', '1323441314741751833', '财务部', '001011018', '5655000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959058', '2', '99', '1323441314741751833', '人力资源部（党委组织部）', '001011019', '5655000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959059', '2', '99', '1323441314741751833', '党委党建工作部（纪委办公室）', '001011020', '5655000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959060', '2', '99', '1323441314741751833', '工会', '001011021', '5655000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959061', '2', '99', '1323441314741751833', '中邮保险业务部', '001011022', '5655000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959062', '2', '99', '1323441314741751833', '保留关系人员部门', '001011023', '5655000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959063', '2', '99', '1323441314741751833', '客户营销中心', '001011024', '565500000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959064', '2', '99', '1323441314741751833', '业务档案班', '001011025', '565500000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959065', '2', '99', '1323441314741751833', '业务管理室', '001011026', '565500000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959066', '2', '99', '1323441314741751833', '内控管理室', '001011027', '565500000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959067', '2', '99', '1323441314741751833', '业务管理室', '001011028', '565500000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959068', '2', '99', '1323441314741751833', '创意研发室', '001011029', '565500000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959069', '2', '99', '1323441314741751833', '商函制作班', '001011030', '565500000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959070', '2', '99', '1323441314741751833', '渠道管理室', '001011031', '565500001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959071', '2', '99', '1323441314741751833', '电商分销室', '001011032', '565500001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959072', '2', '99', '1323441314741751833', '寄递事业部', '001011033', '5655000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959073', '2', '99', '1323441314741751834', '单位领导部门', '001011001001', '5655010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959074', '2', '99', '1323441314741751834', '非领导职务部门', '001011001002', '5655010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857727959075', '2', '99', '1323441314741751834', '领导助理部门', '001011001003', '5655010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153344', '2', '99', '1323441314741751834', '市场营销部', '001011001004', '5655010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153345', '2', '99', '1323441314741751834', '金融业务部', '001011001005', '5655010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153346', '2', '99', '1323441314741751834', '集邮与文化传媒部', '001011001006', '5655010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153347', '2', '99', '1323441314741751834', '渠道平台部', '001011001007', '5655010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153348', '2', '99', '1323441314741751834', '综合办公室（安全保卫部）', '001011001008', '5655010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153349', '2', '99', '1323441314741751834', '营业班', '001011001009', '5655010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153350', '2', '99', '1323441314741751834', '北关支局', '001011001010', '5655010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153351', '2', '99', '1323441314741751834', '城里支局', '001011001011', '5655010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153352', '2', '99', '1323441314741751834', '鸿雁支局', '001011001012', '5655010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153353', '2', '99', '1323441314741751834', '龙山路支局', '001011001013', '5655010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153354', '2', '99', '1323441314741751834', '南环路支局', '001011001014', '5655010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153355', '2', '99', '1323441314741751834', '其林台支局', '001011001015', '5655010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153356', '2', '99', '1323441314741751834', '太行路支局', '001011001016', '5655010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153357', '2', '99', '1323441314741751834', '林钢支局', '001011001017', '5655010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153358', '2', '99', '1323441314741751834', '人民路邮政所', '001011001018', '5655010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153359', '2', '99', '1323441314741751834', '太行路中心邮政所', '001011001019', '5655010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153360', '2', '99', '1323441314741751834', '陵阳支局', '001011001020', '5655010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153361', '2', '99', '1323441314741751834', '东岗支局', '001011001021', '5655010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153362', '2', '99', '1323441314741751834', '河顺支局', '001011001022', '5655010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153363', '2', '99', '1323441314741751834', '横水邮政所', '001011001023', '5655010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153364', '2', '99', '1323441314741751834', '采桑支局', '001011001024', '5655010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153365', '2', '99', '1323441314741751834', '东姚支局', '001011001025', '5655010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153366', '2', '99', '1323441314741751834', '合涧支局', '001011001026', '5655010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153367', '2', '99', '1323441314741751834', '合涧东街支局', '001011001027', '5655010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153368', '2', '99', '1323441314741751834', '原康支局', '001011001028', '5655010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153369', '2', '99', '1323441314741751834', '茶店支局', '001011001029', '5655010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153370', '2', '99', '1323441314741751834', '临淇支局', '001011001030', '5655010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153371', '2', '99', '1323441314741751834', '李家寨支局', '001011001031', '5655010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153372', '2', '99', '1323441314741751834', '五龙支局', '001011001032', '5655010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153373', '2', '99', '1323441314741751834', '桂林支局', '001011001033', '5655010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153374', '2', '99', '1323441314741751834', '石板岩邮政所', '001011001034', '5655010039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153375', '2', '99', '1323441314741751834', '姚村支局', '001011001035', '5655010040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153376', '2', '99', '1323441314741751834', '任村支局', '001011001036', '5655010041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153377', '2', '99', '1323441314741751834', '保留关系人员部门', '001011001037', '5655010099', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857732153378', '2', '99', '1323441314741751834', '机要室', '001011001038', '565501000401', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347648', '2', '99', '1323441314741751834', '中邮保险中心', '001011001039', '565501000701', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347649', '2', '99', '1323441314741751834', '寄递事业部', '001011001040', '5655010088', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347650', '2', '99', '1323441314741751835', '单位领导部门', '001011002001', '5655020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347651', '2', '99', '1323441314741751835', '非领导职务部门', '001011002002', '5655020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347652', '2', '99', '1323441314741751835', '领导助理部门', '001011002003', '5655020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347653', '2', '99', '1323441314741751835', '市场营销部', '001011002004', '5655020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347654', '2', '99', '1323441314741751835', '金融业务部', '001011002005', '5655020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347655', '2', '99', '1323441314741751835', '集邮与文化传媒部', '001011002006', '5655020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347656', '2', '99', '1323441314741751835', '渠道平台部', '001011002007', '5655020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347657', '2', '99', '1323441314741751835', '综合办公室（安全保卫部）', '001011002008', '5655020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347658', '2', '99', '1323441314741751835', '营业班', '001011002009', '5655020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347659', '2', '99', '1323441314741751835', '红旗路邮政所', '001011002010', '5655020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347660', '2', '99', '1323441314741751835', '道城路支局', '001011002011', '5655020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347661', '2', '99', '1323441314741751835', '卫河路支局', '001011002012', '5655020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347662', '2', '99', '1323441314741751835', '文明路支局', '001011002013', '5655020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347663', '2', '99', '1323441314741751835', '城关支局', '001011002014', '5655020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347664', '2', '99', '1323441314741751835', '枣村支局', '001011002015', '5655020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347665', '2', '99', '1323441314741751835', '白道口支局', '001011002016', '5655020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347666', '2', '99', '1323441314741751835', '四间房支局', '001011002017', '5655020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347667', '2', '99', '1323441314741751835', '半坡店支局', '001011002018', '5655020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347668', '2', '99', '1323441314741751835', '留固支局', '001011002019', '5655020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347669', '2', '99', '1323441314741751835', '八里营支局', '001011002020', '5655020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347670', '2', '99', '1323441314741751835', '赵营支局', '001011002021', '5655020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347671', '2', '99', '1323441314741751835', '大寨支局', '001011002022', '5655020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347672', '2', '99', '1323441314741751835', '上官支局', '001011002023', '5655020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347673', '2', '99', '1323441314741751835', '万古支局', '001011002024', '5655020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347674', '2', '99', '1323441314741751835', '老庙支局', '001011002025', '5655020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347675', '2', '99', '1323441314741751835', '桑村支局', '001011002026', '5655020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347676', '2', '99', '1323441314741751835', '高平支局', '001011002027', '5655020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347677', '2', '99', '1323441314741751835', '慈周寨支局', '001011002028', '5655020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347678', '2', '99', '1323441314741751835', '瓦岗邮政所', '001011002029', '5655020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347679', '2', '99', '1323441314741751835', '焦虎支局', '001011002030', '5655020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347680', '2', '99', '1323441314741751835', '老店支局', '001011002031', '5655020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857736347681', '2', '99', '1323441314741751835', '小铺支局', '001011002032', '5655020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541952', '2', '99', '1323441314741751835', '王庄支局', '001011002033', '5655020038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541953', '2', '99', '1323441314741751835', '牛屯支局', '001011002034', '5655020039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541954', '2', '99', '1323441314741751835', '便民中心邮政所', '001011002035', '5655020040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541955', '2', '99', '1323441314741751835', '保留关系人员部门', '001011002036', '5655020099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541956', '2', '99', '1323441314741751835', '机要室', '001011002037', '565502000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541957', '2', '99', '1323441314741751835', '中邮保险中心', '001011002038', '565502000701', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541958', '2', '99', '1323441314741751835', '寄递事业部', '001011002039', '5655020088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541959', '2', '99', '1323441314741751836', '单位领导部门', '001011003001', '5655030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541960', '2', '99', '1323441314741751836', '非领导职务部门', '001011003002', '5655030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541961', '2', '99', '1323441314741751836', '领导助理部门', '001011003003', '5655030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541962', '2', '99', '1323441314741751836', '市场营销部', '001011003004', '5655030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541963', '2', '99', '1323441314741751836', '金融业务部', '001011003005', '5655030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541964', '2', '99', '1323441314741751836', '集邮与文化传媒部', '001011003006', '5655030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541965', '2', '99', '1323441314741751836', '渠道平台部', '001011003007', '5655030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541966', '2', '99', '1323441314741751836', '综合办公室（安全保卫部）', '001011003008', '5655030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541967', '2', '99', '1323441314741751836', '营业班', '001011003009', '5655030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541968', '2', '99', '1323441314741751836', '灯塔路支局', '001011003010', '5655030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541969', '2', '99', '1323441314741751836', '韩陵支局', '001011003011', '5655030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541970', '2', '99', '1323441314741751836', '柏庄支局', '001011003012', '5655030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541971', '2', '99', '1323441314741751836', '永和支局', '001011003013', '5655030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541972', '2', '99', '1323441314741751836', '崔家桥支局', '001011003014', '5655030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541973', '2', '99', '1323441314741751836', '瓦店支局', '001011003015', '5655030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541974', '2', '99', '1323441314741751836', '吕村支局', '001011003016', '5655030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541975', '2', '99', '1323441314741751836', '辛村支局', '001011003017', '5655030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541976', '2', '99', '1323441314741751836', '北郭支局', '001011003018', '5655030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541977', '2', '99', '1323441314741751836', '白璧支局', '001011003019', '5655030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541978', '2', '99', '1323441314741751836', '宝莲寺支局', '001011003020', '5655030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541979', '2', '99', '1323441314741751836', '马投涧支局', '001011003021', '5655030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541980', '2', '99', '1323441314741751836', '水冶支局', '001011003022', '5655030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541981', '2', '99', '1323441314741751836', '铜冶支局', '001011003023', '5655030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541982', '2', '99', '1323441314741751836', '曲沟支局', '001011003024', '5655030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541983', '2', '99', '1323441314741751836', '蒋村支局', '001011003025', '5655030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541984', '2', '99', '1323441314741751836', '张家庄邮政所', '001011003026', '5655030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857740541985', '2', '99', '1323441314741751836', '磊口邮政所', '001011003027', '5655030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736256', '2', '99', '1323441314741751836', '许家沟邮政所', '001011003028', '5655030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736257', '2', '99', '1323441314741751836', '都里邮政所', '001011003029', '5655030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736258', '2', '99', '1323441314741751836', '善应支局', '001011003030', '5655030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736259', '2', '99', '1323441314741751836', '马家支局', '001011003031', '5655030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736260', '2', '99', '1323441314741751836', '伦掌支局', '001011003032', '5655030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736261', '2', '99', '1323441314741751836', '洪河屯支局', '001011003033', '5655030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736262', '2', '99', '1323441314741751836', '安丰支局', '001011003034', '5655030039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736263', '2', '99', '1323441314741751836', '龙泉支局', '001011003035', '5655030040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736264', '2', '99', '1323441314741751836', '高庄支局', '001011003036', '5655030041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736265', '2', '99', '1323441314741751836', '蒋村邮政所', '001011003037', '5655030042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736266', '2', '99', '1323441314741751836', '辛店支局', '001011003038', '5655030043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736267', '2', '99', '1323441314741751836', '龙山大道支局', '001011003039', '5655030044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736268', '2', '99', '1323441314741751836', '保留关系人员部门', '001011003040', '5655030099', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736269', '2', '99', '1323441314741751836', '机要室', '001011003041', '565503000401', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736270', '2', '99', '1323441314741751836', '中邮保险中心', '001011003042', '565503000701', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736271', '2', '99', '1323441314741751836', '寄递事业部', '001011003043', '5655030088', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736272', '2', '99', '1323441314741751837', '单位领导部门', '001011004001', '5655040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736273', '2', '99', '1323441314741751837', '非领导职务部门', '001011004002', '5655040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736274', '2', '99', '1323441314741751837', '领导助理部门', '001011004003', '5655040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736275', '2', '99', '1323441314741751837', '市场营销部', '001011004004', '5655040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736276', '2', '99', '1323441314741751837', '金融业务部（中邮保险中心）', '001011004005', '5655040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736277', '2', '99', '1323441314741751837', '集邮与文化传媒部', '001011004006', '5655040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736278', '2', '99', '1323441314741751837', '渠道平台部', '001011004007', '5655040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736279', '2', '99', '1323441314741751837', '综合办公室（安全保卫部）', '001011004008', '5655040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736280', '2', '99', '1323441314741751837', '营业班', '001011004009', '5655040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736281', '2', '99', '1323441314741751837', '车站支局', '001011004010', '5655040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736282', '2', '99', '1323441314741751837', '政通路支局', '001011004011', '5655040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736283', '2', '99', '1323441314741751837', '崇文大道支局', '001011004012', '5655040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736284', '2', '99', '1323441314741751837', '精忠支局', '001011004013', '5655040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736285', '2', '99', '1323441314741751837', '西大街邮政所', '001011004014', '5655040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736286', '2', '99', '1323441314741751837', '城关邮政所', '001011004015', '5655040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857744736287', '2', '99', '1323441314741751837', '白营邮政所', '001011004016', '5655040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930560', '2', '99', '1323441314741751837', '古贤支局', '001011004017', '5655040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930561', '2', '99', '1323441314741751837', '菜园支局', '001011004018', '5655040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930562', '2', '99', '1323441314741751837', '任固支局', '001011004019', '5655040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930563', '2', '99', '1323441314741751837', '五陵支局', '001011004020', '5655040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930564', '2', '99', '1323441314741751837', '瓦岗支局', '001011004021', '5655040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930565', '2', '99', '1323441314741751837', '伏道支局', '001011004022', '5655040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930566', '2', '99', '1323441314741751837', '宜沟支局', '001011004023', '5655040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930567', '2', '99', '1323441314741751837', '保留关系人员部门', '001011004024', '5655040099', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930568', '2', '99', '1323441314741751837', '机要室', '001011004025', '565504000401', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930569', '2', '99', '1323441314741751837', '寄递事业部', '001011004026', '5655040088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930570', '2', '99', '1323441314741751838', '单位领导部门', '001011005001', '5655050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930571', '2', '99', '1323441314741751838', '非领导职务部门', '001011005002', '5655050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930572', '2', '99', '1323441314741751838', '领导助理部门', '001011005003', '5655050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930573', '2', '99', '1323441314741751838', '市场营销部', '001011005004', '5655050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930574', '2', '99', '1323441314741751838', '金融业务部', '001011005005', '5655050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930575', '2', '99', '1323441314741751838', '集邮与文化传媒部', '001011005006', '5655050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930576', '2', '99', '1323441314741751838', '渠道平台部', '001011005007', '5655050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930577', '2', '99', '1323441314741751838', '综合办公室（安全保卫部）', '001011005008', '5655050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930578', '2', '99', '1323441314741751838', '营业班', '001011005009', '5655050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930579', '2', '99', '1323441314741751838', '二帝大道支局', '001011005010', '5655050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930580', '2', '99', '1323441314741751838', '朝阳路支局', '001011005011', '5655050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930581', '2', '99', '1323441314741751838', '亳城支局', '001011005012', '5655050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930582', '2', '99', '1323441314741751838', '楚旺支局', '001011005013', '5655050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930583', '2', '99', '1323441314741751838', '田氏支局', '001011005014', '5655050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930584', '2', '99', '1323441314741751838', '宋村支局', '001011005015', '5655050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930585', '2', '99', '1323441314741751838', '石盘屯支局', '001011005016', '5655050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930586', '2', '99', '1323441314741751838', '后河支局', '001011005017', '5655050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930587', '2', '99', '1323441314741751838', '白条河支局', '001011005018', '5655050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930588', '2', '99', '1323441314741751838', '梁庄支局', '001011005019', '5655050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930589', '2', '99', '1323441314741751838', '中召支局', '001011005020', '5655050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930590', '2', '99', '1323441314741751838', '井店支局', '001011005021', '5655050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930591', '2', '99', '1323441314741751838', '六村支局', '001011005022', '5655050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857748930592', '2', '99', '1323441314741751838', '高堤支局', '001011005023', '5655050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124864', '2', '99', '1323441314741751838', '张龙邮政所', '001011005024', '5655050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124865', '2', '99', '1323441314741751838', '马上邮政所', '001011005025', '5655050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124866', '2', '99', '1323441314741751838', '二安邮政所', '001011005026', '5655050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124867', '2', '99', '1323441314741751838', '东庄支局', '001011005027', '5655050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124868', '2', '99', '1323441314741751838', '豆公支局', '001011005028', '5655050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124869', '2', '99', '1323441314741751838', '保留关系人员部门', '001011005029', '5655050099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124870', '2', '99', '1323441314741751838', '机要室', '001011005030', '565505000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124871', '2', '99', '1323441314741751838', '中邮保险中心', '001011005031', '565505000701', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124872', '2', '99', '1323441314741751838', '寄递事业部', '001011005032', '5655050088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124873', '2', '99', '1323441314741751839', '单位领导部门', '001011006001', '5655200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124874', '2', '99', '1323441314741751839', '非领导职务部门', '001011006002', '5655200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124875', '2', '99', '1323441314741751839', '领导助理部门', '001011006003', '5655200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124876', '2', '99', '1323441314741751839', '机要通信分局内设机构（虚拟部门）', '001011006004', '5655200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124877', '2', '99', '1323441314741751839', '保留关系人员部门', '001011006005', '5655200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124878', '2', '99', '1323441314741751840', '单位领导部门', '001011007001', '5655200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124879', '2', '99', '1323441314741751840', '非领导职务部门', '001011007002', '5655200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124880', '2', '99', '1323441314741751840', '领导助理部门', '001011007003', '5655200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124881', '2', '99', '1323441314741751840', '市场营销部', '001011007004', '5655200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124882', '2', '99', '1323441314741751840', '金融业务部（中邮保险局）', '001011007005', '5655200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124883', '2', '99', '1323441314741751840', '集邮与文化传媒部', '001011007006', '5655200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124884', '2', '99', '1323441314741751840', '渠道平台部', '001011007007', '5655200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124885', '2', '99', '1323441314741751840', '营业班', '001011007008', '5655200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124886', '2', '99', '1323441314741751840', '彰德路邮政所', '001011007009', '5655200117', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124887', '2', '99', '1323441314741751840', '电业新村邮政所', '001011007010', '5655200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124888', '2', '99', '1323441314741751840', '东风路支局', '001011007011', '5655200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124889', '2', '99', '1323441314741751840', '东风路邮政所', '001011007012', '5655200120', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124890', '2', '99', '1323441314741751840', '东工路支局', '001011007013', '5655200121', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124891', '2', '99', '1323441314741751840', '东环城邮政所', '001011007014', '5655200122', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124892', '2', '99', '1323441314741751840', '和平路支局', '001011007015', '5655200123', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124893', '2', '99', '1323441314741751840', '和平路邮政所', '001011007016', '5655200124', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857753124894', '2', '99', '1323441314741751840', '文明大道邮政所', '001011007017', '5655200125', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319168', '2', '99', '1323441314741751840', '洹北邮政所', '001011007018', '5655200126', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319169', '2', '99', '1323441314741751840', '火车站邮政所', '001011007019', '5655200127', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319170', '2', '99', '1323441314741751840', '霍家村邮政所', '001011007020', '5655200128', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319171', '2', '99', '1323441314741751840', '文峰大道邮政所', '001011007021', '5655200129', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319172', '2', '99', '1323441314741751840', '朝阳路支局', '001011007022', '5655200130', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319173', '2', '99', '1323441314741751840', '相一路邮政所', '001011007023', '5655200131', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319174', '2', '99', '1323441314741751840', '中华北路支局', '001011007024', '5655200132', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319175', '2', '99', '1323441314741751840', '中华北路邮政所', '001011007025', '5655200133', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319176', '2', '99', '1323441314741751840', '中华路邮政所', '001011007026', '5655200134', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319177', '2', '99', '1323441314741751840', '文峰东路邮政所', '001011007027', '5655200135', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319178', '2', '99', '1323441314741751840', '华强城支局', '001011007028', '5655200136', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319179', '2', '99', '1323441314741751840', '保留关系人员部门', '001011007029', '5655200199', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319180', '2', '99', '1323441314741751840', '寄递事业部', '001011007030', '5655200188', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319181', '2', '99', '1323441314741751841', '单位领导部门', '001011008001', '5655200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319182', '2', '99', '1323441314741751841', '非领导职务部门', '001011008002', '5655200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319183', '2', '99', '1323441314741751841', '领导助理部门', '001011008003', '5655200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319184', '2', '99', '1323441314741751841', '市场营销部', '001011008004', '5655200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319185', '2', '99', '1323441314741751841', '营业班', '001011008005', '5655200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319186', '2', '99', '1323441314741751841', '安钢邮政所', '001011008006', '5655200215', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319187', '2', '99', '1323441314741751841', '钢二路支局', '001011008007', '5655200216', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319188', '2', '99', '1323441314741751841', '八里庄邮政所', '001011008008', '5655200217', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319189', '2', '99', '1323441314741751841', '八里庄支局', '001011008009', '5655200218', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319190', '2', '99', '1323441314741751841', '电厂邮政所', '001011008010', '5655200219', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319191', '2', '99', '1323441314741751841', '电厂路支局', '001011008011', '5655200220', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319192', '2', '99', '1323441314741751841', '钢城支局', '001011008012', '5655200221', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319193', '2', '99', '1323441314741751841', '纱厂邮政所', '001011008013', '5655200222', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319194', '2', '99', '1323441314741751841', '纱厂路支局', '001011008014', '5655200223', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319195', '2', '99', '1323441314741751841', '同乐邮政所', '001011008015', '5655200224', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319196', '2', '99', '1323441314741751841', '殷墟邮政所', '001011008016', '5655200225', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319197', '2', '99', '1323441314741751841', '保留关系人员部门', '001011008017', '5655200299', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319198', '2', '99', '1323441314741751841', '金融业务中心（中邮保险局）', '001011008018', '565520020402', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857757319199', '2', '99', '1323441314741751841', '集邮与文化传媒中心', '001011008019', '565520020403', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513472', '2', '99', '1323441314741751841', '渠道平台中心', '001011008020', '565520020405', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513473', '2', '99', '1323441314741751841', '寄递事业部', '001011008021', '5655200288', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513474', '2', '99', '1323441314741751842', '单位领导部门', '001012006', '5656000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513475', '2', '99', '1323441314741751842', '非领导职务部门', '001012007', '5656000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513476', '2', '99', '1323441314741751842', '领导助理部门', '001012008', '5656000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513477', '2', '99', '1323441314741751842', '市场营销部', '001012009', '5656000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513478', '2', '99', '1323441314741751842', '服务质量部（普遍服务部）', '001012010', '5656000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513479', '2', '99', '1323441314741751842', '金融业务部', '001012011', '5656000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513480', '2', '99', '1323441314741751842', '集邮与文化传媒部', '001012012', '5656000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513481', '2', '99', '1323441314741751842', '渠道平台部', '001012013', '5656000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513482', '2', '99', '1323441314741751842', '综合办公室（党委办公室、安全保卫部）', '001012014', '5656000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513483', '2', '99', '1323441314741751842', '财务部', '001012015', '5656000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513484', '2', '99', '1323441314741751842', '人力资源部（党委组织部）', '001012016', '5656000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513485', '2', '99', '1323441314741751842', '党委党建工作部（纪委办公室）', '001012017', '5656000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513486', '2', '99', '1323441314741751842', '工会', '001012018', '5656000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513487', '2', '99', '1323441314741751842', '保留关系人员部门', '001012019', '5656000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513488', '2', '99', '1323441314741751842', '客户营销中心', '001012020', '565600000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513489', '2', '99', '1323441314741751842', '业务档案班', '001012021', '565600000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513490', '2', '99', '1323441314741751842', '中邮保险中心', '001012022', '565600000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513491', '2', '99', '1323441314741751842', '商函制作班', '001012023', '565600000801', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513492', '2', '99', '1323441314741751842', '寄递事业部', '001012024', '5656000088', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513493', '2', '99', '1323441314741751843', '单位领导部门', '001012001001', '5656010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513494', '2', '99', '1323441314741751843', '非领导职务部门', '001012001002', '5656010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513495', '2', '99', '1323441314741751843', '领导助理部门', '001012001003', '5656010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513496', '2', '99', '1323441314741751843', '市场营销部', '001012001004', '5656010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513497', '2', '99', '1323441314741751843', '综合办公室（安全保卫部）', '001012001005', '5656010011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513498', '2', '99', '1323441314741751843', '营业班', '001012001006', '5656010012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513499', '2', '99', '1323441314741751843', '北阳支局', '001012001007', '5656010015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513500', '2', '99', '1323441314741751843', '高村支局', '001012001008', '5656010016', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513501', '2', '99', '1323441314741751843', '黄洞邮政所', '001012001009', '5656010017', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513502', '2', '99', '1323441314741751843', '庙口支局', '001012001010', '5656010018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857761513503', '2', '99', '1323441314741751843', '桥盟邮政所', '001012001011', '5656010019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707776', '2', '99', '1323441314741751843', '铁西邮政所', '001012001012', '5656010020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707777', '2', '99', '1323441314741751843', '西岗支局', '001012001013', '5656010021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707778', '2', '99', '1323441314741751843', '淇县县营支局', '001012001014', '5656010022', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707779', '2', '99', '1323441314741751843', '保留关系人员部门', '001012001015', '5656010099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707780', '2', '99', '1323441314741751843', '机要室', '001012001016', '565601000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707781', '2', '99', '1323441314741751843', '金融业务中心（中邮保险局）', '001012001017', '565601000402', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707782', '2', '99', '1323441314741751843', '集邮与文化传媒中心', '001012001018', '565601000403', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707783', '2', '99', '1323441314741751843', '渠道平台中心', '001012001019', '565601000405', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707784', '2', '99', '1323441314741751843', '寄递事业部', '001012001020', '5656010088', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707785', '2', '99', '1323441314741751844', '单位领导部门', '001012002001', '5656020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707786', '2', '99', '1323441314741751844', '非领导职务部门', '001012002002', '5656020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707787', '2', '99', '1323441314741751844', '领导助理部门', '001012002003', '5656020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707788', '2', '99', '1323441314741751844', '市场营销部', '001012002004', '5656020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707789', '2', '99', '1323441314741751844', '金融业务部', '001012002005', '5656020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707790', '2', '99', '1323441314741751844', '集邮与文化传媒部', '001012002006', '5656020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707791', '2', '99', '1323441314741751844', '渠道平台部', '001012002007', '5656020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707792', '2', '99', '1323441314741751844', '综合办公室（安全保卫部）', '001012002008', '5656020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707793', '2', '99', '1323441314741751844', '营业班', '001012002009', '5656020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707794', '2', '99', '1323441314741751844', '白寺支局', '001012002010', '5656020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707795', '2', '99', '1323441314741751844', '黎阳路支局', '001012002011', '5656020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707796', '2', '99', '1323441314741751844', '善堂邮政所', '001012002012', '5656020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707797', '2', '99', '1323441314741751844', '屯子支局', '001012002013', '5656020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707798', '2', '99', '1323441314741751844', '王庄支局', '001012002014', '5656020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707799', '2', '99', '1323441314741751844', '卫贤支局', '001012002015', '5656020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707800', '2', '99', '1323441314741751844', '西街邮政所', '001012002016', '5656020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707801', '2', '99', '1323441314741751844', '小河支局', '001012002017', '5656020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707802', '2', '99', '1323441314741751844', '新镇支局', '001012002018', '5656020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707803', '2', '99', '1323441314741751844', '保留关系人员部门', '001012002019', '5656020099', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707804', '2', '99', '1323441314741751844', '机要室', '001012002020', '565602000401', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707805', '2', '99', '1323441314741751844', '中邮保险中心', '001012002021', '565602000701', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857765707806', '2', '99', '1323441314741751844', '寄递事业部', '001012002022', '5656020088', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902080', '2', '99', '1323441314741751845', '单位领导部门', '001012003001', '5656200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902081', '2', '99', '1323441314741751845', '非领导职务部门', '001012003002', '5656200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902082', '2', '99', '1323441314741751845', '领导助理部门', '001012003003', '5656200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902083', '2', '99', '1323441314741751845', '机要通信分局内设机构（虚拟部门）', '001012003004', '5656200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902084', '2', '99', '1323441314741751845', '保留关系人员部门', '001012003005', '5656200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902085', '2', '99', '1323441314745946112', '单位领导部门', '001012004001', '5656200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902086', '2', '99', '1323441314745946112', '非领导职务部门', '001012004002', '5656200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902087', '2', '99', '1323441314745946112', '领导助理部门', '001012004003', '5656200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902088', '2', '99', '1323441314745946112', '市场营销部', '001012004004', '5656200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902089', '2', '99', '1323441314745946112', '营业班', '001012004005', '5656200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902090', '2', '99', '1323441314745946112', '大河涧邮政所', '001012004006', '5656200114', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902091', '2', '99', '1323441314745946112', '大湖支局', '001012004007', '5656200115', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902092', '2', '99', '1323441314745946112', '鹤山支局', '001012004008', '5656200116', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902093', '2', '99', '1323441314745946112', '姬家山邮政所', '001012004009', '5656200117', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902094', '2', '99', '1323441314745946112', '金山邮政所', '001012004010', '5656200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902095', '2', '99', '1323441314745946112', '鹿楼支局', '001012004011', '5656200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902096', '2', '99', '1323441314745946112', '上峪邮政所', '001012004012', '5656200120', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902097', '2', '99', '1323441314745946112', '石林邮政所', '001012004013', '5656200121', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902098', '2', '99', '1323441314745946112', '汤河街邮政所', '001012004014', '5656200122', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902099', '2', '99', '1323441314745946112', '中山邮政所', '001012004015', '5656200123', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902100', '2', '99', '1323441314745946112', '保留关系人员部门', '001012004016', '5656200199', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902101', '2', '99', '1323441314745946112', '金融业务中心（中邮保险局）', '001012004017', '565620010402', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902102', '2', '99', '1323441314745946112', '集邮与文化传媒中心', '001012004018', '565620010403', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902103', '2', '99', '1323441314745946112', '渠道平台中心', '001012004019', '565620010405', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902104', '2', '99', '1323441314745946112', '寄递事业部', '001012004020', '5656200188', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902105', '2', '99', '1323441314745946113', '单位领导部门', '001012005001', '5656200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902106', '2', '99', '1323441314745946113', '非领导职务部门', '001012005002', '5656200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902107', '2', '99', '1323441314745946113', '领导助理部门', '001012005003', '5656200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902108', '2', '99', '1323441314745946113', '市场营销部', '001012005004', '5656200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902109', '2', '99', '1323441314745946113', '营业班', '001012005005', '5656200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857769902110', '2', '99', '1323441314745946113', '钜桥支局', '001012005006', '5656200214', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096384', '2', '99', '1323441314745946113', '新世纪支局', '001012005007', '5656200215', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096385', '2', '99', '1323441314745946113', '淇滨支局', '001012005008', '5656200216', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096386', '2', '99', '1323441314745946113', '清华园支局', '001012005009', '5656200217', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096387', '2', '99', '1323441314745946113', '保留关系人员部门', '001012005010', '5656200299', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096388', '2', '99', '1323441314745946113', '金融业务中心（中邮保险局）', '001012005011', '565620020402', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096389', '2', '99', '1323441314745946113', '集邮与文化传媒中心', '001012005012', '565620020403', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096390', '2', '99', '1323441314745946113', '渠道平台中心', '001012005013', '565620020405', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096391', '2', '99', '1323441314745946113', '寄递事业部', '001012005014', '5656200288', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096392', '2', '99', '1323441314745946114', '单位领导部门', '001013013', '5657000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096393', '2', '99', '1323441314745946114', '非领导职务部门', '001013014', '5657000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096394', '2', '99', '1323441314745946114', '领导助理部门', '001013015', '5657000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096395', '2', '99', '1323441314745946114', '市场营销部', '001013016', '5657000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096396', '2', '99', '1323441314745946114', '服务质量部（普遍服务部）', '001013017', '5657000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096397', '2', '99', '1323441314745946114', '金融业务部', '001013018', '5657000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096398', '2', '99', '1323441314745946114', '集邮与文化传媒部', '001013019', '5657000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096399', '2', '99', '1323441314745946114', '渠道平台部', '001013020', '5657000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096400', '2', '99', '1323441314745946114', '综合办公室（党委办公室、安全保卫部）', '001013021', '5657000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096401', '2', '99', '1323441314745946114', '财务部', '001013022', '5657000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096402', '2', '99', '1323441314745946114', '人力资源部（党委组织部）', '001013023', '5657000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096403', '2', '99', '1323441314745946114', '党委党建工作部（纪委办公室）', '001013024', '5657000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096404', '2', '99', '1323441314745946114', '工会', '001013025', '5657000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096405', '2', '99', '1323441314745946114', '中邮保险业务部', '001013026', '5657000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096406', '2', '99', '1323441314745946114', '保留关系人员部门', '001013027', '5657000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096407', '2', '99', '1323441314745946114', '客户营销中心', '001013028', '565700000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096408', '2', '99', '1323441314745946114', '业务档案班', '001013029', '565700000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096409', '2', '99', '1323441314745946114', '业务管理室', '001013030', '565700000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096410', '2', '99', '1323441314745946114', '内控管理室', '001013031', '565700000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096411', '2', '99', '1323441314745946114', '业务管理室', '001013032', '565700000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857774096412', '2', '99', '1323441314745946114', '创意研发室', '001013033', '565700000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290688', '2', '99', '1323441314745946114', '商函制作班', '001013034', '565700000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290689', '2', '99', '1323441314745946114', '渠道管理室', '001013035', '565700001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290690', '2', '99', '1323441314745946114', '电商分销室', '001013036', '565700001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290691', '2', '99', '1323441314745946114', '农村电商线上运营组', '001013037', '565700001003', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290692', '2', '99', '1323441314745946114', '远程监控班', '001013038', '565700001101', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290693', '2', '99', '1323441314745946114', '寄递事业部', '001013039', '5657000088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290694', '2', '99', '1323441314745946115', '单位领导部门', '001013001001', '5657010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290695', '2', '99', '1323441314745946115', '非领导职务部门', '001013001002', '5657010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290696', '2', '99', '1323441314745946115', '领导助理部门', '001013001003', '5657010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290697', '2', '99', '1323441314745946115', '市场营销部', '001013001004', '5657010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290698', '2', '99', '1323441314745946115', '金融业务部', '001013001005', '5657010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290699', '2', '99', '1323441314745946115', '集邮与文化传媒部', '001013001006', '5657010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290700', '2', '99', '1323441314745946115', '渠道平台部', '001013001007', '5657010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290701', '2', '99', '1323441314745946115', '综合办公室（安全保卫部）', '001013001008', '5657010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290702', '2', '99', '1323441314745946115', '营业班', '001013001009', '5657010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290703', '2', '99', '1323441314745946115', '胜利南街支局', '001013001010', '5657010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290704', '2', '99', '1323441314745946115', '新一街支局', '001013001011', '5657010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290705', '2', '99', '1323441314745946115', '小冀支局', '001013001012', '5657010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290706', '2', '99', '1323441314745946115', '七里营支局', '001013001013', '5657010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290707', '2', '99', '1323441314745946115', '朗公庙支局', '001013001014', '5657010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290708', '2', '99', '1323441314745946115', '古固寨支局', '001013001015', '5657010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290709', '2', '99', '1323441314745946115', '关堤支局', '001013001016', '5657010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290710', '2', '99', '1323441314745946115', '洪门支局', '001013001017', '5657010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290711', '2', '99', '1323441314745946115', '大块支局', '001013001018', '5657010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290712', '2', '99', '1323441314745946115', '合河支局', '001013001019', '5657010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290713', '2', '99', '1323441314745946115', '大召营支局', '001013001020', '5657010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290714', '2', '99', '1323441314745946115', '翟坡支局', '001013001021', '5657010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290715', '2', '99', '1323441314745946115', '保留关系人员部门', '001013001022', '5657010099', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290716', '2', '99', '1323441314745946115', '机要室', '001013001023', '565701000401', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290717', '2', '99', '1323441314745946115', '中邮保险中心', '001013001024', '565701000701', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857778290718', '2', '99', '1323441314745946115', '寄递事业部', '001013001025', '5657010088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484992', '2', '99', '1323441314745946116', '单位领导部门', '001013002001', '5657020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484993', '2', '99', '1323441314745946116', '非领导职务部门', '001013002002', '5657020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484994', '2', '99', '1323441314745946116', '领导助理部门', '001013002003', '5657020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484995', '2', '99', '1323441314745946116', '市场营销部', '001013002004', '5657020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484996', '2', '99', '1323441314745946116', '金融业务部（中邮保险中心）', '001013002005', '5657020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484997', '2', '99', '1323441314745946116', '集邮与文化传媒部', '001013002006', '5657020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484998', '2', '99', '1323441314745946116', '渠道平台部', '001013002007', '5657020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782484999', '2', '99', '1323441314745946116', '综合办公室（安全保卫部）', '001013002008', '5657020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485000', '2', '99', '1323441314745946116', '营业班', '001013002009', '5657020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485001', '2', '99', '1323441314745946116', '大道支局', '001013002010', '5657020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485002', '2', '99', '1323441314745946116', '马市街邮政所', '001013002011', '5657020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485003', '2', '99', '1323441314745946116', '新医一附院支局', '001013002012', '5657020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485004', '2', '99', '1323441314745946116', '唐庄支局', '001013002013', '5657020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485005', '2', '99', '1323441314745946116', '孙杏村支局', '001013002014', '5657020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485006', '2', '99', '1323441314745946116', '李元屯支局', '001013002015', '5657020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485007', '2', '99', '1323441314745946116', '上乐村支局', '001013002016', '5657020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485008', '2', '99', '1323441314745946116', '安都支局', '001013002017', '5657020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485009', '2', '99', '1323441314745946116', '柳庄邮政所', '001013002018', '5657020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485010', '2', '99', '1323441314745946116', '太公泉邮政所', '001013002019', '5657020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485011', '2', '99', '1323441314745946116', '狮豹头邮政所', '001013002020', '5657020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485012', '2', '99', '1323441314745946116', '庞寨邮政所', '001013002021', '5657020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485013', '2', '99', '1323441314745946116', '火车站邮政所', '001013002022', '5657020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485014', '2', '99', '1323441314745946116', '顿坊店邮政所', '001013002023', '5657020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485015', '2', '99', '1323441314745946116', '后河邮政所', '001013002024', '5657020030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485016', '2', '99', '1323441314745946116', '城郊邮政所', '001013002025', '5657020031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485017', '2', '99', '1323441314745946116', '孟西支局', '001013002026', '5657020032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485018', '2', '99', '1323441314745946116', '保留关系人员部门', '001013002027', '5657020099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485019', '2', '99', '1323441314745946116', '机要室', '001013002028', '565702000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857782485020', '2', '99', '1323441314745946116', '寄递事业部', '001013002029', '5657020088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679296', '2', '99', '1323441314745946117', '单位领导部门', '001013003001', '5657030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679297', '2', '99', '1323441314745946117', '非领导职务部门', '001013003002', '5657030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679298', '2', '99', '1323441314745946117', '领导助理部门', '001013003003', '5657030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679299', '2', '99', '1323441314745946117', '市场营销部', '001013003004', '5657030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679300', '2', '99', '1323441314745946117', '金融业务部', '001013003005', '5657030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679301', '2', '99', '1323441314745946117', '集邮与文化传媒部', '001013003006', '5657030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679302', '2', '99', '1323441314745946117', '渠道平台部', '001013003007', '5657030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679303', '2', '99', '1323441314745946117', '综合办公室（安全保卫部）', '001013003008', '5657030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679304', '2', '99', '1323441314745946117', '营业班', '001013003009', '5657030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679305', '2', '99', '1323441314745946117', '宏力大道支局', '001013003010', '5657030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679306', '2', '99', '1323441314745946117', '金贝山支局', '001013003011', '5657030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679307', '2', '99', '1323441314745946117', '建设路支局', '001013003012', '5657030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679308', '2', '99', '1323441314745946117', '满村支局', '001013003013', '5657030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679309', '2', '99', '1323441314745946117', '丁栾支局', '001013003014', '5657030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679310', '2', '99', '1323441314745946117', '方里支局', '001013003015', '5657030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679311', '2', '99', '1323441314745946117', '佘家支局', '001013003016', '5657030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679312', '2', '99', '1323441314745946117', '赵堤支局', '001013003017', '5657030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679313', '2', '99', '1323441314745946117', '武邱支局', '001013003018', '5657030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679314', '2', '99', '1323441314745946117', '苗占支局', '001013003019', '5657030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679315', '2', '99', '1323441314745946117', '孟岗支局', '001013003020', '5657030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679316', '2', '99', '1323441314745946117', '位庄邮政所', '001013003021', '5657030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679317', '2', '99', '1323441314745946117', '恼里支局', '001013003022', '5657030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679318', '2', '99', '1323441314745946117', '张占邮政所', '001013003023', '5657030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679319', '2', '99', '1323441314745946117', '常村邮政所', '001013003024', '5657030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679320', '2', '99', '1323441314745946117', '凡相支局', '001013003025', '5657030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679321', '2', '99', '1323441314745946117', '张三寨邮政所', '001013003026', '5657030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679322', '2', '99', '1323441314745946117', '芦岗邮政所', '001013003027', '5657030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857786679323', '2', '99', '1323441314745946117', '东关邮政所', '001013003028', '5657030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873600', '2', '99', '1323441314745946117', '西营邮政所', '001013003029', '5657030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873601', '2', '99', '1323441314745946117', '保留关系人员部门', '001013003030', '5657030099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873602', '2', '99', '1323441314745946117', '机要室', '001013003031', '565703000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873603', '2', '99', '1323441314745946117', '中邮保险中心', '001013003032', '565703000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873604', '2', '99', '1323441314745946117', '寄递事业部', '001013003033', '5657030088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873605', '2', '99', '1323441314745946118', '单位领导部门', '001013004001', '5657040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873606', '2', '99', '1323441314745946118', '非领导职务部门', '001013004002', '5657040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873607', '2', '99', '1323441314745946118', '领导助理部门', '001013004003', '5657040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873608', '2', '99', '1323441314745946118', '市场营销部', '001013004004', '5657040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873609', '2', '99', '1323441314745946118', '金融业务部（中邮保险中心）', '001013004005', '5657040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873610', '2', '99', '1323441314745946118', '集邮与文化传媒部', '001013004006', '5657040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873611', '2', '99', '1323441314745946118', '渠道平台部', '001013004007', '5657040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873612', '2', '99', '1323441314745946118', '综合办公室（安全保卫部）', '001013004008', '5657040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873613', '2', '99', '1323441314745946118', '营业班', '001013004009', '5657040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873614', '2', '99', '1323441314745946118', '红旗路邮政所', '001013004010', '5657040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873615', '2', '99', '1323441314745946118', '西工邮政所', '001013004011', '5657040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873616', '2', '99', '1323441314745946118', '行政路支局', '001013004012', '5657040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873617', '2', '99', '1323441314745946118', '东环路邮政所', '001013004013', '5657040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873618', '2', '99', '1323441314745946118', '亢村邮政所', '001013004014', '5657040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873619', '2', '99', '1323441314745946118', '太山支局', '001013004015', '5657040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873620', '2', '99', '1323441314745946118', '冯庄支局', '001013004016', '5657040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873621', '2', '99', '1323441314745946118', '中和支局', '001013004017', '5657040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873622', '2', '99', '1323441314745946118', '徐营支局', '001013004018', '5657040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873623', '2', '99', '1323441314745946118', '史庄邮政所', '001013004019', '5657040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873624', '2', '99', '1323441314745946118', '黄堤支局', '001013004020', '5657040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873625', '2', '99', '1323441314745946118', '照镜支局', '001013004021', '5657040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873626', '2', '99', '1323441314745946118', '振兴路支局', '001013004022', '5657040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857790873627', '2', '99', '1323441314745946118', '位庄邮政所', '001013004023', '5657040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067904', '2', '99', '1323441314745946118', '大新庄邮政所', '001013004024', '5657040030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067905', '2', '99', '1323441314745946118', '保留关系人员部门', '001013004025', '5657040099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067906', '2', '99', '1323441314745946118', '机要室', '001013004026', '565704000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067907', '2', '99', '1323441314745946118', '寄递事业部', '001013004027', '5657040088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067908', '2', '99', '1323441314745946119', '单位领导部门', '001013005001', '5657050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067909', '2', '99', '1323441314745946119', '非领导职务部门', '001013005002', '5657050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067910', '2', '99', '1323441314745946119', '领导助理部门', '001013005003', '5657050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067911', '2', '99', '1323441314745946119', '市场营销部', '001013005004', '5657050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067912', '2', '99', '1323441314745946119', '金融业务部', '001013005005', '5657050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067913', '2', '99', '1323441314745946119', '集邮与文化传媒部', '001013005006', '5657050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067914', '2', '99', '1323441314745946119', '渠道平台部', '001013005007', '5657050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067915', '2', '99', '1323441314745946119', '综合办公室（安全保卫部）', '001013005008', '5657050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067916', '2', '99', '1323441314745946119', '营业班', '001013005009', '5657050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067917', '2', '99', '1323441314745946119', '城内支局', '001013005010', '5657050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067918', '2', '99', '1323441314745946119', '城东支局', '001013005011', '5657050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067919', '2', '99', '1323441314745946119', '太行大道支局', '001013005012', '5657050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067920', '2', '99', '1323441314745946119', '上八里支局', '001013005013', '5657050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067921', '2', '99', '1323441314745946119', '北云门支局', '001013005014', '5657050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067922', '2', '99', '1323441314745946119', '南寨支局', '001013005015', '5657050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067923', '2', '99', '1323441314745946119', '赵固支局', '001013005016', '5657050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067924', '2', '99', '1323441314745946119', '占城支局', '001013005017', '5657050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067925', '2', '99', '1323441314745946119', '峪河支局', '001013005018', '5657050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067926', '2', '99', '1323441314745946119', '孟庄邮政所', '001013005019', '5657050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067927', '2', '99', '1323441314745946119', '西平罗邮政所', '001013005020', '5657050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067928', '2', '99', '1323441314745946119', '张村支局', '001013005021', '5657050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857795067929', '2', '99', '1323441314745946119', '高庄支局', '001013005022', '5657050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262208', '2', '99', '1323441314745946119', '黄水邮政所', '001013005023', '5657050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262209', '2', '99', '1323441314745946119', '薄壁支局', '001013005024', '5657050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262210', '2', '99', '1323441314745946119', '冀屯支局', '001013005025', '5657050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262211', '2', '99', '1323441314745946119', '赵庄支局', '001013005026', '5657050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262212', '2', '99', '1323441314745946119', '吴村支局', '001013005027', '5657050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262213', '2', '99', '1323441314745946119', '百泉支局', '001013005028', '5657050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262214', '2', '99', '1323441314745946119', '南村支局', '001013005029', '5657050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262215', '2', '99', '1323441314745946119', '农专邮政所', '001013005030', '5657050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262216', '2', '99', '1323441314745946119', '常村支局', '001013005031', '5657050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262217', '2', '99', '1323441314745946119', '拍石头邮政所', '001013005032', '5657050037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262218', '2', '99', '1323441314745946119', '洪州邮政所', '001013005033', '5657050038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262219', '2', '99', '1323441314745946119', '沙窑邮政所', '001013005034', '5657050039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262220', '2', '99', '1323441314745946119', '保留关系人员部门', '001013005035', '5657050099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262221', '2', '99', '1323441314745946119', '机要室', '001013005036', '565705000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262222', '2', '99', '1323441314745946119', '中邮保险中心', '001013005037', '565705000701', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262223', '2', '99', '1323441314745946119', '寄递事业部', '001013005038', '5657050088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262224', '2', '99', '1323441314745946120', '单位领导部门', '001013006001', '5657060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262225', '2', '99', '1323441314745946120', '非领导职务部门', '001013006002', '5657060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262226', '2', '99', '1323441314745946120', '领导助理部门', '001013006003', '5657060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262227', '2', '99', '1323441314745946120', '市场营销部', '001013006004', '5657060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262228', '2', '99', '1323441314745946120', '金融业务部', '001013006005', '5657060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262229', '2', '99', '1323441314745946120', '集邮与文化传媒部', '001013006006', '5657060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262230', '2', '99', '1323441314745946120', '渠道平台部', '001013006007', '5657060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262231', '2', '99', '1323441314745946120', '综合办公室（安全保卫部）', '001013006008', '5657060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262232', '2', '99', '1323441314745946120', '营业班', '001013006009', '5657060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262233', '2', '99', '1323441314745946120', '胜利支局', '001013006010', '5657060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262234', '2', '99', '1323441314745946120', '官厂支局', '001013006011', '5657060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857799262235', '2', '99', '1323441314745946120', '大宾支局', '001013006012', '5657060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456512', '2', '99', '1323441314745946120', '陡门支局', '001013006013', '5657060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456513', '2', '99', '1323441314745946120', '齐街邮政所', '001013006014', '5657060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456514', '2', '99', '1323441314745946120', '路寨支局', '001013006015', '5657060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456515', '2', '99', '1323441314745946120', '阳阿支局', '001013006016', '5657060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456516', '2', '99', '1323441314745946120', '师寨支局', '001013006017', '5657060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456517', '2', '99', '1323441314745946120', '原武支局', '001013006018', '5657060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456518', '2', '99', '1323441314745946120', '祝楼支局', '001013006019', '5657060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456519', '2', '99', '1323441314745946120', '桥北支局', '001013006020', '5657060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456520', '2', '99', '1323441314745946120', '蒋庄邮政所', '001013006021', '5657060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456521', '2', '99', '1323441314745946120', '韩董庄支局', '001013006022', '5657060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456522', '2', '99', '1323441314745946120', '太平镇支局', '001013006023', '5657060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456523', '2', '99', '1323441314745946120', '梁寨邮政所', '001013006024', '5657060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456524', '2', '99', '1323441314745946120', '福宁集支局', '001013006025', '5657060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456525', '2', '99', '1323441314745946120', '王杏兰邮政所', '001013006026', '5657060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456526', '2', '99', '1323441314745946120', '包厂邮政所', '001013006027', '5657060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456527', '2', '99', '1323441314745946120', '黑羊山支局', '001013006028', '5657060033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456528', '2', '99', '1323441314745946120', '葛埠口邮政所', '001013006029', '5657060034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456529', '2', '99', '1323441314745946120', '保留关系人员部门', '001013006030', '5657060099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456530', '2', '99', '1323441314745946120', '机要室', '001013006031', '565706000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456531', '2', '99', '1323441314745946120', '中邮保险中心', '001013006032', '565706000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456532', '2', '99', '1323441314745946120', '寄递事业部', '001013006033', '5657060088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456533', '2', '99', '1323441314745946121', '单位领导部门', '001013007001', '5657070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456534', '2', '99', '1323441314745946121', '非领导职务部门', '001013007002', '5657070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456535', '2', '99', '1323441314745946121', '领导助理部门', '001013007003', '5657070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456536', '2', '99', '1323441314745946121', '市场营销部', '001013007004', '5657070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456537', '2', '99', '1323441314745946121', '金融业务部（中邮保险中心）', '001013007005', '5657070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857803456538', '2', '99', '1323441314745946121', '集邮与文化传媒部', '001013007006', '5657070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650816', '2', '99', '1323441314745946121', '渠道平台部', '001013007007', '5657070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650817', '2', '99', '1323441314745946121', '综合办公室（安全保卫部）', '001013007008', '5657070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650818', '2', '99', '1323441314745946121', '营业班', '001013007009', '5657070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650819', '2', '99', '1323441314745946121', '三里庄邮政所', '001013007010', '5657070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650820', '2', '99', '1323441314745946121', '丰庄支局', '001013007011', '5657070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650821', '2', '99', '1323441314745946121', '马庄支局', '001013007012', '5657070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650822', '2', '99', '1323441314745946121', '王楼支局', '001013007013', '5657070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650823', '2', '99', '1323441314745946121', '司寨支局', '001013007014', '5657070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650824', '2', '99', '1323441314745946121', '位邱支局', '001013007015', '5657070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650825', '2', '99', '1323441314745946121', '胙城支局', '001013007016', '5657070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650826', '2', '99', '1323441314745946121', '小店邮政所', '001013007017', '5657070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650827', '2', '99', '1323441314745946121', '东屯支局', '001013007018', '5657070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650828', '2', '99', '1323441314745946121', '榆林支局', '001013007019', '5657070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650829', '2', '99', '1323441314745946121', '石婆固邮政所', '001013007020', '5657070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650830', '2', '99', '1323441314745946121', '建设路支局', '001013007021', '5657070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650831', '2', '99', '1323441314745946121', '保留关系人员部门', '001013007022', '5657070099', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650832', '2', '99', '1323441314745946121', '机要室', '001013007023', '565707000401', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650833', '2', '99', '1323441314745946121', '寄递事业部', '001013007024', '5657070088', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650834', '2', '99', '1323441314745946122', '单位领导部门', '001013008001', '5657080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650835', '2', '99', '1323441314745946122', '非领导职务部门', '001013008002', '5657080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650836', '2', '99', '1323441314745946122', '领导助理部门', '001013008003', '5657080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650837', '2', '99', '1323441314745946122', '市场营销部', '001013008004', '5657080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650838', '2', '99', '1323441314745946122', '金融业务部', '001013008005', '5657080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650839', '2', '99', '1323441314745946122', '集邮与文化传媒部', '001013008006', '5657080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650840', '2', '99', '1323441314745946122', '渠道平台部', '001013008007', '5657080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650841', '2', '99', '1323441314745946122', '综合办公室（安全保卫部）', '001013008008', '5657080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857807650842', '2', '99', '1323441314745946122', '营业班', '001013008009', '5657080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845120', '2', '99', '1323441314745946122', '北干道支局', '001013008010', '5657080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845121', '2', '99', '1323441314745946122', '应举支局', '001013008011', '5657080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845122', '2', '99', '1323441314745946122', '黄德支局', '001013008012', '5657080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845123', '2', '99', '1323441314745946122', '鲁岗支局', '001013008013', '5657080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845124', '2', '99', '1323441314745946122', '荆隆宫支局', '001013008014', '5657080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845125', '2', '99', '1323441314745946122', '留光支局', '001013008015', '5657080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845126', '2', '99', '1323441314745946122', '曹岗支局', '001013008016', '5657080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845127', '2', '99', '1323441314745946122', '黄陵邮政所', '001013008017', '5657080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845128', '2', '99', '1323441314745946122', '赵岗支局', '001013008018', '5657080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845129', '2', '99', '1323441314745946122', '陈固支局', '001013008019', '5657080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845130', '2', '99', '1323441314745946122', '李庄支局', '001013008020', '5657080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845131', '2', '99', '1323441314745946122', '潘店支局', '001013008021', '5657080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845132', '2', '99', '1323441314745946122', '戚城支局', '001013008022', '5657080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845133', '2', '99', '1323441314745946122', '冯村支局', '001013008023', '5657080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845134', '2', '99', '1323441314745946122', '尹岗邮政所', '001013008024', '5657080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845135', '2', '99', '1323441314745946122', '新李庄支局', '001013008025', '5657080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845136', '2', '99', '1323441314745946122', '城关邮政所', '001013008026', '5657080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845137', '2', '99', '1323441314745946122', '陈桥邮政所', '001013008027', '5657080032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845138', '2', '99', '1323441314745946122', '王村邮政所', '001013008028', '5657080033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845139', '2', '99', '1323441314745946122', '居厢邮政所', '001013008029', '5657080034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845140', '2', '99', '1323441314745946122', '回族邮政所', '001013008030', '5657080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845141', '2', '99', '1323441314745946122', '保留关系人员部门', '001013008031', '5657080099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845142', '2', '99', '1323441314745946122', '机要室', '001013008032', '565708000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845143', '2', '99', '1323441314745946122', '中邮保险中心', '001013008033', '565708000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845144', '2', '99', '1323441314745946122', '寄递事业部', '001013008034', '5657080088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857811845145', '2', '99', '1323441314745946123', '单位领导部门', '001013009001', '5657200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039424', '2', '99', '1323441314745946123', '非领导职务部门', '001013009002', '5657200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039425', '2', '99', '1323441314745946123', '领导助理部门', '001013009003', '5657200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039426', '2', '99', '1323441314745946123', '机要通信分局内设机构（虚拟部门）', '001013009004', '5657200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039427', '2', '99', '1323441314745946123', '保留关系人员部门', '001013009005', '5657200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039428', '2', '99', '1323441314745946124', '单位领导部门', '001013010001', '5657200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039429', '2', '99', '1323441314745946124', '非领导职务部门', '001013010002', '5657200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039430', '2', '99', '1323441314745946124', '领导助理部门', '001013010003', '5657200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039431', '2', '99', '1323441314745946124', '市场营销部', '001013010004', '5657200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039432', '2', '99', '1323441314745946124', '金融业务部（中邮保险局）', '001013010005', '5657200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039433', '2', '99', '1323441314745946124', '集邮与文化传媒部', '001013010006', '5657200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039434', '2', '99', '1323441314745946124', '渠道平台部', '001013010007', '5657200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039435', '2', '99', '1323441314745946124', '营业班', '001013010008', '5657200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039436', '2', '99', '1323441314745946124', '和平大道邮政所', '001013010009', '5657200116', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039437', '2', '99', '1323441314745946124', '人民西路支局', '001013010010', '5657200117', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039438', '2', '99', '1323441314745946124', '化工路支局', '001013010011', '5657200118', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039439', '2', '99', '1323441314745946124', '火车站支局', '001013010012', '5657200119', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039440', '2', '99', '1323441314745946124', '技师邮政所', '001013010013', '5657200120', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039441', '2', '99', '1323441314745946124', '健康路支局', '001013010014', '5657200121', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039442', '2', '99', '1323441314745946124', '解南邮政所', '001013010015', '5657200122', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039443', '2', '99', '1323441314745946124', '南干道支局', '001013010016', '5657200123', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039444', '2', '99', '1323441314745946124', '帕堤欧支局', '001013010017', '5657200124', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039445', '2', '99', '1323441314745946124', '西台头支局', '001013010018', '5657200125', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039446', '2', '99', '1323441314745946124', '向阳路邮政所', '001013010019', '5657200126', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039447', '2', '99', '1323441314745946124', '新区邮政所', '001013010020', '5657200127', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039448', '2', '99', '1323441314745946124', '新四街支局', '001013010021', '5657200128', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039449', '2', '99', '1323441314745946124', '饮马口支局', '001013010022', '5657200129', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857816039450', '2', '99', '1323441314745946124', '友谊路邮政所', '001013010023', '5657200130', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233728', '2', '99', '1323441314745946124', '保留关系人员部门', '001013010024', '5657200199', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233729', '2', '99', '1323441314745946124', '寄递事业部', '001013010025', '5657200188', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233730', '2', '99', '1323441314745946125', '单位领导部门', '001013011001', '5657200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233731', '2', '99', '1323441314745946125', '非领导职务部门', '001013011002', '5657200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233732', '2', '99', '1323441314745946125', '领导助理部门', '001013011003', '5657200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233733', '2', '99', '1323441314745946125', '市场营销部', '001013011004', '5657200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233734', '2', '99', '1323441314745946125', '金融业务部（中邮保险局）', '001013011005', '5657200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233735', '2', '99', '1323441314745946125', '集邮与文化传媒部', '001013011006', '5657200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233736', '2', '99', '1323441314745946125', '渠道平台部', '001013011007', '5657200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233737', '2', '99', '1323441314745946125', '营业班', '001013011008', '5657200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233738', '2', '99', '1323441314745946125', '北干道邮政所', '001013011009', '5657200217', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233739', '2', '99', '1323441314745946125', '大景城支局', '001013011010', '5657200218', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233740', '2', '99', '1323441314745946125', '二中邮政所', '001013011011', '5657200219', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233741', '2', '99', '1323441314745946125', '和平北路支局', '001013011012', '5657200220', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233742', '2', '99', '1323441314745946125', '河师大邮政所', '001013011013', '5657200221', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233743', '2', '99', '1323441314745946125', '黄岗支局', '001013011014', '5657200222', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233744', '2', '99', '1323441314745946125', '劳动北路支局', '001013011015', '5657200224', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233745', '2', '99', '1323441314745946125', '平原路支局', '001013011016', '5657200225', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233746', '2', '99', '1323441314745946125', '荣校路支局', '001013011017', '5657200226', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233747', '2', '99', '1323441314745946125', '双桥邮政所', '001013011018', '5657200227', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233748', '2', '99', '1323441314745946125', '杨岗邮政所', '001013011019', '5657200228', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233749', '2', '99', '1323441314745946125', '中同街支局', '001013011020', '5657200229', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233750', '2', '99', '1323441314745946125', '牛村邮政所', '001013011021', '5657200230', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233751', '2', '99', '1323441314745946125', '保留关系人员部门', '001013011022', '5657200299', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233752', '2', '99', '1323441314745946125', '寄递事业部', '001013011023', '5657200288', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857820233753', '2', '99', '1323441314745946126', '单位领导部门', '001013012001', '5657200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428032', '2', '99', '1323441314745946126', '非领导职务部门', '001013012002', '5657200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428033', '2', '99', '1323441314745946126', '领导助理部门', '001013012003', '5657200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428034', '2', '99', '1323441314745946126', '市场营销部', '001013012004', '5657200304', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428035', '2', '99', '1323441314745946126', '凤泉邮政所', '001013012005', '5657200312', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428036', '2', '99', '1323441314745946126', '市场路支局', '001013012006', '5657200314', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428037', '2', '99', '1323441314745946126', '耿黄邮政所', '001013012007', '5657200315', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428038', '2', '99', '1323441314745946126', '潞王坟邮政所', '001013012008', '5657200316', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428039', '2', '99', '1323441314745946126', '保留关系人员部门', '001013012009', '5657200399', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428040', '2', '99', '1323441314745946126', '金融业务中心（中邮保险局）', '001013012010', '565720030402', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428041', '2', '99', '1323441314745946126', '集邮与文化传媒中心', '001013012011', '565720030403', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428042', '2', '99', '1323441314745946126', '渠道平台中心', '001013012012', '565720030405', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428043', '2', '99', '1323441314745946126', '寄递事业部', '001013012013', '5657200388', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428044', '2', '99', '1323441314745946127', '单位领导部门', '001014010', '5658000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428045', '2', '99', '1323441314745946127', '非领导职务部门', '001014011', '5658000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428046', '2', '99', '1323441314745946127', '领导助理部门', '001014012', '5658000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428047', '2', '99', '1323441314745946127', '市场营销部', '001014013', '5658000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428048', '2', '99', '1323441314745946127', '服务质量部（普遍服务部）', '001014014', '5658000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428049', '2', '99', '1323441314745946127', '金融业务部', '001014015', '5658000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428050', '2', '99', '1323441314745946127', '集邮与文化传媒部', '001014016', '5658000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428051', '2', '99', '1323441314745946127', '渠道平台部', '001014017', '5658000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428052', '2', '99', '1323441314745946127', '综合办公室（党委办公室、安全保卫部）', '001014018', '5658000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428053', '2', '99', '1323441314745946127', '财务部', '001014019', '5658000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428054', '2', '99', '1323441314745946127', '人力资源部（党委组织部）', '001014020', '5658000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428055', '2', '99', '1323441314745946127', '党委党建工作部（纪委办公室）', '001014021', '5658000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428056', '2', '99', '1323441314745946127', '工会', '001014022', '5658000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857824428057', '2', '99', '1323441314745946127', '保留关系人员部门', '001014023', '5658000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622336', '2', '99', '1323441314745946127', '客户营销中心', '001014024', '565800000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622337', '2', '99', '1323441314745946127', '业务档案班', '001014025', '565800000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622338', '2', '99', '1323441314745946127', '业务管理室', '001014026', '565800000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622339', '2', '99', '1323441314745946127', '内控管理室', '001014027', '565800000702', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622340', '2', '99', '1323441314745946127', '中邮保险中心', '001014028', '565800000703', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622341', '2', '99', '1323441314745946127', '业务管理室', '001014029', '565800000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622342', '2', '99', '1323441314745946127', '创意研发室', '001014030', '565800000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622343', '2', '99', '1323441314745946127', '商函制作班', '001014031', '565800000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622344', '2', '99', '1323441314745946127', '渠道管理室', '001014032', '565800001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622345', '2', '99', '1323441314745946127', '电商分销室', '001014033', '565800001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622346', '2', '99', '1323441314745946127', '寄递事业部', '001014034', '5658000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622347', '2', '99', '1323441314745946128', '单位领导部门', '001014001001', '5658010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622348', '2', '99', '1323441314745946128', '非领导职务部门', '001014001002', '5658010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622349', '2', '99', '1323441314745946128', '领导助理部门', '001014001003', '5658010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622350', '2', '99', '1323441314745946128', '市场营销部', '001014001004', '5658010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622351', '2', '99', '1323441314745946128', '综合办公室（安全保卫部）', '001014001005', '5658010011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622352', '2', '99', '1323441314745946128', '营业班', '001014001006', '5658010012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622353', '2', '99', '1323441314745946128', '方庄矿区支局', '001014001007', '5658010015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622354', '2', '99', '1323441314745946128', '方庄邮政所', '001014001008', '5658010016', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622355', '2', '99', '1323441314745946128', '高村支局', '001014001009', '5658010017', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622356', '2', '99', '1323441314745946128', '葛庄邮政所', '001014001010', '5658010018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622357', '2', '99', '1323441314745946128', '环城西路支局', '001014001011', '5658010019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622358', '2', '99', '1323441314745946128', '环城东路支局', '001014001012', '5658010020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622359', '2', '99', '1323441314745946128', '周庄支局', '001014001013', '5658010021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622360', '2', '99', '1323441314745946128', '王屯支局', '001014001014', '5658010022', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622361', '2', '99', '1323441314745946128', '五里源支局', '001014001015', '5658010023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857828622362', '2', '99', '1323441314745946128', '郇封支局', '001014001016', '5658010024', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816640', '2', '99', '1323441314745946128', '西村支局', '001014001017', '5658010025', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816641', '2', '99', '1323441314745946128', '云台山镇邮政所', '001014001018', '5658010026', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816642', '2', '99', '1323441314745946128', '保留关系人员部门', '001014001019', '5658010099', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816643', '2', '99', '1323441314745946128', '机要室', '001014001020', '565801000401', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816644', '2', '99', '1323441314745946128', '金融业务中心（中邮保险局）', '001014001021', '565801000402', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816645', '2', '99', '1323441314745946128', '集邮与文化传媒中心', '001014001022', '565801000403', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816646', '2', '99', '1323441314745946128', '渠道平台中心', '001014001023', '565801000405', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816647', '2', '99', '1323441314745946128', '寄递事业部', '001014001024', '5658010088', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816648', '2', '99', '1323441314745946129', '单位领导部门', '001014002001', '5658020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816649', '2', '99', '1323441314745946129', '非领导职务部门', '001014002002', '5658020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816650', '2', '99', '1323441314745946129', '领导助理部门', '001014002003', '5658020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816651', '2', '99', '1323441314745946129', '市场营销部', '001014002004', '5658020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816652', '2', '99', '1323441314745946129', '金融业务部（中邮保险中心）', '001014002005', '5658020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816653', '2', '99', '1323441314745946129', '集邮与文化传媒部', '001014002006', '5658020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816654', '2', '99', '1323441314745946129', '渠道平台部', '001014002007', '5658020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816655', '2', '99', '1323441314745946129', '综合办公室（安全保卫部）', '001014002008', '5658020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816656', '2', '99', '1323441314745946129', '营业班', '001014002009', '5658020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816657', '2', '99', '1323441314745946129', '商贸城支局', '001014002010', '5658020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816658', '2', '99', '1323441314745946129', '西城支局', '001014002011', '5658020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816659', '2', '99', '1323441314745946129', '老城邮政所', '001014002012', '5658020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816660', '2', '99', '1323441314745946129', '柏山支局', '001014002013', '5658020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816661', '2', '99', '1323441314745946129', '阳庙支局', '001014002014', '5658020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816662', '2', '99', '1323441314745946129', '苏家作支局', '001014002015', '5658020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816663', '2', '99', '1323441314745946129', '西金城支局', '001014002016', '5658020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816664', '2', '99', '1323441314745946129', '金城支局', '001014002017', '5658020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857832816665', '2', '99', '1323441314745946129', '孝敬支局', '001014002018', '5658020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010944', '2', '99', '1323441314745946129', '界沟支局', '001014002019', '5658020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010945', '2', '99', '1323441314745946129', '磨头支局', '001014002020', '5658020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010946', '2', '99', '1323441314745946129', '许良邮政所', '001014002021', '5658020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010947', '2', '99', '1323441314745946129', '月山火车站支局', '001014002022', '5658020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010948', '2', '99', '1323441314745946129', '月山支局', '001014002023', '5658020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010949', '2', '99', '1323441314745946129', '寨豁邮政所', '001014002024', '5658020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010950', '2', '99', '1323441314745946129', '高庙支局', '001014002025', '5658020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010951', '2', '99', '1323441314745946129', '东城支局', '001014002026', '5658020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010952', '2', '99', '1323441314745946129', '中山支局', '001014002027', '5658020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010953', '2', '99', '1323441314745946129', '保留关系人员部门', '001014002028', '5658020099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010954', '2', '99', '1323441314745946129', '机要室', '001014002029', '565802000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010955', '2', '99', '1323441314745946129', '寄递事业部', '001014002030', '5658020088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010956', '2', '99', '1323441314745946130', '单位领导部门', '001014003001', '5658030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010957', '2', '99', '1323441314745946130', '非领导职务部门', '001014003002', '5658030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010958', '2', '99', '1323441314745946130', '领导助理部门', '001014003003', '5658030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010959', '2', '99', '1323441314745946130', '市场营销部', '001014003004', '5658030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010960', '2', '99', '1323441314745946130', '金融业务部', '001014003005', '5658030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010961', '2', '99', '1323441314745946130', '集邮与文化传媒部', '001014003006', '5658030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010962', '2', '99', '1323441314745946130', '渠道平台部', '001014003007', '5658030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010963', '2', '99', '1323441314745946130', '综合办公室（安全保卫部）', '001014003008', '5658030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010964', '2', '99', '1323441314745946130', '营业班', '001014003009', '5658030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010965', '2', '99', '1323441314745946130', '柏香支局', '001014003010', '5658030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010966', '2', '99', '1323441314745946130', '崇义支局', '001014003011', '5658030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010967', '2', '99', '1323441314745946130', '葛村支局', '001014003012', '5658030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857837010968', '2', '99', '1323441314745946130', '怀府中路邮政所', '001014003013', '5658030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205248', '2', '99', '1323441314745946130', '建设南路支局', '001014003014', '5658030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205249', '2', '99', '1323441314745946130', '怀府西路支局', '001014003015', '5658030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205250', '2', '99', '1323441314745946130', '西向支局', '001014003016', '5658030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205251', '2', '99', '1323441314745946130', '西万邮政所', '001014003017', '5658030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205252', '2', '99', '1323441314745946130', '山王庄支局', '001014003018', '5658030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205253', '2', '99', '1323441314745946130', '王召支局', '001014003019', '5658030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205254', '2', '99', '1323441314745946130', '木楼支局', '001014003020', '5658030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205255', '2', '99', '1323441314745946130', '紫陵支局', '001014003021', '5658030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205256', '2', '99', '1323441314745946130', '王占邮政所', '001014003022', '5658030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205257', '2', '99', '1323441314745946130', '太行大道支局', '001014003023', '5658030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205258', '2', '99', '1323441314745946130', '王曲邮政所', '001014003024', '5658030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205259', '2', '99', '1323441314745946130', '常平邮政支局', '001014003025', '5658030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205260', '2', '99', '1323441314745946130', '保留关系人员部门', '001014003026', '5658030099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205261', '2', '99', '1323441314745946130', '机要室', '001014003027', '565803000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205262', '2', '99', '1323441314745946130', '中邮保险中心', '001014003028', '565803000701', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205263', '2', '99', '1323441314745946130', '寄递事业部', '001014003029', '5658030088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205264', '2', '99', '1323441314745946131', '单位领导部门', '001014004001', '5658040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205265', '2', '99', '1323441314745946131', '非领导职务部门', '001014004002', '5658040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205266', '2', '99', '1323441314745946131', '领导助理部门', '001014004003', '5658040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205267', '2', '99', '1323441314745946131', '市场营销部', '001014004004', '5658040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205268', '2', '99', '1323441314745946131', '金融业务部（中邮保险中心）', '001014004005', '5658040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205269', '2', '99', '1323441314745946131', '集邮与文化传媒部', '001014004006', '5658040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205270', '2', '99', '1323441314745946131', '渠道平台部', '001014004007', '5658040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205271', '2', '99', '1323441314745946131', '综合办公室（安全保卫部）', '001014004008', '5658040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205272', '2', '99', '1323441314745946131', '营业班', '001014004009', '5658040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857841205273', '2', '99', '1323441314745946131', '城伯支局', '001014004010', '5658040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399552', '2', '99', '1323441314745946131', '东小仇支局', '001014004011', '5658040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399553', '2', '99', '1323441314745946131', '缑村支局', '001014004012', '5658040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399554', '2', '99', '1323441314745946131', '赵和支局', '001014004013', '5658040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399555', '2', '99', '1323441314745946131', '会昌邮政所', '001014004014', '5658040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399556', '2', '99', '1323441314745946131', '槐树支局', '001014004015', '5658040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399557', '2', '99', '1323441314745946131', '河阳大街支局', '001014004016', '5658040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399558', '2', '99', '1323441314745946131', '石庄支局', '001014004017', '5658040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399559', '2', '99', '1323441314745946131', '河雍支局', '001014004018', '5658040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399560', '2', '99', '1323441314745946131', '谷旦支局', '001014004019', '5658040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399561', '2', '99', '1323441314745946131', '西虢支局', '001014004020', '5658040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399562', '2', '99', '1323441314745946131', '化工支局', '001014004021', '5658040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857845399563', '2', '99', '1323441314745946131', '南庄邮政所', '001014004022', '5658040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593856', '2', '99', '1323441314745946131', '大定路支局', '001014004023', '5658040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593857', '2', '99', '1323441314745946131', '孟州路支局', '001014004024', '5658040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593858', '2', '99', '1323441314745946131', '保留关系人员部门', '001014004025', '5658040099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593859', '2', '99', '1323441314745946131', '机要室', '001014004026', '565804000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593860', '2', '99', '1323441314745946131', '寄递事业部', '001014004027', '5658040088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593861', '2', '99', '1323441314745946132', '单位领导部门', '001014005001', '5658050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857849593862', '2', '99', '1323441314745946132', '非领导职务部门', '001014005002', '5658050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788160', '2', '99', '1323441314745946132', '领导助理部门', '001014005003', '5658050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788161', '2', '99', '1323441314745946132', '市场营销部', '001014005004', '5658050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788162', '2', '99', '1323441314745946132', '金融业务部（中邮保险中心）', '001014005005', '5658050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788163', '2', '99', '1323441314745946132', '集邮与文化传媒部', '001014005006', '5658050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788164', '2', '99', '1323441314745946132', '渠道平台部', '001014005007', '5658050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788165', '2', '99', '1323441314745946132', '综合办公室（安全保卫部）', '001014005008', '5658050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788166', '2', '99', '1323441314745946132', '营业班', '001014005009', '5658050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788167', '2', '99', '1323441314745946132', '祥云镇邮政所', '001014005010', '5658050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788168', '2', '99', '1323441314745946132', '招贤支局', '001014005011', '5658050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788169', '2', '99', '1323441314745946132', '岳村邮政所', '001014005012', '5658050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788170', '2', '99', '1323441314745946132', '南张羌支局', '001014005013', '5658050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788171', '2', '99', '1323441314745946132', '赵堡支局', '001014005014', '5658050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857853788172', '2', '99', '1323441314745946132', '武德镇支局', '001014005015', '5658050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982464', '2', '99', '1323441314745946132', '徐堡支局', '001014005016', '5658050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982465', '2', '99', '1323441314745946132', '北冷支局', '001014005017', '5658050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982466', '2', '99', '1323441314745946132', '林召邮政所', '001014005018', '5658050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982467', '2', '99', '1323441314745946132', '黄庄支局', '001014005019', '5658050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982468', '2', '99', '1323441314745946132', '番田支局', '001014005020', '5658050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982469', '2', '99', '1323441314745946132', '杨垒支局', '001014005021', '5658050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982470', '2', '99', '1323441314745946132', '慈胜大街支局', '001014005022', '5658050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982471', '2', '99', '1323441314745946132', '司马大街支局', '001014005023', '5658050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982472', '2', '99', '1323441314745946132', '黄河中路支局', '001014005024', '5658050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982473', '2', '99', '1323441314745946132', '保留关系人员部门', '001014005025', '5658050099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982474', '2', '99', '1323441314745946132', '机要室', '001014005026', '565805000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982475', '2', '99', '1323441314745946132', '寄递事业部', '001014005027', '5658050088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982476', '2', '99', '1323441314745946133', '单位领导部门', '001014006001', '5658060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982477', '2', '99', '1323441314745946133', '非领导职务部门', '001014006002', '5658060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982478', '2', '99', '1323441314745946133', '领导助理部门', '001014006003', '5658060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982479', '2', '99', '1323441314745946133', '市场营销部', '001014006004', '5658060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982480', '2', '99', '1323441314745946133', '金融业务部（中邮保险中心）', '001014006005', '5658060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982481', '2', '99', '1323441314745946133', '集邮与文化传媒部', '001014006006', '5658060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982482', '2', '99', '1323441314745946133', '渠道平台部', '001014006007', '5658060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982483', '2', '99', '1323441314745946133', '综合办公室（安全保卫部）', '001014006008', '5658060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982484', '2', '99', '1323441314745946133', '营业班', '001014006009', '5658060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982485', '2', '99', '1323441314745946133', '北郭支局', '001014006010', '5658060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857857982486', '2', '99', '1323441314745946133', '大封邮政所', '001014006011', '5658060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176768', '2', '99', '1323441314745946133', '大虹桥一支局', '001014006012', '5658060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176769', '2', '99', '1323441314745946133', '大虹桥二支局', '001014006013', '5658060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176770', '2', '99', '1323441314745946133', '龙源支局', '001014006014', '5658060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176771', '2', '99', '1323441314745946133', '和平支局', '001014006015', '5658060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176772', '2', '99', '1323441314745946133', '小董支局', '001014006016', '5658060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176773', '2', '99', '1323441314745946133', '红旗路支局', '001014006017', '5658060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176774', '2', '99', '1323441314745946133', '嘉应观支局', '001014006018', '5658060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176775', '2', '99', '1323441314745946133', '谢旗营支局', '001014006019', '5658060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176776', '2', '99', '1323441314745946133', '宁郭支局', '001014006020', '5658060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176777', '2', '99', '1323441314745946133', '圪当店支局', '001014006021', '5658060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176778', '2', '99', '1323441314745946133', '詹店支局', '001014006022', '5658060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176779', '2', '99', '1323441314745946133', '乔庙支局', '001014006023', '5658060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176780', '2', '99', '1323441314745946133', '西陶支局', '001014006024', '5658060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176781', '2', '99', '1323441314745946133', '三阳支局', '001014006025', '5658060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176782', '2', '99', '1323441314745946133', '黄河路支局', '001014006026', '5658060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176783', '2', '99', '1323441314745946133', '保留关系人员部门', '001014006027', '5658060099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176784', '2', '99', '1323441314745946133', '机要室', '001014006028', '565806000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176785', '2', '99', '1323441314745946133', '寄递事业部', '001014006029', '5658060088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176786', '2', '99', '1323441314745946134', '单位领导部门', '001014007001', '5658200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176787', '2', '99', '1323441314745946134', '非领导职务部门', '001014007002', '5658200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176788', '2', '99', '1323441314745946134', '领导助理部门', '001014007003', '5658200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857862176789', '2', '99', '1323441314745946134', '机要通信分局内设机构（虚拟部门）', '001014007004', '5658200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371072', '2', '99', '1323441314745946134', '保留关系人员部门', '001014007005', '5658200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371073', '2', '99', '1323441314745946135', '单位领导部门', '001014008001', '5658200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371074', '2', '99', '1323441314745946135', '非领导职务部门', '001014008002', '5658200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371075', '2', '99', '1323441314745946135', '领导助理部门', '001014008003', '5658200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371076', '2', '99', '1323441314745946135', '市场营销部', '001014008004', '5658200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371077', '2', '99', '1323441314745946135', '金融业务部（中邮保险局）', '001014008005', '5658200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371078', '2', '99', '1323441314745946135', '集邮与文化传媒部', '001014008006', '5658200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371079', '2', '99', '1323441314745946135', '渠道平台部', '001014008007', '5658200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371080', '2', '99', '1323441314745946135', '营业班', '001014008008', '5658200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371081', '2', '99', '1323441314745946135', '朝阳路支局', '001014008009', '5658200116', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371082', '2', '99', '1323441314745946135', '衡苑小区支局', '001014008010', '5658200117', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371083', '2', '99', '1323441314745946135', '建设街支局', '001014008011', '5658200118', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371084', '2', '99', '1323441314745946135', '建设西路支局', '001014008012', '5658200119', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371085', '2', '99', '1323441314745946135', '解放东路支局', '001014008013', '5658200120', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371086', '2', '99', '1323441314745946135', '六号院邮政报刊批销部', '001014008014', '5658200121', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371087', '2', '99', '1323441314745946135', '民主路支局', '001014008015', '5658200122', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371088', '2', '99', '1323441314745946135', '民主中路支局', '001014008016', '5658200123', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371089', '2', '99', '1323441314745946135', '世纪新区支局', '001014008017', '5658200124', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371090', '2', '99', '1323441314745946135', '太行西路支局', '001014008018', '5658200125', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371091', '2', '99', '1323441314745946135', '太行中路支局', '001014008019', '5658200126', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371092', '2', '99', '1323441314745946135', '体育馆支局', '001014008020', '5658200127', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371093', '2', '99', '1323441314745946135', '新华中街支局', '001014008021', '5658200128', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371094', '2', '99', '1323441314745946135', '新市场支局', '001014008022', '5658200129', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371095', '2', '99', '1323441314745946135', '月季公园支局', '001014008023', '5658200130', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857866371096', '2', '99', '1323441314745946135', '中站邮政所', '001014008024', '5658200131', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565376', '2', '99', '1323441314745946135', '保留关系人员部门', '001014008025', '5658200199', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565377', '2', '99', '1323441314745946135', '寄递事业部', '001014008026', '5658200188', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565378', '2', '99', '1323441314745946136', '单位领导部门', '001014009001', '5658200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565379', '2', '99', '1323441314745946136', '非领导职务部门', '001014009002', '5658200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565380', '2', '99', '1323441314745946136', '领导助理部门', '001014009003', '5658200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565381', '2', '99', '1323441314745946136', '市场营销部', '001014009004', '5658200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565382', '2', '99', '1323441314745946136', '金融业务部（中邮保险局）', '001014009005', '5658200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565383', '2', '99', '1323441314745946136', '集邮与文化传媒部', '001014009006', '5658200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565384', '2', '99', '1323441314745946136', '渠道平台部', '001014009007', '5658200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565385', '2', '99', '1323441314745946136', '营业班', '001014009008', '5658200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565386', '2', '99', '1323441314745946136', '安阳城支局', '001014009009', '5658200215', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565387', '2', '99', '1323441314745946136', '工信学院邮政所', '001014009010', '5658200216', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565388', '2', '99', '1323441314745946136', '待王支局', '001014009011', '5658200217', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565389', '2', '99', '1323441314745946136', '都市花园支局', '001014009012', '5658200218', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565390', '2', '99', '1323441314745946136', '锦祥花园支局', '001014009013', '5658200219', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565391', '2', '99', '1323441314745946136', '李万邮政所', '001014009014', '5658200220', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565392', '2', '99', '1323441314745946136', '龙源湖支局', '001014009015', '5658200221', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565393', '2', '99', '1323441314745946136', '人民路支局', '001014009016', '5658200222', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565394', '2', '99', '1323441314745946136', '塔南路支局', '001014009017', '5658200223', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565395', '2', '99', '1323441314745946136', '文昌路北段支局', '001014009018', '5658200224', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565396', '2', '99', '1323441314745946136', '文昌路南段支局', '001014009019', '5658200225', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565397', '2', '99', '1323441314745946136', '政二街支局', '001014009020', '5658200226', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857870565398', '2', '99', '1323441314745946136', '中州铝厂支局', '001014009021', '5658200227', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759680', '2', '99', '1323441314745946136', '保留关系人员部门', '001014009022', '5658200299', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759681', '2', '99', '1323441314745946136', '寄递事业部', '001014009023', '5658200288', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759682', '2', '99', '1323441314745946137', '单位领导部门', '001015009', '5659000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759683', '2', '99', '1323441314745946137', '非领导职务部门', '001015010', '5659000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759684', '2', '99', '1323441314745946137', '领导助理部门', '001015011', '5659000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759685', '2', '99', '1323441314745946137', '市场营销部', '001015012', '5659000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759686', '2', '99', '1323441314745946137', '服务质量部（普遍服务部）', '001015013', '5659000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759687', '2', '99', '1323441314745946137', '金融业务部', '001015014', '5659000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759688', '2', '99', '1323441314745946137', '集邮与文化传媒部', '001015015', '5659000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759689', '2', '99', '1323441314745946137', '渠道平台部', '001015016', '5659000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759690', '2', '99', '1323441314745946137', '综合办公室（党委办公室、安全保卫部）', '001015017', '5659000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759691', '2', '99', '1323441314745946137', '财务部', '001015018', '5659000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759692', '2', '99', '1323441314745946137', '人力资源部（党委组织部）', '001015019', '5659000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759693', '2', '99', '1323441314745946137', '党委党建工作部（纪委办公室）', '001015020', '5659000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759694', '2', '99', '1323441314745946137', '工会', '001015021', '5659000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759695', '2', '99', '1323441314745946137', '保留关系人员部门', '001015022', '5659000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759696', '2', '99', '1323441314745946137', '客户营销中心', '001015023', '565900000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759697', '2', '99', '1323441314745946137', '业务档案班', '001015024', '565900000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759698', '2', '99', '1323441314745946137', '业务管理室', '001015025', '565900000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759699', '2', '99', '1323441314745946137', '内控管理室', '001015026', '565900000702', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759700', '2', '99', '1323441314745946137', '中邮保险中心', '001015027', '565900000703', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759701', '2', '99', '1323441314745946137', '业务管理室', '001015028', '565900000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759702', '2', '99', '1323441314745946137', '创意研发室', '001015029', '565900000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759703', '2', '99', '1323441314745946137', '商函制作班', '001015030', '565900000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857874759704', '2', '99', '1323441314745946137', '渠道管理室', '001015031', '565900001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953984', '2', '99', '1323441314745946137', '电商分销室', '001015032', '565900001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953985', '2', '99', '1323441314745946137', '寄递事业部', '001015033', '5659000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953986', '2', '99', '1323441314745946138', '单位领导部门', '001015001001', '5659010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953987', '2', '99', '1323441314745946138', '非领导职务部门', '001015001002', '5659010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953988', '2', '99', '1323441314745946138', '领导助理部门', '001015001003', '5659010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953989', '2', '99', '1323441314745946138', '市场营销部', '001015001004', '5659010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953990', '2', '99', '1323441314745946138', '金融业务部', '001015001005', '5659010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953991', '2', '99', '1323441314745946138', '集邮与文化传媒部', '001015001006', '5659010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953992', '2', '99', '1323441314745946138', '渠道平台部', '001015001007', '5659010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953993', '2', '99', '1323441314745946138', '综合办公室（安全保卫部）', '001015001008', '5659010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953994', '2', '99', '1323441314745946138', '营业班', '001015001009', '5659010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953995', '2', '99', '1323441314745946138', '八公桥支局', '001015001010', '5659010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953996', '2', '99', '1323441314745946138', '坝头邮政所', '001015001011', '5659010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953997', '2', '99', '1323441314745946138', '白罡邮政所', '001015001012', '5659010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953998', '2', '99', '1323441314745946138', '海通邮政所', '001015001013', '5659010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878953999', '2', '99', '1323441314745946138', '胡状支局', '001015001014', '5659010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954000', '2', '99', '1323441314745946138', '户部寨邮政所', '001015001015', '5659010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954001', '2', '99', '1323441314745946138', '花园村邮政所', '001015001016', '5659010023', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954002', '2', '99', '1323441314745946138', '解放路支局', '001015001017', '5659010024', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954003', '2', '99', '1323441314745946138', '井下邮政所', '001015001018', '5659010025', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954004', '2', '99', '1323441314745946138', '梨园支局', '001015001019', '5659010026', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954005', '2', '99', '1323441314745946138', '炼化邮政所', '001015001020', '5659010027', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857878954006', '2', '99', '1323441314745946138', '梁庄支局', '001015001021', '5659010028', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148288', '2', '99', '1323441314745946138', '两门邮政所', '001015001022', '5659010029', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148289', '2', '99', '1323441314745946138', '柳屯支局', '001015001023', '5659010030', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148290', '2', '99', '1323441314745946138', '鲁河邮政所', '001015001024', '5659010031', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148291', '2', '99', '1323441314745946138', '清河头邮政所', '001015001025', '5659010032', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148292', '2', '99', '1323441314745946138', '庆祖支局', '001015001026', '5659010033', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148293', '2', '99', '1323441314745946138', '渠村支局', '001015001027', '5659010034', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148294', '2', '99', '1323441314745946138', '四厂支局', '001015001028', '5659010035', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148295', '2', '99', '1323441314745946138', '王称固支局', '001015001029', '5659010036', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148296', '2', '99', '1323441314745946138', '文留支局', '001015001030', '5659010037', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148297', '2', '99', '1323441314745946138', '五星邮政所', '001015001031', '5659010038', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148298', '2', '99', '1323441314745946138', '习城邮政所', '001015001032', '5659010039', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148299', '2', '99', '1323441314745946138', '徐镇支局', '001015001033', '5659010040', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148300', '2', '99', '1323441314745946138', '子岸邮政所', '001015001034', '5659010041', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148301', '2', '99', '1323441314745946138', '保留关系人员部门', '001015001035', '5659010099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148302', '2', '99', '1323441314745946138', '机要室', '001015001036', '565901000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148303', '2', '99', '1323441314745946138', '中邮保险中心', '001015001037', '565901000701', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148304', '2', '99', '1323441314745946138', '寄递事业部', '001015001038', '5659010088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148305', '2', '99', '1323441314745946139', '单位领导部门', '001015002001', '5659020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148306', '2', '99', '1323441314745946139', '非领导职务部门', '001015002002', '5659020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148307', '2', '99', '1323441314745946139', '领导助理部门', '001015002003', '5659020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148308', '2', '99', '1323441314745946139', '市场营销部', '001015002004', '5659020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148309', '2', '99', '1323441314745946139', '金融业务部', '001015002005', '5659020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148310', '2', '99', '1323441314745946139', '集邮与文化传媒部', '001015002006', '5659020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857883148311', '2', '99', '1323441314745946139', '渠道平台部', '001015002007', '5659020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342592', '2', '99', '1323441314745946139', '综合办公室（安全保卫部）', '001015002008', '5659020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342593', '2', '99', '1323441314745946139', '营业班', '001015002009', '5659020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342594', '2', '99', '1323441314745946139', '人民路支局', '001015002010', '5659020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342595', '2', '99', '1323441314745946139', '大流支局', '001015002011', '5659020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342596', '2', '99', '1323441314745946139', '大屯邮政所', '001015002012', '5659020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342597', '2', '99', '1323441314745946139', '高堡邮政所', '001015002013', '5659020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342598', '2', '99', '1323441314745946139', '巩营支局', '001015002014', '5659020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342599', '2', '99', '1323441314745946139', '古城支局', '001015002015', '5659020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342600', '2', '99', '1323441314745946139', '固城支局', '001015002016', '5659020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342601', '2', '99', '1323441314745946139', '韩村支局', '001015002017', '5659020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342602', '2', '99', '1323441314745946139', '柳格支局', '001015002018', '5659020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342603', '2', '99', '1323441314745946139', '六塔支局', '001015002019', '5659020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342604', '2', '99', '1323441314745946139', '马村支局', '001015002020', '5659020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342605', '2', '99', '1323441314745946139', '马庄桥邮政所', '001015002021', '5659020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342606', '2', '99', '1323441314745946139', '双庙支局', '001015002022', '5659020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342607', '2', '99', '1323441314745946139', '瓦屋头支局', '001015002023', '5659020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342608', '2', '99', '1323441314745946139', '卫城邮政所', '001015002024', '5659020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342609', '2', '99', '1323441314745946139', '仙庄支局', '001015002025', '5659020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342610', '2', '99', '1323441314745946139', '衙前街支局', '001015002026', '5659020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342611', '2', '99', '1323441314745946139', '阳邵支局', '001015002027', '5659020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342612', '2', '99', '1323441314745946139', '纸房支局', '001015002028', '5659020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342613', '2', '99', '1323441314745946139', '保留关系人员部门', '001015002029', '5659020099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857887342614', '2', '99', '1323441314745946139', '机要室', '001015002030', '565902000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536896', '2', '99', '1323441314745946139', '中邮保险中心', '001015002031', '565902000701', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536897', '2', '99', '1323441314745946139', '寄递事业部', '001015002032', '5659020088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536898', '2', '99', '1323441314745946140', '单位领导部门', '001015003001', '5659030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536899', '2', '99', '1323441314745946140', '非领导职务部门', '001015003002', '5659030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536900', '2', '99', '1323441314745946140', '领导助理部门', '001015003003', '5659030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536901', '2', '99', '1323441314745946140', '市场营销部', '001015003004', '5659030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536902', '2', '99', '1323441314745946140', '金融业务部', '001015003005', '5659030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536903', '2', '99', '1323441314745946140', '集邮与文化传媒部', '001015003006', '5659030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536904', '2', '99', '1323441314745946140', '渠道平台部', '001015003007', '5659030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536905', '2', '99', '1323441314745946140', '综合办公室（安全保卫部）', '001015003008', '5659030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536906', '2', '99', '1323441314745946140', '营业班', '001015003009', '5659030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536907', '2', '99', '1323441314745946140', '福堪支局', '001015003010', '5659030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536908', '2', '99', '1323441314745946140', '谷金楼支局', '001015003011', '5659030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536909', '2', '99', '1323441314745946140', '光明路支局', '001015003012', '5659030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536910', '2', '99', '1323441314745946140', '韩张支局', '001015003013', '5659030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536911', '2', '99', '1323441314745946140', '近德固支局', '001015003014', '5659030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536912', '2', '99', '1323441314745946140', '梁村邮政所', '001015003015', '5659030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536913', '2', '99', '1323441314745946140', '千口支局', '001015003016', '5659030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536914', '2', '99', '1323441314745946140', '寺庄支局', '001015003017', '5659030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536915', '2', '99', '1323441314745946140', '西邵支局', '001015003018', '5659030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536916', '2', '99', '1323441314745946140', '杨村支局', '001015003019', '5659030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536917', '2', '99', '1323441314745946140', '元村邮政所', '001015003020', '5659030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857891536918', '2', '99', '1323441314745946140', '张果屯支局', '001015003021', '5659030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731200', '2', '99', '1323441314745946140', '兴华路支局', '001015003022', '5659030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731201', '2', '99', '1323441314745946140', '保留关系人员部门', '001015003023', '5659030099', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731202', '2', '99', '1323441314745946140', '机要室', '001015003024', '565903000401', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731203', '2', '99', '1323441314745946140', '中邮保险中心', '001015003025', '565903000701', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731204', '2', '99', '1323441314745946140', '寄递事业部', '001015003026', '5659030088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731205', '2', '99', '1323441314745946141', '单位领导部门', '001015004001', '5659040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731206', '2', '99', '1323441314745946141', '非领导职务部门', '001015004002', '5659040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731207', '2', '99', '1323441314745946141', '领导助理部门', '001015004003', '5659040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731208', '2', '99', '1323441314745946141', '市场营销部', '001015004004', '5659040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731209', '2', '99', '1323441314745946141', '金融业务部（中邮保险中心）', '001015004005', '5659040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731210', '2', '99', '1323441314745946141', '集邮与文化传媒部', '001015004006', '5659040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731211', '2', '99', '1323441314745946141', '渠道平台部', '001015004007', '5659040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731212', '2', '99', '1323441314745946141', '综合办公室（安全保卫部）', '001015004008', '5659040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731213', '2', '99', '1323441314745946141', '营业班', '001015004009', '5659040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731214', '2', '99', '1323441314745946141', '白衣阁支局', '001015004010', '5659040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731215', '2', '99', '1323441314745946141', '板桥路支局', '001015004011', '5659040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731216', '2', '99', '1323441314745946141', '陈庄支局', '001015004012', '5659040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731217', '2', '99', '1323441314745946141', '二厂邮政所', '001015004013', '5659040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731218', '2', '99', '1323441314745946141', '高码头支局', '001015004014', '5659040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857895731219', '2', '99', '1323441314745946141', '老城邮政所', '001015004015', '5659040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925504', '2', '99', '1323441314745946141', '李马桥邮政所', '001015004016', '5659040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925505', '2', '99', '1323441314745946141', '龙王庄支局', '001015004017', '5659040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925506', '2', '99', '1323441314745946141', '陆集邮政所', '001015004018', '5659040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925507', '2', '99', '1323441314745946141', '濮城支局', '001015004019', '5659040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925508', '2', '99', '1323441314745946141', '王楼支局', '001015004020', '5659040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925509', '2', '99', '1323441314745946141', '辛庄邮政所', '001015004021', '5659040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925510', '2', '99', '1323441314745946141', '颜村铺支局', '001015004022', '5659040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925511', '2', '99', '1323441314745946141', '杨集支局', '001015004023', '5659040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925512', '2', '99', '1323441314745946141', '张庄邮政所', '001015004024', '5659040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925513', '2', '99', '1323441314745946141', '保留关系人员部门', '001015004025', '5659040099', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925514', '2', '99', '1323441314745946141', '机要室', '001015004026', '565904000401', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925515', '2', '99', '1323441314745946141', '寄递事业部', '001015004027', '5659040088', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925516', '2', '99', '1323441314745946142', '单位领导部门', '001015005001', '5659050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925517', '2', '99', '1323441314745946142', '非领导职务部门', '001015005002', '5659050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925518', '2', '99', '1323441314745946142', '领导助理部门', '001015005003', '5659050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925519', '2', '99', '1323441314745946142', '市场营销部', '001015005004', '5659050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925520', '2', '99', '1323441314745946142', '综合办公室（安全保卫部）', '001015005005', '5659050011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925521', '2', '99', '1323441314745946142', '营业班', '001015005006', '5659050012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925522', '2', '99', '1323441314745946142', '打渔陈乡邮政所', '001015005007', '5659050015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857899925523', '2', '99', '1323441314745946142', '侯庙支局', '001015005008', '5659050016', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119808', '2', '99', '1323441314745946142', '后方邮政所', '001015005009', '5659050017', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119809', '2', '99', '1323441314745946142', '夹河支局', '001015005010', '5659050018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119810', '2', '99', '1323441314745946142', '郊区支局', '001015005011', '5659050019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119811', '2', '99', '1323441314745946142', '金水路支局', '001015005012', '5659050020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119812', '2', '99', '1323441314745946142', '马楼邮政所', '001015005013', '5659050021', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119813', '2', '99', '1323441314745946142', '清水河邮政所', '001015005014', '5659050022', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119814', '2', '99', '1323441314745946142', '孙口邮政所', '001015005015', '5659050023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119815', '2', '99', '1323441314745946142', '吴坝邮政所', '001015005016', '5659050024', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119816', '2', '99', '1323441314745946142', '保留关系人员部门', '001015005017', '5659050099', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119817', '2', '99', '1323441314745946142', '机要室', '001015005018', '565905000401', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119818', '2', '99', '1323441314745946142', '金融业务中心（中邮保险局）', '001015005019', '565905000402', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119819', '2', '99', '1323441314745946142', '集邮与文化传媒中心', '001015005020', '565905000403', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119820', '2', '99', '1323441314745946142', '渠道平台中心', '001015005021', '565905000405', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119821', '2', '99', '1323441314745946142', '寄递事业部', '001015005022', '5659050088', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119822', '2', '99', '1323441314745946143', '单位领导部门', '001015006001', '5659200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119823', '2', '99', '1323441314745946143', '非领导职务部门', '001015006002', '5659200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119824', '2', '99', '1323441314745946143', '领导助理部门', '001015006003', '5659200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119825', '2', '99', '1323441314745946143', '机要通信分局内设机构（虚拟部门）', '001015006004', '5659200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119826', '2', '99', '1323441314745946143', '保留关系人员部门', '001015006005', '5659200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119827', '2', '99', '1323441314745946144', '单位领导部门', '001015007001', '5659200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857904119828', '2', '99', '1323441314745946144', '非领导职务部门', '001015007002', '5659200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314112', '2', '99', '1323441314745946144', '领导助理部门', '001015007003', '5659200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314113', '2', '99', '1323441314745946144', '市场营销部', '001015007004', '5659200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314114', '2', '99', '1323441314745946144', '金融业务部（中邮保险局）', '001015007005', '5659200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314115', '2', '99', '1323441314745946144', '集邮与文化传媒部', '001015007006', '5659200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314116', '2', '99', '1323441314745946144', '渠道平台部', '001015007007', '5659200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314117', '2', '99', '1323441314745946144', '人民路邮政所', '001015007008', '5659200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314118', '2', '99', '1323441314745946144', '黄河西路皇甫支局', '001015007009', '5659200114', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314119', '2', '99', '1323441314745946144', '京开路支局', '001015007010', '5659200115', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314120', '2', '99', '1323441314745946144', '开州路支局', '001015007011', '5659200116', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314121', '2', '99', '1323441314745946144', '昆吾中路支局', '001015007012', '5659200117', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314122', '2', '99', '1323441314745946144', '濮上路支局', '001015007013', '5659200118', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314123', '2', '99', '1323441314745946144', '戚城邮政所', '001015007014', '5659200119', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314124', '2', '99', '1323441314745946144', '石化路支局', '001015007015', '5659200120', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314125', '2', '99', '1323441314745946144', '王助邮政所', '001015007016', '5659200121', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314126', '2', '99', '1323441314745946144', '新习邮政所', '001015007017', '5659200122', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314127', '2', '99', '1323441314745946144', '皇甫邮政所', '001015007018', '5659200123', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314128', '2', '99', '1323441314745946144', '中原西路支局', '001015007019', '5659200124', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314129', '2', '99', '1323441314745946144', '保留关系人员部门', '001015007020', '5659200199', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314130', '2', '99', '1323441314745946144', '寄递事业部', '001015007021', '5659200188', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314131', '2', '99', '1323441314745946145', '单位领导部门', '001015008001', '5659200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314132', '2', '99', '1323441314745946145', '非领导职务部门', '001015008002', '5659200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857908314133', '2', '99', '1323441314745946145', '领导助理部门', '001015008003', '5659200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508416', '2', '99', '1323441314745946145', '市场营销部', '001015008004', '5659200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508417', '2', '99', '1323441314745946145', '油田邮政所', '001015008005', '5659200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508418', '2', '99', '1323441314745946145', '供应处邮政所', '001015008006', '5659200214', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508419', '2', '99', '1323441314745946145', '建工邮政所', '001015008007', '5659200216', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508420', '2', '99', '1323441314745946145', '江汉路支局', '001015008008', '5659200217', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508421', '2', '99', '1323441314745946145', '绿城路支局', '001015008009', '5659200218', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508422', '2', '99', '1323441314745946145', '孟轲邮政所', '001015008010', '5659200219', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508423', '2', '99', '1323441314745946145', '特修邮政所', '001015008011', '5659200220', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508424', '2', '99', '1323441314745946145', '天街支局', '001015008012', '5659200221', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508425', '2', '99', '1323441314745946145', '油建邮政所', '001015008013', '5659200222', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508426', '2', '99', '1323441314745946145', '中原东路支局', '001015008014', '5659200223', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508427', '2', '99', '1323441314745946145', '保留关系人员部门', '001015008015', '5659200299', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508428', '2', '99', '1323441314745946145', '金融业务中心（中邮保险局）', '001015008016', '565920020402', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508429', '2', '99', '1323441314745946145', '集邮与文化传媒中心', '001015008017', '565920020403', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508430', '2', '99', '1323441314745946145', '渠道平台中心', '001015008018', '565920020405', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508431', '2', '99', '1323441314745946145', '寄递事业部', '001015008019', '5659200288', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508432', '2', '99', '1323441314745946146', '单位领导部门', '001016008', '5660000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508433', '2', '99', '1323441314745946146', '非领导职务部门', '001016009', '5660000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508434', '2', '99', '1323441314745946146', '领导助理部门', '001016010', '5660000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508435', '2', '99', '1323441314745946146', '市场营销部', '001016011', '5660000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508436', '2', '99', '1323441314745946146', '服务质量部（普遍服务部）', '001016012', '5660000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508437', '2', '99', '1323441314745946146', '金融业务部', '001016013', '5660000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857912508438', '2', '99', '1323441314745946146', '集邮与文化传媒部', '001016014', '5660000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702720', '2', '99', '1323441314745946146', '渠道平台部', '001016015', '5660000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702721', '2', '99', '1323441314745946146', '综合办公室（党委办公室、安全保卫部）', '001016016', '5660000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702722', '2', '99', '1323441314745946146', '财务部', '001016017', '5660000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702723', '2', '99', '1323441314745946146', '人力资源部（党委组织部）', '001016018', '5660000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702724', '2', '99', '1323441314745946146', '党委党建工作部（纪委办公室）', '001016019', '5660000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702725', '2', '99', '1323441314745946146', '工会', '001016020', '5660000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702726', '2', '99', '1323441314745946146', '保留关系人员部门', '001016021', '5660000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702727', '2', '99', '1323441314745946146', '客户营销中心', '001016022', '566000000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702728', '2', '99', '1323441314745946146', '业务档案班', '001016023', '566000000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702729', '2', '99', '1323441314745946146', '中邮保险中心', '001016024', '566000000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702730', '2', '99', '1323441314745946146', '商函制作班', '001016025', '566000000801', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702731', '2', '99', '1323441314745946146', '寄递事业部', '001016026', '5660000088', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702732', '2', '99', '1323441314745946147', '单位领导部门', '001016001001', '5660010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702733', '2', '99', '1323441314745946147', '非领导职务部门', '001016001002', '5660010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702734', '2', '99', '1323441314745946147', '领导助理部门', '001016001003', '5660010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702735', '2', '99', '1323441314745946147', '市场营销部', '001016001004', '5660010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702736', '2', '99', '1323441314745946147', '综合办公室（安全保卫部）', '001016001005', '5660010011', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702737', '2', '99', '1323441314745946147', '营业班', '001016001006', '5660010012', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702738', '2', '99', '1323441314745946147', '东工地支局', '001016001007', '5660010015', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702739', '2', '99', '1323441314745946147', '千秋邮政所', '001016001008', '5660010016', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702740', '2', '99', '1323441314745946147', '新市区支局', '001016001009', '5660010017', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857916702741', '2', '99', '1323441314745946147', '银杏邮政所', '001016001010', '5660010018', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897024', '2', '99', '1323441314745946147', '跃进邮政所', '001016001011', '5660010019', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897025', '2', '99', '1323441314745946147', '常村支局', '001016001012', '5660010020', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897026', '2', '99', '1323441314745946147', '保留关系人员部门', '001016001013', '5660010099', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897027', '2', '99', '1323441314745946147', '机要室', '001016001014', '566001000401', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897028', '2', '99', '1323441314745946147', '金融业务中心（中邮保险局）', '001016001015', '566001000402', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897029', '2', '99', '1323441314745946147', '集邮与文化传媒中心', '001016001016', '566001000403', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897030', '2', '99', '1323441314745946147', '渠道平台中心', '001016001017', '566001000405', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897031', '2', '99', '1323441314745946147', '寄递事业部', '001016001018', '5660010088', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897032', '2', '99', '1323441314745946148', '单位领导部门', '001016002001', '5660020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897033', '2', '99', '1323441314745946148', '非领导职务部门', '001016002002', '5660020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897034', '2', '99', '1323441314745946148', '领导助理部门', '001016002003', '5660020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897035', '2', '99', '1323441314745946148', '市场营销部', '001016002004', '5660020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897036', '2', '99', '1323441314745946148', '金融业务部（中邮保险中心）', '001016002005', '5660020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897037', '2', '99', '1323441314745946148', '集邮与文化传媒部', '001016002006', '5660020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897038', '2', '99', '1323441314745946148', '渠道平台部', '001016002007', '5660020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897039', '2', '99', '1323441314745946148', '综合办公室（安全保卫部）', '001016002008', '5660020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897040', '2', '99', '1323441314745946148', '营业班', '001016002009', '5660020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897041', '2', '99', '1323441314745946148', '正义路邮政所', '001016002010', '5660020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897042', '2', '99', '1323441314745946148', '陈村邮政所', '001016002011', '5660020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897043', '2', '99', '1323441314745946148', '笃忠邮政所', '001016002012', '5660020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897044', '2', '99', '1323441314745946148', '段村邮政所', '001016002013', '5660020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897045', '2', '99', '1323441314745946148', '天池镇邮政所', '001016002014', '5660020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857920897046', '2', '99', '1323441314745946148', '耿村邮政所', '001016002015', '5660020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091328', '2', '99', '1323441314745946148', '果园邮政所', '001016002016', '5660020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091329', '2', '99', '1323441314745946148', '洪阳邮政所', '001016002017', '5660020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091330', '2', '99', '1323441314745946148', '黄花邮政所', '001016002018', '5660020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091331', '2', '99', '1323441314745946148', '会盟邮政所', '001016002019', '5660020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091332', '2', '99', '1323441314745946148', '澧泉支局', '001016002020', '5660020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091333', '2', '99', '1323441314745946148', '南村邮政所', '001016002021', '5660020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091334', '2', '99', '1323441314745946148', '坡头邮政所', '001016002022', '5660020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091335', '2', '99', '1323441314745946148', '仁村邮政所', '001016002023', '5660020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091336', '2', '99', '1323441314745946148', '杨村邮政所', '001016002024', '5660020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091337', '2', '99', '1323441314745946148', '仰韶大街支局', '001016002025', '5660020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091338', '2', '99', '1323441314745946148', '仰韶邮政所', '001016002026', '5660020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091339', '2', '99', '1323441314745946148', '英豪支局', '001016002027', '5660020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091340', '2', '99', '1323441314745946148', '张村支局', '001016002028', '5660020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091341', '2', '99', '1323441314745946148', '保留关系人员部门', '001016002029', '5660020099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091342', '2', '99', '1323441314745946148', '机要室', '001016002030', '566002000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091343', '2', '99', '1323441314745946148', '寄递事业部', '001016002031', '5660020088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091344', '2', '99', '1323441314745946149', '单位领导部门', '001016003001', '5660030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091345', '2', '99', '1323441314745946149', '非领导职务部门', '001016003002', '5660030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091346', '2', '99', '1323441314745946149', '领导助理部门', '001016003003', '5660030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091347', '2', '99', '1323441314745946149', '市场营销部', '001016003004', '5660030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091348', '2', '99', '1323441314745946149', '金融业务部（中邮保险中心）', '001016003005', '5660030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857925091349', '2', '99', '1323441314745946149', '集邮与文化传媒部', '001016003006', '5660030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285632', '2', '99', '1323441314745946149', '渠道平台部', '001016003007', '5660030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285633', '2', '99', '1323441314745946149', '综合办公室（安全保卫部）', '001016003008', '5660030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285634', '2', '99', '1323441314745946149', '营业班', '001016003009', '5660030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285635', '2', '99', '1323441314745946149', '秦汉路支局', '001016003010', '5660030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285636', '2', '99', '1323441314745946149', '陕州大道支局', '001016003011', '5660030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285637', '2', '99', '1323441314745946149', '菜园邮政所', '001016003012', '5660030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285638', '2', '99', '1323441314745946149', '大营邮政所', '001016003013', '5660030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285639', '2', '99', '1323441314745946149', '店子邮政所', '001016003014', '5660030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285640', '2', '99', '1323441314745946149', '甘壕支局', '001016003015', '5660030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285641', '2', '99', '1323441314745946149', '宫前邮政所', '001016003016', '5660030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285642', '2', '99', '1323441314745946149', '关沟邮政所', '001016003017', '5660030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285643', '2', '99', '1323441314745946149', '观音堂支局', '001016003018', '5660030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285644', '2', '99', '1323441314745946149', '李村邮政所', '001016003019', '5660030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285645', '2', '99', '1323441314745946149', '王家后邮政所', '001016003020', '5660030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285646', '2', '99', '1323441314745946149', '温塘邮政所', '001016003021', '5660030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285647', '2', '99', '1323441314745946149', '硖石邮政所', '001016003022', '5660030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285648', '2', '99', '1323441314745946149', '宜村支局', '001016003023', '5660030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285649', '2', '99', '1323441314745946149', '张汴邮政所', '001016003024', '5660030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285650', '2', '99', '1323441314745946149', '张村支局', '001016003025', '5660030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285651', '2', '99', '1323441314745946149', '张茅邮政所', '001016003026', '5660030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285652', '2', '99', '1323441314745946149', '保留关系人员部门', '001016003027', '5660030099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857929285653', '2', '99', '1323441314745946149', '机要室', '001016003028', '566003000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479936', '2', '99', '1323441314745946149', '寄递事业部', '001016003029', '5660030088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479937', '2', '99', '1323441314750140416', '单位领导部门', '001016004001', '5660040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479938', '2', '99', '1323441314750140416', '非领导职务部门', '001016004002', '5660040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479939', '2', '99', '1323441314750140416', '领导助理部门', '001016004003', '5660040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479940', '2', '99', '1323441314750140416', '市场营销部', '001016004004', '5660040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479941', '2', '99', '1323441314750140416', '金融业务部', '001016004005', '5660040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479942', '2', '99', '1323441314750140416', '集邮与文化传媒部', '001016004006', '5660040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479943', '2', '99', '1323441314750140416', '渠道平台部', '001016004007', '5660040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479944', '2', '99', '1323441314750140416', '综合办公室（安全保卫部）', '001016004008', '5660040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479945', '2', '99', '1323441314750140416', '营业班', '001016004009', '5660040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479946', '2', '99', '1323441314750140416', '程村支局', '001016004010', '5660040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479947', '2', '99', '1323441314750140416', '川口邮政所', '001016004011', '5660040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479948', '2', '99', '1323441314750140416', '大王支局', '001016004012', '5660040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479949', '2', '99', '1323441314750140416', '故县支局', '001016004013', '5660040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479950', '2', '99', '1323441314750140416', '函谷关支局', '001016004014', '5660040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479951', '2', '99', '1323441314750140416', '建设路支局', '001016004015', '5660040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479952', '2', '99', '1323441314750140416', '涧西邮政所', '001016004016', '5660040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479953', '2', '99', '1323441314750140416', '焦村邮政所', '001016004017', '5660040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479954', '2', '99', '1323441314750140416', '南朝邮政所', '001016004018', '5660040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479955', '2', '99', '1323441314750140416', '寺河邮政所', '001016004019', '5660040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479956', '2', '99', '1323441314750140416', '苏村邮政所', '001016004020', '5660040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857933479957', '2', '99', '1323441314750140416', '五亩支局', '001016004021', '5660040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674240', '2', '99', '1323441314750140416', '西闫支局', '001016004022', '5660040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674241', '2', '99', '1323441314750140416', '新灵街支局', '001016004023', '5660040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674242', '2', '99', '1323441314750140416', '新区邮政所', '001016004024', '5660040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674243', '2', '99', '1323441314750140416', '阳店支局', '001016004025', '5660040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674244', '2', '99', '1323441314750140416', '阳平邮政所', '001016004026', '5660040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674245', '2', '99', '1323441314750140416', '尹溪路支局', '001016004027', '5660040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674246', '2', '99', '1323441314750140416', '豫灵支局', '001016004028', '5660040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674247', '2', '99', '1323441314750140416', '朱阳支局', '001016004029', '5660040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674248', '2', '99', '1323441314750140416', '保留关系人员部门', '001016004030', '5660040099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674249', '2', '99', '1323441314750140416', '机要室', '001016004031', '566004000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674250', '2', '99', '1323441314750140416', '中邮保险中心', '001016004032', '566004000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674251', '2', '99', '1323441314750140416', '寄递事业部', '001016004033', '5660040088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674252', '2', '99', '1323441314750140417', '单位领导部门', '001016005001', '5660050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674253', '2', '99', '1323441314750140417', '非领导职务部门', '001016005002', '5660050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674254', '2', '99', '1323441314750140417', '领导助理部门', '001016005003', '5660050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674255', '2', '99', '1323441314750140417', '市场营销部', '001016005004', '5660050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674256', '2', '99', '1323441314750140417', '金融业务部（中邮保险中心）', '001016005005', '5660050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674257', '2', '99', '1323441314750140417', '集邮与文化传媒部', '001016005006', '5660050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674258', '2', '99', '1323441314750140417', '渠道平台部', '001016005007', '5660050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674259', '2', '99', '1323441314750140417', '综合办公室（安全保卫部）', '001016005008', '5660050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674260', '2', '99', '1323441314750140417', '营业班', '001016005009', '5660050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857937674261', '2', '99', '1323441314750140417', '杜关支局', '001016005010', '5660050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868544', '2', '99', '1323441314750140417', '范里支局', '001016005011', '5660050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868545', '2', '99', '1323441314750140417', '官道口支局', '001016005012', '5660050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868546', '2', '99', '1323441314750140417', '官坡支局', '001016005013', '5660050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868547', '2', '99', '1323441314750140417', '行政路支局', '001016005014', '5660050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868548', '2', '99', '1323441314750140417', '行政路邮政所', '001016005015', '5660050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868549', '2', '99', '1323441314750140417', '横涧邮政所', '001016005016', '5660050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868550', '2', '99', '1323441314750140417', '解放路支局', '001016005017', '5660050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868551', '2', '99', '1323441314750140417', '木桐邮政所', '001016005018', '5660050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868552', '2', '99', '1323441314750140417', '潘河邮政所', '001016005019', '5660050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868553', '2', '99', '1323441314750140417', '沙河邮政所', '001016005020', '5660050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868554', '2', '99', '1323441314750140417', '莘源路邮政所', '001016005021', '5660050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868555', '2', '99', '1323441314750140417', '狮子坪邮政所', '001016005022', '5660050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868556', '2', '99', '1323441314750140417', '双槐树邮政所', '001016005023', '5660050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868557', '2', '99', '1323441314750140417', '双龙湾邮政所', '001016005024', '5660050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868558', '2', '99', '1323441314750140417', '汤河邮政所', '001016005025', '5660050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868559', '2', '99', '1323441314750140417', '瓦窑沟邮政所', '001016005026', '5660050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868560', '2', '99', '1323441314750140417', '文峪邮政所', '001016005027', '5660050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868561', '2', '99', '1323441314750140417', '五里川邮政所', '001016005028', '5660050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868562', '2', '99', '1323441314750140417', '徐家湾邮政所', '001016005029', '5660050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868563', '2', '99', '1323441314750140417', '朱阳关邮政所', '001016005030', '5660050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868564', '2', '99', '1323441314750140417', '莘源路支局', '001016005031', '5660050078', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857941868565', '2', '99', '1323441314750140417', '保留关系人员部门', '001016005032', '5660050099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062848', '2', '99', '1323441314750140417', '机要室', '001016005033', '566005000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062849', '2', '99', '1323441314750140417', '寄递事业部', '001016005034', '5660050088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062850', '2', '99', '1323441314750140418', '单位领导部门', '001016006001', '5660200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062851', '2', '99', '1323441314750140418', '非领导职务部门', '001016006002', '5660200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062852', '2', '99', '1323441314750140418', '领导助理部门', '001016006003', '5660200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062853', '2', '99', '1323441314750140418', '机要通信分局内设机构（虚拟部门）', '001016006004', '5660200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062854', '2', '99', '1323441314750140418', '保留关系人员部门', '001016006005', '5660200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062855', '2', '99', '1323441314750140419', '单位领导部门', '001016007001', '5660200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062856', '2', '99', '1323441314750140419', '非领导职务部门', '001016007002', '5660200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062857', '2', '99', '1323441314750140419', '领导助理部门', '001016007003', '5660200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062858', '2', '99', '1323441314750140419', '市场营销部', '001016007004', '5660200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062859', '2', '99', '1323441314750140419', '金融业务部（中邮保险局）', '001016007005', '5660200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062860', '2', '99', '1323441314750140419', '集邮与文化传媒部', '001016007006', '5660200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062861', '2', '99', '1323441314750140419', '渠道平台部', '001016007007', '5660200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062862', '2', '99', '1323441314750140419', '营业班', '001016007008', '5660200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062863', '2', '99', '1323441314750140419', '磁钟邮政所', '001016007009', '5660200115', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062864', '2', '99', '1323441314750140419', '大岭路邮政所', '001016007010', '5660200116', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062865', '2', '99', '1323441314750140419', '高庙邮政所', '001016007011', '5660200117', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062866', '2', '99', '1323441314750140419', '湖滨邮政所', '001016007012', '5660200118', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062867', '2', '99', '1323441314750140419', '黄河路中邮政所', '001016007013', '5660200119', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857946062868', '2', '99', '1323441314750140419', '黄河西路支局', '001016007014', '5660200120', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257152', '2', '99', '1323441314750140419', '黄河中路支局', '001016007015', '5660200121', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257153', '2', '99', '1323441314750140419', '火车站支局', '001016007016', '5660200122', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257154', '2', '99', '1323441314750140419', '火车站邮政所', '001016007017', '5660200123', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257155', '2', '99', '1323441314750140419', '建设东路支局', '001016007018', '5660200124', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257156', '2', '99', '1323441314750140419', '建设路邮政所', '001016007019', '5660200125', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257157', '2', '99', '1323441314750140419', '交口邮政所', '001016007020', '5660200126', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257158', '2', '99', '1323441314750140419', '六峰路支局', '001016007021', '5660200127', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257159', '2', '99', '1323441314750140419', '陕源路支局', '001016007022', '5660200128', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257160', '2', '99', '1323441314750140419', '文明东路支局', '001016007023', '5660200129', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257161', '2', '99', '1323441314750140419', '文明路东邮政所', '001016007024', '5660200130', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257162', '2', '99', '1323441314750140419', '崤山西路邮政所', '001016007025', '5660200131', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257163', '2', '99', '1323441314750140419', '斜桥邮政所', '001016007026', '5660200132', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257164', '2', '99', '1323441314750140419', '正和支局', '001016007027', '5660200133', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257165', '2', '99', '1323441314750140419', '中心邮政所', '001016007028', '5660200134', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257166', '2', '99', '1323441314750140419', '保留关系人员部门', '001016007029', '5660200199', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257167', '2', '99', '1323441314750140419', '寄递事业部', '001016007030', '5660200188', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257168', '2', '99', '1323441314750140420', '单位领导部门', '001017009', '5661000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257169', '2', '99', '1323441314750140420', '非领导职务部门', '001017010', '5661000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257170', '2', '99', '1323441314750140420', '领导助理部门', '001017011', '5661000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257171', '2', '99', '1323441314750140420', '市场营销部', '001017012', '5661000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257172', '2', '99', '1323441314750140420', '服务质量部（普遍服务部）', '001017013', '5661000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857950257173', '2', '99', '1323441314750140420', '金融业务部', '001017014', '5661000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451456', '2', '99', '1323441314750140420', '集邮与文化传媒部', '001017015', '5661000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451457', '2', '99', '1323441314750140420', '渠道平台部', '001017016', '5661000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451458', '2', '99', '1323441314750140420', '综合办公室（党委办公室、安全保卫部）', '001017017', '5661000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451459', '2', '99', '1323441314750140420', '财务部', '001017018', '5661000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451460', '2', '99', '1323441314750140420', '人力资源部（党委组织部）', '001017019', '5661000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451461', '2', '99', '1323441314750140420', '党委党建工作部（纪委办公室）', '001017020', '5661000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451462', '2', '99', '1323441314750140420', '工会', '001017021', '5661000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451463', '2', '99', '1323441314750140420', '保留关系人员部门', '001017022', '5661000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451464', '2', '99', '1323441314750140420', '客户营销中心', '001017023', '566100000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451465', '2', '99', '1323441314750140420', '业务档案班', '001017024', '566100000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451466', '2', '99', '1323441314750140420', '业务管理室', '001017025', '566100000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451467', '2', '99', '1323441314750140420', '内控管理室', '001017026', '566100000702', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451468', '2', '99', '1323441314750140420', '中邮保险中心', '001017027', '566100000703', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451469', '2', '99', '1323441314750140420', '业务管理室', '001017028', '566100000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451470', '2', '99', '1323441314750140420', '创意研发室', '001017029', '566100000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451471', '2', '99', '1323441314750140420', '商函制作班', '001017030', '566100000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451472', '2', '99', '1323441314750140420', '渠道管理室', '001017031', '566100001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451473', '2', '99', '1323441314750140420', '电商分销室', '001017032', '566100001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451474', '2', '99', '1323441314750140420', '寄递事业部', '001017033', '5661000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451475', '2', '99', '1323441314750140421', '单位领导部门', '001017001001', '5661010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451476', '2', '99', '1323441314750140421', '非领导职务部门', '001017001002', '5661010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857954451477', '2', '99', '1323441314750140421', '领导助理部门', '001017001003', '5661010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645760', '2', '99', '1323441314750140421', '市场营销部', '001017001004', '5661010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645761', '2', '99', '1323441314750140421', '金融业务部', '001017001005', '5661010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645762', '2', '99', '1323441314750140421', '集邮与文化传媒部', '001017001006', '5661010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645763', '2', '99', '1323441314750140421', '渠道平台部', '001017001007', '5661010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645764', '2', '99', '1323441314750140421', '综合办公室（安全保卫部）', '001017001008', '5661010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645765', '2', '99', '1323441314750140421', '营业班', '001017001009', '5661010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645766', '2', '99', '1323441314750140421', '苌庄邮政所', '001017001010', '5661010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645767', '2', '99', '1323441314750140421', '褚河支局', '001017001011', '5661010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645768', '2', '99', '1323441314750140421', '范坡支局', '001017001012', '5661010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645769', '2', '99', '1323441314750140421', '方岗邮政所', '001017001013', '5661010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645770', '2', '99', '1323441314750140421', '方山支局', '001017001014', '5661010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645771', '2', '99', '1323441314750140421', '古城邮政所', '001017001015', '5661010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645772', '2', '99', '1323441314750140421', '古城支局', '001017001016', '5661010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645773', '2', '99', '1323441314750140421', '郭连支局', '001017001017', '5661010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645774', '2', '99', '1323441314750140421', '鸿畅邮政所', '001017001018', '5661010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645775', '2', '99', '1323441314750140421', '花石支局', '001017001019', '5661010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645776', '2', '99', '1323441314750140421', '花园邮政所', '001017001020', '5661010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645777', '2', '99', '1323441314750140421', '火龙支局', '001017001021', '5661010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645778', '2', '99', '1323441314750140421', '鸠山邮政所', '001017001022', '5661010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857958645779', '2', '99', '1323441314750140421', '钧州大街邮政所', '001017001023', '5661010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840064', '2', '99', '1323441314750140421', '梁北支局', '001017001024', '5661010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840065', '2', '99', '1323441314750140421', '磨街支局', '001017001025', '5661010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840066', '2', '99', '1323441314750140421', '南关支局', '001017001026', '5661010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840067', '2', '99', '1323441314750140421', '浅井邮政所', '001017001027', '5661010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840068', '2', '99', '1323441314750140421', '山货邮政所', '001017001028', '5661010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840069', '2', '99', '1323441314750140421', '商贸支局', '001017001029', '5661010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840070', '2', '99', '1323441314750140421', '神后支局', '001017001030', '5661010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840071', '2', '99', '1323441314750140421', '顺店支局', '001017001031', '5661010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840072', '2', '99', '1323441314750140421', '文殊邮政所', '001017001032', '5661010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840073', '2', '99', '1323441314750140421', '无梁支局', '001017001033', '5661010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840074', '2', '99', '1323441314750140421', '小吕支局', '001017001034', '5661010040', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840075', '2', '99', '1323441314750140421', '张得支局', '001017001035', '5661010041', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840076', '2', '99', '1323441314750140421', '朱阁支局', '001017001036', '5661010042', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840077', '2', '99', '1323441314750140421', '华夏邮政所', '001017001037', '5661010043', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840078', '2', '99', '1323441314750140421', '保留关系人员部门', '001017001038', '5661010099', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840079', '2', '99', '1323441314750140421', '机要室', '001017001039', '566101000401', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840080', '2', '99', '1323441314750140421', '中邮保险中心', '001017001040', '566101000701', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840081', '2', '99', '1323441314750140421', '寄递事业部', '001017001041', '5661010088', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840082', '2', '99', '1323441314750140422', '单位领导部门', '001017002001', '5661020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840083', '2', '99', '1323441314750140422', '非领导职务部门', '001017002002', '5661020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857962840084', '2', '99', '1323441314750140422', '领导助理部门', '001017002003', '5661020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034368', '2', '99', '1323441314750140422', '市场营销部', '001017002004', '5661020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034369', '2', '99', '1323441314750140422', '金融业务部', '001017002005', '5661020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034370', '2', '99', '1323441314750140422', '集邮与文化传媒部', '001017002006', '5661020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034371', '2', '99', '1323441314750140422', '渠道平台部', '001017002007', '5661020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034372', '2', '99', '1323441314750140422', '综合办公室（安全保卫部）', '001017002008', '5661020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034373', '2', '99', '1323441314750140422', '营业班', '001017002009', '5661020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034374', '2', '99', '1323441314750140422', '建设北路支局', '001017002010', '5661020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034375', '2', '99', '1323441314750140422', '钟繇路支局', '001017002011', '5661020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034376', '2', '99', '1323441314750140422', '人民路支局', '001017002012', '5661020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034377', '2', '99', '1323441314750140422', '后河支局', '001017002013', '5661020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034378', '2', '99', '1323441314750140422', '坡胡支局', '001017002014', '5661020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034379', '2', '99', '1323441314750140422', '石固支局', '001017002015', '5661020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034380', '2', '99', '1323441314750140422', '佛耳湖镇支局', '001017002016', '5661020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034381', '2', '99', '1323441314750140422', '大周邮政所', '001017002017', '5661020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034382', '2', '99', '1323441314750140422', '老城支局', '001017002018', '5661020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034383', '2', '99', '1323441314750140422', '董村支局', '001017002019', '5661020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034384', '2', '99', '1323441314750140422', '石象支局', '001017002020', '5661020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034385', '2', '99', '1323441314750140422', '古桥支局', '001017002021', '5661020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034386', '2', '99', '1323441314750140422', '南席支局', '001017002022', '5661020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034387', '2', '99', '1323441314750140422', '建设路支局', '001017002023', '5661020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857967034388', '2', '99', '1323441314750140422', '建北邮政所', '001017002024', '5661020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228672', '2', '99', '1323441314750140422', '水磨河邮政所', '001017002025', '5661020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228673', '2', '99', '1323441314750140422', '八七路邮政所', '001017002026', '5661020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228674', '2', '99', '1323441314750140422', '保留关系人员部门', '001017002027', '5661020099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228675', '2', '99', '1323441314750140422', '机要室', '001017002028', '566102000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228676', '2', '99', '1323441314750140422', '中邮保险中心', '001017002029', '566102000701', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228677', '2', '99', '1323441314750140422', '寄递事业部', '001017002030', '5661020088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228678', '2', '99', '1323441314750140423', '单位领导部门', '001017003001', '5661030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228679', '2', '99', '1323441314750140423', '非领导职务部门', '001017003002', '5661030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228680', '2', '99', '1323441314750140423', '领导助理部门', '001017003003', '5661030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228681', '2', '99', '1323441314750140423', '市场营销部', '001017003004', '5661030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228682', '2', '99', '1323441314750140423', '金融业务部（中邮保险中心）', '001017003005', '5661030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228683', '2', '99', '1323441314750140423', '集邮与文化传媒部', '001017003006', '5661030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228684', '2', '99', '1323441314750140423', '渠道平台部', '001017003007', '5661030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228685', '2', '99', '1323441314750140423', '综合办公室（安全保卫部）', '001017003008', '5661030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228686', '2', '99', '1323441314750140423', '营业班', '001017003009', '5661030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228687', '2', '99', '1323441314750140423', '茨沟邮政所', '001017003010', '5661030016', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228688', '2', '99', '1323441314750140423', '茨沟支局', '001017003011', '5661030017', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228689', '2', '99', '1323441314750140423', '大十字街支局', '001017003012', '5661030018', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228690', '2', '99', '1323441314750140423', '丁营支局', '001017003013', '5661030019', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228691', '2', '99', '1323441314750140423', '范湖支局', '001017003014', '5661030020', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857971228692', '2', '99', '1323441314750140423', '汾陈支局', '001017003015', '5661030021', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422976', '2', '99', '1323441314750140423', '姜庄支局', '001017003016', '5661030022', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422977', '2', '99', '1323441314750140423', '库庄支局', '001017003017', '5661030023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422978', '2', '99', '1323441314750140423', '麦岭支局', '001017003018', '5661030024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422979', '2', '99', '1323441314750140423', '山头店支局', '001017003019', '5661030025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422980', '2', '99', '1323441314750140423', '十里铺邮政所', '001017003020', '5661030026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422981', '2', '99', '1323441314750140423', '双庙邮政所', '001017003021', '5661030027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422982', '2', '99', '1323441314750140423', '王洛支局', '001017003022', '5661030028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422983', '2', '99', '1323441314750140423', '颍桥回族镇邮政所', '001017003023', '5661030029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422984', '2', '99', '1323441314750140423', '颖阳支局', '001017003024', '5661030030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422985', '2', '99', '1323441314750140423', '湛北邮政所', '001017003025', '5661030031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422986', '2', '99', '1323441314750140423', '紫云支局', '001017003026', '5661030032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422987', '2', '99', '1323441314750140423', '保留关系人员部门', '001017003027', '5661030099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422988', '2', '99', '1323441314750140423', '机要室', '001017003028', '566103000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422989', '2', '99', '1323441314750140423', '寄递事业部', '001017003029', '5661030088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422990', '2', '99', '1323441314750140424', '单位领导部门', '001017004001', '5661040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422991', '2', '99', '1323441314750140424', '非领导职务部门', '001017004002', '5661040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422992', '2', '99', '1323441314750140424', '领导助理部门', '001017004003', '5661040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422993', '2', '99', '1323441314750140424', '市场营销部', '001017004004', '5661040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422994', '2', '99', '1323441314750140424', '金融业务部', '001017004005', '5661040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857975422995', '2', '99', '1323441314750140424', '集邮与文化传媒部', '001017004006', '5661040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617280', '2', '99', '1323441314750140424', '渠道平台部', '001017004007', '5661040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617281', '2', '99', '1323441314750140424', '综合办公室（安全保卫部）', '001017004008', '5661040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617282', '2', '99', '1323441314750140424', '营业班', '001017004009', '5661040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617283', '2', '99', '1323441314750140424', '艾庄邮政所', '001017004010', '5661040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617284', '2', '99', '1323441314750140424', '陈曹支局', '001017004011', '5661040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617285', '2', '99', '1323441314750140424', '邓庄支局', '001017004012', '5661040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617286', '2', '99', '1323441314750140424', '桂村支局', '001017004013', '5661040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617287', '2', '99', '1323441314750140424', '河街邮政所', '001017004014', '5661040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617288', '2', '99', '1323441314750140424', '蒋李集支局', '001017004015', '5661040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617289', '2', '99', '1323441314750140424', '灵井支局', '001017004016', '5661040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617290', '2', '99', '1323441314750140424', '泉店支局', '001017004017', '5661040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617291', '2', '99', '1323441314750140424', '瑞金路邮政所', '001017004018', '5661040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617292', '2', '99', '1323441314750140424', '尚集支局', '001017004019', '5661040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617293', '2', '99', '1323441314750140424', '椹涧邮政所', '001017004020', '5661040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617294', '2', '99', '1323441314750140424', '苏桥支局', '001017004021', '5661040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617295', '2', '99', '1323441314750140424', '五女店支局', '001017004022', '5661040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617296', '2', '99', '1323441314750140424', '小召支局', '001017004023', '5661040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617297', '2', '99', '1323441314750140424', '许由东路支局', '001017004024', '5661040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857979617298', '2', '99', '1323441314750140424', '许由路支局', '001017004025', '5661040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811584', '2', '99', '1323441314750140424', '榆林支局', '001017004026', '5661040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811585', '2', '99', '1323441314750140424', '张潘邮政所', '001017004027', '5661040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811586', '2', '99', '1323441314750140424', '长村张支局', '001017004028', '5661040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811587', '2', '99', '1323441314750140424', '中心支局', '001017004029', '5661040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811588', '2', '99', '1323441314750140424', '保留关系人员部门', '001017004030', '5661040099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811589', '2', '99', '1323441314750140424', '机要室', '001017004031', '566104000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811590', '2', '99', '1323441314750140424', '中邮保险中心', '001017004032', '566104000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811591', '2', '99', '1323441314750140424', '寄递事业部', '001017004033', '5661040088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811592', '2', '99', '1323441314750140425', '单位领导部门', '001017005001', '5661050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811593', '2', '99', '1323441314750140425', '非领导职务部门', '001017005002', '5661050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811594', '2', '99', '1323441314750140425', '领导助理部门', '001017005003', '5661050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811595', '2', '99', '1323441314750140425', '市场营销部', '001017005004', '5661050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811596', '2', '99', '1323441314750140425', '金融业务部（中邮保险中心）', '001017005005', '5661050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811597', '2', '99', '1323441314750140425', '集邮与文化传媒部', '001017005006', '5661050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811598', '2', '99', '1323441314750140425', '渠道平台部', '001017005007', '5661050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811599', '2', '99', '1323441314750140425', '综合办公室（安全保卫部）', '001017005008', '5661050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811600', '2', '99', '1323441314750140425', '营业班', '001017005009', '5661050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811601', '2', '99', '1323441314750140425', '柏梁支局', '001017005010', '5661050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811602', '2', '99', '1323441314750140425', '陈化店支局', '001017005011', '5661050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857983811603', '2', '99', '1323441314750140425', '大马支局', '001017005012', '5661050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005888', '2', '99', '1323441314750140425', '花都支局', '001017005013', '5661050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005889', '2', '99', '1323441314750140425', '马坊支局', '001017005014', '5661050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005890', '2', '99', '1323441314750140425', '马栏支局', '001017005015', '5661050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005891', '2', '99', '1323441314750140425', '南关邮政所', '001017005016', '5661050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005892', '2', '99', '1323441314750140425', '南坞支局', '001017005017', '5661050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005893', '2', '99', '1323441314750140425', '彭店邮政所', '001017005018', '5661050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005894', '2', '99', '1323441314750140425', '文明路邮政所', '001017005019', '5661050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005895', '2', '99', '1323441314750140425', '陶城支局', '001017005020', '5661050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005896', '2', '99', '1323441314750140425', '望田邮政所', '001017005021', '5661050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005897', '2', '99', '1323441314750140425', '张桥支局', '001017005022', '5661050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005898', '2', '99', '1323441314750140425', '只乐支局', '001017005023', '5661050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005899', '2', '99', '1323441314750140425', '保留关系人员部门', '001017005024', '5661050099', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005900', '2', '99', '1323441314750140425', '机要室', '001017005025', '566105000401', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005901', '2', '99', '1323441314750140425', '寄递事业部', '001017005026', '5661050088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005902', '2', '99', '1323441314750140426', '单位领导部门', '001017006001', '5661200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005903', '2', '99', '1323441314750140426', '非领导职务部门', '001017006002', '5661200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005904', '2', '99', '1323441314750140426', '领导助理部门', '001017006003', '5661200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005905', '2', '99', '1323441314750140426', '机要通信分局内设机构（虚拟部门）', '001017006004', '5661200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005906', '2', '99', '1323441314750140426', '保留关系人员部门', '001017006005', '5661200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857988005907', '2', '99', '1323441314750140427', '单位领导部门', '001017007001', '5661200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200192', '2', '99', '1323441314750140427', '非领导职务部门', '001017007002', '5661200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200193', '2', '99', '1323441314750140427', '领导助理部门', '001017007003', '5661200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200194', '2', '99', '1323441314750140427', '市场营销部', '001017007004', '5661200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200195', '2', '99', '1323441314750140427', '营业班', '001017007005', '5661200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200196', '2', '99', '1323441314750140427', '白庙邮政所', '001017007006', '5661200114', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200197', '2', '99', '1323441314750140427', '半截河邮政所', '001017007007', '5661200115', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200198', '2', '99', '1323441314750140427', '七一路支局', '001017007008', '5661200116', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200199', '2', '99', '1323441314750140427', '许继大道邮政所', '001017007009', '5661200117', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200200', '2', '99', '1323441314750140427', '中心支局', '001017007010', '5661200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200201', '2', '99', '1323441314750140427', '智慧大道支局', '001017007011', '5661200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200202', '2', '99', '1323441314750140427', '保留关系人员部门', '001017007012', '5661200199', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200203', '2', '99', '1323441314750140427', '金融业务中心（中邮保险局）', '001017007013', '566120010402', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200204', '2', '99', '1323441314750140427', '集邮与文化传媒中心', '001017007014', '566120010403', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200205', '2', '99', '1323441314750140427', '渠道平台中心', '001017007015', '566120010405', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200206', '2', '99', '1323441314750140427', '寄递事业部', '001017007016', '5661200188', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200207', '2', '99', '1323441314750140428', '单位领导部门', '001017008001', '5661200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200208', '2', '99', '1323441314750140428', '非领导职务部门', '001017008002', '5661200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200209', '2', '99', '1323441314750140428', '领导助理部门', '001017008003', '5661200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200210', '2', '99', '1323441314750140428', '市场营销部', '001017008004', '5661200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200211', '2', '99', '1323441314750140428', '营业班', '001017008005', '5661200212', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857992200212', '2', '99', '1323441314750140428', '八一路邮政所', '001017008006', '5661200215', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394496', '2', '99', '1323441314750140428', '丞相府支局', '001017008007', '5661200217', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394497', '2', '99', '1323441314750140428', '曹魏古城邮政所', '001017008008', '5661200218', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394498', '2', '99', '1323441314750140428', '建安路支局', '001017008009', '5661200219', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394499', '2', '99', '1323441314750140428', '莲花湾邮政所', '001017008010', '5661200220', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394500', '2', '99', '1323441314750140428', '天平街邮政所', '001017008011', '5661200221', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394501', '2', '99', '1323441314750140428', '文峰路支局', '001017008012', '5661200222', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394502', '2', '99', '1323441314750140428', '学府街支局', '001017008013', '5661200223', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394503', '2', '99', '1323441314750140428', '文化路邮政所', '001017008014', '5661200224', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394504', '2', '99', '1323441314750140428', '保留关系人员部门', '001017008015', '5661200299', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394505', '2', '99', '1323441314750140428', '金融业务中心（中邮保险局）', '001017008016', '566120020402', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394506', '2', '99', '1323441314750140428', '集邮与文化传媒中心', '001017008017', '566120020403', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394507', '2', '99', '1323441314750140428', '渠道平台中心', '001017008018', '566120020405', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394508', '2', '99', '1323441314750140428', '寄递事业部', '001017008019', '5661200288', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394509', '2', '99', '1323441314750140429', '单位领导部门', '001018006', '5662000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394510', '2', '99', '1323441314750140429', '非领导职务部门', '001018007', '5662000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394511', '2', '99', '1323441314750140429', '领导助理部门', '001018008', '5662000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394512', '2', '99', '1323441314750140429', '市场营销部', '001018009', '5662000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394513', '2', '99', '1323441314750140429', '服务质量部（普遍服务部）', '001018010', '5662000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394514', '2', '99', '1323441314750140429', '金融业务部', '001018011', '5662000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441857996394515', '2', '99', '1323441314750140429', '集邮与文化传媒部', '001018012', '5662000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588800', '2', '99', '1323441314750140429', '渠道平台部', '001018013', '5662000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588801', '2', '99', '1323441314750140429', '综合办公室（党委办公室、安全保卫部）', '001018014', '5662000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588802', '2', '99', '1323441314750140429', '财务部', '001018015', '5662000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588803', '2', '99', '1323441314750140429', '人力资源部（党委组织部）', '001018016', '5662000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588804', '2', '99', '1323441314750140429', '党委党建工作部（纪委办公室）', '001018017', '5662000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588805', '2', '99', '1323441314750140429', '工会', '001018018', '5662000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588806', '2', '99', '1323441314750140429', '保留关系人员部门', '001018019', '5662000099', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588807', '2', '99', '1323441314750140429', '客户营销中心', '001018020', '566200000401', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588808', '2', '99', '1323441314750140429', '业务档案班', '001018021', '566200000501', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588809', '2', '99', '1323441314750140429', '中邮保险中心', '001018022', '566200000701', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588810', '2', '99', '1323441314750140429', '商函制作班', '001018023', '566200000801', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588811', '2', '99', '1323441314750140429', '远程监控班', '001018024', '566200001101', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588812', '2', '99', '1323441314750140429', '寄递事业部', '001018025', '5662000088', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588813', '2', '99', '1323441314750140430', '单位领导部门', '001018001001', '5662010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588814', '2', '99', '1323441314750140430', '非领导职务部门', '001018001002', '5662010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588815', '2', '99', '1323441314750140430', '领导助理部门', '001018001003', '5662010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588816', '2', '99', '1323441314750140430', '市场营销部', '001018001004', '5662010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588817', '2', '99', '1323441314750140430', '金融业务部', '001018001005', '5662010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858000588818', '2', '99', '1323441314750140430', '集邮与文化传媒部', '001018001006', '5662010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783104', '2', '99', '1323441314750140430', '渠道平台部', '001018001007', '5662010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783105', '2', '99', '1323441314750140430', '综合办公室（安全保卫部）', '001018001008', '5662010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783106', '2', '99', '1323441314750140430', '营业班', '001018001009', '5662010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783107', '2', '99', '1323441314750140430', '人民路邮政所', '001018001010', '5662010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783108', '2', '99', '1323441314750140430', '车站支局', '001018001011', '5662010020', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783109', '2', '99', '1323441314750140430', '城内支局', '001018001012', '5662010021', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783110', '2', '99', '1323441314750140430', '南街邮政所', '001018001013', '5662010022', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783111', '2', '99', '1323441314750140430', '巨陵支局', '001018001014', '5662010023', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783112', '2', '99', '1323441314750140430', '固厢支局', '001018001015', '5662010024', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783113', '2', '99', '1323441314750140430', '石桥支局', '001018001016', '5662010025', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783114', '2', '99', '1323441314750140430', '沃城支局', '001018001017', '5662010026', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783115', '2', '99', '1323441314750140430', '台陈支局', '001018001018', '5662010027', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783116', '2', '99', '1323441314750140430', '皇帝庙支局', '001018001019', '5662010028', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783117', '2', '99', '1323441314750140430', '陈庄支局', '001018001020', '5662010029', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783118', '2', '99', '1323441314750140430', '杜曲支局', '001018001021', '5662010030', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783119', '2', '99', '1323441314750140430', '王孟支局', '001018001022', '5662010031', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783120', '2', '99', '1323441314750140430', '王岗支局', '001018001023', '5662010032', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783121', '2', '99', '1323441314750140430', '瓦店支局', '001018001024', '5662010033', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783122', '2', '99', '1323441314750140430', '三家店邮政所', '001018001025', '5662010034', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858004783123', '2', '99', '1323441314750140430', '大郭支局', '001018001026', '5662010035', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977408', '2', '99', '1323441314750140430', '繁城支局', '001018001027', '5662010036', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977409', '2', '99', '1323441314750140430', '保留关系人员部门', '001018001028', '5662010099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977410', '2', '99', '1323441314750140430', '机要室', '001018001029', '566201000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977411', '2', '99', '1323441314750140430', '中邮保险中心', '001018001030', '566201000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977412', '2', '99', '1323441314750140430', '寄递事业部', '001018001031', '5662010088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977413', '2', '99', '1323441314750140431', '单位领导部门', '001018002001', '5662020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977414', '2', '99', '1323441314750140431', '非领导职务部门', '001018002002', '5662020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977415', '2', '99', '1323441314750140431', '领导助理部门', '001018002003', '5662020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977416', '2', '99', '1323441314750140431', '市场营销部', '001018002004', '5662020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977417', '2', '99', '1323441314750140431', '金融业务部（中邮保险中心）', '001018002005', '5662020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977418', '2', '99', '1323441314750140431', '集邮与文化传媒部', '001018002006', '5662020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977419', '2', '99', '1323441314750140431', '渠道平台部', '001018002007', '5662020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977420', '2', '99', '1323441314750140431', '综合办公室（安全保卫部）', '001018002008', '5662020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977421', '2', '99', '1323441314750140431', '营业班', '001018002009', '5662020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977422', '2', '99', '1323441314750140431', '县城邮政所', '001018002010', '5662020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977423', '2', '99', '1323441314750140431', '文峰支局', '001018002011', '5662020020', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977424', '2', '99', '1323441314750140431', '保和支局', '001018002012', '5662020021', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977425', '2', '99', '1323441314750140431', '孟寨支局', '001018002013', '5662020022', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858008977426', '2', '99', '1323441314750140431', '姜店支局', '001018002014', '5662020023', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171712', '2', '99', '1323441314750140431', '章化支局', '001018002015', '5662020024', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171713', '2', '99', '1323441314750140431', '侯集支局', '001018002016', '5662020025', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171714', '2', '99', '1323441314750140431', '太尉支局', '001018002017', '5662020026', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171715', '2', '99', '1323441314750140431', '马村支局', '001018002018', '5662020027', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171716', '2', '99', '1323441314750140431', '北舞渡支局', '001018002019', '5662020028', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171717', '2', '99', '1323441314750140431', '莲花支局', '001018002020', '5662020029', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171718', '2', '99', '1323441314750140431', '九街支局', '001018002021', '5662020030', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171719', '2', '99', '1323441314750140431', '吴城支局', '001018002022', '5662020031', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171720', '2', '99', '1323441314750140431', '辛安邮政所', '001018002023', '5662020032', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171721', '2', '99', '1323441314750140431', '保留关系人员部门', '001018002024', '5662020099', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171722', '2', '99', '1323441314750140431', '机要室', '001018002025', '566202000401', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171723', '2', '99', '1323441314750140431', '寄递事业部', '001018002026', '5662020088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171724', '2', '99', '1323441314750140432', '单位领导部门', '001018003001', '5662030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171725', '2', '99', '1323441314750140432', '非领导职务部门', '001018003002', '5662030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171726', '2', '99', '1323441314750140432', '领导助理部门', '001018003003', '5662030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171727', '2', '99', '1323441314750140432', '市场营销部', '001018003004', '5662030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171728', '2', '99', '1323441314750140432', '金融业务部', '001018003005', '5662030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171729', '2', '99', '1323441314750140432', '集邮与文化传媒部', '001018003006', '5662030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858013171730', '2', '99', '1323441314750140432', '渠道平台部', '001018003007', '5662030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366016', '2', '99', '1323441314750140432', '综合办公室（安全保卫部）', '001018003008', '5662030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366017', '2', '99', '1323441314750140432', '营业班', '001018003009', '5662030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366018', '2', '99', '1323441314750140432', '太行山路邮政所', '001018003010', '5662030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366019', '2', '99', '1323441314750140432', '东大街支局', '001018003011', '5662030020', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366020', '2', '99', '1323441314750140432', '孟庙支局', '001018003012', '5662030021', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366021', '2', '99', '1323441314750140432', '李集支局', '001018003013', '5662030022', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366022', '2', '99', '1323441314750140432', '黑龙潭邮政所', '001018003014', '5662030023', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366023', '2', '99', '1323441314750140432', '召陵邮政所', '001018003015', '5662030024', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366024', '2', '99', '1323441314750140432', '青年支局', '001018003016', '5662030025', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366025', '2', '99', '1323441314750140432', '万金支局', '001018003017', '5662030026', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366026', '2', '99', '1323441314750140432', '邓乡支局', '001018003018', '5662030027', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366027', '2', '99', '1323441314750140432', '老窝支局', '001018003019', '5662030028', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366028', '2', '99', '1323441314750140432', '空冢郭支局', '001018003020', '5662030029', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366029', '2', '99', '1323441314750140432', '大刘支局', '001018003021', '5662030030', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366030', '2', '99', '1323441314750140432', '阴阳赵支局', '001018003022', '5662030031', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366031', '2', '99', '1323441314750140432', '问十邮政所', '001018003023', '5662030032', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366032', '2', '99', '1323441314750140432', '龙城支局', '001018003024', '5662030033', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366033', '2', '99', '1323441314750140432', '新店支局', '001018003025', '5662030034', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366034', '2', '99', '1323441314750140432', '裴城支局', '001018003026', '5662030035', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858017366035', '2', '99', '1323441314750140432', '商桥支局', '001018003027', '5662030036', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560320', '2', '99', '1323441314750140432', '姬石支局', '001018003028', '5662030038', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560321', '2', '99', '1323441314750140432', '保留关系人员部门', '001018003029', '5662030099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560322', '2', '99', '1323441314750140432', '机要室', '001018003030', '566203000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560323', '2', '99', '1323441314750140432', '中邮保险中心', '001018003031', '566203000701', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560324', '2', '99', '1323441314750140432', '寄递事业部', '001018003032', '5662030088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560325', '2', '99', '1323441314750140433', '单位领导部门', '001018004001', '5662200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560326', '2', '99', '1323441314750140433', '非领导职务部门', '001018004002', '5662200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560327', '2', '99', '1323441314750140433', '领导助理部门', '001018004003', '5662200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560328', '2', '99', '1323441314750140433', '机要通信分局内设机构（虚拟部门）', '001018004004', '5662200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560329', '2', '99', '1323441314750140433', '保留关系人员部门', '001018004005', '5662200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560330', '2', '99', '1323441314750140434', '单位领导部门', '001018005001', '5662200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560331', '2', '99', '1323441314750140434', '非领导职务部门', '001018005002', '5662200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560332', '2', '99', '1323441314750140434', '领导助理部门', '001018005003', '5662200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560333', '2', '99', '1323441314750140434', '市场营销部', '001018005004', '5662200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560334', '2', '99', '1323441314750140434', '金融业务部（中邮保险局）', '001018005005', '5662200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560335', '2', '99', '1323441314750140434', '集邮与文化传媒部', '001018005006', '5662200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560336', '2', '99', '1323441314750140434', '渠道平台部', '001018005007', '5662200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560337', '2', '99', '1323441314750140434', '光明中路邮政所', '001018005008', '5662200115', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858021560338', '2', '99', '1323441314750140434', '黄河路邮政所', '001018005009', '5662200116', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754624', '2', '99', '1323441314750140434', '火车站邮政所', '001018005010', '5662200117', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754625', '2', '99', '1323441314750140434', '老街支局', '001018005011', '5662200118', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754626', '2', '99', '1323441314750140434', '马路街支局', '001018005012', '5662200119', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754627', '2', '99', '1323441314750140434', '嵩山路支局', '001018005013', '5662200120', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754628', '2', '99', '1323441314750140434', '泰山北路支局', '001018005014', '5662200121', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754629', '2', '99', '1323441314750140434', '泰山路邮政所', '001018005015', '5662200122', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754630', '2', '99', '1323441314750140434', '文化路支局', '001018005016', '5662200123', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754631', '2', '99', '1323441314750140434', '湘江路邮政所', '001018005017', '5662200124', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754632', '2', '99', '1323441314750140434', '长江路邮政所', '001018005018', '5662200125', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754633', '2', '99', '1323441314750140434', '漯河职业技术学院邮政所', '001018005019', '5662200126', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754634', '2', '99', '1323441314750140434', '营业班', '001018005020', '5662200127', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754635', '2', '99', '1323441314750140434', '保留关系人员部门', '001018005021', '5662200199', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754636', '2', '99', '1323441314750140434', '寄递事业部', '001018005022', '5662200188', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754637', '2', '99', '1323441314750140435', '单位领导部门', '001019011', '5663000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754638', '2', '99', '1323441314750140435', '非领导职务部门', '001019012', '5663000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754639', '2', '99', '1323441314750140435', '领导助理部门', '001019013', '5663000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754640', '2', '99', '1323441314750140435', '市场营销部', '001019014', '5663000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754641', '2', '99', '1323441314750140435', '服务质量部（普遍服务部）', '001019015', '5663000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858025754642', '2', '99', '1323441314750140435', '金融业务部', '001019016', '5663000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948928', '2', '99', '1323441314750140435', '集邮与文化传媒部', '001019017', '5663000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948929', '2', '99', '1323441314750140435', '渠道平台部', '001019018', '5663000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948930', '2', '99', '1323441314750140435', '综合办公室（党委办公室、安全保卫部）', '001019019', '5663000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948931', '2', '99', '1323441314750140435', '财务部', '001019020', '5663000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948932', '2', '99', '1323441314750140435', '人力资源部（党委组织部）', '001019021', '5663000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948933', '2', '99', '1323441314750140435', '党委党建工作部（纪委办公室）', '001019022', '5663000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948934', '2', '99', '1323441314750140435', '工会', '001019023', '5663000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948935', '2', '99', '1323441314750140435', '中邮保险业务部', '001019024', '5663000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948936', '2', '99', '1323441314750140435', '保留关系人员部门', '001019025', '5663000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948937', '2', '99', '1323441314750140435', '客户营销中心', '001019026', '566300000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948938', '2', '99', '1323441314750140435', '业务档案班', '001019027', '566300000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948939', '2', '99', '1323441314750140435', '业务管理室', '001019028', '566300000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948940', '2', '99', '1323441314750140435', '内控管理室', '001019029', '566300000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948941', '2', '99', '1323441314750140435', '业务管理室', '001019030', '566300000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948942', '2', '99', '1323441314750140435', '创意研发室', '001019031', '566300000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948943', '2', '99', '1323441314750140435', '商函制作班', '001019032', '566300000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948944', '2', '99', '1323441314750140435', '渠道管理室', '001019033', '566300001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948945', '2', '99', '1323441314750140435', '电商分销室', '001019034', '566300001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948946', '2', '99', '1323441314750140435', '寄递事业部', '001019035', '5663000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858029948947', '2', '99', '1323441314750140436', '单位领导部门', '001019001001', '5663010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143232', '2', '99', '1323441314750140436', '非领导职务部门', '001019001002', '5663010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143233', '2', '99', '1323441314750140436', '领导助理部门', '001019001003', '5663010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143234', '2', '99', '1323441314750140436', '市场营销部', '001019001004', '5663010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143235', '2', '99', '1323441314750140436', '金融业务部', '001019001005', '5663010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143236', '2', '99', '1323441314750140436', '集邮与文化传媒部', '001019001006', '5663010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143237', '2', '99', '1323441314750140436', '渠道平台部', '001019001007', '5663010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143238', '2', '99', '1323441314750140436', '综合办公室（安全保卫部）', '001019001008', '5663010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143239', '2', '99', '1323441314750140436', '营业班', '001019001009', '5663010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143240', '2', '99', '1323441314750140436', '陈官庄邮政所', '001019001010', '5663010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143241', '2', '99', '1323441314750140436', '陈集支局', '001019001011', '5663010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143242', '2', '99', '1323441314750140436', '高庄支局', '001019001012', '5663010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143243', '2', '99', '1323441314750140436', '侯岭邮政所', '001019001013', '5663010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143244', '2', '99', '1323441314750140436', '黄口支局', '001019001014', '5663010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143245', '2', '99', '1323441314750140436', '茴村支局', '001019001015', '5663010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143246', '2', '99', '1323441314750140436', '蒋口支局', '001019001016', '5663010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143247', '2', '99', '1323441314750140436', '李寨支局', '001019001017', '5663010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858034143248', '2', '99', '1323441314750140436', '刘河支局', '001019001018', '5663010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337536', '2', '99', '1323441314750140436', '龙岗支局', '001019001019', '5663010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337537', '2', '99', '1323441314750140436', '滦湖邮政所', '001019001020', '5663010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337538', '2', '99', '1323441314750140436', '马牧支局', '001019001021', '5663010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337539', '2', '99', '1323441314750140436', '马桥支局', '001019001022', '5663010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337540', '2', '99', '1323441314750140436', '芒山邮政所', '001019001023', '5663010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337541', '2', '99', '1323441314750140436', '苗桥邮政所', '001019001024', '5663010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337542', '2', '99', '1323441314750140436', '欧亚路邮政所', '001019001025', '5663010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337543', '2', '99', '1323441314750140436', '裴桥支局', '001019001026', '5663010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337544', '2', '99', '1323441314750140436', '十八里邮政所', '001019001027', '5663010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337545', '2', '99', '1323441314750140436', '双桥支局', '001019001028', '5663010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337546', '2', '99', '1323441314750140436', '顺和支局', '001019001029', '5663010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337547', '2', '99', '1323441314750140436', '太丘支局', '001019001030', '5663010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337548', '2', '99', '1323441314750140436', '条河支局', '001019001031', '5663010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337549', '2', '99', '1323441314750140436', '王集邮政所', '001019001032', '5663010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337550', '2', '99', '1323441314750140436', '卧龙邮政所', '001019001033', '5663010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337551', '2', '99', '1323441314750140436', '新桥邮政所', '001019001034', '5663010039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337552', '2', '99', '1323441314750140436', '薛湖支局', '001019001035', '5663010040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337553', '2', '99', '1323441314750140436', '雪枫路支局', '001019001036', '5663010041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858038337554', '2', '99', '1323441314750140436', '雪枫路邮政所', '001019001037', '5663010042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531840', '2', '99', '1323441314750140436', '演集支局', '001019001038', '5663010043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531841', '2', '99', '1323441314750140436', '酂城支局', '001019001039', '5663010044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531842', '2', '99', '1323441314750140436', '酂阳支局', '001019001040', '5663010045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531843', '2', '99', '1323441314750140436', '中山路支局', '001019001041', '5663010046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531844', '2', '99', '1323441314750140436', '中山路邮政所', '001019001042', '5663010047', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531845', '2', '99', '1323441314750140436', '保留关系人员部门', '001019001043', '5663010099', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531846', '2', '99', '1323441314750140436', '机要室', '001019001044', '566301000401', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531847', '2', '99', '1323441314750140436', '中邮保险中心', '001019001045', '566301000701', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531848', '2', '99', '1323441314750140436', '寄递事业部', '001019001046', '5663010088', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531849', '2', '99', '1323441314750140437', '单位领导部门', '001019002001', '5663020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531850', '2', '99', '1323441314750140437', '非领导职务部门', '001019002002', '5663020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531851', '2', '99', '1323441314750140437', '领导助理部门', '001019002003', '5663020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531852', '2', '99', '1323441314750140437', '市场营销部', '001019002004', '5663020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531853', '2', '99', '1323441314750140437', '金融业务部', '001019002005', '5663020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531854', '2', '99', '1323441314750140437', '集邮与文化传媒部', '001019002006', '5663020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531855', '2', '99', '1323441314750140437', '渠道平台部', '001019002007', '5663020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531856', '2', '99', '1323441314750140437', '综合办公室（安全保卫部）', '001019002008', '5663020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858042531857', '2', '99', '1323441314750140437', '营业班', '001019002009', '5663020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726144', '2', '99', '1323441314750140437', '北岭支局', '001019002010', '5663020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726145', '2', '99', '1323441314750140437', '昌盛路支局', '001019002011', '5663020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726146', '2', '99', '1323441314750140437', '昌盛邮政所', '001019002012', '5663020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726147', '2', '99', '1323441314750140437', '车站支局', '001019002013', '5663020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726148', '2', '99', '1323441314750140437', '郭店支局', '001019002014', '5663020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726149', '2', '99', '1323441314750140437', '郭庄邮政所', '001019002015', '5663020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726150', '2', '99', '1323441314750140437', '韩道口镇支局', '001019002016', '5663020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726151', '2', '99', '1323441314750140437', '何营支局', '001019002017', '5663020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726152', '2', '99', '1323441314750140437', '胡桥支局', '001019002018', '5663020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726153', '2', '99', '1323441314750140437', '会亭邮政所', '001019002019', '5663020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726154', '2', '99', '1323441314750140437', '火店支局', '001019002020', '5663020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726155', '2', '99', '1323441314750140437', '济阳支局', '001019002021', '5663020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726156', '2', '99', '1323441314750140437', '孔庄支局', '001019002022', '5663020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726157', '2', '99', '1323441314750140437', '李集镇支局', '001019002023', '5663020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726158', '2', '99', '1323441314750140437', '刘店邮政所', '001019002024', '5663020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726159', '2', '99', '1323441314750140437', '罗庄邮政所', '001019002025', '5663020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726160', '2', '99', '1323441314750140437', '骆集支局', '001019002026', '5663020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858046726161', '2', '99', '1323441314750140437', '马头支局', '001019002027', '5663020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920448', '2', '99', '1323441314750140437', '歧河支局', '001019002028', '5663020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920449', '2', '99', '1323441314750140437', '桑固支局', '001019002029', '5663020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920450', '2', '99', '1323441314750140437', '圣源支局', '001019002030', '5663020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920451', '2', '99', '1323441314750140437', '圣源邮政所', '001019002031', '5663020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920452', '2', '99', '1323441314750140437', '太平支局', '001019002032', '5663020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920453', '2', '99', '1323441314750140437', '王集乡支局', '001019002033', '5663020038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920454', '2', '99', '1323441314750140437', '县府路邮政所', '001019002034', '5663020039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920455', '2', '99', '1323441314750140437', '杨集支局', '001019002035', '5663020040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920456', '2', '99', '1323441314750140437', '业庙支局', '001019002036', '5663020041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920457', '2', '99', '1323441314750140437', '中峰邮政所', '001019002037', '5663020042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920458', '2', '99', '1323441314750140437', '保留关系人员部门', '001019002038', '5663020099', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920459', '2', '99', '1323441314750140437', '机要室', '001019002039', '566302000401', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920460', '2', '99', '1323441314750140437', '中邮保险中心', '001019002040', '566302000701', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920461', '2', '99', '1323441314750140437', '寄递事业部', '001019002041', '5663020088', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920462', '2', '99', '1323441314750140438', '单位领导部门', '001019003001', '5663030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920463', '2', '99', '1323441314750140438', '非领导职务部门', '001019003002', '5663030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920464', '2', '99', '1323441314750140438', '领导助理部门', '001019003003', '5663030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858050920465', '2', '99', '1323441314750140438', '市场营销部', '001019003004', '5663030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114752', '2', '99', '1323441314750140438', '金融业务部', '001019003005', '5663030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114753', '2', '99', '1323441314750140438', '集邮与文化传媒部', '001019003006', '5663030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114754', '2', '99', '1323441314750140438', '渠道平台部', '001019003007', '5663030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114755', '2', '99', '1323441314750140438', '综合办公室（安全保卫部）', '001019003008', '5663030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114756', '2', '99', '1323441314750140438', '营业班', '001019003009', '5663030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114757', '2', '99', '1323441314750140438', '八里堂邮政所', '001019003010', '5663030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114758', '2', '99', '1323441314750140438', '大侯支局', '001019003011', '5663030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114759', '2', '99', '1323441314750140438', '店集支局', '001019003012', '5663030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114760', '2', '99', '1323441314750140438', '东郊路支局', '001019003013', '5663030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114761', '2', '99', '1323441314750140438', '杜集支局', '001019003014', '5663030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114762', '2', '99', '1323441314750140438', '府前路支局', '001019003015', '5663030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114763', '2', '99', '1323441314750140438', '谷熟镇支局', '001019003016', '5663030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114764', '2', '99', '1323441314750140438', '黄冢支局', '001019003017', '5663030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114765', '2', '99', '1323441314750140438', '贾寨邮政所', '001019003018', '5663030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114766', '2', '99', '1323441314750140438', '界沟邮政所', '001019003019', '5663030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114767', '2', '99', '1323441314750140438', '开发区支局', '001019003020', '5663030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114768', '2', '99', '1323441314750140438', '李老家支局', '001019003021', '5663030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858055114769', '2', '99', '1323441314750140438', '利民镇支局', '001019003022', '5663030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309056', '2', '99', '1323441314750140438', '刘店邮政所', '001019003023', '5663030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309057', '2', '99', '1323441314750140438', '刘集支局', '001019003024', '5663030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309058', '2', '99', '1323441314750140438', '芒种桥支局', '001019003025', '5663030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309059', '2', '99', '1323441314750140438', '木兰邮政所', '001019003026', '5663030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309060', '2', '99', '1323441314750140438', '乔集支局', '001019003027', '5663030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309061', '2', '99', '1323441314750140438', '人民路邮政所', '001019003028', '5663030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309062', '2', '99', '1323441314750140438', '三庄邮政所', '001019003029', '5663030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309063', '2', '99', '1323441314750140438', '沙集支局', '001019003030', '5663030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309064', '2', '99', '1323441314750140438', '稍岗支局', '001019003031', '5663030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309065', '2', '99', '1323441314750140438', '田庙邮政所', '001019003032', '5663030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309066', '2', '99', '1323441314750140438', '王集支局', '001019003033', '5663030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309067', '2', '99', '1323441314750140438', '文集邮政所', '001019003034', '5663030039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309068', '2', '99', '1323441314750140438', '小侯邮政所', '001019003035', '5663030040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309069', '2', '99', '1323441314750140438', '杨集镇支局', '001019003036', '5663030041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309070', '2', '99', '1323441314750140438', '营盘邮政所', '001019003037', '5663030042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309071', '2', '99', '1323441314750140438', '站集支局', '001019003038', '5663030043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309072', '2', '99', '1323441314750140438', '张集镇邮政所', '001019003039', '5663030044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858059309073', '2', '99', '1323441314750140438', '镇里固邮政所', '001019003040', '5663030045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503360', '2', '99', '1323441314750140438', '郑集支局', '001019003041', '5663030046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503361', '2', '99', '1323441314750140438', '界沟镇营业所', '001019003042', '5663030047', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503362', '2', '99', '1323441314750140438', '保留关系人员部门', '001019003043', '5663030099', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503363', '2', '99', '1323441314750140438', '机要室', '001019003044', '566303000401', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503364', '2', '99', '1323441314750140438', '中邮保险中心', '001019003045', '566303000701', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503365', '2', '99', '1323441314750140438', '寄递事业部', '001019003046', '5663030088', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503366', '2', '99', '1323441314750140439', '单位领导部门', '001019004001', '5663040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503367', '2', '99', '1323441314750140439', '非领导职务部门', '001019004002', '5663040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503368', '2', '99', '1323441314750140439', '领导助理部门', '001019004003', '5663040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503369', '2', '99', '1323441314750140439', '市场营销部', '001019004004', '5663040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503370', '2', '99', '1323441314750140439', '金融业务部', '001019004005', '5663040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503371', '2', '99', '1323441314750140439', '集邮与文化传媒部', '001019004006', '5663040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503372', '2', '99', '1323441314750140439', '渠道平台部', '001019004007', '5663040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503373', '2', '99', '1323441314750140439', '综合办公室（安全保卫部）', '001019004008', '5663040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503374', '2', '99', '1323441314750140439', '营业班', '001019004009', '5663040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503375', '2', '99', '1323441314750140439', '包公庙乡邮政所', '001019004010', '5663040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858063503376', '2', '99', '1323441314750140439', '北海路支局', '001019004011', '5663040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697664', '2', '99', '1323441314750140439', '冯桥乡邮政所', '001019004012', '5663040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697665', '2', '99', '1323441314750140439', '高辛镇支局', '001019004013', '5663040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697666', '2', '99', '1323441314750140439', '观堂支局', '001019004014', '5663040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697667', '2', '99', '1323441314750140439', '郭村镇支局', '001019004015', '5663040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697668', '2', '99', '1323441314750140439', '杭州路邮政所', '001019004016', '5663040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697669', '2', '99', '1323441314750140439', '火车南站支局', '001019004017', '5663040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697670', '2', '99', '1323441314750140439', '勒马乡支局', '001019004018', '5663040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697671', '2', '99', '1323441314750140439', '李口镇支局', '001019004019', '5663040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697672', '2', '99', '1323441314750140439', '李庄支局', '001019004020', '5663040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697673', '2', '99', '1323441314750140439', '临河店乡邮政所', '001019004021', '5663040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697674', '2', '99', '1323441314750140439', '刘口镇支局', '001019004022', '5663040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697675', '2', '99', '1323441314750140439', '娄店乡邮政所', '001019004023', '5663040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697676', '2', '99', '1323441314750140439', '路河邮政所', '001019004024', '5663040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697677', '2', '99', '1323441314750140439', '毛固堆支局', '001019004025', '5663040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697678', '2', '99', '1323441314750140439', '双八镇支局', '001019004026', '5663040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697679', '2', '99', '1323441314750140439', '水池铺邮政所', '001019004027', '5663040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697680', '2', '99', '1323441314750140439', '宋集镇支局', '001019004028', '5663040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858067697681', '2', '99', '1323441314750140439', '睢阳邮政所', '001019004029', '5663040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891968', '2', '99', '1323441314750140439', '孙福集乡支局', '001019004030', '5663040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891969', '2', '99', '1323441314750140439', '王楼邮政所', '001019004031', '5663040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891970', '2', '99', '1323441314750140439', '坞墙乡支局', '001019004032', '5663040037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891971', '2', '99', '1323441314750140439', '香君路邮政所', '001019004033', '5663040038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891972', '2', '99', '1323441314750140439', '谢集镇支局', '001019004034', '5663040039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891973', '2', '99', '1323441314750140439', '闫集乡邮政所', '001019004035', '5663040040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891974', '2', '99', '1323441314750140439', '张阁镇支局', '001019004036', '5663040041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891975', '2', '99', '1323441314750140439', '中山路支局', '001019004037', '5663040042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891976', '2', '99', '1323441314750140439', '中山路邮政所', '001019004038', '5663040043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891977', '2', '99', '1323441314750140439', '中山南路支局', '001019004039', '5663040044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891978', '2', '99', '1323441314750140439', '周集乡邮政所', '001019004040', '5663040045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891979', '2', '99', '1323441314750140439', '保留关系人员部门', '001019004041', '5663040099', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891980', '2', '99', '1323441314750140439', '机要室', '001019004042', '566304000401', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891981', '2', '99', '1323441314750140439', '中邮保险中心', '001019004043', '566304000701', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891982', '2', '99', '1323441314750140439', '寄递事业部', '001019004044', '5663040088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858071891983', '2', '99', '1323441314750140440', '单位领导部门', '001019005001', '5663050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086272', '2', '99', '1323441314750140440', '非领导职务部门', '001019005002', '5663050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086273', '2', '99', '1323441314750140440', '领导助理部门', '001019005003', '5663050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086274', '2', '99', '1323441314750140440', '市场营销部', '001019005004', '5663050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086275', '2', '99', '1323441314750140440', '金融业务部', '001019005005', '5663050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086276', '2', '99', '1323441314750140440', '集邮与文化传媒部', '001019005006', '5663050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086277', '2', '99', '1323441314750140440', '渠道平台部', '001019005007', '5663050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086278', '2', '99', '1323441314750140440', '综合办公室（安全保卫部）', '001019005008', '5663050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086279', '2', '99', '1323441314750140440', '营业班', '001019005009', '5663050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086280', '2', '99', '1323441314750140440', '安平支局', '001019005010', '5663050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086281', '2', '99', '1323441314750140440', '伯岗支局', '001019005011', '5663050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086282', '2', '99', '1323441314750140440', '陈集支局', '001019005012', '5663050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086283', '2', '99', '1323441314750140440', '春水路支局', '001019005013', '5663050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086284', '2', '99', '1323441314750140440', '慈圣支局', '001019005014', '5663050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086285', '2', '99', '1323441314750140440', '大仵邮政所', '001019005015', '5663050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086286', '2', '99', '1323441314750140440', '岗王邮政所', '001019005016', '5663050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086287', '2', '99', '1323441314750140440', '洪恩邮政所', '001019005017', '5663050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858076086288', '2', '99', '1323441314750140440', '胡襄邮政所', '001019005018', '5663050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280576', '2', '99', '1323441314750140440', '皇集邮政所', '001019005019', '5663050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280577', '2', '99', '1323441314750140440', '汇泉路支局', '001019005020', '5663050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280578', '2', '99', '1323441314750140440', '老王集邮政所', '001019005021', '5663050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280579', '2', '99', '1323441314750140440', '李原支局', '001019005022', '5663050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280580', '2', '99', '1323441314750140440', '马集邮政所', '001019005023', '5663050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280581', '2', '99', '1323441314750140440', '牛城邮政所', '001019005024', '5663050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280582', '2', '99', '1323441314750140440', '起台支局', '001019005025', '5663050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280583', '2', '99', '1323441314750140440', '申桥支局', '001019005026', '5663050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280584', '2', '99', '1323441314750140440', '未来路支局', '001019005027', '5663050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280585', '2', '99', '1323441314750140440', '未来路邮政所', '001019005028', '5663050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280586', '2', '99', '1323441314750140440', '文庙支局', '001019005029', '5663050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280587', '2', '99', '1323441314750140440', '小吴邮政所', '001019005030', '5663050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280588', '2', '99', '1323441314750140440', '中原路邮政所', '001019005031', '5663050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280589', '2', '99', '1323441314750140440', '远襄支局', '001019005032', '5663050037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280590', '2', '99', '1323441314750140440', '张桥邮政所', '001019005033', '5663050038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280591', '2', '99', '1323441314750140440', '中原支局', '001019005034', '5663050039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280592', '2', '99', '1323441314750140440', '保留关系人员部门', '001019005035', '5663050099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858080280593', '2', '99', '1323441314750140440', '机要室', '001019005036', '566305000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474880', '2', '99', '1323441314750140440', '中邮保险中心', '001019005037', '566305000701', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474881', '2', '99', '1323441314750140440', '寄递事业部', '001019005038', '5663050088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474882', '2', '99', '1323441314750140441', '单位领导部门', '001019006001', '5663060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474883', '2', '99', '1323441314750140441', '非领导职务部门', '001019006002', '5663060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474884', '2', '99', '1323441314750140441', '领导助理部门', '001019006003', '5663060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474885', '2', '99', '1323441314750140441', '市场营销部', '001019006004', '5663060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474886', '2', '99', '1323441314750140441', '金融业务部', '001019006005', '5663060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474887', '2', '99', '1323441314750140441', '集邮与文化传媒部', '001019006006', '5663060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474888', '2', '99', '1323441314750140441', '渠道平台部', '001019006007', '5663060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474889', '2', '99', '1323441314750140441', '综合办公室（安全保卫部）', '001019006008', '5663060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474890', '2', '99', '1323441314750140441', '营业班', '001019006009', '5663060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474891', '2', '99', '1323441314750140441', '程楼支局', '001019006010', '5663060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474892', '2', '99', '1323441314750140441', '楚庄支局', '001019006011', '5663060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474893', '2', '99', '1323441314750140441', '华堡支局', '001019006012', '5663060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474894', '2', '99', '1323441314750140441', '黄岗邮政所', '001019006013', '5663060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474895', '2', '99', '1323441314750140441', '孔集支局', '001019006014', '5663060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858084474896', '2', '99', '1323441314750140441', '刘楼支局', '001019006015', '5663060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669184', '2', '99', '1323441314750140441', '柳河支局', '001019006016', '5663060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669185', '2', '99', '1323441314750140441', '逻岗支局', '001019006017', '5663060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669186', '2', '99', '1323441314750140441', '乔楼邮政所', '001019006018', '5663060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669187', '2', '99', '1323441314750140441', '石桥支局', '001019006019', '5663060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669188', '2', '99', '1323441314750140441', '西关邮政所', '001019006020', '5663060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669189', '2', '99', '1323441314750140441', '新吾路支局', '001019006021', '5663060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669190', '2', '99', '1323441314750140441', '阳驿支局', '001019006022', '5663060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669191', '2', '99', '1323441314750140441', '张弓路支局', '001019006023', '5663060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669192', '2', '99', '1323441314750140441', '张弓邮政所', '001019006024', '5663060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669193', '2', '99', '1323441314750140441', '赵村支局', '001019006025', '5663060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669194', '2', '99', '1323441314750140441', '保留关系人员部门', '001019006026', '5663060099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669195', '2', '99', '1323441314750140441', '机要室', '001019006027', '566306000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669196', '2', '99', '1323441314750140441', '中邮保险中心', '001019006028', '566306000701', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669197', '2', '99', '1323441314750140441', '寄递事业部', '001019006029', '5663060088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669198', '2', '99', '1323441314750140442', '单位领导部门', '001019007001', '5663070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669199', '2', '99', '1323441314750140442', '非领导职务部门', '001019007002', '5663070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669200', '2', '99', '1323441314750140442', '领导助理部门', '001019007003', '5663070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858088669201', '2', '99', '1323441314750140442', '市场营销部', '001019007004', '5663070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863488', '2', '99', '1323441314750140442', '金融业务部', '001019007005', '5663070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863489', '2', '99', '1323441314750140442', '集邮与文化传媒部', '001019007006', '5663070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863490', '2', '99', '1323441314750140442', '渠道平台部', '001019007007', '5663070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863491', '2', '99', '1323441314750140442', '综合办公室（安全保卫部）', '001019007008', '5663070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863492', '2', '99', '1323441314750140442', '营业班', '001019007009', '5663070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863493', '2', '99', '1323441314750140442', '白楼邮政所', '001019007010', '5663070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863494', '2', '99', '1323441314750140442', '白庙邮政所', '001019007011', '5663070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863495', '2', '99', '1323441314750140442', '潮庄支局', '001019007012', '5663070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863496', '2', '99', '1323441314750140442', '董店邮政所', '001019007013', '5663070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863497', '2', '99', '1323441314750140442', '河堤邮政所', '001019007014', '5663070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863498', '2', '99', '1323441314750140442', '河集支局', '001019007015', '5663070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863499', '2', '99', '1323441314750140442', '后台邮政所', '001019007016', '5663070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863500', '2', '99', '1323441314750140442', '胡堂邮政所', '001019007017', '5663070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863501', '2', '99', '1323441314750140442', '建设路支局', '001019007018', '5663070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863502', '2', '99', '1323441314750140442', '涧岗支局', '001019007019', '5663070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863503', '2', '99', '1323441314750140442', '匡城邮政所', '001019007020', '5663070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858092863504', '2', '99', '1323441314750140442', '蓼堤支局', '001019007021', '5663070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057792', '2', '99', '1323441314750140442', '平岗支局', '001019007022', '5663070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057793', '2', '99', '1323441314750140442', '尚屯支局', '001019007023', '5663070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057794', '2', '99', '1323441314750140442', '睢州大道邮政所', '001019007024', '5663070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057795', '2', '99', '1323441314750140442', '孙聚寨支局', '001019007025', '5663070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057796', '2', '99', '1323441314750140442', '西陵支局', '001019007026', '5663070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057797', '2', '99', '1323441314750140442', '尤吉屯邮政所', '001019007027', '5663070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057798', '2', '99', '1323441314750140442', '袁山路支局', '001019007028', '5663070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057799', '2', '99', '1323441314750140442', '长岗邮政所', '001019007029', '5663070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057800', '2', '99', '1323441314750140442', '周堂支局', '001019007030', '5663070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057801', '2', '99', '1323441314750140442', '保留关系人员部门', '001019007031', '5663070099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057802', '2', '99', '1323441314750140442', '机要室', '001019007032', '566307000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057803', '2', '99', '1323441314750140442', '中邮保险中心', '001019007033', '566307000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057804', '2', '99', '1323441314750140442', '寄递事业部', '001019007034', '5663070088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057805', '2', '99', '1323441314750140443', '单位领导部门', '001019008001', '5663080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057806', '2', '99', '1323441314750140443', '非领导职务部门', '001019008002', '5663080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057807', '2', '99', '1323441314750140443', '领导助理部门', '001019008003', '5663080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858097057808', '2', '99', '1323441314750140443', '市场营销部', '001019008004', '5663080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252096', '2', '99', '1323441314750140443', '金融业务部', '001019008005', '5663080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252097', '2', '99', '1323441314750140443', '集邮与文化传媒部', '001019008006', '5663080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252098', '2', '99', '1323441314750140443', '渠道平台部', '001019008007', '5663080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252099', '2', '99', '1323441314750140443', '综合办公室（安全保卫部）', '001019008008', '5663080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252100', '2', '99', '1323441314750140443', '营业班', '001019008009', '5663080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252101', '2', '99', '1323441314750140443', '白云寺镇支局', '001019008010', '5663080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252102', '2', '99', '1323441314750140443', '北关支局', '001019008011', '5663080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252103', '2', '99', '1323441314750140443', '伯党支局', '001019008012', '5663080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252104', '2', '99', '1323441314750140443', '程庄支局', '001019008013', '5663080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252105', '2', '99', '1323441314750140443', '褚庙邮政所', '001019008014', '5663080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252106', '2', '99', '1323441314750140443', '东关支局', '001019008015', '5663080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252107', '2', '99', '1323441314750140443', '府前街邮政所', '001019008016', '5663080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252108', '2', '99', '1323441314750140443', '胡集邮政所', '001019008017', '5663080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252109', '2', '99', '1323441314750140443', '花园邮政所', '001019008018', '5663080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252110', '2', '99', '1323441314750140443', '李堂邮政所', '001019008019', '5663080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252111', '2', '99', '1323441314750140443', '林七支局', '001019008020', '5663080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858101252112', '2', '99', '1323441314750140443', '龙塘邮政所', '001019008021', '5663080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446400', '2', '99', '1323441314750140443', '人和支局', '001019008022', '5663080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446401', '2', '99', '1323441314750140443', '人民路支局', '001019008023', '5663080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446402', '2', '99', '1323441314750140443', '双塔邮政所', '001019008024', '5663080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446403', '2', '99', '1323441314750140443', '孙六邮政所', '001019008025', '5663080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446404', '2', '99', '1323441314750140443', '王桥支局', '001019008026', '5663080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446405', '2', '99', '1323441314750140443', '王庄寨邮政所', '001019008027', '5663080032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446406', '2', '99', '1323441314750140443', '颜集邮政所', '001019008028', '5663080033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446407', '2', '99', '1323441314750140443', '野岗邮政所', '001019008029', '5663080034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446408', '2', '99', '1323441314750140443', '庄子支局', '001019008030', '5663080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446409', '2', '99', '1323441314750140443', '保留关系人员部门', '001019008031', '5663080099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446410', '2', '99', '1323441314750140443', '机要室', '001019008032', '566308000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446411', '2', '99', '1323441314750140443', '中邮保险中心', '001019008033', '566308000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446412', '2', '99', '1323441314750140443', '寄递事业部', '001019008034', '5663080088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446413', '2', '99', '1323441314750140444', '单位领导部门', '001019009001', '5663200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446414', '2', '99', '1323441314750140444', '非领导职务部门', '001019009002', '5663200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858105446415', '2', '99', '1323441314750140444', '领导助理部门', '001019009003', '5663200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640704', '2', '99', '1323441314750140444', '机要通信分局内设机构（虚拟部门）', '001019009004', '5663200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640705', '2', '99', '1323441314750140444', '保留关系人员部门', '001019009005', '5663200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640706', '2', '99', '1323441314750140445', '单位领导部门', '001019010001', '5663200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640707', '2', '99', '1323441314750140445', '非领导职务部门', '001019010002', '5663200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640708', '2', '99', '1323441314750140445', '领导助理部门', '001019010003', '5663200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640709', '2', '99', '1323441314750140445', '市场营销部', '001019010004', '5663200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640710', '2', '99', '1323441314750140445', '金融业务部（中邮保险局）', '001019010005', '5663200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640711', '2', '99', '1323441314750140445', '集邮与文化传媒部', '001019010006', '5663200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640712', '2', '99', '1323441314750140445', '渠道平台部', '001019010007', '5663200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640713', '2', '99', '1323441314750140445', '营业班', '001019010008', '5663200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640714', '2', '99', '1323441314750140445', '桂林路邮政所', '001019010009', '5663200115', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640715', '2', '99', '1323441314750140445', '府前邮政所', '001019010010', '5663200116', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640716', '2', '99', '1323441314750140445', '凯旋中路邮政所', '001019010011', '5663200117', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640717', '2', '99', '1323441314750140445', '府前支局', '001019010012', '5663200118', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640718', '2', '99', '1323441314750140445', '凯旋路曙光支局', '001019010013', '5663200119', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640719', '2', '99', '1323441314750140445', '凯旋路支局', '001019010014', '5663200120', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858109640720', '2', '99', '1323441314750140445', '凯旋南路支局', '001019010015', '5663200121', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835008', '2', '99', '1323441314750140445', '民主东路支局', '001019010016', '5663200122', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835009', '2', '99', '1323441314750140445', '民主西路支局', '001019010017', '5663200123', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835010', '2', '99', '1323441314750140445', '胜利路支局', '001019010018', '5663200124', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835011', '2', '99', '1323441314750140445', '文化东路支局', '001019010019', '5663200125', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835012', '2', '99', '1323441314750140445', '梁园邮政所', '001019010020', '5663200126', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835013', '2', '99', '1323441314750140445', '民主西路邮政所', '001019010021', '5663200127', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835014', '2', '99', '1323441314750140445', '平原中路邮政所', '001019010022', '5663200128', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835015', '2', '99', '1323441314750140445', '胜利路邮政所', '001019010023', '5663200129', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835016', '2', '99', '1323441314750140445', '师院西邮政所', '001019010024', '5663200130', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835017', '2', '99', '1323441314750140445', '师院邮政所', '001019010025', '5663200131', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835018', '2', '99', '1323441314750140445', '市委邮政所', '001019010026', '5663200132', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835019', '2', '99', '1323441314750140445', '睢阳区长江路支局', '001019010027', '5663200133', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835020', '2', '99', '1323441314750140445', '铁三局邮政所', '001019010028', '5663200134', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835021', '2', '99', '1323441314750140445', '文化路邮政所', '001019010029', '5663200135', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835022', '2', '99', '1323441314750140445', '站前路邮政所', '001019010030', '5663200136', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858113835023', '2', '99', '1323441314750140445', '株洲路邮政所', '001019010031', '5663200137', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029312', '2', '99', '1323441314750140445', '保留关系人员部门', '001019010032', '5663200199', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029313', '2', '99', '1323441314750140445', '寄递事业部', '001019010033', '5663200188', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029314', '2', '99', '1323441314750140446', '单位领导部门', '001020012', '5664000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029315', '2', '99', '1323441314750140446', '非领导职务部门', '001020013', '5664000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029316', '2', '99', '1323441314750140446', '领导助理部门', '001020014', '5664000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029317', '2', '99', '1323441314750140446', '市场营销部', '001020015', '5664000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029318', '2', '99', '1323441314750140446', '服务质量部（普遍服务部）', '001020016', '5664000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029319', '2', '99', '1323441314750140446', '金融业务部', '001020017', '5664000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029320', '2', '99', '1323441314750140446', '集邮与文化传媒部', '001020018', '5664000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029321', '2', '99', '1323441314750140446', '渠道平台部', '001020019', '5664000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029322', '2', '99', '1323441314750140446', '综合办公室（党委办公室、安全保卫部）', '001020020', '5664000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029323', '2', '99', '1323441314750140446', '财务部', '001020021', '5664000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029324', '2', '99', '1323441314750140446', '人力资源部（党委组织部）', '001020022', '5664000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029325', '2', '99', '1323441314750140446', '党委党建工作部（纪委办公室）', '001020023', '5664000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029326', '2', '99', '1323441314750140446', '工会', '001020024', '5664000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029327', '2', '99', '1323441314750140446', '中邮保险业务部', '001020025', '5664000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858118029328', '2', '99', '1323441314750140446', '保留关系人员部门', '001020026', '5664000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223616', '2', '99', '1323441314750140446', '客户营销中心', '001020027', '566400000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223617', '2', '99', '1323441314750140446', '业务档案班', '001020028', '566400000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223618', '2', '99', '1323441314750140446', '业务管理室', '001020029', '566400000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223619', '2', '99', '1323441314750140446', '内控管理室', '001020030', '566400000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223620', '2', '99', '1323441314750140446', '业务管理室', '001020031', '566400000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223621', '2', '99', '1323441314750140446', '创意研发室', '001020032', '566400000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223622', '2', '99', '1323441314750140446', '商函制作班', '001020033', '566400000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223623', '2', '99', '1323441314750140446', '渠道管理室', '001020034', '566400001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223624', '2', '99', '1323441314750140446', '电商分销室', '001020035', '566400001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223625', '2', '99', '1323441314750140446', '远程监控班', '001020036', '566400001104', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223626', '2', '99', '1323441314750140446', '寄递事业部', '001020037', '5664000088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223627', '2', '99', '1323441314750140447', '单位领导部门', '001020001001', '5664010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223628', '2', '99', '1323441314750140447', '非领导职务部门', '001020001002', '5664010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223629', '2', '99', '1323441314750140447', '领导助理部门', '001020001003', '5664010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223630', '2', '99', '1323441314750140447', '市场营销部', '001020001004', '5664010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223631', '2', '99', '1323441314750140447', '金融业务部', '001020001005', '5664010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223632', '2', '99', '1323441314750140447', '集邮与文化传媒部', '001020001006', '5664010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858122223633', '2', '99', '1323441314750140447', '渠道平台部', '001020001007', '5664010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417920', '2', '99', '1323441314750140447', '综合办公室（安全保卫部）', '001020001008', '5664010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417921', '2', '99', '1323441314750140447', '营业班', '001020001009', '5664010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417922', '2', '99', '1323441314750140447', '城关支局', '001020001010', '5664010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417923', '2', '99', '1323441314750140447', '丁集支局', '001020001011', '5664010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417924', '2', '99', '1323441314750140447', '范集支局', '001020001012', '5664010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417925', '2', '99', '1323441314750140447', '付集支局', '001020001013', '5664010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417926', '2', '99', '1323441314750140447', '高寺支局', '001020001014', '5664010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417927', '2', '99', '1323441314750140447', '官会支局', '001020001015', '5664010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417928', '2', '99', '1323441314750140447', '环城路支局', '001020001016', '5664010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417929', '2', '99', '1323441314750140447', '贾岭支局', '001020001017', '5664010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417930', '2', '99', '1323441314750140447', '李寨支局', '001020001018', '5664010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417931', '2', '99', '1323441314750140447', '南顿邮政所', '001020001019', '5664010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417932', '2', '99', '1323441314750140447', '孙店支局', '001020001020', '5664010026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417933', '2', '99', '1323441314750140447', '王明口支局', '001020001021', '5664010027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417934', '2', '99', '1323441314750140447', '市局营业支局', '001020001022', '5664010028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858126417935', '2', '99', '1323441314750140447', '西大街邮政所', '001020001023', '5664010029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612224', '2', '99', '1323441314750140447', '新桥支局', '001020001024', '5664010030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612225', '2', '99', '1323441314750140447', '永丰支局', '001020001025', '5664010031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612226', '2', '99', '1323441314750140447', '郑郭支局', '001020001026', '5664010032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612227', '2', '99', '1323441314750140447', '三店支局', '001020001027', '5664010033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612228', '2', '99', '1323441314750140447', '保留关系人员部门', '001020001028', '5664010099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612229', '2', '99', '1323441314750140447', '机要室', '001020001029', '566401000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612230', '2', '99', '1323441314750140447', '中邮保险中心', '001020001030', '566401000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612231', '2', '99', '1323441314750140447', '寄递事业部', '001020001031', '5664010088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612232', '2', '99', '1323441314750140448', '单位领导部门', '001020002001', '5664020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612233', '2', '99', '1323441314750140448', '非领导职务部门', '001020002002', '5664020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612234', '2', '99', '1323441314750140448', '领导助理部门', '001020002003', '5664020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612235', '2', '99', '1323441314750140448', '市场营销部', '001020002004', '5664020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612236', '2', '99', '1323441314750140448', '金融业务部', '001020002005', '5664020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612237', '2', '99', '1323441314750140448', '集邮与文化传媒部', '001020002006', '5664020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612238', '2', '99', '1323441314750140448', '渠道平台部', '001020002007', '5664020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858130612239', '2', '99', '1323441314750140448', '综合办公室（安全保卫部）', '001020002008', '5664020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806528', '2', '99', '1323441314750140448', '营业班', '001020002009', '5664020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806529', '2', '99', '1323441314750140448', '巴村支局', '001020002010', '5664020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806530', '2', '99', '1323441314750140448', '白寺支局', '001020002011', '5664020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806531', '2', '99', '1323441314750140448', '备战路支局', '001020002012', '5664020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806532', '2', '99', '1323441314750140448', '城关邮政所', '001020002013', '5664020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806533', '2', '99', '1323441314750140448', '大武邮政所', '001020002014', '5664020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806534', '2', '99', '1323441314750140448', '邓城支局', '001020002015', '5664020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806535', '2', '99', '1323441314750140448', '固墙支局', '001020002016', '5664020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806536', '2', '99', '1323441314750140448', '郝岗邮政所', '001020002017', '5664020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806537', '2', '99', '1323441314750140448', '胡吉邮政所', '001020002018', '5664020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806538', '2', '99', '1323441314750140448', '化河邮政所', '001020002019', '5664020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806539', '2', '99', '1323441314750140448', '黄寨支局', '001020002020', '5664020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806540', '2', '99', '1323441314750140448', '李埠口支局', '001020002021', '5664020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806541', '2', '99', '1323441314750140448', '练集支局', '001020002022', '5664020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806542', '2', '99', '1323441314750140448', '平店支局', '001020002023', '5664020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858134806543', '2', '99', '1323441314750140448', '舒庄支局', '001020002024', '5664020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000832', '2', '99', '1323441314750140448', '谭庄支局', '001020002025', '5664020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000833', '2', '99', '1323441314750140448', '汤庄邮政所', '001020002026', '5664020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000834', '2', '99', '1323441314750140448', '位集支局', '001020002027', '5664020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000835', '2', '99', '1323441314750140448', '姚集支局', '001020002028', '5664020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000836', '2', '99', '1323441314750140448', '邮政营业所', '001020002029', '5664020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000837', '2', '99', '1323441314750140448', '袁老邮政所', '001020002030', '5664020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000838', '2', '99', '1323441314750140448', '张明支局', '001020002031', '5664020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000839', '2', '99', '1323441314750140448', '张庄支局', '001020002032', '5664020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000840', '2', '99', '1323441314750140448', '保留关系人员部门', '001020002033', '5664020099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000841', '2', '99', '1323441314750140448', '机要室', '001020002034', '566402000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000842', '2', '99', '1323441314750140448', '中邮保险中心', '001020002035', '566402000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000843', '2', '99', '1323441314750140448', '寄递事业部', '001020002036', '5664020088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000844', '2', '99', '1323441314750140449', '单位领导部门', '001020003001', '5664030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000845', '2', '99', '1323441314750140449', '非领导职务部门', '001020003002', '5664030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000846', '2', '99', '1323441314750140449', '领导助理部门', '001020003003', '5664030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000847', '2', '99', '1323441314750140449', '市场营销部', '001020003004', '5664030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858139000848', '2', '99', '1323441314750140449', '金融业务部', '001020003005', '5664030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195136', '2', '99', '1323441314750140449', '集邮与文化传媒部', '001020003006', '5664030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195137', '2', '99', '1323441314750140449', '渠道平台部', '001020003007', '5664030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195138', '2', '99', '1323441314750140449', '综合办公室（安全保卫部）', '001020003008', '5664030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195139', '2', '99', '1323441314750140449', '营业班', '001020003009', '5664030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195140', '2', '99', '1323441314750140449', '白集支局', '001020003010', '5664030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195141', '2', '99', '1323441314750140449', '北郊邮政所', '001020003011', '5664030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195142', '2', '99', '1323441314750140449', '卞路口支局', '001020003012', '5664030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195143', '2', '99', '1323441314750140449', '城关支局', '001020003013', '5664030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195144', '2', '99', '1323441314750140449', '范营支局', '001020003014', '5664030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195145', '2', '99', '1323441314750140449', '冯营支局', '001020003015', '5664030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195146', '2', '99', '1323441314750140449', '付井邮政所', '001020003016', '5664030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195147', '2', '99', '1323441314750140449', '颖河（商贸城）支局', '001020003017', '5664030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195148', '2', '99', '1323441314750140449', '洪山支局', '001020003018', '5664030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195149', '2', '99', '1323441314750140449', '李老庄支局', '001020003019', '5664030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858143195150', '2', '99', '1323441314750140449', '莲池支局', '001020003020', '5664030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389440', '2', '99', '1323441314750140449', '刘湾支局', '001020003021', '5664030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389441', '2', '99', '1323441314750140449', '刘庄店支局', '001020003022', '5664030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389442', '2', '99', '1323441314750140449', '留福支局', '001020003023', '5664030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389443', '2', '99', '1323441314750140449', '石槽支局', '001020003024', '5664030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389444', '2', '99', '1323441314750140449', '县府街邮政所', '001020003025', '5664030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389445', '2', '99', '1323441314750140449', '新华街支局', '001020003026', '5664030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389446', '2', '99', '1323441314750140449', '新集支局', '001020003027', '5664030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389447', '2', '99', '1323441314750140449', '邢庄支局', '001020003028', '5664030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389448', '2', '99', '1323441314750140449', '北杨集支局', '001020003029', '5664030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389449', '2', '99', '1323441314750140449', '闸南支局', '001020003030', '5664030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389450', '2', '99', '1323441314750140449', '赵德营支局', '001020003031', '5664030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389451', '2', '99', '1323441314750140449', '纸店支局', '001020003032', '5664030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389452', '2', '99', '1323441314750140449', '周营支局', '001020003033', '5664030038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389453', '2', '99', '1323441314750140449', '保留关系人员部门', '001020003034', '5664030099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389454', '2', '99', '1323441314750140449', '机要室', '001020003035', '566403000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858147389455', '2', '99', '1323441314750140449', '中邮保险中心', '001020003036', '566403000701', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583744', '2', '99', '1323441314750140449', '寄递事业部', '001020003037', '5664030088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583745', '2', '99', '1323441314750140450', '单位领导部门', '001020004001', '5664040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583746', '2', '99', '1323441314750140450', '非领导职务部门', '001020004002', '5664040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583747', '2', '99', '1323441314750140450', '领导助理部门', '001020004003', '5664040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583748', '2', '99', '1323441314750140450', '市场营销部', '001020004004', '5664040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583749', '2', '99', '1323441314750140450', '金融业务部', '001020004005', '5664040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583750', '2', '99', '1323441314750140450', '集邮与文化传媒部', '001020004006', '5664040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583751', '2', '99', '1323441314750140450', '渠道平台部', '001020004007', '5664040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583752', '2', '99', '1323441314750140450', '综合办公室（安全保卫部）', '001020004008', '5664040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583753', '2', '99', '1323441314750140450', '营业班', '001020004009', '5664040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583754', '2', '99', '1323441314750140450', '板桥支局', '001020004010', '5664040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583755', '2', '99', '1323441314750140450', '常营支局', '001020004011', '5664040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583756', '2', '99', '1323441314750140450', '城关支局', '001020004012', '5664040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583757', '2', '99', '1323441314750140450', '城郊邮政所', '001020004013', '5664040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858151583758', '2', '99', '1323441314750140450', '大许寨支局', '001020004014', '5664040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778048', '2', '99', '1323441314750140450', '中心支局', '001020004015', '5664040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778049', '2', '99', '1323441314750140450', '独塘支局', '001020004016', '5664040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778050', '2', '99', '1323441314750140450', '符草楼支局', '001020004017', '5664040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778051', '2', '99', '1323441314750140450', '高朗邮政所', '001020004018', '5664040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778052', '2', '99', '1323441314750140450', '高贤支局', '001020004019', '5664040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778053', '2', '99', '1323441314750140450', '老冢邮政所', '001020004020', '5664040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778054', '2', '99', '1323441314750140450', '龙曲邮政所', '001020004021', '5664040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778055', '2', '99', '1323441314750140450', '马厂支局', '001020004022', '5664040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778056', '2', '99', '1323441314750140450', '马头支局', '001020004023', '5664040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778057', '2', '99', '1323441314750140450', '毛庄邮政所', '001020004024', '5664040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778058', '2', '99', '1323441314750140450', '清集支局', '001020004025', '5664040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778059', '2', '99', '1323441314750140450', '王集支局', '001020004026', '5664040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778060', '2', '99', '1323441314750140450', '五里口支局', '001020004027', '5664040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778061', '2', '99', '1323441314750140450', '西关支局', '001020004028', '5664040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778062', '2', '99', '1323441314750140450', '逊母口支局', '001020004029', '5664040035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858155778063', '2', '99', '1323441314750140450', '杨庙支局', '001020004030', '5664040036', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972352', '2', '99', '1323441314750140450', '张集支局', '001020004031', '5664040037', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972353', '2', '99', '1323441314750140450', '芝麻洼支局', '001020004032', '5664040038', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972354', '2', '99', '1323441314750140450', '朱口支局', '001020004033', '5664040039', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972355', '2', '99', '1323441314750140450', '转楼邮政所', '001020004034', '5664040040', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972356', '2', '99', '1323441314750140450', '保留关系人员部门', '001020004035', '5664040099', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972357', '2', '99', '1323441314750140450', '机要室', '001020004036', '566404000401', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972358', '2', '99', '1323441314750140450', '中邮保险中心', '001020004037', '566404000701', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972359', '2', '99', '1323441314750140450', '寄递事业部', '001020004038', '5664040088', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972360', '2', '99', '1323441314750140451', '单位领导部门', '001020005001', '5664050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972361', '2', '99', '1323441314750140451', '非领导职务部门', '001020005002', '5664050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972362', '2', '99', '1323441314750140451', '领导助理部门', '001020005003', '5664050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972363', '2', '99', '1323441314750140451', '市场营销部', '001020005004', '5664050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972364', '2', '99', '1323441314750140451', '金融业务部', '001020005005', '5664050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972365', '2', '99', '1323441314750140451', '集邮与文化传媒部', '001020005006', '5664050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972366', '2', '99', '1323441314750140451', '渠道平台部', '001020005007', '5664050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858159972367', '2', '99', '1323441314750140451', '综合办公室（安全保卫部）', '001020005008', '5664050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166656', '2', '99', '1323441314750140451', '营业班', '001020005009', '5664050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166657', '2', '99', '1323441314750140451', '艾岗支局', '001020005010', '5664050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166658', '2', '99', '1323441314750140451', '青华路邮政支局', '001020005011', '5664050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166659', '2', '99', '1323441314750140451', '迟营邮政所', '001020005012', '5664050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166660', '2', '99', '1323441314750140451', '大王庄邮政所', '001020005013', '5664050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166661', '2', '99', '1323441314750140451', '田口邮政所', '001020005014', '5664050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166662', '2', '99', '1323441314750140451', '叶埠口邮政所', '001020005015', '5664050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166663', '2', '99', '1323441314750140451', '东夏支局', '001020005016', '5664050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166664', '2', '99', '1323441314750140451', '泛区支局', '001020005017', '5664050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166665', '2', '99', '1323441314750140451', '奉母支局', '001020005018', '5664050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166666', '2', '99', '1323441314750140451', '红花支局', '001020005019', '5664050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166667', '2', '99', '1323441314750140451', '黄桥支局', '001020005020', '5664050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166668', '2', '99', '1323441314750140451', '箕城南路支局', '001020005021', '5664050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858164166669', '2', '99', '1323441314750140451', '李大庄支局', '001020005022', '5664050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360960', '2', '99', '1323441314750140451', '聂堆支局', '001020005023', '5664050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360961', '2', '99', '1323441314750140451', '皮营支局', '001020005024', '5664050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360962', '2', '99', '1323441314750140451', '清河驿支局', '001020005025', '5664050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360963', '2', '99', '1323441314750140451', '西华营支局', '001020005026', '5664050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360964', '2', '99', '1323441314750140451', '西夏支局', '001020005027', '5664050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360965', '2', '99', '1323441314750140451', '逍遥支局', '001020005028', '5664050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360966', '2', '99', '1323441314750140451', '址坊支局', '001020005029', '5664050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360967', '2', '99', '1323441314750140451', '五二支局', '001020005030', '5664050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360968', '2', '99', '1323441314750140451', '东王营支局', '001020005031', '5664050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360969', '2', '99', '1323441314750140451', '保留关系人员部门', '001020005032', '5664050099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360970', '2', '99', '1323441314750140451', '机要室', '001020005033', '566405000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360971', '2', '99', '1323441314750140451', '中邮保险中心', '001020005034', '566405000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360972', '2', '99', '1323441314750140451', '寄递事业部', '001020005035', '5664050088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360973', '2', '99', '1323441314750140452', '单位领导部门', '001020006001', '5664060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858168360974', '2', '99', '1323441314750140452', '非领导职务部门', '001020006002', '5664060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555264', '2', '99', '1323441314750140452', '领导助理部门', '001020006003', '5664060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555265', '2', '99', '1323441314750140452', '市场营销部', '001020006004', '5664060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555266', '2', '99', '1323441314750140452', '金融业务部', '001020006005', '5664060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555267', '2', '99', '1323441314750140452', '集邮与文化传媒部', '001020006006', '5664060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555268', '2', '99', '1323441314750140452', '渠道平台部', '001020006007', '5664060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555269', '2', '99', '1323441314750140452', '综合办公室（安全保卫部）', '001020006008', '5664060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555270', '2', '99', '1323441314750140452', '营业班', '001020006009', '5664060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555271', '2', '99', '1323441314750140452', '巴集邮政所', '001020006010', '5664060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555272', '2', '99', '1323441314750140452', '白马支局', '001020006011', '5664060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555273', '2', '99', '1323441314750140452', '城郊支局', '001020006012', '5664060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555274', '2', '99', '1323441314750140452', '丁村支局', '001020006013', '5664060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555275', '2', '99', '1323441314750140452', '东风支局', '001020006014', '5664060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555276', '2', '99', '1323441314750140452', '胡集支局', '001020006015', '5664060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555277', '2', '99', '1323441314750140452', '虎岗支局', '001020006016', '5664060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555278', '2', '99', '1323441314750140452', '汲水支局', '001020006017', '5664060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858172555279', '2', '99', '1323441314750140452', '汲冢支局', '001020006018', '5664060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749568', '2', '99', '1323441314750140452', '交通路支局', '001020006019', '5664060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749569', '2', '99', '1323441314750140452', '李楼支局', '001020006020', '5664060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749570', '2', '99', '1323441314750140452', '南丰邮政所', '001020006021', '5664060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749571', '2', '99', '1323441314750140452', '宁平支局', '001020006022', '5664060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749572', '2', '99', '1323441314750140452', '钱店支局', '001020006023', '5664060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749573', '2', '99', '1323441314750140452', '秋渠支局', '001020006024', '5664060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749574', '2', '99', '1323441314750140452', '石槽支局', '001020006025', '5664060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749575', '2', '99', '1323441314750140452', '双楼支局', '001020006026', '5664060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749576', '2', '99', '1323441314750140452', '吴台支局', '001020006027', '5664060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749577', '2', '99', '1323441314750140452', '县局邮政所', '001020006028', '5664060033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749578', '2', '99', '1323441314750140452', '宜路支局', '001020006029', '5664060034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749579', '2', '99', '1323441314750140452', '张完支局', '001020006030', '5664060035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749580', '2', '99', '1323441314750140452', '支农路邮政所', '001020006031', '5664060036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858176749581', '2', '99', '1323441314750140452', '县城示范窗口邮政所', '001020006032', '5664060037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943872', '2', '99', '1323441314750140452', '保留关系人员部门', '001020006033', '5664060099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943873', '2', '99', '1323441314750140452', '机要室', '001020006034', '566406000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943874', '2', '99', '1323441314750140452', '中邮保险中心', '001020006035', '566406000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943875', '2', '99', '1323441314750140452', '寄递事业部', '001020006036', '5664060088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943876', '2', '99', '1323441314750140453', '单位领导部门', '001020007001', '5664070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943877', '2', '99', '1323441314750140453', '非领导职务部门', '001020007002', '5664070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943878', '2', '99', '1323441314750140453', '领导助理部门', '001020007003', '5664070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943879', '2', '99', '1323441314750140453', '市场营销部', '001020007004', '5664070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943880', '2', '99', '1323441314750140453', '金融业务部', '001020007005', '5664070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943881', '2', '99', '1323441314750140453', '集邮与文化传媒部', '001020007006', '5664070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943882', '2', '99', '1323441314750140453', '渠道平台部', '001020007007', '5664070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943883', '2', '99', '1323441314750140453', '综合办公室（安全保卫部）', '001020007008', '5664070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943884', '2', '99', '1323441314750140453', '营业班', '001020007009', '5664070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943885', '2', '99', '1323441314750140453', '白潭支局', '001020007010', '5664070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858180943886', '2', '99', '1323441314750140453', '包屯支局', '001020007011', '5664070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138176', '2', '99', '1323441314750140453', '汴岗支局', '001020007012', '5664070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138177', '2', '99', '1323441314750140453', '曹里支局', '001020007013', '5664070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138178', '2', '99', '1323441314750140453', '柴岗支局', '001020007014', '5664070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138179', '2', '99', '1323441314750140453', '城关镇支局', '001020007015', '5664070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138180', '2', '99', '1323441314750140453', '城郊邮政所', '001020007016', '5664070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138181', '2', '99', '1323441314750140453', '崔桥支局', '001020007017', '5664070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138182', '2', '99', '1323441314750140453', '大李庄支局', '001020007018', '5664070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138183', '2', '99', '1323441314750140453', '大新支局', '001020007019', '5664070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138184', '2', '99', '1323441314750140453', '古城支局', '001020007020', '5664070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138185', '2', '99', '1323441314750140453', '江村支局', '001020007021', '5664070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138186', '2', '99', '1323441314750140453', '韭园邮政所', '001020007022', '5664070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138187', '2', '99', '1323441314750140453', '练寺支局', '001020007023', '5664070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138188', '2', '99', '1323441314750140453', '吕潭支局', '001020007024', '5664070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138189', '2', '99', '1323441314750140453', '四站邮政所', '001020007025', '5664070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858185138190', '2', '99', '1323441314750140453', '综合营业厅', '001020007026', '5664070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332480', '2', '99', '1323441314750140453', '保留关系人员部门', '001020007027', '5664070099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332481', '2', '99', '1323441314750140453', '机要室', '001020007028', '566407000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332482', '2', '99', '1323441314750140453', '中邮保险中心', '001020007029', '566407000701', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332483', '2', '99', '1323441314750140453', '寄递事业部', '001020007030', '5664070088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332484', '2', '99', '1323441314750140454', '单位领导部门', '001020008001', '5664080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332485', '2', '99', '1323441314750140454', '非领导职务部门', '001020008002', '5664080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332486', '2', '99', '1323441314750140454', '领导助理部门', '001020008003', '5664080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332487', '2', '99', '1323441314750140454', '市场营销部', '001020008004', '5664080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332488', '2', '99', '1323441314750140454', '金融业务部', '001020008005', '5664080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332489', '2', '99', '1323441314750140454', '集邮与文化传媒部', '001020008006', '5664080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332490', '2', '99', '1323441314750140454', '渠道平台部', '001020008007', '5664080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332491', '2', '99', '1323441314750140454', '综合办公室（安全保卫部）', '001020008008', '5664080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858189332492', '2', '99', '1323441314750140454', '营业班', '001020008009', '5664080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526784', '2', '99', '1323441314750140454', '北关支局', '001020008010', '5664080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526785', '2', '99', '1323441314750140454', '高集支局', '001020008011', '5664080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526786', '2', '99', '1323441314750140454', '观堂支局', '001020008012', '5664080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526787', '2', '99', '1323441314750140454', '贾滩支局', '001020008013', '5664080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526788', '2', '99', '1323441314750140454', '马铺支局', '001020008014', '5664080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526789', '2', '99', '1323441314750140454', '穆店邮政所', '001020008015', '5664080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526790', '2', '99', '1323441314750140454', '邱集支局', '001020008016', '5664080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526791', '2', '99', '1323441314750140454', '任集支局', '001020008017', '5664080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526792', '2', '99', '1323441314750140454', '生铁冢支局', '001020008018', '5664080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526793', '2', '99', '1323441314750140454', '试量邮政所', '001020008019', '5664080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526794', '2', '99', '1323441314750140454', '太清宫支局', '001020008020', '5664080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526795', '2', '99', '1323441314750140454', '唐集支局', '001020008021', '5664080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526796', '2', '99', '1323441314750140454', '王皮留支局', '001020008022', '5664080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526797', '2', '99', '1323441314750140454', '涡北邮政所', '001020008023', '5664080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858193526798', '2', '99', '1323441314750140454', '辛集支局', '001020008024', '5664080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721088', '2', '99', '1323441314750140454', '玄武支局', '001020008025', '5664080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721089', '2', '99', '1323441314750140454', '杨湖口支局', '001020008026', '5664080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721090', '2', '99', '1323441314750140454', '县邮政所', '001020008027', '5664080032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721091', '2', '99', '1323441314750140454', '枣集支局', '001020008028', '5664080033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721092', '2', '99', '1323441314750140454', '张店支局', '001020008029', '5664080034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721093', '2', '99', '1323441314750140454', '赵村支局', '001020008030', '5664080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721094', '2', '99', '1323441314750140454', '郑集支局', '001020008031', '5664080036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721095', '2', '99', '1323441314750140454', '保留关系人员部门', '001020008032', '5664080099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721096', '2', '99', '1323441314750140454', '机要室', '001020008033', '566408000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721097', '2', '99', '1323441314750140454', '中邮保险中心', '001020008034', '566408000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721098', '2', '99', '1323441314750140454', '寄递事业部', '001020008035', '5664080088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721099', '2', '99', '1323441314750140455', '单位领导部门', '001020009001', '5664090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721100', '2', '99', '1323441314750140455', '非领导职务部门', '001020009002', '5664090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721101', '2', '99', '1323441314750140455', '领导助理部门', '001020009003', '5664090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721102', '2', '99', '1323441314750140455', '市场营销部', '001020009004', '5664090004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858197721103', '2', '99', '1323441314750140455', '金融业务部', '001020009005', '5664090007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915392', '2', '99', '1323441314750140455', '集邮与文化传媒部', '001020009006', '5664090008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915393', '2', '99', '1323441314750140455', '渠道平台部', '001020009007', '5664090010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915394', '2', '99', '1323441314750140455', '综合办公室（安全保卫部）', '001020009008', '5664090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915395', '2', '99', '1323441314750140455', '营业班', '001020009009', '5664090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915396', '2', '99', '1323441314750140455', '安岭支局', '001020009010', '5664090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915397', '2', '99', '1323441314750140455', '白楼邮政所', '001020009011', '5664090016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915398', '2', '99', '1323441314750140455', '搬口支局', '001020009012', '5664090017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915399', '2', '99', '1323441314750140455', '北关支局', '001020009013', '5664090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915400', '2', '99', '1323441314750140455', '曹河邮政所', '001020009014', '5664090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915401', '2', '99', '1323441314750140455', '大连支局', '001020009015', '5664090020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915402', '2', '99', '1323441314750140455', '豆门支局', '001020009016', '5664090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915403', '2', '99', '1323441314750140455', '冯塘支局', '001020009017', '5664090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915404', '2', '99', '1323441314750140455', '葛店支局', '001020009018', '5664090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915405', '2', '99', '1323441314750140455', '黄集支局', '001020009019', '5664090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858201915406', '2', '99', '1323441314750140455', '临蔡支局', '001020009020', '5664090025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109696', '2', '99', '1323441314750140455', '刘振屯支局', '001020009021', '5664090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109697', '2', '99', '1323441314750140455', '鲁台支局', '001020009022', '5664090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109698', '2', '99', '1323441314750140455', '齐老支局', '001020009023', '5664090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109699', '2', '99', '1323441314750140455', '四通镇支局', '001020009024', '5664090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109700', '2', '99', '1323441314750140455', '王店支局', '001020009025', '5664090030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109701', '2', '99', '1323441314750140455', '大同支局', '001020009026', '5664090031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109702', '2', '99', '1323441314750140455', '新华大街支局', '001020009027', '5664090032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109703', '2', '99', '1323441314750140455', '新站支局', '001020009028', '5664090033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109704', '2', '99', '1323441314750140455', '许湾支局', '001020009029', '5664090034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109705', '2', '99', '1323441314750140455', '郑集支局', '001020009030', '5664090035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109706', '2', '99', '1323441314750140455', '朱集邮政所', '001020009031', '5664090036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109707', '2', '99', '1323441314750140455', '保留关系人员部门', '001020009032', '5664090099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109708', '2', '99', '1323441314750140455', '机要室', '001020009033', '566409000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109709', '2', '99', '1323441314750140455', '中邮保险中心', '001020009034', '566409000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858206109710', '2', '99', '1323441314750140455', '寄递事业部', '001020009035', '5664090088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304000', '2', '99', '1323441314754334720', '单位领导部门', '001020010001', '5664200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304001', '2', '99', '1323441314754334720', '非领导职务部门', '001020010002', '5664200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304002', '2', '99', '1323441314754334720', '领导助理部门', '001020010003', '5664200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304003', '2', '99', '1323441314754334720', '机要通信分局内设机构（虚拟部门）', '001020010004', '5664200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304004', '2', '99', '1323441314754334720', '保留关系人员部门', '001020010005', '5664200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304005', '2', '99', '1323441314754334721', '单位领导部门', '001020011001', '5664200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304006', '2', '99', '1323441314754334721', '非领导职务部门', '001020011002', '5664200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304007', '2', '99', '1323441314754334721', '领导助理部门', '001020011003', '5664200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304008', '2', '99', '1323441314754334721', '市场营销部', '001020011004', '5664200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304009', '2', '99', '1323441314754334721', '营业班', '001020011005', '5664200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304010', '2', '99', '1323441314754334721', '北花园支局', '001020011006', '5664200115', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304011', '2', '99', '1323441314754334721', '沙北邮政所', '001020011007', '5664200116', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304012', '2', '99', '1323441314754334721', '工农路邮政所', '001020011008', '5664200117', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858210304013', '2', '99', '1323441314754334721', '中州路邮政所', '001020011009', '5664200118', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498304', '2', '99', '1323441314754334721', '黄河路邮政所', '001020011010', '5664200119', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498305', '2', '99', '1323441314754334721', '七一路邮政所', '001020011011', '5664200120', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498306', '2', '99', '1323441314754334721', '人民路邮政所', '001020011012', '5664200121', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498307', '2', '99', '1323441314754334721', '汉阳路支局', '001020011013', '5664200122', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498308', '2', '99', '1323441314754334721', '车站路支局', '001020011014', '5664200123', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498309', '2', '99', '1323441314754334721', '保留关系人员部门', '001020011015', '5664200199', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498310', '2', '99', '1323441314754334721', '金融业务中心（中邮保险局）', '001020011016', '566420010402', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498311', '2', '99', '1323441314754334721', '集邮与文化传媒中心', '001020011017', '566420010403', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498312', '2', '99', '1323441314754334721', '渠道平台中心', '001020011018', '566420010405', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498313', '2', '99', '1323441314754334721', '寄递事业部', '001020011019', '5664200188', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498314', '2', '99', '1323441314754334722', '单位领导部门', '001021013', '5665000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498315', '2', '99', '1323441314754334722', '非领导职务部门', '001021014', '5665000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498316', '2', '99', '1323441314754334722', '领导助理部门', '001021015', '5665000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498317', '2', '99', '1323441314754334722', '市场营销部', '001021016', '5665000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858214498318', '2', '99', '1323441314754334722', '服务质量部（普遍服务部）', '001021017', '5665000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692608', '2', '99', '1323441314754334722', '金融业务部', '001021018', '5665000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692609', '2', '99', '1323441314754334722', '集邮与文化传媒部', '001021019', '5665000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692610', '2', '99', '1323441314754334722', '渠道平台部', '001021020', '5665000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692611', '2', '99', '1323441314754334722', '综合办公室（党委办公室、安全保卫部）', '001021021', '5665000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692612', '2', '99', '1323441314754334722', '财务部', '001021022', '5665000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692613', '2', '99', '1323441314754334722', '人力资源部（党委组织部）', '001021023', '5665000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692614', '2', '99', '1323441314754334722', '党委党建工作部（纪委办公室）', '001021024', '5665000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692615', '2', '99', '1323441314754334722', '工会', '001021025', '5665000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692616', '2', '99', '1323441314754334722', '中邮保险业务部', '001021026', '5665000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692617', '2', '99', '1323441314754334722', '保留关系人员部门', '001021027', '5665000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692618', '2', '99', '1323441314754334722', '客户营销中心', '001021028', '566500000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692619', '2', '99', '1323441314754334722', '业务档案班', '001021029', '566500000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692620', '2', '99', '1323441314754334722', '业务管理室', '001021030', '566500000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692621', '2', '99', '1323441314754334722', '内控管理室', '001021031', '566500000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692622', '2', '99', '1323441314754334722', '业务管理室', '001021032', '566500000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858218692623', '2', '99', '1323441314754334722', '创意研发室', '001021033', '566500000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886912', '2', '99', '1323441314754334722', '商函制作班', '001021034', '566500000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886913', '2', '99', '1323441314754334722', '渠道管理室', '001021035', '566500001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886914', '2', '99', '1323441314754334722', '电商分销室', '001021036', '566500001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886915', '2', '99', '1323441314754334722', '寄递事业部', '001021037', '5665000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886916', '2', '99', '1323441314754334723', '单位领导部门', '001021001001', '5665010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886917', '2', '99', '1323441314754334723', '非领导职务部门', '001021001002', '5665010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886918', '2', '99', '1323441314754334723', '领导助理部门', '001021001003', '5665010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886919', '2', '99', '1323441314754334723', '市场营销部', '001021001004', '5665010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886920', '2', '99', '1323441314754334723', '金融业务部', '001021001005', '5665010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886921', '2', '99', '1323441314754334723', '集邮与文化传媒部', '001021001006', '5665010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886922', '2', '99', '1323441314754334723', '渠道平台部', '001021001007', '5665010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886923', '2', '99', '1323441314754334723', '综合办公室（安全保卫部）', '001021001008', '5665010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858222886924', '2', '99', '1323441314754334723', '营业班', '001021001009', '5665010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081216', '2', '99', '1323441314754334723', '板桥邮政所', '001021001010', '5665010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081217', '2', '99', '1323441314754334723', '春水支局', '001021001011', '5665010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081218', '2', '99', '1323441314754334723', '第一支局', '001021001012', '5665010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081219', '2', '99', '1323441314754334723', '付庄支局', '001021001013', '5665010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081220', '2', '99', '1323441314754334723', '高店支局', '001021001014', '5665010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081221', '2', '99', '1323441314754334723', '高邑邮政所', '001021001015', '5665010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081222', '2', '99', '1323441314754334723', '官庄支局', '001021001016', '5665010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081223', '2', '99', '1323441314754334723', '郭集支局', '001021001017', '5665010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081224', '2', '99', '1323441314754334723', '花园路邮政所', '001021001018', '5665010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081225', '2', '99', '1323441314754334723', '黄山口邮政所', '001021001019', '5665010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081226', '2', '99', '1323441314754334723', '贾楼支局', '001021001020', '5665010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081227', '2', '99', '1323441314754334723', '老河邮政所', '001021001021', '5665010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081228', '2', '99', '1323441314754334723', '马谷田支局', '001021001022', '5665010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858227081229', '2', '99', '1323441314754334723', '盘古支局', '001021001023', '5665010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275520', '2', '99', '1323441314754334723', '沙河店支局', '001021001024', '5665010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275521', '2', '99', '1323441314754334723', '赊湾支局', '001021001025', '5665010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275522', '2', '99', '1323441314754334723', '双庙支局', '001021001026', '5665010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275523', '2', '99', '1323441314754334723', '泰山庙支局', '001021001027', '5665010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275524', '2', '99', '1323441314754334723', '铜山支局', '001021001028', '5665010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275525', '2', '99', '1323441314754334723', '王店邮政所', '001021001029', '5665010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275526', '2', '99', '1323441314754334723', '下碑寺支局', '001021001030', '5665010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275527', '2', '99', '1323441314754334723', '象河支局', '001021001031', '5665010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275528', '2', '99', '1323441314754334723', '羊册支局', '001021001032', '5665010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275529', '2', '99', '1323441314754334723', '杨家集支局', '001021001033', '5665010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275530', '2', '99', '1323441314754334723', '保留关系人员部门', '001021001034', '5665010099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275531', '2', '99', '1323441314754334723', '机要室', '001021001035', '566501000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275532', '2', '99', '1323441314754334723', '中邮保险中心', '001021001036', '566501000701', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275533', '2', '99', '1323441314754334723', '寄递事业部', '001021001037', '5665010088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858231275534', '2', '99', '1323441314754334724', '单位领导部门', '001021002001', '5665020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469824', '2', '99', '1323441314754334724', '非领导职务部门', '001021002002', '5665020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469825', '2', '99', '1323441314754334724', '领导助理部门', '001021002003', '5665020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469826', '2', '99', '1323441314754334724', '市场营销部', '001021002004', '5665020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469827', '2', '99', '1323441314754334724', '金融业务部', '001021002005', '5665020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469828', '2', '99', '1323441314754334724', '集邮与文化传媒部', '001021002006', '5665020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469829', '2', '99', '1323441314754334724', '渠道平台部', '001021002007', '5665020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469830', '2', '99', '1323441314754334724', '综合办公室（安全保卫部）', '001021002008', '5665020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469831', '2', '99', '1323441314754334724', '营业班', '001021002009', '5665020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469832', '2', '99', '1323441314754334724', '爱民路支局', '001021002010', '5665020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469833', '2', '99', '1323441314754334724', '北郊邮政所', '001021002011', '5665020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469834', '2', '99', '1323441314754334724', '机场邮政所', '001021002012', '5665020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469835', '2', '99', '1323441314754334724', '建设路支局', '001021002013', '5665020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469836', '2', '99', '1323441314754334724', '解放路邮政所', '001021002014', '5665020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858235469837', '2', '99', '1323441314754334724', '李新店邮政所', '001021002015', '5665020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664128', '2', '99', '1323441314754334724', '刘店支局', '001021002016', '5665020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664129', '2', '99', '1323441314754334724', '留庄支局', '001021002017', '5665020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664130', '2', '99', '1323441314754334724', '普会寺支局', '001021002018', '5665020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664131', '2', '99', '1323441314754334724', '任店支局', '001021002019', '5665020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664132', '2', '99', '1323441314754334724', '三里河邮政所', '001021002020', '5665020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664133', '2', '99', '1323441314754334724', '石磙河邮政所', '001021002021', '5665020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664134', '2', '99', '1323441314754334724', '双河支局', '001021002022', '5665020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664135', '2', '99', '1323441314754334724', '顺山店支局', '001021002023', '5665020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664136', '2', '99', '1323441314754334724', '瓦岗邮政所', '001021002024', '5665020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664137', '2', '99', '1323441314754334724', '小海邮政所', '001021002025', '5665020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664138', '2', '99', '1323441314754334724', '新安店邮政所', '001021002026', '5665020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664139', '2', '99', '1323441314754334724', '新生街支局', '001021002027', '5665020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664140', '2', '99', '1323441314754334724', '杨店邮政所', '001021002028', '5665020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664141', '2', '99', '1323441314754334724', '蚁蜂支局', '001021002029', '5665020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858239664142', '2', '99', '1323441314754334724', '竹沟支局', '001021002030', '5665020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858432', '2', '99', '1323441314754334724', '保留关系人员部门', '001021002031', '5665020099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858433', '2', '99', '1323441314754334724', '机要室', '001021002032', '566502000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858434', '2', '99', '1323441314754334724', '中邮保险中心', '001021002033', '566502000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858435', '2', '99', '1323441314754334724', '寄递事业部', '001021002034', '5665020088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858436', '2', '99', '1323441314754334725', '单位领导部门', '001021003001', '5665030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858437', '2', '99', '1323441314754334725', '非领导职务部门', '001021003002', '5665030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858438', '2', '99', '1323441314754334725', '领导助理部门', '001021003003', '5665030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858439', '2', '99', '1323441314754334725', '市场营销部', '001021003004', '5665030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858440', '2', '99', '1323441314754334725', '金融业务部', '001021003005', '5665030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858441', '2', '99', '1323441314754334725', '集邮与文化传媒部', '001021003006', '5665030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858442', '2', '99', '1323441314754334725', '渠道平台部', '001021003007', '5665030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858443', '2', '99', '1323441314754334725', '综合办公室（安全保卫部）', '001021003008', '5665030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858444', '2', '99', '1323441314754334725', '营业班', '001021003009', '5665030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858445', '2', '99', '1323441314754334725', '大林支局', '001021003010', '5665030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858243858446', '2', '99', '1323441314754334725', '陡沟支局', '001021003011', '5665030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052736', '2', '99', '1323441314754334725', '付寨邮政所', '001021003012', '5665030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052737', '2', '99', '1323441314754334725', '寒冻支局', '001021003013', '5665030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052738', '2', '99', '1323441314754334725', '兰青支局', '001021003014', '5665030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052739', '2', '99', '1323441314754334725', '雷寨邮政所', '001021003015', '5665030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052740', '2', '99', '1323441314754334725', '梁庙邮政所', '001021003016', '5665030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052741', '2', '99', '1323441314754334725', '吕河邮政所', '001021003017', '5665030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052742', '2', '99', '1323441314754334725', '彭桥邮政所', '001021003018', '5665030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052743', '2', '99', '1323441314754334725', '皮店支局', '001021003019', '5665030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052744', '2', '99', '1323441314754334725', '汝南埠支局', '001021003020', '5665030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052745', '2', '99', '1323441314754334725', '慎水邮政所', '001021003021', '5665030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052746', '2', '99', '1323441314754334725', '铜钟支局', '001021003022', '5665030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052747', '2', '99', '1323441314754334725', '王勿桥支局', '001021003023', '5665030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052748', '2', '99', '1323441314754334725', '西严店邮政所', '001021003024', '5665030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858248052749', '2', '99', '1323441314754334725', '新建街支局', '001021003025', '5665030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247040', '2', '99', '1323441314754334725', '新阮店支局', '001021003026', '5665030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247041', '2', '99', '1323441314754334725', '熊寨邮政所', '001021003027', '5665030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247042', '2', '99', '1323441314754334725', '永兴邮政所', '001021003028', '5665030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247043', '2', '99', '1323441314754334725', '油坊店邮政所', '001021003029', '5665030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247044', '2', '99', '1323441314754334725', '袁寨邮政所', '001021003030', '5665030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247045', '2', '99', '1323441314754334725', '岳城支局', '001021003031', '5665030036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247046', '2', '99', '1323441314754334725', '中心街邮政所', '001021003032', '5665030037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247047', '2', '99', '1323441314754334725', '保留关系人员部门', '001021003033', '5665030099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247048', '2', '99', '1323441314754334725', '机要室', '001021003034', '566503000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247049', '2', '99', '1323441314754334725', '中邮保险中心', '001021003035', '566503000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247050', '2', '99', '1323441314754334725', '寄递事业部', '001021003036', '5665030088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247051', '2', '99', '1323441314754334726', '单位领导部门', '001021004001', '5665040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247052', '2', '99', '1323441314754334726', '非领导职务部门', '001021004002', '5665040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858252247053', '2', '99', '1323441314754334726', '领导助理部门', '001021004003', '5665040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858256441344', '2', '99', '1323441314754334726', '市场营销部', '001021004004', '5665040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858256441345', '2', '99', '1323441314754334726', '金融业务部', '001021004005', '5665040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858256441346', '2', '99', '1323441314754334726', '集邮与文化传媒部', '001021004006', '5665040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858256441347', '2', '99', '1323441314754334726', '渠道平台部', '001021004007', '5665040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858256441348', '2', '99', '1323441314754334726', '综合办公室（安全保卫部）', '001021004008', '5665040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858256441349', '2', '99', '1323441314754334726', '营业班', '001021004009', '5665040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635648', '2', '99', '1323441314754334726', '陈店邮政所', '001021004010', '5665040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635649', '2', '99', '1323441314754334726', '顿岗支局', '001021004011', '5665040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635650', '2', '99', '1323441314754334726', '佛阁寺支局', '001021004012', '5665040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635651', '2', '99', '1323441314754334726', '关津邮政所', '001021004013', '5665040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635652', '2', '99', '1323441314754334726', '韩集支局', '001021004014', '5665040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635653', '2', '99', '1323441314754334726', '河坞邮政所', '001021004015', '5665040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635654', '2', '99', '1323441314754334726', '化庄邮政所', '001021004016', '5665040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635655', '2', '99', '1323441314754334726', '黄楼支局', '001021004017', '5665040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635656', '2', '99', '1323441314754334726', '涧头支局', '001021004018', '5665040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635657', '2', '99', '1323441314754334726', '蛟庭湖支局', '001021004019', '5665040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635658', '2', '99', '1323441314754334726', '李桥支局', '001021004020', '5665040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635659', '2', '99', '1323441314754334726', '栎城支局', '001021004021', '5665040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635660', '2', '99', '1323441314754334726', '练村支局', '001021004022', '5665040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858260635661', '2', '99', '1323441314754334726', '龙口支局', '001021004023', '5665040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829952', '2', '99', '1323441314754334726', '弥陀寺邮政所', '001021004024', '5665040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829953', '2', '99', '1323441314754334726', '宋岗支局', '001021004025', '5665040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829954', '2', '99', '1323441314754334726', '孙召支局', '001021004026', '5665040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829955', '2', '99', '1323441314754334726', '棠村支局', '001021004027', '5665040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829956', '2', '99', '1323441314754334726', '杨庄户支局', '001021004028', '5665040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829957', '2', '99', '1323441314754334726', '余店邮政所', '001021004029', '5665040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829958', '2', '99', '1323441314754334726', '周潢路支局', '001021004030', '5665040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829959', '2', '99', '1323441314754334726', '砖店支局', '001021004031', '5665040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829960', '2', '99', '1323441314754334726', '保留关系人员部门', '001021004032', '5665040099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829961', '2', '99', '1323441314754334726', '机要室', '001021004033', '566504000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829962', '2', '99', '1323441314754334726', '中邮保险中心', '001021004034', '566504000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829963', '2', '99', '1323441314754334726', '寄递事业部', '001021004035', '5665040088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829964', '2', '99', '1323441314754334727', '单位领导部门', '001021005001', '5665050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858264829965', '2', '99', '1323441314754334727', '非领导职务部门', '001021005002', '5665050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024256', '2', '99', '1323441314754334727', '领导助理部门', '001021005003', '5665050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024257', '2', '99', '1323441314754334727', '市场营销部', '001021005004', '5665050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024258', '2', '99', '1323441314754334727', '金融业务部', '001021005005', '5665050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024259', '2', '99', '1323441314754334727', '集邮与文化传媒部', '001021005006', '5665050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024260', '2', '99', '1323441314754334727', '渠道平台部', '001021005007', '5665050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024261', '2', '99', '1323441314754334727', '综合办公室（安全保卫部）', '001021005008', '5665050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024262', '2', '99', '1323441314754334727', '营业班', '001021005009', '5665050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024263', '2', '99', '1323441314754334727', '东和店支局', '001021005010', '5665050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024264', '2', '99', '1323441314754334727', '高杨店支局', '001021005011', '5665050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024265', '2', '99', '1323441314754334727', '郭楼支局', '001021005012', '5665050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024266', '2', '99', '1323441314754334727', '后刘邮政所', '001021005013', '5665050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024267', '2', '99', '1323441314754334727', '解放街支局', '001021005014', '5665050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024268', '2', '99', '1323441314754334727', '李屯支局', '001021005015', '5665050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858269024269', '2', '99', '1323441314754334727', '庙湾支局', '001021005016', '5665050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218560', '2', '99', '1323441314754334727', '射桥支局', '001021005017', '5665050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218561', '2', '99', '1323441314754334727', '十字路支局', '001021005018', '5665050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218562', '2', '99', '1323441314754334727', '双庙支局', '001021005019', '5665050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218563', '2', '99', '1323441314754334727', '万金店支局', '001021005020', '5665050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218564', '2', '99', '1323441314754334727', '万冢支局', '001021005021', '5665050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218565', '2', '99', '1323441314754334727', '王岗支局', '001021005022', '5665050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218566', '2', '99', '1323441314754334727', '西洋店支局', '001021005023', '5665050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218567', '2', '99', '1323441314754334727', '辛店支局', '001021005024', '5665050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218568', '2', '99', '1323441314754334727', '杨埠支局', '001021005025', '5665050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218569', '2', '99', '1323441314754334727', '玉皇庙支局', '001021005026', '5665050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218570', '2', '99', '1323441314754334727', '保留关系人员部门', '001021005027', '5665050099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218571', '2', '99', '1323441314754334727', '机要室', '001021005028', '566505000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218572', '2', '99', '1323441314754334727', '中邮保险中心', '001021005029', '566505000701', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218573', '2', '99', '1323441314754334727', '寄递事业部', '001021005030', '5665050088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858273218574', '2', '99', '1323441314754334728', '单位领导部门', '001021006001', '5665060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412864', '2', '99', '1323441314754334728', '非领导职务部门', '001021006002', '5665060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412865', '2', '99', '1323441314754334728', '领导助理部门', '001021006003', '5665060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412866', '2', '99', '1323441314754334728', '市场营销部', '001021006004', '5665060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412867', '2', '99', '1323441314754334728', '金融业务部', '001021006005', '5665060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412868', '2', '99', '1323441314754334728', '集邮与文化传媒部', '001021006006', '5665060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412869', '2', '99', '1323441314754334728', '渠道平台部', '001021006007', '5665060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412870', '2', '99', '1323441314754334728', '综合办公室（安全保卫部）', '001021006008', '5665060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412871', '2', '99', '1323441314754334728', '营业班', '001021006009', '5665060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412872', '2', '99', '1323441314754334728', '板店邮政所', '001021006010', '5665060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412873', '2', '99', '1323441314754334728', '常兴支局', '001021006011', '5665060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412874', '2', '99', '1323441314754334728', '大王庄邮政所', '001021006012', '5665060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412875', '2', '99', '1323441314754334728', '古塔街邮政所', '001021006013', '5665060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412876', '2', '99', '1323441314754334728', '官庄邮政所', '001021006014', '5665060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858277412877', '2', '99', '1323441314754334728', '韩庄支局', '001021006015', '5665060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607168', '2', '99', '1323441314754334728', '和孝支局', '001021006016', '5665060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607169', '2', '99', '1323441314754334728', '金铺支局', '001021006017', '5665060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607170', '2', '99', '1323441314754334728', '老君庙邮政所', '001021006018', '5665060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607171', '2', '99', '1323441314754334728', '梁祝支局', '001021006019', '5665060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607172', '2', '99', '1323441314754334728', '留盆支局', '001021006020', '5665060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607173', '2', '99', '1323441314754334728', '罗店支局', '001021006021', '5665060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607174', '2', '99', '1323441314754334728', '三门闸邮政所', '001021006022', '5665060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607175', '2', '99', '1323441314754334728', '三桥支局', '001021006023', '5665060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607176', '2', '99', '1323441314754334728', '商城邮政所', '001021006024', '5665060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607177', '2', '99', '1323441314754334728', '舍屯邮政所', '001021006025', '5665060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607178', '2', '99', '1323441314754334728', '王岗支局', '001021006026', '5665060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607179', '2', '99', '1323441314754334728', '余店支局', '001021006027', '5665060032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607180', '2', '99', '1323441314754334728', '张岗邮政所', '001021006028', '5665060033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858281607181', '2', '99', '1323441314754334728', '张楼邮政所', '001021006029', '5665060034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801472', '2', '99', '1323441314754334728', '中心大街邮政所', '001021006030', '5665060035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801473', '2', '99', '1323441314754334728', '万和支局', '001021006031', '5665060036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801474', '2', '99', '1323441314754334728', '保留关系人员部门', '001021006032', '5665060099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801475', '2', '99', '1323441314754334728', '机要室', '001021006033', '566506000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801476', '2', '99', '1323441314754334728', '中邮保险中心', '001021006034', '566506000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801477', '2', '99', '1323441314754334728', '寄递事业部', '001021006035', '5665060088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801478', '2', '99', '1323441314754334729', '单位领导部门', '001021007001', '5665070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801479', '2', '99', '1323441314754334729', '非领导职务部门', '001021007002', '5665070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801480', '2', '99', '1323441314754334729', '领导助理部门', '001021007003', '5665070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801481', '2', '99', '1323441314754334729', '市场营销部', '001021007004', '5665070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801482', '2', '99', '1323441314754334729', '金融业务部', '001021007005', '5665070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801483', '2', '99', '1323441314754334729', '集邮与文化传媒部', '001021007006', '5665070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801484', '2', '99', '1323441314754334729', '渠道平台部', '001021007007', '5665070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858285801485', '2', '99', '1323441314754334729', '综合办公室（安全保卫部）', '001021007008', '5665070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995776', '2', '99', '1323441314754334729', '营业班', '001021007009', '5665070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995777', '2', '99', '1323441314754334729', '百尺支局', '001021007010', '5665070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995778', '2', '99', '1323441314754334729', '蔡沟支局', '001021007011', '5665070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995779', '2', '99', '1323441314754334729', '崇礼支局', '001021007012', '5665070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995780', '2', '99', '1323441314754334729', '大路李支局', '001021007013', '5665070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995781', '2', '99', '1323441314754334729', '党店支局', '001021007014', '5665070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995782', '2', '99', '1323441314754334729', '东岸支局', '001021007015', '5665070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995783', '2', '99', '1323441314754334729', '重阳邮政所', '001021007016', '5665070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995784', '2', '99', '1323441314754334729', '东洪支局', '001021007017', '5665070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995785', '2', '99', '1323441314754334729', '韩寨支局', '001021007018', '5665070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995786', '2', '99', '1323441314754334729', '和店支局', '001021007019', '5665070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995787', '2', '99', '1323441314754334729', '华陂支局', '001021007020', '5665070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995788', '2', '99', '1323441314754334729', '黄埠支局', '001021007021', '5665070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858289995789', '2', '99', '1323441314754334729', '齐海支局', '001021007022', '5665070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190080', '2', '99', '1323441314754334729', '邵店支局', '001021007023', '5665070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190081', '2', '99', '1323441314754334729', '塔桥邮政所', '001021007024', '5665070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190082', '2', '99', '1323441314754334729', '无量寺支局', '001021007025', '5665070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190083', '2', '99', '1323441314754334729', '五龙支局', '001021007026', '5665070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190084', '2', '99', '1323441314754334729', '西大街支局', '001021007027', '5665070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190085', '2', '99', '1323441314754334729', '西洪支局', '001021007028', '5665070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190086', '2', '99', '1323441314754334729', '小岳寺支局', '001021007029', '5665070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190087', '2', '99', '1323441314754334729', '杨集支局', '001021007030', '5665070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190088', '2', '99', '1323441314754334729', '杨屯邮政所', '001021007031', '5665070036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190089', '2', '99', '1323441314754334729', '朱里支局', '001021007032', '5665070037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190090', '2', '99', '1323441314754334729', '洙湖支局', '001021007033', '5665070038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190091', '2', '99', '1323441314754334729', '保留关系人员部门', '001021007034', '5665070099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190092', '2', '99', '1323441314754334729', '机要室', '001021007035', '566507000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858294190093', '2', '99', '1323441314754334729', '中邮保险中心', '001021007036', '566507000701', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384384', '2', '99', '1323441314754334729', '寄递事业部', '001021007037', '5665070088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384385', '2', '99', '1323441314754334730', '单位领导部门', '001021008001', '5665080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384386', '2', '99', '1323441314754334730', '非领导职务部门', '001021008002', '5665080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384387', '2', '99', '1323441314754334730', '领导助理部门', '001021008003', '5665080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384388', '2', '99', '1323441314754334730', '市场营销部', '001021008004', '5665080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384389', '2', '99', '1323441314754334730', '金融业务部', '001021008005', '5665080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384390', '2', '99', '1323441314754334730', '集邮与文化传媒部', '001021008006', '5665080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384391', '2', '99', '1323441314754334730', '渠道平台部', '001021008007', '5665080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384392', '2', '99', '1323441314754334730', '综合办公室（安全保卫部）', '001021008008', '5665080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384393', '2', '99', '1323441314754334730', '营业班', '001021008009', '5665080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384394', '2', '99', '1323441314754334730', '嵖岈山支局', '001021008010', '5665080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858298384395', '2', '99', '1323441314754334730', '常庄支局', '001021008011', '5665080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578688', '2', '99', '1323441314754334730', '车站支局', '001021008012', '5665080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578689', '2', '99', '1323441314754334730', '褚堂邮政所', '001021008013', '5665080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578690', '2', '99', '1323441314754334730', '和兴支局', '001021008014', '5665080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578691', '2', '99', '1323441314754334730', '花庄邮政所', '001021008015', '5665080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578692', '2', '99', '1323441314754334730', '槐树邮政所', '001021008016', '5665080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578693', '2', '99', '1323441314754334730', '建设路支局', '001021008017', '5665080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578694', '2', '99', '1323441314754334730', '南大街邮政所', '001021008018', '5665080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578695', '2', '99', '1323441314754334730', '沈寨支局', '001021008019', '5665080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578696', '2', '99', '1323441314754334730', '石寨铺支局', '001021008020', '5665080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578697', '2', '99', '1323441314754334730', '文城支局', '001021008021', '5665080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578698', '2', '99', '1323441314754334730', '阳丰支局', '001021008022', '5665080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578699', '2', '99', '1323441314754334730', '玉山邮政所', '001021008023', '5665080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578700', '2', '99', '1323441314754334730', '张店邮政所', '001021008024', '5665080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858302578701', '2', '99', '1323441314754334730', '张台邮政所', '001021008025', '5665080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772992', '2', '99', '1323441314754334730', '保留关系人员部门', '001021008026', '5665080099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772993', '2', '99', '1323441314754334730', '机要室', '001021008027', '566508000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772994', '2', '99', '1323441314754334730', '中邮保险中心', '001021008028', '566508000701', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772995', '2', '99', '1323441314754334730', '寄递事业部', '001021008029', '5665080088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772996', '2', '99', '1323441314754334731', '单位领导部门', '001021009001', '5665090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772997', '2', '99', '1323441314754334731', '非领导职务部门', '001021009002', '5665090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772998', '2', '99', '1323441314754334731', '领导助理部门', '001021009003', '5665090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306772999', '2', '99', '1323441314754334731', '市场营销部', '001021009004', '5665090004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306773000', '2', '99', '1323441314754334731', '金融业务部', '001021009005', '5665090007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306773001', '2', '99', '1323441314754334731', '集邮与文化传媒部', '001021009006', '5665090008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306773002', '2', '99', '1323441314754334731', '渠道平台部', '001021009007', '5665090010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306773003', '2', '99', '1323441314754334731', '综合办公室（安全保卫部）', '001021009008', '5665090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306773004', '2', '99', '1323441314754334731', '营业班', '001021009009', '5665090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858306773005', '2', '99', '1323441314754334731', '蔡寨邮政所', '001021009010', '5665090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967296', '2', '99', '1323441314754334731', '出山支局', '001021009011', '5665090016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967297', '2', '99', '1323441314754334731', '二郎支局', '001021009012', '5665090017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967298', '2', '99', '1323441314754334731', '工交路支局', '001021009013', '5665090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967299', '2', '99', '1323441314754334731', '焦庄支局', '001021009014', '5665090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967300', '2', '99', '1323441314754334731', '酒店邮政所', '001021009015', '5665090020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967301', '2', '99', '1323441314754334731', '嫘祖支局', '001021009016', '5665090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967302', '2', '99', '1323441314754334731', '芦庙支局', '001021009017', '5665090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967303', '2', '99', '1323441314754334731', '盆尧支局', '001021009018', '5665090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967304', '2', '99', '1323441314754334731', '权寨支局', '001021009019', '5665090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967305', '2', '99', '1323441314754334731', '人和支局', '001021009020', '5665090025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967306', '2', '99', '1323441314754334731', '师灵支局', '001021009021', '5665090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967307', '2', '99', '1323441314754334731', '宋集支局', '001021009022', '5665090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858310967308', '2', '99', '1323441314754334731', '谭店支局', '001021009023', '5665090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161600', '2', '99', '1323441314754334731', '五沟营支局', '001021009024', '5665090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161601', '2', '99', '1323441314754334731', '西平大道邮政所', '001021009025', '5665090030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161602', '2', '99', '1323441314754334731', '杨庄邮政所', '001021009026', '5665090031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161603', '2', '99', '1323441314754334731', '重渠支局', '001021009027', '5665090033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161604', '2', '99', '1323441314754334731', '专探支局', '001021009028', '5665090034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161605', '2', '99', '1323441314754334731', '棠溪大道邮政所', '001021009029', '5665090035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161606', '2', '99', '1323441314754334731', '保留关系人员部门', '001021009030', '5665090099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161607', '2', '99', '1323441314754334731', '机要室', '001021009031', '566509000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161608', '2', '99', '1323441314754334731', '中邮保险中心', '001021009032', '566509000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161609', '2', '99', '1323441314754334731', '寄递事业部', '001021009033', '5665090088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161610', '2', '99', '1323441314754334732', '单位领导部门', '001021010001', '5665200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161611', '2', '99', '1323441314754334732', '非领导职务部门', '001021010002', '5665200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161612', '2', '99', '1323441314754334732', '领导助理部门', '001021010003', '5665200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858315161613', '2', '99', '1323441314754334732', '机要通信分局内设机构（虚拟部门）', '001021010004', '5665200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355904', '2', '99', '1323441314754334732', '保留关系人员部门', '001021010005', '5665200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355905', '2', '99', '1323441314754334733', '单位领导部门', '001021011001', '5665200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355906', '2', '99', '1323441314754334733', '非领导职务部门', '001021011002', '5665200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355907', '2', '99', '1323441314754334733', '领导助理部门', '001021011003', '5665200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355908', '2', '99', '1323441314754334733', '市场营销部', '001021011004', '5665200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355909', '2', '99', '1323441314754334733', '营业班', '001021011005', '5665200112', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355910', '2', '99', '1323441314754334733', '白桥路支局', '001021011006', '5665200116', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355911', '2', '99', '1323441314754334733', '东风路邮政所', '001021011007', '5665200117', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355912', '2', '99', '1323441314754334733', '古城邮政所', '001021011008', '5665200118', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355913', '2', '99', '1323441314754334733', '光明邮政所', '001021011009', '5665200119', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355914', '2', '99', '1323441314754334733', '胡庙邮政所', '001021011010', '5665200120', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355915', '2', '99', '1323441314754334733', '火车站邮政所', '001021011011', '5665200121', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858319355916', '2', '99', '1323441314754334733', '水屯支局', '001021011012', '5665200122', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550208', '2', '99', '1323441314754334733', '中心邮政所', '001021011013', '5665200123', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550209', '2', '99', '1323441314754334733', '朱古洞邮政所', '001021011014', '5665200124', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550210', '2', '99', '1323441314754334733', '解放路支局', '001021011015', '5665200125', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550211', '2', '99', '1323441314754334733', '保留关系人员部门', '001021011016', '5665200199', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550212', '2', '99', '1323441314754334733', '金融业务中心（中邮保险局）', '001021011017', '566520010402', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550213', '2', '99', '1323441314754334733', '集邮与文化传媒中心', '001021011018', '566520010403', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550214', '2', '99', '1323441314754334733', '渠道平台中心', '001021011019', '566520010405', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550215', '2', '99', '1323441314754334733', '寄递事业部', '001021011020', '5665200188', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550216', '2', '99', '1323441314754334734', '单位领导部门', '001021012001', '5665200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550217', '2', '99', '1323441314754334734', '非领导职务部门', '001021012002', '5665200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550218', '2', '99', '1323441314754334734', '领导助理部门', '001021012003', '5665200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550219', '2', '99', '1323441314754334734', '市场营销部', '001021012004', '5665200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550220', '2', '99', '1323441314754334734', '金融业务部（中邮保险局）', '001021012005', '5665200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858323550221', '2', '99', '1323441314754334734', '集邮与文化传媒部', '001021012006', '5665200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744512', '2', '99', '1323441314754334734', '渠道平台部', '001021012007', '5665200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744513', '2', '99', '1323441314754334734', '营业班', '001021012008', '5665200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744514', '2', '99', '1323441314754334734', '二八邮政所', '001021012009', '5665200216', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744515', '2', '99', '1323441314754334734', '纺织路邮政所', '001021012010', '5665200217', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744516', '2', '99', '1323441314754334734', '风光路支局', '001021012011', '5665200218', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744517', '2', '99', '1323441314754334734', '关王庙支局', '001021012012', '5665200219', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744518', '2', '99', '1323441314754334734', '黄淮学院邮政所', '001021012013', '5665200220', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744519', '2', '99', '1323441314754334734', '交通路支局', '001021012014', '5665200221', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744520', '2', '99', '1323441314754334734', '臧集邮政所', '001021012015', '5665200222', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744521', '2', '99', '1323441314754334734', '诸市支局', '001021012016', '5665200223', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744522', '2', '99', '1323441314754334734', '保留关系人员部门', '001021012017', '5665200299', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744523', '2', '99', '1323441314754334734', '寄递事业部', '001021012018', '5665200288', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858327744524', '2', '99', '1323441314754334735', '单位领导部门', '001022017', '5666000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938816', '2', '99', '1323441314754334735', '非领导职务部门', '001022018', '5666000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938817', '2', '99', '1323441314754334735', '领导助理部门', '001022019', '5666000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938818', '2', '99', '1323441314754334735', '市场营销部', '001022020', '5666000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938819', '2', '99', '1323441314754334735', '服务质量部（普遍服务部）', '001022021', '5666000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938820', '2', '99', '1323441314754334735', '金融业务部', '001022022', '5666000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938821', '2', '99', '1323441314754334735', '集邮与文化传媒部', '001022023', '5666000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938822', '2', '99', '1323441314754334735', '渠道平台部', '001022024', '5666000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938823', '2', '99', '1323441314754334735', '综合办公室（党委办公室、安全保卫部）', '001022025', '5666000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938824', '2', '99', '1323441314754334735', '财务部', '001022026', '5666000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938825', '2', '99', '1323441314754334735', '人力资源部（党委组织部）', '001022027', '5666000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938826', '2', '99', '1323441314754334735', '党委党建工作部', '001022028', '5666000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938827', '2', '99', '1323441314754334735', '纪委办公室', '001022029', '5666000015', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858331938828', '2', '99', '1323441314754334735', '工会', '001022030', '5666000016', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133120', '2', '99', '1323441314754334735', '中邮保险业务部', '001022031', '5666000017', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133121', '2', '99', '1323441314754334735', '保留关系人员部门', '001022032', '5666000099', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133122', '2', '99', '1323441314754334735', '客户营销中心', '001022033', '566600000401', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133123', '2', '99', '1323441314754334735', '业务档案班', '001022034', '566600000501', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133124', '2', '99', '1323441314754334735', '业务管理室', '001022035', '566600000701', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133125', '2', '99', '1323441314754334735', '内控管理室', '001022036', '566600000702', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133126', '2', '99', '1323441314754334735', '业务管理室', '001022037', '566600000801', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133127', '2', '99', '1323441314754334735', '创意研发室', '001022038', '566600000802', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133128', '2', '99', '1323441314754334735', '商函制作班', '001022039', '566600000803', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133129', '2', '99', '1323441314754334735', '渠道管理室', '001022040', '566600001001', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133130', '2', '99', '1323441314754334735', '电商分销室', '001022041', '566600001002', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133131', '2', '99', '1323441314754334735', '寄递事业部', '001022042', '5666000088', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133132', '2', '99', '1323441314754334736', '单位领导部门', '001022001001', '5666010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133133', '2', '99', '1323441314754334736', '非领导职务部门', '001022001002', '5666010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858336133134', '2', '99', '1323441314754334736', '领导助理部门', '001022001003', '5666010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327424', '2', '99', '1323441314754334736', '市场营销部', '001022001004', '5666010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327425', '2', '99', '1323441314754334736', '金融业务部', '001022001005', '5666010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327426', '2', '99', '1323441314754334736', '集邮与文化传媒部', '001022001006', '5666010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327427', '2', '99', '1323441314754334736', '渠道平台部', '001022001007', '5666010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327428', '2', '99', '1323441314754334736', '综合办公室（安全保卫部）', '001022001008', '5666010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327429', '2', '99', '1323441314754334736', '营业班', '001022001009', '5666010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327430', '2', '99', '1323441314754334736', '白土岗支局', '001022001010', '5666010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327431', '2', '99', '1323441314754334736', '板山坪支局', '001022001011', '5666010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327432', '2', '99', '1323441314754334736', '崔庄邮政所', '001022001012', '5666010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327433', '2', '99', '1323441314754334736', '东风邮政所', '001022001013', '5666010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327434', '2', '99', '1323441314754334736', '红阳邮政所', '001022001014', '5666010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327435', '2', '99', '1323441314754334736', '红宇支局', '001022001015', '5666010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858340327436', '2', '99', '1323441314754334736', '皇后支局', '001022001016', '5666010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521728', '2', '99', '1323441314754334736', '皇路店支局', '001022001017', '5666010022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521729', '2', '99', '1323441314754334736', '黄洋路支局', '001022001018', '5666010023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521730', '2', '99', '1323441314754334736', '黄洋南路支局', '001022001019', '5666010024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521731', '2', '99', '1323441314754334736', '留山支局', '001022001020', '5666010025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521732', '2', '99', '1323441314754334736', '马市坪支局', '001022001021', '5666010026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521733', '2', '99', '1323441314754334736', '南河店支局', '001022001022', '5666010027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521734', '2', '99', '1323441314754334736', '乔端邮政所', '001022001023', '5666010028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521735', '2', '99', '1323441314754334736', '人民南路支局', '001022001024', '5666010029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521736', '2', '99', '1323441314754334736', '石门支局', '001022001025', '5666010030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521737', '2', '99', '1323441314754334736', '四棵树支局', '001022001026', '5666010031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858344521738', '2', '99', '1323441314754334736', '太山庙支局', '001022001027', '5666010032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716032', '2', '99', '1323441314754334736', '向东支局', '001022001028', '5666010033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716033', '2', '99', '1323441314754334736', '小店支局', '001022001029', '5666010034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716034', '2', '99', '1323441314754334736', '鸭河支局', '001022001030', '5666010035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716035', '2', '99', '1323441314754334736', '云阳古城支局', '001022001031', '5666010036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716036', '2', '99', '1323441314754334736', '云阳支局', '001022001032', '5666010037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716037', '2', '99', '1323441314754334736', '云阳中心支局', '001022001033', '5666010038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716038', '2', '99', '1323441314754334736', '中华路支局', '001022001034', '5666010039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716039', '2', '99', '1323441314754334736', '中心邮政所', '001022001035', '5666010040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716040', '2', '99', '1323441314754334736', '保留关系人员部门', '001022001036', '5666010099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716041', '2', '99', '1323441314754334736', '机要室', '001022001037', '566601000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716042', '2', '99', '1323441314754334736', '中邮保险中心', '001022001038', '566601000701', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716043', '2', '99', '1323441314754334736', '寄递事业部', '001022001039', '5666010088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716044', '2', '99', '1323441314754334737', '单位领导部门', '001022002001', '5666020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858348716045', '2', '99', '1323441314754334737', '非领导职务部门', '001022002002', '5666020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910336', '2', '99', '1323441314754334737', '领导助理部门', '001022002003', '5666020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910337', '2', '99', '1323441314754334737', '市场营销部', '001022002004', '5666020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910338', '2', '99', '1323441314754334737', '金融业务部', '001022002005', '5666020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910339', '2', '99', '1323441314754334737', '集邮与文化传媒部', '001022002006', '5666020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910340', '2', '99', '1323441314754334737', '渠道平台部', '001022002007', '5666020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910341', '2', '99', '1323441314754334737', '综合办公室（安全保卫部）', '001022002008', '5666020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910342', '2', '99', '1323441314754334737', '营业班', '001022002009', '5666020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910343', '2', '99', '1323441314754334737', '文化路邮政所', '001022002010', '5666020024', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910344', '2', '99', '1323441314754334737', '老城支局', '001022002011', '5666020025', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910345', '2', '99', '1323441314754334737', '车站支局', '001022002012', '5666020026', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910346', '2', '99', '1323441314754334737', '裕州南路支局', '001022002013', '5666020027', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858352910347', '2', '99', '1323441314754334737', '清河支局', '001022002014', '5666020028', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104640', '2', '99', '1323441314754334737', '袁店支局', '001022002015', '5666020029', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104641', '2', '99', '1323441314754334737', '广阳支局', '001022002016', '5666020030', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104642', '2', '99', '1323441314754334737', '柳河支局', '001022002017', '5666020031', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104643', '2', '99', '1323441314754334737', '中南厂邮政所', '001022002018', '5666020032', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104644', '2', '99', '1323441314754334737', '杨集支局', '001022002019', '5666020033', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104645', '2', '99', '1323441314754334737', '拐河支局', '001022002020', '5666020034', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104646', '2', '99', '1323441314754334737', '四里店支局', '001022002021', '5666020035', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104647', '2', '99', '1323441314754334737', '赵河支局', '001022002022', '5666020036', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104648', '2', '99', '1323441314754334737', '博望支局', '001022002023', '5666020037', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104649', '2', '99', '1323441314754334737', '二郎庙支局', '001022002024', '5666020039', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104650', '2', '99', '1323441314754334737', '券桥支局', '001022002025', '5666020040', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104651', '2', '99', '1323441314754334737', '独树支局', '001022002026', '5666020041', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858357104652', '2', '99', '1323441314754334737', '古庄店支局', '001022002027', '5666020042', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298944', '2', '99', '1323441314754334737', '杨楼支局', '001022002028', '5666020043', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298945', '2', '99', '1323441314754334737', '小史店支局', '001022002029', '5666020045', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298946', '2', '99', '1323441314754334737', '保留关系人员部门', '001022002030', '5666020099', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298947', '2', '99', '1323441314754334737', '机要室', '001022002031', '566602000401', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298948', '2', '99', '1323441314754334737', '中邮保险中心', '001022002032', '566602000701', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298949', '2', '99', '1323441314754334737', '寄递事业部', '001022002033', '5666020088', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858361298950', '2', '99', '1323441314754334738', '单位领导部门', '001022003001', '5666030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493248', '2', '99', '1323441314754334738', '非领导职务部门', '001022003002', '5666030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493249', '2', '99', '1323441314754334738', '领导助理部门', '001022003003', '5666030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493250', '2', '99', '1323441314754334738', '市场营销部', '001022003004', '5666030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493251', '2', '99', '1323441314754334738', '金融业务部', '001022003005', '5666030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493252', '2', '99', '1323441314754334738', '集邮与文化传媒部', '001022003006', '5666030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493253', '2', '99', '1323441314754334738', '渠道平台部', '001022003007', '5666030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493254', '2', '99', '1323441314754334738', '综合办公室（安全保卫部）', '001022003008', '5666030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493255', '2', '99', '1323441314754334738', '营业班', '001022003009', '5666030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493256', '2', '99', '1323441314754334738', '南大街支局', '001022003010', '5666030021', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493257', '2', '99', '1323441314754334738', '丁河镇支局', '001022003011', '5666030022', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493258', '2', '99', '1323441314754334738', '北关支局', '001022003012', '5666030029', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493259', '2', '99', '1323441314754334738', '莲花支局', '001022003013', '5666030030', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858365493260', '2', '99', '1323441314754334738', '白羽邮政所', '001022003014', '5666030031', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687552', '2', '99', '1323441314754334738', '丹水邮政所', '001022003015', '5666030035', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687553', '2', '99', '1323441314754334738', '田关支局', '001022003016', '5666030036', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687554', '2', '99', '1323441314754334738', '回车镇支局', '001022003017', '5666030038', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687555', '2', '99', '1323441314754334738', '重阳镇支局', '001022003018', '5666030041', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687556', '2', '99', '1323441314754334738', '西坪镇支局', '001022003019', '5666030042', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687557', '2', '99', '1323441314754334738', '桑坪支局', '001022003020', '5666030044', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687558', '2', '99', '1323441314754334738', '石界河乡支局', '001022003021', '5666030045', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687559', '2', '99', '1323441314754334738', '米坪镇支局', '001022003022', '5666030046', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687560', '2', '99', '1323441314754334738', '军马河邮政所', '001022003023', '5666030047', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687561', '2', '99', '1323441314754334738', '双龙支局', '001022003024', '5666030048', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687562', '2', '99', '1323441314754334738', '二郎坪支局', '001022003025', '5666030049', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858369687563', '2', '99', '1323441314754334738', '太平镇支局', '001022003026', '5666030050', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881856', '2', '99', '1323441314754334738', '五里桥支局', '001022003027', '5666030051', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881857', '2', '99', '1323441314754334738', '工业大道支局', '001022003028', '5666030053', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881858', '2', '99', '1323441314754334738', '保留关系人员部门', '001022003029', '5666030099', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881859', '2', '99', '1323441314754334738', '机要室', '001022003030', '566603000401', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881860', '2', '99', '1323441314754334738', '中邮保险中心', '001022003031', '566603000701', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881861', '2', '99', '1323441314754334738', '寄递事业部', '001022003032', '5666030088', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881862', '2', '99', '1323441314754334739', '单位领导部门', '001022004001', '5666040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881863', '2', '99', '1323441314754334739', '非领导职务部门', '001022004002', '5666040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881864', '2', '99', '1323441314754334739', '领导助理部门', '001022004003', '5666040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881865', '2', '99', '1323441314754334739', '市场营销部', '001022004004', '5666040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881866', '2', '99', '1323441314754334739', '金融业务部', '001022004005', '5666040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881867', '2', '99', '1323441314754334739', '集邮与文化传媒部', '001022004006', '5666040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881868', '2', '99', '1323441314754334739', '渠道平台部', '001022004007', '5666040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858373881869', '2', '99', '1323441314754334739', '综合办公室（安全保卫部）', '001022004008', '5666040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076160', '2', '99', '1323441314754334739', '营业班', '001022004009', '5666040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076161', '2', '99', '1323441314754334739', '白河支局', '001022004010', '5666040028', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076162', '2', '99', '1323441314754334739', '黄台岗支局', '001022004011', '5666040029', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076163', '2', '99', '1323441314754334739', '瓦店支局', '001022004012', '5666040030', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076164', '2', '99', '1323441314754334739', '官庄支局', '001022004013', '5666040031', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076165', '2', '99', '1323441314754334739', '金华支局', '001022004014', '5666040032', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076166', '2', '99', '1323441314754334739', '汉冢支局', '001022004015', '5666040033', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076167', '2', '99', '1323441314754334739', '溧河支局', '001022004016', '5666040034', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076168', '2', '99', '1323441314754334739', '茶庵支局', '001022004017', '5666040035', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076169', '2', '99', '1323441314754334739', '高庙支局', '001022004018', '5666040036', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858378076170', '2', '99', '1323441314754334739', '红泥湾邮政所', '001022004019', '5666040037', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270464', '2', '99', '1323441314754334739', '新店支局', '001022004020', '5666040038', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270465', '2', '99', '1323441314754334739', '蒲山支局', '001022004021', '5666040039', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270466', '2', '99', '1323441314754334739', '石桥支局', '001022004022', '5666040040', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270467', '2', '99', '1323441314754334739', '安皋支局', '001022004023', '5666040042', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270468', '2', '99', '1323441314754334739', '谢庄支局', '001022004024', '5666040043', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270469', '2', '99', '1323441314754334739', '王村支局', '001022004025', '5666040044', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270470', '2', '99', '1323441314754334739', '潦河支局', '001022004026', '5666040045', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270471', '2', '99', '1323441314754334739', '陆营支局', '001022004027', '5666040046', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270472', '2', '99', '1323441314754334739', '英庄支局', '001022004028', '5666040047', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270473', '2', '99', '1323441314754334739', '青华支局', '001022004029', '5666040048', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270474', '2', '99', '1323441314754334739', '潦河坡支局', '001022004030', '5666040049', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858382270475', '2', '99', '1323441314754334739', '小寨邮政所', '001022004031', '5666040050', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464768', '2', '99', '1323441314754334739', '保留关系人员部门', '001022004032', '5666040099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464769', '2', '99', '1323441314754334739', '机要室', '001022004033', '566604000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464770', '2', '99', '1323441314754334739', '中邮保险中心', '001022004034', '566604000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464771', '2', '99', '1323441314754334739', '寄递事业部', '001022004035', '5666040088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464772', '2', '99', '1323441314754334740', '单位领导部门', '001022005001', '5666050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464773', '2', '99', '1323441314754334740', '非领导职务部门', '001022005002', '5666050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464774', '2', '99', '1323441314754334740', '领导助理部门', '001022005003', '5666050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464775', '2', '99', '1323441314754334740', '市场营销部', '001022005004', '5666050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464776', '2', '99', '1323441314754334740', '金融业务部', '001022005005', '5666050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464777', '2', '99', '1323441314754334740', '集邮与文化传媒部', '001022005006', '5666050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464778', '2', '99', '1323441314754334740', '渠道平台部', '001022005007', '5666050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464779', '2', '99', '1323441314754334740', '综合办公室（安全保卫部）', '001022005008', '5666050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858386464780', '2', '99', '1323441314754334740', '营业班', '001022005009', '5666050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659072', '2', '99', '1323441314754334740', '三里河支局', '001022005010', '5666050037', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659073', '2', '99', '1323441314754334740', '南关支局', '001022005011', '5666050038', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659074', '2', '99', '1323441314754334740', '雪枫支局', '001022005012', '5666050039', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659075', '2', '99', '1323441314754334740', '贾宋支局', '001022005013', '5666050045', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659076', '2', '99', '1323441314754334740', '候集支局', '001022005014', '5666050046', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659077', '2', '99', '1323441314754334740', '石佛寺邮政所', '001022005015', '5666050047', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659078', '2', '99', '1323441314754334740', '卢医支局', '001022005016', '5666050048', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659079', '2', '99', '1323441314754334740', '彭营支局', '001022005017', '5666050049', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659080', '2', '99', '1323441314754334740', '杨营支局', '001022005018', '5666050050', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659081', '2', '99', '1323441314754334740', '高丘支局', '001022005019', '5666050051', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659082', '2', '99', '1323441314754334740', '柳泉铺支局', '001022005020', '5666050052', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858390659083', '2', '99', '1323441314754334740', '老庄支局', '001022005021', '5666050053', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853376', '2', '99', '1323441314754334740', '晁陂支局', '001022005022', '5666050054', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853377', '2', '99', '1323441314754334740', '张林支局', '001022005023', '5666050055', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853378', '2', '99', '1323441314754334740', '黑龙集支局', '001022005024', '5666050056', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853379', '2', '99', '1323441314754334740', '枣园支局', '001022005025', '5666050057', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853380', '2', '99', '1323441314754334740', '安子营支局', '001022005026', '5666050058', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853381', '2', '99', '1323441314754334740', '马庄支局', '001022005027', '5666050059', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853382', '2', '99', '1323441314754334740', '曲屯支局', '001022005028', '5666050060', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853383', '2', '99', '1323441314754334740', '王岗支局', '001022005029', '5666050061', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853384', '2', '99', '1323441314754334740', '遮山支局', '001022005030', '5666050062', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853385', '2', '99', '1323441314754334740', '保留关系人员部门', '001022005031', '5666050099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853386', '2', '99', '1323441314754334740', '机要室', '001022005032', '566605000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853387', '2', '99', '1323441314754334740', '中邮保险中心', '001022005033', '566605000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858394853388', '2', '99', '1323441314754334740', '寄递事业部', '001022005034', '5666050088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047680', '2', '99', '1323441314754334741', '单位领导部门', '001022006001', '5666060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047681', '2', '99', '1323441314754334741', '非领导职务部门', '001022006002', '5666060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047682', '2', '99', '1323441314754334741', '领导助理部门', '001022006003', '5666060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047683', '2', '99', '1323441314754334741', '市场营销部', '001022006004', '5666060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047684', '2', '99', '1323441314754334741', '金融业务部', '001022006005', '5666060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047685', '2', '99', '1323441314754334741', '集邮与文化传媒部', '001022006006', '5666060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047686', '2', '99', '1323441314754334741', '渠道平台部', '001022006007', '5666060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047687', '2', '99', '1323441314754334741', '综合办公室（安全保卫部）', '001022006008', '5666060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047688', '2', '99', '1323441314754334741', '营业班', '001022006009', '5666060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047689', '2', '99', '1323441314754334741', '北大街支局', '001022006010', '5666060027', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047690', '2', '99', '1323441314754334741', '南关支局', '001022006011', '5666060029', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858399047691', '2', '99', '1323441314754334741', '灌涨支局', '001022006012', '5666060033', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241984', '2', '99', '1323441314754334741', '王店支局', '001022006013', '5666060034', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241985', '2', '99', '1323441314754334741', '余关支局', '001022006014', '5666060035', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241986', '2', '99', '1323441314754334741', '马山邮政所', '001022006015', '5666060036', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241987', '2', '99', '1323441314754334741', '七里坪支局', '001022006016', '5666060037', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241988', '2', '99', '1323441314754334741', '板厂邮政所', '001022006017', '5666060039', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241989', '2', '99', '1323441314754334741', '赤眉支局', '001022006018', '5666060040', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241990', '2', '99', '1323441314754334741', '赵店支局', '001022006019', '5666060041', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241991', '2', '99', '1323441314754334741', '大桥支局', '001022006020', '5666060042', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241992', '2', '99', '1323441314754334741', '师岗支局', '001022006021', '5666060043', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858403241993', '2', '99', '1323441314754334741', '瓦亭支局', '001022006022', '5666060044', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436288', '2', '99', '1323441314754334741', '乍曲支局', '001022006023', '5666060045', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436289', '2', '99', '1323441314754334741', '桃溪支局', '001022006024', '5666060046', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436290', '2', '99', '1323441314754334741', '湍东支局', '001022006025', '5666060047', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436291', '2', '99', '1323441314754334741', '夏馆支局', '001022006026', '5666060050', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436292', '2', '99', '1323441314754334741', '保留关系人员部门', '001022006027', '5666060099', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436293', '2', '99', '1323441314754334741', '机要室', '001022006028', '566606000401', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436294', '2', '99', '1323441314754334741', '中邮保险中心', '001022006029', '566606000701', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436295', '2', '99', '1323441314754334741', '寄递事业部', '001022006030', '5666060088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858407436296', '2', '99', '1323441314754334742', '单位领导部门', '001022007001', '5666070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630592', '2', '99', '1323441314754334742', '非领导职务部门', '001022007002', '5666070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630593', '2', '99', '1323441314754334742', '领导助理部门', '001022007003', '5666070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630594', '2', '99', '1323441314754334742', '市场营销部', '001022007004', '5666070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630595', '2', '99', '1323441314754334742', '金融业务部', '001022007005', '5666070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630596', '2', '99', '1323441314754334742', '集邮与文化传媒部', '001022007006', '5666070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630597', '2', '99', '1323441314754334742', '渠道平台部', '001022007007', '5666070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630598', '2', '99', '1323441314754334742', '综合办公室（安全保卫部）', '001022007008', '5666070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630599', '2', '99', '1323441314754334742', '营业班', '001022007009', '5666070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630600', '2', '99', '1323441314754334742', '解放路邮政所', '001022007010', '5666070019', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630601', '2', '99', '1323441314754334742', '解放路支局', '001022007011', '5666070027', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858411630602', '2', '99', '1323441314754334742', '金河镇支局', '001022007012', '5666070034', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824896', '2', '99', '1323441314754334742', '金河邮政所', '001022007013', '5666070035', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824897', '2', '99', '1323441314754334742', '荆紫关支局', '001022007014', '5666070036', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824898', '2', '99', '1323441314754334742', '寺湾支局', '001022007015', '5666070037', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824899', '2', '99', '1323441314754334742', '西簧支局', '001022007016', '5666070038', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824900', '2', '99', '1323441314754334742', '毛堂支局', '001022007017', '5666070039', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824901', '2', '99', '1323441314754334742', '老城支局', '001022007018', '5666070040', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824902', '2', '99', '1323441314754334742', '大石桥支局', '001022007019', '5666070041', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824903', '2', '99', '1323441314754334742', '滔河支局', '001022007020', '5666070042', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824904', '2', '99', '1323441314754334742', '盛湾支局', '001022007021', '5666070043', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824905', '2', '99', '1323441314754334742', '马蹬支局', '001022007022', '5666070044', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858415824906', '2', '99', '1323441314754334742', '香花邮政所', '001022007023', '5666070045', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019200', '2', '99', '1323441314754334742', '九重支局', '001022007024', '5666070046', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019201', '2', '99', '1323441314754334742', '厚坡支局', '001022007025', '5666070047', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019202', '2', '99', '1323441314754334742', '仓房邮政所', '001022007026', '5666070048', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019203', '2', '99', '1323441314754334742', '灌河路支局', '001022007027', '5666070049', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019204', '2', '99', '1323441314754334742', '保留关系人员部门', '001022007028', '5666070099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019205', '2', '99', '1323441314754334742', '机要室', '001022007029', '566607000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019206', '2', '99', '1323441314754334742', '中邮保险中心', '001022007030', '566607000701', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019207', '2', '99', '1323441314754334742', '寄递事业部', '001022007031', '5666070088', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019208', '2', '99', '1323441314754334743', '单位领导部门', '001022008001', '5666080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019209', '2', '99', '1323441314754334743', '非领导职务部门', '001022008002', '5666080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019210', '2', '99', '1323441314754334743', '领导助理部门', '001022008003', '5666080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019211', '2', '99', '1323441314754334743', '市场营销部', '001022008004', '5666080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858420019212', '2', '99', '1323441314754334743', '金融业务部', '001022008005', '5666080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213504', '2', '99', '1323441314754334743', '集邮与文化传媒部', '001022008006', '5666080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213505', '2', '99', '1323441314754334743', '渠道平台部', '001022008007', '5666080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213506', '2', '99', '1323441314754334743', '综合办公室（安全保卫部）', '001022008008', '5666080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213507', '2', '99', '1323441314754334743', '营业班', '001022008009', '5666080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213508', '2', '99', '1323441314754334743', '唐庄邮政所', '001022008010', '5666080025', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213509', '2', '99', '1323441314754334743', '嵩山路邮政所', '001022008011', '5666080026', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213510', '2', '99', '1323441314754334743', '中心邮政所', '001022008012', '5666080027', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213511', '2', '99', '1323441314754334743', '红旗路支局', '001022008013', '5666080028', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213512', '2', '99', '1323441314754334743', '东关支局', '001022008014', '5666080029', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213513', '2', '99', '1323441314754334743', '新华支局', '001022008015', '5666080030', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213514', '2', '99', '1323441314754334743', '城郊支局', '001022008016', '5666080035', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858424213515', '2', '99', '1323441314754334743', '陌陂支局', '001022008017', '5666080036', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407808', '2', '99', '1323441314754334743', '下洼支局', '001022008018', '5666080037', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407809', '2', '99', '1323441314754334743', '郝寨支局', '001022008019', '5666080038', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407810', '2', '99', '1323441314754334743', '苗店支局', '001022008020', '5666080039', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407811', '2', '99', '1323441314754334743', '丁庄支局', '001022008021', '5666080040', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407812', '2', '99', '1323441314754334743', '田庄邮政所', '001022008022', '5666080041', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407813', '2', '99', '1323441314754334743', '尧良支局', '001022008023', '5666080042', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407814', '2', '99', '1323441314754334743', '朱集支局', '001022008024', '5666080043', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407815', '2', '99', '1323441314754334743', '太和支局', '001022008025', '5666080044', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407816', '2', '99', '1323441314754334743', '青台支局', '001022008026', '5666080045', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407817', '2', '99', '1323441314754334743', '李店支局', '001022008027', '5666080046', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407818', '2', '99', '1323441314754334743', '晋庄支局', '001022008028', '5666080047', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407819', '2', '99', '1323441314754334743', '大冯营支局', '001022008029', '5666080048', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407820', '2', '99', '1323441314754334743', '桥头邮政所', '001022008030', '5666080049', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407821', '2', '99', '1323441314754334743', '兴隆支局', '001022008031', '5666080050', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407822', '2', '99', '1323441314754334743', '保留关系人员部门', '001022008032', '5666080099', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407823', '2', '99', '1323441314754334743', '机要室', '001022008033', '566608000401', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407824', '2', '99', '1323441314754334743', '中邮保险中心', '001022008034', '566608000701', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407825', '2', '99', '1323441314754334743', '寄递事业部', '001022008035', '5666080088', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407826', '2', '99', '1323441314754334744', '单位领导部门', '001022009001', '5666090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407827', '2', '99', '1323441314754334744', '非领导职务部门', '001022009002', '5666090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407828', '2', '99', '1323441314754334744', '领导助理部门', '001022009003', '5666090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407829', '2', '99', '1323441314754334744', '市场营销部', '001022009004', '5666090004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407830', '2', '99', '1323441314754334744', '金融业务部', '001022009005', '5666090007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858428407831', '2', '99', '1323441314754334744', '集邮与文化传媒部', '001022009006', '5666090008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602112', '2', '99', '1323441314754334744', '渠道平台部', '001022009007', '5666090010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602113', '2', '99', '1323441314754334744', '综合办公室（安全保卫部）', '001022009008', '5666090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602114', '2', '99', '1323441314754334744', '营业班', '001022009009', '5666090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602115', '2', '99', '1323441314754334744', '城区邮政所', '001022009010', '5666090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602116', '2', '99', '1323441314754334744', '建设路支局', '001022009011', '5666090027', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602117', '2', '99', '1323441314754334744', '上屯支局', '001022009012', '5666090030', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602118', '2', '99', '1323441314754334744', '王集支局', '001022009013', '5666090031', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602119', '2', '99', '1323441314754334744', '苍台支局', '001022009014', '5666090032', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602120', '2', '99', '1323441314754334744', '少拜寺支局', '001022009015', '5666090033', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602121', '2', '99', '1323441314754334744', '湖阳支局', '001022009016', '5666090034', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858432602122', '2', '99', '1323441314754334744', '大河屯支局', '001022009017', '5666090035', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796416', '2', '99', '1323441314754334744', '桐寨铺支局', '001022009018', '5666090036', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796417', '2', '99', '1323441314754334744', '桐河支局', '001022009019', '5666090037', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796418', '2', '99', '1323441314754334744', '源潭支局', '001022009020', '5666090038', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796419', '2', '99', '1323441314754334744', '古城支局', '001022009021', '5666090039', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796420', '2', '99', '1323441314754334744', '昝岗支局', '001022009022', '5666090040', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796421', '2', '99', '1323441314754334744', '马振抚支局', '001022009023', '5666090041', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796422', '2', '99', '1323441314754334744', '郭滩支局', '001022009024', '5666090042', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796423', '2', '99', '1323441314754334744', '祁仪支局', '001022009025', '5666090043', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796424', '2', '99', '1323441314754334744', '黑龙镇支局', '001022009026', '5666090044', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796425', '2', '99', '1323441314754334744', '龙潭支局', '001022009027', '5666090045', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858436796426', '2', '99', '1323441314754334744', '双河支局', '001022009028', '5666090046', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990720', '2', '99', '1323441314754334744', '井楼支局', '001022009029', '5666090047', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990721', '2', '99', '1323441314754334744', '张店支局', '001022009030', '5666090048', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990722', '2', '99', '1323441314754334744', '毕店支局', '001022009031', '5666090049', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990723', '2', '99', '1323441314754334744', '城郊乡支局', '001022009032', '5666090050', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990724', '2', '99', '1323441314754334744', '城郊乡邮政所', '001022009033', '5666090051', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990725', '2', '99', '1323441314754334744', '保留关系人员部门', '001022009034', '5666090099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990726', '2', '99', '1323441314754334744', '机要室', '001022009035', '566609000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990727', '2', '99', '1323441314754334744', '中邮保险中心', '001022009036', '566609000701', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990728', '2', '99', '1323441314754334744', '寄递事业部', '001022009037', '5666090088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990729', '2', '99', '1323441314754334745', '单位领导部门', '001022010001', '5666100001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858440990730', '2', '99', '1323441314754334745', '非领导职务部门', '001022010002', '5666100002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185024', '2', '99', '1323441314754334745', '领导助理部门', '001022010003', '5666100003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185025', '2', '99', '1323441314754334745', '市场营销部', '001022010004', '5666100004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185026', '2', '99', '1323441314754334745', '金融业务部', '001022010005', '5666100007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185027', '2', '99', '1323441314754334745', '集邮与文化传媒部', '001022010006', '5666100008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185028', '2', '99', '1323441314754334745', '渠道平台部', '001022010007', '5666100010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185029', '2', '99', '1323441314754334745', '综合办公室（安全保卫部）', '001022010008', '5666100011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185030', '2', '99', '1323441314754334745', '营业班', '001022010009', '5666100012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185031', '2', '99', '1323441314754334745', '团结路邮政所', '001022010010', '5666100033', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185032', '2', '99', '1323441314754334745', '雷锋路支局', '001022010011', '5666100034', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858445185033', '2', '99', '1323441314754334745', '文化路支局', '001022010012', '5666100035', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379328', '2', '99', '1323441314754334745', '火车站支局', '001022010013', '5666100037', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379329', '2', '99', '1323441314754334745', '北京大道邮政所', '001022010014', '5666100048', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379330', '2', '99', '1323441314754334745', '北京大道支局', '001022010015', '5666100049', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379331', '2', '99', '1323441314754334745', '桑庄支局', '001022010016', '5666100050', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379332', '2', '99', '1323441314754334745', '腰店支局', '001022010017', '5666100051', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379333', '2', '99', '1323441314754334745', '汲滩邮政所', '001022010018', '5666100052', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379334', '2', '99', '1323441314754334745', '元庄支局', '001022010019', '5666100053', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379335', '2', '99', '1323441314754334745', '白牛支局', '001022010020', '5666100054', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379336', '2', '99', '1323441314754334745', '穰东支局', '001022010021', '5666100055', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379337', '2', '99', '1323441314754334745', '夏集支局', '001022010022', '5666100056', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858449379338', '2', '99', '1323441314754334745', '裴营支局', '001022010023', '5666100057', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573632', '2', '99', '1323441314754334745', '赵集支局', '001022010024', '5666100058', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573633', '2', '99', '1323441314754334745', '文渠支局', '001022010025', '5666100059', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573634', '2', '99', '1323441314754334745', '九龙邮政所', '001022010026', '5666100060', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573635', '2', '99', '1323441314754334745', '张村支局', '001022010027', '5666100061', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573636', '2', '99', '1323441314754334745', '十林支局', '001022010028', '5666100062', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573637', '2', '99', '1323441314754334745', '罗庄支局', '001022010029', '5666100063', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573638', '2', '99', '1323441314754334745', '彭桥邮政所', '001022010030', '5666100064', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573639', '2', '99', '1323441314754334745', '高集支局', '001022010031', '5666100065', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573640', '2', '99', '1323441314754334745', '林扒邮政所', '001022010032', '5666100066', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573641', '2', '99', '1323441314754334745', '构林支局', '001022010033', '5666100067', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573642', '2', '99', '1323441314754334745', '都司支局', '001022010034', '5666100068', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858453573643', '2', '99', '1323441314754334745', '魏集邮政所', '001022010035', '5666100069', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767936', '2', '99', '1323441314754334745', '刘集邮政所', '001022010036', '5666100070', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767937', '2', '99', '1323441314754334745', '陶营支局', '001022010037', '5666100071', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767938', '2', '99', '1323441314754334745', '孟楼支局', '001022010038', '5666100072', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767939', '2', '99', '1323441314754334745', '龙堰支局', '001022010039', '5666100073', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767940', '2', '99', '1323441314754334745', '杨营支局', '001022010040', '5666100074', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767941', '2', '99', '1323441314754334745', '张楼邮政所', '001022010041', '5666100075', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767942', '2', '99', '1323441314754334745', '保留关系人员部门', '001022010042', '5666100099', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767943', '2', '99', '1323441314754334745', '机要室', '001022010043', '566610000401', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767944', '2', '99', '1323441314754334745', '中邮保险中心', '001022010044', '566610000701', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767945', '2', '99', '1323441314754334745', '寄递事业部', '001022010045', '5666100088', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767946', '2', '99', '1323441314754334746', '单位领导部门', '001022011001', '5666110001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858457767947', '2', '99', '1323441314754334746', '非领导职务部门', '001022011002', '5666110002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962240', '2', '99', '1323441314754334746', '领导助理部门', '001022011003', '5666110003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962241', '2', '99', '1323441314754334746', '市场营销部', '001022011004', '5666110004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962242', '2', '99', '1323441314754334746', '金融业务部', '001022011005', '5666110007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962243', '2', '99', '1323441314754334746', '集邮与文化传媒部', '001022011006', '5666110008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962244', '2', '99', '1323441314754334746', '渠道平台部', '001022011007', '5666110010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962245', '2', '99', '1323441314754334746', '综合办公室（安全保卫部）', '001022011008', '5666110011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962246', '2', '99', '1323441314754334746', '营业班', '001022011009', '5666110012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962247', '2', '99', '1323441314754334746', '东关支局', '001022011010', '5666110037', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962248', '2', '99', '1323441314754334746', '北关支局', '001022011011', '5666110038', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962249', '2', '99', '1323441314754334746', '城郊乡邮政所', '001022011012', '5666110039', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858461962250', '2', '99', '1323441314754334746', '南张营邮政所', '001022011013', '5666110042', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156544', '2', '99', '1323441314754334746', '沙堰支局', '001022011014', '5666110045', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156545', '2', '99', '1323441314754334746', '施庵邮政所', '001022011015', '5666110046', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156546', '2', '99', '1323441314754334746', '溧河支局', '001022011016', '5666110047', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156547', '2', '99', '1323441314754334746', '歪子支局', '001022011017', '5666110048', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156548', '2', '99', '1323441314754334746', '上庄支局', '001022011018', '5666110049', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156549', '2', '99', '1323441314754334746', '高庙支局', '001022011019', '5666110050', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156550', '2', '99', '1323441314754334746', '王庄支局', '001022011020', '5666110051', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156551', '2', '99', '1323441314754334746', '五星支局', '001022011021', '5666110052', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156552', '2', '99', '1323441314754334746', '新甸支局', '001022011022', '5666110053', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156553', '2', '99', '1323441314754334746', '上港支局', '001022011023', '5666110054', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156554', '2', '99', '1323441314754334746', '王集支局', '001022011024', '5666110055', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858466156555', '2', '99', '1323441314754334746', '樊集支局', '001022011025', '5666110056', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350848', '2', '99', '1323441314754334746', '保留关系人员部门', '001022011026', '5666110099', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350849', '2', '99', '1323441314754334746', '机要室', '001022011027', '566611000401', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350850', '2', '99', '1323441314754334746', '中邮保险中心', '001022011028', '566611000701', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350851', '2', '99', '1323441314754334746', '寄递事业部', '001022011029', '5666110088', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350852', '2', '99', '1323441314754334747', '单位领导部门', '001022012001', '5666120001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350853', '2', '99', '1323441314754334747', '非领导职务部门', '001022012002', '5666120002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350854', '2', '99', '1323441314754334747', '领导助理部门', '001022012003', '5666120003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350855', '2', '99', '1323441314754334747', '市场营销部', '001022012004', '5666120004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350856', '2', '99', '1323441314754334747', '金融业务部', '001022012005', '5666120007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350857', '2', '99', '1323441314754334747', '集邮与文化传媒部', '001022012006', '5666120008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858470350858', '2', '99', '1323441314754334747', '渠道平台部', '001022012007', '5666120010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545152', '2', '99', '1323441314754334747', '综合办公室（安全保卫部）', '001022012008', '5666120011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545153', '2', '99', '1323441314754334747', '营业班', '001022012009', '5666120012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545154', '2', '99', '1323441314754334747', '淮源大道支局', '001022012010', '5666120022', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545155', '2', '99', '1323441314754334747', '综合营业厅', '001022012011', '5666120023', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545156', '2', '99', '1323441314754334747', '鸿仪河支局', '001022012012', '5666120024', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545157', '2', '99', '1323441314754334747', '新集支局', '001022012013', '5666120025', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545158', '2', '99', '1323441314754334747', '平氏支局', '001022012014', '5666120026', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545159', '2', '99', '1323441314754334747', '程湾支局', '001022012015', '5666120027', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545160', '2', '99', '1323441314754334747', '安棚支局', '001022012016', '5666120029', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545161', '2', '99', '1323441314754334747', '埠江支局', '001022012017', '5666120030', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545162', '2', '99', '1323441314754334747', '埠江镇西支局', '001022012018', '5666120031', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858474545163', '2', '99', '1323441314754334747', '埠江镇江河矿支局', '001022012019', '5666120032', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739456', '2', '99', '1323441314754334747', '城郊乡支局', '001022012020', '5666120033', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739457', '2', '99', '1323441314754334747', '月河邮政所', '001022012021', '5666120034', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739458', '2', '99', '1323441314754334747', '吴城支局', '001022012022', '5666120035', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739459', '2', '99', '1323441314754334747', '吴城镇老街支局', '001022012023', '5666120036', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739460', '2', '99', '1323441314754334747', '固县支局', '001022012024', '5666120037', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739461', '2', '99', '1323441314754334747', '毛集支局', '001022012025', '5666120038', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739462', '2', '99', '1323441314754334747', '毛集铁矿支局', '001022012026', '5666120039', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739463', '2', '99', '1323441314754334747', '大河支局', '001022012027', '5666120040', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739464', '2', '99', '1323441314754334747', '回龙支局', '001022012028', '5666120041', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739465', '2', '99', '1323441314754334747', '黄岗支局', '001022012029', '5666120042', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858478739466', '2', '99', '1323441314754334747', '朱庄支局', '001022012030', '5666120043', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858482933760', '2', '99', '1323441314754334747', '大河铜矿支局', '001022012031', '5666120044', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858482933761', '2', '99', '1323441314754334747', '城郊乡甲六路支局', '001022012032', '5666120045', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858482933762', '2', '99', '1323441314754334747', '甲六路邮政所', '001022012033', '5666120046', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858482933763', '2', '99', '1323441314754334747', '城郊乡杨庄支局', '001022012034', '5666120047', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858482933764', '2', '99', '1323441314754334747', '程湾二所', '001022012035', '5666120048', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858482933765', '2', '99', '1323441314754334747', '保留关系人员部门', '001022012036', '5666120099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128064', '2', '99', '1323441314754334747', '机要室', '001022012037', '566612000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128065', '2', '99', '1323441314754334747', '中邮保险中心', '001022012038', '566612000701', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128066', '2', '99', '1323441314754334747', '寄递事业部', '001022012039', '5666120088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128067', '2', '99', '1323441314754334748', '单位领导部门', '001022013001', '5666200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128068', '2', '99', '1323441314754334748', '非领导职务部门', '001022013002', '5666200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128069', '2', '99', '1323441314754334748', '领导助理部门', '001022013003', '5666200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128070', '2', '99', '1323441314754334748', '机要通信分局内设机构（虚拟部门）', '001022013004', '5666200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128071', '2', '99', '1323441314754334748', '保留关系人员部门', '001022013005', '5666200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128072', '2', '99', '1323441314754334749', '单位领导部门', '001022014001', '5666200101', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858487128073', '2', '99', '1323441314754334749', '非领导职务部门', '001022014002', '5666200102', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322368', '2', '99', '1323441314754334749', '领导助理部门', '001022014003', '5666200103', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322369', '2', '99', '1323441314754334749', '市场营销部', '001022014004', '5666200104', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322370', '2', '99', '1323441314754334749', '金融业务部（中邮保险局）', '001022014005', '5666200107', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322371', '2', '99', '1323441314754334749', '集邮与文化传媒部', '001022014006', '5666200108', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322372', '2', '99', '1323441314754334749', '渠道平台部', '001022014007', '5666200110', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322373', '2', '99', '1323441314754334749', '营业班', '001022014008', '5666200112', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322374', '2', '99', '1323441314754334749', '工业路邮政所', '001022014009', '5666200117', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322375', '2', '99', '1323441314754334749', '鸿雁邮政所', '001022014010', '5666200118', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322376', '2', '99', '1323441314754334749', '火车站邮政所', '001022014011', '5666200119', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322377', '2', '99', '1323441314754334749', '建西邮政所', '001022014012', '5666200120', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322378', '2', '99', '1323441314754334749', '靳岗邮政所', '001022014013', '5666200121', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858491322379', '2', '99', '1323441314754334749', '麒麟路支局', '001022014014', '5666200122', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516672', '2', '99', '1323441314754334749', '张衡中路邮政所', '001022014015', '5666200123', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516673', '2', '99', '1323441314754334749', '师院支局', '001022014016', '5666200124', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516674', '2', '99', '1323441314754334749', '卧龙岗支局', '001022014017', '5666200125', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516675', '2', '99', '1323441314754334749', '邮件中心支局', '001022014018', '5666200126', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516676', '2', '99', '1323441314754334749', '长线局支局', '001022014019', '5666200127', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516677', '2', '99', '1323441314754334749', '张衡中路支局', '001022014020', '5666200128', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516678', '2', '99', '1323441314754334749', '工业路支局', '001022014021', '5666200129', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516679', '2', '99', '1323441314754334749', '鸿雁支局', '001022014022', '5666200130', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516680', '2', '99', '1323441314754334749', '保留关系人员部门', '001022014023', '5666200199', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516681', '2', '99', '1323441314754334749', '寄递事业部', '001022014024', '5666200188', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858495516682', '2', '99', '1323441314754334750', '单位领导部门', '001022015001', '5666200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710976', '2', '99', '1323441314754334750', '非领导职务部门', '001022015002', '5666200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710977', '2', '99', '1323441314754334750', '领导助理部门', '001022015003', '5666200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710978', '2', '99', '1323441314754334750', '市场营销部', '001022015004', '5666200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710979', '2', '99', '1323441314754334750', '金融业务部（中邮保险局）', '001022015005', '5666200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710980', '2', '99', '1323441314754334750', '集邮与文化传媒部', '001022015006', '5666200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710981', '2', '99', '1323441314754334750', '渠道平台部', '001022015007', '5666200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710982', '2', '99', '1323441314754334750', '营业班', '001022015008', '5666200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710983', '2', '99', '1323441314754334750', '建设路邮政所', '001022015009', '5666200217', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710984', '2', '99', '1323441314754334750', '孔明路支局', '001022015010', '5666200218', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858499710985', '2', '99', '1323441314754334750', '金辉支局', '001022015011', '5666200219', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905280', '2', '99', '1323441314754334750', '七里园支局', '001022015012', '5666200220', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905281', '2', '99', '1323441314754334750', '人民中路支局', '001022015013', '5666200221', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905282', '2', '99', '1323441314754334750', '范蠡路支局', '001022015014', '5666200222', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905283', '2', '99', '1323441314754334750', '新中支局', '001022015015', '5666200223', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905284', '2', '99', '1323441314754334750', '长江路支局', '001022015016', '5666200224', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905285', '2', '99', '1323441314754334750', '中州东路支局', '001022015017', '5666200225', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905286', '2', '99', '1323441314754334750', '仲景邮政所', '001022015018', '5666200226', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905287', '2', '99', '1323441314754334750', '行政中心邮政所', '001022015019', '5666200227', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905288', '2', '99', '1323441314754334750', '高新路邮政所', '001022015020', '5666200228', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905289', '2', '99', '1323441314754334750', '保留关系人员部门', '001022015021', '5666200299', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858503905290', '2', '99', '1323441314754334750', '寄递事业部', '001022015022', '5666200288', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099584', '2', '99', '1323441314754334751', '单位领导部门', '001022016001', '5666200301', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099585', '2', '99', '1323441314754334751', '非领导职务部门', '001022016002', '5666200302', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099586', '2', '99', '1323441314754334751', '领导助理部门', '001022016003', '5666200303', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099587', '2', '99', '1323441314754334751', '市场营销部', '001022016004', '5666200304', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099588', '2', '99', '1323441314754334751', '营业班', '001022016005', '5666200311', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099589', '2', '99', '1323441314754334751', '泰山路支局', '001022016006', '5666200313', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099590', '2', '99', '1323441314754334751', '中南路支局', '001022016007', '5666200314', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099591', '2', '99', '1323441314754334751', '五一路邮政所', '001022016008', '5666200315', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099592', '2', '99', '1323441314754334751', '保留关系人员部门', '001022016009', '5666200399', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099593', '2', '99', '1323441314754334751', '金融业务中心（中邮保险中心）', '001022016010', '566620030402', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099594', '2', '99', '1323441314754334751', '集邮与文化传媒中心', '001022016011', '566620030403', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858508099595', '2', '99', '1323441314754334751', '渠道平台中心', '001022016012', '566620030405', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293888', '2', '99', '1323441314754334751', '寄递事业部', '001022016013', '5666200388', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293889', '2', '99', '1323441314754334752', '单位领导部门', '001023012', '5667000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293890', '2', '99', '1323441314754334752', '非领导职务部门', '001023013', '5667000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293891', '2', '99', '1323441314754334752', '领导助理部门', '001023014', '5667000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293892', '2', '99', '1323441314754334752', '市场营销部', '001023015', '5667000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293893', '2', '99', '1323441314754334752', '服务质量部（普遍服务部）', '001023016', '5667000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293894', '2', '99', '1323441314754334752', '金融业务部', '001023017', '5667000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293895', '2', '99', '1323441314754334752', '集邮与文化传媒部', '001023018', '5667000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293896', '2', '99', '1323441314754334752', '渠道平台部', '001023019', '5667000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293897', '2', '99', '1323441314754334752', '综合办公室（党委办公室、安全保卫部）', '001023020', '5667000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858512293898', '2', '99', '1323441314754334752', '财务部', '001023021', '5667000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488192', '2', '99', '1323441314754334752', '人力资源部（党委组织部）', '001023022', '5667000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488193', '2', '99', '1323441314754334752', '党委党建工作部（纪委办公室）', '001023023', '5667000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488194', '2', '99', '1323441314754334752', '工会', '001023024', '5667000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488195', '2', '99', '1323441314754334752', '中邮保险业务部', '001023025', '5667000017', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488196', '2', '99', '1323441314754334752', '保留关系人员部门', '001023026', '5667000099', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488197', '2', '99', '1323441314754334752', '客户营销中心', '001023027', '566700000401', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488198', '2', '99', '1323441314754334752', '业务档案班', '001023028', '566700000501', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488199', '2', '99', '1323441314754334752', '业务管理室', '001023029', '566700000701', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488200', '2', '99', '1323441314754334752', '内控管理室', '001023030', '566700000702', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858516488201', '2', '99', '1323441314754334752', '业务管理室', '001023031', '566700000801', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682496', '2', '99', '1323441314754334752', '创意研发室', '001023032', '566700000802', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682497', '2', '99', '1323441314754334752', '商函制作班', '001023033', '566700000803', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682498', '2', '99', '1323441314754334752', '渠道管理室', '001023034', '566700001001', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682499', '2', '99', '1323441314754334752', '电商分销室', '001023035', '566700001002', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682500', '2', '99', '1323441314754334752', '寄递事业部', '001023036', '5667000088', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682501', '2', '99', '1323441314754334753', '单位领导部门', '001023001001', '5667010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682502', '2', '99', '1323441314754334753', '非领导职务部门', '001023001002', '5667010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682503', '2', '99', '1323441314754334753', '领导助理部门', '001023001003', '5667010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682504', '2', '99', '1323441314754334753', '市场营销部', '001023001004', '5667010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682505', '2', '99', '1323441314754334753', '金融业务部', '001023001005', '5667010007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682506', '2', '99', '1323441314754334753', '集邮与文化传媒部', '001023001006', '5667010008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858520682507', '2', '99', '1323441314754334753', '渠道平台部', '001023001007', '5667010010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876800', '2', '99', '1323441314754334753', '综合办公室（安全保卫部）', '001023001008', '5667010011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876801', '2', '99', '1323441314754334753', '营业班', '001023001009', '5667010012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876802', '2', '99', '1323441314754334753', '八里岔支局', '001023001010', '5667010015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876803', '2', '99', '1323441314754334753', '白店支局', '001023001011', '5667010016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876804', '2', '99', '1323441314754334753', '包信支局', '001023001012', '5667010017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876805', '2', '99', '1323441314754334753', '北大街支局', '001023001013', '5667010018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876806', '2', '99', '1323441314754334753', '曹黄林支局', '001023001014', '5667010019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876807', '2', '99', '1323441314754334753', '车站支局', '001023001015', '5667010020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876808', '2', '99', '1323441314754334753', '陈棚支局', '001023001016', '5667010021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858524876809', '2', '99', '1323441314754334753', '东岳支局', '001023001017', '5667010023', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071104', '2', '99', '1323441314754334753', '岗李店支局', '001023001018', '5667010024', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071105', '2', '99', '1323441314754334753', '关店支局', '001023001019', '5667010025', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071106', '2', '99', '1323441314754334753', '李塘邮政所', '001023001020', '5667010026', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071107', '2', '99', '1323441314754334753', '临河支局', '001023001021', '5667010027', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071108', '2', '99', '1323441314754334753', '路口支局', '001023001022', '5667010028', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071109', '2', '99', '1323441314754334753', '彭店支局', '001023001023', '5667010029', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071110', '2', '99', '1323441314754334753', '谯楼街邮政所', '001023001024', '5667010030', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071111', '2', '99', '1323441314754334753', '孙庙支局', '001023001025', '5667010031', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071112', '2', '99', '1323441314754334753', '息州支局', '001023001026', '5667010032', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858529071113', '2', '99', '1323441314754334753', '夏庄镇支局', '001023001027', '5667010033', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265408', '2', '99', '1323441314754334753', '项店支局', '001023001028', '5667010034', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265409', '2', '99', '1323441314754334753', '小茴店支局', '001023001029', '5667010035', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265410', '2', '99', '1323441314754334753', '许店邮政所', '001023001030', '5667010036', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265411', '2', '99', '1323441314754334753', '杨店邮政所', '001023001031', '5667010037', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265412', '2', '99', '1323441314754334753', '张陶支局', '001023001032', '5667010038', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265413', '2', '99', '1323441314754334753', '长陵支局', '001023001033', '5667010039', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265414', '2', '99', '1323441314754334753', '中渡店邮政所', '001023001034', '5667010040', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265415', '2', '99', '1323441314754334753', '城关邮政所', '001023001035', '5667010041', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265416', '2', '99', '1323441314754334753', '保留关系人员部门', '001023001036', '5667010099', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265417', '2', '99', '1323441314754334753', '机要室', '001023001037', '566701000401', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858533265418', '2', '99', '1323441314754334753', '中邮保险中心', '001023001038', '566701000701', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459712', '2', '99', '1323441314754334753', '寄递事业部', '001023001039', '5667010088', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459713', '2', '99', '1323441314754334754', '单位领导部门', '001023002001', '5667020001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459714', '2', '99', '1323441314754334754', '非领导职务部门', '001023002002', '5667020002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459715', '2', '99', '1323441314754334754', '领导助理部门', '001023002003', '5667020003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459716', '2', '99', '1323441314754334754', '市场营销部', '001023002004', '5667020004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459717', '2', '99', '1323441314754334754', '金融业务部', '001023002005', '5667020007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459718', '2', '99', '1323441314754334754', '集邮与文化传媒部', '001023002006', '5667020008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459719', '2', '99', '1323441314754334754', '渠道平台部', '001023002007', '5667020010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459720', '2', '99', '1323441314754334754', '综合办公室（安全保卫部）', '001023002008', '5667020011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459721', '2', '99', '1323441314754334754', '营业班', '001023002009', '5667020012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459722', '2', '99', '1323441314754334754', '西关邮政所', '001023002010', '5667020015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858537459723', '2', '99', '1323441314754334754', '白店支局', '001023002011', '5667020016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654016', '2', '99', '1323441314754334754', '卜集支局', '001023002012', '5667020017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654017', '2', '99', '1323441314754334754', '传店支局', '001023002013', '5667020018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654018', '2', '99', '1323441314754334754', '付店邮政所', '001023002014', '5667020019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654019', '2', '99', '1323441314754334754', '黄岗邮政所', '001023002015', '5667020020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654020', '2', '99', '1323441314754334754', '江集支局', '001023002016', '5667020021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654021', '2', '99', '1323441314754334754', '来龙支局', '001023002017', '5667020022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654022', '2', '99', '1323441314754334754', '隆古支局', '001023002018', '5667020023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654023', '2', '99', '1323441314754334754', '隆古邮政所', '001023002019', '5667020024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654024', '2', '99', '1323441314754334754', '牛岗支局', '001023002020', '5667020025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654025', '2', '99', '1323441314754334754', '彭店邮政所', '001023002021', '5667020026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858541654026', '2', '99', '1323441314754334754', '仁和支局', '001023002022', '5667020027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848320', '2', '99', '1323441314754334754', '伞陂邮政所', '001023002023', '5667020028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848321', '2', '99', '1323441314754334754', '上油岗邮政所', '001023002024', '5667020029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848322', '2', '99', '1323441314754334754', '双柳支局', '001023002025', '5667020030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848323', '2', '99', '1323441314754334754', '谈店支局', '001023002026', '5667020031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848324', '2', '99', '1323441314754334754', '桃林支局', '001023002027', '5667020032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848325', '2', '99', '1323441314754334754', '魏岗邮政所', '001023002028', '5667020033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848326', '2', '99', '1323441314754334754', '小吕店邮政所', '001023002029', '5667020034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848327', '2', '99', '1323441314754334754', '踅孜邮政所', '001023002030', '5667020035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848328', '2', '99', '1323441314754334754', '衙门口支局', '001023002031', '5667020036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848329', '2', '99', '1323441314754334754', '张集镇支局', '001023002032', '5667020037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858545848330', '2', '99', '1323441314754334754', '保留关系人员部门', '001023002033', '5667020099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042624', '2', '99', '1323441314754334754', '机要室', '001023002034', '566702000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042625', '2', '99', '1323441314754334754', '中邮保险中心', '001023002035', '566702000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042626', '2', '99', '1323441314754334754', '寄递事业部', '001023002036', '5667020088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042627', '2', '99', '1323441314754334755', '单位领导部门', '001023003001', '5667030001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042628', '2', '99', '1323441314754334755', '非领导职务部门', '001023003002', '5667030002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042629', '2', '99', '1323441314754334755', '领导助理部门', '001023003003', '5667030003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042630', '2', '99', '1323441314754334755', '市场营销部', '001023003004', '5667030004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042631', '2', '99', '1323441314754334755', '金融业务部', '001023003005', '5667030007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042632', '2', '99', '1323441314754334755', '集邮与文化传媒部', '001023003006', '5667030008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042633', '2', '99', '1323441314754334755', '渠道平台部', '001023003007', '5667030010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858550042634', '2', '99', '1323441314754334755', '综合办公室（安全保卫部）', '001023003008', '5667030011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236928', '2', '99', '1323441314754334755', '营业班', '001023003009', '5667030012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236929', '2', '99', '1323441314754334755', '城关邮政所', '001023003010', '5667030015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236930', '2', '99', '1323441314754334755', '定远支局', '001023003011', '5667030016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236931', '2', '99', '1323441314754334755', '东铺邮政所', '001023003012', '5667030017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236932', '2', '99', '1323441314754334755', '高店支局', '001023003013', '5667030018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236933', '2', '99', '1323441314754334755', '灵山支局', '001023003014', '5667030019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236934', '2', '99', '1323441314754334755', '龙山邮政所', '001023003015', '5667030020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236935', '2', '99', '1323441314754334755', '莽张邮政所', '001023003016', '5667030021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858554236936', '2', '99', '1323441314754334755', '庙仙邮政所', '001023003017', '5667030022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431232', '2', '99', '1323441314754334755', '楠杆邮政所', '001023003018', '5667030023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431233', '2', '99', '1323441314754334755', '潘新支局', '001023003019', '5667030024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431234', '2', '99', '1323441314754334755', '彭新支局', '001023003020', '5667030025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431235', '2', '99', '1323441314754334755', '青山支局', '001023003021', '5667030026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431236', '2', '99', '1323441314754334755', '山店支局', '001023003022', '5667030027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431237', '2', '99', '1323441314754334755', '铁铺邮政所', '001023003023', '5667030028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431238', '2', '99', '1323441314754334755', '五一支局', '001023003024', '5667030029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431239', '2', '99', '1323441314754334755', '西大街支局', '001023003025', '5667030030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431240', '2', '99', '1323441314754334755', '尤店邮政所', '001023003026', '5667030031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431241', '2', '99', '1323441314754334755', '周党支局', '001023003027', '5667030032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858558431242', '2', '99', '1323441314754334755', '朱堂支局', '001023003028', '5667030033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625536', '2', '99', '1323441314754334755', '竹杆邮政所', '001023003029', '5667030034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625537', '2', '99', '1323441314754334755', '子路邮政所', '001023003030', '5667030035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625538', '2', '99', '1323441314754334755', '保留关系人员部门', '001023003031', '5667030099', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625539', '2', '99', '1323441314754334755', '机要室', '001023003032', '566703000401', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625540', '2', '99', '1323441314754334755', '中邮保险中心', '001023003033', '566703000701', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625541', '2', '99', '1323441314754334755', '寄递事业部', '001023003034', '5667030088', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625542', '2', '99', '1323441314754334756', '单位领导部门', '001023004001', '5667040001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625543', '2', '99', '1323441314754334756', '非领导职务部门', '001023004002', '5667040002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625544', '2', '99', '1323441314754334756', '领导助理部门', '001023004003', '5667040003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625545', '2', '99', '1323441314754334756', '市场营销部', '001023004004', '5667040004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858562625546', '2', '99', '1323441314754334756', '金融业务部', '001023004005', '5667040007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819840', '2', '99', '1323441314754334756', '集邮与文化传媒部', '001023004006', '5667040008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819841', '2', '99', '1323441314754334756', '渠道平台部', '001023004007', '5667040010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819842', '2', '99', '1323441314754334756', '综合办公室（安全保卫部）', '001023004008', '5667040011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819843', '2', '99', '1323441314754334756', '营业班', '001023004009', '5667040012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819844', '2', '99', '1323441314754334756', '中心邮政所', '001023004010', '5667040015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819845', '2', '99', '1323441314754334756', '白雀邮政所', '001023004011', '5667040016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819846', '2', '99', '1323441314754334756', '北关支局', '001023004012', '5667040017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819847', '2', '99', '1323441314754334756', '北向店邮政所', '001023004013', '5667040018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819848', '2', '99', '1323441314754334756', '蔡桥邮政所', '001023004014', '5667040019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819849', '2', '99', '1323441314754334756', '斛山支局', '001023004015', '5667040020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858566819850', '2', '99', '1323441314754334756', '槐树店邮政所', '001023004016', '5667040021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014144', '2', '99', '1323441314754334756', '凉亭支局', '001023004017', '5667040022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014145', '2', '99', '1323441314754334756', '龙台邮政所', '001023004018', '5667040023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014146', '2', '99', '1323441314754334756', '罗陈支局', '001023004019', '5667040024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014147', '2', '99', '1323441314754334756', '马畈支局', '001023004020', '5667040025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014148', '2', '99', '1323441314754334756', '南王岗邮政所', '001023004021', '5667040026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014149', '2', '99', '1323441314754334756', '南向店支局', '001023004022', '5667040027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014150', '2', '99', '1323441314754334756', '泼河支局', '001023004023', '5667040028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014151', '2', '99', '1323441314754334756', '十里邮政所', '001023004024', '5667040029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014152', '2', '99', '1323441314754334756', '孙铁铺支局', '001023004025', '5667040030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858571014153', '2', '99', '1323441314754334756', '文殊支局', '001023004026', '5667040031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208448', '2', '99', '1323441314754334756', '仙居邮政所', '001023004027', '5667040032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208449', '2', '99', '1323441314754334756', '晏河支局', '001023004028', '5667040033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208450', '2', '99', '1323441314754334756', '杨墩邮政所', '001023004029', '5667040034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208451', '2', '99', '1323441314754334756', '殷棚支局', '001023004030', '5667040035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208452', '2', '99', '1323441314754334756', '寨河支局', '001023004031', '5667040036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208453', '2', '99', '1323441314754334756', '砖桥支局', '001023004032', '5667040037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208454', '2', '99', '1323441314754334756', '河棚支局（所）', '001023004033', '5667040043', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208455', '2', '99', '1323441314754334756', '保留关系人员部门', '001023004034', '5667040099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208456', '2', '99', '1323441314754334756', '机要室', '001023004035', '566704000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208457', '2', '99', '1323441314754334756', '中邮保险中心', '001023004036', '566704000701', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858575208458', '2', '99', '1323441314754334756', '寄递事业部', '001023004037', '5667040088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402752', '2', '99', '1323441314754334757', '单位领导部门', '001023005001', '5667050001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402753', '2', '99', '1323441314754334757', '非领导职务部门', '001023005002', '5667050002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402754', '2', '99', '1323441314754334757', '领导助理部门', '001023005003', '5667050003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402755', '2', '99', '1323441314754334757', '市场营销部', '001023005004', '5667050004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402756', '2', '99', '1323441314754334757', '金融业务部', '001023005005', '5667050007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402757', '2', '99', '1323441314754334757', '集邮与文化传媒部', '001023005006', '5667050008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402758', '2', '99', '1323441314754334757', '渠道平台部', '001023005007', '5667050010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402759', '2', '99', '1323441314754334757', '综合办公室（安全保卫部）', '001023005008', '5667050011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402760', '2', '99', '1323441314754334757', '营业班', '001023005009', '5667050012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402761', '2', '99', '1323441314754334757', '查山邮政所', '001023005010', '5667050015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858579402762', '2', '99', '1323441314754334757', '东双河支局', '001023005011', '5667050016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597056', '2', '99', '1323441314754334757', '董家河支局', '001023005012', '5667050017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597057', '2', '99', '1323441314754334757', '甘岸邮政所', '001023005013', '5667050018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597058', '2', '99', '1323441314754334757', '高梁店邮政所', '001023005014', '5667050019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597059', '2', '99', '1323441314754334757', '胡店邮政所', '001023005015', '5667050020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597060', '2', '99', '1323441314754334757', '鸡公山邮政所', '001023005016', '5667050021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597061', '2', '99', '1323441314754334757', '九店邮政所', '001023005017', '5667050022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597062', '2', '99', '1323441314754334757', '兰店邮政所', '001023005018', '5667050023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597063', '2', '99', '1323441314754334757', '李家寨支局', '001023005019', '5667050024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597064', '2', '99', '1323441314754334757', '柳林支局', '001023005020', '5667050025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858583597065', '2', '99', '1323441314754334757', '龙井邮政所', '001023005021', '5667050026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791360', '2', '99', '1323441314754334757', '明港邮政所', '001023005022', '5667050027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791361', '2', '99', '1323441314754334757', '明港农工路支局', '001023005023', '5667050028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791362', '2', '99', '1323441314754334757', '明港支局胜利街邮政所', '001023005024', '5667050029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791363', '2', '99', '1323441314754334757', '明港支局西营邮政所', '001023005025', '5667050030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791364', '2', '99', '1323441314754334757', '南新店邮政所', '001023005026', '5667050031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791365', '2', '99', '1323441314754334757', '彭家湾支局', '001023005027', '5667050032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791366', '2', '99', '1323441314754334757', '平昌关邮政所', '001023005028', '5667050033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791367', '2', '99', '1323441314754334757', '平桥邮政所', '001023005029', '5667050034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791368', '2', '99', '1323441314754334757', '平西路支局', '001023005030', '5667050035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791369', '2', '99', '1323441314754334757', '人民路支局', '001023005031', '5667050036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858587791370', '2', '99', '1323441314754334757', '浉河港支局', '001023005032', '5667050037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985664', '2', '99', '1323441314754334757', '十三里桥支局', '001023005033', '5667050038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985665', '2', '99', '1323441314754334757', '谭家河支局', '001023005034', '5667050039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985666', '2', '99', '1323441314754334757', '王岗邮政所', '001023005035', '5667050040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985667', '2', '99', '1323441314754334757', '吴家店支局', '001023005036', '5667050041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985668', '2', '99', '1323441314754334757', '五里店支局', '001023005037', '5667050042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985669', '2', '99', '1323441314754334757', '肖店邮政所', '001023005038', '5667050043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985670', '2', '99', '1323441314754334757', '肖王支局', '001023005039', '5667050044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985671', '2', '99', '1323441314754334757', '邢集支局', '001023005040', '5667050045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985672', '2', '99', '1323441314754334757', '洋河邮政所', '001023005041', '5667050046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858591985673', '2', '99', '1323441314754334757', '游河支局', '001023005042', '5667050047', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179968', '2', '99', '1323441314754334757', '长台关支局', '001023005043', '5667050048', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179969', '2', '99', '1323441314754334757', '保留关系人员部门', '001023005044', '5667050099', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179970', '2', '99', '1323441314754334757', '机要室', '001023005045', '566705000401', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179971', '2', '99', '1323441314754334757', '中邮保险中心', '001023005046', '566705000701', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179972', '2', '99', '1323441314754334757', '寄递事业部', '001023005047', '5667050088', '146', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179973', '2', '99', '1323441314754334758', '单位领导部门', '001023006001', '5667060001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179974', '2', '99', '1323441314754334758', '非领导职务部门', '001023006002', '5667060002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179975', '2', '99', '1323441314754334758', '领导助理部门', '001023006003', '5667060003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179976', '2', '99', '1323441314754334758', '市场营销部', '001023006004', '5667060004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179977', '2', '99', '1323441314754334758', '金融业务部（中邮保险中心）', '001023006005', '5667060007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858596179978', '2', '99', '1323441314754334758', '集邮与文化传媒部', '001023006006', '5667060008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374272', '2', '99', '1323441314754334758', '渠道平台部', '001023006007', '5667060010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374273', '2', '99', '1323441314754334758', '综合办公室（安全保卫部）', '001023006008', '5667060011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374274', '2', '99', '1323441314754334758', '营业班', '001023006009', '5667060012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374275', '2', '99', '1323441314754334758', '八里畈支局', '001023006010', '5667060015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374276', '2', '99', '1323441314754334758', '陈店支局', '001023006011', '5667060016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374277', '2', '99', '1323441314754334758', '陡山河支局', '001023006012', '5667060017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374278', '2', '99', '1323441314754334758', '郭家河支局', '001023006013', '5667060018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374279', '2', '99', '1323441314754334758', '浒湾支局', '001023006014', '5667060019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374280', '2', '99', '1323441314754334758', '箭河邮政所', '001023006015', '5667060020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858600374281', '2', '99', '1323441314754334758', '卡房邮政所', '001023006016', '5667060021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568576', '2', '99', '1323441314754334758', '千斤支局', '001023006017', '5667060022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568577', '2', '99', '1323441314754334758', '沙石邮政所', '001023006018', '5667060023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568578', '2', '99', '1323441314754334758', '沙窝支局', '001023006019', '5667060024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568579', '2', '99', '1323441314754334758', '泗店邮政所', '001023006020', '5667060025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568580', '2', '99', '1323441314754334758', '苏河支局', '001023006021', '5667060026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568581', '2', '99', '1323441314754334758', '田铺邮政所', '001023006022', '5667060027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568582', '2', '99', '1323441314754334758', '吴陈河邮政所', '001023006023', '5667060028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568583', '2', '99', '1323441314754334758', '县城邮政所', '001023006024', '5667060029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568584', '2', '99', '1323441314754334758', '新集支局', '001023006025', '5667060030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568585', '2', '99', '1323441314754334758', '周河邮政所', '001023006026', '5667060031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858604568586', '2', '99', '1323441314754334758', '代咀邮政支局', '001023006027', '5667060042', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762880', '2', '99', '1323441314754334758', '保留关系人员部门', '001023006028', '5667060099', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762881', '2', '99', '1323441314754334758', '机要室', '001023006029', '566706000401', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762882', '2', '99', '1323441314754334758', '寄递事业部', '001023006030', '5667060088', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762883', '2', '99', '1323441314754334759', '单位领导部门', '001023007001', '5667070001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762884', '2', '99', '1323441314754334759', '非领导职务部门', '001023007002', '5667070002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762885', '2', '99', '1323441314754334759', '领导助理部门', '001023007003', '5667070003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762886', '2', '99', '1323441314754334759', '市场营销部', '001023007004', '5667070004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762887', '2', '99', '1323441314754334759', '金融业务部', '001023007005', '5667070007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858608762888', '2', '99', '1323441314754334759', '集邮与文化传媒部', '001023007006', '5667070008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858612957184', '2', '99', '1323441314754334759', '渠道平台部', '001023007007', '5667070010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858612957185', '2', '99', '1323441314754334759', '综合办公室（安全保卫部）', '001023007008', '5667070011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858612957186', '2', '99', '1323441314754334759', '营业班', '001023007009', '5667070012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858612957187', '2', '99', '1323441314754334759', '北岗支局', '001023007010', '5667070015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858617151488', '2', '99', '1323441314754334759', '北庙邮政所', '001023007011', '5667070016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858617151489', '2', '99', '1323441314754334759', '城关邮政所', '001023007012', '5667070017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858617151490', '2', '99', '1323441314754334759', '邓湾邮政所', '001023007013', '5667070018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858621345792', '2', '99', '1323441314754334759', '防胡支局', '001023007014', '5667070019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858621345793', '2', '99', '1323441314754334759', '谷堆支局', '001023007015', '5667070020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858621345794', '2', '99', '1323441314754334759', '固城支局', '001023007016', '5667070021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858621345795', '2', '99', '1323441314754334759', '栏杆邮政所', '001023007017', '5667070022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858625540096', '2', '99', '1323441314754334759', '芦集邮政所', '001023007018', '5667070023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858625540097', '2', '99', '1323441314754334759', '马集支局', '001023007019', '5667070024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858625540098', '2', '99', '1323441314754334759', '期思支局', '001023007020', '5667070025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858625540099', '2', '99', '1323441314754334759', '三空桥邮政所', '001023007021', '5667070026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858625540100', '2', '99', '1323441314754334759', '台头邮政所', '001023007022', '5667070027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858629734400', '2', '99', '1323441314754334759', '途营邮政所', '001023007023', '5667070028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858629734401', '2', '99', '1323441314754334759', '王店邮政所', '001023007024', '5667070029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858629734402', '2', '99', '1323441314754334759', '王岗邮政所', '001023007025', '5667070030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928704', '2', '99', '1323441314754334759', '新城邮政所', '001023007026', '5667070031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928705', '2', '99', '1323441314754334759', '新里支局', '001023007027', '5667070032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928706', '2', '99', '1323441314754334759', '张里支局', '001023007028', '5667070033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928707', '2', '99', '1323441314754334759', '张庄支局', '001023007029', '5667070034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928708', '2', '99', '1323441314754334759', '赵集支局', '001023007030', '5667070035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928709', '2', '99', '1323441314754334759', '麻里邮政支局', '001023007031', '5667070040', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858633928710', '2', '99', '1323441314754334759', '吉庙邮政支局', '001023007032', '5667070041', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123008', '2', '99', '1323441314754334759', '保留关系人员部门', '001023007033', '5667070099', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123009', '2', '99', '1323441314754334759', '机要室', '001023007034', '566707000401', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123010', '2', '99', '1323441314754334759', '中邮保险中心', '001023007035', '566707000701', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123011', '2', '99', '1323441314754334759', '寄递事业部', '001023007036', '5667070088', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123012', '2', '99', '1323441314754334760', '单位领导部门', '001023008001', '5667080001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123013', '2', '99', '1323441314754334760', '非领导职务部门', '001023008002', '5667080002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858638123014', '2', '99', '1323441314754334760', '领导助理部门', '001023008003', '5667080003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317312', '2', '99', '1323441314754334760', '市场营销部', '001023008004', '5667080004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317313', '2', '99', '1323441314754334760', '金融业务部', '001023008005', '5667080007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317314', '2', '99', '1323441314754334760', '集邮与文化传媒部', '001023008006', '5667080008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317315', '2', '99', '1323441314754334760', '渠道平台部', '001023008007', '5667080010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317316', '2', '99', '1323441314754334760', '综合办公室（安全保卫部）', '001023008008', '5667080011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317317', '2', '99', '1323441314754334760', '营业班', '001023008009', '5667080012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858642317318', '2', '99', '1323441314754334760', '草庙邮政所', '001023008010', '5667080015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511616', '2', '99', '1323441314754334760', '陈集支局', '001023008011', '5667080016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511617', '2', '99', '1323441314754334760', '陈淋子支局', '001023008012', '5667080017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511618', '2', '99', '1323441314754334760', '城关邮政所', '001023008013', '5667080018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511619', '2', '99', '1323441314754334760', '城郊邮政所', '001023008014', '5667080019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511620', '2', '99', '1323441314754334760', '段集支局', '001023008015', '5667080020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511621', '2', '99', '1323441314754334760', '方集支局', '001023008016', '5667080021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511622', '2', '99', '1323441314754334760', '分水支局', '001023008017', '5667080022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511623', '2', '99', '1323441314754334760', '丰港邮政所', '001023008018', '5667080023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511624', '2', '99', '1323441314754334760', '观堂邮政所', '001023008019', '5667080024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858646511625', '2', '99', '1323441314754334760', '郭陆滩支局', '001023008020', '5667080025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705920', '2', '99', '1323441314754334760', '洪埠邮政所', '001023008021', '5667080026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705921', '2', '99', '1323441314754334760', '胡族支局', '001023008022', '5667080027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705922', '2', '99', '1323441314754334760', '黄河路支局', '001023008023', '5667080028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705923', '2', '99', '1323441314754334760', '蒋集邮政所', '001023008024', '5667080029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705924', '2', '99', '1323441314754334760', '黎集镇支局', '001023008025', '5667080030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705925', '2', '99', '1323441314754334760', '李店支局', '001023008026', '5667080031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705926', '2', '99', '1323441314754334760', '蓼北路邮政所', '001023008027', '5667080032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705927', '2', '99', '1323441314754334760', '柳树邮政所', '001023008028', '5667080033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858650705928', '2', '99', '1323441314754334760', '马岗邮政所', '001023008029', '5667080034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900224', '2', '99', '1323441314754334760', '南大桥支局', '001023008030', '5667080035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900225', '2', '99', '1323441314754334760', '桥沟支局', '001023008031', '5667080036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900226', '2', '99', '1323441314754334760', '泉河邮政所', '001023008032', '5667080037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900227', '2', '99', '1323441314754334760', '三河邮政所', '001023008033', '5667080038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900228', '2', '99', '1323441314754334760', '沙河支局', '001023008034', '5667080039', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900229', '2', '99', '1323441314754334760', '石佛支局', '001023008035', '5667080040', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900230', '2', '99', '1323441314754334760', '汪棚支局', '001023008036', '5667080041', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900231', '2', '99', '1323441314754334760', '往流镇所', '001023008037', '5667080042', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900232', '2', '99', '1323441314754334760', '武庙邮政所', '001023008038', '5667080043', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858654900233', '2', '99', '1323441314754334760', '徐集邮政所', '001023008039', '5667080044', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094528', '2', '99', '1323441314754334760', '杨集邮政所', '001023008040', '5667080045', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094529', '2', '99', '1323441314754334760', '张广支局', '001023008041', '5667080046', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094530', '2', '99', '1323441314754334760', '张老埠邮政所', '001023008042', '5667080047', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094531', '2', '99', '1323441314754334760', '赵岗邮政所', '001023008043', '5667080048', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094532', '2', '99', '1323441314754334760', '中山大街支局', '001023008044', '5667080049', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094533', '2', '99', '1323441314754334760', '祖师邮政所', '001023008045', '5667080050', '144', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094534', '2', '99', '1323441314754334760', '保留关系人员部门', '001023008046', '5667080099', '145', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094535', '2', '99', '1323441314754334760', '机要室', '001023008047', '566708000401', '146', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094536', '2', '99', '1323441314754334760', '中邮保险中心', '001023008048', '566708000701', '147', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858659094537', '2', '99', '1323441314754334760', '寄递事业部', '001023008049', '5667080088', '148', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288832', '2', '99', '1323441314754334761', '单位领导部门', '001023009001', '5667090001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288833', '2', '99', '1323441314754334761', '非领导职务部门', '001023009002', '5667090002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288834', '2', '99', '1323441314754334761', '领导助理部门', '001023009003', '5667090003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288835', '2', '99', '1323441314754334761', '市场营销部', '001023009004', '5667090004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288836', '2', '99', '1323441314754334761', '金融业务部', '001023009005', '5667090007', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288837', '2', '99', '1323441314754334761', '集邮与文化传媒部', '001023009006', '5667090008', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288838', '2', '99', '1323441314754334761', '渠道平台部', '001023009007', '5667090010', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288839', '2', '99', '1323441314754334761', '综合办公室（安全保卫部）', '001023009008', '5667090011', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288840', '2', '99', '1323441314754334761', '营业班', '001023009009', '5667090012', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858663288841', '2', '99', '1323441314754334761', '白塔集邮政所', '001023009010', '5667090015', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483136', '2', '99', '1323441314754334761', '北关邮政所', '001023009011', '5667090016', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483137', '2', '99', '1323441314754334761', '城关邮政所', '001023009012', '5667090017', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483138', '2', '99', '1323441314754334761', '达权店支局', '001023009013', '5667090018', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483139', '2', '99', '1323441314754334761', '丰集支局', '001023009014', '5667090019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483140', '2', '99', '1323441314754334761', '冯店邮政所', '001023009015', '5667090020', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483141', '2', '99', '1323441314754334761', '伏山邮政所', '001023009016', '5667090021', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483142', '2', '99', '1323441314754334761', '观庙支局', '001023009017', '5667090022', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483143', '2', '99', '1323441314754334761', '河凤桥邮政所', '001023009018', '5667090023', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483144', '2', '99', '1323441314754334761', '金刚台支局', '001023009019', '5667090024', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858667483145', '2', '99', '1323441314754334761', '李集邮政所', '001023009020', '5667090025', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677440', '2', '99', '1323441314754334761', '鲇鱼山邮政所', '001023009021', '5667090026', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677441', '2', '99', '1323441314754334761', '三里坪邮政所', '001023009022', '5667090027', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677442', '2', '99', '1323441314754334761', '上石桥支局', '001023009023', '5667090028', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677443', '2', '99', '1323441314754334761', '双铺支局', '001023009024', '5667090029', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677444', '2', '99', '1323441314754334761', '苏仙石邮政所', '001023009025', '5667090030', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677445', '2', '99', '1323441314754334761', '汪岗邮政所', '001023009026', '5667090031', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677446', '2', '99', '1323441314754334761', '汪桥支局', '001023009027', '5667090032', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677447', '2', '99', '1323441314754334761', '吴河支局', '001023009028', '5667090033', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677448', '2', '99', '1323441314754334761', '武桥邮政所', '001023009029', '5667090034', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858671677449', '2', '99', '1323441314754334761', '西城区支局', '001023009030', '5667090035', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871744', '2', '99', '1323441314754334761', '鄢岗邮政所', '001023009031', '5667090036', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871745', '2', '99', '1323441314754334761', '余集支局', '001023009032', '5667090037', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871746', '2', '99', '1323441314754334761', '长竹园支局', '001023009033', '5667090038', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871747', '2', '99', '1323441314754334761', '保留关系人员部门', '001023009034', '5667090099', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871748', '2', '99', '1323441314754334761', '机要室', '001023009035', '566709000401', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871749', '2', '99', '1323441314754334761', '中邮保险中心', '001023009036', '566709000701', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871750', '2', '99', '1323441314754334761', '寄递事业部', '001023009037', '5667090088', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871751', '2', '99', '1323441314758529024', '单位领导部门', '001023010001', '5667200001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871752', '2', '99', '1323441314758529024', '非领导职务部门', '001023010002', '5667200002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858675871753', '2', '99', '1323441314758529024', '领导助理部门', '001023010003', '5667200003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066048', '2', '99', '1323441314758529024', '机要通信分局内设机构（虚拟部门）', '001023010004', '5667200004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066049', '2', '99', '1323441314758529024', '保留关系人员部门', '001023010005', '5667200099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066050', '2', '99', '1323441314758529025', '单位领导部门', '001023011001', '5667200201', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066051', '2', '99', '1323441314758529025', '非领导职务部门', '001023011002', '5667200202', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066052', '2', '99', '1323441314758529025', '领导助理部门', '001023011003', '5667200203', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066053', '2', '99', '1323441314758529025', '市场营销部', '001023011004', '5667200204', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066054', '2', '99', '1323441314758529025', '金融业务部（中邮保险局）', '001023011005', '5667200207', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066055', '2', '99', '1323441314758529025', '集邮与文化传媒部', '001023011006', '5667200208', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858680066056', '2', '99', '1323441314758529025', '渠道平台部', '001023011007', '5667200210', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260352', '2', '99', '1323441314758529025', '营业班', '001023011008', '5667200212', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260353', '2', '99', '1323441314758529025', '楚王城邮政所', '001023011009', '5667200214', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260354', '2', '99', '1323441314758529025', '东方红大道支局', '001023011010', '5667200215', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260355', '2', '99', '1323441314758529025', '航院邮政所', '001023011011', '5667200216', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260356', '2', '99', '1323441314758529025', '湖东路支局', '001023011012', '5667200217', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260357', '2', '99', '1323441314758529025', '火车站邮政所', '001023011013', '5667200218', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260358', '2', '99', '1323441314758529025', '六里棚邮政所', '001023011014', '5667200219', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260359', '2', '99', '1323441314758529025', '南湾支局', '001023011015', '5667200220', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260360', '2', '99', '1323441314758529025', '申城邮政所', '001023011016', '5667200221', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858684260361', '2', '99', '1323441314758529025', '师院邮政所', '001023011017', '5667200222', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454656', '2', '99', '1323441314758529025', '双井邮政所', '001023011018', '5667200223', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454657', '2', '99', '1323441314758529025', '五星邮政所', '001023011019', '5667200224', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454658', '2', '99', '1323441314758529025', '邮政集邮门市部', '001023011020', '5667200227', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454659', '2', '99', '1323441314758529025', '卫校邮政所', '001023011021', '5667200228', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454660', '2', '99', '1323441314758529025', '师范学校邮政所', '001023011022', '5667200229', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454661', '2', '99', '1323441314758529025', '保留关系人员部门', '001023011023', '5667200299', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454662', '2', '99', '1323441314758529025', '寄递事业部', '001023011024', '5667200288', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454663', '2', '99', '1323441314758529026', '单位领导部门', '001024002', '5668000001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454664', '2', '99', '1323441314758529026', '非领导职务部门', '001024003', '5668000002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858688454665', '2', '99', '1323441314758529026', '领导助理部门', '001024004', '5668000003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648960', '2', '99', '1323441314758529026', '市场营销部', '001024005', '5668000004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648961', '2', '99', '1323441314758529026', '服务质量部（普遍服务部）', '001024006', '5668000005', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648962', '2', '99', '1323441314758529026', '金融业务部', '001024007', '5668000007', '105', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648963', '2', '99', '1323441314758529026', '集邮与文化传媒部', '001024008', '5668000008', '106', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648964', '2', '99', '1323441314758529026', '渠道平台部', '001024009', '5668000010', '107', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648965', '2', '99', '1323441314758529026', '综合办公室（安全保卫部、党委办公室）', '001024010', '5668000011', '108', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648966', '2', '99', '1323441314758529026', '财务部', '001024011', '5668000012', '109', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648967', '2', '99', '1323441314758529026', '人力资源部（党委组织部）', '001024012', '5668000013', '110', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858692648968', '2', '99', '1323441314758529026', '党委党建工作部（纪委办公室）', '001024013', '5668000014', '111', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858696843264', '2', '99', '1323441314758529026', '工会', '001024014', '5668000016', '112', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858696843265', '2', '99', '1323441314758529026', '营业班', '001024015', '5668000019', '113', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858696843266', '2', '99', '1323441314758529026', '北海支局', '001024016', '5668000023', '114', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858696843267', '2', '99', '1323441314758529026', '承留支局', '001024017', '5668000024', '115', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858696843268', '2', '99', '1323441314758529026', '大峪邮政所', '001024018', '5668000025', '116', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037568', '2', '99', '1323441314758529026', '东添浆支局', '001024019', '5668000026', '117', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037569', '2', '99', '1323441314758529026', '行政区邮政所', '001024020', '5668000027', '118', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037570', '2', '99', '1323441314758529026', '克井邮政所', '001024021', '5668000028', '119', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037571', '2', '99', '1323441314758529026', '梨林支局', '001024022', '5668000029', '120', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037572', '2', '99', '1323441314758529026', '李八庄支局', '001024023', '5668000030', '121', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037573', '2', '99', '1323441314758529026', '坡头支局', '001024024', '5668000032', '122', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037574', '2', '99', '1323441314758529026', '沁园邮政所', '001024025', '5668000033', '123', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037575', '2', '99', '1323441314758529026', '尚庄支局', '001024026', '5668000034', '124', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858701037576', '2', '99', '1323441314758529026', '邵原支局', '001024027', '5668000035', '125', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231872', '2', '99', '1323441314758529026', '思礼支局', '001024028', '5668000036', '126', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231873', '2', '99', '1323441314758529026', '天坛支局', '001024029', '5668000037', '127', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231874', '2', '99', '1323441314758529026', '王屋支局', '001024030', '5668000038', '128', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231875', '2', '99', '1323441314758529026', '五龙口支局', '001024031', '5668000039', '129', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231876', '2', '99', '1323441314758529026', '西城支局', '001024032', '5668000040', '130', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231877', '2', '99', '1323441314758529026', '下冶支局', '001024033', '5668000041', '131', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231878', '2', '99', '1323441314758529026', '小寨支局', '001024034', '5668000042', '132', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231879', '2', '99', '1323441314758529026', '宣化邮政所', '001024035', '5668000043', '133', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858705231880', '2', '99', '1323441314758529026', '亚桥支局', '001024036', '5668000044', '134', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426176', '2', '99', '1323441314758529026', '轵城支局', '001024037', '5668000045', '135', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426177', '2', '99', '1323441314758529026', '中王支局', '001024038', '5668000046', '136', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426178', '2', '99', '1323441314758529026', '周园东路支局', '001024039', '5668000047', '137', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426179', '2', '99', '1323441314758529026', '保留关系人员部门', '001024040', '5668000099', '138', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426180', '2', '99', '1323441314758529026', '客户营销中心', '001024041', '566800000401', '139', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426181', '2', '99', '1323441314758529026', '业务档案班', '001024042', '566800000501', '140', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426182', '2', '99', '1323441314758529026', '中邮保险中心', '001024043', '566800000701', '141', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858709426183', '2', '99', '1323441314758529026', '商函制作班', '001024044', '566800000801', '142', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858713620480', '2', '99', '1323441314758529026', '寄递事业部', '001024045', '5668000088', '143', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858713620481', '2', '99', '1323441314758529027', '单位领导部门', '001024001001', '5668010001', '100', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858713620482', '2', '99', '1323441314758529027', '非领导职务部门', '001024001002', '5668010002', '101', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858713620483', '2', '99', '1323441314758529027', '领导助理部门', '001024001003', '5668010003', '102', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858713620484', '2', '99', '1323441314758529027', '机要通信分局内设机构（虚拟部门）', '001024001004', '5668010004', '103', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1323441858713620485', '2', '99', '1323441314758529027', '保留关系人员部门', '001024001005', '5668010099', '104', '1', '系统导入', '2020-11-03 00:00:00');
INSERT INTO `sys_org_copy1` VALUES ('1352540044132487168', '1', '3', '1334398186252537856', '分公司本部', '001069001', '20210001', '1', '0', null, '2021-01-22 16:54:10');
INSERT INTO `sys_org_copy1` VALUES ('1353520876376690688', '2', '99', '1353520240742502400', '单位领导部门', '001070001', '0656050001', '1', '1', null, '2021-01-25 09:51:39');
INSERT INTO `sys_org_copy1` VALUES ('1353521008656650240', '2', '99', '1353520240742502400', '领导助理部门', '001070002', '0656050002', '2', '1', null, '2021-01-25 09:52:10');
INSERT INTO `sys_org_copy1` VALUES ('1353521121206603776', '2', '99', '1353520240742502400', '综合办公室（安全保卫部、党委办公室）', '001070003', '0656050003', '3', '1', null, '2021-01-25 09:52:37');
INSERT INTO `sys_org_copy1` VALUES ('1353521269391364096', '2', '99', '1353520240742502400', '指挥调度中心', '001070004', '0656050004', '4', '1', null, '2021-01-25 09:53:12');
INSERT INTO `sys_org_copy1` VALUES ('1353521429995458560', '2', '99', '1353520240742502400', '财务部', '001070005', '0656050005', '5', '1', null, '2021-01-25 09:53:51');
INSERT INTO `sys_org_copy1` VALUES ('1353521503475470336', '2', '99', '1353520240742502400', '人力资源部', '001070006', '0656050006', '6', '1', null, '2021-01-25 09:54:08');
INSERT INTO `sys_org_copy1` VALUES ('1353521580759715840', '2', '99', '1353520240742502400', '监督检查部', '001070007', '0656050007', '7', '1', null, '2021-01-25 09:54:27');
INSERT INTO `sys_org_copy1` VALUES ('1353521659792986112', '2', '99', '1353520240742502400', '党委党建工作部（纪委办公室）', '001070008', '0656050008', '8', '1', null, '2021-01-25 09:54:46');
INSERT INTO `sys_org_copy1` VALUES ('1353521774070992896', '2', '99', '1353520240742502400', '工会', '001070009', '0656050009', '9', '1', null, '2021-01-25 09:55:13');
INSERT INTO `sys_org_copy1` VALUES ('1353521845764231168', '2', '99', '1353520240742502400', '邮件处理中心', '001070010', '0656050010', '10', '1', null, '2021-01-25 09:55:30');
INSERT INTO `sys_org_copy1` VALUES ('1353521960876904448', '2', '99', '1353520240742502400', '邮件运输中心', '001070011', '0656050011', '11', '1', null, '2021-01-25 09:55:57');
INSERT INTO `sys_org_copy1` VALUES ('1353522029130813440', '2', '99', '1353520240742502400', '运行维护中心', '001070012', '0656050012', '12', '1', null, '2021-01-25 09:56:14');
INSERT INTO `sys_org_copy1` VALUES ('1353522115915157504', '2', '99', '1353520240742502400', '航空邮件处理中心', '001070013', '0656050013', '13', '1', null, '2021-01-25 09:56:34');
INSERT INTO `sys_org_copy1` VALUES ('1353522176086642688', '2', '99', '1353520240742502400', '保留关系人员部门', '001070014', '0656050014', '14', '1', null, '2021-01-25 09:56:49');
INSERT INTO `sys_org_copy1` VALUES ('1353553262283984896', '2', '99', '1334398186252537856', '中邮人寿省分公司本部', '001069002', '20210012', '1', '1', null, '2021-01-25 12:00:20');
INSERT INTO `sys_org_copy1` VALUES ('1366299625929183232', '2', '99', '1323441314733363200', '运营管理部', '001071', '560000000705', '45', '1', null, '2021-03-01 16:09:50');
INSERT INTO `sys_org_copy1` VALUES ('1366299958692679680', '2', '99', '1323441314737557510', '运营管理部', '001007047', '5651000089', '131', '1', null, '2021-03-01 16:11:09');
INSERT INTO `sys_org_copy1` VALUES ('1366300355368980480', '2', '99', '1323441314737557526', '运营管理部', '001008034', '5652000006', '130', '1', null, '2021-03-01 16:12:44');
INSERT INTO `sys_org_copy1` VALUES ('1366300946329636864', '2', '99', '1323441314737557535', '运营管理部', '001009041', '565300001003', '130', '1', null, '2021-03-01 16:15:05');
INSERT INTO `sys_org_copy1` VALUES ('1366301054714646528', '2', '99', '1323441314741751823', '运营管理部', '001010035', '565400001003', '130', '1', null, '2021-03-01 16:15:31');
INSERT INTO `sys_org_copy1` VALUES ('1366301153721192448', '2', '99', '1323441314741751833', '运营管理部', '001011034', '565500001003', '130', '1', null, '2021-03-01 16:15:54');
INSERT INTO `sys_org_copy1` VALUES ('1366301258851422208', '2', '99', '1323441314741751842', '运营管理部', '001012025', '565600000802', '130', '1', null, '2021-03-01 16:16:19');
INSERT INTO `sys_org_copy1` VALUES ('1366301435943325696', '2', '99', '1323441314745946114', '运营管理部', '001013040', '565700001102', '130', '1', null, '2021-03-01 16:17:02');
INSERT INTO `sys_org_copy1` VALUES ('1366301562594529280', '2', '99', '1323441314745946127', '运营管理部', '001014035', '565800001003', '130', '1', null, '2021-03-01 16:17:32');
INSERT INTO `sys_org_copy1` VALUES ('1366301692756365312', '2', '99', '1323441314745946137', '运营管理部', '001015034', '565900001003', '130', '1', null, '2021-03-01 16:18:03');
INSERT INTO `sys_org_copy1` VALUES ('1366301789560901632', '2', '99', '1323441314745946146', '运营管理部', '001016027', '566000000802', '130', '1', null, '2021-03-01 16:18:26');
INSERT INTO `sys_org_copy1` VALUES ('1366301876877922304', '2', '99', '1323441314750140420', '运营管理部', '001017034', '566100001003', '130', '1', null, '2021-03-01 16:18:47');
INSERT INTO `sys_org_copy1` VALUES ('1366301968439578624', '2', '99', '1323441314750140429', '运营管理部', '001018026', '566200001102', '130', '1', null, '2021-03-01 16:19:09');
INSERT INTO `sys_org_copy1` VALUES ('1366302072160522240', '2', '99', '1323441314750140435', '运营管理部', '001019036', '566300001003', '130', '1', null, '2021-03-01 16:19:33');
INSERT INTO `sys_org_copy1` VALUES ('1366302437362765824', '2', '99', '1323441314750140446', '运营管理部', '001020038', '566400001105', '130', '1', null, '2021-03-01 16:21:00');
INSERT INTO `sys_org_copy1` VALUES ('1366302534469292032', '2', '99', '1323441314754334722', '运营管理部', '001021038', '566500001003', '130', '1', null, '2021-03-01 16:21:24');
INSERT INTO `sys_org_copy1` VALUES ('1366302616014950400', '2', '99', '1323441314754334735', '运营管理部', '001022043', '566600001003', '130', '1', null, '2021-03-01 16:21:43');
INSERT INTO `sys_org_copy1` VALUES ('1366302695933218816', '2', '99', '1323441314754334752', '运营管理部', '001023037', '566700001003', '130', '1', null, '2021-03-01 16:22:02');
INSERT INTO `sys_org_copy1` VALUES ('1366302806306328576', '2', '99', '1323441314758529026', '运营管理部', '001024046', '566800000802', '130', '1', null, '2021-03-01 16:22:28');
INSERT INTO `sys_org_copy1` VALUES ('1371389197931384832', '2', '99', '1323441314741751820', '武汉南路支局', '001009013025', '5653200434', '1', '1', null, '2021-03-15 17:13:59');
INSERT INTO `sys_org_copy1` VALUES ('1372378913711460352', '2', '99', '1323441314741751829', '夏店邮政所', '001010006035', '5654060097', '1', '1', null, '2021-03-18 10:46:45');
INSERT INTO `sys_org_copy1` VALUES ('1575686278798774272', '2', '99', '1323441314733363200', '其他', '001072', '56690000', '24', '0', null, '2022-09-30 11:17:38');
INSERT INTO `sys_org_copy1` VALUES ('1575687397113466880', '1', '2', '1323441314733363200', '其他', '001073', '56790000', '25', '1', null, '2022-09-30 11:22:05');
INSERT INTO `sys_org_copy1` VALUES ('1663169943836954624', '1', '2', '1323441314733363200', '河南省分公司本部', '001074', '56001111', '0', '1', null, '2023-05-29 21:06:29');

-- ----------------------------
-- Table structure for sys_quartz
-- ----------------------------
DROP TABLE IF EXISTS `sys_quartz`;
CREATE TABLE `sys_quartz` (
  `id` bigint(20) NOT NULL,
  `groups` varchar(40) DEFAULT NULL COMMENT '任务分组',
  `name` varchar(100) DEFAULT NULL COMMENT '任务名称（关键参数）',
  `state` smallint(2) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `cron` varchar(30) DEFAULT NULL COMMENT '任务表达式',
  `remark` varchar(255) DEFAULT NULL COMMENT '任务描述',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、base：2、app',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='定时任务';

-- ----------------------------
-- Records of sys_quartz
-- ----------------------------
INSERT INTO `sys_quartz` VALUES ('127051793997431886', 'TRAIN_CLASS_START', '127050043999518848', '0', '9 43 10 21 9 ? 2023', '培训开始1121培训库课程-b', '1', '2023-09-21 10:42:09');
INSERT INTO `sys_quartz` VALUES ('127051794159017348', 'TRAIN_USER_CLASS_START_MSG', '127050043999518848', '0', '9 43 10 21 9 ? 2023', '培训消息开始1121培训库课程-b', '1', '2023-09-21 10:42:09');
INSERT INTO `sys_quartz` VALUES ('127051794289417379', 'TRAIN_CLASS_END', '127050043999518848', '0', '14 39 10 22 9 ? 2023', '培训结束1121培训库课程-b', '1', '2023-09-21 10:42:09');
INSERT INTO `sys_quartz` VALUES ('127051794414718489', 'TRAIN_USER_CLASS_END_MSG', '127050043999518848', '0', '0 1 8 21 9 ? 2023', '培训结束消息1121培训库课程-b', '1', '2023-09-21 10:42:09');
INSERT INTO `sys_quartz` VALUES ('128035885007938026', 'TRAIN_CLASS_START', '127931103763926586', '0', '34 46 17 24 9 ? 2023', '培训开始理财培训计划第一季度', '1', '2023-09-22 14:02:18');
INSERT INTO `sys_quartz` VALUES ('128035885191050863', 'TRAIN_USER_CLASS_START_MSG', '127931103763926586', '0', '18 3 14 22 9 ? 2023', '培训消息开始理财培训计划第一季度', '1', '2023-09-22 14:02:18');
INSERT INTO `sys_quartz` VALUES ('128035885404686608', 'TRAIN_CLASS_END', '127931103763926586', '1', '32 8 11 30 11 ? 2023', '培训结束理财培训计划第一季度', '1', '2023-09-22 14:02:18');
INSERT INTO `sys_quartz` VALUES ('128035885545799282', 'TRAIN_USER_CLASS_END_MSG', '127931103763926586', '1', '0 1 8 29 11 ? 2023', '培训结束消息理财培训计划第一季度', '1', '2023-09-22 14:02:18');
INSERT INTO `sys_quartz` VALUES ('128045945549688311', 'TRAIN_CLASS_START', '128045312767044786', '0', '23 18 14 23 9 ? 2023', '培训开始理财培训计划第二季度', '1', '2023-09-22 14:19:05');
INSERT INTO `sys_quartz` VALUES ('128045945781430666', 'TRAIN_USER_CLASS_START_MSG', '128045312767044786', '0', '0 1 9 22 9 ? 2023', '培训消息开始理财培训计划第二季度', '1', '2023-09-22 14:19:05');
INSERT INTO `sys_quartz` VALUES ('128045946008937068', 'TRAIN_CLASS_END', '128045312767044786', '1', '43 19 14 29 10 ? 2023', '培训结束理财培训计划第二季度', '1', '2023-09-22 14:19:05');
INSERT INTO `sys_quartz` VALUES ('128045946161183917', 'TRAIN_USER_CLASS_END_MSG', '128045312767044786', '1', '0 1 8 28 10 ? 2023', '培训结束消息理财培训计划第二季度', '1', '2023-09-22 14:19:05');
INSERT INTO `sys_quartz` VALUES ('128122690440747521', 'TRAIN_QUESTIONNAIRE_START', '128122655261317314', '0', '59 26 16 22 9 ? 2023', '调查问卷开始培训效果调查', '1', '2023-09-22 16:26:59');
INSERT INTO `sys_quartz` VALUES ('128122690594598619', 'TRAIN_QUESTIONNAIRE_END', '128122655261317314', '1', '25 21 16 30 11 ? 2023', '调查问卷结束培训效果调查', '1', '2023-09-22 16:26:59');
INSERT INTO `sys_quartz` VALUES ('130443196787531006', 'TRAIN_CLASS_START', '130441652709239612', '0', '0 47 10 26 9 ? 2023', '培训开始数据库培训', '1', '2023-09-25 08:54:30');
INSERT INTO `sys_quartz` VALUES ('130443196935772812', 'TRAIN_USER_CLASS_START_MSG', '130441652709239612', '0', '29 55 8 25 9 ? 2023', '培训消息开始数据库培训', '1', '2023-09-25 08:54:30');
INSERT INTO `sys_quartz` VALUES ('130443197098922906', 'TRAIN_CLASS_END', '130441652709239612', '1', '8 53 8 30 11 ? 2023', '培训结束数据库培训', '1', '2023-09-25 08:54:30');
INSERT INTO `sys_quartz` VALUES ('130443197202898209', 'TRAIN_USER_CLASS_END_MSG', '130441652709239612', '1', '0 1 8 29 11 ? 2023', '培训结束消息数据库培训', '1', '2023-09-25 08:54:30');
INSERT INTO `sys_quartz` VALUES ('130489462315911985', 'SUPPLIER_NOTICE_START', '130489437269666509', '0', '36 12 10 25 9 ? 2023', '供应商公告开始员工入职技能培训方案征集', '1', '2023-09-25 10:11:36');
INSERT INTO `sys_quartz` VALUES ('130489462489669252', 'SUPPLIER_NOTICE_END', '130489437269666509', '0', '5 12 10 30 9 ? 2023', '供应商公告结束员工入职技能培训方案征集', '1', '2023-09-25 10:11:36');
INSERT INTO `sys_quartz` VALUES ('130623148217103287', 'SUPPLIER_NOTICE_START', '130623124513119214', '0', '24 55 13 25 9 ? 2023', '供应商公告开始员工入职培训方案征集', '1', '2023-09-25 13:54:25');
INSERT INTO `sys_quartz` VALUES ('130623148401105677', 'SUPPLIER_NOTICE_END', '130623124513119214', '0', '9 1 14 25 9 ? 2023', '供应商公告结束员工入职培训方案征集', '1', '2023-09-25 13:54:25');
INSERT INTO `sys_quartz` VALUES ('1562734300493910016', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '6 32 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:06');
INSERT INTO `sys_quartz` VALUES ('1562734301538291712', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '6 33 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:06');
INSERT INTO `sys_quartz` VALUES ('1562734302381346816', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '6 34 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:07');
INSERT INTO `sys_quartz` VALUES ('1562734303270539264', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '6 35 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:07');
INSERT INTO `sys_quartz` VALUES ('1562734304298143744', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '7 36 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:07');
INSERT INTO `sys_quartz` VALUES ('1562734304977620992', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '7 37 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:07');
INSERT INTO `sys_quartz` VALUES ('1562734305963282432', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '7 38 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:08');
INSERT INTO `sys_quartz` VALUES ('1562734306714062848', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '7 39 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:08');
INSERT INTO `sys_quartz` VALUES ('1562734307427094528', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '7 40 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:08');
INSERT INTO `sys_quartz` VALUES ('1562734308379201536', 'TRAIN_TOOLKIT', '1562722568736215040', '1', '7 41 17 25 8 ? 2022', '备忘录：提醒我睡觉', '1', '2022-08-25 17:31:08');
INSERT INTO `sys_quartz` VALUES ('1562794802280534016', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '30 32 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:31');
INSERT INTO `sys_quartz` VALUES ('1562794803232641024', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '31 33 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:31');
INSERT INTO `sys_quartz` VALUES ('1562794804058918912', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '31 34 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:31');
INSERT INTO `sys_quartz` VALUES ('1562794805153632256', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '31 35 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:32');
INSERT INTO `sys_quartz` VALUES ('1562794806441283584', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '31 36 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:32');
INSERT INTO `sys_quartz` VALUES ('1562794807284338688', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '32 37 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:32');
INSERT INTO `sys_quartz` VALUES ('1562794808198696960', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '32 38 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:32');
INSERT INTO `sys_quartz` VALUES ('1562794808924311552', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '32 39 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:33');
INSERT INTO `sys_quartz` VALUES ('1562794809830281216', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '32 40 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:33');
INSERT INTO `sys_quartz` VALUES ('1562794810685919232', 'TRAIN_TOOLKIT', '1562794801819160576', '1', '32 41 21 25 8 ? 2022', '备忘录：观看比赛', '1', '2022-08-25 21:31:33');
INSERT INTO `sys_quartz` VALUES ('1564459564395532288', 'TRAIN_CLASS_START', '1564459315396481024', '0', '41 47 11 30 8 ? 2022', '培训开始测试培训计划测试就餐信息222', '1', '2022-08-30 11:46:41');
INSERT INTO `sys_quartz` VALUES ('1564459565964201984', 'TRAIN_CLASS_END', '1564459315396481024', '0', '0 2 12 30 8 ? 2022', '培训结束测试培训计划测试就餐信息222', '1', '2022-08-30 11:46:42');
INSERT INTO `sys_quartz` VALUES ('1564528444920958976', 'TRAIN_CLASS_START', '1564137571225833472', '0', '2 21 11 2 9 ? 2022', '培训开始测试培训计划测试就餐信息', '1', '2022-08-30 16:20:24');
INSERT INTO `sys_quartz` VALUES ('1564528445654962176', 'TRAIN_CLASS_END', '1564137571225833472', '0', '0 2 0 10 9 ? 2022', '培训结束测试培训计划测试就餐信息', '1', '2022-08-30 16:20:24');
INSERT INTO `sys_quartz` VALUES ('1568122990460276736', 'SUPPLIER_NOTICE_START', '1568122525051916288', '0', '29 22 14 10 9 ? 2022', '供应商公告开始1', '1', '2022-09-09 14:23:50');
INSERT INTO `sys_quartz` VALUES ('1568122990711934976', 'SUPPLIER_NOTICE_END', '1568122525051916288', '0', '34 23 14 11 9 ? 2022', '供应商公告结束1', '1', '2022-09-09 14:23:50');
INSERT INTO `sys_quartz` VALUES ('1568123191572959232', 'SUPPLIER_NOTICE_START', '1568123152956002304', '0', '37 25 14 9 9 ? 2022', '供应商公告开始2', '1', '2022-09-09 14:24:38');
INSERT INTO `sys_quartz` VALUES ('1568123191778480128', 'SUPPLIER_NOTICE_END', '1568123152956002304', '0', '13 26 14 10 9 ? 2022', '供应商公告结束2', '1', '2022-09-09 14:24:38');
INSERT INTO `sys_quartz` VALUES ('1568124840915898368', 'SUPPLIER_NOTICE_START', '1568124797899116544', '0', '11 32 14 9 9 ? 2022', '供应商公告开始3', '1', '2022-09-09 14:31:11');
INSERT INTO `sys_quartz` VALUES ('1568124841113030656', 'SUPPLIER_NOTICE_END', '1568124797899116544', '0', '42 32 14 11 9 ? 2022', '供应商公告结束3', '1', '2022-09-09 14:31:11');
INSERT INTO `sys_quartz` VALUES ('1568127538201497600', 'SUPPLIER_NOTICE_START', '1568127516038795264', '0', '54 42 14 9 9 ? 2022', '供应商公告开始4', '1', '2022-09-09 14:41:54');
INSERT INTO `sys_quartz` VALUES ('1568127538444767232', 'SUPPLIER_NOTICE_END', '1568127516038795264', '0', '30 43 14 10 9 ? 2022', '供应商公告结束4', '1', '2022-09-09 14:41:54');
INSERT INTO `sys_quartz` VALUES ('1569943062690533376', 'TRAIN_CLASS_START', '1567813857320243200', '0', '8 57 14 14 9 ? 2022', '培训开始0908001创建的集中培训', '1', '2022-09-14 14:56:09');
INSERT INTO `sys_quartz` VALUES ('1569943062749253632', 'TRAIN_CLASS_END', '1567813857320243200', '0', '8 58 14 14 9 ? 2022', '培训结束0908001创建的集中培训', '1', '2022-09-14 14:56:09');
INSERT INTO `sys_quartz` VALUES ('1570256255346413568', 'TRAIN_CLASS_START', '1570226030914965504', '0', '39 41 11 15 9 ? 2022', '培训开始20220914-1001-省级创建', '1', '2022-09-15 11:40:40');
INSERT INTO `sys_quartz` VALUES ('1570256255426105344', 'TRAIN_CLASS_END', '1570226030914965504', '0', '39 42 11 15 9 ? 2022', '培训结束20220914-1001-省级创建', '1', '2022-09-15 11:40:40');
INSERT INTO `sys_quartz` VALUES ('1570328997550755840', 'TRAIN_CLASS_START', '1569492860322058240', '0', '42 30 16 15 9 ? 2022', '培训开始测试培训计划测试就餐信息', '1', '2022-09-15 16:29:43');
INSERT INTO `sys_quartz` VALUES ('1570328998460919808', 'TRAIN_CLASS_END', '1569492860322058240', '0', '43 31 16 15 9 ? 2022', '培训结束测试培训计划测试就餐信息', '1', '2022-09-15 16:29:43');
INSERT INTO `sys_quartz` VALUES ('1570329544676741120', 'TRAIN_CLASS_START', '1568134402704281600', '0', '53 32 16 15 9 ? 2022', '培训开始测试的计划', '1', '2022-09-15 16:31:54');
INSERT INTO `sys_quartz` VALUES ('1570329545536573440', 'TRAIN_CLASS_END', '1568134402704281600', '0', '53 33 16 15 9 ? 2022', '培训结束测试的计划', '1', '2022-09-15 16:31:54');
INSERT INTO `sys_quartz` VALUES ('1570333852587659264', 'TRAIN_CLASS_START', '1570332144293777408', '0', '0 50 16 15 9 ? 2022', '培训开始wwwww', '1', '2022-09-15 16:49:01');
INSERT INTO `sys_quartz` VALUES ('1570333853405548544', 'TRAIN_CLASS_END', '1570332144293777408', '0', '0 2 0 17 9 ? 2022', '培训结束wwwww', '1', '2022-09-15 16:49:01');
INSERT INTO `sys_quartz` VALUES ('1570346894176161792', 'TRAIN_CLASS_START', '1570344722680123392', '0', '49 41 17 15 9 ? 2022', '培训开始20220915', '1', '2022-09-15 17:40:50');
INSERT INTO `sys_quartz` VALUES ('1570346894968885248', 'TRAIN_CLASS_END', '1570344722680123392', '0', '42 33 17 18 9 ? 2022', '培训结束20220915', '1', '2022-09-15 17:40:50');
INSERT INTO `sys_quartz` VALUES ('1570364989120843776', 'TRAIN_CLASS_START', '1570349627503415296', '0', '44 53 18 15 9 ? 2022', '培训开始202222222222', '1', '2022-09-15 18:52:44');
INSERT INTO `sys_quartz` VALUES ('1570364989846458368', 'TRAIN_CLASS_END', '1570349627503415296', '0', '36 53 17 17 9 ? 2022', '培训结束202222222222', '1', '2022-09-15 18:52:44');
INSERT INTO `sys_quartz` VALUES ('1570583898692390912', 'TRAIN_CLASS_START', '1570348192174837760', '0', '36 23 9 16 9 ? 2022', '培训开始测试培训计划测试就餐信息', '1', '2022-09-16 09:22:36');
INSERT INTO `sys_quartz` VALUES ('1570583899833241600', 'TRAIN_CLASS_END', '1570348192174837760', '0', '52 47 17 16 9 ? 2022', '培训结束测试培训计划测试就餐信息', '1', '2022-09-16 09:22:37');
INSERT INTO `sys_quartz` VALUES ('1570600151997878272', 'TRAIN_CLASS_START', '1570339436661706752', '0', '11 28 10 16 9 ? 2022', '培训开始嗡嗡嗡', '1', '2022-09-16 10:27:12');
INSERT INTO `sys_quartz` VALUES ('1570600156125073408', 'TRAIN_CLASS_END', '1570339436661706752', '0', '12 29 10 16 9 ? 2022', '培训结束嗡嗡嗡', '1', '2022-09-16 10:27:12');
INSERT INTO `sys_quartz` VALUES ('1570648326284644352', 'TRAIN_CLASS_START', '1570351035338330112', '0', '36 39 13 16 9 ? 2022', '培训开始测试培训计划测试就餐信息', '1', '2022-09-16 13:38:37');
INSERT INTO `sys_quartz` VALUES ('1570648327085756416', 'TRAIN_CLASS_END', '1570351035338330112', '0', '13 59 17 16 9 ? 2022', '培训结束测试培训计划测试就餐信息', '1', '2022-09-16 13:38:37');
INSERT INTO `sys_quartz` VALUES ('1570649577072234496', 'TRAIN_CLASS_START', '1570339435038511104', '0', '35 44 13 16 9 ? 2022', '培训开始测试修改次数', '1', '2022-09-16 13:43:35');
INSERT INTO `sys_quartz` VALUES ('1570649577747517440', 'TRAIN_CLASS_END', '1570339435038511104', '0', '17 44 13 17 9 ? 2022', '培训结束测试修改次数', '1', '2022-09-16 13:43:35');
INSERT INTO `sys_quartz` VALUES ('1571738000612790272', 'TRAIN_CLASS_START', '1570297537271828480', '0', '35 49 13 19 9 ? 2022', '培训开始20220914-1001-省级创建00002', '1', '2022-09-19 13:48:35');
INSERT INTO `sys_quartz` VALUES ('1571738000721842176', 'TRAIN_CLASS_END', '1570297537271828480', '0', '35 50 13 19 9 ? 2022', '培训结束20220914-1001-省级创建00002', '1', '2022-09-19 13:48:36');
INSERT INTO `sys_quartz` VALUES ('1571742184007405568', 'CLASS_LOOK_INTO_START', '1571742175484579840', '0', '12 6 14 19 9 ? 2022', '班级调查问卷开始测试定时任务V1', '1', '2022-09-19 14:05:13');
INSERT INTO `sys_quartz` VALUES ('1571742184263258112', 'CLASS_LOOK_INTO_END', '1571742175484579840', '0', '31 6 14 20 9 ? 2022', '班级调查问卷结束测试定时任务V1', '1', '2022-09-19 14:05:13');
INSERT INTO `sys_quartz` VALUES ('1571751113995194368', 'CLASS_LOOK_INTO_START', '1571751105258459136', '0', '41 41 14 19 9 ? 2022', '班级调查问卷开始888', '1', '2022-09-19 14:40:42');
INSERT INTO `sys_quartz` VALUES ('1571751114217492480', 'CLASS_LOOK_INTO_END', '1571751105258459136', '0', '59 1 0 21 9 ? 2022', '班级调查问卷结束888', '1', '2022-09-19 14:40:42');
INSERT INTO `sys_quartz` VALUES ('1571787302257168384', 'CLASS_LOOK_INTO_START', '1571787296154456064', '0', '0 1 0 20 9 ? 2022', '班级调查问卷开始测试其他项1', '1', '2022-09-19 17:04:30');
INSERT INTO `sys_quartz` VALUES ('1571787302487855104', 'CLASS_LOOK_INTO_END', '1571787296154456064', '0', '59 1 0 23 9 ? 2022', '班级调查问卷结束测试其他项1', '1', '2022-09-19 17:04:30');
INSERT INTO `sys_quartz` VALUES ('1571787768273702912', 'CLASS_LOOK_INTO_START', '1571787764427526144', '0', '0 1 0 21 9 ? 2022', '班级调查问卷开始测试其他项1', '1', '2022-09-19 17:06:21');
INSERT INTO `sys_quartz` VALUES ('1571787768512778240', 'CLASS_LOOK_INTO_END', '1571787764427526144', '0', '59 1 0 1 10 ? 2022', '班级调查问卷结束测试其他项1', '1', '2022-09-19 17:06:21');
INSERT INTO `sys_quartz` VALUES ('1572038704883699712', 'TRAIN_CLASS_START', '1571736395163242496', '0', '28 44 9 20 9 ? 2022', '培训开始郑州的1111831+=', '1', '2022-09-20 09:43:29');
INSERT INTO `sys_quartz` VALUES ('1572038705668034560', 'TRAIN_CLASS_END', '1571736395163242496', '0', '57 43 13 30 9 ? 2022', '培训结束郑州的1111831+=', '1', '2022-09-20 09:43:29');
INSERT INTO `sys_quartz` VALUES ('1572055257310171136', 'TRAIN_CLASS_START', '1570693801251573760', '0', '15 50 10 20 9 ? 2022', '培训开始测试====>37', '1', '2022-09-20 10:49:15');
INSERT INTO `sys_quartz` VALUES ('1572055258035785728', 'TRAIN_CLASS_END', '1570693801251573760', '0', '15 51 10 20 9 ? 2022', '培训结束测试====>37', '1', '2022-09-20 10:49:16');
INSERT INTO `sys_quartz` VALUES ('1572126736303394816', 'CLASS_LOOK_INTO_START', '1572126731702243328', '0', '17 34 15 20 9 ? 2022', '班级调查问卷开始结束', '1', '2022-09-20 15:33:17');
INSERT INTO `sys_quartz` VALUES ('1572126736664104960', 'CLASS_LOOK_INTO_END', '1572126731702243328', '0', '59 1 0 1 11 ? 2022', '班级调查问卷结束结束', '1', '2022-09-20 15:33:17');
INSERT INTO `sys_quartz` VALUES ('1572161900475715584', 'TRAIN_CLASS_START', '1572161388133093376', '0', '1 54 17 20 9 ? 2022', '培训开始这个测试工具包======', '1', '2022-09-20 17:53:01');
INSERT INTO `sys_quartz` VALUES ('1572161900811259904', 'TRAIN_CLASS_END', '1572161388133093376', '0', '45 52 17 30 9 ? 2022', '培训结束这个测试工具包======', '1', '2022-09-20 17:53:01');
INSERT INTO `sys_quartz` VALUES ('1572416464814739456', 'TRAIN_CLASS_START', '1572406044859174912', '0', '33 45 10 21 9 ? 2022', '培训开始测试修改次数', '1', '2022-09-21 10:44:34');
INSERT INTO `sys_quartz` VALUES ('1572416465502605312', 'TRAIN_CLASS_END', '1572406044859174912', '0', '55 37 10 24 9 ? 2022', '培训结束测试修改次数', '1', '2022-09-21 10:44:34');
INSERT INTO `sys_quartz` VALUES ('1572460103431491584', 'TRAIN_CLASS_START', '1572146637869027328', '0', '58 38 13 21 9 ? 2022', '培训开始测试', '1', '2022-09-21 13:37:58');
INSERT INTO `sys_quartz` VALUES ('1572460103494406144', 'TRAIN_CLASS_END', '1572146637869027328', '0', '58 39 13 21 9 ? 2022', '培训结束测试', '1', '2022-09-21 13:37:58');
INSERT INTO `sys_quartz` VALUES ('1572514622873931776', 'TRAIN_CLASS_START', '1571698237209972736', '0', '36 15 17 21 9 ? 2022', '培训开始2023测试=====>8', '1', '2022-09-21 17:14:37');
INSERT INTO `sys_quartz` VALUES ('1572514623893147648', 'TRAIN_CLASS_END', '1571698237209972736', '0', '36 16 17 21 9 ? 2022', '培训结束2023测试=====>8', '1', '2022-09-21 17:14:37');
INSERT INTO `sys_quartz` VALUES ('1572516459911974912', 'CLASS_LOOK_INTO_START', '1572516456334233600', '0', '54 22 17 21 9 ? 2022', '班级调查问卷开始预览测试', '1', '2022-09-21 17:21:55');
INSERT INTO `sys_quartz` VALUES ('1572516460159438848', 'CLASS_LOOK_INTO_END', '1572516456334233600', '0', '59 1 0 25 9 ? 2022', '班级调查问卷结束预览测试', '1', '2022-09-21 17:21:55');
INSERT INTO `sys_quartz` VALUES ('1572763353535877120', 'TRAIN_CLASS_START', '1568132181858062336', '0', '58 43 9 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 09:42:59');
INSERT INTO `sys_quartz` VALUES ('1572763354290851840', 'TRAIN_CLASS_END', '1568132181858062336', '0', '0 2 0 25 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 09:42:59');
INSERT INTO `sys_quartz` VALUES ('1572763559845302272', 'TRAIN_CLASS_START', '1572520923607732224', '0', '47 44 9 22 9 ? 2022', '培训开始测试审核失败2', '1', '2022-09-22 09:43:48');
INSERT INTO `sys_quartz` VALUES ('1572763560759660544', 'TRAIN_CLASS_END', '1572520923607732224', '0', '23 41 17 30 9 ? 2022', '培训结束测试审核失败2', '1', '2022-09-22 09:43:48');
INSERT INTO `sys_quartz` VALUES ('1572769823832805376', 'TRAIN_CLASS_START', '1572766217247264768', '0', '41 9 10 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 10:08:41');
INSERT INTO `sys_quartz` VALUES ('1572769824650694656', 'TRAIN_CLASS_END', '1572766217247264768', '0', '11 56 20 22 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 10:08:42');
INSERT INTO `sys_quartz` VALUES ('1572777034625716224', 'TRAIN_CLASS_START', '1572776695600123904', '0', '20 38 10 22 9 ? 2022', '培训开始线上测试报道，舞动', '1', '2022-09-22 10:37:21');
INSERT INTO `sys_quartz` VALUES ('1572777035472965632', 'TRAIN_CLASS_END', '1572776695600123904', '0', '24 37 10 30 9 ? 2022', '培训结束线上测试报道，舞动', '1', '2022-09-22 10:37:21');
INSERT INTO `sys_quartz` VALUES ('1572797218337984512', 'TRAIN_CLASS_START', '1572796033749094400', '0', '1 1 6 23 9 ? 2022', '培训开始sda', '1', '2022-09-22 11:57:33');
INSERT INTO `sys_quartz` VALUES ('1572797219210399744', 'TRAIN_CLASS_END', '1572796033749094400', '0', '1 2 20 23 9 ? 2022', '培训结束sda', '1', '2022-09-22 11:57:33');
INSERT INTO `sys_quartz` VALUES ('1572836144876490752', 'TRAIN_CLASS_START', '1572824712692764672', '0', '13 33 14 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 14:32:13');
INSERT INTO `sys_quartz` VALUES ('1572836144964571136', 'TRAIN_CLASS_END', '1572824712692764672', '0', '33 32 14 25 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 14:32:14');
INSERT INTO `sys_quartz` VALUES ('1572839639809658880', 'TRAIN_CLASS_START', '1572797449381220352', '0', '6 47 14 22 9 ? 2022', '培训开始复测0922-001', '1', '2022-09-22 14:46:07');
INSERT INTO `sys_quartz` VALUES ('1572839639876767744', 'TRAIN_CLASS_END', '1572797449381220352', '0', '20 0 12 24 9 ? 2022', '培训结束复测0922-001', '1', '2022-09-22 14:46:07');
INSERT INTO `sys_quartz` VALUES ('1572841355816865792', 'TRAIN_CLASS_START', '1572840721512271872', '0', '55 53 14 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 14:52:56');
INSERT INTO `sys_quartz` VALUES ('1572841355883974656', 'TRAIN_CLASS_END', '1572840721512271872', '0', '18 52 14 25 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 14:52:56');
INSERT INTO `sys_quartz` VALUES ('1572866787270332416', 'TRAIN_CLASS_START', '1572842240676597760', '0', '59 34 16 22 9 ? 2022', '培训开始新课教学第一课', '1', '2022-09-22 16:33:59');
INSERT INTO `sys_quartz` VALUES ('1572866788209856512', 'TRAIN_CLASS_END', '1572842240676597760', '0', '22 58 14 23 9 ? 2022', '培训结束新课教学第一课', '1', '2022-09-22 16:34:00');
INSERT INTO `sys_quartz` VALUES ('1572867889093021696', 'CLASS_LOOK_INTO_START', '1572867888287715328', '0', '21 39 16 22 9 ? 2022', '班级调查问卷开始开学第一课调查问卷测试', '1', '2022-09-22 16:38:22');
INSERT INTO `sys_quartz` VALUES ('1572867889147547648', 'CLASS_LOOK_INTO_END', '1572867888287715328', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束开学第一课调查问卷测试', '1', '2022-09-22 16:38:22');
INSERT INTO `sys_quartz` VALUES ('1572867992767827968', 'CLASS_LOOK_INTO_START', '1572867991966715904', '0', '46 39 16 22 9 ? 2022', '班级调查问卷开始开学第二课', '1', '2022-09-22 16:38:47');
INSERT INTO `sys_quartz` VALUES ('1572867992826548224', 'CLASS_LOOK_INTO_END', '1572867991966715904', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束开学第二课', '1', '2022-09-22 16:38:47');
INSERT INTO `sys_quartz` VALUES ('1572868858367315968', 'CLASS_LOOK_INTO_START', '1572868857528455168', '0', '12 43 16 22 9 ? 2022', '班级调查问卷开始第三科', '1', '2022-09-22 16:42:13');
INSERT INTO `sys_quartz` VALUES ('1572868858384093184', 'CLASS_LOOK_INTO_END', '1572868857528455168', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束第三科', '1', '2022-09-22 16:42:13');
INSERT INTO `sys_quartz` VALUES ('1572870882488094720', 'TRAIN_CLASS_START', '1572869789519581184', '0', '15 51 16 22 9 ? 2022', '培训开始本部111111111111', '1', '2022-09-22 16:50:16');
INSERT INTO `sys_quartz` VALUES ('1572870883268235264', 'TRAIN_CLASS_END', '1572869789519581184', '0', '32 47 16 23 9 ? 2022', '培训结束本部111111111111', '1', '2022-09-22 16:50:16');
INSERT INTO `sys_quartz` VALUES ('1572873749710114816', 'CLASS_LOOK_INTO_START', '1572873747701043200', '0', '39 2 17 22 9 ? 2022', '班级调查问卷开始第三课问卷', '1', '2022-09-22 17:01:39');
INSERT INTO `sys_quartz` VALUES ('1572873749756252160', 'CLASS_LOOK_INTO_END', '1572873747701043200', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束第三课问卷', '1', '2022-09-22 17:01:39');
INSERT INTO `sys_quartz` VALUES ('1572873867465199616', 'CLASS_LOOK_INTO_START', '1572873866643116032', '0', '7 3 17 22 9 ? 2022', '班级调查问卷开始1', '1', '2022-09-22 17:02:07');
INSERT INTO `sys_quartz` VALUES ('1572873867507142656', 'CLASS_LOOK_INTO_END', '1572873866643116032', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束1', '1', '2022-09-22 17:02:07');
INSERT INTO `sys_quartz` VALUES ('1572874013137571840', 'CLASS_LOOK_INTO_START', '1572874012239990784', '0', '41 3 17 22 9 ? 2022', '班级调查问卷开始12', '1', '2022-09-22 17:02:42');
INSERT INTO `sys_quartz` VALUES ('1572874013171126272', 'CLASS_LOOK_INTO_END', '1572874012239990784', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束12', '1', '2022-09-22 17:02:42');
INSERT INTO `sys_quartz` VALUES ('1572874185364082688', 'TRAIN_CLASS_START', '1572870717807136768', '0', '23 4 17 22 9 ? 2022', '培训开始所上述', '1', '2022-09-22 17:03:23');
INSERT INTO `sys_quartz` VALUES ('1572874186232303616', 'TRAIN_CLASS_END', '1572870717807136768', '0', '15 51 16 23 9 ? 2022', '培训结束所上述', '1', '2022-09-22 17:03:23');
INSERT INTO `sys_quartz` VALUES ('1572874580907921408', 'TRAIN_CLASS_START', '1572408168884080640', '0', '57 5 17 22 9 ? 2022', '培训开始09-21-1001直接创建的培训班-1001', '1', '2022-09-22 17:04:57');
INSERT INTO `sys_quartz` VALUES ('1572874581654507520', 'TRAIN_CLASS_END', '1572408168884080640', '0', '57 6 17 22 9 ? 2022', '培训结束09-21-1001直接创建的培训班-1001', '1', '2022-09-22 17:04:58');
INSERT INTO `sys_quartz` VALUES ('1572875175693783040', 'TRAIN_CLASS_START', '1572874824055918592', '0', '19 8 17 22 9 ? 2022', '培训开始测试计划', '1', '2022-09-22 17:07:19');
INSERT INTO `sys_quartz` VALUES ('1572875176486506496', 'TRAIN_CLASS_END', '1572874824055918592', '0', '46 7 17 23 9 ? 2022', '培训结束测试计划', '1', '2022-09-22 17:07:19');
INSERT INTO `sys_quartz` VALUES ('1572875827366989824', 'TRAIN_CLASS_START', '1572875655060787200', '0', '54 10 17 22 9 ? 2022', '培训开始本部111111111111', '1', '2022-09-22 17:09:55');
INSERT INTO `sys_quartz` VALUES ('1572875828147130368', 'TRAIN_CLASS_END', '1572875655060787200', '0', '8 11 17 23 9 ? 2022', '培训结束本部111111111111', '1', '2022-09-22 17:09:55');
INSERT INTO `sys_quartz` VALUES ('1572876507997671424', 'TRAIN_CLASS_START', '1572876333464293376', '0', '36 13 17 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 17:12:37');
INSERT INTO `sys_quartz` VALUES ('1572876508731674624', 'TRAIN_CLASS_END', '1572876333464293376', '0', '53 13 17 23 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 17:12:37');
INSERT INTO `sys_quartz` VALUES ('1572877037641797632', 'TRAIN_CLASS_START', '1572876886546190336', '0', '0 15 17 24 9 ? 2022', '培训开始测试计划', '1', '2022-09-22 17:14:43');
INSERT INTO `sys_quartz` VALUES ('1572877038396772352', 'TRAIN_CLASS_END', '1572876886546190336', '0', '2 16 17 25 9 ? 2022', '培训结束测试计划', '1', '2022-09-22 17:14:43');
INSERT INTO `sys_quartz` VALUES ('1572877753097785344', 'TRAIN_CLASS_START', '1572877572822405120', '0', '44 17 17 27 9 ? 2022', '培训开始本部111111111111', '1', '2022-09-22 17:17:34');
INSERT INTO `sys_quartz` VALUES ('1572877753961811968', 'TRAIN_CLASS_END', '1572877572822405120', '0', '47 18 17 30 9 ? 2022', '培训结束本部111111111111', '1', '2022-09-22 17:17:34');
INSERT INTO `sys_quartz` VALUES ('1572878560492916736', 'TRAIN_CLASS_START', '1572878373611507712', '0', '55 20 17 23 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 17:20:46');
INSERT INTO `sys_quartz` VALUES ('1572878561264668672', 'TRAIN_CLASS_END', '1572878373611507712', '0', '58 21 17 29 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 17:20:46');
INSERT INTO `sys_quartz` VALUES ('1572879355108003840', 'TRAIN_CLASS_START', '1572879202766688256', '0', '55 24 17 22 9 ? 2022', '培训开始的说法是', '1', '2022-09-22 17:23:56');
INSERT INTO `sys_quartz` VALUES ('1572879355938476032', 'TRAIN_CLASS_END', '1572879202766688256', '0', '16 25 17 23 9 ? 2022', '培训结束的说法是', '1', '2022-09-22 17:23:56');
INSERT INTO `sys_quartz` VALUES ('1572879745622872064', 'TRAIN_CLASS_START', '1572878780698071040', '0', '28 26 17 22 9 ? 2022', '培训开始2022年9月份培训班', '1', '2022-09-22 17:25:29');
INSERT INTO `sys_quartz` VALUES ('1572879746407206912', 'TRAIN_CLASS_END', '1572878780698071040', '0', '25 23 17 25 9 ? 2022', '培训结束2022年9月份培训班', '1', '2022-09-22 17:25:29');
INSERT INTO `sys_quartz` VALUES ('1572880074661826560', 'TRAIN_CLASS_START', '1572879924723847168', '0', '5 27 17 25 9 ? 2022', '培训开始本部111111111111', '1', '2022-09-22 17:26:47');
INSERT INTO `sys_quartz` VALUES ('1572880076058529792', 'TRAIN_CLASS_END', '1572879924723847168', '0', '8 28 17 26 9 ? 2022', '培训结束本部111111111111', '1', '2022-09-22 17:26:48');
INSERT INTO `sys_quartz` VALUES ('1572883432172818432', 'TRAIN_CLASS_START', '1572883200882118656', '0', '7 41 17 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 17:40:08');
INSERT INTO `sys_quartz` VALUES ('1572883432936181760', 'TRAIN_CLASS_END', '1572883200882118656', '0', '8 41 17 23 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 17:40:08');
INSERT INTO `sys_quartz` VALUES ('1572885310440869888', 'TRAIN_CLASS_START', '1572885174935490560', '0', '35 48 17 22 9 ? 2022', '培训开始测试的计划', '1', '2022-09-22 17:47:36');
INSERT INTO `sys_quartz` VALUES ('1572885311246176256', 'TRAIN_CLASS_END', '1572885174935490560', '0', '1 49 17 23 9 ? 2022', '培训结束测试的计划', '1', '2022-09-22 17:47:36');
INSERT INTO `sys_quartz` VALUES ('1572885751572598784', 'TRAIN_CLASS_START', '1572885613240258560', '0', '20 50 17 22 9 ? 2022', '培训开始测试计划', '1', '2022-09-22 17:49:21');
INSERT INTO `sys_quartz` VALUES ('1572885752348545024', 'TRAIN_CLASS_END', '1572885613240258560', '0', '45 50 17 23 9 ? 2022', '培训结束测试计划', '1', '2022-09-22 17:49:21');
INSERT INTO `sys_quartz` VALUES ('1572889663075651584', 'TRAIN_CLASS_START', '1572889486155714560', '0', '53 5 18 22 9 ? 2022', '培训开始测试计划', '1', '2022-09-22 18:04:53');
INSERT INTO `sys_quartz` VALUES ('1572889663738351616', 'TRAIN_CLASS_END', '1572889486155714560', '0', '37 5 18 29 9 ? 2022', '培训结束测试计划', '1', '2022-09-22 18:04:53');
INSERT INTO `sys_quartz` VALUES ('1573211932792590336', 'CLASS_LOOK_INTO_START', '1573211930959679488', '0', '28 26 15 23 9 ? 2022', '班级调查问卷开始讲师答卷001', '1', '2022-09-23 15:25:28');
INSERT INTO `sys_quartz` VALUES ('1573211932834533376', 'CLASS_LOOK_INTO_END', '1573211930959679488', '0', '59 1 0 26 9 ? 2022', '班级调查问卷结束讲师答卷001', '1', '2022-09-23 15:25:28');
INSERT INTO `sys_quartz` VALUES ('1573214786928381952', 'CLASS_LOOK_INTO_START', '1573214785879805952', '0', '48 37 15 23 9 ? 2022', '班级调查问卷开始第二课', '1', '2022-09-23 15:36:49');
INSERT INTO `sys_quartz` VALUES ('1573214786995490816', 'CLASS_LOOK_INTO_END', '1573214785879805952', '0', '59 1 0 24 9 ? 2022', '班级调查问卷结束第二课', '1', '2022-09-23 15:36:49');
INSERT INTO `sys_quartz` VALUES ('1573216872671875072', 'CLASS_LOOK_INTO_START', '1573216871975620608', '0', '0 1 0 24 9 ? 2022', '班级调查问卷开始第三章问卷调查', '1', '2022-09-23 15:45:06');
INSERT INTO `sys_quartz` VALUES ('1573216872718012416', 'CLASS_LOOK_INTO_END', '1573216871975620608', '0', '59 1 0 26 9 ? 2022', '班级调查问卷结束第三章问卷调查', '1', '2022-09-23 15:45:06');
INSERT INTO `sys_quartz` VALUES ('1573218668748345344', 'TRAIN_CLASS_START', '1573151458042449920', '0', '14 53 15 23 9 ? 2022', '培训开始金融理财第一期', '1', '2022-09-23 15:52:14');
INSERT INTO `sys_quartz` VALUES ('1573218668828037120', 'TRAIN_CLASS_END', '1573151458042449920', '0', '14 54 15 23 9 ? 2022', '培训结束金融理财第一期', '1', '2022-09-23 15:52:14');
INSERT INTO `sys_quartz` VALUES ('1574243587896512512', 'TRAIN_CLASS_START', '1574243202679050240', '0', '54 45 11 26 9 ? 2022', '培训开始wwwww', '1', '2022-09-26 11:44:54');
INSERT INTO `sys_quartz` VALUES ('1574243588651487232', 'TRAIN_CLASS_END', '1574243202679050240', '0', '17 45 11 27 9 ? 2022', '培训结束wwwww', '1', '2022-09-26 11:44:54');
INSERT INTO `sys_quartz` VALUES ('1574651523969978368', 'TRAIN_CLASS_START', '1574650579148476416', '0', '53 46 14 27 9 ? 2022', '培训开始测试的计划', '1', '2022-09-27 14:45:54');
INSERT INTO `sys_quartz` VALUES ('1574651524687204352', 'TRAIN_CLASS_END', '1574650579148476416', '0', '3 44 14 30 9 ? 2022', '培训结束测试的计划', '1', '2022-09-27 14:45:54');
INSERT INTO `sys_quartz` VALUES ('1574668652840620032', 'TRAIN_CLASS_START', '1574244875245850624', '0', '57 54 15 27 9 ? 2022', '培训开始说的都是', '1', '2022-09-27 15:53:58');
INSERT INTO `sys_quartz` VALUES ('1574668653524291584', 'TRAIN_CLASS_END', '1574244875245850624', '0', '57 55 15 27 9 ? 2022', '培训结束说的都是', '1', '2022-09-27 15:53:58');
INSERT INTO `sys_quartz` VALUES ('1574669068907188224', 'TRAIN_CLASS_START', '1574668938376253440', '0', '36 56 15 27 9 ? 2022', '培训开始测试的计划', '1', '2022-09-27 15:55:37');
INSERT INTO `sys_quartz` VALUES ('1574669069670551552', 'TRAIN_CLASS_END', '1574668938376253440', '0', '1 57 15 29 9 ? 2022', '培训结束测试的计划', '1', '2022-09-27 15:55:37');
INSERT INTO `sys_quartz` VALUES ('1574673997319245824', 'TRAIN_CLASS_START', '1574673833242267648', '0', '11 16 16 27 9 ? 2022', '培训开始测试1614', '1', '2022-09-27 16:15:12');
INSERT INTO `sys_quartz` VALUES ('1574673998107774976', 'TRAIN_CLASS_END', '1574673833242267648', '0', '28 16 16 29 9 ? 2022', '培训结束测试1614', '1', '2022-09-27 16:15:12');
INSERT INTO `sys_quartz` VALUES ('1574684775845859328', 'CLASS_LOOK_INTO_START', '1574684774994415616', '0', '1 59 16 27 9 ? 2022', '班级调查问卷开始第一讲', '1', '2022-09-27 16:58:01');
INSERT INTO `sys_quartz` VALUES ('1574684775904579584', 'CLASS_LOOK_INTO_END', '1574684774994415616', '0', '59 1 0 29 9 ? 2022', '班级调查问卷结束第一讲', '1', '2022-09-27 16:58:01');
INSERT INTO `sys_quartz` VALUES ('1574955503044399104', 'TRAIN_QUESTIONNAIRE_START', '1571747379546296320', '0', '48 53 10 28 9 ? 2022', '调查问卷开始公开课调查问卷1001公开课调查问卷1001公开', '1', '2022-09-28 10:53:48');
INSERT INTO `sys_quartz` VALUES ('1574955503124090880', 'TRAIN_QUESTIONNAIRE_END', '1571747379546296320', '0', '49 53 10 28 9 ? 2022', '调查问卷结束公开课调查问卷1001公开课调查问卷1001公开', '1', '2022-09-28 10:53:48');
INSERT INTO `sys_quartz` VALUES ('1574955613115518976', 'TRAIN_QUESTIONNAIRE_START', '1570614680051912704', '0', '15 54 10 28 9 ? 2022', '调查问卷开始无得', '1', '2022-09-28 10:54:14');
INSERT INTO `sys_quartz` VALUES ('1574955613153267712', 'TRAIN_QUESTIONNAIRE_END', '1570614680051912704', '0', '16 54 10 28 9 ? 2022', '调查问卷结束无得', '1', '2022-09-28 10:54:14');
INSERT INTO `sys_quartz` VALUES ('1574998226828922880', 'TRAIN_CLASS_START', '1574679042467172352', '0', '33 44 13 28 9 ? 2022', '培训开始0908河南省第一次会议1343', '1', '2022-09-28 13:43:34');
INSERT INTO `sys_quartz` VALUES ('1574998227630034944', 'TRAIN_CLASS_END', '1574679042467172352', '0', '5 37 16 29 9 ? 2022', '培训结束0908河南省第一次会议1343', '1', '2022-09-28 13:43:34');
INSERT INTO `sys_quartz` VALUES ('1574999255536504832', 'TRAIN_CLASS_START', '1574690990105694208', '0', '39 48 13 28 9 ? 2022', '培训开始0908河南省2次会议1346', '1', '2022-09-28 13:47:39');
INSERT INTO `sys_quartz` VALUES ('1574999256308256768', 'TRAIN_CLASS_END', '1574690990105694208', '0', '55 48 13 30 9 ? 2022', '培训结束0908河南省2次会议1346', '1', '2022-09-28 13:47:40');
INSERT INTO `sys_quartz` VALUES ('1575010005789315072', 'SUPPLIER_NOTICE_START', '1567817417906851840', '0', '22 31 14 28 9 ? 2022', '供应商公告开始杨浩卸任交银内核驱动混合、交银定期支付双息平衡混合基金经理', '1', '2022-09-28 14:30:22');
INSERT INTO `sys_quartz` VALUES ('1575010005843841024', 'SUPPLIER_NOTICE_END', '1567817417906851840', '0', '22 32 14 28 9 ? 2022', '供应商公告结束杨浩卸任交银内核驱动混合、交银定期支付双息平衡混合基金经理', '1', '2022-09-28 14:30:22');
INSERT INTO `sys_quartz` VALUES ('1575317431398830080', 'TRAIN_EXAM_START', '1575317430773878784', '0', '58 52 10 29 9 ? 2022', '考试开始--测试的计划--测试添加', '1', '2022-09-29 10:51:58');
INSERT INTO `sys_quartz` VALUES ('1575323052844126208', 'TRAIN_CLASS_START', '1575322855934136320', '0', '18 15 11 29 9 ? 2022', '培训开始20220929', '1', '2022-09-29 11:14:19');
INSERT INTO `sys_quartz` VALUES ('1575323053578129408', 'TRAIN_CLASS_END', '1575322855934136320', '0', '23 15 11 30 9 ? 2022', '培训结束20220929', '1', '2022-09-29 11:14:19');
INSERT INTO `sys_quartz` VALUES ('1575326624725995520', 'TRAIN_CLASS_START', '1575325299946688512', '0', '30 29 11 29 9 ? 2022', '培训开始2022年9月29日培训计划', '1', '2022-09-29 11:28:30');
INSERT INTO `sys_quartz` VALUES ('1575326624843436032', 'TRAIN_CLASS_END', '1575325299946688512', '0', '49 24 11 8 10 ? 2022', '培训结束2022年9月29日培训计划', '1', '2022-09-29 11:28:30');
INSERT INTO `sys_quartz` VALUES ('1575360870433820672', 'CLASS_LOOK_INTO_START', '1575360869183918080', '0', '34 45 13 29 9 ? 2022', '班级调查问卷开始调查问卷', '1', '2022-09-29 13:44:35');
INSERT INTO `sys_quartz` VALUES ('1575360870488346624', 'CLASS_LOOK_INTO_END', '1575360869183918080', '0', '59 1 0 2 10 ? 2022', '班级调查问卷结束调查问卷', '1', '2022-09-29 13:44:35');
INSERT INTO `sys_quartz` VALUES ('1575363010325778432', 'CLASS_LOOK_INTO_START', '1575363009595969536', '0', '5 54 13 29 9 ? 2022', '班级调查问卷开始调查问卷测试', '1', '2022-09-29 13:53:05');
INSERT INTO `sys_quartz` VALUES ('1575363010355138560', 'CLASS_LOOK_INTO_END', '1575363009595969536', '0', '59 1 0 2 10 ? 2022', '班级调查问卷结束调查问卷测试', '1', '2022-09-29 13:53:05');
INSERT INTO `sys_quartz` VALUES ('1575365570512162816', 'TRAIN_CLASS_START', '1575364705646678016', '0', '15 4 14 29 9 ? 2022', '培训开始投资第三期', '1', '2022-09-29 14:03:16');
INSERT INTO `sys_quartz` VALUES ('1575365570600243200', 'TRAIN_CLASS_END', '1575364705646678016', '0', '18 1 14 1 10 ? 2022', '培训结束投资第三期', '1', '2022-09-29 14:03:16');
INSERT INTO `sys_quartz` VALUES ('1575370374370168832', 'TRAIN_CLASS_START', '1575327504024080384', '0', '20 23 14 29 9 ? 2022', '培训开始2022年9月29日培训计划2', '1', '2022-09-29 14:22:21');
INSERT INTO `sys_quartz` VALUES ('1575370374433083392', 'TRAIN_CLASS_END', '1575327504024080384', '0', '55 32 11 8 10 ? 2022', '培训结束2022年9月29日培训计划2', '1', '2022-09-29 14:22:21');
INSERT INTO `sys_quartz` VALUES ('1575401728453513216', 'CLASS_LOOK_INTO_START', '1575401727795007488', '0', '56 27 16 29 9 ? 2022', '班级调查问卷开始调查问卷第一章调查问卷第一章', '1', '2022-09-29 16:26:56');
INSERT INTO `sys_quartz` VALUES ('1575401728508039168', 'CLASS_LOOK_INTO_END', '1575401727795007488', '0', '59 1 0 1 10 ? 2022', '班级调查问卷结束调查问卷第一章调查问卷第一章', '1', '2022-09-29 16:26:56');
INSERT INTO `sys_quartz` VALUES ('1575406417865740288', 'TRAIN_EXAM_START', '1575406417798631424', '0', '24 56 16 29 9 ? 2022', '考试开始--投资第三期--试卷001', '1', '2022-09-29 16:45:34');
INSERT INTO `sys_quartz` VALUES ('1575407687875825664', 'TRAIN_CLASS_START', '1575407526655168512', '0', '37 51 16 29 9 ? 2022', '培训开始0908河南省第一次会议', '1', '2022-09-29 16:50:37');
INSERT INTO `sys_quartz` VALUES ('1575407688186204160', 'TRAIN_CLASS_END', '1575407526655168512', '0', '32 51 16 30 9 ? 2022', '培训结束0908河南省第一次会议', '1', '2022-09-29 16:50:37');
INSERT INTO `sys_quartz` VALUES ('1575417466581028864', 'CLASS_LOOK_INTO_START', '1575417465939300352', '0', '28 30 17 29 9 ? 2022', '班级调查问卷开始1111', '1', '2022-09-29 17:29:29');
INSERT INTO `sys_quartz` VALUES ('1575417466597806080', 'CLASS_LOOK_INTO_END', '1575417465939300352', '0', '59 1 0 1 10 ? 2022', '班级调查问卷结束1111', '1', '2022-09-29 17:29:29');
INSERT INTO `sys_quartz` VALUES ('1575419955694931968', 'CLASS_LOOK_INTO_START', '1575419954923180032', '0', '21 40 17 29 9 ? 2022', '班级调查问卷开始22222', '1', '2022-09-29 17:39:22');
INSERT INTO `sys_quartz` VALUES ('1575419955728486400', 'CLASS_LOOK_INTO_END', '1575419954923180032', '0', '59 1 0 1 10 ? 2022', '班级调查问卷结束22222', '1', '2022-09-29 17:39:22');
INSERT INTO `sys_quartz` VALUES ('1575425271459352576', 'CLASS_LOOK_INTO_START', '1575425269781630976', '0', '0 1 0 1 10 ? 2022', '班级调查问卷开始uuuuuu', '1', '2022-09-29 18:00:29');
INSERT INTO `sys_quartz` VALUES ('1575425271522267136', 'CLASS_LOOK_INTO_END', '1575425269781630976', '0', '59 1 0 8 10 ? 2022', '班级调查问卷结束uuuuuu', '1', '2022-09-29 18:00:29');
INSERT INTO `sys_quartz` VALUES ('1575680025284448256', 'TRAIN_CLASS_START', '1575679697537339392', '0', '47 53 10 30 9 ? 2022', '培训开始0908测试发布', '1', '2022-09-30 10:52:47');
INSERT INTO `sys_quartz` VALUES ('1575680025586438144', 'TRAIN_CLASS_END', '1575679697537339392', '0', '47 54 10 30 9 ? 2022', '培训结束0908测试发布', '1', '2022-09-30 10:52:47');
INSERT INTO `sys_quartz` VALUES ('1575685981804302336', 'TRAIN_CLASS_START', '1575685803575742464', '0', '27 17 11 30 9 ? 2022', '培训开始0908发布2', '1', '2022-09-30 11:16:28');
INSERT INTO `sys_quartz` VALUES ('1575685982504751104', 'TRAIN_CLASS_END', '1575685803575742464', '0', '27 18 11 30 9 ? 2022', '培训结束0908发布2', '1', '2022-09-30 11:16:28');
INSERT INTO `sys_quartz` VALUES ('1575692820310790144', 'TRAIN_CLASS_START', '1575691944053575680', '0', '37 44 11 30 9 ? 2022', '培训开始0908发布33333', '1', '2022-09-30 11:43:38');
INSERT INTO `sys_quartz` VALUES ('1575692820717637632', 'TRAIN_CLASS_END', '1575691944053575680', '0', '38 45 11 30 9 ? 2022', '培训结束0908发布33333', '1', '2022-09-30 11:43:38');
INSERT INTO `sys_quartz` VALUES ('1578617384778993664', 'CLASS_LOOK_INTO_START', '1578617376688181248', '0', '48 25 13 8 10 ? 2022', '班级调查问卷开始ssss', '1', '2022-10-08 13:24:49');
INSERT INTO `sys_quartz` VALUES ('1578617385609465856', 'CLASS_LOOK_INTO_END', '1578617376688181248', '0', '59 1 0 16 11 ? 2022', '班级调查问卷结束ssss', '1', '2022-10-08 13:24:49');
INSERT INTO `sys_quartz` VALUES ('1578617669630955520', 'CLASS_LOOK_INTO_START', '1578617665252102144', '0', '56 26 13 8 10 ? 2022', '班级调查问卷开始1', '1', '2022-10-08 13:25:57');
INSERT INTO `sys_quartz` VALUES ('1578617670348181504', 'CLASS_LOOK_INTO_END', '1578617665252102144', '0', '59 1 0 10 10 ? 2022', '班级调查问卷结束1', '1', '2022-10-08 13:25:57');
INSERT INTO `sys_quartz` VALUES ('1578661174956920832', 'CLASS_LOOK_INTO_START', '1578661154371276800', '0', '48 19 16 8 10 ? 2022', '班级调查问卷开始你好', '1', '2022-10-08 16:18:49');
INSERT INTO `sys_quartz` VALUES ('1578661175741255680', 'CLASS_LOOK_INTO_END', '1578661154371276800', '0', '59 1 0 24 10 ? 2022', '班级调查问卷结束你好', '1', '2022-10-08 16:18:49');
INSERT INTO `sys_quartz` VALUES ('1578663486609821696', 'CLASS_LOOK_INTO_START', '1578663477193609216', '0', '0 29 16 8 10 ? 2022', '班级调查问卷开始你好2', '1', '2022-10-08 16:28:00');
INSERT INTO `sys_quartz` VALUES ('1578663487616454656', 'CLASS_LOOK_INTO_END', '1578663477193609216', '0', '59 1 0 16 10 ? 2022', '班级调查问卷结束你好2', '1', '2022-10-08 16:28:00');
INSERT INTO `sys_quartz` VALUES ('1578665499875741696', 'CLASS_LOOK_INTO_START', '1578665496637739008', '0', '0 1 0 9 10 ? 2022', '班级调查问卷开始其他', '1', '2022-10-08 16:36:00');
INSERT INTO `sys_quartz` VALUES ('1578665500500692992', 'CLASS_LOOK_INTO_END', '1578665496637739008', '0', '59 1 0 13 10 ? 2022', '班级调查问卷结束其他', '1', '2022-10-08 16:36:00');
INSERT INTO `sys_quartz` VALUES ('1578925768946356224', 'TRAIN_CLASS_START', '1578925079021096960', '0', '12 51 9 9 10 ? 2022', '培训开始0908河南省第一次会议', '1', '2022-10-09 09:50:13');
INSERT INTO `sys_quartz` VALUES ('1578925771345498112', 'TRAIN_CLASS_END', '1578925079021096960', '0', '22 49 9 27 10 ? 2022', '培训结束0908河南省第一次会议', '1', '2022-10-09 09:50:14');
INSERT INTO `sys_quartz` VALUES ('1578942836701794304', 'CLASS_LOOK_INTO_START', '1578942821208035328', '0', '2 59 10 9 10 ? 2022', '班级调查问卷开始爽爽无所谓', '1', '2022-10-09 10:58:03');
INSERT INTO `sys_quartz` VALUES ('1578942839415508992', 'CLASS_LOOK_INTO_END', '1578942821208035328', '0', '59 1 0 18 11 ? 2022', '班级调查问卷结束爽爽无所谓', '1', '2022-10-09 10:58:03');
INSERT INTO `sys_quartz` VALUES ('1578942886928584704', 'CLASS_LOOK_INTO_START', '1578942874777686016', '0', '0 1 0 10 10 ? 2022', '班级调查问卷开始去微软 ', '1', '2022-10-09 10:58:15');
INSERT INTO `sys_quartz` VALUES ('1578942889784905728', 'CLASS_LOOK_INTO_END', '1578942874777686016', '0', '59 1 0 12 10 ? 2022', '班级调查问卷结束去微软 ', '1', '2022-10-09 10:58:15');
INSERT INTO `sys_quartz` VALUES ('1579004531809849344', 'CLASS_LOOK_INTO_START', '1579004529792389120', '0', '0 1 0 19 11 ? 2022', '班级调查问卷开始测试其他项位置', '1', '2022-10-09 15:03:12');
INSERT INTO `sys_quartz` VALUES ('1579004531885346816', 'CLASS_LOOK_INTO_END', '1579004529792389120', '0', '59 1 0 23 11 ? 2022', '班级调查问卷结束测试其他项位置', '1', '2022-10-09 15:03:12');
INSERT INTO `sys_quartz` VALUES ('1579013782313766912', 'CLASS_LOOK_INTO_START', '1579013781474906112', '0', '57 40 15 9 10 ? 2022', '班级调查问卷开始1539问卷调查', '1', '2022-10-09 15:39:57');
INSERT INTO `sys_quartz` VALUES ('1579013782372487168', 'CLASS_LOOK_INTO_END', '1579013781474906112', '0', '59 1 0 17 10 ? 2022', '班级调查问卷结束1539问卷调查', '1', '2022-10-09 15:39:57');
INSERT INTO `sys_quartz` VALUES ('1579030685149171712', 'TRAIN_QUESTIONNAIRE_START', '1564450601608286208', '0', '7 47 16 9 10 ? 2022', '调查问卷开始11111', '1', '2022-10-09 16:47:07');
INSERT INTO `sys_quartz` VALUES ('1579030686017392640', 'TRAIN_QUESTIONNAIRE_END', '1564450601608286208', '0', '3 10 11 31 8 ? 2023', '调查问卷结束11111', '1', '2022-10-09 16:47:07');
INSERT INTO `sys_quartz` VALUES ('1579030908063846400', 'TRAIN_QUESTIONNAIRE_START', '1579030867936940032', '0', '1 48 16 9 10 ? 2022', '调查问卷开始sdfhjbuisdyf', '1', '2022-10-09 16:48:00');
INSERT INTO `sys_quartz` VALUES ('1579030909003370496', 'TRAIN_QUESTIONNAIRE_END', '1579030867936940032', '0', '24 47 16 29 10 ? 2022', '调查问卷结束sdfhjbuisdyf', '1', '2022-10-09 16:48:01');
INSERT INTO `sys_quartz` VALUES ('1579031903376379904', 'TRAIN_QUESTIONNAIRE_START', '1579031873559072768', '0', '58 51 16 9 10 ? 2022', '调查问卷开始fwertwer', '1', '2022-10-09 16:51:58');
INSERT INTO `sys_quartz` VALUES ('1579031905062490112', 'TRAIN_QUESTIONNAIRE_END', '1579031873559072768', '0', '20 51 16 21 10 ? 2022', '调查问卷结束fwertwer', '1', '2022-10-09 16:51:58');
INSERT INTO `sys_quartz` VALUES ('1579033320635895808', 'TRAIN_QUESTIONNAIRE_START', '1579033288020987904', '0', '36 57 16 9 10 ? 2022', '调查问卷开始asdfvasd', '1', '2022-10-09 16:57:35');
INSERT INTO `sys_quartz` VALUES ('1579033321311178752', 'TRAIN_QUESTIONNAIRE_END', '1579033288020987904', '0', '21 56 16 21 10 ? 2022', '调查问卷结束asdfvasd', '1', '2022-10-09 16:57:36');
INSERT INTO `sys_quartz` VALUES ('1579282902766718976', 'TRAIN_CLASS_START', '1579281614876315648', '0', '20 30 9 10 10 ? 2022', '培训开始0908河南省第一次会议', '1', '2022-10-10 09:29:20');
INSERT INTO `sys_quartz` VALUES ('1579282903504916480', 'TRAIN_CLASS_END', '1579281614876315648', '0', '3 30 9 22 10 ? 2022', '培训结束0908河南省第一次会议', '1', '2022-10-10 09:29:21');
INSERT INTO `sys_quartz` VALUES ('1579283451637534720', 'TRAIN_CLASS_START', '1579283027245273088', '0', '31 32 9 10 10 ? 2022', '培训开始测试湖西岸0', '1', '2022-10-10 09:31:31');
INSERT INTO `sys_quartz` VALUES ('1579283452350566400', 'TRAIN_CLASS_END', '1579283027245273088', '0', '42 31 9 23 10 ? 2022', '培训结束测试湖西岸0', '1', '2022-10-10 09:31:31');
INSERT INTO `sys_quartz` VALUES ('1579284249159274496', 'TRAIN_CLASS_START', '1579283811680784384', '0', '41 35 9 10 10 ? 2022', '培训开始单选密钥', '1', '2022-10-10 09:34:41');
INSERT INTO `sys_quartz` VALUES ('1579284250040078336', 'TRAIN_CLASS_END', '1579283811680784384', '0', '50 34 9 22 10 ? 2022', '培训结束单选密钥', '1', '2022-10-10 09:34:42');
INSERT INTO `sys_quartz` VALUES ('1579284776899186688', 'TRAIN_CLASS_START', '1579284493464899584', '0', '47 37 9 10 10 ? 2022', '培训开始单选名单内', '1', '2022-10-10 09:36:47');
INSERT INTO `sys_quartz` VALUES ('1579284777666744320', 'TRAIN_CLASS_END', '1579284493464899584', '0', '12 37 9 22 10 ? 2022', '培训结束单选名单内', '1', '2022-10-10 09:36:47');
INSERT INTO `sys_quartz` VALUES ('1579341628588560384', 'TRAIN_CLASS_START', '1579001547617079296', '0', '41 23 13 10 10 ? 2022', '培训开始投资第三期App测试1001', '1', '2022-10-10 13:22:42');
INSERT INTO `sys_quartz` VALUES ('1579341628676640768', 'TRAIN_CLASS_END', '1579001547617079296', '0', '11 22 13 12 10 ? 2022', '培训结束投资第三期App测试1001', '1', '2022-10-10 13:22:42');
INSERT INTO `sys_quartz` VALUES ('1579377913931894784', 'CLASS_LOOK_INTO_START', '1579377907820793856', '0', '52 47 15 10 10 ? 2022', '班级调查问卷开始1', '1', '2022-10-10 15:46:53');
INSERT INTO `sys_quartz` VALUES ('1579377914300993536', 'CLASS_LOOK_INTO_END', '1579377907820793856', '0', '59 1 0 14 10 ? 2022', '班级调查问卷结束1', '1', '2022-10-10 15:46:53');
INSERT INTO `sys_quartz` VALUES ('1579382796839948288', 'CLASS_LOOK_INTO_START', '1579382787402764288', '0', '16 7 16 10 10 ? 2022', '班级调查问卷开始2', '1', '2022-10-10 16:06:17');
INSERT INTO `sys_quartz` VALUES ('1579382797045469184', 'CLASS_LOOK_INTO_END', '1579382787402764288', '0', '59 1 0 26 10 ? 2022', '班级调查问卷结束2', '1', '2022-10-10 16:06:17');
INSERT INTO `sys_quartz` VALUES ('1579384116858720256', 'CLASS_LOOK_INTO_START', '1579384111838138368', '0', '31 12 16 10 10 ? 2022', '班级调查问卷开始3', '1', '2022-10-10 16:11:32');
INSERT INTO `sys_quartz` VALUES ('1579384117039075328', 'CLASS_LOOK_INTO_END', '1579384111838138368', '0', '59 1 0 1 11 ? 2022', '班级调查问卷结束3', '1', '2022-10-10 16:11:32');
INSERT INTO `sys_quartz` VALUES ('1579655087066845184', 'TRAIN_CLASS_START', '1579654776772235264', '0', '15 9 10 11 10 ? 2022', '培训开始2022年邮政培训中心培训', '1', '2022-10-11 10:08:16');
INSERT INTO `sys_quartz` VALUES ('1579655087473692672', 'TRAIN_CLASS_END', '1579654776772235264', '0', '48 8 10 20 10 ? 2022', '培训结束2022年邮政培训中心培训', '1', '2022-10-11 10:08:16');
INSERT INTO `sys_quartz` VALUES ('1579713234871652352', 'TRAIN_CLASS_START', '1579712896307433472', '0', '19 0 14 11 10 ? 2022', '培训开始popopop', '1', '2022-10-11 13:59:20');
INSERT INTO `sys_quartz` VALUES ('1579713235681153024', 'TRAIN_CLASS_END', '1579712896307433472', '0', '47 59 13 28 10 ? 2022', '培训结束popopop', '1', '2022-10-11 13:59:20');
INSERT INTO `sys_quartz` VALUES ('1579714016119492608', 'TRAIN_CLASS_START', '1579713717669597184', '0', '25 3 14 11 10 ? 2022', '培训开始hhhhhh', '1', '2022-10-11 14:02:26');
INSERT INTO `sys_quartz` VALUES ('1579714016828329984', 'TRAIN_CLASS_END', '1579713717669597184', '0', '0 3 14 27 10 ? 2022', '培训结束hhhhhh', '1', '2022-10-11 14:02:26');
INSERT INTO `sys_quartz` VALUES ('1579714881731563520', 'TRAIN_CLASS_START', '1579714620262846464', '0', '52 6 14 11 10 ? 2022', '培训开始oppopjhbnb', '1', '2022-10-11 14:05:52');
INSERT INTO `sys_quartz` VALUES ('1579714882461372416', 'TRAIN_CLASS_END', '1579714620262846464', '0', '43 6 14 26 10 ? 2022', '培训结束oppopjhbnb', '1', '2022-10-11 14:05:52');
INSERT INTO `sys_quartz` VALUES ('1579716467430133760', 'TRAIN_CLASS_START', '1579716155344556032', '0', '10 13 14 11 10 ? 2022', '培训开始sdsfsfs', '1', '2022-10-11 14:12:10');
INSERT INTO `sys_quartz` VALUES ('1579716468189302784', 'TRAIN_CLASS_END', '1579716155344556032', '0', '49 12 14 26 10 ? 2022', '培训结束sdsfsfs', '1', '2022-10-11 14:12:10');
INSERT INTO `sys_quartz` VALUES ('1579725657921949696', 'TRAIN_CLASS_START', '1579723260835270656', '0', '41 49 14 11 10 ? 2022', '培训开始2022年10月培训班', '1', '2022-10-11 14:48:41');
INSERT INTO `sys_quartz` VALUES ('1579725657980669952', 'TRAIN_CLASS_END', '1579723260835270656', '0', '53 40 14 16 10 ? 2022', '培训结束2022年10月培训班', '1', '2022-10-11 14:48:41');
INSERT INTO `sys_quartz` VALUES ('1579810462902652928', 'SUPPLIER_NOTICE_START', '1579810432296816640', '0', '40 26 20 11 10 ? 2022', '供应商公告开始选择供应商', '1', '2022-10-11 20:25:40');
INSERT INTO `sys_quartz` VALUES ('1579810462948790272', 'SUPPLIER_NOTICE_END', '1579810432296816640', '0', '37 25 20 15 10 ? 2022', '供应商公告结束选择供应商', '1', '2022-10-11 20:25:40');
INSERT INTO `sys_quartz` VALUES ('1580017078964981760', 'SUPPLIER_NOTICE_START', '1580017064691765248', '0', '41 7 10 12 10 ? 2022', '供应商公告开始001', '1', '2022-10-12 10:06:42');
INSERT INTO `sys_quartz` VALUES ('1580017079027896320', 'SUPPLIER_NOTICE_END', '1580017064691765248', '0', '24 8 10 13 10 ? 2022', '供应商公告结束001', '1', '2022-10-12 10:06:42');
INSERT INTO `sys_quartz` VALUES ('1580017219063123968', 'SUPPLIER_NOTICE_START', '1580017206408908800', '0', '14 8 10 12 10 ? 2022', '供应商公告开始002', '1', '2022-10-12 10:07:15');
INSERT INTO `sys_quartz` VALUES ('1580017219126038528', 'SUPPLIER_NOTICE_END', '1580017206408908800', '0', '58 8 10 13 10 ? 2022', '供应商公告结束002', '1', '2022-10-12 10:07:15');
INSERT INTO `sys_quartz` VALUES ('1580088728225976320', 'TRAIN_CLASS_START', '1580081304689577984', '0', '24 52 14 12 10 ? 2022', '培训开始郑州市级十月份金融培训第一期', '1', '2022-10-12 14:51:24');
INSERT INTO `sys_quartz` VALUES ('1580088728267919360', 'TRAIN_CLASS_END', '1580081304689577984', '0', '8 23 14 14 10 ? 2022', '培训结束郑州市级十月份金融培训第一期', '1', '2022-10-12 14:51:24');
INSERT INTO `sys_quartz` VALUES ('1580091879079415808', 'TRAIN_CLASS_START', '1580091399771131904', '0', '40 2 15 13 10 ? 2022', '培训开始郑州市级十月份金融培训第一期002', '1', '2022-10-12 15:03:55');
INSERT INTO `sys_quartz` VALUES ('1580091879133941760', 'TRAIN_CLASS_END', '1580091399771131904', '0', '52 3 15 15 10 ? 2022', '培训结束郑州市级十月份金融培训第一期002', '1', '2022-10-12 15:03:55');
INSERT INTO `sys_quartz` VALUES ('1580100643203452928', 'TRAIN_CLASS_START', '1580097115676348416', '0', '44 39 15 12 10 ? 2022', '培训开始我直接创建', '1', '2022-10-12 15:38:45');
INSERT INTO `sys_quartz` VALUES ('1580100643497054208', 'TRAIN_CLASS_END', '1580097115676348416', '0', '26 26 15 30 10 ? 2022', '培训结束我直接创建', '1', '2022-10-12 15:38:45');
INSERT INTO `sys_quartz` VALUES ('1580115554130333696', 'CLASS_LOOK_INTO_START', '1580115553345998848', '0', '59 38 16 12 10 ? 2022', '班级调查问卷开始金融第一讲', '1', '2022-10-12 16:38:00');
INSERT INTO `sys_quartz` VALUES ('1580115554201636864', 'CLASS_LOOK_INTO_END', '1580115553345998848', '0', '59 1 0 14 10 ? 2022', '班级调查问卷结束金融第一讲', '1', '2022-10-12 16:38:00');
INSERT INTO `sys_quartz` VALUES ('1580115651870199808', 'CLASS_LOOK_INTO_START', '1580115651245248512', '0', '0 1 0 13 10 ? 2022', '班级调查问卷开始新课授学', '1', '2022-10-12 16:38:23');
INSERT INTO `sys_quartz` VALUES ('1580115651895365632', 'CLASS_LOOK_INTO_END', '1580115651245248512', '0', '59 1 0 15 10 ? 2022', '班级调查问卷结束新课授学', '1', '2022-10-12 16:38:23');
INSERT INTO `sys_quartz` VALUES ('1580118185527611392', 'TRAIN_EXAM_START', '1580118185405976576', '0', '27 49 16 12 10 ? 2022', '考试开始--郑州市级十月份金融培训第一期--试卷001', '1', '2022-10-12 16:48:27');
INSERT INTO `sys_quartz` VALUES ('1580448463303348224', 'TRAIN_CLASS_START', '1580447986499063808', '0', '50 39 14 22 10 ? 2022', '培训开始郑州0908时间', '1', '2022-10-13 14:40:52');
INSERT INTO `sys_quartz` VALUES ('1580448463378845696', 'TRAIN_CLASS_END', '1580447986499063808', '0', '53 40 14 23 10 ? 2022', '培训结束郑州0908时间', '1', '2022-10-13 14:40:52');
INSERT INTO `sys_quartz` VALUES ('1580454987853598720', 'TRAIN_CLASS_START', '1580454783322558464', '0', '47 7 15 13 10 ? 2022', '培训开始2022年9月份培训班', '1', '2022-10-13 15:06:47');
INSERT INTO `sys_quartz` VALUES ('1580454987912318976', 'TRAIN_CLASS_END', '1580454783322558464', '0', '54 7 15 14 10 ? 2022', '培训结束2022年9月份培训班', '1', '2022-10-13 15:06:47');
INSERT INTO `sys_quartz` VALUES ('1580455535243825152', 'CLASS_LOOK_INTO_START', '1580455531145990144', '0', '57 9 15 13 10 ? 2022', '班级调查问卷开始士大夫撒旦', '1', '2022-10-13 15:08:58');
INSERT INTO `sys_quartz` VALUES ('1580455535436763136', 'CLASS_LOOK_INTO_END', '1580455531145990144', '0', '59 1 0 24 11 ? 2022', '班级调查问卷结束士大夫撒旦', '1', '2022-10-13 15:08:58');
INSERT INTO `sys_quartz` VALUES ('1580462740923879424', 'SUPPLIER_NOTICE_START', '1580462728701677568', '0', '35 38 15 13 10 ? 2022', '供应商公告开始测试001', '1', '2022-10-13 15:37:36');
INSERT INTO `sys_quartz` VALUES ('1580462740974211072', 'SUPPLIER_NOTICE_END', '1580462728701677568', '0', '21 39 15 14 10 ? 2022', '供应商公告结束测试001', '1', '2022-10-13 15:37:36');
INSERT INTO `sys_quartz` VALUES ('1580463487249944576', 'SUPPLIER_NOTICE_START', '1580463448326803456', '0', '33 41 15 13 10 ? 2022', '供应商公告开始测试002', '1', '2022-10-13 15:40:34');
INSERT INTO `sys_quartz` VALUES ('1580463487300276224', 'SUPPLIER_NOTICE_END', '1580463448326803456', '0', '33 42 15 13 10 ? 2022', '供应商公告结束测试002', '1', '2022-10-13 15:40:34');
INSERT INTO `sys_quartz` VALUES ('1580794222204817408', 'TRAIN_CLASS_START', '1580770390802829312', '0', '46 35 13 14 10 ? 2022', '培训开始郑州市级十月份金融培训第一期', '1', '2022-10-14 13:34:47');
INSERT INTO `sys_quartz` VALUES ('1580794222246760448', 'TRAIN_CLASS_END', '1580770390802829312', '0', '41 1 16 14 10 ? 2022', '培训结束郑州市级十月份金融培训第一期', '1', '2022-10-14 13:34:47');
INSERT INTO `sys_quartz` VALUES ('1580798366634348544', 'CLASS_LOOK_INTO_START', '1580798365732573184', '0', '15 52 13 14 10 ? 2022', '班级调查问卷开始调查问卷', '1', '2022-10-14 13:51:15');
INSERT INTO `sys_quartz` VALUES ('1580798366667902976', 'CLASS_LOOK_INTO_END', '1580798365732573184', '0', '59 1 0 16 10 ? 2022', '班级调查问卷结束调查问卷', '1', '2022-10-14 13:51:15');
INSERT INTO `sys_quartz` VALUES ('1580804427944693760', 'TRAIN_CLASS_START', '1580803715470856192', '0', '20 16 14 14 10 ? 2022', '培训开始测试签到', '1', '2022-10-14 14:15:20');
INSERT INTO `sys_quartz` VALUES ('1580804428607393792', 'TRAIN_CLASS_END', '1580803715470856192', '0', '25 14 14 27 10 ? 2022', '培训结束测试签到', '1', '2022-10-14 14:15:20');
INSERT INTO `sys_quartz` VALUES ('1580813268505726976', 'TRAIN_CLASS_START', '1580812952192290816', '0', '27 51 14 14 10 ? 2022', '培训开始测试签到2222', '1', '2022-10-14 14:50:28');
INSERT INTO `sys_quartz` VALUES ('1580813268828688384', 'TRAIN_CLASS_END', '1580812952192290816', '0', '7 51 14 28 10 ? 2022', '培训结束测试签到2222', '1', '2022-10-14 14:50:28');
INSERT INTO `sys_quartz` VALUES ('1580822068130353152', 'TRAIN_CLASS_START', '1580821763359641600', '0', '25 26 15 14 10 ? 2022', '培训开始郑州测试签到333333', '1', '2022-10-14 15:25:26');
INSERT INTO `sys_quartz` VALUES ('1580822068440731648', 'TRAIN_CLASS_END', '1580821763359641600', '0', '9 26 15 30 10 ? 2022', '培训结束郑州测试签到333333', '1', '2022-10-14 15:25:26');
INSERT INTO `sys_quartz` VALUES ('1582206719021420544', 'TRAIN_EXAM_START', '1582206718585212928', '0', '32 8 11 18 10 ? 2022', '考试开始--郑州测试签到333333--试卷001', '1', '2022-10-18 11:07:32');
INSERT INTO `sys_quartz` VALUES ('1582212767237148672', 'TRAIN_EXAM_START', '1582212766838689792', '0', '34 32 11 18 10 ? 2022', '考试开始--测试签到2222--试卷001', '1', '2022-10-18 11:31:34');
INSERT INTO `sys_quartz` VALUES ('1582567518877388800', 'CLASS_LOOK_INTO_START', '1582567513445765120', '0', '13 2 11 19 10 ? 2022', '班级调查问卷开始11111', '1', '2022-10-19 11:01:14');
INSERT INTO `sys_quartz` VALUES ('1582567519561060352', 'CLASS_LOOK_INTO_END', '1582567513445765120', '0', '59 1 0 19 11 ? 2022', '班级调查问卷结束11111', '1', '2022-10-19 11:01:14');
INSERT INTO `sys_quartz` VALUES ('1582568275169120256', 'CLASS_LOOK_INTO_START', '1582568271545241600', '0', '14 5 11 19 10 ? 2022', '班级调查问卷开始2222', '1', '2022-10-19 11:04:14');
INSERT INTO `sys_quartz` VALUES ('1582568275810848768', 'CLASS_LOOK_INTO_END', '1582568271545241600', '0', '59 1 0 24 11 ? 2022', '班级调查问卷结束2222', '1', '2022-10-19 11:04:14');
INSERT INTO `sys_quartz` VALUES ('1582568700014366720', 'CLASS_LOOK_INTO_START', '1582568696583426048', '0', '55 6 11 19 10 ? 2022', '班级调查问卷开始333', '1', '2022-10-19 11:05:56');
INSERT INTO `sys_quartz` VALUES ('1582568700735787008', 'CLASS_LOOK_INTO_END', '1582568696583426048', '0', '59 1 0 25 11 ? 2022', '班级调查问卷结束333', '1', '2022-10-19 11:05:56');
INSERT INTO `sys_quartz` VALUES ('1582569534844440576', 'CLASS_LOOK_INTO_START', '1582569530348146688', '0', '14 10 11 19 10 ? 2022', '班级调查问卷开始4444', '1', '2022-10-19 11:09:15');
INSERT INTO `sys_quartz` VALUES ('1582569535544889344', 'CLASS_LOOK_INTO_END', '1582569530348146688', '0', '56 53 9 24 11 ? 2022', '班级调查问卷结束4444', '1', '2022-10-19 11:09:15');
INSERT INTO `sys_quartz` VALUES ('1582644377455562752', 'CLASS_LOOK_INTO_START', '1582644376763502592', '0', '38 7 16 19 10 ? 2022', '班级调查问卷开始测试时间', '1', '2022-10-19 16:06:38');
INSERT INTO `sys_quartz` VALUES ('1582644377493311488', 'CLASS_LOOK_INTO_END', '1582644376763502592', '0', '59 1 13 20 10 ? 2022', '班级调查问卷结束测试时间', '1', '2022-10-19 16:06:38');
INSERT INTO `sys_quartz` VALUES ('1582677519935606784', 'TRAIN_CLASS_START', '1582675574806155264', '0', '20 19 18 19 10 ? 2022', '培训开始1019第一期1019第一期1019第一期1019第一期01', '1', '2022-10-19 18:18:20');
INSERT INTO `sys_quartz` VALUES ('1582677519990132736', 'TRAIN_CLASS_END', '1582675574806155264', '0', '19 12 18 21 10 ? 2022', '培训结束1019第一期1019第一期1019第一期1019第一期01', '1', '2022-10-19 18:18:20');
INSERT INTO `sys_quartz` VALUES ('1582686541568937984', 'TRAIN_CLASS_START', '1582686163125276672', '0', '11 55 18 19 10 ? 2022', '培训开始1019第一期02', '1', '2022-10-19 18:54:11');
INSERT INTO `sys_quartz` VALUES ('1582686541610881024', 'TRAIN_CLASS_END', '1582686163125276672', '0', '58 50 9 20 10 ? 2022', '培训结束1019第一期02', '1', '2022-10-19 18:54:11');
INSERT INTO `sys_quartz` VALUES ('1582944646718427136', 'CLASS_LOOK_INTO_START', '1582944642889027584', '0', '48 0 12 20 10 ? 2022', '班级调查问卷开始454', '1', '2022-10-20 11:59:48');
INSERT INTO `sys_quartz` VALUES ('1582944646756175872', 'CLASS_LOOK_INTO_END', '1582944642889027584', '0', '59 1 12 21 10 ? 2022', '班级调查问卷结束454', '1', '2022-10-20 11:59:48');
INSERT INTO `sys_quartz` VALUES ('1583313293223792640', 'TRAIN_CLASS_START', '1583297332093521920', '0', '40 25 12 21 10 ? 2022', '培训开始1021计划库第一版', '1', '2022-10-21 12:24:40');
INSERT INTO `sys_quartz` VALUES ('1583313294092013568', 'TRAIN_CLASS_END', '1583297332093521920', '0', '4 23 11 24 10 ? 2022', '培训结束1021计划库第一版', '1', '2022-10-21 12:24:41');
INSERT INTO `sys_quartz` VALUES ('1583332059240337408', 'TRAIN_CLASS_START', '1583317513494728704', '0', '14 40 13 21 10 ? 2022', '培训开始1021第二版数据勿动001', '1', '2022-10-21 13:39:14');
INSERT INTO `sys_quartz` VALUES ('1583332059286474752', 'TRAIN_CLASS_END', '1583317513494728704', '0', '1 39 12 25 10 ? 2022', '培训结束1021第二版数据勿动001', '1', '2022-10-21 13:39:14');
INSERT INTO `sys_quartz` VALUES ('1583345549891997696', 'TRAIN_CLASS_START', '1583293356560224256', '0', '50 33 14 21 10 ? 2022', '培训开始2012-09-10培训计划', '1', '2022-10-21 14:32:51');
INSERT INTO `sys_quartz` VALUES ('1583345550575669248', 'TRAIN_CLASS_END', '1583293356560224256', '0', '18 7 11 22 10 ? 2022', '培训结束2012-09-10培训计划', '1', '2022-10-21 14:32:51');
INSERT INTO `sys_quartz` VALUES ('1583348891720486912', 'TRAIN_CLASS_START', '1583346873849221120', '0', '7 47 14 21 10 ? 2022', '培训开始2022年金融课程培训班', '1', '2022-10-21 14:46:08');
INSERT INTO `sys_quartz` VALUES ('1583348891762429952', 'TRAIN_CLASS_END', '1583346873849221120', '0', '56 43 14 31 10 ? 2022', '培训结束2022年金融课程培训班', '1', '2022-10-21 14:46:08');
INSERT INTO `sys_quartz` VALUES ('1583350943502700544', 'TRAIN_CLASS_START', '1583289626242715648', '0', '16 55 14 21 10 ? 2022', '培训开始2022年邮政培训中心培训', '1', '2022-10-21 14:54:17');
INSERT INTO `sys_quartz` VALUES ('1583350944198955008', 'TRAIN_CLASS_END', '1583289626242715648', '0', '33 52 10 28 10 ? 2022', '培训结束2022年邮政培训中心培训', '1', '2022-10-21 14:54:17');
INSERT INTO `sys_quartz` VALUES ('1583363471091830784', 'CLASS_LOOK_INTO_START', '1583363470408159232', '0', '3 45 15 21 10 ? 2022', '班级调查问卷开始调查问卷', '1', '2022-10-21 15:44:04');
INSERT INTO `sys_quartz` VALUES ('1583363471116996608', 'CLASS_LOOK_INTO_END', '1583363470408159232', '0', '59 1 12 31 10 ? 2022', '班级调查问卷结束调查问卷', '1', '2022-10-21 15:44:04');
INSERT INTO `sys_quartz` VALUES ('1583369861617291264', 'TRAIN_CLASS_START', '1583369261261393920', '0', '27 10 16 21 10 ? 2022', '培训开始2022年邮政培训中心培训', '1', '2022-10-21 16:09:27');
INSERT INTO `sys_quartz` VALUES ('1583369862305157120', 'TRAIN_CLASS_END', '1583369261261393920', '0', '53 8 16 30 10 ? 2022', '培训结束2022年邮政培训中心培训', '1', '2022-10-21 16:09:28');
INSERT INTO `sys_quartz` VALUES ('1583373502508044288', 'TRAIN_CLASS_START', '1583372859424772096', '0', '55 24 16 21 10 ? 2022', '培训开始2022年邮政培训中心培训', '1', '2022-10-21 16:23:55');
INSERT INTO `sys_quartz` VALUES ('1583373503195910144', 'TRAIN_CLASS_END', '1583372859424772096', '0', '14 23 16 30 10 ? 2022', '培训结束2022年邮政培训中心培训', '1', '2022-10-21 16:23:56');
INSERT INTO `sys_quartz` VALUES ('1583389380444295168', 'CLASS_LOOK_INTO_START', '1583389379106312192', '0', '0 28 17 21 10 ? 2022', '班级调查问卷开始测试调查文件导入数据', '1', '2022-10-21 17:27:01');
INSERT INTO `sys_quartz` VALUES ('1583389380473655296', 'CLASS_LOOK_INTO_END', '1583389379106312192', '0', '59 1 12 23 10 ? 2022', '班级调查问卷结束测试调查文件导入数据', '1', '2022-10-21 17:27:01');
INSERT INTO `sys_quartz` VALUES ('1583392412204666880', 'TRAIN_CLASS_START', '1583392110638403584', '0', '3 40 17 21 10 ? 2022', '培训开始1021第二版数据勿动002', '1', '2022-10-21 17:39:04');
INSERT INTO `sys_quartz` VALUES ('1583392412250804224', 'TRAIN_CLASS_END', '1583392110638403584', '0', '41 47 17 21 10 ? 2022', '培训结束1021第二版数据勿动002', '1', '2022-10-21 17:39:04');
INSERT INTO `sys_quartz` VALUES ('1583722777389699072', 'TRAIN_CLASS_START', '1583722097811787776', '0', '48 32 15 22 10 ? 2022', '培训开始2022年培训班', '1', '2022-10-22 15:31:49');
INSERT INTO `sys_quartz` VALUES ('1583722777431642112', 'TRAIN_CLASS_END', '1583722097811787776', '0', '56 30 15 31 10 ? 2022', '培训结束2022年培训班', '1', '2022-10-22 15:31:49');
INSERT INTO `sys_quartz` VALUES ('1583741824063901696', 'TRAIN_CLASS_START', '1583739434711519232', '0', '30 48 16 22 10 ? 2022', '培训开始2022金融培训', '1', '2022-10-22 16:47:30');
INSERT INTO `sys_quartz` VALUES ('1583741824122621952', 'TRAIN_CLASS_END', '1583739434711519232', '0', '38 38 16 31 10 ? 2022', '培训结束2022金融培训', '1', '2022-10-22 16:47:30');
INSERT INTO `sys_quartz` VALUES ('1583751590127472640', 'CLASS_LOOK_INTO_START', '1583751585136250880', '0', '18 27 17 22 10 ? 2022', '班级调查问卷开始111', '1', '2022-10-22 17:26:19');
INSERT INTO `sys_quartz` VALUES ('1583751590785978368', 'CLASS_LOOK_INTO_END', '1583751585136250880', '0', '0 2 0 30 11 ? 2022', '班级调查问卷结束111', '1', '2022-10-22 17:26:19');
INSERT INTO `sys_quartz` VALUES ('1583753585118810112', 'SUPPLIER_NOTICE_START', '1583753563732054016', '0', '14 35 17 22 10 ? 2022', '供应商公告开始1022001', '1', '2022-10-22 17:34:14');
INSERT INTO `sys_quartz` VALUES ('1583753585806675968', 'SUPPLIER_NOTICE_END', '1583753563732054016', '0', '39 35 17 23 10 ? 2022', '供应商公告结束1022001', '1', '2022-10-22 17:34:14');
INSERT INTO `sys_quartz` VALUES ('1584363595423158272', 'TRAIN_CLASS_START', '1583683407156744192', '0', '11 59 9 24 10 ? 2022', '培训开始1022黎利伯聘雇计划u到处', '1', '2022-10-24 09:58:12');
INSERT INTO `sys_quartz` VALUES ('1584363596115218432', 'TRAIN_CLASS_END', '1583683407156744192', '0', '1 57 12 31 10 ? 2022', '培训结束1022黎利伯聘雇计划u到处', '1', '2022-10-24 09:58:12');
INSERT INTO `sys_quartz` VALUES ('1584420168661078016', 'CLASS_LOOK_INTO_START', '1584420167784468480', '0', '59 43 13 24 10 ? 2022', '班级调查问卷开始测试手机端显示状态', '1', '2022-10-24 13:43:00');
INSERT INTO `sys_quartz` VALUES ('1584420168703021056', 'CLASS_LOOK_INTO_END', '1584420167784468480', '0', '0 2 0 25 10 ? 2022', '班级调查问卷结束测试手机端显示状态', '1', '2022-10-24 13:43:00');
INSERT INTO `sys_quartz` VALUES ('1584421284522102784', 'TRAIN_EXAM_START', '1584421284471771136', '0', '26 48 13 24 10 ? 2022', '考试开始--1021第二版数据勿动001--试卷001', '1', '2022-10-24 13:47:26');
INSERT INTO `sys_quartz` VALUES ('1584441549540954112', 'TRAIN_EXAM_START', '1584441549465456640', '0', '57 8 15 24 10 ? 2022', '考试开始--2022金融培训--试卷001', '1', '2022-10-24 15:07:58');
INSERT INTO `sys_quartz` VALUES ('1584445241325391872', 'TRAIN_CLASS_START', '1583413010712629248', '0', '37 23 15 24 10 ? 2022', '培训开始1021第二版数据勿动03', '1', '2022-10-24 15:22:38');
INSERT INTO `sys_quartz` VALUES ('1584445241384112128', 'TRAIN_CLASS_END', '1583413010712629248', '0', '50 2 19 27 10 ? 2022', '培训结束1021第二版数据勿动03', '1', '2022-10-24 15:22:38');
INSERT INTO `sys_quartz` VALUES ('1584484600955146240', 'SUPPLIER_NOTICE_START', '1584484532516687872', '0', '1 0 18 24 10 ? 2022', '供应商公告开始测试APP端的国基路52号账号', '1', '2022-10-24 17:59:02');
INSERT INTO `sys_quartz` VALUES ('1584484601001283584', 'SUPPLIER_NOTICE_END', '1584484532516687872', '0', '7 0 18 25 10 ? 2022', '供应商公告结束测试APP端的国基路52号账号', '1', '2022-10-24 17:59:02');
INSERT INTO `sys_quartz` VALUES ('1584486022669012992', 'SUPPLIER_NOTICE_START', '1584486000065908736', '0', '40 5 18 24 10 ? 2022', '供应商公告开始查看状态是否一致001', '1', '2022-10-24 18:04:41');
INSERT INTO `sys_quartz` VALUES ('1584486022702567424', 'SUPPLIER_NOTICE_END', '1584486000065908736', '0', '40 6 18 24 10 ? 2022', '供应商公告结束查看状态是否一致001', '1', '2022-10-24 18:04:41');
INSERT INTO `sys_quartz` VALUES ('1584486279612076032', 'SUPPLIER_NOTICE_START', '1584486267557646336', '0', '20 6 18 26 10 ? 2022', '供应商公告开始测试未开始状态的数据', '1', '2022-10-24 18:05:42');
INSERT INTO `sys_quartz` VALUES ('1584486279654019072', 'SUPPLIER_NOTICE_END', '1584486267557646336', '0', '22 7 18 26 10 ? 2022', '供应商公告结束测试未开始状态的数据', '1', '2022-10-24 18:05:42');
INSERT INTO `sys_quartz` VALUES ('1584487473524903936', 'CLASS_LOOK_INTO_START', '1584487472455356416', '0', '26 11 18 24 10 ? 2022', '班级调查问卷开始状态', '1', '2022-10-24 18:10:27');
INSERT INTO `sys_quartz` VALUES ('1584487473554264064', 'CLASS_LOOK_INTO_END', '1584487472455356416', '0', '0 2 13 27 10 ? 2022', '班级调查问卷结束状态', '1', '2022-10-24 18:10:27');
INSERT INTO `sys_quartz` VALUES ('1584732827201703936', 'TRAIN_CLASS_START', '1584732496656994304', '0', '23 26 10 25 10 ? 2022', '培训开始测试费用', '1', '2022-10-25 10:25:24');
INSERT INTO `sys_quartz` VALUES ('1584732827872792576', 'TRAIN_CLASS_END', '1584732496656994304', '0', '59 25 10 30 10 ? 2022', '培训结束测试费用', '1', '2022-10-25 10:25:24');
INSERT INTO `sys_quartz` VALUES ('1584801536947654656', 'TRAIN_EXAM_START', '1584801536867962880', '0', '25 59 14 25 10 ? 2022', '考试开始--1021第二版数据勿动03--试卷001', '1', '2022-10-25 14:58:25');
INSERT INTO `sys_quartz` VALUES ('1584805848264347648', 'TRAIN_CLASS_START', '1584515014952357888', '0', '33 16 15 25 10 ? 2022', '培训开始2023新', '1', '2022-10-25 15:15:33');
INSERT INTO `sys_quartz` VALUES ('1584805849015128064', 'TRAIN_CLASS_END', '1584515014952357888', '0', '50 1 20 25 10 ? 2022', '培训结束2023新', '1', '2022-10-25 15:15:33');
INSERT INTO `sys_quartz` VALUES ('1584806328155639808', 'TRAIN_EXAM_START', '1584806327660711936', '0', '27 18 15 25 10 ? 2022', '考试开始--2023新--试卷001', '1', '2022-10-25 15:17:28');
INSERT INTO `sys_quartz` VALUES ('1585184011758735360', 'TRAIN_CLASS_START', '1585183526750392320', '0', '14 19 16 26 10 ? 2022', '培训开始1026黎利伯测试股', '1', '2022-10-26 16:18:15');
INSERT INTO `sys_quartz` VALUES ('1585184019652415488', 'TRAIN_CLASS_END', '1585183526750392320', '0', '2 18 16 30 10 ? 2022', '培训结束1026黎利伯测试股', '1', '2022-10-26 16:18:17');
INSERT INTO `sys_quartz` VALUES ('1585257090442727424', 'TRAIN_CLASS_START', '1584875379850612736', '0', '37 9 21 26 10 ? 2022', '培训开始2022年9月份培训', '1', '2022-10-26 21:08:38');
INSERT INTO `sys_quartz` VALUES ('1585257090501447680', 'TRAIN_CLASS_END', '1584875379850612736', '0', '45 53 19 30 10 ? 2022', '培训结束2022年9月份培训', '1', '2022-10-26 21:08:38');
INSERT INTO `sys_quartz` VALUES ('1585461589459472384', 'TRAIN_CLASS_START', '1585459813435969536', '0', '14 42 10 27 10 ? 2022', '培训开始2022年10月底的培训', '1', '2022-10-27 10:41:14');
INSERT INTO `sys_quartz` VALUES ('1585461589505609728', 'TRAIN_CLASS_END', '1585459813435969536', '0', '38 2 12 28 10 ? 2022', '培训结束2022年10月底的培训', '1', '2022-10-27 10:41:14');
INSERT INTO `sys_quartz` VALUES ('1585520836708798464', 'TRAIN_CLASS_START', '1585278127179960320', '0', '39 37 14 27 10 ? 2022', '培训开始测试统计分析数据-lu01勿动', '1', '2022-10-27 14:36:40');
INSERT INTO `sys_quartz` VALUES ('1585520836750741504', 'TRAIN_CLASS_END', '1585278127179960320', '0', '56 2 22 29 10 ? 2022', '培训结束测试统计分析数据-lu01勿动', '1', '2022-10-27 14:36:40');
INSERT INTO `sys_quartz` VALUES ('1585525487818641408', 'TRAIN_CLASS_START', '1585282067011342336', '0', '42 48 22 27 10 ? 2022', '培训开始测试统计分析省级本公司数据-lu勿动002', '1', '2022-10-27 14:55:09');
INSERT INTO `sys_quartz` VALUES ('1585525487864778752', 'TRAIN_CLASS_END', '1585282067011342336', '0', '48 49 22 28 10 ? 2022', '培训结束测试统计分析省级本公司数据-lu勿动002', '1', '2022-10-27 14:55:09');
INSERT INTO `sys_quartz` VALUES ('1585534563160035328', 'TRAIN_EXAM_START', '1585534563109703680', '0', '12 32 15 27 10 ? 2022', '考试开始--测试统计分析数据-lu01勿动--试卷001', '1', '2022-10-27 15:31:12');
INSERT INTO `sys_quartz` VALUES ('1585541371165544448', 'TRAIN_EXAM_START', '1585541371119407104', '0', '18 1 16 27 10 ? 2022', '考试开始--测试统计分析数据-lu01勿动--考试题', '1', '2022-10-27 15:58:15');
INSERT INTO `sys_quartz` VALUES ('1585542086365679616', 'TRAIN_EXAM_START', '1585542086315347968', '0', '39 31 15 28 10 ? 2022', '考试开始--测试统计分析数据-lu01勿动--考试题', '1', '2022-10-27 16:01:06');
INSERT INTO `sys_quartz` VALUES ('1585550168026124288', 'TRAIN_CLASS_START', '1585541131360407552', '0', '12 34 16 27 10 ? 2022', '培训开始20221027', '1', '2022-10-27 16:33:13');
INSERT INTO `sys_quartz` VALUES ('1585550169997447168', 'TRAIN_CLASS_END', '1585541131360407552', '0', '13 35 16 27 10 ? 2022', '培训结束20221027', '1', '2022-10-27 16:33:13');
INSERT INTO `sys_quartz` VALUES ('1585851262660907008', 'TRAIN_CLASS_START', '1585850472554696704', '0', '39 30 12 28 10 ? 2022', '培训开始2022年10月底的培训', '1', '2022-10-28 12:29:39');
INSERT INTO `sys_quartz` VALUES ('1585851262702850048', 'TRAIN_CLASS_END', '1585850472554696704', '0', '21 28 12 30 10 ? 2022', '培训结束2022年10月底的培训', '1', '2022-10-28 12:29:39');
INSERT INTO `sys_quartz` VALUES ('1585881549130305536', 'TRAIN_CLASS_START', '1585453051727187968', '0', '0 31 14 28 10 ? 2022', '培训开始2023测试', '1', '2022-10-28 14:30:00');
INSERT INTO `sys_quartz` VALUES ('1585881549805588480', 'TRAIN_CLASS_END', '1585453051727187968', '0', '13 9 10 30 10 ? 2022', '培训结束2023测试', '1', '2022-10-28 14:30:00');
INSERT INTO `sys_quartz` VALUES ('1585904354760724480', 'TRAIN_CLASS_START', '1585836831126196224', '0', '37 1 16 28 10 ? 2022', '培训开始测试费用预算为0000', '1', '2022-10-28 16:00:38');
INSERT INTO `sys_quartz` VALUES ('1585904355398258688', 'TRAIN_CLASS_END', '1585836831126196224', '0', '13 34 11 30 10 ? 2022', '培训结束测试费用预算为0000', '1', '2022-10-28 16:00:38');
INSERT INTO `sys_quartz` VALUES ('1585912842417213440', 'TRAIN_EXAM_START', '1585912841964228608', '0', '21 35 16 28 10 ? 2022', '考试开始--测试费用预算为0000--试卷001', '1', '2022-10-28 16:34:21');
INSERT INTO `sys_quartz` VALUES ('1585921678796525568', 'TRAIN_EXAM_START', '1585921678318374912', '0', '27 10 17 28 10 ? 2022', '考试开始--测试费用预算为0000--测试添加', '1', '2022-10-28 17:09:28');
INSERT INTO `sys_quartz` VALUES ('1585927497818705920', 'TRAIN_EXAM_START', '1585927497088897024', '0', '35 33 17 28 10 ? 2022', '考试开始--测试费用预算为0000--试卷001', '1', '2022-10-28 17:32:35');
INSERT INTO `sys_quartz` VALUES ('1586565062687068160', 'TRAIN_CLASS_START', '1586564275265212416', '0', '2 47 11 30 10 ? 2022', '培训开始123', '1', '2022-10-30 11:46:03');
INSERT INTO `sys_quartz` VALUES ('1586565063370739712', 'TRAIN_CLASS_END', '1586564275265212416', '0', '45 44 11 31 10 ? 2022', '培训结束123', '1', '2022-10-30 11:46:03');
INSERT INTO `sys_quartz` VALUES ('1586965260668112896', 'TRAIN_CLASS_START', '1586964413733277696', '0', '17 17 14 31 10 ? 2022', '培训开始2022年10月培训班', '1', '2022-10-31 14:16:17');
INSERT INTO `sys_quartz` VALUES ('1586965260722638848', 'TRAIN_CLASS_END', '1586964413733277696', '0', '43 17 15 31 10 ? 2022', '培训结束2022年10月培训班', '1', '2022-10-31 14:16:17');
INSERT INTO `sys_quartz` VALUES ('1586970388380913664', 'TRAIN_CLASS_START', '1586969194119958528', '0', '39 37 14 31 10 ? 2022', '培训开始再次测试工具包', '1', '2022-10-31 14:36:40');
INSERT INTO `sys_quartz` VALUES ('1586970389110722560', 'TRAIN_CLASS_END', '1586969194119958528', '0', '47 33 14 30 11 ? 2022', '培训结束再次测试工具包', '1', '2022-10-31 14:36:40');
INSERT INTO `sys_quartz` VALUES ('1587744082346774528', 'TRAIN_CLASS_START', '1587268699407126528', '0', '2 52 17 2 11 ? 2022', '培训开始单词', '1', '2022-11-02 17:51:03');
INSERT INTO `sys_quartz` VALUES ('1587744083139497984', 'TRAIN_CLASS_END', '1587268699407126528', '0', '58 23 10 30 11 ? 2022', '培训结束单词', '1', '2022-11-02 17:51:03');
INSERT INTO `sys_quartz` VALUES ('1587759106498891776', 'TRAIN_CLASS_START', '1587758825031733248', '0', '44 51 18 2 11 ? 2022', '培训开始000000000000000', '1', '2022-11-02 18:50:45');
INSERT INTO `sys_quartz` VALUES ('1587759107459387392', 'TRAIN_CLASS_END', '1587758825031733248', '0', '26 51 18 4 11 ? 2022', '培训结束000000000000000', '1', '2022-11-02 18:50:45');
INSERT INTO `sys_quartz` VALUES ('1587759466688942080', 'TRAIN_CLASS_START', '1587759227248709632', '0', '10 53 18 2 11 ? 2022', '培训开始1111111111111', '1', '2022-11-02 18:52:11');
INSERT INTO `sys_quartz` VALUES ('1587759467393585152', 'TRAIN_CLASS_END', '1587759227248709632', '0', '58 17 20 4 11 ? 2022', '培训结束1111111111111', '1', '2022-11-02 18:52:11');
INSERT INTO `sys_quartz` VALUES ('1588057443542372352', 'TRAIN_CLASS_START', '1588056226653147136', '0', '13 37 14 3 11 ? 2022', '培训开始1103金融培训班001', '1', '2022-11-03 14:36:14');
INSERT INTO `sys_quartz` VALUES ('1588057443601092608', 'TRAIN_CLASS_END', '1588056226653147136', '0', '51 32 20 3 11 ? 2022', '培训结束1103金融培训班001', '1', '2022-11-03 14:36:14');
INSERT INTO `sys_quartz` VALUES ('1588061004053483520', 'TRAIN_CLASS_START', '1588059480422223872', '0', '22 51 14 3 11 ? 2022', '培训开始11月没有计划的培训班', '1', '2022-11-03 14:50:23');
INSERT INTO `sys_quartz` VALUES ('1588061004099620864', 'TRAIN_CLASS_END', '1588059480422223872', '0', '3 2 16 3 11 ? 2022', '培训结束11月没有计划的培训班', '1', '2022-11-03 14:50:23');
INSERT INTO `sys_quartz` VALUES ('1588062070090371072', 'TRAIN_EXAM_START', '1588062070044233728', '0', '36 55 14 3 11 ? 2022', '考试开始--1103金融培训班001--试卷001', '1', '2022-11-03 14:54:37');
INSERT INTO `sys_quartz` VALUES ('1588089079155789824', 'TRAIN_CLASS_START', '1588072776831471616', '0', '56 42 16 3 11 ? 2022', '培训开始2023测试', '1', '2022-11-03 16:41:56');
INSERT INTO `sys_quartz` VALUES ('1588089079881404416', 'TRAIN_CLASS_END', '1588072776831471616', '0', '6 39 15 4 11 ? 2022', '培训结束2023测试', '1', '2022-11-03 16:41:57');
INSERT INTO `sys_quartz` VALUES ('1588731656259375104', 'TRAIN_CLASS_START', '1588729101563334656', '0', '18 16 11 5 11 ? 2022', '培训开始115评估计划', '1', '2022-11-05 11:15:19');
INSERT INTO `sys_quartz` VALUES ('1588731656573947904', 'TRAIN_CLASS_END', '1588729101563334656', '0', '1 7 11 30 11 ? 2022', '培训结束115评估计划', '1', '2022-11-05 11:15:19');
INSERT INTO `sys_quartz` VALUES ('1588733615104200704', 'TRAIN_CLASS_START', '1588733407918166016', '0', '5 24 11 5 11 ? 2022', '培训开始20221115测试省级', '1', '2022-11-05 11:23:06');
INSERT INTO `sys_quartz` VALUES ('1588733615515242496', 'TRAIN_CLASS_END', '1588733407918166016', '0', '11 24 11 6 11 ? 2022', '培训结束20221115测试省级', '1', '2022-11-05 11:23:06');
INSERT INTO `sys_quartz` VALUES ('1588888969918156800', 'TRAIN_WEEK_CLASS_START', '1588888840070893568', '0', '25 41 21 5 11 ? 2022', '周培训开始温热饿', '1', '2022-11-05 21:40:25');
INSERT INTO `sys_quartz` VALUES ('1588888970148843520', 'TRAIN_WEEK_CLASS_END', '1588888840070893568', '0', '59 1 0 7 11 ? 2022', '周培训结束温热饿', '1', '2022-11-05 21:40:25');
INSERT INTO `sys_quartz` VALUES ('1589100166777016320', 'TRAIN_CLASS_START', '1589098507447439360', '0', '38 40 11 6 11 ? 2022', '培训开始测试116导出', '1', '2022-11-06 11:39:38');
INSERT INTO `sys_quartz` VALUES ('1589100167083200512', 'TRAIN_CLASS_END', '1589098507447439360', '0', '54 34 11 30 11 ? 2022', '培训结束测试116导出', '1', '2022-11-06 11:39:39');
INSERT INTO `sys_quartz` VALUES ('1589519124118245376', 'TRAIN_CLASS_START', '1589461007993016320', '0', '25 25 15 7 11 ? 2022', '培训开始测试湖西岸0', '1', '2022-11-07 15:24:26');
INSERT INTO `sys_quartz` VALUES ('1589519124835471360', 'TRAIN_CLASS_END', '1589461007993016320', '0', '19 35 11 8 11 ? 2022', '培训结束测试湖西岸0', '1', '2022-11-07 15:24:26');
INSERT INTO `sys_quartz` VALUES ('1589527666636230656', 'TRAIN_CLASS_START', '1589527113264926720', '0', '22 59 15 7 11 ? 2022', '培训开始短期住宿', '1', '2022-11-07 15:58:23');
INSERT INTO `sys_quartz` VALUES ('1589527667504451584', 'TRAIN_CLASS_END', '1589527113264926720', '0', '55 32 16 7 11 ? 2022', '培训结束短期住宿', '1', '2022-11-07 15:58:23');
INSERT INTO `sys_quartz` VALUES ('1589549531857555456', 'TRAIN_CLASS_START', '1589549121218416640', '0', '15 26 17 7 11 ? 2022', '培训开始2022年培训住宿管理', '1', '2022-11-07 17:25:16');
INSERT INTO `sys_quartz` VALUES ('1589549532545421312', 'TRAIN_CLASS_END', '1589549121218416640', '0', '26 2 17 8 11 ? 2022', '培训结束2022年培训住宿管理', '1', '2022-11-07 17:25:16');
INSERT INTO `sys_quartz` VALUES ('1589849941197590528', 'TRAIN_CLASS_START', '1589849256125140992', '0', '58 19 13 8 11 ? 2022', '培训开始2022年11月7日住宿测试', '1', '2022-11-08 13:18:59');
INSERT INTO `sys_quartz` VALUES ('1589849941902233600', 'TRAIN_CLASS_END', '1589849256125140992', '0', '54 32 18 9 11 ? 2022', '培训结束2022年11月7日住宿测试', '1', '2022-11-08 13:18:59');
INSERT INTO `sys_quartz` VALUES ('1589917126716690432', 'TRAIN_CLASS_START', '1589916039288852480', '0', '56 46 17 8 11 ? 2022', '培训开始11月7日培训住宿', '1', '2022-11-08 17:45:57');
INSERT INTO `sys_quartz` VALUES ('1589917127668797440', 'TRAIN_CLASS_END', '1589916039288852480', '0', '20 2 10 9 11 ? 2022', '培训结束11月7日培训住宿', '1', '2022-11-08 17:45:57');
INSERT INTO `sys_quartz` VALUES ('1590544549288218624', 'TRAIN_CLASS_START', '1590543802567888896', '0', '6 20 11 10 11 ? 2022', '培训开始2022年11月10日培训班', '1', '2022-11-10 11:19:06');
INSERT INTO `sys_quartz` VALUES ('1590544549980278784', 'TRAIN_CLASS_END', '1590543802567888896', '0', '51 2 17 11 11 ? 2022', '培训结束2022年11月10日培训班', '1', '2022-11-10 11:19:06');
INSERT INTO `sys_quartz` VALUES ('1590575122396352512', 'TRAIN_CLASS_START', '1590573038678708224', '0', '35 21 13 10 11 ? 2022', '培训开始2022年培训班新的培训班', '1', '2022-11-10 13:20:35');
INSERT INTO `sys_quartz` VALUES ('1590575123138744320', 'TRAIN_CLASS_END', '1590573038678708224', '0', '57 2 16 11 11 ? 2022', '培训结束2022年培训班新的培训班', '1', '2022-11-10 13:20:36');
INSERT INTO `sys_quartz` VALUES ('1590598633454178304', 'TRAIN_CLASS_START', '1590598103071854592', '0', '0 55 14 10 11 ? 2022', '培训开始培训住宿', '1', '2022-11-10 14:54:01');
INSERT INTO `sys_quartz` VALUES ('1590598634150432768', 'TRAIN_CLASS_END', '1590598103071854592', '0', '43 2 10 11 11 ? 2022', '培训结束培训住宿', '1', '2022-11-10 14:54:01');
INSERT INTO `sys_quartz` VALUES ('1590602318733250560', 'TRAIN_CLASS_START', '1590602024376995840', '0', '39 9 15 10 11 ? 2022', '培训开始呀拉索', '1', '2022-11-10 15:08:40');
INSERT INTO `sys_quartz` VALUES ('1590602319471448064', 'TRAIN_CLASS_END', '1590602024376995840', '0', '19 9 15 11 11 ? 2022', '培训结束呀拉索', '1', '2022-11-10 15:08:40');
INSERT INTO `sys_quartz` VALUES ('1590626222633783296', 'TRAIN_CLASS_START', '1590625766897487872', '0', '38 44 16 10 11 ? 2022', '培训开始2022年12月培训班', '1', '2022-11-10 16:43:39');
INSERT INTO `sys_quartz` VALUES ('1590626223376175104', 'TRAIN_CLASS_END', '1590625766897487872', '0', '33 2 15 11 11 ? 2022', '培训结束2022年12月培训班', '1', '2022-11-10 16:43:39');
INSERT INTO `sys_quartz` VALUES ('1590639538613653504', 'TRAIN_CLASS_START', '1590639322640551936', '0', '33 37 17 10 11 ? 2022', '培训开始11', '1', '2022-11-10 17:36:33');
INSERT INTO `sys_quartz` VALUES ('1590639539414765568', 'TRAIN_CLASS_END', '1590639322640551936', '0', '31 37 17 11 11 ? 2022', '培训结束11', '1', '2022-11-10 17:36:34');
INSERT INTO `sys_quartz` VALUES ('1591966865813540864', 'TRAIN_CLASS_START', '1591966465936986112', '0', '52 31 9 14 11 ? 2022', '培训开始测试次数为1', '1', '2022-11-14 09:30:53');
INSERT INTO `sys_quartz` VALUES ('1591966866610458624', 'TRAIN_CLASS_END', '1591966465936986112', '0', '12 31 9 15 11 ? 2022', '培训结束测试次数为1', '1', '2022-11-14 09:30:53');
INSERT INTO `sys_quartz` VALUES ('1591967316449562624', 'TRAIN_CLASS_START', '1591966612427247616', '0', '17 46 9 14 11 ? 2022', '培训开始2022培训中心集中培训测试', '1', '2022-11-14 09:32:40');
INSERT INTO `sys_quartz` VALUES ('1591967316541837312', 'TRAIN_CLASS_END', '1591966612427247616', '0', '42 32 10 14 11 ? 2022', '培训结束2022培训中心集中培训测试', '1', '2022-11-14 09:32:40');
INSERT INTO `sys_quartz` VALUES ('1591979258023120896', 'SUPPLIER_NOTICE_START', '1591979243494051840', '0', '7 21 10 14 11 ? 2022', '供应商公告开始测试供应商公告', '1', '2022-11-14 10:20:07');
INSERT INTO `sys_quartz` VALUES ('1591979258065063936', 'SUPPLIER_NOTICE_END', '1591979243494051840', '0', '23 21 10 15 11 ? 2022', '供应商公告结束测试供应商公告', '1', '2022-11-14 10:20:07');
INSERT INTO `sys_quartz` VALUES ('1591979587359870976', 'TRAIN_CLASS_START', '1591972857506828288', '0', '25 22 10 14 11 ? 2022', '培训开始11月金融投资讲堂第一期', '1', '2022-11-14 10:21:26');
INSERT INTO `sys_quartz` VALUES ('1591979587406008320', 'TRAIN_CLASS_END', '1591972857506828288', '0', '7 47 16 14 11 ? 2022', '培训结束11月金融投资讲堂第一期', '1', '2022-11-14 10:21:26');
INSERT INTO `sys_quartz` VALUES ('1591995131534381056', 'TRAIN_CLASS_START', '1591992260067725312', '0', '34 31 11 14 11 ? 2022', '培训开始2022郑州地市培训', '1', '2022-11-14 11:23:12');
INSERT INTO `sys_quartz` VALUES ('1591995131580518400', 'TRAIN_CLASS_END', '1591992260067725312', '0', '42 47 12 14 11 ? 2022', '培训结束2022郑州地市培训', '1', '2022-11-14 11:23:12');
INSERT INTO `sys_quartz` VALUES ('1592000497311682560', 'TRAIN_EXAM_START', '1592000497236185088', '0', '31 45 11 14 11 ? 2022', '考试开始--11月金融投资讲堂第一期--试卷001', '1', '2022-11-14 11:44:31');
INSERT INTO `sys_quartz` VALUES ('1592003402416656384', 'TRAIN_EXAM_START', '1592003402362130432', '0', '26 16 13 14 11 ? 2022', '考试开始--11月金融投资讲堂第一期--测试', '1', '2022-11-14 11:56:04');
INSERT INTO `sys_quartz` VALUES ('1592025195898605568', 'CLASS_LOOK_INTO_START', '1592025195114270720', '0', '0 26 13 14 11 ? 2022', '班级调查问卷开始导入的调查问卷001', '1', '2022-11-14 13:22:40');
INSERT INTO `sys_quartz` VALUES ('1592025195927965696', 'CLASS_LOOK_INTO_END', '1592025195114270720', '0', '0 27 15 14 11 ? 2022', '班级调查问卷结束导入的调查问卷001', '1', '2022-11-14 13:22:40');
INSERT INTO `sys_quartz` VALUES ('1592028241261105152', 'TRAIN_CLASS_START', '1592027379281301504', '0', '52 46 13 14 11 ? 2022', '培训开始2022郑州金融培训', '1', '2022-11-14 13:34:46');
INSERT INTO `sys_quartz` VALUES ('1592028241311436800', 'TRAIN_CLASS_END', '1592027379281301504', '0', '55 2 14 14 11 ? 2022', '培训结束2022郑州金融培训', '1', '2022-11-14 13:34:46');
INSERT INTO `sys_quartz` VALUES ('1592031566173966336', 'TRAIN_CLASS_START', '1592030599865044992', '0', '58 48 13 14 11 ? 2022', '培训开始2022年培训班APP班主任', '1', '2022-11-14 13:47:59');
INSERT INTO `sys_quartz` VALUES ('1592031566224297984', 'TRAIN_CLASS_END', '1592030599865044992', '0', '59 2 13 16 11 ? 2022', '培训结束2022年培训班APP班主任', '1', '2022-11-14 13:47:59');
INSERT INTO `sys_quartz` VALUES ('1592033269367574528', 'TRAIN_CLASS_START', '1592032895428595712', '0', '53 1 14 14 11 ? 2022', '培训开始2022郑州金融培训2', '1', '2022-11-14 13:54:45');
INSERT INTO `sys_quartz` VALUES ('1592033269417906176', 'TRAIN_CLASS_END', '1592032895428595712', '0', '56 17 14 14 11 ? 2022', '培训结束2022郑州金融培训2', '1', '2022-11-14 13:54:45');
INSERT INTO `sys_quartz` VALUES ('1592049954304692224', 'TRAIN_CLASS_START', '1592048661980909568', '0', '2 2 15 14 11 ? 2022', '培训开始11月金融投资讲堂第一期', '1', '2022-11-14 15:01:03');
INSERT INTO `sys_quartz` VALUES ('1592049954350829568', 'TRAIN_CLASS_END', '1592048661980909568', '0', '26 47 15 14 11 ? 2022', '培训结束11月金融投资讲堂第一期', '1', '2022-11-14 15:01:03');
INSERT INTO `sys_quartz` VALUES ('1592058839224684544', 'TRAIN_CLASS_START', '1592058496772345856', '0', '20 37 15 14 11 ? 2022', '培训开始11月金融投资讲堂第一期在线01', '1', '2022-11-14 15:36:21');
INSERT INTO `sys_quartz` VALUES ('1592058839270821888', 'TRAIN_CLASS_END', '1592058496772345856', '0', '20 38 15 14 11 ? 2022', '培训结束11月金融投资讲堂第一期在线01', '1', '2022-11-14 15:36:21');
INSERT INTO `sys_quartz` VALUES ('1592058858359099392', 'TRAIN_CLASS_START', '1592058496772345856', '0', '25 37 15 14 11 ? 2022', '培训开始11月金融投资讲堂第一期在线01', '1', '2022-11-14 15:36:26');
INSERT INTO `sys_quartz` VALUES ('1592058858405236736', 'TRAIN_CLASS_END', '1592058496772345856', '0', '25 38 15 14 11 ? 2022', '培训结束11月金融投资讲堂第一期在线01', '1', '2022-11-14 15:36:26');
INSERT INTO `sys_quartz` VALUES ('1592058923261759488', 'TRAIN_CLASS_START', '1592058496772345856', '0', '40 37 15 14 11 ? 2022', '培训开始11月金融投资讲堂第一期在线01', '1', '2022-11-14 15:36:41');
INSERT INTO `sys_quartz` VALUES ('1592058923307896832', 'TRAIN_CLASS_END', '1592058496772345856', '0', '40 38 15 14 11 ? 2022', '培训结束11月金融投资讲堂第一期在线01', '1', '2022-11-14 15:36:41');
INSERT INTO `sys_quartz` VALUES ('1592059336832716800', 'TRAIN_CLASS_START', '1592057692325810176', '0', '14 46 15 14 11 ? 2022', '培训开始2022年金融课程培训班-省', '1', '2022-11-14 15:38:20');
INSERT INTO `sys_quartz` VALUES ('1592059336874659840', 'TRAIN_CLASS_END', '1592057692325810176', '0', '26 2 16 14 11 ? 2022', '培训结束2022年金融课程培训班-省', '1', '2022-11-14 15:38:20');
INSERT INTO `sys_quartz` VALUES ('1592065431005433856', 'TRAIN_CLASS_START', '1592065253888364544', '0', '32 3 16 14 11 ? 2022', '培训开始11月金融投资讲堂第一期02', '1', '2022-11-14 16:02:33');
INSERT INTO `sys_quartz` VALUES ('1592065431051571200', 'TRAIN_CLASS_END', '1592065253888364544', '0', '0 2 18 14 11 ? 2022', '培训结束11月金融投资讲堂第一期02', '1', '2022-11-14 16:02:33');
INSERT INTO `sys_quartz` VALUES ('1592066369854246912', 'TRAIN_CLASS_START', '1592065253888364544', '0', '16 7 16 14 11 ? 2022', '培训开始11月金融投资讲堂第一期02', '1', '2022-11-14 16:06:16');
INSERT INTO `sys_quartz` VALUES ('1592066369900384256', 'TRAIN_CLASS_END', '1592065253888364544', '0', '0 2 18 14 11 ? 2022', '培训结束11月金融投资讲堂第一期02', '1', '2022-11-14 16:06:16');
INSERT INTO `sys_quartz` VALUES ('1592067076535750656', 'TRAIN_CLASS_START', '1592066677061849088', '0', '13 16 16 14 11 ? 2022', '培训开始2022年金融课程培训班(2)', '1', '2022-11-14 16:09:05');
INSERT INTO `sys_quartz` VALUES ('1592067076586082304', 'TRAIN_CLASS_END', '1592066677061849088', '0', '21 32 16 14 11 ? 2022', '培训结束2022年金融课程培训班(2)', '1', '2022-11-14 16:09:05');
INSERT INTO `sys_quartz` VALUES ('1592348836720939008', 'TRAIN_CLASS_START', '1592347795233312768', '0', '41 49 10 15 11 ? 2022', '培训开始考试', '1', '2022-11-15 10:48:42');
INSERT INTO `sys_quartz` VALUES ('1592348837467525120', 'TRAIN_CLASS_END', '1592347795233312768', '0', '18 46 10 30 11 ? 2022', '培训结束考试', '1', '2022-11-15 10:48:42');
INSERT INTO `sys_quartz` VALUES ('1592349298140516352', 'TRAIN_EXAM_START', '1592349297721085952', '0', '31 51 10 15 11 ? 2022', '考试开始--考试--试卷001', '1', '2022-11-15 10:50:32');
INSERT INTO `sys_quartz` VALUES ('1592349580039688192', 'TRAIN_EXAM_START', '1592349579599286272', '0', '38 52 10 15 11 ? 2022', '考试开始--考试--试卷001', '1', '2022-11-15 10:51:39');
INSERT INTO `sys_quartz` VALUES ('1592353438837116928', 'TRAIN_EXAM_START', '1592353438228942848', '0', '58 7 11 15 11 ? 2022', '考试开始--考试--试卷001', '1', '2022-11-15 11:06:59');
INSERT INTO `sys_quartz` VALUES ('1592356787162583040', 'TRAIN_CLASS_START', '1592356114652073984', '0', '11 31 11 15 11 ? 2022', '培训开始2022集中培训', '1', '2022-11-15 11:20:17');
INSERT INTO `sys_quartz` VALUES ('1592356787229691904', 'TRAIN_CLASS_END', '1592356114652073984', '0', '15 32 12 15 11 ? 2022', '培训结束2022集中培训', '1', '2022-11-15 11:20:17');
INSERT INTO `sys_quartz` VALUES ('1592395632738439168', 'SUPPLIER_NOTICE_START', '1592395602157768704', '0', '38 55 13 15 11 ? 2022', '供应商公告开始11月份防控信息通知-基本措施基本措施基本措施基本措施基本措', '1', '2022-11-15 13:54:39');
INSERT INTO `sys_quartz` VALUES ('1592395632780382208', 'SUPPLIER_NOTICE_END', '1592395602157768704', '0', '21 55 13 16 11 ? 2022', '供应商公告结束11月份防控信息通知-基本措施基本措施基本措施基本措施基本措', '1', '2022-11-15 13:54:39');
INSERT INTO `sys_quartz` VALUES ('1592441509540663296', 'TRAIN_CLASS_START', '1592370137816764416', '0', '56 57 16 15 11 ? 2022', '培训开始2022年9月份培训', '1', '2022-11-15 16:56:57');
INSERT INTO `sys_quartz` VALUES ('1592441511289688064', 'TRAIN_CLASS_END', '1592370137816764416', '0', '50 26 17 15 11 ? 2022', '培训结束2022年9月份培训', '1', '2022-11-15 16:56:57');
INSERT INTO `sys_quartz` VALUES ('1592443007871881216', 'TRAIN_CLASS_START', '1585929627308789760', '0', '53 3 17 15 11 ? 2022', '培训开始sssss', '1', '2022-11-15 17:02:54');
INSERT INTO `sys_quartz` VALUES ('1592443009436356608', 'TRAIN_CLASS_END', '1585929627308789760', '0', '51 42 17 30 11 ? 2022', '培训结束sssss', '1', '2022-11-15 17:02:54');
INSERT INTO `sys_quartz` VALUES ('1592448134129258496', 'CLASS_LOOK_INTO_START', '1592448132090826752', '0', '16 24 17 15 11 ? 2022', '班级调查问卷开始貂蝉', '1', '2022-11-15 17:23:16');
INSERT INTO `sys_quartz` VALUES ('1592448134162812928', 'CLASS_LOOK_INTO_END', '1592448132090826752', '0', '0 2 0 17 11 ? 2022', '班级调查问卷结束貂蝉', '1', '2022-11-15 17:23:16');
INSERT INTO `sys_quartz` VALUES ('1592449774815154176', 'CLASS_LOOK_INTO_START', '1592449773993070592', '0', '47 30 17 15 11 ? 2022', '班级调查问卷开始貂蝉吕布', '1', '2022-11-15 17:29:47');
INSERT INTO `sys_quartz` VALUES ('1592449774844514304', 'CLASS_LOOK_INTO_END', '1592449773993070592', '0', '0 2 0 16 11 ? 2022', '班级调查问卷结束貂蝉吕布', '1', '2022-11-15 17:29:47');
INSERT INTO `sys_quartz` VALUES ('1592723095167307776', 'TRAIN_CLASS_START', '1592720948858064896', '0', '51 36 11 16 11 ? 2022', '培训开始郑州的188888888888888', '1', '2022-11-16 11:35:52');
INSERT INTO `sys_quartz` VALUES ('1592723096996024320', 'TRAIN_CLASS_END', '1592720948858064896', '0', '15 29 11 29 11 ? 2022', '培训结束郑州的188888888888888', '1', '2022-11-16 11:35:52');
INSERT INTO `sys_quartz` VALUES ('1592799430552195072', 'TRAIN_CLASS_START', '1592783387914014720', '0', '11 40 16 16 11 ? 2022', '培训开始11月金融投资讲堂第一期1116-03', '1', '2022-11-16 16:39:12');
INSERT INTO `sys_quartz` VALUES ('1592799431361695744', 'TRAIN_CLASS_END', '1592783387914014720', '0', '42 2 15 17 11 ? 2022', '培训结束11月金融投资讲堂第一期1116-03', '1', '2022-11-16 16:39:12');
INSERT INTO `sys_quartz` VALUES ('1592817985062572032', 'TRAIN_CLASS_START', '1592817481695760384', '0', '55 53 17 16 11 ? 2022', '培训开始11月金融第二讲-勿动', '1', '2022-11-16 17:52:56');
INSERT INTO `sys_quartz` VALUES ('1592817985863684096', 'TRAIN_CLASS_END', '1592817481695760384', '0', '27 47 12 17 11 ? 2022', '培训结束11月金融第二讲-勿动', '1', '2022-11-16 17:52:56');
INSERT INTO `sys_quartz` VALUES ('1593069311893835776', 'TRAIN_CLASS_START', '1593055771002802176', '0', '36 32 10 17 11 ? 2022', '培训开始11月金融第二讲=1117-01', '1', '2022-11-17 10:31:37');
INSERT INTO `sys_quartz` VALUES ('1593069312644616192', 'TRAIN_CLASS_END', '1593055771002802176', '0', '27 39 9 19 11 ? 2022', '培训结束11月金融第二讲=1117-01', '1', '2022-11-17 10:31:37');
INSERT INTO `sys_quartz` VALUES ('1593075302861508608', 'TRAIN_CLASS_START', '1593074623937908736', '0', '24 56 10 17 11 ? 2022', '培训开始金融第二讲-1117-02', '1', '2022-11-17 10:55:25');
INSERT INTO `sys_quartz` VALUES ('1593075303620677632', 'TRAIN_CLASS_END', '1593074623937908736', '0', '37 2 10 19 11 ? 2022', '培训结束金融第二讲-1117-02', '1', '2022-11-17 10:55:25');
INSERT INTO `sys_quartz` VALUES ('1593123420772634624', 'TRAIN_CLASS_START', '1585921029040115712', '0', '36 7 14 17 11 ? 2022', '培训开始2023测试', '1', '2022-11-17 14:06:37');
INSERT INTO `sys_quartz` VALUES ('1593123421498249216', 'TRAIN_CLASS_END', '1585921029040115712', '0', '8 7 20 17 11 ? 2022', '培训结束2023测试', '1', '2022-11-17 14:06:37');
INSERT INTO `sys_quartz` VALUES ('1593134181054025728', 'TRAIN_CLASS_START', '1593133878619541504', '0', '22 50 14 17 11 ? 2022', '培训开始集中1次', '1', '2022-11-17 14:49:23');
INSERT INTO `sys_quartz` VALUES ('1593134182425563136', 'TRAIN_CLASS_END', '1593133878619541504', '0', '59 49 22 17 11 ? 2022', '培训结束集中1次', '1', '2022-11-17 14:49:23');
INSERT INTO `sys_quartz` VALUES ('1593164211205312512', 'TRAIN_CLASS_START', '1593163290295537664', '0', '42 49 16 17 11 ? 2022', '培训开始测试住宿结束四小时内状态数据', '1', '2022-11-17 16:48:42');
INSERT INTO `sys_quartz` VALUES ('1593164211977064448', 'TRAIN_CLASS_END', '1593163290295537664', '0', '11 2 7 18 11 ? 2022', '培训结束测试住宿结束四小时内状态数据', '1', '2022-11-17 16:48:42');
INSERT INTO `sys_quartz` VALUES ('1593164223435902976', 'TRAIN_CLASS_START', '1593163290295537664', '0', '45 49 16 17 11 ? 2022', '培训开始测试住宿结束四小时内状态数据', '1', '2022-11-17 16:48:45');
INSERT INTO `sys_quartz` VALUES ('1593164224262180864', 'TRAIN_CLASS_END', '1593163290295537664', '0', '11 2 7 18 11 ? 2022', '培训结束测试住宿结束四小时内状态数据', '1', '2022-11-17 16:48:45');
INSERT INTO `sys_quartz` VALUES ('1593202478210486272', 'CLASS_LOOK_INTO_START', '1593202474683076608', '0', '45 21 19 17 11 ? 2022', '班级调查问卷开始的撒法', '1', '2022-11-17 19:20:46');
INSERT INTO `sys_quartz` VALUES ('1593202478860603392', 'CLASS_LOOK_INTO_END', '1593202474683076608', '0', '0 2 0 30 11 ? 2022', '班级调查问卷结束的撒法', '1', '2022-11-17 19:20:46');
INSERT INTO `sys_quartz` VALUES ('1593202772948422656', 'CLASS_LOOK_INTO_START', '1593202769576202240', '0', '56 22 19 17 11 ? 2022', '班级调查问卷开始调查问卷2', '1', '2022-11-17 19:21:56');
INSERT INTO `sys_quartz` VALUES ('1593202773556596736', 'CLASS_LOOK_INTO_END', '1593202769576202240', '0', '0 2 0 22 12 ? 2022', '班级调查问卷结束调查问卷2', '1', '2022-11-17 19:21:56');
INSERT INTO `sys_quartz` VALUES ('1593203146258255872', 'TRAIN_CLASS_START', '1593195024294744064', '0', '25 24 19 17 11 ? 2022', '培训开始十月测试AAA', '1', '2022-11-17 19:23:25');
INSERT INTO `sys_quartz` VALUES ('1593203146979676160', 'TRAIN_CLASS_END', '1593195024294744064', '0', '0 53 18 18 11 ? 2022', '培训结束十月测试AAA', '1', '2022-11-17 19:23:25');
INSERT INTO `sys_quartz` VALUES ('1593471921444491264', 'TRAIN_CLASS_START', '1592058496772345856', '0', '26 12 13 18 11 ? 2022', '培训开始11月金融投资讲堂第一期在线01', '1', '2022-11-18 13:11:26');
INSERT INTO `sys_quartz` VALUES ('1593471922384015360', 'TRAIN_CLASS_END', '1592058496772345856', '0', '0 2 0 26 11 ? 2022', '培训结束11月金融投资讲堂第一期在线01', '1', '2022-11-18 13:11:26');
INSERT INTO `sys_quartz` VALUES ('1593493510135353344', 'TRAIN_CLASS_START', '1593493000393199616', '0', '13 38 14 18 11 ? 2022', '培训开始第二讲1118-1001', '1', '2022-11-18 14:37:13');
INSERT INTO `sys_quartz` VALUES ('1593493510181490688', 'TRAIN_CLASS_END', '1593493000393199616', '0', '45 47 14 18 11 ? 2022', '培训结束第二讲1118-1001', '1', '2022-11-18 14:37:13');
INSERT INTO `sys_quartz` VALUES ('1593496513135382528', 'TRAIN_CLASS_START', '1593493864797310976', '0', '9 50 14 18 11 ? 2022', '培训开始十月测试A测试评价', '1', '2022-11-18 14:49:09');
INSERT INTO `sys_quartz` VALUES ('1593496515073150976', 'TRAIN_CLASS_END', '1593493864797310976', '0', '32 40 14 30 11 ? 2022', '培训结束十月测试A测试评价', '1', '2022-11-18 14:49:10');
INSERT INTO `sys_quartz` VALUES ('1593499582187311104', 'TRAIN_CLASS_START', '1593499312577449984', '0', '20 2 15 18 11 ? 2022', '培训开始金融第二讲1118-1002', '1', '2022-11-18 15:01:21');
INSERT INTO `sys_quartz` VALUES ('1593499582237642752', 'TRAIN_CLASS_END', '1593499312577449984', '0', '36 17 15 18 11 ? 2022', '培训结束金融第二讲1118-1002', '1', '2022-11-18 15:01:21');
INSERT INTO `sys_quartz` VALUES ('1593575763536384000', 'TRAIN_CLASS_START', '1593575269023748096', '0', '3 5 20 18 11 ? 2022', '培训开始1021计划库第一版', '1', '2022-11-18 20:04:04');
INSERT INTO `sys_quartz` VALUES ('1593575764295553024', 'TRAIN_CLASS_END', '1593575269023748096', '0', '0 4 20 30 11 ? 2022', '培训结束1021计划库第一版', '1', '2022-11-18 20:04:04');
INSERT INTO `sys_quartz` VALUES ('1593809836246700032', 'TRAIN_CLASS_START', '1593802731448045568', '0', '11 35 11 19 11 ? 2022', '培训开始1119-1001', '1', '2022-11-19 11:34:11');
INSERT INTO `sys_quartz` VALUES ('1593809837064589312', 'TRAIN_CLASS_END', '1593802731448045568', '0', '38 2 7 20 11 ? 2022', '培训结束1119-1001', '1', '2022-11-19 11:34:11');
INSERT INTO `sys_quartz` VALUES ('1593815267731968000', 'TRAIN_CLASS_START', '1592401367887122432', '0', '16 18 13 19 11 ? 2022', '培训开始212213231321', '1', '2022-11-19 11:55:46');
INSERT INTO `sys_quartz` VALUES ('1593815268432416768', 'TRAIN_CLASS_END', '1592401367887122432', '0', '16 19 14 20 11 ? 2022', '培训结束212213231321', '1', '2022-11-19 11:55:46');
INSERT INTO `sys_quartz` VALUES ('1593839340050583552', 'TRAIN_CLASS_START', '1593838490360090624', '0', '25 32 13 19 11 ? 2022', '培训开始1119-1002', '1', '2022-11-19 13:31:26');
INSERT INTO `sys_quartz` VALUES ('1593839340759420928', 'TRAIN_CLASS_END', '1593838490360090624', '0', '12 2 7 20 11 ? 2022', '培训结束1119-1002', '1', '2022-11-19 13:31:26');
INSERT INTO `sys_quartz` VALUES ('1593841714467049472', 'TRAIN_CLASS_START', '1593841368902537216', '0', '51 41 13 19 11 ? 2022', '培训开始测试供应商评价', '1', '2022-11-19 13:40:52');
INSERT INTO `sys_quartz` VALUES ('1593841715167498240', 'TRAIN_CLASS_END', '1593841368902537216', '0', '23 41 13 30 11 ? 2022', '培训结束测试供应商评价', '1', '2022-11-19 13:40:52');
INSERT INTO `sys_quartz` VALUES ('1594206856551731200', 'SUPPLIER_NOTICE_START', '1594206788616589312', '0', '48 52 13 20 11 ? 2022', '供应商公告开始复测显示图数据', '1', '2022-11-20 13:51:50');
INSERT INTO `sys_quartz` VALUES ('1594206863027736576', 'SUPPLIER_NOTICE_END', '1594206788616589312', '0', '23 53 13 21 11 ? 2022', '供应商公告结束复测显示图数据', '1', '2022-11-20 13:51:50');
INSERT INTO `sys_quartz` VALUES ('1594223345962979328', 'TRAIN_CLASS_START', '1594222226587127808', '0', '19 58 14 20 11 ? 2022', '培训开始1120课程-1001', '1', '2022-11-20 14:57:20');
INSERT INTO `sys_quartz` VALUES ('1594223346650845184', 'TRAIN_CLASS_END', '1594222226587127808', '0', '34 2 7 21 11 ? 2022', '培训结束1120课程-1001', '1', '2022-11-20 14:57:20');
INSERT INTO `sys_quartz` VALUES ('1594242309359276032', 'TRAIN_CLASS_START', '1594241800200130560', '0', '40 13 16 20 11 ? 2022', '培训开始课程第一讲1120-a', '1', '2022-11-20 16:12:41');
INSERT INTO `sys_quartz` VALUES ('1594242310252662784', 'TRAIN_CLASS_END', '1594241800200130560', '0', '24 2 8 21 11 ? 2022', '培训结束课程第一讲1120-a', '1', '2022-11-20 16:12:41');
INSERT INTO `sys_quartz` VALUES ('1594244684820123648', 'TRAIN_CLASS_START', '1594244407400468480', '0', '7 23 16 20 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-20 16:22:07');
INSERT INTO `sys_quartz` VALUES ('1594244685482823680', 'TRAIN_CLASS_END', '1594244407400468480', '0', '44 22 16 22 11 ? 2022', '培训结束测试消息提醒', '1', '2022-11-20 16:22:07');
INSERT INTO `sys_quartz` VALUES ('1594502816234344448', 'TRAIN_CLASS_START', '1594501807982383104', '0', '50 28 9 21 11 ? 2022', '培训开始1121住宿测试', '1', '2022-11-21 09:27:51');
INSERT INTO `sys_quartz` VALUES ('1594502816947376128', 'TRAIN_CLASS_END', '1594501807982383104', '0', '38 25 9 23 11 ? 2022', '培训结束1121住宿测试', '1', '2022-11-21 09:27:51');
INSERT INTO `sys_quartz` VALUES ('1594504513614647296', 'TRAIN_CLASS_START', '1594504240024391680', '0', '35 35 9 21 11 ? 2022', '培训开始2022集中培训', '1', '2022-11-21 09:34:35');
INSERT INTO `sys_quartz` VALUES ('1594504514382204928', 'TRAIN_CLASS_END', '1594504240024391680', '0', '23 35 9 23 11 ? 2022', '培训结束2022集中培训', '1', '2022-11-21 09:34:35');
INSERT INTO `sys_quartz` VALUES ('1594558664130301952', 'TRAIN_CLASS_START', '1594530952930004992', '0', '53 16 13 21 11 ? 2022', '培训开始2022年集中培训计划库', '1', '2022-11-21 13:09:46');
INSERT INTO `sys_quartz` VALUES ('1594558664189022208', 'TRAIN_CLASS_END', '1594530952930004992', '0', '57 32 14 21 11 ? 2022', '培训结束2022年集中培训计划库', '1', '2022-11-21 13:09:46');
INSERT INTO `sys_quartz` VALUES ('1594563226249596928', 'TRAIN_CLASS_START', '1594562352714485760', '0', '53 28 13 21 11 ? 2022', '培训开始十月测试测试 签到计划1111', '1', '2022-11-21 13:27:53');
INSERT INTO `sys_quartz` VALUES ('1594563226929074176', 'TRAIN_CLASS_END', '1594562352714485760', '0', '12 26 13 30 11 ? 2022', '培训结束十月测试测试 签到计划1111', '1', '2022-11-21 13:27:54');
INSERT INTO `sys_quartz` VALUES ('1594566238300934144', 'TRAIN_CLASS_START', '1594565664650170368', '0', '51 40 13 21 11 ? 2022', '培训开始测试签到22222222222', '1', '2022-11-21 13:39:52');
INSERT INTO `sys_quartz` VALUES ('1594566239135600640', 'TRAIN_CLASS_END', '1594565664650170368', '0', '16 39 13 30 11 ? 2022', '培训结束测试签到22222222222', '1', '2022-11-21 13:39:52');
INSERT INTO `sys_quartz` VALUES ('1594570312048054272', 'TRAIN_CLASS_START', '1594569101844549632', '0', '2 57 13 21 11 ? 2022', '培训开始2022集中培训签到44444', '1', '2022-11-21 13:56:03');
INSERT INTO `sys_quartz` VALUES ('1594570315994894336', 'TRAIN_CLASS_END', '1594569101844549632', '0', '7 53 13 22 11 ? 2022', '培训结束2022集中培训签到44444', '1', '2022-11-21 13:56:04');
INSERT INTO `sys_quartz` VALUES ('1594573076354437120', 'TRAIN_CLASS_START', '1594571954189373440', '0', '1 8 14 21 11 ? 2022', '培训开始前打扫5555', '1', '2022-11-21 14:07:02');
INSERT INTO `sys_quartz` VALUES ('1594573077595951104', 'TRAIN_CLASS_END', '1594571954189373440', '0', '28 4 14 23 11 ? 2022', '培训结束前打扫5555', '1', '2022-11-21 14:07:02');
INSERT INTO `sys_quartz` VALUES ('1594574019875704832', 'TRAIN_CLASS_START', '1594571954189373440', '0', '46 11 14 21 11 ? 2022', '培训开始前打扫5555', '1', '2022-11-21 14:10:47');
INSERT INTO `sys_quartz` VALUES ('1594574021356294144', 'TRAIN_CLASS_END', '1594571954189373440', '0', '28 4 14 23 11 ? 2022', '培训结束前打扫5555', '1', '2022-11-21 14:10:47');
INSERT INTO `sys_quartz` VALUES ('1594595724899782656', 'TRAIN_CLASS_START', '1594586018877673472', '0', '1 38 15 21 11 ? 2022', '培训开始1121培训库课程-b', '1', '2022-11-21 15:37:03');
INSERT INTO `sys_quartz` VALUES ('1594595733095452672', 'TRAIN_CLASS_END', '1594586018877673472', '0', '21 17 8 22 11 ? 2022', '培训结束1121培训库课程-b', '1', '2022-11-21 15:37:04');
INSERT INTO `sys_quartz` VALUES ('1594875622675582976', 'TRAIN_CLASS_START', '1594874152140017664', '0', '14 10 10 22 11 ? 2022', '培训开始1122培训库课程-c', '1', '2022-11-22 10:09:15');
INSERT INTO `sys_quartz` VALUES ('1594875623468306432', 'TRAIN_CLASS_END', '1594874152140017664', '0', '8 17 7 23 11 ? 2022', '培训结束1122培训库课程-c', '1', '2022-11-22 10:09:15');
INSERT INTO `sys_quartz` VALUES ('1594980541264957440', 'SUPPLIER_NOTICE_START', '1594980487787581440', '0', '9 7 17 22 11 ? 2022', '供应商公告开始1122-测试图片数据', '1', '2022-11-22 17:06:09');
INSERT INTO `sys_quartz` VALUES ('1594980541306900480', 'SUPPLIER_NOTICE_END', '1594980487787581440', '0', '33 7 17 24 11 ? 2022', '供应商公告结束1122-测试图片数据', '1', '2022-11-22 17:06:09');
INSERT INTO `sys_quartz` VALUES ('1594992870421565440', 'SUPPLIER_NOTICE_START', '1594992847499694080', '0', '8 56 17 22 11 ? 2022', '供应商公告开始测试短信', '1', '2022-11-22 17:55:09');
INSERT INTO `sys_quartz` VALUES ('1594992871067488256', 'SUPPLIER_NOTICE_END', '1594992847499694080', '0', '50 56 17 23 11 ? 2022', '供应商公告结束测试短信', '1', '2022-11-22 17:55:09');
INSERT INTO `sys_quartz` VALUES ('1595237777245605888', 'SUPPLIER_NOTICE_START', '1595237742520963072', '0', '18 9 10 23 11 ? 2022', '供应商公告开始测试上传', '1', '2022-11-23 10:08:19');
INSERT INTO `sys_quartz` VALUES ('1595237777887334400', 'SUPPLIER_NOTICE_END', '1595237742520963072', '0', '51 9 10 25 11 ? 2022', '供应商公告结束测试上传', '1', '2022-11-23 10:08:19');
INSERT INTO `sys_quartz` VALUES ('1595248010114240512', 'SUPPLIER_NOTICE_START', '1595237949748940800', '0', '58 49 10 23 11 ? 2022', '供应商公告开始测试上传2', '1', '2022-11-23 10:48:59');
INSERT INTO `sys_quartz` VALUES ('1595248010718220288', 'SUPPLIER_NOTICE_END', '1595237949748940800', '0', '40 10 10 26 11 ? 2022', '供应商公告结束测试上传2', '1', '2022-11-23 10:48:59');
INSERT INTO `sys_quartz` VALUES ('1595258127534657536', 'SUPPLIER_NOTICE_START', '1595258107091619840', '0', '10 30 11 23 11 ? 2022', '供应商公告开始的', '1', '2022-11-23 11:29:11');
INSERT INTO `sys_quartz` VALUES ('1595258128167997440', 'SUPPLIER_NOTICE_END', '1595258107091619840', '0', '52 30 11 30 11 ? 2022', '供应商公告结束的', '1', '2022-11-23 11:29:11');
INSERT INTO `sys_quartz` VALUES ('1595284966743347200', 'TRAIN_CLASS_START', '1595284725910605824', '0', '49 16 13 23 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-23 13:15:50');
INSERT INTO `sys_quartz` VALUES ('1595285329135407104', 'TRAIN_CLASS_START', '1595284725910605824', '0', '16 18 13 23 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-23 13:17:16');
INSERT INTO `sys_quartz` VALUES ('1595286126485180416', 'TRAIN_CLASS_START', '1595285927368986624', '0', '26 21 13 23 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-23 13:20:26');
INSERT INTO `sys_quartz` VALUES ('1595287787844800512', 'TRAIN_CLASS_START', '1595287546621988864', '0', '2 28 13 23 11 ? 2022', '培训开始11231325', '1', '2022-11-23 13:27:02');
INSERT INTO `sys_quartz` VALUES ('1595287788612358144', 'TRAIN_CLASS_END', '1595287546621988864', '0', '59 27 13 24 11 ? 2022', '培训结束11231325', '1', '2022-11-23 13:27:03');
INSERT INTO `sys_quartz` VALUES ('1595287789203755008', 'TRAIN_USER_CLASS_END_MSG', '1595287546621988864', '0', '0 1 8 23 11 ? 2022', '培训结束消息11231325', '1', '2022-11-23 13:27:03');
INSERT INTO `sys_quartz` VALUES ('1595288782905675776', 'TRAIN_CLASS_START', '1595288527829078016', '0', '59 31 13 23 11 ? 2022', '培训开始1329', '1', '2022-11-23 13:31:00');
INSERT INTO `sys_quartz` VALUES ('1595288783702593536', 'TRAIN_CLASS_END', '1595288527829078016', '0', '55 31 13 24 11 ? 2022', '培训结束1329', '1', '2022-11-23 13:31:00');
INSERT INTO `sys_quartz` VALUES ('1595288784243658752', 'TRAIN_USER_CLASS_END_MSG', '1595288527829078016', '0', '0 1 8 23 11 ? 2022', '培训结束消息1329', '1', '2022-11-23 13:31:00');
INSERT INTO `sys_quartz` VALUES ('1595290960147910656', 'TRAIN_CLASS_START', '1595290765951635456', '0', '38 40 13 23 11 ? 2022', '培训开始1338', '1', '2022-11-23 13:39:39');
INSERT INTO `sys_quartz` VALUES ('1595290960831582208', 'TRAIN_CLASS_END', '1595290765951635456', '0', '48 40 13 24 11 ? 2022', '培训结束1338', '1', '2022-11-23 13:39:39');
INSERT INTO `sys_quartz` VALUES ('1595290961385230336', 'TRAIN_USER_CLASS_END_MSG', '1595290765951635456', '0', '0 1 8 23 11 ? 2022', '培训结束消息1338', '1', '2022-11-23 13:39:39');
INSERT INTO `sys_quartz` VALUES ('1595292570982944768', 'TRAIN_CLASS_START', '1594982368521883648', '0', '2 47 13 23 11 ? 2022', '培训开始1342', '1', '2022-11-23 13:46:03');
INSERT INTO `sys_quartz` VALUES ('1595292571733725184', 'TRAIN_CLASS_END', '1594982368521883648', '0', '13 15 17 24 11 ? 2022', '培训结束1342', '1', '2022-11-23 13:46:03');
INSERT INTO `sys_quartz` VALUES ('1595292572329316352', 'TRAIN_USER_CLASS_END_MSG', '1594982368521883648', '0', '0 1 8 23 11 ? 2022', '培训结束消息1342', '1', '2022-11-23 13:46:03');
INSERT INTO `sys_quartz` VALUES ('1595294287459913728', 'TRAIN_CLASS_START', '1595294082480082944', '0', '51 53 13 23 11 ? 2022', '培训开始1351', '1', '2022-11-23 13:52:52');
INSERT INTO `sys_quartz` VALUES ('1595294288160362496', 'TRAIN_CLASS_END', '1595294082480082944', '0', '59 53 13 24 11 ? 2022', '培训结束1351', '1', '2022-11-23 13:52:52');
INSERT INTO `sys_quartz` VALUES ('1595294288718204928', 'TRAIN_USER_CLASS_END_MSG', '1595294082480082944', '0', '0 1 8 23 11 ? 2022', '培训结束消息1351', '1', '2022-11-23 13:52:52');
INSERT INTO `sys_quartz` VALUES ('1595294536974864384', 'TRAIN_CLASS_START', '1595293028619259904', '0', '51 54 13 23 11 ? 2022', '培训开始1123培训班a', '1', '2022-11-23 13:53:52');
INSERT INTO `sys_quartz` VALUES ('1595294575084310528', 'TRAIN_CLASS_START', '1595293028619259904', '0', '0 55 13 23 11 ? 2022', '培训开始1123培训班a', '1', '2022-11-23 13:54:01');
INSERT INTO `sys_quartz` VALUES ('1595294706298916864', 'TRAIN_CLASS_START', '1595293028619259904', '0', '31 55 13 23 11 ? 2022', '培训开始1123培训班a', '1', '2022-11-23 13:54:32');
INSERT INTO `sys_quartz` VALUES ('1595294771046387712', 'TRAIN_CLASS_START', '1595293028619259904', '0', '47 55 13 23 11 ? 2022', '培训开始1123培训班a', '1', '2022-11-23 13:54:47');
INSERT INTO `sys_quartz` VALUES ('1595294815619256320', 'TRAIN_CLASS_START', '1595293028619259904', '0', '57 55 13 23 11 ? 2022', '培训开始1123培训班a', '1', '2022-11-23 13:54:58');
INSERT INTO `sys_quartz` VALUES ('1595296631681585152', 'TRAIN_CLASS_START', '1595296314990661632', '0', '10 3 14 23 11 ? 2022', '培训开始1400', '1', '2022-11-23 14:02:11');
INSERT INTO `sys_quartz` VALUES ('1595296632356868096', 'TRAIN_CLASS_END', '1595296314990661632', '0', '51 2 14 24 11 ? 2022', '培训结束1400', '1', '2022-11-23 14:02:11');
INSERT INTO `sys_quartz` VALUES ('1595296632986013696', 'TRAIN_USER_CLASS_END_MSG', '1595296314990661632', '0', '0 1 8 23 11 ? 2022', '培训结束消息1400', '1', '2022-11-23 14:02:11');
INSERT INTO `sys_quartz` VALUES ('1595296904609140736', 'TRAIN_CLASS_START', '1595293028619259904', '0', '15 4 14 23 11 ? 2022', '培训开始1123培训班a', '1', '2022-11-23 14:03:16');
INSERT INTO `sys_quartz` VALUES ('1595297918234005504', 'TRAIN_CLASS_START', '1595297568395497472', '0', '17 8 14 23 11 ? 2022', '培训开始1121培训库课程-b', '1', '2022-11-23 14:07:18');
INSERT INTO `sys_quartz` VALUES ('1595297918913482752', 'TRAIN_CLASS_END', '1595297568395497472', '0', '50 7 14 24 11 ? 2022', '培训结束1121培训库课程-b', '1', '2022-11-23 14:07:18');
INSERT INTO `sys_quartz` VALUES ('1595297919592960000', 'TRAIN_USER_CLASS_END_MSG', '1595297568395497472', '0', '0 1 8 23 11 ? 2022', '培训结束消息1121培训库课程-b', '1', '2022-11-23 14:07:18');
INSERT INTO `sys_quartz` VALUES ('1595306683092045824', 'TRAIN_CLASS_START', '1595306464161959936', '0', '7 43 14 23 11 ? 2022', '培训开始1123', '1', '2022-11-23 14:42:07');
INSERT INTO `sys_quartz` VALUES ('1595306683800883200', 'TRAIN_CLASS_END', '1595306464161959936', '0', '10 43 14 24 11 ? 2022', '培训结束1123', '1', '2022-11-23 14:42:08');
INSERT INTO `sys_quartz` VALUES ('1595306684383891456', 'TRAIN_USER_CLASS_END_MSG', '1595306464161959936', '0', '0 1 8 23 11 ? 2022', '培训结束消息1123', '1', '2022-11-23 14:42:08');
INSERT INTO `sys_quartz` VALUES ('1595306786859126784', 'TRAIN_CLASS_START', '1595306464161959936', '0', '32 43 14 23 11 ? 2022', '培训开始1123', '1', '2022-11-23 14:42:32');
INSERT INTO `sys_quartz` VALUES ('1595306787635073024', 'TRAIN_CLASS_END', '1595306464161959936', '0', '10 43 14 24 11 ? 2022', '培训结束1123', '1', '2022-11-23 14:42:32');
INSERT INTO `sys_quartz` VALUES ('1595306788205498368', 'TRAIN_USER_CLASS_END_MSG', '1595306464161959936', '0', '0 1 8 23 11 ? 2022', '培训结束消息1123', '1', '2022-11-23 14:42:32');
INSERT INTO `sys_quartz` VALUES ('1595322931091738624', 'TRAIN_CLASS_START', '1595322590518448128', '0', '41 47 15 23 11 ? 2022', '培训开始1121培训库课程-b', '1', '2022-11-23 15:46:41');
INSERT INTO `sys_quartz` VALUES ('1595322931913822208', 'TRAIN_CLASS_END', '1595322590518448128', '0', '12 47 15 24 11 ? 2022', '培训结束1121培训库课程-b', '1', '2022-11-23 15:46:41');
INSERT INTO `sys_quartz` VALUES ('1595322932568133632', 'TRAIN_USER_CLASS_END_MSG', '1595322590518448128', '0', '0 1 8 23 11 ? 2022', '培训结束消息1121培训库课程-b', '1', '2022-11-23 15:46:42');
INSERT INTO `sys_quartz` VALUES ('1595338316700585984', 'TRAIN_CLASS_START', '1594539630882066432', '0', '49 48 16 23 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-23 16:47:49');
INSERT INTO `sys_quartz` VALUES ('1595338317589778432', 'TRAIN_CLASS_END', '1594539630882066432', '0', '49 49 16 23 11 ? 2022', '培训结束测试消息提醒', '1', '2022-11-23 16:47:50');
INSERT INTO `sys_quartz` VALUES ('1595338318344753152', 'TRAIN_USER_CLASS_END_MSG', '1594539630882066432', '0', '49 48 16 23 11 ? 2022', '培训结束消息测试消息提醒', '1', '2022-11-23 16:47:50');
INSERT INTO `sys_quartz` VALUES ('1595345067739058176', 'TRAIN_CLASS_START', '1595344829099937792', '0', '38 15 17 23 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-23 17:14:39');
INSERT INTO `sys_quartz` VALUES ('1595345068414341120', 'TRAIN_USER_CLASS_START_MSG', '1595344829099937792', '0', '39 15 17 23 11 ? 2022', '培训消息开始测试消息提醒', '1', '2022-11-23 17:14:39');
INSERT INTO `sys_quartz` VALUES ('1595345069144150016', 'TRAIN_CLASS_END', '1595344829099937792', '0', '35 15 17 30 11 ? 2022', '培训结束测试消息提醒', '1', '2022-11-23 17:14:39');
INSERT INTO `sys_quartz` VALUES ('1595345069769101312', 'TRAIN_USER_CLASS_END_MSG', '1595344829099937792', '0', '0 1 8 29 11 ? 2022', '培训结束消息测试消息提醒', '1', '2022-11-23 17:14:39');
INSERT INTO `sys_quartz` VALUES ('1595346933604552704', 'TRAIN_CLASS_START', '1595346555282526208', '0', '3 23 17 23 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-23 17:22:04');
INSERT INTO `sys_quartz` VALUES ('1595346934506328064', 'TRAIN_USER_CLASS_START_MSG', '1595346555282526208', '0', '3 23 17 23 11 ? 2022', '培训消息开始测试消息提醒', '1', '2022-11-23 17:22:04');
INSERT INTO `sys_quartz` VALUES ('1595346935571681280', 'TRAIN_CLASS_END', '1595346555282526208', '0', '26 22 17 24 11 ? 2022', '培训结束测试消息提醒', '1', '2022-11-23 17:22:04');
INSERT INTO `sys_quartz` VALUES ('1595346936666394624', 'TRAIN_USER_CLASS_END_MSG', '1595346555282526208', '0', '0 1 8 23 11 ? 2022', '培训结束消息测试消息提醒', '1', '2022-11-23 17:22:05');
INSERT INTO `sys_quartz` VALUES ('1596328223086612480', 'TRAIN_CLASS_START', '1596328011639164928', '0', '1 26 10 26 11 ? 2022', '培训开始测试是否可以关闭', '1', '2022-11-26 10:21:21');
INSERT INTO `sys_quartz` VALUES ('1596328223673815040', 'TRAIN_USER_CLASS_START_MSG', '1596328011639164928', '0', '0 1 9 25 11 ? 2022', '培训消息开始测试是否可以关闭', '1', '2022-11-26 10:21:22');
INSERT INTO `sys_quartz` VALUES ('1596328224361680896', 'TRAIN_CLASS_END', '1596328011639164928', '0', '1 32 10 26 11 ? 2022', '培训结束测试是否可以关闭', '1', '2022-11-26 10:21:22');
INSERT INTO `sys_quartz` VALUES ('1596328224932106240', 'TRAIN_USER_CLASS_END_MSG', '1596328011639164928', '0', '0 1 8 25 11 ? 2022', '培训结束消息测试是否可以关闭', '1', '2022-11-26 10:21:22');
INSERT INTO `sys_quartz` VALUES ('1596331626659450880', 'TRAIN_CLASS_START', '1596330952991313920', '0', '52 35 10 26 11 ? 2022', '培训开始测试定时任务', '1', '2022-11-26 10:34:53');
INSERT INTO `sys_quartz` VALUES ('1596331627305373696', 'TRAIN_USER_CLASS_START_MSG', '1596330952991313920', '0', '53 35 10 26 11 ? 2022', '培训消息开始测试定时任务', '1', '2022-11-26 10:34:53');
INSERT INTO `sys_quartz` VALUES ('1596331628072931328', 'TRAIN_CLASS_END', '1596330952991313920', '0', '3 34 10 28 11 ? 2022', '培训结束测试定时任务', '1', '2022-11-26 10:34:53');
INSERT INTO `sys_quartz` VALUES ('1596331628744019968', 'TRAIN_USER_CLASS_END_MSG', '1596330952991313920', '0', '0 1 8 27 11 ? 2022', '培训结束消息测试定时任务', '1', '2022-11-26 10:34:53');
INSERT INTO `sys_quartz` VALUES ('1596347140295233536', 'TRAIN_CLASS_START', '1596346735863664640', '0', '31 37 11 26 11 ? 2022', '培训开始测试培训报告导出', '1', '2022-11-26 11:36:32');
INSERT INTO `sys_quartz` VALUES ('1596347140496560128', 'TRAIN_USER_CLASS_START_MSG', '1596346735863664640', '0', '31 37 11 26 11 ? 2022', '培训消息开始测试培训报告导出', '1', '2022-11-26 11:36:32');
INSERT INTO `sys_quartz` VALUES ('1596347140869853184', 'TRAIN_CLASS_END', '1596346735863664640', '0', '46 36 11 27 11 ? 2022', '培训结束测试培训报告导出', '1', '2022-11-26 11:36:32');
INSERT INTO `sys_quartz` VALUES ('1596347141071179776', 'TRAIN_USER_CLASS_END_MSG', '1596346735863664640', '0', '0 1 8 26 11 ? 2022', '培训结束消息测试培训报告导出', '1', '2022-11-26 11:36:32');
INSERT INTO `sys_quartz` VALUES ('1596407251348885504', 'TRAIN_CLASS_START', '1596385685659586560', '0', '23 36 15 26 11 ? 2022', '培训开始测试培训报告导出第二次', '1', '2022-11-26 15:35:23');
INSERT INTO `sys_quartz` VALUES ('1596407251541823488', 'TRAIN_USER_CLASS_START_MSG', '1596385685659586560', '0', '23 36 15 26 11 ? 2022', '培训消息开始测试培训报告导出第二次', '1', '2022-11-26 15:35:23');
INSERT INTO `sys_quartz` VALUES ('1596407251806064640', 'TRAIN_CLASS_END', '1596385685659586560', '0', '37 11 14 27 11 ? 2022', '培训结束测试培训报告导出第二次', '1', '2022-11-26 15:35:23');
INSERT INTO `sys_quartz` VALUES ('1596407251986419712', 'TRAIN_USER_CLASS_END_MSG', '1596385685659586560', '0', '0 1 8 26 11 ? 2022', '培训结束消息测试培训报告导出第二次', '1', '2022-11-26 15:35:23');
INSERT INTO `sys_quartz` VALUES ('1596417087167926272', 'SUPPLIER_NOTICE_START', '1596417068268392448', '0', '28 15 16 26 11 ? 2022', '供应商公告开始111', '1', '2022-11-26 16:14:28');
INSERT INTO `sys_quartz` VALUES ('1596417087201480704', 'SUPPLIER_NOTICE_END', '1596417068268392448', '0', '50 15 16 27 11 ? 2022', '供应商公告结束111', '1', '2022-11-26 16:14:28');
INSERT INTO `sys_quartz` VALUES ('1596420803740700672', 'TRAIN_EXAM_START', '1596420803275132928', '0', '14 30 16 26 11 ? 2022', '考试开始--测试培训报告导出第二次--试卷001', '1', '2022-11-26 16:29:14');
INSERT INTO `sys_quartz` VALUES ('1596422644255821824', 'TRAIN_CLASS_START', '1596324541188149248', '0', '33 37 16 26 11 ? 2022', '培训开始2022年邮政培训中心培训', '1', '2022-11-26 16:36:33');
INSERT INTO `sys_quartz` VALUES ('1596422644863995904', 'TRAIN_USER_CLASS_START_MSG', '1596324541188149248', '0', '33 37 16 26 11 ? 2022', '培训消息开始2022年邮政培训中心培训', '1', '2022-11-26 16:36:33');
INSERT INTO `sys_quartz` VALUES ('1596422645497335808', 'TRAIN_CLASS_END', '1596324541188149248', '0', '33 38 16 26 11 ? 2022', '培训结束2022年邮政培训中心培训', '1', '2022-11-26 16:36:34');
INSERT INTO `sys_quartz` VALUES ('1596422646046789632', 'TRAIN_USER_CLASS_END_MSG', '1596324541188149248', '0', '33 37 16 26 11 ? 2022', '培训结束消息2022年邮政培训中心培训', '1', '2022-11-26 16:36:34');
INSERT INTO `sys_quartz` VALUES ('1596431243715678208', 'TRAIN_EXAM_START', '1596431243329802240', '0', '43 11 17 26 11 ? 2022', '考试开始--测试培训报告导出第二次--两道题', '1', '2022-11-26 17:10:43');
INSERT INTO `sys_quartz` VALUES ('1596431898094211072', 'TRAIN_EXAM_START', '1596431897708335104', '0', '19 14 17 26 11 ? 2022', '考试开始--测试培训报告导出第二次--两道题', '1', '2022-11-26 17:13:19');
INSERT INTO `sys_quartz` VALUES ('1596432694093418496', 'TRAIN_EXAM_START', '1596432693543964672', '0', '29 17 17 26 11 ? 2022', '考试开始--测试培训报告导出第二次--添加测试考试请勿关联', '1', '2022-11-26 17:16:29');
INSERT INTO `sys_quartz` VALUES ('1596433203017682944', 'SUPPLIER_NOTICE_START', '1596433181685452800', '0', '30 19 17 26 11 ? 2022', '供应商公告开始12', '1', '2022-11-26 17:18:31');
INSERT INTO `sys_quartz` VALUES ('1596433203772657664', 'SUPPLIER_NOTICE_END', '1596433181685452800', '0', '30 20 17 26 11 ? 2022', '供应商公告结束12', '1', '2022-11-26 17:18:31');
INSERT INTO `sys_quartz` VALUES ('1596433253135421440', 'TRAIN_EXAM_START', '1596433252569190400', '0', '42 19 17 26 11 ? 2022', '考试开始--测试培训报告导出第二次--两道题', '1', '2022-11-26 17:18:43');
INSERT INTO `sys_quartz` VALUES ('1596439618721550336', 'TRAIN_EXAM_START', '1596439618197262336', '0', '0 45 17 26 11 ? 2022', '考试开始--测试培训报告导出第二次--测出四十卷', '1', '2022-11-26 17:44:00');
INSERT INTO `sys_quartz` VALUES ('1596464806095884288', 'CLASS_LOOK_INTO_START', '1596464802526531584', '0', '5 25 19 26 11 ? 2022', '班级调查问卷开始调查1', '1', '2022-11-26 19:24:05');
INSERT INTO `sys_quartz` VALUES ('1596464806305599488', 'CLASS_LOOK_INTO_END', '1596464802526531584', '0', '0 2 0 30 11 ? 2022', '班级调查问卷结束调查1', '1', '2022-11-26 19:24:05');
INSERT INTO `sys_quartz` VALUES ('1596471046549147648', 'CLASS_LOOK_INTO_START', '1596471042757496832', '0', '53 49 19 26 11 ? 2022', '班级调查问卷开始dd ', '1', '2022-11-26 19:48:53');
INSERT INTO `sys_quartz` VALUES ('1596471046746279936', 'CLASS_LOOK_INTO_END', '1596471042757496832', '0', '0 2 0 27 11 ? 2022', '班级调查问卷结束dd ', '1', '2022-11-26 19:48:53');
INSERT INTO `sys_quartz` VALUES ('1596499198377857024', 'TRAIN_CLASS_START', '1596498438508384256', '0', '45 41 21 26 11 ? 2022', '培训开始测试消息提醒', '1', '2022-11-26 21:40:45');
INSERT INTO `sys_quartz` VALUES ('1596499198436577280', 'TRAIN_CLASS_END', '1596498438508384256', '0', '32 39 21 27 11 ? 2022', '培训结束测试消息提醒', '1', '2022-11-26 21:40:45');
INSERT INTO `sys_quartz` VALUES ('1596671332463022080', 'TRAIN_CLASS_START', '1596670850063536128', '0', '45 5 9 27 11 ? 2022', '培训开始测试评估计划1', '1', '2022-11-27 09:04:45');
INSERT INTO `sys_quartz` VALUES ('1596671332664348672', 'TRAIN_USER_CLASS_START_MSG', '1596670850063536128', '0', '45 5 9 27 11 ? 2022', '培训消息开始测试评估计划1', '1', '2022-11-27 09:04:45');
INSERT INTO `sys_quartz` VALUES ('1596671332928589824', 'TRAIN_CLASS_END', '1596670850063536128', '0', '38 4 9 28 11 ? 2022', '培训结束测试评估计划1', '1', '2022-11-27 09:04:45');
INSERT INTO `sys_quartz` VALUES ('1596671333146693632', 'TRAIN_USER_CLASS_END_MSG', '1596670850063536128', '0', '0 1 8 27 11 ? 2022', '培训结束消息测试评估计划1', '1', '2022-11-27 09:04:45');
INSERT INTO `sys_quartz` VALUES ('1596746208708268032', 'TRAIN_CLASS_START', '1596745761951977472', '0', '16 3 14 27 11 ? 2022', '培训开始第二次测试评估计划1127', '1', '2022-11-27 14:02:17');
INSERT INTO `sys_quartz` VALUES ('1596746208909594624', 'TRAIN_USER_CLASS_START_MSG', '1596745761951977472', '0', '16 3 14 27 11 ? 2022', '培训消息开始第二次测试评估计划1127', '1', '2022-11-27 14:02:17');
INSERT INTO `sys_quartz` VALUES ('1596746209178030080', 'TRAIN_CLASS_END', '1596745761951977472', '0', '22 2 14 28 11 ? 2022', '培训结束第二次测试评估计划1127', '1', '2022-11-27 14:02:17');
INSERT INTO `sys_quartz` VALUES ('1596746209370968064', 'TRAIN_USER_CLASS_END_MSG', '1596745761951977472', '0', '0 1 8 27 11 ? 2022', '培训结束消息第二次测试评估计划1127', '1', '2022-11-27 14:02:17');
INSERT INTO `sys_quartz` VALUES ('1596788601390239744', 'TRAIN_CLASS_START', '1596788426072526848', '0', '44 51 16 27 11 ? 2022', '培训开始测试就餐', '1', '2022-11-27 16:50:44');
INSERT INTO `sys_quartz` VALUES ('1596788602031968256', 'TRAIN_USER_CLASS_START_MSG', '1596788426072526848', '0', '44 51 16 27 11 ? 2022', '培训消息开始测试就餐', '1', '2022-11-27 16:50:44');
INSERT INTO `sys_quartz` VALUES ('1596788602791137280', 'TRAIN_CLASS_END', '1596788426072526848', '0', '35 49 16 28 11 ? 2022', '培训结束测试就餐', '1', '2022-11-27 16:50:45');
INSERT INTO `sys_quartz` VALUES ('1596788603336396800', 'TRAIN_USER_CLASS_END_MSG', '1596788426072526848', '0', '0 1 8 27 11 ? 2022', '培训结束消息测试就餐', '1', '2022-11-27 16:50:45');
INSERT INTO `sys_quartz` VALUES ('1596790280323993600', 'TRAIN_CLASS_START', '1596789911623700480', '0', '24 58 16 27 11 ? 2022', '培训开始1127 给黎利伯倒是评价', '1', '2022-11-27 16:57:24');
INSERT INTO `sys_quartz` VALUES ('1596790280537903104', 'TRAIN_USER_CLASS_START_MSG', '1596789911623700480', '0', '24 58 16 27 11 ? 2022', '培训消息开始1127 给黎利伯倒是评价', '1', '2022-11-27 16:57:24');
INSERT INTO `sys_quartz` VALUES ('1596790280881836032', 'TRAIN_CLASS_END', '1596789911623700480', '0', '51 57 16 28 11 ? 2022', '培训结束1127 给黎利伯倒是评价', '1', '2022-11-27 16:57:25');
INSERT INTO `sys_quartz` VALUES ('1596790281137688576', 'TRAIN_USER_CLASS_END_MSG', '1596789911623700480', '0', '0 1 8 27 11 ? 2022', '培训结束消息1127 给黎利伯倒是评价', '1', '2022-11-27 16:57:25');
INSERT INTO `sys_quartz` VALUES ('1596802402416201728', 'TRAIN_EXAM_START', '1596802401724141568', '0', '34 46 17 27 11 ? 2022', '考试开始--测试消息提醒--100', '1', '2022-11-27 17:45:35');
INSERT INTO `sys_quartz` VALUES ('1597123580578107392', 'TRAIN_CLASS_START', '1597123371915677696', '0', '49 2 15 28 11 ? 2022', '培训开始09-21-1001直接创建的培训班', '1', '2022-11-28 15:01:49');
INSERT INTO `sys_quartz` VALUES ('1597123581291139072', 'TRAIN_USER_CLASS_START_MSG', '1597123371915677696', '0', '49 2 15 28 11 ? 2022', '培训消息开始09-21-1001直接创建的培训班', '1', '2022-11-28 15:01:50');
INSERT INTO `sys_quartz` VALUES ('1597123581945450496', 'TRAIN_CLASS_END', '1597123371915677696', '0', '55 2 15 29 11 ? 2022', '培训结束09-21-1001直接创建的培训班', '1', '2022-11-28 15:01:50');
INSERT INTO `sys_quartz` VALUES ('1597123582545235968', 'TRAIN_USER_CLASS_END_MSG', '1597123371915677696', '0', '0 1 8 28 11 ? 2022', '培训结束消息09-21-1001直接创建的培训班', '1', '2022-11-28 15:01:50');
INSERT INTO `sys_quartz` VALUES ('1597130020915122176', 'TRAIN_CLASS_START', '1597129836160225280', '0', '24 28 15 28 11 ? 2022', '培训开始测试是否预留', '1', '2022-11-28 15:27:25');
INSERT INTO `sys_quartz` VALUES ('1597130021506519040', 'TRAIN_USER_CLASS_START_MSG', '1597129836160225280', '0', '25 28 15 28 11 ? 2022', '培训消息开始测试是否预留', '1', '2022-11-28 15:27:25');
INSERT INTO `sys_quartz` VALUES ('1597130022148247552', 'TRAIN_CLASS_END', '1597129836160225280', '0', '36 28 15 29 11 ? 2022', '培训结束测试是否预留', '1', '2022-11-28 15:27:25');
INSERT INTO `sys_quartz` VALUES ('1597130022752227328', 'TRAIN_USER_CLASS_END_MSG', '1597129836160225280', '0', '0 1 8 28 11 ? 2022', '培训结束消息测试是否预留', '1', '2022-11-28 15:27:25');
INSERT INTO `sys_quartz` VALUES ('1597136101590568960', 'TRAIN_CLASS_START', '1597135726384910336', '0', '34 52 15 28 11 ? 2022', '培训开始名单导入是否可以报到', '1', '2022-11-28 15:51:35');
INSERT INTO `sys_quartz` VALUES ('1597136102140022784', 'TRAIN_USER_CLASS_START_MSG', '1597135726384910336', '0', '34 52 15 28 11 ? 2022', '培训消息开始名单导入是否可以报到', '1', '2022-11-28 15:51:35');
INSERT INTO `sys_quartz` VALUES ('1597136102756585472', 'TRAIN_CLASS_END', '1597135726384910336', '0', '1 52 15 30 11 ? 2022', '培训结束名单导入是否可以报到', '1', '2022-11-28 15:51:35');
INSERT INTO `sys_quartz` VALUES ('1597136103289262080', 'TRAIN_USER_CLASS_END_MSG', '1597135726384910336', '0', '0 1 8 29 11 ? 2022', '培训结束消息名单导入是否可以报到', '1', '2022-11-28 15:51:35');
INSERT INTO `sys_quartz` VALUES ('1597138758539546624', 'TRAIN_WEEK_CLASS_START', '1597138740525010944', '0', '8 3 16 28 11 ? 2022', '周培训开始测试周培训二维码', '1', '2022-11-28 16:02:08');
INSERT INTO `sys_quartz` VALUES ('1597138758866702336', 'TRAIN_WEEK_CLASS_END', '1597138740525010944', '0', '59 1 0 25 12 ? 2022', '周培训结束测试周培训二维码', '1', '2022-11-28 16:02:08');
INSERT INTO `sys_quartz` VALUES ('1597146583961571328', 'TRAIN_CLASS_START', '1597146387521343488', '0', '13 34 16 28 11 ? 2022', '培训开始1121培训库课程-b', '1', '2022-11-28 16:33:14');
INSERT INTO `sys_quartz` VALUES ('1597146584154509312', 'TRAIN_USER_CLASS_START_MSG', '1597146387521343488', '0', '13 34 16 28 11 ? 2022', '培训消息开始1121培训库课程-b', '1', '2022-11-28 16:33:14');
INSERT INTO `sys_quartz` VALUES ('1597146584414556160', 'TRAIN_CLASS_END', '1597146387521343488', '0', '21 34 16 29 12 ? 2022', '培训结束1121培训库课程-b', '1', '2022-11-28 16:33:14');
INSERT INTO `sys_quartz` VALUES ('1597146584599105536', 'TRAIN_USER_CLASS_END_MSG', '1597146387521343488', '0', '0 1 8 28 12 ? 2022', '培训结束消息1121培训库课程-b', '1', '2022-11-28 16:33:14');
INSERT INTO `sys_quartz` VALUES ('1597505487371374592', 'TRAIN_CLASS_START', '1597505217669238784', '0', '23 20 16 29 11 ? 2022', '培训开始1121培训库课程-b', '1', '2022-11-29 16:19:23');
INSERT INTO `sys_quartz` VALUES ('1597505488013103104', 'TRAIN_USER_CLASS_START_MSG', '1597505217669238784', '0', '23 20 16 29 11 ? 2022', '培训消息开始1121培训库课程-b', '1', '2022-11-29 16:19:23');
INSERT INTO `sys_quartz` VALUES ('1597505488830992384', 'TRAIN_CLASS_END', '1597505217669238784', '0', '34 18 16 29 12 ? 2022', '培训结束1121培训库课程-b', '1', '2022-11-29 16:19:24');
INSERT INTO `sys_quartz` VALUES ('1597505489564995584', 'TRAIN_USER_CLASS_END_MSG', '1597505217669238784', '0', '0 1 8 28 12 ? 2022', '培训结束消息1121培训库课程-b', '1', '2022-11-29 16:19:24');
INSERT INTO `sys_quartz` VALUES ('1597515737646370816', 'TRAIN_CLASS_START', '1597515216793505792', '0', '6 1 17 29 11 ? 2022', '培训开始复测0922-001', '1', '2022-11-29 17:00:07');
INSERT INTO `sys_quartz` VALUES ('1597515738275516416', 'TRAIN_USER_CLASS_START_MSG', '1597515216793505792', '0', '7 1 17 29 11 ? 2022', '培训消息开始复测0922-001', '1', '2022-11-29 17:00:07');
INSERT INTO `sys_quartz` VALUES ('1597515738992742400', 'TRAIN_CLASS_END', '1597515216793505792', '0', '50 59 16 30 11 ? 2022', '培训结束复测0922-001', '1', '2022-11-29 17:00:07');
INSERT INTO `sys_quartz` VALUES ('1597515739575750656', 'TRAIN_USER_CLASS_END_MSG', '1597515216793505792', '0', '0 1 8 29 11 ? 2022', '培训结束消息复测0922-001', '1', '2022-11-29 17:00:07');
INSERT INTO `sys_quartz` VALUES ('1597555446179303424', 'TRAIN_CLASS_START', '1597552958424354816', '0', '39 28 19 30 11 ? 2022', '培训开始1927测试签到', '1', '2022-11-29 19:37:54');
INSERT INTO `sys_quartz` VALUES ('1597555446779088896', 'TRAIN_USER_CLASS_START_MSG', '1597552958424354816', '0', '0 1 9 29 11 ? 2022', '培训消息开始1927测试签到', '1', '2022-11-29 19:37:54');
INSERT INTO `sys_quartz` VALUES ('1597555447521480704', 'TRAIN_CLASS_END', '1597552958424354816', '0', '43 29 19 2 12 ? 2022', '培训结束1927测试签到', '1', '2022-11-29 19:37:55');
INSERT INTO `sys_quartz` VALUES ('1597555448133849088', 'TRAIN_USER_CLASS_END_MSG', '1597552958424354816', '0', '0 1 8 1 12 ? 2022', '培训结束消息1927测试签到', '1', '2022-11-29 19:37:55');
INSERT INTO `sys_quartz` VALUES ('1597556944355332096', 'TRAIN_CLASS_START', '1597556737949437952', '0', '51 44 19 29 11 ? 2022', '培训开始测试签到', '1', '2022-11-29 19:43:51');
INSERT INTO `sys_quartz` VALUES ('1597556944980283392', 'TRAIN_USER_CLASS_START_MSG', '1597556737949437952', '0', '51 44 19 29 11 ? 2022', '培训消息开始测试签到', '1', '2022-11-29 19:43:52');
INSERT INTO `sys_quartz` VALUES ('1597556945689120768', 'TRAIN_CLASS_END', '1597556737949437952', '0', '52 44 19 2 12 ? 2022', '培训结束测试签到', '1', '2022-11-29 19:43:52');
INSERT INTO `sys_quartz` VALUES ('1597556946297294848', 'TRAIN_USER_CLASS_END_MSG', '1597556737949437952', '0', '0 1 8 1 12 ? 2022', '培训结束消息测试签到', '1', '2022-11-29 19:43:52');
INSERT INTO `sys_quartz` VALUES ('1597557929165328384', 'TRAIN_CLASS_START', '1597557770041823232', '0', '46 48 19 29 11 ? 2022', '培训开始测试签到', '1', '2022-11-29 19:47:46');
INSERT INTO `sys_quartz` VALUES ('1597557929798668288', 'TRAIN_USER_CLASS_START_MSG', '1597557770041823232', '0', '46 48 19 29 11 ? 2022', '培训消息开始测试签到', '1', '2022-11-29 19:47:46');
INSERT INTO `sys_quartz` VALUES ('1597557930478145536', 'TRAIN_CLASS_END', '1597557770041823232', '0', '54 48 19 2 12 ? 2022', '培训结束测试签到', '1', '2022-11-29 19:47:47');
INSERT INTO `sys_quartz` VALUES ('1597557931107291136', 'TRAIN_USER_CLASS_END_MSG', '1597557770041823232', '0', '0 1 8 1 12 ? 2022', '培训结束消息测试签到', '1', '2022-11-29 19:47:47');
INSERT INTO `sys_quartz` VALUES ('1597559914803367936', 'TRAIN_CLASS_START', '1597559736184737792', '0', '39 56 19 29 11 ? 2022', '培训开始测试签到', '1', '2022-11-29 19:55:40');
INSERT INTO `sys_quartz` VALUES ('1597559915424124928', 'TRAIN_USER_CLASS_START_MSG', '1597559736184737792', '0', '39 56 19 29 11 ? 2022', '培训消息开始测试签到', '1', '2022-11-29 19:55:40');
INSERT INTO `sys_quartz` VALUES ('1597559916099407872', 'TRAIN_CLASS_END', '1597559736184737792', '0', '48 56 19 2 12 ? 2022', '培训结束测试签到', '1', '2022-11-29 19:55:40');
INSERT INTO `sys_quartz` VALUES ('1597559916720164864', 'TRAIN_USER_CLASS_END_MSG', '1597559736184737792', '0', '0 1 8 1 12 ? 2022', '培训结束消息测试签到', '1', '2022-11-29 19:55:40');
INSERT INTO `sys_quartz` VALUES ('1597757508682911744', 'TRAIN_CLASS_START', '1597757293041160192', '0', '49 1 9 30 11 ? 2022', '培训开始复测0922-001', '1', '2022-11-30 09:00:50');
INSERT INTO `sys_quartz` VALUES ('1597757509484023808', 'TRAIN_USER_CLASS_START_MSG', '1597757293041160192', '0', '49 1 9 30 11 ? 2022', '培训消息开始复测0922-001', '1', '2022-11-30 09:00:50');
INSERT INTO `sys_quartz` VALUES ('1597757510381604864', 'TRAIN_CLASS_END', '1597757293041160192', '0', '49 1 9 2 12 ? 2022', '培训结束复测0922-001', '1', '2022-11-30 09:00:50');
INSERT INTO `sys_quartz` VALUES ('1597757511044304896', 'TRAIN_USER_CLASS_END_MSG', '1597757293041160192', '0', '0 1 8 1 12 ? 2022', '培训结束消息复测0922-001', '1', '2022-11-30 09:00:50');
INSERT INTO `sys_quartz` VALUES ('1597774187559260160', 'TRAIN_CLASS_START', '1597773952061673472', '0', '6 8 10 30 11 ? 2022', '培训开始测试1130', '1', '2022-11-30 10:07:06');
INSERT INTO `sys_quartz` VALUES ('1597774188238737408', 'TRAIN_USER_CLASS_START_MSG', '1597773952061673472', '0', '6 8 10 30 11 ? 2022', '培训消息开始测试1130', '1', '2022-11-30 10:07:06');
INSERT INTO `sys_quartz` VALUES ('1597774188951769088', 'TRAIN_CLASS_END', '1597773952061673472', '0', '33 7 10 1 12 ? 2022', '培训结束测试1130', '1', '2022-11-30 10:07:07');
INSERT INTO `sys_quartz` VALUES ('1597774189547360256', 'TRAIN_USER_CLASS_END_MSG', '1597773952061673472', '0', '0 1 8 30 11 ? 2022', '培训结束消息测试1130', '1', '2022-11-30 10:07:07');
INSERT INTO `sys_quartz` VALUES ('1597774232446701568', 'TRAIN_CLASS_START', '1597773952061673472', '0', '16 8 10 30 11 ? 2022', '培训开始测试1130', '1', '2022-11-30 10:07:17');
INSERT INTO `sys_quartz` VALUES ('1597774233042292736', 'TRAIN_USER_CLASS_START_MSG', '1597773952061673472', '0', '17 8 10 30 11 ? 2022', '培训消息开始测试1130', '1', '2022-11-30 10:07:17');
INSERT INTO `sys_quartz` VALUES ('1597774233772101632', 'TRAIN_CLASS_END', '1597773952061673472', '0', '33 7 10 1 12 ? 2022', '培训结束测试1130', '1', '2022-11-30 10:07:17');
INSERT INTO `sys_quartz` VALUES ('1597774234388664320', 'TRAIN_USER_CLASS_END_MSG', '1597773952061673472', '0', '0 1 8 30 11 ? 2022', '培训结束消息测试1130', '1', '2022-11-30 10:07:17');
INSERT INTO `sys_quartz` VALUES ('1597823134843670528', 'SUPPLIER_NOTICE_START', '1597820774566203392', '0', '36 22 13 30 11 ? 2022', '供应商公告开始工商111111111', '1', '2022-11-30 13:21:36');
INSERT INTO `sys_quartz` VALUES ('1597823135493787648', 'SUPPLIER_NOTICE_END', '1597820774566203392', '0', '36 23 13 30 11 ? 2022', '供应商公告结束工商111111111', '1', '2022-11-30 13:21:36');
INSERT INTO `sys_quartz` VALUES ('1597823397335797760', 'SUPPLIER_NOTICE_START', '1597823380449529856', '0', '38 23 13 30 11 ? 2022', '供应商公告开始2222222222', '1', '2022-11-30 13:22:39');
INSERT INTO `sys_quartz` VALUES ('1597823397998497792', 'SUPPLIER_NOTICE_END', '1597823380449529856', '0', '23 32 13 30 11 ? 2022', '供应商公告结束2222222222', '1', '2022-11-30 13:22:39');
INSERT INTO `sys_quartz` VALUES ('1598509359472709632', 'TRAIN_CLASS_START', '1597161124694986752', '0', '24 49 10 2 12 ? 2022', '培训开始1121培训库课程-b', '1', '2022-12-02 10:48:25');
INSERT INTO `sys_quartz` VALUES ('1598509360068300800', 'TRAIN_USER_CLASS_START_MSG', '1597161124694986752', '0', '24 49 10 2 12 ? 2022', '培训消息开始1121培训库课程-b', '1', '2022-12-02 10:48:25');
INSERT INTO `sys_quartz` VALUES ('1598509360802304000', 'TRAIN_CLASS_END', '1597161124694986752', '0', '38 32 17 30 12 ? 2022', '培训结束1121培训库课程-b', '1', '2022-12-02 10:48:25');
INSERT INTO `sys_quartz` VALUES ('1598509361397895168', 'TRAIN_USER_CLASS_END_MSG', '1597161124694986752', '0', '0 1 8 29 12 ? 2022', '培训结束消息1121培训库课程-b', '1', '2022-12-02 10:48:25');
INSERT INTO `sys_quartz` VALUES ('1598522077613264896', 'TRAIN_CLASS_START', '1598521650104635392', '0', '57 39 11 2 12 ? 2022', '培训开始1202 培训报告打印', '1', '2022-12-02 11:38:57');
INSERT INTO `sys_quartz` VALUES ('1598522078225633280', 'TRAIN_USER_CLASS_START_MSG', '1598521650104635392', '0', '57 39 11 2 12 ? 2022', '培训消息开始1202 培训报告打印', '1', '2022-12-02 11:38:57');
INSERT INTO `sys_quartz` VALUES ('1598522078905110528', 'TRAIN_CLASS_END', '1598521650104635392', '0', '57 38 11 4 12 ? 2022', '培训结束1202 培训报告打印', '1', '2022-12-02 11:38:57');
INSERT INTO `sys_quartz` VALUES ('1598522079467147264', 'TRAIN_USER_CLASS_END_MSG', '1598521650104635392', '0', '0 1 8 3 12 ? 2022', '培训结束消息1202 培训报告打印', '1', '2022-12-02 11:38:58');
INSERT INTO `sys_quartz` VALUES ('1598522525665595392', 'TRAIN_CLASS_START', '1598522109934571520', '0', '43 41 11 2 12 ? 2022', '培训开始没有住宿', '1', '2022-12-02 11:40:44');
INSERT INTO `sys_quartz` VALUES ('1598522526277963776', 'TRAIN_USER_CLASS_START_MSG', '1598522109934571520', '0', '44 41 11 2 12 ? 2022', '培训消息开始没有住宿', '1', '2022-12-02 11:40:44');
INSERT INTO `sys_quartz` VALUES ('1598522526957441024', 'TRAIN_CLASS_END', '1598522109934571520', '0', '20 40 11 4 12 ? 2022', '培训结束没有住宿', '1', '2022-12-02 11:40:44');
INSERT INTO `sys_quartz` VALUES ('1598522527565615104', 'TRAIN_USER_CLASS_END_MSG', '1598522109934571520', '0', '0 1 8 3 12 ? 2022', '培训结束消息没有住宿', '1', '2022-12-02 11:40:44');
INSERT INTO `sys_quartz` VALUES ('1598522549539573760', 'TRAIN_CLASS_START', '1598522109934571520', '0', '49 41 11 2 12 ? 2022', '培训开始没有住宿', '1', '2022-12-02 11:40:50');
INSERT INTO `sys_quartz` VALUES ('1598522550097416192', 'TRAIN_USER_CLASS_START_MSG', '1598522109934571520', '0', '49 41 11 2 12 ? 2022', '培训消息开始没有住宿', '1', '2022-12-02 11:40:50');
INSERT INTO `sys_quartz` VALUES ('1598522550781087744', 'TRAIN_CLASS_END', '1598522109934571520', '0', '20 40 11 4 12 ? 2022', '培训结束没有住宿', '1', '2022-12-02 11:40:50');
INSERT INTO `sys_quartz` VALUES ('1598522551334735872', 'TRAIN_USER_CLASS_END_MSG', '1598522109934571520', '0', '0 1 8 3 12 ? 2022', '培训结束消息没有住宿', '1', '2022-12-02 11:40:50');
INSERT INTO `sys_quartz` VALUES ('1598951400266665984', 'TRAIN_CLASS_START', '1598951182674563072', '0', '55 5 16 3 12 ? 2022', '培训开始123培训班', '1', '2022-12-03 16:04:56');
INSERT INTO `sys_quartz` VALUES ('1598951400321191936', 'TRAIN_USER_CLASS_START_MSG', '1598951182674563072', '0', '55 5 16 3 12 ? 2022', '培训消息开始123培训班', '1', '2022-12-03 16:04:56');
INSERT INTO `sys_quartz` VALUES ('1598951400367329280', 'TRAIN_CLASS_END', '1598951182674563072', '0', '59 5 16 6 12 ? 2022', '培训结束123培训班', '1', '2022-12-03 16:04:56');
INSERT INTO `sys_quartz` VALUES ('1598951400405078016', 'TRAIN_USER_CLASS_END_MSG', '1598951182674563072', '0', '0 1 8 5 12 ? 2022', '培训结束消息123培训班', '1', '2022-12-03 16:04:56');
INSERT INTO `sys_quartz` VALUES ('1598956130913095680', 'TRAIN_EXAM_START', '1598956130850181120', '0', '43 24 16 3 12 ? 2022', '考试开始--123培训班--考试题', '1', '2022-12-03 16:23:43');
INSERT INTO `sys_quartz` VALUES ('1600726366280617984', 'TRAIN_CLASS_START', '1596689079976726528', '0', '0 39 13 8 12 ? 2022', '培训开始12-08-101', '1', '2022-12-08 13:38:00');
INSERT INTO `sys_quartz` VALUES ('1600726366385475584', 'TRAIN_USER_CLASS_START_MSG', '1596689079976726528', '0', '0 39 13 8 12 ? 2022', '培训消息开始12-08-101', '1', '2022-12-08 13:38:01');
INSERT INTO `sys_quartz` VALUES ('1600726368885280768', 'TRAIN_CLASS_END', '1596689079976726528', '0', '1 40 13 8 12 ? 2022', '培训结束12-08-101', '1', '2022-12-08 13:38:02');
INSERT INTO `sys_quartz` VALUES ('1600726371640938496', 'TRAIN_USER_CLASS_END_MSG', '1596689079976726528', '0', '1 39 13 8 12 ? 2022', '培训结束消息12-08-101', '1', '2022-12-08 13:38:02');
INSERT INTO `sys_quartz` VALUES ('1607634486516912128', 'TRAIN_CLASS_START', '1607634115245510656', '0', '24 9 15 27 12 ? 2022', '培训开始党建测试11111111111', '1', '2022-12-27 15:08:25');
INSERT INTO `sys_quartz` VALUES ('1607634487225749504', 'TRAIN_USER_CLASS_START_MSG', '1607634115245510656', '0', '24 9 15 27 12 ? 2022', '培训消息开始党建测试11111111111', '1', '2022-12-27 15:08:25');
INSERT INTO `sys_quartz` VALUES ('1607634488119136256', 'TRAIN_CLASS_END', '1607634115245510656', '0', '44 8 15 28 12 ? 2022', '培训结束党建测试11111111111', '1', '2022-12-27 15:08:25');
INSERT INTO `sys_quartz` VALUES ('1607634488911859712', 'TRAIN_USER_CLASS_END_MSG', '1607634115245510656', '0', '0 1 8 27 12 ? 2022', '培训结束消息党建测试11111111111', '1', '2022-12-27 15:08:25');
INSERT INTO `sys_quartz` VALUES ('1607984979814518784', 'SUPPLIER_NOTICE_START', '1607984960407474176', '0', '37 31 14 28 12 ? 2022', '供应商公告开始测试短信V12281420', '1', '2022-12-28 14:21:09');
INSERT INTO `sys_quartz` VALUES ('1607984980049399808', 'SUPPLIER_NOTICE_END', '1607984960407474176', '0', '47 22 14 31 12 ? 2022', '供应商公告结束测试短信V12281420', '1', '2022-12-28 14:21:09');
INSERT INTO `sys_quartz` VALUES ('1607991630047088640', 'SUPPLIER_NOTICE_START', '1607991602264018944', '0', '34 48 14 28 12 ? 2022', '供应商公告开始测试短信V12281420', '1', '2022-12-28 14:47:34');
INSERT INTO `sys_quartz` VALUES ('1607991630290358272', 'SUPPLIER_NOTICE_END', '1607991602264018944', '0', '16 49 14 31 12 ? 2022', '供应商公告结束测试短信V12281420', '1', '2022-12-28 14:47:34');
INSERT INTO `sys_quartz` VALUES ('1608705882357633024', 'SUPPLIER_NOTICE_START', '1608705859330904064', '0', '16 16 14 30 12 ? 2022', '供应商公告开始顶顶顶顶顶顶顶顶顶顶', '1', '2022-12-30 14:05:45');
INSERT INTO `sys_quartz` VALUES ('1608705882663817216', 'SUPPLIER_NOTICE_END', '1608705859330904064', '0', '29 47 18 30 12 ? 2022', '供应商公告结束顶顶顶顶顶顶顶顶顶顶', '1', '2022-12-30 14:05:45');
INSERT INTO `sys_quartz` VALUES ('1608707974501634048', 'SUPPLIER_NOTICE_START', '1608707957330153472', '0', '4 15 14 30 12 ? 2022', '供应商公告开始一趟一趟一趟一趟与他', '1', '2022-12-30 14:14:04');
INSERT INTO `sys_quartz` VALUES ('1608707974728126464', 'SUPPLIER_NOTICE_END', '1608707957330153472', '0', '40 2 19 30 12 ? 2022', '供应商公告结束一趟一趟一趟一趟与他', '1', '2022-12-30 14:14:04');
INSERT INTO `sys_quartz` VALUES ('1610176304999698432', 'TRAIN_CLASS_START', '1610175794691313664', '0', '41 29 15 3 1 ? 2023', '培训开始测试费用', '1', '2023-01-03 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1610176305666592768', 'TRAIN_USER_CLASS_START_MSG', '1610175794691313664', '0', '41 29 15 3 1 ? 2023', '培训消息开始测试费用', '1', '2023-01-03 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1610176306350264320', 'TRAIN_CLASS_END', '1610175794691313664', '0', '23 28 15 4 1 ? 2023', '培训结束测试费用', '1', '2023-01-03 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1610176307000381440', 'TRAIN_USER_CLASS_END_MSG', '1610175794691313664', '0', '0 1 8 3 1 ? 2023', '培训结束消息测试费用', '1', '2023-01-03 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1610464960247369728', 'TRAIN_CLASS_START', '1610464458696691712', '0', '42 36 10 4 1 ? 2023', '培训开始14 测试费用', '1', '2023-01-04 10:35:42');
INSERT INTO `sys_quartz` VALUES ('1610464960922652672', 'TRAIN_USER_CLASS_START_MSG', '1610464458696691712', '0', '42 36 10 4 1 ? 2023', '培训消息开始14 测试费用', '1', '2023-01-04 10:35:42');
INSERT INTO `sys_quartz` VALUES ('1610464961652461568', 'TRAIN_CLASS_END', '1610464458696691712', '0', '58 34 10 5 1 ? 2023', '培训结束14 测试费用', '1', '2023-01-04 10:35:43');
INSERT INTO `sys_quartz` VALUES ('1610464962294190080', 'TRAIN_USER_CLASS_END_MSG', '1610464458696691712', '0', '0 1 8 4 1 ? 2023', '培训结束消息14 测试费用', '1', '2023-01-04 10:35:43');
INSERT INTO `sys_quartz` VALUES ('1610552817355984896', 'TRAIN_WEEK_CLASS_START', '1610508150312669184', '0', '48 25 16 4 1 ? 2023', '周培训开始测试培训班0104', '1', '2023-01-04 16:24:49');
INSERT INTO `sys_quartz` VALUES ('1610552817381150720', 'TRAIN_WEEK_CLASS_END', '1610508150312669184', '0', '59 1 0 7 1 ? 2023', '周培训结束测试培训班0104', '1', '2023-01-04 16:24:49');
INSERT INTO `sys_quartz` VALUES ('1610829683639848960', 'TRAIN_CLASS_START', '1610829322136981504', '0', '59 45 10 5 1 ? 2023', '培训开始测试支付V1', '1', '2023-01-05 10:44:59');
INSERT INTO `sys_quartz` VALUES ('1610829683857952768', 'TRAIN_USER_CLASS_START_MSG', '1610829322136981504', '0', '59 45 10 5 1 ? 2023', '培训消息开始测试支付V1', '1', '2023-01-05 10:44:59');
INSERT INTO `sys_quartz` VALUES ('1610829684143165440', 'TRAIN_CLASS_END', '1610829322136981504', '0', '41 44 10 7 1 ? 2023', '培训结束测试支付V1', '1', '2023-01-05 10:44:59');
INSERT INTO `sys_quartz` VALUES ('1610829684352880640', 'TRAIN_USER_CLASS_END_MSG', '1610829322136981504', '0', '0 1 8 6 1 ? 2023', '培训结束消息测试支付V1', '1', '2023-01-05 10:44:59');
INSERT INTO `sys_quartz` VALUES ('1610831125243105280', 'TRAIN_CLASS_START', '1610830975682613248', '0', '42 51 10 5 1 ? 2023', '培训开始测试支付V2', '1', '2023-01-05 10:50:43');
INSERT INTO `sys_quartz` VALUES ('1610831125448626176', 'TRAIN_USER_CLASS_START_MSG', '1610830975682613248', '0', '42 51 10 5 1 ? 2023', '培训消息开始测试支付V2', '1', '2023-01-05 10:50:43');
INSERT INTO `sys_quartz` VALUES ('1610831125721255936', 'TRAIN_CLASS_END', '1610830975682613248', '0', '56 51 10 7 1 ? 2023', '培训结束测试支付V2', '1', '2023-01-05 10:50:43');
INSERT INTO `sys_quartz` VALUES ('1610831125914193920', 'TRAIN_USER_CLASS_END_MSG', '1610830975682613248', '0', '0 1 8 6 1 ? 2023', '培训结束消息测试支付V2', '1', '2023-01-05 10:50:43');
INSERT INTO `sys_quartz` VALUES ('1610832985236574208', 'TRAIN_CLASS_START', '1610832720240447488', '0', '6 59 10 5 1 ? 2023', '培训开始测试支付V3', '1', '2023-01-05 10:58:06');
INSERT INTO `sys_quartz` VALUES ('1610832985450483712', 'TRAIN_USER_CLASS_START_MSG', '1610832720240447488', '0', '6 59 10 5 1 ? 2023', '培训消息开始测试支付V3', '1', '2023-01-05 10:58:06');
INSERT INTO `sys_quartz` VALUES ('1610832985752473600', 'TRAIN_CLASS_END', '1610832720240447488', '0', '40 58 10 7 1 ? 2023', '培训结束测试支付V3', '1', '2023-01-05 10:58:06');
INSERT INTO `sys_quartz` VALUES ('1610832985953800192', 'TRAIN_USER_CLASS_END_MSG', '1610832720240447488', '0', '0 1 8 6 1 ? 2023', '培训结束消息测试支付V3', '1', '2023-01-05 10:58:06');
INSERT INTO `sys_quartz` VALUES ('1611169686735687680', 'TRAIN_CLASS_START', '1611169111981821952', '0', '2 17 9 6 1 ? 2023', '培训开始测试支付V4', '1', '2023-01-06 09:16:02');
INSERT INTO `sys_quartz` VALUES ('1611169686987345920', 'TRAIN_USER_CLASS_START_MSG', '1611169111981821952', '0', '2 17 9 6 1 ? 2023', '培训消息开始测试支付V4', '1', '2023-01-06 09:16:02');
INSERT INTO `sys_quartz` VALUES ('1611169687259975680', 'TRAIN_CLASS_END', '1611169111981821952', '0', '57 17 22 6 1 ? 2023', '培训结束测试支付V4', '1', '2023-01-06 09:16:02');
INSERT INTO `sys_quartz` VALUES ('1611169687457107968', 'TRAIN_USER_CLASS_END_MSG', '1611169111981821952', '0', '0 1 8 5 1 ? 2023', '培训结束消息测试支付V4', '1', '2023-01-06 09:16:02');
INSERT INTO `sys_quartz` VALUES ('1611208407434530816', 'TRAIN_CLASS_START', '1611208176332574720', '0', '53 50 11 6 1 ? 2023', '培训开始测试支付V5', '1', '2023-01-06 11:49:54');
INSERT INTO `sys_quartz` VALUES ('1611208407803629568', 'TRAIN_USER_CLASS_START_MSG', '1611208176332574720', '0', '53 50 11 6 1 ? 2023', '培训消息开始测试支付V5', '1', '2023-01-06 11:49:54');
INSERT INTO `sys_quartz` VALUES ('1611208408143368192', 'TRAIN_CLASS_END', '1611208176332574720', '0', '11 47 18 6 1 ? 2023', '培训结束测试支付V5', '1', '2023-01-06 11:49:54');
INSERT INTO `sys_quartz` VALUES ('1611208408336306176', 'TRAIN_USER_CLASS_END_MSG', '1611208176332574720', '0', '0 1 8 5 1 ? 2023', '培训结束消息测试支付V5', '1', '2023-01-06 11:49:54');
INSERT INTO `sys_quartz` VALUES ('1611245950863544320', 'TRAIN_CLASS_START', '1611245681211740160', '0', '4 20 14 6 1 ? 2023', '培训开始测试支付V6', '1', '2023-01-06 14:19:05');
INSERT INTO `sys_quartz` VALUES ('1611245951081648128', 'TRAIN_USER_CLASS_START_MSG', '1611245681211740160', '0', '4 20 14 6 1 ? 2023', '培训消息开始测试支付V6', '1', '2023-01-06 14:19:05');
INSERT INTO `sys_quartz` VALUES ('1611245951375249408', 'TRAIN_CLASS_END', '1611245681211740160', '0', '44 19 19 6 1 ? 2023', '培训结束测试支付V6', '1', '2023-01-06 14:19:05');
INSERT INTO `sys_quartz` VALUES ('1611245951576576000', 'TRAIN_USER_CLASS_END_MSG', '1611245681211740160', '0', '0 1 8 5 1 ? 2023', '培训结束消息测试支付V6', '1', '2023-01-06 14:19:05');
INSERT INTO `sys_quartz` VALUES ('1611989826905706496', 'TRAIN_CLASS_START', '1611989569824231424', '0', '58 35 15 8 1 ? 2023', '培训开始测试费用1月8', '1', '2023-01-08 15:34:59');
INSERT INTO `sys_quartz` VALUES ('1611989827534852096', 'TRAIN_USER_CLASS_START_MSG', '1611989569824231424', '0', '58 35 15 8 1 ? 2023', '培训消息开始测试费用1月8', '1', '2023-01-08 15:34:59');
INSERT INTO `sys_quartz` VALUES ('1611989828218523648', 'TRAIN_CLASS_END', '1611989569824231424', '0', '26 35 15 9 1 ? 2023', '培训结束测试费用1月8', '1', '2023-01-08 15:34:59');
INSERT INTO `sys_quartz` VALUES ('1611989828805726208', 'TRAIN_USER_CLASS_END_MSG', '1611989569824231424', '0', '0 1 8 8 1 ? 2023', '培训结束消息测试费用1月8', '1', '2023-01-08 15:34:59');
INSERT INTO `sys_quartz` VALUES ('1612263852228087808', 'TRAIN_CLASS_START', '1612263653086728192', '0', '51 44 9 9 1 ? 2023', '培训开始金融理财第一期', '1', '2023-01-09 09:43:51');
INSERT INTO `sys_quartz` VALUES ('1612263852664295424', 'TRAIN_USER_CLASS_START_MSG', '1612263653086728192', '0', '51 44 9 9 1 ? 2023', '培训消息开始金融理财第一期', '1', '2023-01-09 09:43:52');
INSERT INTO `sys_quartz` VALUES ('1612263853209554944', 'TRAIN_CLASS_END', '1612263653086728192', '0', '39 43 22 9 1 ? 2023', '培训结束金融理财第一期', '1', '2023-01-09 09:43:52');
INSERT INTO `sys_quartz` VALUES ('1612263853415075840', 'TRAIN_USER_CLASS_END_MSG', '1612263653086728192', '0', '0 1 8 8 1 ? 2023', '培训结束消息金融理财第一期', '1', '2023-01-09 09:43:52');
INSERT INTO `sys_quartz` VALUES ('1612324612765519872', 'TRAIN_CLASS_START', '1612324397706776576', '0', '17 46 13 9 1 ? 2023', '培训开始1月9 测试费用1', '1', '2023-01-09 13:45:18');
INSERT INTO `sys_quartz` VALUES ('1612324613428219904', 'TRAIN_USER_CLASS_START_MSG', '1612324397706776576', '0', '18 46 13 9 1 ? 2023', '培训消息开始1月9 测试费用1', '1', '2023-01-09 13:45:18');
INSERT INTO `sys_quartz` VALUES ('1612324615575703552', 'TRAIN_CLASS_END', '1612324397706776576', '0', '27 47 14 11 1 ? 2023', '培训结束1月9 测试费用1', '1', '2023-01-09 13:45:19');
INSERT INTO `sys_quartz` VALUES ('1612324616171294720', 'TRAIN_USER_CLASS_END_MSG', '1612324397706776576', '0', '0 1 8 10 1 ? 2023', '培训结束消息1月9 测试费用1', '1', '2023-01-09 13:45:19');
INSERT INTO `sys_quartz` VALUES ('1612367832056729600', 'TRAIN_CLASS_START', '1612367512480124928', '0', '2 38 16 9 1 ? 2023', '培训开始支付1', '1', '2023-01-09 16:37:02');
INSERT INTO `sys_quartz` VALUES ('1612367832287416320', 'TRAIN_USER_CLASS_START_MSG', '1612367512480124928', '0', '2 38 16 9 1 ? 2023', '培训消息开始支付1', '1', '2023-01-09 16:37:02');
INSERT INTO `sys_quartz` VALUES ('1612367832593600512', 'TRAIN_CLASS_END', '1612367512480124928', '0', '23 37 16 10 1 ? 2023', '培训结束支付1', '1', '2023-01-09 16:37:02');
INSERT INTO `sys_quartz` VALUES ('1612367832803315712', 'TRAIN_USER_CLASS_END_MSG', '1612367512480124928', '0', '0 1 8 9 1 ? 2023', '培训结束消息支付1', '1', '2023-01-09 16:37:02');
INSERT INTO `sys_quartz` VALUES ('1612402444359307264', 'TRAIN_CLASS_START', '1612402197872644096', '0', '34 55 18 9 1 ? 2023', '培训开始支付3', '1', '2023-01-09 18:54:34');
INSERT INTO `sys_quartz` VALUES ('1612402444585799680', 'TRAIN_USER_CLASS_START_MSG', '1612402197872644096', '0', '34 55 18 9 1 ? 2023', '培训消息开始支付3', '1', '2023-01-09 18:54:34');
INSERT INTO `sys_quartz` VALUES ('1612402444904566784', 'TRAIN_CLASS_END', '1612402197872644096', '0', '23 55 14 10 1 ? 2023', '培训结束支付3', '1', '2023-01-09 18:54:35');
INSERT INTO `sys_quartz` VALUES ('1612402445101699072', 'TRAIN_USER_CLASS_END_MSG', '1612402197872644096', '0', '0 1 8 9 1 ? 2023', '培训结束消息支付3', '1', '2023-01-09 18:54:35');
INSERT INTO `sys_quartz` VALUES ('1612708527330168832', 'TRAIN_CLASS_START', '1612708278364672000', '0', '50 11 15 10 1 ? 2023', '培训开始支付2', '1', '2023-01-10 15:10:50');
INSERT INTO `sys_quartz` VALUES ('1612708527569244160', 'TRAIN_USER_CLASS_START_MSG', '1612708278364672000', '0', '50 11 15 10 1 ? 2023', '培训消息开始支付2', '1', '2023-01-10 15:10:50');
INSERT INTO `sys_quartz` VALUES ('1612708527879622656', 'TRAIN_CLASS_END', '1612708278364672000', '0', '41 11 15 11 1 ? 2023', '培训结束支付2', '1', '2023-01-10 15:10:50');
INSERT INTO `sys_quartz` VALUES ('1612708528089337856', 'TRAIN_USER_CLASS_END_MSG', '1612708278364672000', '0', '0 1 8 10 1 ? 2023', '培训结束消息支付2', '1', '2023-01-10 15:10:50');
INSERT INTO `sys_quartz` VALUES ('1612708552605044736', 'TRAIN_CLASS_START', '1612708278364672000', '0', '56 11 15 10 1 ? 2023', '培训开始支付2', '1', '2023-01-10 15:10:56');
INSERT INTO `sys_quartz` VALUES ('1612708552852508672', 'TRAIN_USER_CLASS_START_MSG', '1612708278364672000', '0', '56 11 15 10 1 ? 2023', '培训消息开始支付2', '1', '2023-01-10 15:10:56');
INSERT INTO `sys_quartz` VALUES ('1612708553158692864', 'TRAIN_CLASS_END', '1612708278364672000', '0', '41 11 15 11 1 ? 2023', '培训结束支付2', '1', '2023-01-10 15:10:56');
INSERT INTO `sys_quartz` VALUES ('1612708553355825152', 'TRAIN_USER_CLASS_END_MSG', '1612708278364672000', '0', '0 1 8 10 1 ? 2023', '培训结束消息支付2', '1', '2023-01-10 15:10:56');
INSERT INTO `sys_quartz` VALUES ('1612712883525914624', 'TRAIN_CLASS_START', '1612710059157098496', '0', '8 29 15 10 1 ? 2023', '培训开始支付4', '1', '2023-01-10 15:28:09');
INSERT INTO `sys_quartz` VALUES ('1612712883735629824', 'TRAIN_USER_CLASS_START_MSG', '1612710059157098496', '0', '8 29 15 10 1 ? 2023', '培训消息开始支付4', '1', '2023-01-10 15:28:09');
INSERT INTO `sys_quartz` VALUES ('1612712884134088704', 'TRAIN_CLASS_END', '1612710059157098496', '0', '41 47 18 11 1 ? 2023', '培训结束支付4', '1', '2023-01-10 15:28:09');
INSERT INTO `sys_quartz` VALUES ('1612712884339609600', 'TRAIN_USER_CLASS_END_MSG', '1612710059157098496', '0', '0 1 8 10 1 ? 2023', '培训结束消息支付4', '1', '2023-01-10 15:28:09');
INSERT INTO `sys_quartz` VALUES ('1612768154994479104', 'TRAIN_CLASS_START', '1612767792682110976', '0', '46 8 19 10 1 ? 2023', '培训开始1.10', '1', '2023-01-10 19:07:47');
INSERT INTO `sys_quartz` VALUES ('1612768155632013312', 'TRAIN_USER_CLASS_START_MSG', '1612767792682110976', '0', '46 8 19 10 1 ? 2023', '培训消息开始1.10', '1', '2023-01-10 19:07:47');
INSERT INTO `sys_quartz` VALUES ('1612768156382793728', 'TRAIN_CLASS_END', '1612767792682110976', '0', '59 6 17 12 1 ? 2023', '培训结束1.10', '1', '2023-01-10 19:07:47');
INSERT INTO `sys_quartz` VALUES ('1612768157905326080', 'TRAIN_USER_CLASS_END_MSG', '1612767792682110976', '0', '0 1 8 11 1 ? 2023', '培训结束消息1.10', '1', '2023-01-10 19:07:47');
INSERT INTO `sys_quartz` VALUES ('1613049566368763904', 'TRAIN_CLASS_START', '1613049308599422976', '0', '0 47 13 11 1 ? 2023', '培训开始支付1月1111111111111111', '1', '2023-01-11 13:46:00');
INSERT INTO `sys_quartz` VALUES ('1613049567023075328', 'TRAIN_USER_CLASS_START_MSG', '1613049308599422976', '0', '0 47 13 11 1 ? 2023', '培训消息开始支付1月1111111111111111', '1', '2023-01-11 13:46:01');
INSERT INTO `sys_quartz` VALUES ('1613049567782244352', 'TRAIN_CLASS_END', '1613049308599422976', '0', '49 46 13 13 1 ? 2023', '培训结束支付1月1111111111111111', '1', '2023-01-11 13:46:01');
INSERT INTO `sys_quartz` VALUES ('1613049569518686208', 'TRAIN_USER_CLASS_END_MSG', '1613049308599422976', '0', '0 1 8 12 1 ? 2023', '培训结束消息支付1月1111111111111111', '1', '2023-01-11 13:46:01');
INSERT INTO `sys_quartz` VALUES ('1613049813073530880', 'TRAIN_CLASS_START', '1613049308599422976', '0', '59 47 13 11 1 ? 2023', '培训开始支付1月1111111111111111', '1', '2023-01-11 13:46:59');
INSERT INTO `sys_quartz` VALUES ('1613049813732036608', 'TRAIN_USER_CLASS_START_MSG', '1613049308599422976', '0', '59 47 13 11 1 ? 2023', '培训消息开始支付1月1111111111111111', '1', '2023-01-11 13:46:59');
INSERT INTO `sys_quartz` VALUES ('1613049814466039808', 'TRAIN_CLASS_END', '1613049308599422976', '0', '49 46 13 13 1 ? 2023', '培训结束支付1月1111111111111111', '1', '2023-01-11 13:47:00');
INSERT INTO `sys_quartz` VALUES ('1613049815187460096', 'TRAIN_USER_CLASS_END_MSG', '1613049308599422976', '0', '0 1 8 12 1 ? 2023', '培训结束消息支付1月1111111111111111', '1', '2023-01-11 13:47:00');
INSERT INTO `sys_quartz` VALUES ('1613064698406768640', 'TRAIN_CLASS_START', '1613064326346838016', '0', '8 47 14 11 1 ? 2023', '培训开始支付5', '1', '2023-01-11 14:46:08');
INSERT INTO `sys_quartz` VALUES ('1613064698629066752', 'TRAIN_USER_CLASS_START_MSG', '1613064326346838016', '0', '8 47 14 11 1 ? 2023', '培训消息开始支付5', '1', '2023-01-11 14:46:08');
INSERT INTO `sys_quartz` VALUES ('1613064698914279424', 'TRAIN_CLASS_END', '1613064326346838016', '0', '34 46 14 12 1 ? 2023', '培训结束支付5', '1', '2023-01-11 14:46:08');
INSERT INTO `sys_quartz` VALUES ('1613064699111411712', 'TRAIN_USER_CLASS_END_MSG', '1613064326346838016', '0', '0 1 8 11 1 ? 2023', '培训结束消息支付5', '1', '2023-01-11 14:46:08');
INSERT INTO `sys_quartz` VALUES ('1613342990980485120', 'TRAIN_CLASS_START', '1613342717457338368', '0', '58 12 9 12 1 ? 2023', '培训开始支付6', '1', '2023-01-12 09:11:58');
INSERT INTO `sys_quartz` VALUES ('1613342991190200320', 'TRAIN_USER_CLASS_START_MSG', '1613342717457338368', '0', '58 12 9 12 1 ? 2023', '培训消息开始支付6', '1', '2023-01-12 09:11:58');
INSERT INTO `sys_quartz` VALUES ('1613342991504773120', 'TRAIN_CLASS_END', '1613342717457338368', '0', '39 12 9 13 1 ? 2023', '培训结束支付6', '1', '2023-01-12 09:11:58');
INSERT INTO `sys_quartz` VALUES ('1613342991706099712', 'TRAIN_USER_CLASS_END_MSG', '1613342717457338368', '0', '0 1 8 12 1 ? 2023', '培训结束消息支付6', '1', '2023-01-12 09:11:58');
INSERT INTO `sys_quartz` VALUES ('1613729098817998848', 'SUPPLIER_NOTICE_START', '1613728979066425344', '0', '13 47 10 13 1 ? 2023', '供应商公告开始阿尔法打法', '1', '2023-01-13 10:46:13');
INSERT INTO `sys_quartz` VALUES ('1613729099082240000', 'SUPPLIER_NOTICE_END', '1613728979066425344', '0', '36 47 16 13 1 ? 2023', '供应商公告结束阿尔法打法', '1', '2023-01-13 10:46:14');
INSERT INTO `sys_quartz` VALUES ('1613804848275394560', 'TRAIN_CLASS_START', '1613804407424684032', '0', '13 48 15 13 1 ? 2023', '培训开始支付七', '1', '2023-01-13 15:47:14');
INSERT INTO `sys_quartz` VALUES ('1613804848514469888', 'TRAIN_USER_CLASS_START_MSG', '1613804407424684032', '0', '13 48 15 13 1 ? 2023', '培训消息开始支付七', '1', '2023-01-13 15:47:14');
INSERT INTO `sys_quartz` VALUES ('1613804848866791424', 'TRAIN_CLASS_END', '1613804407424684032', '0', '21 47 15 14 1 ? 2023', '培训结束支付七', '1', '2023-01-13 15:47:14');
INSERT INTO `sys_quartz` VALUES ('1613804849089089536', 'TRAIN_USER_CLASS_END_MSG', '1613804407424684032', '0', '0 1 8 13 1 ? 2023', '培训结束消息支付七', '1', '2023-01-13 15:47:14');
INSERT INTO `sys_quartz` VALUES ('1613810853201711104', 'TRAIN_CLASS_START', '1613808331804250112', '0', '5 12 16 13 1 ? 2023', '培训开始支付7', '1', '2023-01-13 16:11:05');
INSERT INTO `sys_quartz` VALUES ('1613810853419814912', 'TRAIN_USER_CLASS_START_MSG', '1613808331804250112', '0', '5 12 16 13 1 ? 2023', '培训消息开始支付7', '1', '2023-01-13 16:11:05');
INSERT INTO `sys_quartz` VALUES ('1613810853721804800', 'TRAIN_CLASS_END', '1613808331804250112', '0', '56 47 19 13 1 ? 2023', '培训结束支付7', '1', '2023-01-13 16:11:05');
INSERT INTO `sys_quartz` VALUES ('1613810853923131392', 'TRAIN_USER_CLASS_END_MSG', '1613808331804250112', '0', '0 1 8 12 1 ? 2023', '培训结束消息支付7', '1', '2023-01-13 16:11:05');
INSERT INTO `sys_quartz` VALUES ('1613814582688747520', 'TRAIN_CLASS_START', '1613814276676521984', '0', '54 26 16 13 1 ? 2023', '培训开始支付8', '1', '2023-01-13 16:25:54');
INSERT INTO `sys_quartz` VALUES ('1613814582932017152', 'TRAIN_USER_CLASS_START_MSG', '1613814276676521984', '0', '54 26 16 13 1 ? 2023', '培训消息开始支付8', '1', '2023-01-13 16:25:54');
INSERT INTO `sys_quartz` VALUES ('1613814583238201344', 'TRAIN_CLASS_END', '1613814276676521984', '0', '30 26 16 14 1 ? 2023', '培训结束支付8', '1', '2023-01-13 16:25:55');
INSERT INTO `sys_quartz` VALUES ('1613814583447916544', 'TRAIN_USER_CLASS_END_MSG', '1613814276676521984', '0', '0 1 8 13 1 ? 2023', '培训结束消息支付8', '1', '2023-01-13 16:25:55');
INSERT INTO `sys_quartz` VALUES ('1614180942174359552', 'TRAIN_CLASS_START', '1614180571775373312', '0', '41 42 16 14 1 ? 2023', '培训开始支付9', '1', '2023-01-14 16:41:41');
INSERT INTO `sys_quartz` VALUES ('1614180942476349440', 'TRAIN_USER_CLASS_START_MSG', '1614180571775373312', '0', '41 42 16 14 1 ? 2023', '培训消息开始支付9', '1', '2023-01-14 16:41:41');
INSERT INTO `sys_quartz` VALUES ('1614180942790922240', 'TRAIN_CLASS_END', '1614180571775373312', '0', '48 2 18 15 1 ? 2023', '培训结束支付9', '1', '2023-01-14 16:41:41');
INSERT INTO `sys_quartz` VALUES ('1614180942988054528', 'TRAIN_USER_CLASS_END_MSG', '1614180571775373312', '0', '0 1 8 14 1 ? 2023', '培训结束消息支付9', '1', '2023-01-14 16:41:42');
INSERT INTO `sys_quartz` VALUES ('1619598794159165440', 'TRAIN_CLASS_START', '1619578700037230592', '0', '17 31 15 29 1 ? 2023', '培训开始金融111', '1', '2023-01-29 15:30:18');
INSERT INTO `sys_quartz` VALUES ('1619598794389852160', 'TRAIN_USER_CLASS_START_MSG', '1619578700037230592', '0', '17 31 15 29 1 ? 2023', '培训消息开始金融111', '1', '2023-01-29 15:30:18');
INSERT INTO `sys_quartz` VALUES ('1619598794717007872', 'TRAIN_CLASS_END', '1619578700037230592', '0', '13 12 14 28 2 ? 2023', '培训结束金融111', '1', '2023-01-29 15:30:18');
INSERT INTO `sys_quartz` VALUES ('1619598794947694592', 'TRAIN_USER_CLASS_END_MSG', '1619578700037230592', '0', '0 1 8 27 2 ? 2023', '培训结束消息金融111', '1', '2023-01-29 15:30:18');
INSERT INTO `sys_quartz` VALUES ('1619608125797699584', 'TRAIN_CLASS_START', '1619578700037230592', '0', '22 8 16 29 1 ? 2023', '培训开始金融111', '1', '2023-01-29 16:07:23');
INSERT INTO `sys_quartz` VALUES ('1619608126028386304', 'TRAIN_USER_CLASS_START_MSG', '1619578700037230592', '0', '22 8 16 29 1 ? 2023', '培训消息开始金融111', '1', '2023-01-29 16:07:23');
INSERT INTO `sys_quartz` VALUES ('1619608126338764800', 'TRAIN_CLASS_END', '1619578700037230592', '0', '13 12 14 28 2 ? 2023', '培训结束金融111', '1', '2023-01-29 16:07:23');
INSERT INTO `sys_quartz` VALUES ('1619608126548480000', 'TRAIN_USER_CLASS_END_MSG', '1619578700037230592', '0', '0 1 8 27 2 ? 2023', '培训结束消息金融111', '1', '2023-01-29 16:07:23');
INSERT INTO `sys_quartz` VALUES ('1619615201693405184', 'TRAIN_CLASS_START', '1619578700037230592', '0', '29 36 16 29 1 ? 2023', '培训开始金融111', '1', '2023-01-29 16:35:30');
INSERT INTO `sys_quartz` VALUES ('1619615201894731776', 'TRAIN_USER_CLASS_START_MSG', '1619578700037230592', '0', '29 36 16 29 1 ? 2023', '培训消息开始金融111', '1', '2023-01-29 16:35:30');
INSERT INTO `sys_quartz` VALUES ('1619615202175750144', 'TRAIN_CLASS_END', '1619578700037230592', '0', '13 12 14 28 2 ? 2023', '培训结束金融111', '1', '2023-01-29 16:35:30');
INSERT INTO `sys_quartz` VALUES ('1619615202368688128', 'TRAIN_USER_CLASS_END_MSG', '1619578700037230592', '0', '0 1 8 27 2 ? 2023', '培训结束消息金融111', '1', '2023-01-29 16:35:30');
INSERT INTO `sys_quartz` VALUES ('1619875096309141504', 'TRAIN_CLASS_START', '1619874679139471360', '0', '13 49 9 30 1 ? 2023', '培训开始0130测试支付', '1', '2023-01-30 09:48:14');
INSERT INTO `sys_quartz` VALUES ('1619875096913121280', 'TRAIN_USER_CLASS_START_MSG', '1619874679139471360', '0', '13 49 9 30 1 ? 2023', '培训消息开始0130测试支付', '1', '2023-01-30 09:48:14');
INSERT INTO `sys_quartz` VALUES ('1619875097613570048', 'TRAIN_CLASS_END', '1619874679139471360', '0', '35 47 22 31 1 ? 2023', '培训结束0130测试支付', '1', '2023-01-30 09:48:14');
INSERT INTO `sys_quartz` VALUES ('1619875098293047296', 'TRAIN_USER_CLASS_END_MSG', '1619874679139471360', '0', '0 1 8 30 1 ? 2023', '培训结束消息0130测试支付', '1', '2023-01-30 09:48:14');
INSERT INTO `sys_quartz` VALUES ('1620323613951528960', 'TRAIN_CLASS_START', '1620322963117182976', '0', '28 31 15 31 1 ? 2023', '培训开始2022集中培训001', '1', '2023-01-31 15:30:28');
INSERT INTO `sys_quartz` VALUES ('1620323614261907456', 'TRAIN_USER_CLASS_START_MSG', '1620322963117182976', '0', '28 31 15 31 1 ? 2023', '培训消息开始2022集中培训001', '1', '2023-01-31 15:30:28');
INSERT INTO `sys_quartz` VALUES ('1620323614572285952', 'TRAIN_CLASS_END', '1620322963117182976', '0', '35 29 15 1 2 ? 2023', '培训结束2022集中培训001', '1', '2023-01-31 15:30:29');
INSERT INTO `sys_quartz` VALUES ('1620323614782001152', 'TRAIN_USER_CLASS_END_MSG', '1620322963117182976', '0', '0 1 8 31 1 ? 2023', '培训结束消息2022集中培训001', '1', '2023-01-31 15:30:29');
INSERT INTO `sys_quartz` VALUES ('1620324358826364928', 'TRAIN_CLASS_START', '1620324158833561600', '0', '25 34 15 31 1 ? 2023', '培训开始2022年10月份培训班///*****002', '1', '2023-01-31 15:33:26');
INSERT INTO `sys_quartz` VALUES ('1620324359061245952', 'TRAIN_USER_CLASS_START_MSG', '1620324158833561600', '0', '26 34 15 31 1 ? 2023', '培训消息开始2022年10月份培训班///*****002', '1', '2023-01-31 15:33:26');
INSERT INTO `sys_quartz` VALUES ('1620324359388401664', 'TRAIN_CLASS_END', '1620324158833561600', '0', '30 34 15 2 2 ? 2023', '培训结束2022年10月份培训班///*****002', '1', '2023-01-31 15:33:26');
INSERT INTO `sys_quartz` VALUES ('1620324359673614336', 'TRAIN_USER_CLASS_END_MSG', '1620324158833561600', '0', '0 1 8 1 2 ? 2023', '培训结束消息2022年10月份培训班///*****002', '1', '2023-01-31 15:33:26');
INSERT INTO `sys_quartz` VALUES ('1620324807709167616', 'TRAIN_CLASS_START', '1620324158833561600', '0', '12 36 15 31 1 ? 2023', '培训开始2022年10月份培训班///*****002', '1', '2023-01-31 15:35:13');
INSERT INTO `sys_quartz` VALUES ('1620324808019546112', 'TRAIN_USER_CLASS_START_MSG', '1620324158833561600', '0', '13 36 15 31 1 ? 2023', '培训消息开始2022年10月份培训班///*****002', '1', '2023-01-31 15:35:13');
INSERT INTO `sys_quartz` VALUES ('1620324808380256256', 'TRAIN_CLASS_END', '1620324158833561600', '0', '30 34 15 2 2 ? 2023', '培训结束2022年10月份培训班///*****002', '1', '2023-01-31 15:35:13');
INSERT INTO `sys_quartz` VALUES ('1620324808673857536', 'TRAIN_USER_CLASS_END_MSG', '1620324158833561600', '0', '0 1 8 1 2 ? 2023', '培训结束消息2022年10月份培训班///*****002', '1', '2023-01-31 15:35:13');
INSERT INTO `sys_quartz` VALUES ('1620324874377629696', 'TRAIN_CLASS_START', '1620324158833561600', '0', '28 36 15 31 1 ? 2023', '培训开始2022年10月份培训班///*****002', '1', '2023-01-31 15:35:29');
INSERT INTO `sys_quartz` VALUES ('1620324874671230976', 'TRAIN_USER_CLASS_START_MSG', '1620324158833561600', '0', '28 36 15 31 1 ? 2023', '培训消息开始2022年10月份培训班///*****002', '1', '2023-01-31 15:35:29');
INSERT INTO `sys_quartz` VALUES ('1620324875015163904', 'TRAIN_CLASS_END', '1620324158833561600', '0', '30 34 15 2 2 ? 2023', '培训结束2022年10月份培训班///*****002', '1', '2023-01-31 15:35:29');
INSERT INTO `sys_quartz` VALUES ('1620324875287793664', 'TRAIN_USER_CLASS_END_MSG', '1620324158833561600', '0', '0 1 8 1 2 ? 2023', '培训结束消息2022年10月份培训班///*****002', '1', '2023-01-31 15:35:29');
INSERT INTO `sys_quartz` VALUES ('1620325265408397312', 'TRAIN_CLASS_START', '1620324158833561600', '0', '2 38 15 31 1 ? 2023', '培训开始2022年10月份培训班///*****002', '1', '2023-01-31 15:37:02');
INSERT INTO `sys_quartz` VALUES ('1620325265689415680', 'TRAIN_USER_CLASS_START_MSG', '1620324158833561600', '0', '2 38 15 31 1 ? 2023', '培训消息开始2022年10月份培训班///*****002', '1', '2023-01-31 15:37:02');
INSERT INTO `sys_quartz` VALUES ('1620325266003988480', 'TRAIN_CLASS_END', '1620324158833561600', '0', '30 34 15 2 2 ? 2023', '培训结束2022年10月份培训班///*****002', '1', '2023-01-31 15:37:02');
INSERT INTO `sys_quartz` VALUES ('1620325266217897984', 'TRAIN_USER_CLASS_END_MSG', '1620324158833561600', '0', '0 1 8 1 2 ? 2023', '培训结束消息2022年10月份培训班///*****002', '1', '2023-01-31 15:37:02');
INSERT INTO `sys_quartz` VALUES ('1620333414303535104', 'TRAIN_WEEK_CLASS_START', '1620333398998519808', '0', '24 10 16 31 1 ? 2023', '周培训开始121212', '1', '2023-01-31 16:09:25');
INSERT INTO `sys_quartz` VALUES ('1620333414349672448', 'TRAIN_WEEK_CLASS_END', '1620333398998519808', '0', '59 1 0 3 2 ? 2023', '周培训结束121212', '1', '2023-01-31 16:09:25');
INSERT INTO `sys_quartz` VALUES ('1620599690456338432', 'TRAIN_CLASS_START', '1620598592655986688', '0', '30 48 9 1 2 ? 2023', '培训开始测试支付0942', '1', '2023-02-01 09:47:30');
INSERT INTO `sys_quartz` VALUES ('1620599691085484032', 'TRAIN_USER_CLASS_START_MSG', '1620598592655986688', '0', '30 48 9 1 2 ? 2023', '培训消息开始测试支付0942', '1', '2023-02-01 09:47:30');
INSERT INTO `sys_quartz` VALUES ('1620599691903373312', 'TRAIN_CLASS_END', '1620598592655986688', '0', '1 45 9 3 2 ? 2023', '培训结束测试支付0942', '1', '2023-02-01 09:47:31');
INSERT INTO `sys_quartz` VALUES ('1620599692574461952', 'TRAIN_USER_CLASS_END_MSG', '1620598592655986688', '0', '0 1 8 2 2 ? 2023', '培训结束消息测试支付0942', '1', '2023-02-01 09:47:31');
INSERT INTO `sys_quartz` VALUES ('1620599759528136704', 'TRAIN_CLASS_START', '1620598592655986688', '0', '46 48 9 1 2 ? 2023', '培训开始测试支付0942', '1', '2023-02-01 09:47:47');
INSERT INTO `sys_quartz` VALUES ('1620599760236974080', 'TRAIN_USER_CLASS_START_MSG', '1620598592655986688', '0', '46 48 9 1 2 ? 2023', '培训消息开始测试支付0942', '1', '2023-02-01 09:47:47');
INSERT INTO `sys_quartz` VALUES ('1620599760996143104', 'TRAIN_CLASS_END', '1620598592655986688', '0', '1 45 9 3 2 ? 2023', '培训结束测试支付0942', '1', '2023-02-01 09:47:47');
INSERT INTO `sys_quartz` VALUES ('1620599761646260224', 'TRAIN_USER_CLASS_END_MSG', '1620598592655986688', '0', '0 1 8 2 2 ? 2023', '培训结束消息测试支付0942', '1', '2023-02-01 09:47:47');
INSERT INTO `sys_quartz` VALUES ('1620601121309593600', 'TRAIN_CLASS_START', '1620598592655986688', '0', '11 54 9 1 2 ? 2023', '培训开始测试支付0942', '1', '2023-02-01 09:53:11');
INSERT INTO `sys_quartz` VALUES ('1620601122114899968', 'TRAIN_USER_CLASS_START_MSG', '1620598592655986688', '0', '11 54 9 1 2 ? 2023', '培训消息开始测试支付0942', '1', '2023-02-01 09:53:12');
INSERT INTO `sys_quartz` VALUES ('1620601122920206336', 'TRAIN_CLASS_END', '1620598592655986688', '0', '1 45 9 3 2 ? 2023', '培训结束测试支付0942', '1', '2023-02-01 09:53:12');
INSERT INTO `sys_quartz` VALUES ('1620601123712929792', 'TRAIN_USER_CLASS_END_MSG', '1620598592655986688', '0', '0 1 8 2 2 ? 2023', '培训结束消息测试支付0942', '1', '2023-02-01 09:53:12');
INSERT INTO `sys_quartz` VALUES ('1620614330754142208', 'TRAIN_CLASS_START', '1620613930487517184', '0', '40 46 10 1 2 ? 2023', '培训开始测试支付1043', '1', '2023-02-01 10:45:41');
INSERT INTO `sys_quartz` VALUES ('1620614331412647936', 'TRAIN_USER_CLASS_START_MSG', '1620613930487517184', '0', '40 46 10 1 2 ? 2023', '培训消息开始测试支付1043', '1', '2023-02-01 10:45:41');
INSERT INTO `sys_quartz` VALUES ('1620614332163428352', 'TRAIN_CLASS_END', '1620613930487517184', '0', '59 45 10 4 2 ? 2023', '培训结束测试支付1043', '1', '2023-02-01 10:45:41');
INSERT INTO `sys_quartz` VALUES ('1620614332889042944', 'TRAIN_USER_CLASS_END_MSG', '1620613930487517184', '0', '0 1 8 3 2 ? 2023', '培训结束消息测试支付1043', '1', '2023-02-01 10:45:41');
INSERT INTO `sys_quartz` VALUES ('1623945103515193344', 'TRAIN_CLASS_START', '1623944808060030976', '0', '58 21 15 10 2 ? 2023', '培训开始测试支付失败', '1', '2023-02-10 15:20:59');
INSERT INTO `sys_quartz` VALUES ('1623945104177893376', 'TRAIN_USER_CLASS_START_MSG', '1623944808060030976', '0', '58 21 15 10 2 ? 2023', '培训消息开始测试支付失败', '1', '2023-02-10 15:20:59');
INSERT INTO `sys_quartz` VALUES ('1623945104882536448', 'TRAIN_CLASS_END', '1623944808060030976', '0', '16 21 15 11 2 ? 2023', '培训结束测试支付失败', '1', '2023-02-10 15:20:59');
INSERT INTO `sys_quartz` VALUES ('1623945105494904832', 'TRAIN_USER_CLASS_END_MSG', '1623944808060030976', '0', '0 1 8 10 2 ? 2023', '培训结束消息测试支付失败', '1', '2023-02-10 15:20:59');
INSERT INTO `sys_quartz` VALUES ('1638711037115109376', 'TRAIN_CLASS_START', '1638710381205655552', '0', '31 16 9 23 3 ? 2023', '培训开始测试短信推送', '1', '2023-03-23 09:15:32');
INSERT INTO `sys_quartz` VALUES ('1638711037920415744', 'TRAIN_USER_CLASS_START_MSG', '1638710381205655552', '0', '31 16 9 23 3 ? 2023', '培训消息开始测试短信推送', '1', '2023-03-23 09:15:32');
INSERT INTO `sys_quartz` VALUES ('1638711038868328448', 'TRAIN_CLASS_END', '1638710381205655552', '0', '30 14 9 24 3 ? 2023', '培训结束测试短信推送', '1', '2023-03-23 09:15:32');
INSERT INTO `sys_quartz` VALUES ('1638711039640080384', 'TRAIN_USER_CLASS_END_MSG', '1638710381205655552', '0', '0 1 8 23 3 ? 2023', '培训结束消息测试短信推送', '1', '2023-03-23 09:15:32');
INSERT INTO `sys_quartz` VALUES ('1638718228198985728', 'TRAIN_CLASS_START', '1613015858672701440', '0', '6 45 9 23 3 ? 2023', '培训开始1.11', '1', '2023-03-23 09:44:06');
INSERT INTO `sys_quartz` VALUES ('1638718228920406016', 'TRAIN_USER_CLASS_START_MSG', '1613015858672701440', '0', '6 45 9 23 3 ? 2023', '培训消息开始1.11', '1', '2023-03-23 09:44:06');
INSERT INTO `sys_quartz` VALUES ('1638718229851541504', 'TRAIN_CLASS_END', '1613015858672701440', '0', '6 46 9 23 3 ? 2023', '培训结束1.11', '1', '2023-03-23 09:44:07');
INSERT INTO `sys_quartz` VALUES ('1638718230619099136', 'TRAIN_USER_CLASS_END_MSG', '1613015858672701440', '0', '6 45 9 23 3 ? 2023', '培训结束消息1.11', '1', '2023-03-23 09:44:07');
INSERT INTO `sys_quartz` VALUES ('1638718585494966272', 'TRAIN_CLASS_START', '1613015858672701440', '0', '31 46 9 23 3 ? 2023', '培训开始1.11', '1', '2023-03-23 09:45:32');
INSERT INTO `sys_quartz` VALUES ('1638718586384158720', 'TRAIN_USER_CLASS_START_MSG', '1613015858672701440', '0', '31 46 9 23 3 ? 2023', '培训消息开始1.11', '1', '2023-03-23 09:45:32');
INSERT INTO `sys_quartz` VALUES ('1638718587420151808', 'TRAIN_CLASS_END', '1613015858672701440', '0', '31 47 9 23 3 ? 2023', '培训结束1.11', '1', '2023-03-23 09:45:32');
INSERT INTO `sys_quartz` VALUES ('1638718588259012608', 'TRAIN_USER_CLASS_END_MSG', '1613015858672701440', '0', '32 46 9 23 3 ? 2023', '培训结束消息1.11', '1', '2023-03-23 09:45:32');
INSERT INTO `sys_quartz` VALUES ('1638719178024292352', 'TRAIN_CLASS_START', '1613015858672701440', '0', '52 48 9 23 3 ? 2023', '培训开始1.11', '1', '2023-03-23 09:47:53');
INSERT INTO `sys_quartz` VALUES ('1638719178787655680', 'TRAIN_USER_CLASS_START_MSG', '1613015858672701440', '0', '52 48 9 23 3 ? 2023', '培训消息开始1.11', '1', '2023-03-23 09:47:53');
INSERT INTO `sys_quartz` VALUES ('1638719179664265216', 'TRAIN_CLASS_END', '1613015858672701440', '0', '53 49 9 23 3 ? 2023', '培训结束1.11', '1', '2023-03-23 09:47:53');
INSERT INTO `sys_quartz` VALUES ('1638719180440211456', 'TRAIN_USER_CLASS_END_MSG', '1613015858672701440', '0', '53 48 9 23 3 ? 2023', '培训结束消息1.11', '1', '2023-03-23 09:47:53');
INSERT INTO `sys_quartz` VALUES ('1638719554651820032', 'TRAIN_CLASS_START', '1613015858672701440', '0', '22 50 9 23 3 ? 2023', '培训开始1.11', '1', '2023-03-23 09:49:23');
INSERT INTO `sys_quartz` VALUES ('1638719555855585280', 'TRAIN_USER_CLASS_START_MSG', '1613015858672701440', '0', '22 50 9 23 3 ? 2023', '培训消息开始1.11', '1', '2023-03-23 09:49:23');
INSERT INTO `sys_quartz` VALUES ('1638719557407477760', 'TRAIN_CLASS_END', '1613015858672701440', '0', '23 51 9 23 3 ? 2023', '培训结束1.11', '1', '2023-03-23 09:49:23');
INSERT INTO `sys_quartz` VALUES ('1638719558342807552', 'TRAIN_USER_CLASS_END_MSG', '1613015858672701440', '0', '23 50 9 23 3 ? 2023', '培训结束消息1.11', '1', '2023-03-23 09:49:24');
INSERT INTO `sys_quartz` VALUES ('1638720246439350272', 'TRAIN_CLASS_START', '1613015858672701440', '0', '7 53 9 23 3 ? 2023', '培训开始1.11', '1', '2023-03-23 09:52:08');
INSERT INTO `sys_quartz` VALUES ('1638720247529869312', 'TRAIN_USER_CLASS_START_MSG', '1613015858672701440', '0', '7 53 9 23 3 ? 2023', '培训消息开始1.11', '1', '2023-03-23 09:52:08');
INSERT INTO `sys_quartz` VALUES ('1638720248473587712', 'TRAIN_CLASS_END', '1613015858672701440', '0', '7 54 9 23 3 ? 2023', '培训结束1.11', '1', '2023-03-23 09:52:08');
INSERT INTO `sys_quartz` VALUES ('1638720249253728256', 'TRAIN_USER_CLASS_END_MSG', '1613015858672701440', '0', '8 53 9 23 3 ? 2023', '培训结束消息1.11', '1', '2023-03-23 09:52:08');
INSERT INTO `sys_quartz` VALUES ('1638721971967627264', 'TRAIN_CLASS_START', '1610175243224223744', '0', '58 59 9 23 3 ? 2023', '培训开始测试费用', '1', '2023-03-23 09:58:59');
INSERT INTO `sys_quartz` VALUES ('1638721972764545024', 'TRAIN_USER_CLASS_START_MSG', '1610175243224223744', '0', '58 59 9 23 3 ? 2023', '培训消息开始测试费用', '1', '2023-03-23 09:58:59');
INSERT INTO `sys_quartz` VALUES ('1638721973758595072', 'TRAIN_CLASS_END', '1610175243224223744', '0', '59 0 10 23 3 ? 2023', '培训结束测试费用', '1', '2023-03-23 09:58:59');
INSERT INTO `sys_quartz` VALUES ('1638721974463238144', 'TRAIN_USER_CLASS_END_MSG', '1610175243224223744', '0', '59 59 9 23 3 ? 2023', '培训结束消息测试费用', '1', '2023-03-23 09:58:59');
INSERT INTO `sys_quartz` VALUES ('1638722384716500992', 'TRAIN_CLASS_START', '1597791737093427200', '0', '37 1 10 23 3 ? 2023', '培训开始1121培训库课程-b79889987', '1', '2023-03-23 10:00:37');
INSERT INTO `sys_quartz` VALUES ('1638722385542778880', 'TRAIN_USER_CLASS_START_MSG', '1597791737093427200', '0', '37 1 10 23 3 ? 2023', '培训消息开始1121培训库课程-b79889987', '1', '2023-03-23 10:00:37');
INSERT INTO `sys_quartz` VALUES ('1638722386415194112', 'TRAIN_CLASS_END', '1597791737093427200', '0', '37 2 10 23 3 ? 2023', '培训结束1121培训库课程-b79889987', '1', '2023-03-23 10:00:38');
INSERT INTO `sys_quartz` VALUES ('1638722387195334656', 'TRAIN_USER_CLASS_END_MSG', '1597791737093427200', '0', '37 1 10 23 3 ? 2023', '培训结束消息1121培训库课程-b79889987', '1', '2023-03-23 10:00:38');
INSERT INTO `sys_quartz` VALUES ('1640982062355845120', 'TRAIN_CLASS_START', '1640981421491359744', '0', '49 37 15 30 3 ? 2023', '培训开始培训管理人员能力提升培训', '1', '2023-03-29 15:39:46');
INSERT INTO `sys_quartz` VALUES ('1640982062519422976', 'TRAIN_USER_CLASS_START_MSG', '1640981421491359744', '0', '0 1 9 29 3 ? 2023', '培训消息开始2023培训计划', '1', '2023-03-29 15:39:46');
INSERT INTO `sys_quartz` VALUES ('1640982062691389440', 'TRAIN_CLASS_END', '1640981421491359744', '0', '52 38 15 21 4 ? 2023', '培训结束培训管理人员能力提升培训', '1', '2023-03-29 15:39:46');
INSERT INTO `sys_quartz` VALUES ('1640982062884327424', 'TRAIN_USER_CLASS_END_MSG', '1640981421491359744', '0', '0 1 8 20 4 ? 2023', '培训结束消息2023培训计划', '1', '2023-03-29 15:39:46');
INSERT INTO `sys_quartz` VALUES ('1640982074657738752', 'TRAIN_CLASS_START', '1640981421491359744', '0', '49 37 15 30 3 ? 2023', '培训开始2023培训计划', '1', '2023-03-29 15:39:49');
INSERT INTO `sys_quartz` VALUES ('1640982074896814080', 'TRAIN_USER_CLASS_START_MSG', '1640981421491359744', '0', '0 1 9 29 3 ? 2023', '培训消息开始2023培训计划', '1', '2023-03-29 15:39:49');
INSERT INTO `sys_quartz` VALUES ('1640982075077169152', 'TRAIN_CLASS_END', '1640981421491359744', '0', '52 38 15 21 4 ? 2023', '培训结束2023培训计划', '1', '2023-03-29 15:39:49');
INSERT INTO `sys_quartz` VALUES ('1640982075253329920', 'TRAIN_USER_CLASS_END_MSG', '1640981421491359744', '0', '0 1 8 20 4 ? 2023', '培训结束消息2023培训计划', '1', '2023-03-29 15:39:49');
INSERT INTO `sys_quartz` VALUES ('1640984376990896128', 'TRAIN_CLASS_START', '1640983724587880448', '0', '41 22 11 3 4 ? 2023', '培训开始前端vue入门培训', '1', '2023-03-29 15:48:58');
INSERT INTO `sys_quartz` VALUES ('1640984377095753728', 'TRAIN_USER_CLASS_START_MSG', '1640983724587880448', '0', '0 1 9 29 3 ? 2023', '培训消息开始前端vue入门培训', '1', '2023-03-29 15:48:58');
INSERT INTO `sys_quartz` VALUES ('1640984377242554368', 'TRAIN_CLASS_END', '1640983724587880448', '0', '0 48 15 21 4 ? 2023', '培训结束前端vue入门培训', '1', '2023-03-29 15:48:58');
INSERT INTO `sys_quartz` VALUES ('1640984377343217664', 'TRAIN_USER_CLASS_END_MSG', '1640983724587880448', '0', '0 1 8 20 4 ? 2023', '培训结束消息前端vue入门培训', '1', '2023-03-29 15:48:58');
INSERT INTO `sys_quartz` VALUES ('1640985568563302400', 'TRAIN_CLASS_START', '1640984872040402944', '0', '48 57 15 30 8 ? 2023', '培训开始零基础学习理财2023线上课', '1', '2023-03-29 15:53:42');
INSERT INTO `sys_quartz` VALUES ('1640985568672354304', 'TRAIN_USER_CLASS_START_MSG', '1640984872040402944', '0', '0 1 9 30 3 ? 2023', '培训消息开始零基础学习理财2023线上课', '1', '2023-03-29 15:53:42');
INSERT INTO `sys_quartz` VALUES ('1640985568802377728', 'TRAIN_CLASS_END', '1640984872040402944', '0', '49 58 15 30 8 ? 2023', '培训结束零基础学习理财2023线上课', '1', '2023-03-29 15:53:42');
INSERT INTO `sys_quartz` VALUES ('1640985568932401152', 'TRAIN_USER_CLASS_END_MSG', '1640984872040402944', '0', '0 1 8 28 4 ? 2023', '培训结束消息零基础学习理财2023线上课', '1', '2023-03-29 15:53:42');
INSERT INTO `sys_quartz` VALUES ('1643890261841022976', 'TRAIN_EXAM_START', '1643890261690028032', '0', '55 16 16 6 4 ? 2023', '考试开始--2023年邮政营业员考评员培训及职业技能等级认定考试--考试题', '1', '2023-04-06 16:15:55');
INSERT INTO `sys_quartz` VALUES ('1673890981835051008', 'TRAIN_CLASS_START', '1673178905432952832', '0', '4 9 11 28 6 ? 2023', '培训开始投资第三期', '1', '2023-06-28 11:08:04');
INSERT INTO `sys_quartz` VALUES ('1673890982640357376', 'TRAIN_USER_CLASS_START_MSG', '1673178905432952832', '0', '4 9 11 28 6 ? 2023', '培训消息开始投资第三期', '1', '2023-06-28 11:08:04');
INSERT INTO `sys_quartz` VALUES ('1673890983420497920', 'TRAIN_CLASS_END', '1673178905432952832', '0', '52 58 11 28 6 ? 2023', '培训结束投资第三期', '1', '2023-06-28 11:08:05');
INSERT INTO `sys_quartz` VALUES ('1673890984129335296', 'TRAIN_USER_CLASS_END_MSG', '1673178905432952832', '0', '0 1 8 27 6 ? 2023', '培训结束消息投资第三期', '1', '2023-06-28 11:08:05');
INSERT INTO `sys_quartz` VALUES ('1689901635649802240', 'TRAIN_CLASS_START', '1673933013370671104', '0', '41 29 15 11 8 ? 2023', '培训开始投资第三期ceshi111', '1', '2023-08-11 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1689901636513828864', 'TRAIN_USER_CLASS_START_MSG', '1673933013370671104', '0', '41 29 15 11 8 ? 2023', '培训消息开始投资第三期ceshi111', '1', '2023-08-11 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1689901637344301056', 'TRAIN_CLASS_END', '1673933013370671104', '0', '41 30 15 11 8 ? 2023', '培训结束投资第三期ceshi111', '1', '2023-08-11 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1689901638090887168', 'TRAIN_USER_CLASS_END_MSG', '1673933013370671104', '0', '42 29 15 11 8 ? 2023', '培训结束消息投资第三期ceshi111', '1', '2023-08-11 15:28:42');
INSERT INTO `sys_quartz` VALUES ('1691378496208769024', 'TRAIN_CLASS_START', '1691377993613709312', '0', '14 54 10 22 9 ? 2023', '培训开始java开发培训', '1', '2023-08-15 17:17:13');
INSERT INTO `sys_quartz` VALUES ('1691378496833720320', 'TRAIN_USER_CLASS_START_MSG', '1691377993613709312', '0', '12 18 17 15 8 ? 2023', '培训消息开始测试计划库001', '1', '2023-08-15 17:17:13');
INSERT INTO `sys_quartz` VALUES ('1691378497592889344', 'TRAIN_CLASS_END', '1691377993613709312', '0', '14 55 10 22 9 ? 2023', '培训结束java开发培训', '1', '2023-08-15 17:17:13');
INSERT INTO `sys_quartz` VALUES ('1691378498230423552', 'TRAIN_USER_CLASS_END_MSG', '1691377993613709312', '0', '0 1 8 14 8 ? 2023', '培训结束消息测试计划库001', '1', '2023-08-15 17:17:13');
INSERT INTO `sys_quartz` VALUES ('1691386611679498240', 'TRAIN_CLASS_START', '1691385882579439616', '0', '27 50 17 15 8 ? 2023', '培训开始测试计划数据002-a', '1', '2023-08-15 17:49:27');
INSERT INTO `sys_quartz` VALUES ('1691386612363169792', 'TRAIN_USER_CLASS_START_MSG', '1691385882579439616', '0', '27 50 17 15 8 ? 2023', '培训消息开始测试计划数据002-a', '1', '2023-08-15 17:49:28');
INSERT INTO `sys_quartz` VALUES ('1691386613113950208', 'TRAIN_CLASS_END', '1691385882579439616', '0', '12 2 20 15 8 ? 2023', '培训结束测试计划数据002-a', '1', '2023-08-15 17:49:28');
INSERT INTO `sys_quartz` VALUES ('1691386613688569856', 'TRAIN_USER_CLASS_END_MSG', '1691385882579439616', '0', '0 1 8 14 8 ? 2023', '培训结束消息测试计划数据002-a', '1', '2023-08-15 17:49:28');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `name` varchar(20) DEFAULT NULL COMMENT '名称',
  `lv` smallint(1) DEFAULT NULL COMMENT '级别：1、省。2、市。3、县。4、支',
  `seq` smallint(3) DEFAULT NULL COMMENT '顺序号',
  `state` smallint(1) DEFAULT NULL COMMENT '状态 ：0、禁用 。1、正常。',
  `is_default` smallint(1) DEFAULT NULL COMMENT '系统默认： 0、否。1、是',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='角色';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES ('1', '省-管理员', '1', '1', '1', '1', '系统默认，不能禁用删除。', '2020-08-14 09:54:58');
INSERT INTO `sys_role` VALUES ('2', '市-管理员', '2', '2', '1', '1', '系统默认，不能禁用删除。', '2020-08-14 09:55:19');
INSERT INTO `sys_role` VALUES ('3', '县-管理员', '3', '3', '1', '1', '系统默认，不能禁用删除。', '2020-08-26 18:00:36');
INSERT INTO `sys_role` VALUES ('4', '支-管理员', '4', '4', '1', '1', '系统默认，不能禁用删除。', '2020-08-26 18:56:44');
INSERT INTO `sys_role` VALUES ('1315531490838319104', '办公室经理', '1', '1', '0', '0', null, '2020-10-12 13:55:23');
INSERT INTO `sys_role` VALUES ('1315531720895893504', '财务管理', '1', '3', '1', '0', null, '2020-10-12 13:56:18');
INSERT INTO `sys_role` VALUES ('1315531765934329856', '综合管理', '1', '4', '0', '0', null, '2020-10-12 13:56:29');
INSERT INTO `sys_role` VALUES ('1315531942841683968', '培训部经理', '1', '5', '1', '0', null, '2020-10-12 13:57:11');
INSERT INTO `sys_role` VALUES ('1315532030838181888', '远程教育管理', '1', '6', '0', '0', null, '2020-10-12 13:57:32');
INSERT INTO `sys_role` VALUES ('1315532096458067968', '技能鉴定', '1', '7', '0', '0', null, '2020-10-12 13:57:48');
INSERT INTO `sys_role` VALUES ('1315532165555032064', '教学事务管理', '1', '7', '0', '0', null, '2020-10-12 13:58:04');
INSERT INTO `sys_role` VALUES ('1315532229631414272', '课件开发及技术支撑', '1', '8', '0', '0', null, '2020-10-12 13:58:20');
INSERT INTO `sys_role` VALUES ('1315532570007572480', '短视频审核', '1', '9', '0', '0', null, '2020-10-12 13:59:41');
INSERT INTO `sys_role` VALUES ('1315536710939054080', '前台', '1', '10', '1', '0', null, '2020-10-12 14:16:08');
INSERT INTO `sys_role` VALUES ('1331788145267707904', '培训审核人员', '1', '11', '0', '0', null, '2020-11-26 10:33:32');
INSERT INTO `sys_role` VALUES ('1339397525723025408', '综合办负责人', '1', '11', '0', '0', null, '2020-12-17 10:30:30');
INSERT INTO `sys_role` VALUES ('1339401837010358272', '培训班主任', '1', '12', '1', '0', null, '2020-12-17 10:47:37');
INSERT INTO `sys_role` VALUES ('1351825673374797824', '财务主管', '1', '19', '0', '0', null, '2021-01-20 17:35:31');
INSERT INTO `sys_role` VALUES ('1364466482288922624', '地市培训管理', '1', '20', '1', '0', null, '2021-02-24 14:45:35');
INSERT INTO `sys_role` VALUES ('1564818694037704704', '郑州市权限lb', '2', '123', '0', '0', null, '2022-08-31 11:33:44');
INSERT INTO `sys_role` VALUES ('1591958980194865152', '课件开发及技术支撑', '1', '8', '1', '0', null, '2022-11-14 08:59:33');
INSERT INTO `sys_role` VALUES ('1592053400047063040', '前台人员', '1', '22', '1', '0', null, '2022-11-14 15:14:44');

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色id',
  `menu_id` bigint(20) DEFAULT NULL COMMENT '菜单id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='角色菜单';

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES ('1294189801662189568', '1294180973075894272', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1294189802140340224', '1294180973075894272', '1293755380819693568');
INSERT INTO `sys_role_menu` VALUES ('1294189802492661760', '1294180973075894272', '1294101555338940416');
INSERT INTO `sys_role_menu` VALUES ('1294189802861760512', '1294180973075894272', '1293757890515046400');
INSERT INTO `sys_role_menu` VALUES ('1295916804933292032', '1294090103202910208', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1295916805407248384', '1294090103202910208', '1294103829238910976');
INSERT INTO `sys_role_menu` VALUES ('1295916805801512960', '1294090103202910208', '1294103918363676672');
INSERT INTO `sys_role_menu` VALUES ('1295916806145445888', '1294090103202910208', '1295283207817793536');
INSERT INTO `sys_role_menu` VALUES ('1295916806472601600', '1294090103202910208', '1295283294400811008');
INSERT INTO `sys_role_menu` VALUES ('1295916806824923136', '1294090103202910208', '1295283365796253696');
INSERT INTO `sys_role_menu` VALUES ('1295916807252742144', '1294090103202910208', '1294104041936261120');
INSERT INTO `sys_role_menu` VALUES ('1295916807613452288', '1294090103202910208', '1294104196731244544');
INSERT INTO `sys_role_menu` VALUES ('1295916808066437120', '1294090103202910208', '1295720807741394944');
INSERT INTO `sys_role_menu` VALUES ('1295916808410370048', '1294090103202910208', '1295892047726776320');
INSERT INTO `sys_role_menu` VALUES ('1295916808984989696', '1294090103202910208', '1295892195718598656');
INSERT INTO `sys_role_menu` VALUES ('1295916809328922624', '1294090103202910208', '1295892298642624512');
INSERT INTO `sys_role_menu` VALUES ('1295916809760935936', '1294090103202910208', '1295720925953658880');
INSERT INTO `sys_role_menu` VALUES ('1295916810377498624', '1294090103202910208', '1295893069866078208');
INSERT INTO `sys_role_menu` VALUES ('1295916810964701184', '1294090103202910208', '1295893164678320128');
INSERT INTO `sys_role_menu` VALUES ('1295916811581263872', '1294090103202910208', '1295893251764654080');
INSERT INTO `sys_role_menu` VALUES ('1295916811937779712', '1294090103202910208', '1295892068589244416');
INSERT INTO `sys_role_menu` VALUES ('1295916812415930368', '1294090103202910208', '1295892226412515328');
INSERT INTO `sys_role_menu` VALUES ('1295916812780834816', '1294090103202910208', '1295899194225201152');
INSERT INTO `sys_role_menu` VALUES ('1295916813292539904', '1294090103202910208', '1295916561261006848');
INSERT INTO `sys_role_menu` VALUES ('1295916813632278528', '1294090103202910208', '1295916739837693952');
INSERT INTO `sys_role_menu` VALUES ('1295916813942657024', '1294090103202910208', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1295916814303367168', '1294090103202910208', '1295294293321322496');
INSERT INTO `sys_role_menu` VALUES ('1295916814768934912', '1294090103202910208', '1295294545252192256');
INSERT INTO `sys_role_menu` VALUES ('1295916815171588096', '1294090103202910208', '1295531958633369600');
INSERT INTO `sys_role_menu` VALUES ('1295916815750402048', '1294090103202910208', '1295532321486802944');
INSERT INTO `sys_role_menu` VALUES ('1295916816098529280', '1294090103202910208', '1295540993130631168');
INSERT INTO `sys_role_menu` VALUES ('1295916816480210944', '1294090103202910208', '1295652389319217152');
INSERT INTO `sys_role_menu` VALUES ('1295932130110607360', '1294090191224573952', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1295932130475511808', '1294090191224573952', '1294104041936261120');
INSERT INTO `sys_role_menu` VALUES ('1295932130857193472', '1294090191224573952', '1294104196731244544');
INSERT INTO `sys_role_menu` VALUES ('1295932131217903616', '1294090191224573952', '1295720807741394944');
INSERT INTO `sys_role_menu` VALUES ('1295932131599585280', '1294090191224573952', '1295892047726776320');
INSERT INTO `sys_role_menu` VALUES ('1295932131972878336', '1294090191224573952', '1295892195718598656');
INSERT INTO `sys_role_menu` VALUES ('1295932132329394176', '1294090191224573952', '1295892298642624512');
INSERT INTO `sys_role_menu` VALUES ('1295932132702687232', '1294090191224573952', '1295720925953658880');
INSERT INTO `sys_role_menu` VALUES ('1295932133067591680', '1294090191224573952', '1295893069866078208');
INSERT INTO `sys_role_menu` VALUES ('1295932133449273344', '1294090191224573952', '1295893164678320128');
INSERT INTO `sys_role_menu` VALUES ('1295932133805789184', '1294090191224573952', '1295893251764654080');
INSERT INTO `sys_role_menu` VALUES ('1322438800831549440', '2', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1322438800831549441', '2', '1302207667787403264');
INSERT INTO `sys_role_menu` VALUES ('1322438800831549442', '2', '1302207983383613440');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829889', '1', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829890', '1', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829891', '1', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829892', '1', '1302207667787403264');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829893', '1', '1302207924113903616');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829894', '1', '1302207983383613440');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829895', '1', '1302208053004865536');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829896', '1', '1302208119740436480');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829897', '1', '1302208196793995264');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829898', '1', '1302208265836433408');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829899', '1', '1302208339022843904');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829900', '1', '1302208402818207744');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829901', '1', '1302491029949255680');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829930', '1', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829931', '1', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829932', '1', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829933', '1', '1302212543028269056');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829934', '1', '1305422255093846016');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829935', '1', '1305422376422477824');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829944', '1', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829945', '1', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829946', '1', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829947', '1', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829948', '1', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829949', '1', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829950', '1', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829951', '1', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829952', '1', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829953', '1', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829954', '1', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829955', '1', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829956', '1', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829957', '1', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829958', '1', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829959', '1', '1295531958633369600');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829960', '1', '1295532321486802944');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829961', '1', '1298565302547779584');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829962', '1', '1298565432239853568');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829963', '1', '1298566602693939200');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829964', '1', '1298575798025981952');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829965', '1', '1299163576623304704');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829966', '1', '1295540993130631168');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829967', '1', '1298566082700906496');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829968', '1', '1298566160798846976');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829969', '1', '1298566511270694912');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829970', '1', '1298575901369438208');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829971', '1', '1295652389319217152');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829972', '1', '1298567052423991296');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829973', '1', '1302862364781187072');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829974', '1', '1301084518366711808');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829975', '1', '1302860859311263744');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829976', '1', '1302861071614349312');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829977', '1', '1300703922314416128');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829978', '1', '1310461440573968384');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829979', '1', '1314874969259380736');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829980', '1', '1317395752145784832');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829981', '1', '1317397135800537088');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829982', '1', '1317397244504313856');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829983', '1', '1317395901366538240');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829984', '1', '1317397629080047616');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829985', '1', '1317397707534503936');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829986', '1', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829987', '1', '1296027641496866816');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829988', '1', '1298586677354303488');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829989', '1', '1296027935257530368');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829990', '1', '1298587090048651264');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829991', '1', '1298587201487114240');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829992', '1', '1302810307160313856');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829993', '1', '1295294293321322496');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829994', '1', '1295294545252192256');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829995', '1', '1298584137292189696');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829996', '1', '1298584392108740608');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829997', '1', '1298585416416497664');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829998', '1', '1302209033314373632');
INSERT INTO `sys_role_menu` VALUES ('1328988784657829999', '1', '1302209264001093632');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830000', '1', '1302209325514756096');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830001', '1', '1302209402471845888');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830002', '1', '1302209463025012736');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830003', '1', '1302209630524542976');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830004', '1', '1302209939934154752');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830005', '1', '1302209999551991808');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830006', '1', '1302210057999618048');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830007', '1', '1302210117860724736');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830008', '1', '1302210182285234176');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830009', '1', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830010', '1', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830011', '1', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830012', '1', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830013', '1', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830014', '1', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830015', '1', '1301787327898718208');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830016', '1', '1302232912749531136');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830017', '1', '1302232743618416640');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830018', '1', '1302807269678911488');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830019', '1', '1301760202076459008');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830020', '1', '1302233733855842304');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830021', '1', '1302233594097438720');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830022', '1', '1302807753575763968');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830023', '1', '1296402147197456384');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830024', '1', '1296403907093860352');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830025', '1', '1298559558083547136');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830026', '1', '1298562212373336064');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830027', '1', '1298576255930732544');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830028', '1', '1296635581157216256');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830029', '1', '1298563052064608256');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830030', '1', '1298563138706345984');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830031', '1', '1298577456680275968');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830032', '1', '1302806411788554240');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830033', '1', '1296402391096233984');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830034', '1', '1298593034321137664');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830035', '1', '1298593423107952640');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830036', '1', '1298595802792464384');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830037', '1', '1302216379528777728');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830038', '1', '1319227029631143936');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830039', '1', '1302217458018553856');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830040', '1', '1302217521918775296');
INSERT INTO `sys_role_menu` VALUES ('1328988784657830041', '1', '1302217591456141312');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024192', '1', '1302215191789965312');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024193', '1', '1302217811426414592');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024194', '1', '1302217867026108416');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024195', '1', '1302217925943496704');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024196', '1', '1302217980209401856');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024197', '1', '1302218037130301440');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024198', '1', '1302218095787642880');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024199', '1', '1302215303282954240');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024200', '1', '1302217736771997696');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024201', '1', '1302215381187956736');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024202', '1', '1302218309843947520');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024203', '1', '1302215477971521536');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024204', '1', '1302218233008492544');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024205', '1', '1308224216469999616');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024206', '1', '1308224624022130688');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024207', '1', '1308224705785892864');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024208', '1', '1308220832627167232');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024209', '1', '1308281753043079168');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024210', '1', '1308281889378930688');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024211', '1', '1308282003271061504');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024212', '1', '1308282086188257280');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024213', '1', '1308282197068877824');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024214', '1', '1309095956565856256');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024215', '1', '1319545341888040960');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024216', '1', '1309097940345819136');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024217', '1', '1309098024269647872');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024218', '1', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024219', '1', '1295720925953658880');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024220', '1', '1298186513665888256');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024221', '1', '1295893164678320128');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024222', '1', '1295893251764654080');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024223', '1', '1298186879568580608');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024224', '1', '1298187140244574208');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024225', '1', '1295720807741394944');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024226', '1', '1298187279222837248');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024227', '1', '1295892195718598656');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024228', '1', '1295892298642624512');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024229', '1', '1298187462027382784');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024230', '1', '1299253369076060160');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024231', '1', '1302955381902938112');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024232', '1', '1294104041936261120');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024233', '1', '1294104196731244544');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024234', '1', '1298796589082611712');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024235', '1', '1298796652601151488');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024236', '1', '1298921950856482816');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024237', '1', '1298796986765545472');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024238', '1', '1298797071750533120');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024239', '1', '1298797603680555008');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024240', '1', '1294103829238910976');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024241', '1', '1298587707945127936');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024242', '1', '1295283207817793536');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024243', '1', '1295283294400811008');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024244', '1', '1295283365796253696');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024245', '1', '1295916561261006848');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024246', '1', '1295916739837693952');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024247', '1', '1298587849381253120');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024248', '1', '1298587947716710400');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024249', '1', '1298587998262267904');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024250', '1', '1295899194225201152');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024251', '1', '1306874589887991808');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024252', '1', '1306878802714038272');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024253', '1', '1298558845492269056');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024254', '1', '1298558914236911616');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024255', '1', '1295892068589244416');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024256', '1', '1295892226412515328');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024257', '1', '1302863370155855872');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024258', '1', '1302863862672003072');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024259', '1', '1302863971614855168');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024260', '1', '1323512922764349440');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024261', '1', '1323817354534195200');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024262', '1', '1305688744849969152');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024263', '1', '1305689137612984320');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024264', '1', '1305802004202917888');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024265', '1', '1305804398970146816');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024266', '1', '1305876853847887872');
INSERT INTO `sys_role_menu` VALUES ('1328988784662024267', '1', '1305838987902062592');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348672', '1315531720895893504', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348673', '1315531720895893504', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348674', '1315531720895893504', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348675', '1315531720895893504', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348676', '1315531720895893504', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348677', '1315531720895893504', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348678', '1315531720895893504', '1301787327898718208');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348679', '1315531720895893504', '1302232912749531136');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348680', '1315531720895893504', '1302232743618416640');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348681', '1315531720895893504', '1302807269678911488');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348682', '1315531720895893504', '1301760202076459008');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348683', '1315531720895893504', '1302233733855842304');
INSERT INTO `sys_role_menu` VALUES ('1329310929208348685', '1315531720895893504', '1302807753575763968');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745792', '1315532570007572480', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745793', '1315532570007572480', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745794', '1315532570007572480', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745795', '1315532570007572480', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745796', '1315532570007572480', '1296402147197456384');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745797', '1315532570007572480', '1302216379528777728');
INSERT INTO `sys_role_menu` VALUES ('1329628090019745798', '1315532570007572480', '1319227029631143936');
INSERT INTO `sys_role_menu` VALUES ('1329628090023940096', '1315532570007572480', '1302217458018553856');
INSERT INTO `sys_role_menu` VALUES ('1329628090023940097', '1315532570007572480', '1302217521918775296');
INSERT INTO `sys_role_menu` VALUES ('1329628090023940098', '1315532570007572480', '1302217591456141312');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568448', '1315532229631414272', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568449', '1315532229631414272', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568450', '1315532229631414272', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568451', '1315532229631414272', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568452', '1315532229631414272', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568453', '1315532229631414272', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568454', '1315532229631414272', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568455', '1315532229631414272', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568456', '1315532229631414272', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568457', '1315532229631414272', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568458', '1315532229631414272', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568459', '1315532229631414272', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568460', '1315532229631414272', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568461', '1315532229631414272', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568462', '1315532229631414272', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568463', '1315532229631414272', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568464', '1315532229631414272', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568465', '1315532229631414272', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568466', '1315532229631414272', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1329628179102568467', '1315532229631414272', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089216', '1315532096458067968', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089217', '1315532096458067968', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089218', '1315532096458067968', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089219', '1315532096458067968', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089220', '1315532096458067968', '1295531958633369600');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089221', '1315532096458067968', '1295532321486802944');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089222', '1315532096458067968', '1298565302547779584');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089223', '1315532096458067968', '1298565432239853568');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089224', '1315532096458067968', '1298566602693939200');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089225', '1315532096458067968', '1298575798025981952');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089226', '1315532096458067968', '1299163576623304704');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089227', '1315532096458067968', '1295540993130631168');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089228', '1315532096458067968', '1298566082700906496');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089229', '1315532096458067968', '1298566160798846976');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089230', '1315532096458067968', '1298566511270694912');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089231', '1315532096458067968', '1298575901369438208');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089232', '1315532096458067968', '1295652389319217152');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089233', '1315532096458067968', '1319226537295351808');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089234', '1315532096458067968', '1298567052423991296');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089235', '1315532096458067968', '1302862364781187072');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089236', '1315532096458067968', '1301084518366711808');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089237', '1315532096458067968', '1302860859311263744');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089238', '1315532096458067968', '1302861071614349312');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089239', '1315532096458067968', '1300703922314416128');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089240', '1315532096458067968', '1310461440573968384');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089241', '1315532096458067968', '1314874969259380736');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089242', '1315532096458067968', '1317395752145784832');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089243', '1315532096458067968', '1317397135800537088');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089244', '1315532096458067968', '1317397244504313856');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089245', '1315532096458067968', '1319226804313133056');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089246', '1315532096458067968', '1317395901366538240');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089247', '1315532096458067968', '1317397629080047616');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089248', '1315532096458067968', '1317397707534503936');
INSERT INTO `sys_role_menu` VALUES ('1329628491230089249', '1315532096458067968', '1319226884550168576');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769152', '1315531765934329856', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769153', '1315531765934329856', '1296027641496866816');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769154', '1315531765934329856', '1298586677354303488');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769155', '1315531765934329856', '1296027935257530368');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769156', '1315531765934329856', '1298587090048651264');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769157', '1315531765934329856', '1298587201487114240');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769158', '1315531765934329856', '1302810307160313856');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769159', '1315531765934329856', '1295294293321322496');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769160', '1315531765934329856', '1295294545252192256');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769161', '1315531765934329856', '1298584137292189696');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769162', '1315531765934329856', '1298584392108740608');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769163', '1315531765934329856', '1298585416416497664');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769164', '1315531765934329856', '1302209033314373632');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769165', '1315531765934329856', '1302209264001093632');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769166', '1315531765934329856', '1302209325514756096');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769167', '1315531765934329856', '1302209402471845888');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769168', '1315531765934329856', '1302209463025012736');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769169', '1315531765934329856', '1302209630524542976');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769170', '1315531765934329856', '1302209939934154752');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769171', '1315531765934329856', '1302209999551991808');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769172', '1315531765934329856', '1302210057999618048');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769173', '1315531765934329856', '1302210117860724736');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769174', '1315531765934329856', '1302210182285234176');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769175', '1315531765934329856', '1296402147197456384');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769176', '1315531765934329856', '1296403907093860352');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769177', '1315531765934329856', '1298559558083547136');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769178', '1315531765934329856', '1298562212373336064');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769179', '1315531765934329856', '1298576255930732544');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769180', '1315531765934329856', '1296635581157216256');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769181', '1315531765934329856', '1298563052064608256');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769182', '1315531765934329856', '1298563138706345984');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769183', '1315531765934329856', '1298577456680275968');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769184', '1315531765934329856', '1302806411788554240');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769185', '1315531765934329856', '1296402391096233984');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769186', '1315531765934329856', '1298593034321137664');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769187', '1315531765934329856', '1298593423107952640');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769188', '1315531765934329856', '1298595802792464384');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769189', '1315531765934329856', '1302216379528777728');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769190', '1315531765934329856', '1319227029631143936');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769191', '1315531765934329856', '1302217458018553856');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769192', '1315531765934329856', '1302217521918775296');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769193', '1315531765934329856', '1302217591456141312');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769194', '1315531765934329856', '1302215191789965312');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769195', '1315531765934329856', '1302217811426414592');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769196', '1315531765934329856', '1302217867026108416');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769197', '1315531765934329856', '1302217925943496704');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769198', '1315531765934329856', '1302217980209401856');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769199', '1315531765934329856', '1302218037130301440');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769200', '1315531765934329856', '1302218095787642880');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769201', '1315531765934329856', '1302215303282954240');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769202', '1315531765934329856', '1302217736771997696');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769203', '1315531765934329856', '1302215381187956736');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769204', '1315531765934329856', '1302218309843947520');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769205', '1315531765934329856', '1302215477971521536');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769206', '1315531765934329856', '1302218233008492544');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769207', '1315531765934329856', '1308224216469999616');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769208', '1315531765934329856', '1308224624022130688');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769209', '1315531765934329856', '1308224705785892864');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769210', '1315531765934329856', '1308220832627167232');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769211', '1315531765934329856', '1308281753043079168');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769212', '1315531765934329856', '1308281889378930688');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769213', '1315531765934329856', '1308282003271061504');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769214', '1315531765934329856', '1308282086188257280');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769215', '1315531765934329856', '1308282197068877824');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769216', '1315531765934329856', '1309095956565856256');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769217', '1315531765934329856', '1319545341888040960');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769218', '1315531765934329856', '1309097940345819136');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769219', '1315531765934329856', '1309098024269647872');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769220', '1315531765934329856', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769221', '1315531765934329856', '1295720925953658880');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769222', '1315531765934329856', '1298186513665888256');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769223', '1315531765934329856', '1295893164678320128');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769224', '1315531765934329856', '1295893251764654080');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769225', '1315531765934329856', '1298186879568580608');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769226', '1315531765934329856', '1298187140244574208');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769227', '1315531765934329856', '1295720807741394944');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769228', '1315531765934329856', '1298187279222837248');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769229', '1315531765934329856', '1295892195718598656');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769230', '1315531765934329856', '1295892298642624512');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769231', '1315531765934329856', '1298187462027382784');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769232', '1315531765934329856', '1299253369076060160');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769233', '1315531765934329856', '1302955381902938112');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769234', '1315531765934329856', '1294104041936261120');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769235', '1315531765934329856', '1294104196731244544');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769236', '1315531765934329856', '1298796589082611712');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769237', '1315531765934329856', '1298796652601151488');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769238', '1315531765934329856', '1298921950856482816');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769239', '1315531765934329856', '1298796986765545472');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769240', '1315531765934329856', '1298797071750533120');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769241', '1315531765934329856', '1298797603680555008');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769242', '1315531765934329856', '1294103829238910976');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769243', '1315531765934329856', '1298587707945127936');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769244', '1315531765934329856', '1295283207817793536');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769245', '1315531765934329856', '1295283294400811008');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769246', '1315531765934329856', '1295283365796253696');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769247', '1315531765934329856', '1295916561261006848');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769248', '1315531765934329856', '1295916739837693952');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769249', '1315531765934329856', '1298587849381253120');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769250', '1315531765934329856', '1298587947716710400');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769251', '1315531765934329856', '1298587998262267904');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769252', '1315531765934329856', '1295899194225201152');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769253', '1315531765934329856', '1306874589887991808');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769254', '1315531765934329856', '1306878802714038272');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769255', '1315531765934329856', '1298558845492269056');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769256', '1315531765934329856', '1298558914236911616');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769257', '1315531765934329856', '1295892068589244416');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769258', '1315531765934329856', '1295892226412515328');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769259', '1315531765934329856', '1302863370155855872');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769260', '1315531765934329856', '1302863862672003072');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769261', '1315531765934329856', '1302863971614855168');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769262', '1315531765934329856', '1323512922764349440');
INSERT INTO `sys_role_menu` VALUES ('1329628573790769263', '1315531765934329856', '1323817354534195200');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532992', '1315532165555032064', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532993', '1315532165555032064', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532994', '1315532165555032064', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532995', '1315532165555032064', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532996', '1315532165555032064', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532997', '1315532165555032064', '1302207667787403264');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532998', '1315532165555032064', '1302207924113903616');
INSERT INTO `sys_role_menu` VALUES ('1329628794872532999', '1315532165555032064', '1302207983383613440');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533000', '1315532165555032064', '1302208053004865536');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533001', '1315532165555032064', '1302208119740436480');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533002', '1315532165555032064', '1302208196793995264');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533003', '1315532165555032064', '1302208265836433408');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533004', '1315532165555032064', '1302208339022843904');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533005', '1315532165555032064', '1302208402818207744');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533006', '1315532165555032064', '1302491029949255680');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533007', '1315532165555032064', '1319225949073575936');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533008', '1315532165555032064', '1299589097328873472');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533009', '1315532165555032064', '1302444072681738240');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533010', '1315532165555032064', '1302221258133475328');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533011', '1315532165555032064', '1302221420595646464');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533012', '1315532165555032064', '1302221527533621248');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533013', '1315532165555032064', '1302222031215005696');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533014', '1315532165555032064', '1302222445398331392');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533015', '1315532165555032064', '1302222710088273920');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533016', '1315532165555032064', '1302223043132788736');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533017', '1315532165555032064', '1302436448045240320');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533018', '1315532165555032064', '1302436879580401664');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533019', '1315532165555032064', '1302437101635244032');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533020', '1315532165555032064', '1302437464014721024');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533021', '1315532165555032064', '1302437652213141504');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533022', '1315532165555032064', '1318795219625447424');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533023', '1315532165555032064', '1302438459918651392');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533024', '1315532165555032064', '1304316235256827904');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533025', '1315532165555032064', '1319226124974297088');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533026', '1315532165555032064', '1302210831345389568');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533027', '1315532165555032064', '1302587799609937920');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533028', '1315532165555032064', '1302223838662234112');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533029', '1315532165555032064', '1302223900758904832');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533030', '1315532165555032064', '1302223953372254208');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533031', '1315532165555032064', '1302224008669958144');
INSERT INTO `sys_role_menu` VALUES ('1329628794872533032', '1315532165555032064', '1302224120603348992');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727296', '1315532165555032064', '1302587909077078016');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727297', '1315532165555032064', '1302587971811282944');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727298', '1315532165555032064', '1302588113922691072');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727299', '1315532165555032064', '1302588174387777536');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727300', '1315532165555032064', '1319226220105306112');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727301', '1315532165555032064', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727302', '1315532165555032064', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727303', '1315532165555032064', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727304', '1315532165555032064', '1302212543028269056');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727305', '1315532165555032064', '1305422255093846016');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727306', '1315532165555032064', '1305422376422477824');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727307', '1315532165555032064', '1315908067879161856');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727308', '1315532165555032064', '1315909304032825344');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727309', '1315532165555032064', '1315909363650662400');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727315', '1315532165555032064', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727316', '1315532165555032064', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727317', '1315532165555032064', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727318', '1315532165555032064', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727319', '1315532165555032064', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727320', '1315532165555032064', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727321', '1315532165555032064', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727322', '1315532165555032064', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727323', '1315532165555032064', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727324', '1315532165555032064', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727325', '1315532165555032064', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727326', '1315532165555032064', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727327', '1315532165555032064', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727328', '1315532165555032064', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727329', '1315532165555032064', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727330', '1315532165555032064', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727331', '1315532165555032064', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727332', '1315532165555032064', '1302209033314373632');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727333', '1315532165555032064', '1302209264001093632');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727334', '1315532165555032064', '1302209325514756096');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727335', '1315532165555032064', '1302209402471845888');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727336', '1315532165555032064', '1302209463025012736');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727337', '1315532165555032064', '1302209630524542976');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727338', '1315532165555032064', '1302209939934154752');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727339', '1315532165555032064', '1302209999551991808');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727340', '1315532165555032064', '1302210057999618048');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727341', '1315532165555032064', '1302210117860724736');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727342', '1315532165555032064', '1302210182285234176');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727343', '1315532165555032064', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727344', '1315532165555032064', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727345', '1315532165555032064', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727346', '1315532165555032064', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727347', '1315532165555032064', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727348', '1315532165555032064', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727349', '1315532165555032064', '1301787327898718208');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727350', '1315532165555032064', '1302232912749531136');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727351', '1315532165555032064', '1302232743618416640');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727352', '1315532165555032064', '1302807269678911488');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727353', '1315532165555032064', '1301760202076459008');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727354', '1315532165555032064', '1302233733855842304');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727355', '1315532165555032064', '1302233594097438720');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727356', '1315532165555032064', '1302807753575763968');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727357', '1315532165555032064', '1296402147197456384');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727358', '1315532165555032064', '1296403907093860352');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727359', '1315532165555032064', '1298559558083547136');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727360', '1315532165555032064', '1298562212373336064');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727361', '1315532165555032064', '1298576255930732544');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727362', '1315532165555032064', '1308224216469999616');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727363', '1315532165555032064', '1308224624022130688');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727364', '1315532165555032064', '1308224705785892864');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727365', '1315532165555032064', '1308220832627167232');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727366', '1315532165555032064', '1308281753043079168');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727367', '1315532165555032064', '1308281889378930688');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727368', '1315532165555032064', '1308282003271061504');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727369', '1315532165555032064', '1308282086188257280');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727370', '1315532165555032064', '1308282197068877824');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727371', '1315532165555032064', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727372', '1315532165555032064', '1295899194225201152');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727373', '1315532165555032064', '1306874589887991808');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727374', '1315532165555032064', '1306878802714038272');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727375', '1315532165555032064', '1298558845492269056');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727376', '1315532165555032064', '1298558914236911616');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727377', '1315532165555032064', '1295892068589244416');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727378', '1315532165555032064', '1295892226412515328');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727379', '1315532165555032064', '1302863370155855872');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727380', '1315532165555032064', '1302863862672003072');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727381', '1315532165555032064', '1302863971614855168');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727382', '1315532165555032064', '1323512922764349440');
INSERT INTO `sys_role_menu` VALUES ('1329628794876727383', '1315532165555032064', '1323817354534195200');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314816', '1331788145267707904', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314817', '1331788145267707904', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314818', '1331788145267707904', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314819', '1331788145267707904', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314820', '1331788145267707904', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314821', '1331788145267707904', '1302207667787403264');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314822', '1331788145267707904', '1302208196793995264');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314823', '1331788145267707904', '1319225949073575936');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314824', '1331788145267707904', '1299589097328873472');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314825', '1331788145267707904', '1302223043132788736');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314826', '1331788145267707904', '1319226124974297088');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314827', '1331788145267707904', '1302210831345389568');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314828', '1331788145267707904', '1302224120603348992');
INSERT INTO `sys_role_menu` VALUES ('1331788380161314829', '1331788145267707904', '1319226220105306112');
INSERT INTO `sys_role_menu` VALUES ('1334759002025889792', '1', '1319226537295351808');
INSERT INTO `sys_role_menu` VALUES ('1334759002025889793', '1', '1319226804313133056');
INSERT INTO `sys_role_menu` VALUES ('1334759002025889794', '1', '1319226884550168576');
INSERT INTO `sys_role_menu` VALUES ('1334759224563077120', '1', '1319225949073575936');
INSERT INTO `sys_role_menu` VALUES ('1334759224563077122', '1', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774721', '1339397525723025408', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774722', '1339397525723025408', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774723', '1339397525723025408', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774724', '1339397525723025408', '1302207667787403264');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774725', '1339397525723025408', '1302207924113903616');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774726', '1339397525723025408', '1302207983383613440');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774727', '1339397525723025408', '1302208053004865536');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774728', '1339397525723025408', '1302208119740436480');
INSERT INTO `sys_role_menu` VALUES ('1339398350335774729', '1339397525723025408', '1302208196793995264');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969024', '1339397525723025408', '1302208265836433408');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969025', '1339397525723025408', '1302208339022843904');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969026', '1339397525723025408', '1302208402818207744');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969027', '1339397525723025408', '1302491029949255680');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969028', '1339397525723025408', '1319225949073575936');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969029', '1339397525723025408', '1336488972498636800');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969030', '1339397525723025408', '1336601300703514624');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969031', '1339397525723025408', '1336601370660311040');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969032', '1339397525723025408', '1336601439665000448');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969033', '1339397525723025408', '1336601531675447296');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969034', '1339397525723025408', '1336601604274655232');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969035', '1339397525723025408', '1336601674202091520');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969036', '1339397525723025408', '1336601851159777280');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969037', '1339397525723025408', '1336605813736869888');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969038', '1339397525723025408', '1336840741883875328');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969039', '1339397525723025408', '1336840819004542976');
INSERT INTO `sys_role_menu` VALUES ('1339398350339969040', '1339397525723025408', '1336840879306051584');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163328', '1339397525723025408', '1336841116703657984');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163329', '1339397525723025408', '1336841413865902080');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163330', '1339397525723025408', '1336841492353912832');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163331', '1339397525723025408', '1336841730565214208');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163332', '1339397525723025408', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163333', '1339397525723025408', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163334', '1339397525723025408', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163335', '1339397525723025408', '1302212543028269056');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163336', '1339397525723025408', '1305422255093846016');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163337', '1339397525723025408', '1305422376422477824');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163338', '1339397525723025408', '1315908067879161856');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163339', '1339397525723025408', '1315909304032825344');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163340', '1339397525723025408', '1315909363650662400');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163346', '1339397525723025408', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163347', '1339397525723025408', '1296027641496866816');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163348', '1339397525723025408', '1298586677354303488');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163349', '1339397525723025408', '1296027935257530368');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163350', '1339397525723025408', '1298587090048651264');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163351', '1339397525723025408', '1298587201487114240');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163352', '1339397525723025408', '1302810307160313856');
INSERT INTO `sys_role_menu` VALUES ('1339398350344163353', '1339397525723025408', '1295294293321322496');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357632', '1339397525723025408', '1295294545252192256');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357633', '1339397525723025408', '1298584137292189696');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357634', '1339397525723025408', '1298584392108740608');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357635', '1339397525723025408', '1298585416416497664');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357636', '1339397525723025408', '1302209033314373632');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357637', '1339397525723025408', '1302209264001093632');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357638', '1339397525723025408', '1302209325514756096');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357639', '1339397525723025408', '1302209402471845888');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357640', '1339397525723025408', '1302209463025012736');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357641', '1339397525723025408', '1302209630524542976');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357642', '1339397525723025408', '1302209939934154752');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357643', '1339397525723025408', '1302209999551991808');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357644', '1339397525723025408', '1302210057999618048');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357645', '1339397525723025408', '1302210117860724736');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357646', '1339397525723025408', '1302210182285234176');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357647', '1339397525723025408', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357648', '1339397525723025408', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357649', '1339397525723025408', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357650', '1339397525723025408', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357651', '1339397525723025408', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357652', '1339397525723025408', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357653', '1339397525723025408', '1301787327898718208');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357654', '1339397525723025408', '1302232912749531136');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357655', '1339397525723025408', '1302232743618416640');
INSERT INTO `sys_role_menu` VALUES ('1339398350348357656', '1339397525723025408', '1302807269678911488');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551936', '1339397525723025408', '1301760202076459008');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551937', '1339397525723025408', '1302233733855842304');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551938', '1339397525723025408', '1302233594097438720');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551939', '1339397525723025408', '1302807753575763968');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551940', '1339397525723025408', '1296402147197456384');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551941', '1339397525723025408', '1296403907093860352');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551942', '1339397525723025408', '1298559558083547136');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551943', '1339397525723025408', '1298562212373336064');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551944', '1339397525723025408', '1298576255930732544');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551945', '1339397525723025408', '1296635581157216256');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551946', '1339397525723025408', '1298563052064608256');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551947', '1339397525723025408', '1298563138706345984');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551948', '1339397525723025408', '1298577456680275968');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551949', '1339397525723025408', '1302806411788554240');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551950', '1339397525723025408', '1296402391096233984');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551951', '1339397525723025408', '1298593034321137664');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551952', '1339397525723025408', '1298593423107952640');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551953', '1339397525723025408', '1298595802792464384');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551954', '1339397525723025408', '1302216379528777728');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551955', '1339397525723025408', '1319227029631143936');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551956', '1339397525723025408', '1302217458018553856');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551957', '1339397525723025408', '1302217521918775296');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551958', '1339397525723025408', '1302217591456141312');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551959', '1339397525723025408', '1302215191789965312');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551960', '1339397525723025408', '1302217811426414592');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551961', '1339397525723025408', '1302217867026108416');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551962', '1339397525723025408', '1302217925943496704');
INSERT INTO `sys_role_menu` VALUES ('1339398350352551963', '1339397525723025408', '1302217980209401856');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746240', '1339397525723025408', '1302218037130301440');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746241', '1339397525723025408', '1302218095787642880');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746242', '1339397525723025408', '1302215303282954240');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746243', '1339397525723025408', '1302217736771997696');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746244', '1339397525723025408', '1302215381187956736');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746245', '1339397525723025408', '1302218309843947520');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746246', '1339397525723025408', '1302215477971521536');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746247', '1339397525723025408', '1302218233008492544');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746248', '1339397525723025408', '1308224216469999616');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746249', '1339397525723025408', '1308224624022130688');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746250', '1339397525723025408', '1308224705785892864');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746251', '1339397525723025408', '1308220832627167232');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746252', '1339397525723025408', '1308281753043079168');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746253', '1339397525723025408', '1308281889378930688');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746254', '1339397525723025408', '1308282003271061504');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746255', '1339397525723025408', '1308282086188257280');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746256', '1339397525723025408', '1308282197068877824');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746257', '1339397525723025408', '1309095956565856256');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746258', '1339397525723025408', '1319545341888040960');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746259', '1339397525723025408', '1309097940345819136');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746260', '1339397525723025408', '1309098024269647872');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746261', '1339397525723025408', '1336854020949676032');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746262', '1339397525723025408', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746263', '1339397525723025408', '1295720925953658880');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746264', '1339397525723025408', '1298186513665888256');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746265', '1339397525723025408', '1295893164678320128');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746266', '1339397525723025408', '1295893251764654080');
INSERT INTO `sys_role_menu` VALUES ('1339398350356746267', '1339397525723025408', '1298186879568580608');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940544', '1339397525723025408', '1298187140244574208');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940545', '1339397525723025408', '1295720807741394944');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940546', '1339397525723025408', '1298187279222837248');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940547', '1339397525723025408', '1295892195718598656');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940548', '1339397525723025408', '1295892298642624512');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940549', '1339397525723025408', '1298187462027382784');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940550', '1339397525723025408', '1299253369076060160');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940551', '1339397525723025408', '1302955381902938112');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940552', '1339397525723025408', '1294104041936261120');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940553', '1339397525723025408', '1294104196731244544');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940554', '1339397525723025408', '1298796589082611712');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940555', '1339397525723025408', '1298796652601151488');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940556', '1339397525723025408', '1298921950856482816');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940557', '1339397525723025408', '1298796986765545472');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940558', '1339397525723025408', '1298797071750533120');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940559', '1339397525723025408', '1298797603680555008');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940560', '1339397525723025408', '1294103829238910976');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940561', '1339397525723025408', '1298587707945127936');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940562', '1339397525723025408', '1295283207817793536');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940563', '1339397525723025408', '1295283294400811008');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940564', '1339397525723025408', '1295283365796253696');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940565', '1339397525723025408', '1295916561261006848');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940566', '1339397525723025408', '1295916739837693952');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940567', '1339397525723025408', '1298587849381253120');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940568', '1339397525723025408', '1298587947716710400');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940569', '1339397525723025408', '1298587998262267904');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940570', '1339397525723025408', '1295899194225201152');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940571', '1339397525723025408', '1306874589887991808');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940572', '1339397525723025408', '1306878802714038272');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940573', '1339397525723025408', '1298558845492269056');
INSERT INTO `sys_role_menu` VALUES ('1339398350360940574', '1339397525723025408', '1298558914236911616');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134848', '1339397525723025408', '1295892068589244416');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134849', '1339397525723025408', '1295892226412515328');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134850', '1339397525723025408', '1302863370155855872');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134851', '1339397525723025408', '1302863862672003072');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134852', '1339397525723025408', '1302863971614855168');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134853', '1339397525723025408', '1338295598696239104');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134854', '1339397525723025408', '1338295781035216896');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134855', '1339397525723025408', '1338295901176860672');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134856', '1339397525723025408', '1338296221185478656');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134857', '1339397525723025408', '1338296071704678400');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134858', '1339397525723025408', '1323512922764349440');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134859', '1339397525723025408', '1323817354534195200');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134860', '1339397525723025408', '1305688744849969152');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134861', '1339397525723025408', '1305689137612984320');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134862', '1339397525723025408', '1305802004202917888');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134863', '1339397525723025408', '1305804398970146816');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134864', '1339397525723025408', '1305876853847887872');
INSERT INTO `sys_role_menu` VALUES ('1339398350365134865', '1339397525723025408', '1305838987902062592');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817153', '1339401837010358272', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817182', '1339401837010358272', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817183', '1339401837010358272', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817184', '1339401837010358272', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817185', '1339401837010358272', '1302212543028269056');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817186', '1339401837010358272', '1305422255093846016');
INSERT INTO `sys_role_menu` VALUES ('1339402165088817187', '1339401837010358272', '1305422376422477824');
INSERT INTO `sys_role_menu` VALUES ('1339402165093011463', '1339401837010358272', '1305688744849969152');
INSERT INTO `sys_role_menu` VALUES ('1339402165093011464', '1339401837010358272', '1305689137612984320');
INSERT INTO `sys_role_menu` VALUES ('1339402165093011465', '1339401837010358272', '1305802004202917888');
INSERT INTO `sys_role_menu` VALUES ('1339402165093011466', '1339401837010358272', '1305804398970146816');
INSERT INTO `sys_role_menu` VALUES ('1339402165093011467', '1339401837010358272', '1305876853847887872');
INSERT INTO `sys_role_menu` VALUES ('1339402165093011468', '1339401837010358272', '1305838987902062592');
INSERT INTO `sys_role_menu` VALUES ('1343369884737867776', '1', '1340935507693146112');
INSERT INTO `sys_role_menu` VALUES ('1343369884742062080', '1', '1340937206096859136');
INSERT INTO `sys_role_menu` VALUES ('1343382785431310336', '1339401837010358272', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1343382785431310337', '1339401837010358272', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1343382785431310338', '1339401837010358272', '1340897427636490240');
INSERT INTO `sys_role_menu` VALUES ('1343382785431310339', '1339401837010358272', '1341693219477524480');
INSERT INTO `sys_role_menu` VALUES ('1343383787169517568', '1', '1340838213228564480');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711872', '1', '1340838627072151552');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711873', '1', '1340838967934849024');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711874', '1', '1340840111914487808');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711875', '1', '1340897427636490240');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711876', '1', '1340840725398556672');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711877', '1', '1340847576227909632');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711878', '1', '1340840859654033408');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711879', '1', '1340845474671890432');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711880', '1', '1340846002734764032');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711881', '1', '1340846106849972224');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711882', '1', '1341693061956243456');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711883', '1', '1341693219477524480');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711884', '1', '1336854020949676032');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711885', '1', '1338295598696239104');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711886', '1', '1338295781035216896');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711887', '1', '1338295901176860672');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711888', '1', '1338296221185478656');
INSERT INTO `sys_role_menu` VALUES ('1343383787173711889', '1', '1338296071704678400');
INSERT INTO `sys_role_menu` VALUES ('1343384049229631488', '1339397525723025408', '1340838967934849024');
INSERT INTO `sys_role_menu` VALUES ('1343384049233825792', '1339397525723025408', '1340840111914487808');
INSERT INTO `sys_role_menu` VALUES ('1343384049233825793', '1339397525723025408', '1340847576227909632');
INSERT INTO `sys_role_menu` VALUES ('1343384049233825794', '1339397525723025408', '1340845474671890432');
INSERT INTO `sys_role_menu` VALUES ('1344189912513122304', '1339401837010358272', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1344189912513122305', '1339401837010358272', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1347016073635041280', '1339401837010358272', '1296402147197456384');
INSERT INTO `sys_role_menu` VALUES ('1347016073635041281', '1339401837010358272', '1296635581157216256');
INSERT INTO `sys_role_menu` VALUES ('1347016073635041282', '1339401837010358272', '1298563052064608256');
INSERT INTO `sys_role_menu` VALUES ('1347016073635041283', '1339401837010358272', '1298563138706345984');
INSERT INTO `sys_role_menu` VALUES ('1347016073635041284', '1339401837010358272', '1298577456680275968');
INSERT INTO `sys_role_menu` VALUES ('1347016073635041285', '1339401837010358272', '1302806411788554240');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136384', '1315532030838181888', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136385', '1315532030838181888', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136386', '1315532030838181888', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136387', '1315532030838181888', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136388', '1315532030838181888', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136389', '1315532030838181888', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136390', '1315532030838181888', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136391', '1315532030838181888', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136392', '1315532030838181888', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136393', '1315532030838181888', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136394', '1315532030838181888', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136395', '1315532030838181888', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136396', '1315532030838181888', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136397', '1315532030838181888', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136398', '1315532030838181888', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1351338805445136399', '1315532030838181888', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022144', '1339401837010358272', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022145', '1339401837010358272', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022146', '1339401837010358272', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022147', '1339401837010358272', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022148', '1339401837010358272', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022149', '1339401837010358272', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022150', '1339401837010358272', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022151', '1339401837010358272', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022152', '1339401837010358272', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022153', '1339401837010358272', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022154', '1339401837010358272', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022155', '1339401837010358272', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022156', '1339401837010358272', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022157', '1339401837010358272', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022158', '1339401837010358272', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1351338864438022159', '1339401837010358272', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623104', '1339397525723025408', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623105', '1339397525723025408', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623106', '1339397525723025408', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623107', '1339397525723025408', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623108', '1339397525723025408', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623109', '1339397525723025408', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623110', '1339397525723025408', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623111', '1339397525723025408', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623112', '1339397525723025408', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623113', '1339397525723025408', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623114', '1339397525723025408', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623115', '1339397525723025408', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623116', '1339397525723025408', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623117', '1339397525723025408', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623118', '1339397525723025408', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1351338923640623119', '1339397525723025408', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1351339708986298368', '1315531765934329856', '1336854020949676032');
INSERT INTO `sys_role_menu` VALUES ('1351339708986298369', '1315531765934329856', '1348509452692754432');
INSERT INTO `sys_role_menu` VALUES ('1351339708986298370', '1315531765934329856', '1348524655580942336');
INSERT INTO `sys_role_menu` VALUES ('1351339708986298371', '1315531765934329856', '1348524786950737920');
INSERT INTO `sys_role_menu` VALUES ('1351803533166514176', '1315531720895893504', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1351803533166514177', '1315531720895893504', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1351803533166514178', '1315531720895893504', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1351803533166514179', '1315531720895893504', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876608', '1351825673374797824', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876609', '1351825673374797824', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876610', '1351825673374797824', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876611', '1351825673374797824', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876612', '1351825673374797824', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876613', '1351825673374797824', '1296027641496866816');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876614', '1351825673374797824', '1298586677354303488');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876615', '1351825673374797824', '1296027935257530368');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876616', '1351825673374797824', '1298587090048651264');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876617', '1351825673374797824', '1298587201487114240');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876618', '1351825673374797824', '1302810307160313856');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876619', '1351825673374797824', '1295294293321322496');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876620', '1351825673374797824', '1295294545252192256');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876621', '1351825673374797824', '1298584137292189696');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876622', '1351825673374797824', '1298584392108740608');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876623', '1351825673374797824', '1298585416416497664');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876624', '1351825673374797824', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876625', '1351825673374797824', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876626', '1351825673374797824', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876627', '1351825673374797824', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876628', '1351825673374797824', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876629', '1351825673374797824', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876630', '1351825673374797824', '1301787327898718208');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876631', '1351825673374797824', '1302232912749531136');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876632', '1351825673374797824', '1302232743618416640');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876633', '1351825673374797824', '1302807269678911488');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876634', '1351825673374797824', '1301760202076459008');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876635', '1351825673374797824', '1302233733855842304');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876636', '1351825673374797824', '1302233594097438720');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876637', '1351825673374797824', '1302807753575763968');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876638', '1351825673374797824', '1305688744849969152');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876639', '1351825673374797824', '1305689137612984320');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876640', '1351825673374797824', '1305802004202917888');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876641', '1351825673374797824', '1305804398970146816');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876642', '1351825673374797824', '1305876853847887872');
INSERT INTO `sys_role_menu` VALUES ('1351825968007876643', '1351825673374797824', '1305838987902062592');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831360', '1', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831361', '1', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831362', '1', '1346293518771032064');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831363', '1', '1346294092413407232');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831364', '1', '1346295953342205952');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831365', '1', '1346296045176492032');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831366', '1', '1346296122704007168');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831367', '1', '1346296204098670592');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831368', '1', '1346296283970801664');
INSERT INTO `sys_role_menu` VALUES ('1363758205938831369', '1', '1346296360273580032');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904064', '1315531942841683968', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904065', '1315531942841683968', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904066', '1315531942841683968', '1346293518771032064');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904067', '1315531942841683968', '1346294092413407232');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904068', '1315531942841683968', '1346295953342205952');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904069', '1315531942841683968', '1346296045176492032');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904070', '1315531942841683968', '1346296122704007168');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904071', '1315531942841683968', '1346296204098670592');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904072', '1315531942841683968', '1346296283970801664');
INSERT INTO `sys_role_menu` VALUES ('1363758440194904073', '1315531942841683968', '1346296360273580032');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212032', '1315532570007572480', '1346293518771032064');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212033', '1315532570007572480', '1346294092413407232');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212034', '1315532570007572480', '1346295953342205952');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212035', '1315532570007572480', '1346296045176492032');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212036', '1315532570007572480', '1346296122704007168');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212037', '1315532570007572480', '1346296204098670592');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212038', '1315532570007572480', '1346296283970801664');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212039', '1315532570007572480', '1346296360273580032');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212040', '1315532570007572480', '1340838213228564480');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212041', '1315532570007572480', '1340838627072151552');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212042', '1315532570007572480', '1340838967934849024');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212043', '1315532570007572480', '1340840111914487808');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212044', '1315532570007572480', '1340897427636490240');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212045', '1315532570007572480', '1340840725398556672');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212046', '1315532570007572480', '1340847576227909632');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212047', '1315532570007572480', '1340840859654033408');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212048', '1315532570007572480', '1340845474671890432');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212049', '1315532570007572480', '1340846002734764032');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212050', '1315532570007572480', '1340846106849972224');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212051', '1315532570007572480', '1341693061956243456');
INSERT INTO `sys_role_menu` VALUES ('1363758670743212052', '1315532570007572480', '1341693219477524480');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026432', '1364466482288922624', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026433', '1364466482288922624', '1315908067879161856');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026434', '1364466482288922624', '1315909304032825344');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026435', '1364466482288922624', '1315909363650662400');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026436', '1364466482288922624', '1351002721578258432');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026437', '1364466482288922624', '1351002838288961536');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026438', '1364466482288922624', '1351003577409212416');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026439', '1364466482288922624', '1351004334116179968');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026440', '1364466482288922624', '1351004569164976128');
INSERT INTO `sys_role_menu` VALUES ('1364466679115026441', '1364466482288922624', '1351004867459682304');
INSERT INTO `sys_role_menu` VALUES ('1372295166869770240', '1364466482288922624', '1372146162072686592');
INSERT INTO `sys_role_menu` VALUES ('1562017481739079680', '1', '1562016581561749504');
INSERT INTO `sys_role_menu` VALUES ('1562318454810349568', '1', '1561968112096645120');
INSERT INTO `sys_role_menu` VALUES ('1562347340948443136', '1', '1562345354924527616');
INSERT INTO `sys_role_menu` VALUES ('1562347340956831744', '1', '1562345430753349632');
INSERT INTO `sys_role_menu` VALUES ('1562347340961026048', '1', '1562345526047936512');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596736', '1', '1299589097328873472');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596737', '1', '1302444072681738240');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596738', '1', '1302221258133475328');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596739', '1', '1302221420595646464');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596740', '1', '1302221527533621248');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596741', '1', '1302222031215005696');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596742', '1', '1302222445398331392');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596743', '1', '1302222710088273920');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596744', '1', '1302223043132788736');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596745', '1', '1302436448045240320');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596746', '1', '1302436879580401664');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596747', '1', '1302437101635244032');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596748', '1', '1302437464014721024');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596749', '1', '1302437652213141504');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596750', '1', '1318795219625447424');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596751', '1', '1302438459918651392');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596752', '1', '1304316235256827904');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596753', '1', '1319226124974297088');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596754', '1', '1343525424260583424');
INSERT INTO `sys_role_menu` VALUES ('1562376670772596755', '1', '1343525839932887040');
INSERT INTO `sys_role_menu` VALUES ('1562611956593070080', '1', '1562352238381371392');
INSERT INTO `sys_role_menu` VALUES ('1562611956593070081', '1', '1562352300536762368');
INSERT INTO `sys_role_menu` VALUES ('1562611956593070082', '1', '1562352347240337408');
INSERT INTO `sys_role_menu` VALUES ('1562611956593070083', '1', '1562352406824620032');
INSERT INTO `sys_role_menu` VALUES ('1562611956593070084', '1', '1562352463384809472');
INSERT INTO `sys_role_menu` VALUES ('1564428490542026752', '2', '1302207924113903616');
INSERT INTO `sys_role_menu` VALUES ('1564428490542026753', '2', '1302208053004865536');
INSERT INTO `sys_role_menu` VALUES ('1564428490542026754', '2', '1302208119740436480');
INSERT INTO `sys_role_menu` VALUES ('1564455954454548480', '1', '1564455756336599040');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798144', '1564818694037704704', '1299588884690243584');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798145', '1564818694037704704', '1299589097328873472');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798146', '1564818694037704704', '1302444072681738240');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798147', '1564818694037704704', '1302221258133475328');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798148', '1564818694037704704', '1302221420595646464');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798149', '1564818694037704704', '1302221527533621248');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798150', '1564818694037704704', '1302222031215005696');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798151', '1564818694037704704', '1302222445398331392');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798152', '1564818694037704704', '1302222710088273920');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798153', '1564818694037704704', '1302223043132788736');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798154', '1564818694037704704', '1302436448045240320');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798155', '1564818694037704704', '1302436879580401664');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798156', '1564818694037704704', '1302437101635244032');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798157', '1564818694037704704', '1302437464014721024');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798158', '1564818694037704704', '1302437652213141504');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798159', '1564818694037704704', '1318795219625447424');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798160', '1564818694037704704', '1302438459918651392');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798161', '1564818694037704704', '1304316235256827904');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798162', '1564818694037704704', '1319226124974297088');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798163', '1564818694037704704', '1343525424260583424');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798164', '1564818694037704704', '1343525839932887040');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798165', '1564818694037704704', '1336488972498636800');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798166', '1564818694037704704', '1336601300703514624');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798167', '1564818694037704704', '1336601370660311040');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798168', '1564818694037704704', '1336601439665000448');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798169', '1564818694037704704', '1336601531675447296');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798170', '1564818694037704704', '1336601604274655232');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798171', '1564818694037704704', '1336601674202091520');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798172', '1564818694037704704', '1336601851159777280');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798173', '1564818694037704704', '1516627560304349184');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798174', '1564818694037704704', '1336508897061638144');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798175', '1564818694037704704', '1336601921888325632');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798176', '1564818694037704704', '1336601987227193344');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798177', '1564818694037704704', '1336602110585868288');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798178', '1564818694037704704', '1336602240345051136');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798179', '1564818694037704704', '1336871082837282816');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798180', '1564818694037704704', '1336602378891300864');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798181', '1564818694037704704', '1336602448504164352');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798182', '1564818694037704704', '1336602518372880384');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798183', '1564818694037704704', '1336602575927119872');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798184', '1564818694037704704', '1336602642964680704');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798185', '1564818694037704704', '1336602703874363392');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798186', '1564818694037704704', '1336602770664460288');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798187', '1564818694037704704', '1336602830689144832');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798188', '1564818694037704704', '1336602899928715264');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798189', '1564818694037704704', '1336602968673357824');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798190', '1564818694037704704', '1336603031722135552');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798191', '1564818694037704704', '1343525520268201984');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798192', '1564818694037704704', '1343525638816010240');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798193', '1564818694037704704', '1302210831345389568');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798194', '1564818694037704704', '1302587799609937920');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798195', '1564818694037704704', '1302223838662234112');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798196', '1564818694037704704', '1302223900758904832');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798197', '1564818694037704704', '1302223953372254208');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798198', '1564818694037704704', '1302224008669958144');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798199', '1564818694037704704', '1302224120603348992');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798200', '1564818694037704704', '1302587909077078016');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798201', '1564818694037704704', '1302587971811282944');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798202', '1564818694037704704', '1302588113922691072');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798203', '1564818694037704704', '1302588174387777536');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798204', '1564818694037704704', '1319226220105306112');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798205', '1564818694037704704', '1336605813736869888');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798206', '1564818694037704704', '1336840741883875328');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798207', '1564818694037704704', '1336840819004542976');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798208', '1564818694037704704', '1336840879306051584');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798209', '1564818694037704704', '1336841116703657984');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798210', '1564818694037704704', '1336841413865902080');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798211', '1564818694037704704', '1336841492353912832');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798212', '1564818694037704704', '1336841730565214208');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798213', '1564818694037704704', '1516657268215648256');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798214', '1564818694037704704', '1336606142763241472');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798215', '1564818694037704704', '1336842076377190400');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798216', '1564818694037704704', '1336842125156945920');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798217', '1564818694037704704', '1336842183382274048');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798218', '1564818694037704704', '1336871401365311488');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798219', '1564818694037704704', '1336901630691512320');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798220', '1564818694037704704', '1336842325346881536');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798221', '1564818694037704704', '1336842384981495808');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798222', '1564818694037704704', '1336842451750621184');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798223', '1564818694037704704', '1336842522361729024');
INSERT INTO `sys_role_menu` VALUES ('1564818859649798224', '1564818694037704704', '1336842574677282816');
INSERT INTO `sys_role_menu` VALUES ('1564884666777997312', '1', '1302210831345389568');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191616', '1', '1302587799609937920');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191617', '1', '1302223838662234112');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191618', '1', '1302223900758904832');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191619', '1', '1302223953372254208');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191620', '1', '1302224008669958144');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191621', '1', '1302224120603348992');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191622', '1', '1302587909077078016');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191623', '1', '1302587971811282944');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191624', '1', '1302588113922691072');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191625', '1', '1302588174387777536');
INSERT INTO `sys_role_menu` VALUES ('1564884666782191626', '1', '1319226220105306112');
INSERT INTO `sys_role_menu` VALUES ('1565294150323146752', '1', '1565293981900869632');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492544', '1339401837010358272', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492545', '1339401837010358272', '1296027641496866816');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492546', '1339401837010358272', '1298586677354303488');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492547', '1339401837010358272', '1296027935257530368');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492548', '1339401837010358272', '1298587090048651264');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492549', '1339401837010358272', '1298587201487114240');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492550', '1339401837010358272', '1302810307160313856');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492551', '1339401837010358272', '1295294293321322496');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492552', '1339401837010358272', '1295294545252192256');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492553', '1339401837010358272', '1298584137292189696');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492554', '1339401837010358272', '1298584392108740608');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492555', '1339401837010358272', '1298585416416497664');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492556', '1339401837010358272', '1302209033314373632');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492557', '1339401837010358272', '1302209264001093632');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492558', '1339401837010358272', '1302209325514756096');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492559', '1339401837010358272', '1302209402471845888');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492560', '1339401837010358272', '1302209463025012736');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492561', '1339401837010358272', '1302209630524542976');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492562', '1339401837010358272', '1302209939934154752');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492563', '1339401837010358272', '1302209999551991808');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492564', '1339401837010358272', '1302210057999618048');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492565', '1339401837010358272', '1302210117860724736');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492566', '1339401837010358272', '1302210182285234176');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492567', '1339401837010358272', '1561968112096645120');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492568', '1339401837010358272', '1562352238381371392');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492569', '1339401837010358272', '1562352300536762368');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492570', '1339401837010358272', '1562352347240337408');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492571', '1339401837010358272', '1562352406824620032');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492572', '1339401837010358272', '1562352463384809472');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492573', '1339401837010358272', '1562016581561749504');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492574', '1339401837010358272', '1562345354924527616');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492575', '1339401837010358272', '1562345430753349632');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492576', '1339401837010358272', '1562345526047936512');
INSERT INTO `sys_role_menu` VALUES ('1567047505072492577', '1339401837010358272', '1564455756336599040');
INSERT INTO `sys_role_menu` VALUES ('1567344400684683264', '1564818694037704704', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877568', '1564818694037704704', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877569', '1564818694037704704', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877570', '1564818694037704704', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877571', '1564818694037704704', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877572', '1564818694037704704', '1485560354913259520');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877573', '1564818694037704704', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877574', '1564818694037704704', '1301787327898718208');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877575', '1564818694037704704', '1302232912749531136');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877576', '1564818694037704704', '1302232743618416640');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877577', '1564818694037704704', '1302807269678911488');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877578', '1564818694037704704', '1301760202076459008');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877579', '1564818694037704704', '1302233733855842304');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877580', '1564818694037704704', '1302233594097438720');
INSERT INTO `sys_role_menu` VALUES ('1567344400688877581', '1564818694037704704', '1302807753575763968');
INSERT INTO `sys_role_menu` VALUES ('1567452957367209984', '1564818694037704704', '1566702138715934720');
INSERT INTO `sys_role_menu` VALUES ('1567452957371404288', '1564818694037704704', '1566703162176442368');
INSERT INTO `sys_role_menu` VALUES ('1567452957371404289', '1564818694037704704', '1567358821205151744');
INSERT INTO `sys_role_menu` VALUES ('1568050212705013760', '1', '1568049005626265600');
INSERT INTO `sys_role_menu` VALUES ('1568080417075105792', '1', '1568080241308602368');
INSERT INTO `sys_role_menu` VALUES ('1569507118531350528', '1339401837010358272', '1569504717653020672');
INSERT INTO `sys_role_menu` VALUES ('1570242110861479936', '1', '1566702138715934720');
INSERT INTO `sys_role_menu` VALUES ('1570242110861479937', '1', '1566703162176442368');
INSERT INTO `sys_role_menu` VALUES ('1570242110861479938', '1', '1568114017090801664');
INSERT INTO `sys_role_menu` VALUES ('1570242110861479939', '1', '1567358821205151744');
INSERT INTO `sys_role_menu` VALUES ('1570251828778635264', '1', '1567048376908910592');
INSERT INTO `sys_role_menu` VALUES ('1570291273963802624', '1564818694037704704', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1570291273963802625', '1564818694037704704', '1567048376908910592');
INSERT INTO `sys_role_menu` VALUES ('1570291911535759360', '1564818694037704704', '1294104041936261120');
INSERT INTO `sys_role_menu` VALUES ('1570291911535759361', '1564818694037704704', '1294104196731244544');
INSERT INTO `sys_role_menu` VALUES ('1570591476415598592', '1', '1569504717653020672');
INSERT INTO `sys_role_menu` VALUES ('1570591476419792896', '1', '1485560354913259520');
INSERT INTO `sys_role_menu` VALUES ('1570592124548812800', '1', '1569934115971665920');
INSERT INTO `sys_role_menu` VALUES ('1570592124553007104', '1', '1569934379759833088');
INSERT INTO `sys_role_menu` VALUES ('1570592124553007105', '1', '1569934740402868224');
INSERT INTO `sys_role_menu` VALUES ('1570592124553007106', '1', '1570223851743350784');
INSERT INTO `sys_role_menu` VALUES ('1571741377505660928', '2', '1299589097328873472');
INSERT INTO `sys_role_menu` VALUES ('1571741377505660929', '2', '1302221258133475328');
INSERT INTO `sys_role_menu` VALUES ('1572783787388047360', '2', '1302208196793995264');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435968', '2', '1302208265836433408');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435969', '2', '1302208339022843904');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435970', '2', '1302208402818207744');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435971', '2', '1302491029949255680');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435972', '2', '1319225949073575936');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435973', '2', '1568049005626265600');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435974', '2', '1302444072681738240');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435975', '2', '1302221420595646464');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435976', '2', '1302221527533621248');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435977', '2', '1302222031215005696');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435978', '2', '1302222445398331392');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435979', '2', '1568080241308602368');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435980', '2', '1302222710088273920');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435981', '2', '1302223043132788736');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435982', '2', '1302436448045240320');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435983', '2', '1302436879580401664');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435984', '2', '1302437101635244032');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435985', '2', '1302437652213141504');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435986', '2', '1318795219625447424');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435987', '2', '1302438459918651392');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435988', '2', '1304316235256827904');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435989', '2', '1319226124974297088');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435990', '2', '1302210831345389568');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435991', '2', '1302587799609937920');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435992', '2', '1302223838662234112');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435993', '2', '1302223900758904832');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435994', '2', '1302223953372254208');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435995', '2', '1302224008669958144');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435996', '2', '1302224120603348992');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435997', '2', '1302587909077078016');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435998', '2', '1302587971811282944');
INSERT INTO `sys_role_menu` VALUES ('1572783787396435999', '2', '1302588113922691072');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436000', '2', '1302588174387777536');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436001', '2', '1319226220105306112');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436002', '2', '1302212543028269056');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436003', '2', '1305422255093846016');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436004', '2', '1305422376422477824');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436005', '2', '1569504717653020672');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436006', '2', '1295293800985530368');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436024', '2', '1561968112096645120');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436025', '2', '1562352238381371392');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436026', '2', '1562352300536762368');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436027', '2', '1562352347240337408');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436028', '2', '1562352406824620032');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436029', '2', '1562352463384809472');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436030', '2', '1562016581561749504');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436031', '2', '1562345354924527616');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436032', '2', '1562345430753349632');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436033', '2', '1562345526047936512');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436034', '2', '1564455756336599040');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436035', '2', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436036', '2', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436037', '2', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436038', '2', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436039', '2', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436040', '2', '1485560354913259520');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436041', '2', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436042', '2', '1566702138715934720');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436043', '2', '1566703162176442368');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436044', '2', '1568114017090801664');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436045', '2', '1567358821205151744');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436046', '2', '1305688744849969152');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436047', '2', '1305689137612984320');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436048', '2', '1305802004202917888');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436049', '2', '1305804398970146816');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436050', '2', '1305876853847887872');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436051', '2', '1305838987902062592');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436052', '2', '1516253652388548608');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436053', '2', '1516254175913185280');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436054', '2', '1516614829291474944');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436055', '2', '1517015679289659392');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436056', '2', '1517015776484265984');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436057', '2', '1517015865135075328');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436058', '2', '1517016156135886848');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436059', '2', '1517016265858879488');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436060', '2', '1517091772302495744');
INSERT INTO `sys_role_menu` VALUES ('1572783787396436061', '2', '1516769349271162880');
INSERT INTO `sys_role_menu` VALUES ('1574656265500626944', '2', '1293739771830603776');
INSERT INTO `sys_role_menu` VALUES ('1574656265500626945', '2', '1567048376908910592');
INSERT INTO `sys_role_menu` VALUES ('1574667905008799744', '2', '1572786484086444032');
INSERT INTO `sys_role_menu` VALUES ('1574667905008799745', '2', '1572785843502977024');
INSERT INTO `sys_role_menu` VALUES ('1574667905008799746', '2', '1572785891204796416');
INSERT INTO `sys_role_menu` VALUES ('1574667905008799747', '2', '1572785991100534784');
INSERT INTO `sys_role_menu` VALUES ('1574667905012994048', '2', '1572786278204837888');
INSERT INTO `sys_role_menu` VALUES ('1574667905012994049', '2', '1572786323792728064');
INSERT INTO `sys_role_menu` VALUES ('1574667905012994050', '2', '1572786377542733824');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751872', '1', '1572786484086444032');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751873', '1', '1572785843502977024');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751874', '1', '1572785891204796416');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751875', '1', '1572785991100534784');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751876', '1', '1572786278204837888');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751877', '1', '1572786323792728064');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751878', '1', '1572786377542733824');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751879', '1', '1516253652388548608');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751880', '1', '1516254175913185280');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751881', '1', '1516614829291474944');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751882', '1', '1517015679289659392');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751883', '1', '1517015776484265984');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751884', '1', '1517015865135075328');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751885', '1', '1517016156135886848');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751886', '1', '1517016265858879488');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751887', '1', '1517091772302495744');
INSERT INTO `sys_role_menu` VALUES ('1575002405500751888', '1', '1516769349271162880');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242560', '1339401837010358272', '1302207667787403264');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242561', '1339401837010358272', '1302207924113903616');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242562', '1339401837010358272', '1302207983383613440');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242563', '1339401837010358272', '1302208053004865536');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242564', '1339401837010358272', '1302208119740436480');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242565', '1339401837010358272', '1302208196793995264');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242566', '1339401837010358272', '1302208265836433408');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242567', '1339401837010358272', '1302208339022843904');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242568', '1339401837010358272', '1302208402818207744');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242569', '1339401837010358272', '1302491029949255680');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242570', '1339401837010358272', '1319225949073575936');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242571', '1339401837010358272', '1568049005626265600');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242572', '1339401837010358272', '1299589097328873472');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242573', '1339401837010358272', '1302444072681738240');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242574', '1339401837010358272', '1302221258133475328');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242575', '1339401837010358272', '1302221420595646464');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242576', '1339401837010358272', '1302221527533621248');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242577', '1339401837010358272', '1302222031215005696');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242578', '1339401837010358272', '1302222445398331392');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242579', '1339401837010358272', '1568080241308602368');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242580', '1339401837010358272', '1302222710088273920');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242582', '1339401837010358272', '1302436448045240320');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242583', '1339401837010358272', '1302436879580401664');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242584', '1339401837010358272', '1302437101635244032');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242585', '1339401837010358272', '1302437464014721024');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242586', '1339401837010358272', '1302437652213141504');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242587', '1339401837010358272', '1318795219625447424');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242588', '1339401837010358272', '1302438459918651392');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242589', '1339401837010358272', '1304316235256827904');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242590', '1339401837010358272', '1319226124974297088');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242591', '1339401837010358272', '1343525424260583424');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242592', '1339401837010358272', '1343525839932887040');
INSERT INTO `sys_role_menu` VALUES ('1579359583330242593', '1339401837010358272', '1565293981900869632');
INSERT INTO `sys_role_menu` VALUES ('1580486793537654784', '1315531720895893504', '1566702138715934720');
INSERT INTO `sys_role_menu` VALUES ('1580486793537654785', '1315531720895893504', '1566703162176442368');
INSERT INTO `sys_role_menu` VALUES ('1580486793537654786', '1315531720895893504', '1568114017090801664');
INSERT INTO `sys_role_menu` VALUES ('1580486793537654787', '1315531720895893504', '1567358821205151744');
INSERT INTO `sys_role_menu` VALUES ('1580792529270476800', '2', '1295531958633369600');
INSERT INTO `sys_role_menu` VALUES ('1580792529270476801', '2', '1295540993130631168');
INSERT INTO `sys_role_menu` VALUES ('1580792529270476802', '2', '1298566082700906496');
INSERT INTO `sys_role_menu` VALUES ('1580792529270476803', '2', '1298566160798846976');
INSERT INTO `sys_role_menu` VALUES ('1580792529270476804', '2', '1298566511270694912');
INSERT INTO `sys_role_menu` VALUES ('1580792529270476805', '2', '1298575901369438208');
INSERT INTO `sys_role_menu` VALUES ('1584854141451243520', '1', '1582941131375775744');
INSERT INTO `sys_role_menu` VALUES ('1584854141455437824', '1', '1583372980271058944');
INSERT INTO `sys_role_menu` VALUES ('1584854141459632128', '1', '1584854005719371776');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928192', '1339401837010358272', '1302210831345389568');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928193', '1339401837010358272', '1302587799609937920');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928194', '1339401837010358272', '1302223838662234112');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928195', '1339401837010358272', '1302223900758904832');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928196', '1339401837010358272', '1302223953372254208');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928197', '1339401837010358272', '1302224008669958144');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928198', '1339401837010358272', '1302587909077078016');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928199', '1339401837010358272', '1302587971811282944');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928200', '1339401837010358272', '1302588113922691072');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928201', '1339401837010358272', '1302588174387777536');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928202', '1339401837010358272', '1319226220105306112');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928203', '1339401837010358272', '1572786484086444032');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928204', '1339401837010358272', '1572785843502977024');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928205', '1339401837010358272', '1572785891204796416');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928206', '1339401837010358272', '1572785991100534784');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928207', '1339401837010358272', '1572786278204837888');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928208', '1339401837010358272', '1572786323792728064');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928209', '1339401837010358272', '1572786377542733824');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928214', '1339401837010358272', '1301760002951876608');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928215', '1339401837010358272', '1301821852062191616');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928216', '1339401837010358272', '1302950292681265152');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928217', '1339401837010358272', '1302230612849070080');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928218', '1339401837010358272', '1302231074218315776');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928219', '1339401837010358272', '1485560354913259520');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928220', '1339401837010358272', '1302803580171980800');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928221', '1339401837010358272', '1582941131375775744');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928222', '1339401837010358272', '1583372980271058944');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928223', '1339401837010358272', '1584854005719371776');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928224', '1339401837010358272', '1516253652388548608');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928225', '1339401837010358272', '1516254175913185280');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928226', '1339401837010358272', '1516614829291474944');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928227', '1339401837010358272', '1517015679289659392');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928228', '1339401837010358272', '1517015776484265984');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928229', '1339401837010358272', '1517015865135075328');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928230', '1339401837010358272', '1517016156135886848');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928231', '1339401837010358272', '1517016265858879488');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928232', '1339401837010358272', '1517091772302495744');
INSERT INTO `sys_role_menu` VALUES ('1585457148433928233', '1339401837010358272', '1516769349271162880');
INSERT INTO `sys_role_menu` VALUES ('1585552539884064768', '1339401837010358272', '1566702138715934720');
INSERT INTO `sys_role_menu` VALUES ('1585552539884064769', '1339401837010358272', '1566703162176442368');
INSERT INTO `sys_role_menu` VALUES ('1585552539884064770', '1339401837010358272', '1568114017090801664');
INSERT INTO `sys_role_menu` VALUES ('1585552539884064771', '1339401837010358272', '1567358821205151744');
INSERT INTO `sys_role_menu` VALUES ('1585879246516129792', '1315536710939054080', '1569934115971665920');
INSERT INTO `sys_role_menu` VALUES ('1585879246516129793', '1315536710939054080', '1569934379759833088');
INSERT INTO `sys_role_menu` VALUES ('1585879246516129794', '1315536710939054080', '1569934740402868224');
INSERT INTO `sys_role_menu` VALUES ('1585879246516129795', '1315536710939054080', '1570223851743350784');
INSERT INTO `sys_role_menu` VALUES ('1590578029061607424', '1339401837010358272', '1516627560304349184');
INSERT INTO `sys_role_menu` VALUES ('1590876121031905280', '1339401837010358272', '1516657268215648256');
INSERT INTO `sys_role_menu` VALUES ('1590876121031905281', '1339401837010358272', '1296403907093860352');
INSERT INTO `sys_role_menu` VALUES ('1590876121031905282', '1339401837010358272', '1298559558083547136');
INSERT INTO `sys_role_menu` VALUES ('1590876121031905283', '1339401837010358272', '1298562212373336064');
INSERT INTO `sys_role_menu` VALUES ('1590876121031905284', '1339401837010358272', '1298576255930732544');
INSERT INTO `sys_role_menu` VALUES ('1590948890394365952', '1', '1590948672777097216');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068544', '1591958980194865152', '1299893396575490048');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068545', '1591958980194865152', '1299894216708722688');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068546', '1591958980194865152', '1299894459676364800');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068547', '1591958980194865152', '1299894519982067712');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068548', '1591958980194865152', '1299894571169353728');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068549', '1591958980194865152', '1299894661279780864');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068550', '1591958980194865152', '1299894708117573632');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068551', '1591958980194865152', '1299895651638841344');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068552', '1591958980194865152', '1299896238216450048');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068553', '1591958980194865152', '1314848101755916288');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068554', '1591958980194865152', '1319226330537136128');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068555', '1591958980194865152', '1315907798571290624');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068556', '1591958980194865152', '1315908995969585152');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068557', '1591958980194865152', '1315909050592006144');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068558', '1591958980194865152', '1315909106040705024');
INSERT INTO `sys_role_menu` VALUES ('1591959247049068559', '1591958980194865152', '1315909175192195072');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886080', '2', '1315934442639986688');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886081', '2', '1326431166089269248');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886082', '2', '1346293518771032064');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886083', '2', '1346294092413407232');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886084', '2', '1346295953342205952');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886085', '2', '1346296045176492032');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886086', '2', '1346296122704007168');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886087', '2', '1346296204098670592');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886088', '2', '1346296283970801664');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886089', '2', '1346296360273580032');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886090', '2', '1569934115971665920');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886091', '2', '1569934379759833088');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886092', '2', '1569934740402868224');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886093', '2', '1570223851743350784');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886094', '2', '1328570525605302272');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886095', '2', '1328570617783521280');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886096', '2', '1340838213228564480');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886097', '2', '1340838627072151552');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886098', '2', '1340838967934849024');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886099', '2', '1340840111914487808');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886100', '2', '1340897427636490240');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886101', '2', '1340840725398556672');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886102', '2', '1340847576227909632');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886103', '2', '1340840859654033408');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886104', '2', '1340845474671890432');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886105', '2', '1340846002734764032');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886106', '2', '1340846106849972224');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886107', '2', '1341693061956243456');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886108', '2', '1341693219477524480');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886109', '2', '1302437464014721024');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886110', '2', '1516627560304349184');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886111', '2', '1343525424260583424');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886112', '2', '1343525839932887040');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886113', '2', '1565293981900869632');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886114', '2', '1516657268215648256');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886115', '2', '1302211991414378496');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886116', '2', '1302212164660105216');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886117', '2', '1302212217311203328');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886118', '2', '1295532321486802944');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886119', '2', '1298565302547779584');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886120', '2', '1298565432239853568');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886121', '2', '1298566602693939200');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886122', '2', '1298575798025981952');
INSERT INTO `sys_role_menu` VALUES ('1591994816147886123', '2', '1299163576623304704');
INSERT INTO `sys_role_menu` VALUES ('1592053602313179136', '1592053400047063040', '1569934115971665920');
INSERT INTO `sys_role_menu` VALUES ('1592053602313179137', '1592053400047063040', '1569934379759833088');
INSERT INTO `sys_role_menu` VALUES ('1592053602313179138', '1592053400047063040', '1569934740402868224');
INSERT INTO `sys_role_menu` VALUES ('1592053602313179139', '1592053400047063040', '1570223851743350784');
INSERT INTO `sys_role_menu` VALUES ('1594226099603247104', '1', '1516627560304349184');
INSERT INTO `sys_role_menu` VALUES ('1594531033464836096', '1', '1516657268215648256');
INSERT INTO `sys_role_menu` VALUES ('1594568851155193856', '1', '1336871401365311488');
INSERT INTO `sys_role_menu` VALUES ('1594568851155193857', '1', '1336901630691512320');
INSERT INTO `sys_role_menu` VALUES ('1594568851155193858', '1', '1594540323877556224');
INSERT INTO `sys_role_menu` VALUES ('1597605694993993728', '1', '1597604113372286976');
INSERT INTO `sys_role_menu` VALUES ('1601141117506686976', '1', '1397029679306772480');
INSERT INTO `sys_role_menu` VALUES ('1601141117510881280', '1', '1397069839868235776');
INSERT INTO `sys_role_menu` VALUES ('1601141117510881281', '1', '1397069903684571136');
INSERT INTO `sys_role_menu` VALUES ('1601141117510881282', '1', '1397069963554066432');
INSERT INTO `sys_role_menu` VALUES ('1601898125574934528', '1', '1601897903406845952');
INSERT INTO `sys_role_menu` VALUES ('1603658471247581184', '1', '1597770627324973056');
INSERT INTO `sys_role_menu` VALUES ('1603658471251775488', '1', '1603657544486752256');
INSERT INTO `sys_role_menu` VALUES ('1608014825361903616', '1', '1608014636261707776');
INSERT INTO `sys_role_menu` VALUES ('1613107127944089600', '1', '1613106457228742656');
INSERT INTO `sys_role_menu` VALUES ('1614903514562170880', '1', '1614853161762295808');
INSERT INTO `sys_role_menu` VALUES ('1623500072379617280', '1', '1611236025689051136');
INSERT INTO `sys_role_menu` VALUES ('1623502456665280512', '1', '1623502351979646976');

-- ----------------------------
-- Table structure for sys_template
-- ----------------------------
DROP TABLE IF EXISTS `sys_template`;
CREATE TABLE `sys_template` (
  `id` bigint(20) NOT NULL,
  `name` varchar(50) DEFAULT NULL COMMENT '模板名称',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `CREATE_BY` varchar(19) DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='满意度评价项模板';

-- ----------------------------
-- Records of sys_template
-- ----------------------------
INSERT INTO `sys_template` VALUES ('1555075456468914176', '评价项', '2022-09-28 09:23:00', '1564821097285816320');
INSERT INTO `sys_template` VALUES ('1564869286571413504', '评价项模板测试', '2022-09-06 10:28:33', '1564821097285816320');
INSERT INTO `sys_template` VALUES ('1570614491744440320', '测试评估计划', '2022-09-23 15:17:10', '1');
INSERT INTO `sys_template` VALUES ('1575402486452326400', '评价模板', '2022-09-29 16:29:57', '1570604410206294016');
INSERT INTO `sys_template` VALUES ('1584369052669841408', '20221024的评价', '2022-10-24 10:20:51', '1');
INSERT INTO `sys_template` VALUES ('1589100032391516160', '1106', '2022-11-06 11:39:06', '1');
INSERT INTO `sys_template` VALUES ('1589100932489154560', '110622222', '2022-11-06 11:42:41', '1');
INSERT INTO `sys_template` VALUES ('1596391319188672512', '1126 各项有一个类别评价', '2022-11-26 14:32:05', '1');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '系统机构code',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(100) DEFAULT NULL COMMENT '机构名称（包含父级）',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `name` varchar(20) DEFAULT '' COMMENT '名称',
  `card_no` varchar(20) DEFAULT NULL COMMENT '身份证号码',
  `code` varchar(20) DEFAULT '' COMMENT '编号',
  `mix_pd` varchar(50) DEFAULT '' COMMENT '密码',
  `mobile` varchar(20) DEFAULT '' COMMENT '手机号码',
  `lock_times` smallint(6) DEFAULT '0' COMMENT '锁定次数',
  `lock_time` datetime DEFAULT NULL COMMENT '锁定到期日期',
  `remark` varchar(200) DEFAULT '' COMMENT '备注',
  `state` smallint(6) DEFAULT '1' COMMENT '状态：0、禁用。1、启用。',
  `is_default` smallint(1) DEFAULT NULL COMMENT '系统默认： 0、否。1、是',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户表';

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES ('1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1299516549354360832', '001025', '单位领导部门', '主宰', '410181198811015511', 'super', '0bbe5a42c8cbb7f7f4cfb4d6e8717486', '', '12', '2022-09-05 15:48:44', '', '1', '1', null);
INSERT INTO `sys_user` VALUES ('1327473526785052672', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '高志远', '411421199507182459', '023479', '9fc2bc9d26de26fce338e84a398abd86', '15225279244', '26', '2022-12-09 09:22:52', '导入', '1', '0', null);
INSERT INTO `sys_user` VALUES ('1328658341710401536', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '张健', null, '00001', '0a70206d6a7b40b6f722f2090d1378c0', '15225279244', '1', null, '', '1', '0', '2020-11-17 19:16:49');
INSERT INTO `sys_user` VALUES ('1561992470802337792', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '常远', '110101199003075875', 'changyuan', '5c013b1b1722c1a3207bffb2f7a5e873', '17721229769', '0', null, '', '1', '0', '2022-08-23 16:23:20');
INSERT INTO `sys_user` VALUES ('1561995446459699200', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '李昊杰', '410581199706059059', '003', '637dbc41318e667fc97690a0916879c8', '17630034020', '0', null, '', '1', '0', '2022-08-23 16:35:10');
INSERT INTO `sys_user` VALUES ('1562314510612697088', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '国产007', '35078119640307632X', '10010', '421e8b66e6bf0d294e2273489641fdc4', '13700000000', '1', null, '', '1', '0', '2022-08-24 13:43:00');
INSERT INTO `sys_user` VALUES ('1564125772657070080', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '王宇航', '410782199612179612', '410782', '92b8b5ffe1945fec35a60b1e38dd61f4', '17503827387', '1', null, '', '1', '0', '2022-08-29 13:40:19');
INSERT INTO `sys_user` VALUES ('1564191182190415872', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '本部运营1', '412724199802107415', 'lb001', 'ee66fd5a60b0290f4d922104fd3513f5', '13678888888', '19', '2022-09-19 11:54:01', '', '1', '0', '2022-08-29 18:00:14');
INSERT INTO `sys_user` VALUES ('1564192820011601920', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992579', '001007018', '领导助理部门', '郑州001', '412724199608107518', 'lb002', 'ab8269d7d4157aec56d8e4ad0fe716de', '13699999999', '5', '2022-09-19 11:44:27', '', '1', '0', '2022-08-29 18:06:44');
INSERT INTO `sys_user` VALUES ('1564821097285816320', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660936', '001041', '工会', '李工会', '41112319990816205X', 'ligonghui', '2eeed92c6c0e6d352945692f3f67afdd', '13298106763', '1', null, '', '1', '0', '2022-08-31 11:43:17');
INSERT INTO `sys_user` VALUES ('1567046004463767552', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '刘国灿', '410181199311275548', '9527', '4cb75945a0fa6a9b072d888ece8373f4', '15038157220', '1', null, '', '1', '0', '2022-09-06 15:04:17');
INSERT INTO `sys_user` VALUES ('1567097186544652288', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '何云凡', '412721199408145414', 'hyf', '680cb5800ddce4d0fbd0a198e71a4b3a', '18827515416', '0', null, '备注备注', '1', '0', '2022-09-06 18:27:39');
INSERT INTO `sys_user` VALUES ('1569528534014234624', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '长远', '520329194806030356', 'changyuan2', '1f5fb8f41214f4bda1292c7cf299e507', '17721229999', '0', null, '', '1', '0', '2022-09-13 11:28:58');
INSERT INTO `sys_user` VALUES ('1569970196410667008', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660936', '001041', '工会', '李露露', '110101199003075795', '1001', 'b2703539be651363995c663f9f3dd5ec', '15713872510', '1', null, '', '1', '0', '2022-09-14 16:43:58');
INSERT INTO `sys_user` VALUES ('1569970358516322304', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '李班主任', '110101199003071153', '1002', '785d95ce2a5302c2a72900f5931b9f5f', '15713872511', '0', null, '', '1', '0', '2022-09-14 16:44:37');
INSERT INTO `sys_user` VALUES ('1569970621243330560', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '李市级', '110101199003071532', '1003', '0c07b9b1e71c74f4b8d451c7ecfa3259', '15713872512', '1', null, '', '1', '0', '2022-09-14 16:45:39');
INSERT INTO `sys_user` VALUES ('1570252962385760256', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李主任001', '11010119900307475X', '001', '0fb35f1010a8b4504eeb13e6b46f9b6c', '15745874547', '0', null, '', '1', '0', '2022-09-15 11:27:35');
INSERT INTO `sys_user` VALUES ('1570254194076684288', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '李主任', '110101199003079710', '002', '957c4766f902108b419fdd22c673c8c4', '15748745745', '1', null, '', '1', '0', '2022-09-15 11:32:28');
INSERT INTO `sys_user` VALUES ('1570254300322598912', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '22', '110101199003078419', '22', '6c6f27c01fd0142ff8c3af3c74637b69', '15478454745', '0', null, '', '1', '0', '2022-09-15 11:32:54');
INSERT INTO `sys_user` VALUES ('1570300883655331840', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '郑州的班主任1111', '420682198711075511', '001002', '81fa342fbc200f0346b60bff439261ad', '13678888888', '0', null, '', '1', '0', '2022-09-15 14:38:00');
INSERT INTO `sys_user` VALUES ('1570585310226681856', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '张三', '412824199612238866', '666555', '933b88caa7bc478d9e0ac33c25710388', '17896399978', '0', null, '', '1', '0', '2022-09-16 09:28:13');
INSERT INTO `sys_user` VALUES ('1574656123749928960', '1323441314737557511', '001007001', '56510100', '郑州市上街区分公司', '1323441857560186897', '001007001001', '单位领导部门', '李露', '11010119900307483X', '1005', 'd6ce3f2a2ae1cc8a8a1ca522cf936241', '15713872519', '0', null, '', '1', '0', '2022-09-27 15:04:10');
INSERT INTO `sys_user` VALUES ('1574656535316008960', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '001', '11010119900307707X', '1006', 'd0502e55dc90f9fc16144a745cd75477', '15874545733', '0', null, '', '1', '0', '2022-09-27 15:05:48');
INSERT INTO `sys_user` VALUES ('1575733659405783040', '1323441314754334752', '001023', '56670000', '信阳市分公司本部', '1323441858512293889', '001023012', '单位领导部门', '涛涛涛涛', '372522196510190018', 't001', 'b267d81c72017e034edbb187cb1a4e26', '13666666666', '0', null, '', '1', '0', '2022-09-30 14:25:55');
INSERT INTO `sys_user` VALUES ('1575734154631450624', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '通缉犯', '371521198506161419', 't002', '8410b5a06d2da077a5fd71de46cc31d8', '13899999999', '0', null, '', '1', '0', '2022-09-30 14:27:53');
INSERT INTO `sys_user` VALUES ('1575742080326701056', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '本部创建得郑州1', '372522197108117239', 'z012', '5c891e55517180a44a7d38bcf31b3105', '13699999999', '0', null, '', '1', '0', '2022-09-30 14:59:22');
INSERT INTO `sys_user` VALUES ('1575742396539473920', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '失信女', '372522196806067529', 'sx111', 'bfa5901f6f4a2b8cf31cd8b58342fb38', '13699999999', '0', null, '', '1', '0', '2022-09-30 15:00:38');
INSERT INTO `sys_user` VALUES ('1578618868123963392', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '王菲菲', '350781196403079029', '001005', 'ff684626f93e732f5162a21ee6e53498', '18524526235', '1', null, '', '1', '0', '2022-10-08 13:30:42');
INSERT INTO `sys_user` VALUES ('1578620683645227008', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '往往', '350781196403071262', '001003', '1b071005667ca3dec950f24cbaea994b', '18525632563', '2', null, '', '1', '0', '2022-10-08 13:37:55');
INSERT INTO `sys_user` VALUES ('1579362188047552512', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '王主任', '110101199003074581', '004', 'f52dfb412168d69a2e1bb5a8337885bc', '15713872514', '1', null, '', '1', '0', '2022-10-10 14:44:23');
INSERT INTO `sys_user` VALUES ('1579367842099367936', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李嘻嘻', '412721199605254628', '4628', 'c7cc2855a32d143635c4c46990d197bb', '15238027299', '0', null, '', '1', '0', '2022-10-10 15:06:51');
INSERT INTO `sys_user` VALUES ('1579726696309985280', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '培训中心', '410581199909059059', '333', '6cc2106a65c9154adf36b79818c3c982', '13111111111', '0', null, '', '1', '0', '2022-10-11 14:52:49');
INSERT INTO `sys_user` VALUES ('1580480688216477696', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049542', '001001002', '非领导职务部门', 'yyyyyuuuuu', '412824197206237711', '66666', 'a5c83089c1e0d4837de8979a94c23a75', '17896988875', '0', null, 'qfdadf', '1', '0', '2022-10-13 16:48:55');
INSERT INTO `sys_user` VALUES ('1581886588231749632', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '网络1', '512501196512305186', 'wang1', 'f762e6e7f8284c22a863c1a66318e38b', '17737117399', '0', null, '', '1', '0', '2022-10-17 13:55:27');
INSERT INTO `sys_user` VALUES ('1581888248303718400', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '李全', '512501197506045175', 'li111', '0faa321821067a7adf9b10ed3925cadd', '13673874156', '0', null, '', '1', '0', '2022-10-17 14:02:03');
INSERT INTO `sys_user` VALUES ('1582642133561643008', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '李珍珍', '110101199003076800', '2001', '25c3aa36376f628bd428382593a35eeb', '15713872519', '1', null, '', '1', '0', '2022-10-19 15:57:43');
INSERT INTO `sys_user` VALUES ('1583278909414313984', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '测试省级', '430526197501230035', 'sheng001', '7820462238b575609a2484500cba4cba', '13677777777', '8', '2022-11-15 10:34:42', '', '1', '0', '2022-10-21 10:08:03');
INSERT INTO `sys_user` VALUES ('1583286076276084736', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992579', '001007018', '领导助理部门', '测试郑州', '430321195701156413', 'zheng001', 'b74d2b2276f5e2e4e37f28582b272c90', '13699999988', '1', null, '', '1', '0', '2022-10-21 10:36:31');
INSERT INTO `sys_user` VALUES ('1589901920624054272', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '远远', '350781196403077103', '110', '574b0195e3e70b6731501b59693f8554', '18525252625', '0', null, '', '1', '0', '2022-11-08 16:45:32');
INSERT INTO `sys_user` VALUES ('1589902463861919744', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'YY', '350781196403072329', '1452', 'faba70487a6328aa9b9313dc0874a4d0', '18525252452', '0', null, '', '1', '0', '2022-11-08 16:47:41');
INSERT INTO `sys_user` VALUES ('1589912012547297280', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '小小', '35078119640307448X', '112546', '56e0ca2ea39c55971839cf9cbf86fab0', '18536563623', '0', null, '', '1', '0', '2022-11-08 17:25:38');
INSERT INTO `sys_user` VALUES ('1590543166828843008', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '张磊', '410181198811015510', '1004', '65f28ea2108ac0216a6fbe4d4aacdfc8', '15838150622', '5', '2023-08-11 19:53:38', '', '1', '0', '2022-11-10 11:13:37');
INSERT INTO `sys_user` VALUES ('1590648570632081408', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '张芳芳', '110101199303076968', '10086', '8d781c48200b4ba08959cfbd3543ca1c', '15838150222', '0', null, '', '1', '0', '2022-11-10 18:12:27');
INSERT INTO `sys_user` VALUES ('1591958463435640832', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '曹海霞', '412821197808016087', '03362120', '15b9008369f2395f91c666e995e6453f', '13663836708', '0', null, '', '1', '0', '2022-11-14 08:57:30');
INSERT INTO `sys_user` VALUES ('1591959715162755072', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '孙彦慧', '410421198506233052', '03825720', 'f23986446e3e6b55f09f6f1a4eef263f', '18625556268', '0', null, '', '1', '0', '2022-11-14 09:02:28');
INSERT INTO `sys_user` VALUES ('1591989473527336960', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1366299958692679680', '001007047', '运营管理部', '高郑州', '350781196403073380', 'gzy001', '356fad11dcaf3f7b2862823c3744b9a4', '15225279266', '3', '2022-11-16 11:07:11', '', '1', '0', '2022-11-14 11:00:43');
INSERT INTO `sys_user` VALUES ('1592015564824514560', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '吕虹璐', '410105199008020087', '03773189', '27e697c631cbc214142b7be19fa2df16', '15515868918', '0', null, '', '1', '0', '2022-11-14 12:44:24');
INSERT INTO `sys_user` VALUES ('1593125995324510208', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'lilu', '110101199003079120', '3001', '108efbd24fd897d930379d459b0c9b82', '15784514784', '0', null, '', '1', '0', '2022-11-17 14:16:51');
INSERT INTO `sys_user` VALUES ('1593129902020890624', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李婷', '110101199003075488', '3002', '332d9ae5ddd1700336645d7cab64c56c', '15713872555', '0', null, '', '1', '0', '2022-11-17 14:32:22');
INSERT INTO `sys_user` VALUES ('1596788379830325248', '1323441314733363200', '001', '56000000', '河南省', '1323441857501466624', '001025', '单位领导部门', '黎利伯', '110101194705071972', '02000', '9a1e41dbf7d05febb0dbecc0befe8aef', '13678999999', '0', null, '', '1', '0', '2022-11-27 16:49:51');
INSERT INTO `sys_user` VALUES ('1613048759447588864', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '培训中心内', '110101190203076134', '14715', '5ada01da7be046d202eb8e3938e28914', '17319727444', '0', null, '', '1', '0', '2023-01-11 13:42:48');

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户角色';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES ('130466393823536678', '1596788379830325248', '1');
INSERT INTO `sys_user_role` VALUES ('1329693525025099776', '1329693071213989890', '1');
INSERT INTO `sys_user_role` VALUES ('1329693632764186624', '1329693071201406976', '1315531490838319104');
INSERT INTO `sys_user_role` VALUES ('1339742336787288064', '1333572587627876352', '1');
INSERT INTO `sys_user_role` VALUES ('1339742336787288065', '1333572587627876352', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1344140863307124736', '1329693071205601281', '1315531942841683968');
INSERT INTO `sys_user_role` VALUES ('1344140863307124737', '1329693071205601281', '1315532030838181888');
INSERT INTO `sys_user_role` VALUES ('1344140863307124738', '1329693071205601281', '1315532096458067968');
INSERT INTO `sys_user_role` VALUES ('1344140863307124739', '1329693071205601281', '1315532165555032064');
INSERT INTO `sys_user_role` VALUES ('1344140863307124740', '1329693071205601281', '1315532229631414272');
INSERT INTO `sys_user_role` VALUES ('1344140863307124741', '1329693071205601281', '1315532570007572480');
INSERT INTO `sys_user_role` VALUES ('1344140863307124742', '1329693071205601281', '1');
INSERT INTO `sys_user_role` VALUES ('1344188138569994240', '1344188138532245504', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1346001620432982016', '1346001619296325632', '1315536710939054080');
INSERT INTO `sys_user_role` VALUES ('1346027694298632192', '1346027694265077760', '1315536710939054080');
INSERT INTO `sys_user_role` VALUES ('1351339121834070016', '1323496432312913920', '1');
INSERT INTO `sys_user_role` VALUES ('1351339121834070017', '1323496432312913920', '1315532229631414272');
INSERT INTO `sys_user_role` VALUES ('1351803127094972416', '1329693071205601280', '1315531720895893504');
INSERT INTO `sys_user_role` VALUES ('1351826319947730944', '1329693071188824064', '1351825673374797824');
INSERT INTO `sys_user_role` VALUES ('1352158451115102208', '1329693071213989888', '1');
INSERT INTO `sys_user_role` VALUES ('1352163830104461312', '1352163828946833408', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1352165627154010112', '1352165627124649984', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1352165884852047872', '1352165884797521920', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1364460639774445568', '1344186717959229440', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1364461686509146112', '1344187722360819712', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1364461838456197120', '1344193179984990208', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1364466723281047552', '1364465954641285120', '1364466482288922624');
INSERT INTO `sys_user_role` VALUES ('1365126447374667776', '1329693071209795584', '1339397525723025408');
INSERT INTO `sys_user_role` VALUES ('1365126447374667777', '1329693071209795584', '1315531765934329856');
INSERT INTO `sys_user_role` VALUES ('1365126447374667778', '1329693071209795584', '1');
INSERT INTO `sys_user_role` VALUES ('1365126447374667779', '1329693071209795584', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1365126447374667780', '1329693071209795584', '1351825673374797824');
INSERT INTO `sys_user_role` VALUES ('1365126447374667781', '1329693071209795584', '1315531942841683968');
INSERT INTO `sys_user_role` VALUES ('1365126447374667782', '1329693071209795584', '1315532229631414272');
INSERT INTO `sys_user_role` VALUES ('1365126447374667783', '1329693071209795584', '1315532165555032064');
INSERT INTO `sys_user_role` VALUES ('1365126447374667784', '1329693071209795584', '1315532570007572480');
INSERT INTO `sys_user_role` VALUES ('1371995938389889024', '1371995869724938240', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1371996144195997696', '1371996144158248960', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1372013616517222400', '1372013597697380352', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1372355421284732928', '1329693071213989889', '1');
INSERT INTO `sys_user_role` VALUES ('1372355421284732929', '1329693071213989889', '1364466482288922624');
INSERT INTO `sys_user_role` VALUES ('1562013904396226560', '1561992470802337792', '1');
INSERT INTO `sys_user_role` VALUES ('1562316909435817984', '1562314510612697088', '1');
INSERT INTO `sys_user_role` VALUES ('1565294658538573824', '1564125772657070080', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1565294767988936704', '1564191182190415872', '1');
INSERT INTO `sys_user_role` VALUES ('1565294767988936705', '1564191182190415872', '1564818694037704704');
INSERT INTO `sys_user_role` VALUES ('1565294780454408192', '1564821097285816320', '1');
INSERT INTO `sys_user_role` VALUES ('1569529262640336896', '1569528534014234624', '2');
INSERT INTO `sys_user_role` VALUES ('1569529262640336897', '1569528534014234624', '1');
INSERT INTO `sys_user_role` VALUES ('1569970358579236864', '1569970358516322304', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1570293935341965312', '1567097186544652288', '1');
INSERT INTO `sys_user_role` VALUES ('1570586971418529792', '1570585310226681856', '1');
INSERT INTO `sys_user_role` VALUES ('1571735984532492288', '1564192820011601920', '1');
INSERT INTO `sys_user_role` VALUES ('1571743047320997888', '1569970621243330560', '2');
INSERT INTO `sys_user_role` VALUES ('1571757954540113920', '1570254300322598912', '1');
INSERT INTO `sys_user_role` VALUES ('1578620684509253632', '1578620683645227008', '1');
INSERT INTO `sys_user_role` VALUES ('1578627818378629120', '1570300883655331840', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1578627818378629121', '1570300883655331840', '2');
INSERT INTO `sys_user_role` VALUES ('1579726696364511232', '1579726696309985280', '1');
INSERT INTO `sys_user_role` VALUES ('1580480689290219520', '1580480688216477696', '1');
INSERT INTO `sys_user_role` VALUES ('1580480689302802432', '1580480688216477696', '2');
INSERT INTO `sys_user_role` VALUES ('1580480689302802433', '1580480688216477696', '3');
INSERT INTO `sys_user_role` VALUES ('1580480689302802434', '1580480688216477696', '4');
INSERT INTO `sys_user_role` VALUES ('1580480689302802435', '1580480688216477696', '1315531720895893504');
INSERT INTO `sys_user_role` VALUES ('1580480689302802436', '1580480688216477696', '1364466482288922624');
INSERT INTO `sys_user_role` VALUES ('1580480689302802437', '1580480688216477696', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1580480689302802438', '1580480688216477696', '1315536710939054080');
INSERT INTO `sys_user_role` VALUES ('1580480689302802439', '1580480688216477696', '1315531942841683968');
INSERT INTO `sys_user_role` VALUES ('1580486596875128832', '1570254194076684288', '1315531720895893504');
INSERT INTO `sys_user_role` VALUES ('1581906521783144448', '1581888248303718400', '1');
INSERT INTO `sys_user_role` VALUES ('1581906521783144449', '1581888248303718400', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1581906521783144450', '1581888248303718400', '1364466482288922624');
INSERT INTO `sys_user_role` VALUES ('1585453262063144960', '1583278909414313984', '1');
INSERT INTO `sys_user_role` VALUES ('1585453262063144961', '1583278909414313984', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1585453262063144962', '1583278909414313984', '1315531942841683968');
INSERT INTO `sys_user_role` VALUES ('1588074285216436224', '1574656123749928960', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1589901921316114432', '1589901920624054272', '1364466482288922624');
INSERT INTO `sys_user_role` VALUES ('1589902464486871040', '1589902463861919744', '1364466482288922624');
INSERT INTO `sys_user_role` VALUES ('1589912015252623360', '1589912012547297280', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1591959336513572864', '1591958463435640832', '1');
INSERT INTO `sys_user_role` VALUES ('1591959336513572865', '1591958463435640832', '1591958980194865152');
INSERT INTO `sys_user_role` VALUES ('1592003706549833728', '1591959715162755072', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1592015564929372160', '1592015564824514560', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1592027814297735168', '1591989473527336960', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1592027814297735169', '1591989473527336960', '2');
INSERT INTO `sys_user_role` VALUES ('1592069332404408320', '1590648570632081408', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1593125996058513408', '1593125995324510208', '1');
INSERT INTO `sys_user_role` VALUES ('1593129902721339392', '1593129902020890624', '1');
INSERT INTO `sys_user_role` VALUES ('1593171821497290752', '1567046004463767552', '2');
INSERT INTO `sys_user_role` VALUES ('1593816015551205376', '1583286076276084736', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1593816015551205377', '1583286076276084736', '2');
INSERT INTO `sys_user_role` VALUES ('1596495771241418752', '1590543166828843008', '1');
INSERT INTO `sys_user_role` VALUES ('1607996882523656192', '1569970196410667008', '1');
INSERT INTO `sys_user_role` VALUES ('1607996882523656193', '1569970196410667008', '1339401837010358272');
INSERT INTO `sys_user_role` VALUES ('1611245189156966400', '1561995446459699200', '1');
INSERT INTO `sys_user_role` VALUES ('1613048760395501568', '1613048759447588864', '1');
INSERT INTO `sys_user_role` VALUES ('1613048760395501569', '1613048759447588864', '2');
INSERT INTO `sys_user_role` VALUES ('1620597135902904320', '1579362188047552512', '1');
INSERT INTO `sys_user_role` VALUES ('1640983369061896192', '1327473526785052672', '1');
INSERT INTO `sys_user_role` VALUES ('1641314322359652352', '1327473526785052672', '1339401837010358272');

-- ----------------------------
-- Table structure for sys_video_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_video_config`;
CREATE TABLE `sys_video_config` (
  `id` bigint(20) NOT NULL,
  `key1` varchar(255) DEFAULT NULL,
  `appid` varchar(200) DEFAULT NULL,
  `set_licence_URL` varchar(1000) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of sys_video_config
-- ----------------------------
INSERT INTO `sys_video_config` VALUES ('1', '1370bf530c717ebaef6c970ca9e4dedf', '1315041632', 'https://license.vod2.myqcloud.com/license/v2/1315784089_1/v_cube.license', null, null);

-- ----------------------------
-- Table structure for train_ad
-- ----------------------------
DROP TABLE IF EXISTS `train_ad`;
CREATE TABLE `train_ad` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `site` int(11) DEFAULT NULL COMMENT '位置： 1、轮播图。2、频道区域。3、广告位。',
  `title` varchar(50) DEFAULT NULL COMMENT '名称',
  `image_url` json DEFAULT NULL COMMENT '图片',
  `jump` smallint(6) DEFAULT NULL COMMENT '跳转：0、无跳转 10、我的学习。20、我的考试。30、我的练习。40、调查问卷。50、地市培训班。60、详情。70、在线课程。80、培训班。90、讲师。99、外部链接、100, 学习指南',
  `detail` longtext COMMENT '跳转内容（详情富文本/培训班id/线上课程id/外部链接url）',
  `seq` smallint(6) DEFAULT NULL COMMENT '序号',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='轮播图/频道/广告';

-- ----------------------------
-- Records of train_ad
-- ----------------------------
INSERT INTO `train_ad` VALUES ('128045946701538645', '1', '理财培训计划第二季度', '[{\"name\": \"培训班题图.png\", \"path\": \"/train/2023/9/22/6370c2c7459c4369a93e1ff17184fba2.png\", \"suffix\": \".png\"}]', '80', '1|128045312767044786', '1', '1', '1327473526785052672', '高志远', '001001005', '2023-09-22 14:19:05');
INSERT INTO `train_ad` VALUES ('1323493654194688000', '2', '我的学习', '[{\"name\": \"我的学习.png\", \"path\": \"/train/ad/1.png\", \"size\": 5.064453125, \"suffix\": \".png\"}]', '10', '', '1', '1', '1', '主宰', '001025', '2020-11-03 13:19:11');
INSERT INTO `train_ad` VALUES ('1323493654194688330', '2', '我的学习', '[{\"name\": \"我的学习.png\", \"path\": \"/train/ad/1.png\", \"size\": 5.064453125, \"suffix\": \".png\"}]', '10', '', '1', '0', '1', '主宰', '001025', '2020-11-03 13:14:11');
INSERT INTO `train_ad` VALUES ('1323493731520873344', '2', '我的考试', '[{\"name\": \"我的考试.png\", \"path\": \"/train/ad/2.png\", \"size\": 5.55078125, \"suffix\": \".png\"}]', '20', '', '2', '0', '1', '主宰', '001025', '2020-11-03 13:14:30');
INSERT INTO `train_ad` VALUES ('1323493731520876544', '2', '我的考试', '[{\"name\": \"我的考试.png\", \"path\": \"/train/ad/2.png\", \"size\": 5.55078125, \"suffix\": \".png\"}]', '20', '', '2', '1', '1', '主宰', '001025', '2020-11-03 13:18:30');
INSERT INTO `train_ad` VALUES ('1323493796792633392', '2', '我的练习', '[{\"name\": \"我的练习.png\", \"path\": \"/train/ad/3.png\", \"size\": 6.017578125, \"suffix\": \".png\"}]', '30', '', '3', '0', '1', '主宰', '001025', '2020-11-03 13:14:45');
INSERT INTO `train_ad` VALUES ('1323493796792635392', '2', '我的练习', '[{\"name\": \"我的练习.png\", \"path\": \"/train/ad/3.png\", \"size\": 6.017578125, \"suffix\": \".png\"}]', '30', '', '3', '1', '1', '主宰', '001025', '2020-11-03 13:17:45');
INSERT INTO `train_ad` VALUES ('1323493992683339408', '2', '调查问卷', '[{\"name\": \"调查问券.png\", \"path\": \"/train/ad/4.png\", \"size\": 3.6259765625, \"suffix\": \".png\"}]', '40', '', '4', '0', '1', '主宰', '001025', '2020-11-03 13:15:32');
INSERT INTO `train_ad` VALUES ('1323493992683409408', '2', '调查问卷', '[{\"name\": \"调查问券.png\", \"path\": \"/train/ad/4.png\", \"size\": 3.6259765625, \"suffix\": \".png\"}]', '40', '', '4', '1', '1', '主宰', '001025', '2020-11-03 13:16:32');
INSERT INTO `train_ad` VALUES ('1323494074086433440', '2', '地市培训', '[{\"name\": \"地市培训班.png\", \"path\": \"/train/2020/11/3/26fc0c820d8a411e8bf6524c451d3e13.png\", \"size\": 8.7099609375, \"suffix\": \".png\"}]', '50', '', '5', '0', '1', '主宰', '001025', '2020-11-03 13:15:51');
INSERT INTO `train_ad` VALUES ('1323494074086461440', '2', '地市培训', '[{\"name\": \"地市培训班.png\", \"path\": \"/train/2020/11/3/26fc0c820d8a411e8bf6524c451d3e13.png\", \"size\": 8.7099609375, \"suffix\": \".png\"}]', '50', '', '50', '0', '1', '主宰', '001025', '2020-11-03 13:15:51');
INSERT INTO `train_ad` VALUES ('1323495741389410304', '1', '2', '[{\"name\": \"微信截图_20230322091544.png\", \"path\": \"/train/2023/3/22/5a1066a62faa42259a0d8c0118ef725b.png\", \"size\": 363.95703125, \"suffix\": \".png\"}]', '99', 'https://jmy.jinmingyuan.com/train/app/guide.html', '1', '1', '1', '主宰', '001025', '2020-11-03 13:22:29');
INSERT INTO `train_ad` VALUES ('1323495741389410333', '1', '1', '[{\"name\": \"微信截图_20230322091715.png\", \"path\": \"/train/2023/3/22/f352b83bf0dc402d8ea700e32317a9f7.png\", \"size\": 204.755859375, \"suffix\": \".png\"}]', '99', 'https://jmy.jinmingyuan.com/train/app/guide.html', '1', '1', '1', '主宰', '001025', '2020-11-03 13:22:29');
INSERT INTO `train_ad` VALUES ('1600022259018371072', '2', '考试', '[{\"name\": \"党建-1.png\", \"path\": \"/train/2022/12/6/9753038305e44f89a77c8bc59117df2e.png\", \"size\": 171.1708984375, \"suffix\": \".png\"}]', '20', '', '4', '0', '1590543166828843008', '张磊', '001001001', '2022-12-06 15:00:08');
INSERT INTO `train_ad` VALUES ('1640971398799298560', '1', '培训指引', '[{\"name\": \"1ad8017fb2864384aea3791b428a139f.jpg\", \"path\": \"/train/2023/3/29/24b24e6dfce04aab8f9e7482ab50625b.jpg\", \"size\": 188.55078125, \"suffix\": \".jpg\"}]', '0', '', '1', '1', '1327473526785052672', '高志远', '001001005', '2023-03-29 14:57:24');
INSERT INTO `train_ad` VALUES ('1640975807704862720', '1', '3', '[{\"name\": \"微信图片_20230329150948.png\", \"path\": \"/train/2023/3/29/093111227bd94772855d1a1895e84086.png\", \"size\": 175.462890625, \"suffix\": \".png\"}]', '0', '', '11', '1', '1327473526785052672', '高志远', '001071', '2023-03-29 15:14:55');
INSERT INTO `train_ad` VALUES ('1640982064205533184', '1', '2023培训计划', '[{\"name\": \"培训班题图.png\", \"path\": \"/train/2023/3/29/3a7f8c57d77e4b24a546b5231a3b75c3.png\", \"suffix\": \".png\"}]', '80', '1|1640981421491359744', '1', '0', '1327473526785052672', '高志远', '001071', '2023-03-29 15:39:47');
INSERT INTO `train_ad` VALUES ('1640982076536786944', '1', '2023培训计划', '[{\"name\": \"培训班题图.png\", \"path\": \"/train/2023/3/29/3a7f8c57d77e4b24a546b5231a3b75c3.png\", \"suffix\": \".png\"}]', '80', '1|1640981421491359744', '1', '0', '1327473526785052672', '高志远', '001071', '2023-03-29 15:39:50');
INSERT INTO `train_ad` VALUES ('1640984378463096832', '1', '前端vue入门培训', '[{\"name\": \"培训班题图.png\", \"path\": \"/train/2023/3/29/8861a329e35045ba89a65715bd6d584e.png\", \"suffix\": \".png\"}]', '80', '1|1640983724587880448', '1', '0', '1327473526785052672', '高志远', '001001005', '2023-03-29 15:48:58');

-- ----------------------------
-- Table structure for train_agreement
-- ----------------------------
DROP TABLE IF EXISTS `train_agreement`;
CREATE TABLE `train_agreement` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `content` longtext COMMENT '协议内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户协议';

-- ----------------------------
-- Records of train_agreement
-- ----------------------------
INSERT INTO `train_agreement` VALUES ('1339400374544633856', '<p>欢迎您来到数字化培训平台。</p>\n<p>请您仔细阅读以下条款，如果您对本协议的任何条款表示异议，您可以选择不进入数字化培训平台。当您登录成功，无论是进入数字化培训平台，还是在数字化培训平台上发布任何内容（即「内容」），均意味着您（即「用户」）完全接受本协议项下的全部条款。</p>\n<h2>一、使用规则</h2>\n<p class=\"num\">1.<span class=\"con\">数字化培训平台（以下简称平台）会赋予用户登录系统所用的帐号密码，用户登录成功后，该用户帐号和密码由用户负责保管；用户应当对以其用户帐号进行的所有活动和事件负法律责任。</span></p>\n<p class=\"num\">2.<span class=\"con\">用户须对在平台的绑定个人信息的真实性、合法性、有效性承担全部责任，用户不得冒充他人；不得利用他人的名义发布任何信息；不得恶意使用他人帐号导致其他用户误认或产生不良后果；否则平台有权立即停止提供服务，收回其帐号并由用户独自承担由此而产生的一切法律责任。</span></p>\n<p class=\"num\">3.<span class=\"con\">用户直接或通过各类方式（如 RSS 源和站外 API 引用等）间接使用本平台服务和数据的行为，都将被视作已无条件接受本协议全部内容；若用户对本协议的任何条款存在异议，请停止使用本平台所提供的全部服务。</span></p>\n<p class=\"num\">4.<span class=\"con\">数字化培训平台是一个信息分享、传播及获取的平台，用户通过平台发表的信息为公开的信息，用户对任何信息的发表即认可该信息为公开的信息，并单独对此行为承担法律责任；任何用户不愿被其他第三人获知的信息都不应该在平台上进行发表。</span></p>\n<p class=\"num\">5.<span class=\"con\">用户承诺不得以任何方式利用平台直接或间接从事违反中国法律以及社会公德的行为，平台有权对违反上述承诺的内容予以删除。</span></p>\n<p class=\"num\">6.<span class=\"con\">用户不得利用数字化培训平台服务制作、上载、复制、发布、传播或者转载如下内容：</span></p>\n<p class=\"sub\">反对宪法所确定的基本原则的；</p>\n<p class=\"sub\">危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；</p>\n<p class=\"sub\">损害国家荣誉和利益的；</p>\n<p class=\"sub\">煽动民族仇恨、民族歧视，破坏民族团结的；</p>\n<p class=\"sub\">破坏国家宗教政策，宣扬邪教和封建迷信的；</p>\n<p class=\"sub\">散布谣言，扰乱社会秩序，破坏社会稳定的；</p>\n<p class=\"sub\">散布淫秽、色情、赌博、暴力、凶杀、恐怖或者教唆犯罪的；</p>\n<p class=\"sub\">侮辱或者诽谤他人，侵害他人合法权益的；</p>\n<p class=\"sub last\">含有法律、行政法规禁止的其他内容的信息。</p>\n<p class=\"num\">7.<span class=\"con\">平台有权对用户使用本平台服务的情况进行审查和监督，如用户在使用本平台时违反任何上述规定，平台管理人员有权要求用户改正或直接采取一切必要的措施（包括但不限于更改或删除用户发布的内容、暂停或终止用户使用平台的权利）以减轻用户不当行为造成的影响。</span></p>\n<h2>二、知识产权</h2>\n<p>数字化培训平台是一个信息获取、分享及传播的平台，我们尊重和鼓励数字化培训平台用户创作的内容，认识到保护知识产权对数字化培训平台发展的重要性，承诺将保护知识产权作为数字化培训平台运营的基本原则之一。</p>\n<p class=\"num\">1.<span class=\"con\">用户在数字化培训平台上发表的全部原创内容（包括但不仅限于视频和评论），著作权均归用户本人所有。用户可授权第三方以任何方式使用，不需要得到数字化培训平台的同意。</span></p>\n<p class=\"num\">2.<span class=\"con\">数字化培训平台提供的网络服务中包含的标识、版面设计、排版方式、文本、图片、图形等均受著作权、商标权及其它法律保护，未经相关权利人（含数字化培训平台及其他原始权利人）同意，上述内容均不得在任何平台被直接或间接发布、使用、出于发布或使用目的的改写或再发行，或被用于其他任何商业目的。</span></p>\n<p class=\"num\">3.<span class=\"con\">为了促进知识的分享和传播，用户将其在数字化培训平台上发表的全部内容，授予数字化培训平台免费的、不可撤销的、非独家使用许可，数字化培训平台有权将该内容用于数字化培训平台其他服务上，包括但不限于网站以及数字化平台其他相关项目产品。</span></p>\n<p class=\"num\">4.<span class=\"con\">在数字化培训平台上传或发表的内容，用户应保证其为著作权人或已取得合法授权，并且该内容不会侵犯任何第三方的合法权益。如果第三方提出关于著作权的异议，数字化培训平台有权根据实际情况删除相关的内容，且有权追究用户的法律责任。给数字化培训平台或任何第三方造成损失的，用户应负责全额赔偿。</span></p>\n<p class=\"num\">5.<span class=\"con\">如果任何第三方侵犯了数字化培训平台用户相关的权利，用户同意授权数字化培训平台或其指定的代理人代表数字化培训平台自身或用户对该第三方提出警告、投诉、发起行政执法、诉讼、进行上诉，或谈判和解，并且用户同意在数字化培训平台认为必要的情况下参与共同维权。</span></p>\n<p class=\"num\">6.<span class=\"con\">数字化培训平台有权但无义务对用户发布的内容进行审核，有权根据相关证据结合《侵权责任法》、《信息网络传播权保护条例》等法律法规及数字化培训平台运营指导原则对侵权信息进行处理。</span></p>\n<h2>三、个人隐私</h2>\n<p>尊重用户个人隐私信息的私有性是数字化培训平台的一贯原则，数字化培训平台将通过技术手段、强化内部管理等办法充分保护用户的个人隐私信息，除法律或有法律赋予权限的政府部门要求或事先得到用户明确授权等原因外，数字化培训平台保证不对外公开或向第三方透露用户个人隐私信息，或用户在使用服务时存储的非公开内容。同时，为了运营和改善数字化培训平台的技术与服务，数字化培训平台将可能会自行收集使用或向第三方提供用户的非个人隐私信息，这将有助于数字化培训平台向用户提供更好的用户体验和服务质量。</p>\n<h2>四、免责声明</h2>\n<p class=\"num\">1.<span class=\"con\">数字化培训平台不能对用户发表的回答或评论的正确性进行保证。</span></p>\n<p class=\"num\">2.<span class=\"con\">用户在数字化培训平台发表的内容仅表明其个人的立场和观点，并不代表数字化培训平台的立场或观点。作为内容的发表者，需自行对所发表内容负责，因所发表内容引发的一切纠纷，由该内容的发表者承担全部法律及连带责任。数字化培训平台不承担任何法律及连带责任。</span></p>\n<p class=\"num\">3.<span class=\"con\">数字化培训平台不保证网络服务一定能满足用户的要求，也不保证网络服务不会中断，对网络服务的及时性、安全性、准确性也都不作保证。</span></p>\n<p class=\"num\">4.<span class=\"con\">对于因不可抗力或数字化培训平台不能控制的原因造成的网络服务中断或其它缺陷，数字化培训平台不承担任何责任，但将尽力减少因此而给用户造成的损失和影响。</span></p>\n<h2>五、协议修改</h2>\n<p class=\"num\">1.<span class=\"con\">根据有关法律、法规及规范性文件的变化，或者因业务发展需要，数字化培训平台有权对本协议的条款作出修改或变更，一旦本协议的内容发生变动，数字化培训平台将会直接在数字化培训平台下载网站上公布修改之后的协议内容，该公布行为视为数字化培训平台已经通知用户修改内容。数字化培训平台也可采用电子邮件或系统消息的传送方式，提示用户协议条款的修改、服务变更、或其它重要事项。</span></p>\n<p class=\"num\">2.<span class=\"con\">如果不同意数字化培训平台对本协议相关条款所做的修改，用户有权并应当停止使用数字化培训平台。如果用户继续使用数字化培训平台，则视为用户接受数字化培训平台对本协议相关条款所做的修改。</span></p>\n<h2>六、联系方式</h2>\n<p>联系电话：0371-63525883(工作日8:00-17:00)</p>');

-- ----------------------------
-- Table structure for train_audit
-- ----------------------------
DROP TABLE IF EXISTS `train_audit`;
CREATE TABLE `train_audit` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `link_type` smallint(3) DEFAULT NULL COMMENT '审核类型 10、培训计划  20、培训班  30、在线课程  40、内训师晋升  50、短视频审核  60、地市培训创建权限  70、个人培训经历  80、个人授课经历 90、其他经历上报',
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id',
  `state` smallint(1) DEFAULT NULL COMMENT '审核状态 0、拒绝  1、通过',
  `content` varchar(255) DEFAULT NULL COMMENT '通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '审核人id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '审核人姓名',
  `create_user_code` varchar(20) DEFAULT NULL COMMENT '审核人编号',
  `create_time` datetime DEFAULT NULL COMMENT '审核时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='审核信息';

-- ----------------------------
-- Records of train_audit
-- ----------------------------
INSERT INTO `train_audit` VALUES ('127051673711052857', '20', '127050043999518848', '1', '', '1', '主宰', null, '2023-09-21 10:41:57');
INSERT INTO `train_audit` VALUES ('127902429517403302', '30', '178542656589190030', '0', '1', '1590543166828843008', '张磊', null, '2023-09-22 10:19:53');
INSERT INTO `train_audit` VALUES ('128033789899335198', '20', '127931103763926586', '1', '', '1590543166828843008', '张磊', null, '2023-09-22 13:58:49');
INSERT INTO `train_audit` VALUES ('128045918261608761', '20', '128045312767044786', '1', '', '1327473526785052672', '高志远', null, '2023-09-22 14:19:02');
INSERT INTO `train_audit` VALUES ('128060393512218699', '50', '128059479047920901', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 14:43:09');
INSERT INTO `train_audit` VALUES ('128063395653329474', '50', '128063035561907723', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 14:48:09');
INSERT INTO `train_audit` VALUES ('128113430462804418', '50', '128112887888483435', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 16:11:33');
INSERT INTO `train_audit` VALUES ('128115828187858753', '50', '128115395111645794', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 16:15:33');
INSERT INTO `train_audit` VALUES ('128156682358148725', '30', '1668104669093826560', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 17:23:38');
INSERT INTO `train_audit` VALUES ('128159566233730877', '30', '1602895608639787008', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 17:28:27');
INSERT INTO `train_audit` VALUES ('128160838000692663', '30', '1668104669093826560', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 17:30:34');
INSERT INTO `train_audit` VALUES ('128162164725713489', '30', '1602897387829989376', '1', null, '1590543166828843008', '张磊', null, '2023-09-22 17:32:46');
INSERT INTO `train_audit` VALUES ('128167551454758515', '50', '1705101117622456320', '0', '1', '1590543166828843008', '张磊', null, '2023-09-22 17:41:45');
INSERT INTO `train_audit` VALUES ('128167592429709577', '50', '1705101247222255616', '1', '1', '1590543166828843008', '张磊', null, '2023-09-22 17:41:49');
INSERT INTO `train_audit` VALUES ('130442604634018406', '20', '130441652709239612', '1', '', '1590543166828843008', '张磊', null, '2023-09-25 08:53:30');
INSERT INTO `train_audit` VALUES ('1556456731213697024', '10', '1556456591505625088', '1', '', '1', '主宰', null, '2022-08-08 09:46:17');
INSERT INTO `train_audit` VALUES ('1562349828044886016', '10', '1562349759270883328', '1', '可以', '1561992470802337792', '常远', null, '2022-08-24 16:03:21');
INSERT INTO `train_audit` VALUES ('1564126275650588672', '10', '1564126237058797568', '1', '', '1', '主宰', null, '2022-08-29 13:42:19');
INSERT INTO `train_audit` VALUES ('1564139058521837568', '20', '1564137571225833472', '1', '', '1', '主宰', null, '2022-08-29 14:33:06');
INSERT INTO `train_audit` VALUES ('1564459548998242304', '20', '1564459315396481024', '1', '', '1564125772657070080', '王宇航', null, '2022-08-30 11:46:37');
INSERT INTO `train_audit` VALUES ('1567748612971171840', '20', '1567417778149920768', '1', '', '1562314510612697088', '国产007', null, '2022-09-08 13:36:11');
INSERT INTO `train_audit` VALUES ('1567774250432073728', '20', '1567752246903574528', '1', '', '1562314510612697088', '国产007', null, '2022-09-08 15:18:04');
INSERT INTO `train_audit` VALUES ('1567774355214176256', '20', '1567752246903574528', '1', '', '1562314510612697088', '国产007', null, '2022-09-08 15:18:29');
INSERT INTO `train_audit` VALUES ('1567774853090643968', '20', '1567712977149366272', '1', '', '1562314510612697088', '国产007', null, '2022-09-08 15:20:27');
INSERT INTO `train_audit` VALUES ('1568120323809873920', '20', '1567813857320243200', '1', '', null, null, null, '2022-09-09 14:13:14');
INSERT INTO `train_audit` VALUES ('1568122171455311872', '20', '1567354977431719936', '1', '', '1562314510612697088', '国产007', null, '2022-09-09 14:20:35');
INSERT INTO `train_audit` VALUES ('1568125926485659648', '20', '1567353659631734784', '0', null, '1562314510612697088', '国产007', null, '2022-09-09 14:35:30');
INSERT INTO `train_audit` VALUES ('1569632049034301440', '20', '1569630027946004480', '0', null, '1', '主宰', null, '2022-09-13 18:20:17');
INSERT INTO `train_audit` VALUES ('1569885571533377536', '20', '1569884248276602880', '0', null, '1', '主宰', null, '2022-09-14 11:07:42');
INSERT INTO `train_audit` VALUES ('1569940068733423616', '20', '1569938643886411776', '0', null, '1', '主宰', null, '2022-09-14 14:44:15');
INSERT INTO `train_audit` VALUES ('1569940175004504064', '20', '1569938643886411776', '0', null, '1', '主宰', null, '2022-09-14 14:44:40');
INSERT INTO `train_audit` VALUES ('1569940337638641664', '20', '1569938643886411776', '0', null, '1', '主宰', null, '2022-09-14 14:45:19');
INSERT INTO `train_audit` VALUES ('1569942539354640384', '20', '1569938643886411776', '0', null, '1', '主宰', null, '2022-09-14 14:54:04');
INSERT INTO `train_audit` VALUES ('1569948871499583488', '20', '1569938643886411776', '0', null, '1', '主宰', null, '2022-09-14 15:19:14');
INSERT INTO `train_audit` VALUES ('1569950088736935936', '20', '1569938643886411776', '0', null, '1', '主宰', null, '2022-09-14 15:24:04');
INSERT INTO `train_audit` VALUES ('1569955109381738496', '20', '1569954857891270656', '0', null, '1564191182190415872', '本部运营1', null, '2022-09-14 15:44:01');
INSERT INTO `train_audit` VALUES ('1569955328848695296', '20', '1569954857891270656', '0', null, '1564191182190415872', '本部运营1', null, '2022-09-14 15:44:53');
INSERT INTO `train_audit` VALUES ('1569956944079360000', '20', '1569954857891270656', '0', null, '1564191182190415872', '本部运营1', null, '2022-09-14 15:51:19');
INSERT INTO `train_audit` VALUES ('1569957441943244800', '20', '1569954857891270656', '0', null, '1564191182190415872', '本部运营1', null, '2022-09-14 15:53:17');
INSERT INTO `train_audit` VALUES ('1569958139732824064', '20', '1569954857891270656', '0', null, '1', '主宰', null, '2022-09-14 15:56:04');
INSERT INTO `train_audit` VALUES ('1569958164231753728', '20', '1569954857891270656', '0', null, '1', '主宰', null, '2022-09-14 15:56:09');
INSERT INTO `train_audit` VALUES ('1569958517132103680', '20', '1569954857891270656', '0', null, '1564191182190415872', '本部运营1', null, '2022-09-14 15:57:34');
INSERT INTO `train_audit` VALUES ('1569959419633078272', '20', '1569954857891270656', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-14 16:01:09');
INSERT INTO `train_audit` VALUES ('1569961274664685568', '20', '1569961112236068864', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-14 16:08:31');
INSERT INTO `train_audit` VALUES ('1570251092640534528', '20', '1570226030914965504', '1', null, '1569970196410667008', '李露露', null, '2022-09-15 11:20:09');
INSERT INTO `train_audit` VALUES ('1570254188120772608', '20', '1570250910679044096', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-15 11:32:27');
INSERT INTO `train_audit` VALUES ('1570258662709137408', '20', '1570250910679044096', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-15 11:50:14');
INSERT INTO `train_audit` VALUES ('1570298864488026112', '20', '1570297537271828480', '1', null, '1569970196410667008', '李露露', null, '2022-09-15 14:29:59');
INSERT INTO `train_audit` VALUES ('1570328932580986880', '20', '1569492860322058240', '1', null, '1567097186544652288', '何云凡', null, '2022-09-15 16:29:27');
INSERT INTO `train_audit` VALUES ('1570329520442052608', '20', '1568134402704281600', '1', null, '1567097186544652288', '何云凡', null, '2022-09-15 16:31:47');
INSERT INTO `train_audit` VALUES ('1570333354354675712', '20', '1570332144293777408', '1', null, '1567097186544652288', '何云凡', null, '2022-09-15 16:47:02');
INSERT INTO `train_audit` VALUES ('1570339436464574464', '20', '1570250910679044096', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-15 17:11:12');
INSERT INTO `train_audit` VALUES ('1570340874313928704', '20', '1570250910679044096', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-15 17:16:55');
INSERT INTO `train_audit` VALUES ('1570341408819253248', '20', '1570250910679044096', '1', null, '1564191182190415872', '本部运营1', null, '2022-09-15 17:19:02');
INSERT INTO `train_audit` VALUES ('1570346874567790592', '20', '1570344722680123392', '1', null, '1562314510612697088', '国产007', null, '2022-09-15 17:40:45');
INSERT INTO `train_audit` VALUES ('1570348766773514240', '20', '1570348192174837760', '1', null, '1562314510612697088', '国产007', null, '2022-09-15 17:48:16');
INSERT INTO `train_audit` VALUES ('1570364965318168576', '20', '1570349627503415296', '1', null, '1562314510612697088', '国产007', null, '2022-09-15 18:52:38');
INSERT INTO `train_audit` VALUES ('1570598478634160128', '20', '1570339436661706752', '1', null, '1', '主宰', null, '2022-09-16 10:20:32');
INSERT INTO `train_audit` VALUES ('1570648256097161216', '20', '1570351035338330112', '1', null, '1', '主宰', null, '2022-09-16 13:38:20');
INSERT INTO `train_audit` VALUES ('1570649553256976384', '20', '1570339435038511104', '1', null, '1', '主宰', null, '2022-09-16 13:43:29');
INSERT INTO `train_audit` VALUES ('1570694261073121280', '20', '1570693801251573760', '1', null, '1', '主宰', null, '2022-09-16 16:41:09');
INSERT INTO `train_audit` VALUES ('1570696962381058048', '20', '1570693801251573760', '1', null, '1', '主宰', null, '2022-09-16 16:51:53');
INSERT INTO `train_audit` VALUES ('1570699789421645824', '20', '1570693801251573760', '1', null, '1', '主宰', null, '2022-09-16 17:03:03');
INSERT INTO `train_audit` VALUES ('1571748103621578752', '20', '1571736395163242496', '1', null, '1564192820011601920', '郑州001', null, '2022-09-19 14:28:44');
INSERT INTO `train_audit` VALUES ('1572103683431337984', '20', '1572103420964376576', '1', null, '1', '主宰', null, '2022-09-20 14:01:41');
INSERT INTO `train_audit` VALUES ('1572146563952807936', '20', '1570682743120072704', '0', null, '1569970196410667008', '李露露', null, '2022-09-20 16:52:05');
INSERT INTO `train_audit` VALUES ('1572146811886505984', '20', '1572146637869027328', '0', null, '1569970196410667008', '李露露', null, '2022-09-20 16:53:04');
INSERT INTO `train_audit` VALUES ('1572161491149393920', '20', '1572161388133093376', '1', null, '1', '主宰', null, '2022-09-20 17:51:23');
INSERT INTO `train_audit` VALUES ('1572403701002407936', '20', '1572032863921115136', '0', null, '1', '主宰', null, '2022-09-21 09:53:51');
INSERT INTO `train_audit` VALUES ('1572404969276051456', '20', '1572032863921115136', '0', null, '1', '主宰', null, '2022-09-21 09:58:53');
INSERT INTO `train_audit` VALUES ('1572406260777750528', '20', '1572032863921115136', '0', '张磊不同意', '1', '主宰', null, '2022-09-21 10:04:01');
INSERT INTO `train_audit` VALUES ('1572407697683386368', '20', '1572406044859174912', '0', '1345', '1', '主宰', null, '2022-09-21 10:09:44');
INSERT INTO `train_audit` VALUES ('1572416396632133632', '20', '1572406044859174912', '1', '1345', '1', '主宰', null, '2022-09-21 10:44:18');
INSERT INTO `train_audit` VALUES ('1572427175745949696', '20', '1572146637869027328', '1', '', '1', '主宰', null, '2022-09-21 11:27:08');
INSERT INTO `train_audit` VALUES ('1572484619138371584', '20', '1572408168884080640', '1', null, '1569970196410667008', '李露露', null, '2022-09-21 15:15:23');
INSERT INTO `train_audit` VALUES ('1572508295984451584', '20', '1572508066103037952', '1', '', '1', '主宰', null, '2022-09-21 16:49:24');
INSERT INTO `train_audit` VALUES ('1572509684257132544', '20', '1572509569505169408', '1', '', '1', '主宰', null, '2022-09-21 16:54:59');
INSERT INTO `train_audit` VALUES ('1572510968561405952', '20', '1572510819634253824', '1', '', '1', '主宰', null, '2022-09-21 17:00:00');
INSERT INTO `train_audit` VALUES ('1572513343929978880', '20', '1572513200975515648', '1', '', '1', '主宰', null, '2022-09-21 17:09:24');
INSERT INTO `train_audit` VALUES ('1572513722814042112', '20', '1572513625858510848', '1', '', '1', '主宰', null, '2022-09-21 17:11:02');
INSERT INTO `train_audit` VALUES ('1572514290156572672', '20', '1571698237209972736', '1', '', '1', '主宰', null, '2022-09-21 17:13:17');
INSERT INTO `train_audit` VALUES ('1572515262744367104', '20', '1572515153289809920', '1', '', '1', '主宰', null, '2022-09-21 17:17:09');
INSERT INTO `train_audit` VALUES ('1572518690610614272', '20', '1572518361621991424', '0', '搜索', '1', '主宰', null, '2022-09-21 17:30:46');
INSERT INTO `train_audit` VALUES ('1572520161347506176', '20', '1572520001989120000', '1', '搜索', '1', '主宰', null, '2022-09-21 17:36:37');
INSERT INTO `train_audit` VALUES ('1572521029107060736', '20', '1572520923607732224', '1', '搜索', '1', '主宰', null, '2022-09-21 17:40:04');
INSERT INTO `train_audit` VALUES ('1572763301664919552', '20', '1568132181858062336', '1', 'ok', '1', '主宰', null, '2022-09-22 09:42:46');
INSERT INTO `train_audit` VALUES ('1572766961987883008', '20', '1572766217247264768', '1', '', '1', '主宰', null, '2022-09-22 09:57:19');
INSERT INTO `train_audit` VALUES ('1572777015172534272', '20', '1572776695600123904', '1', '', '1', '主宰', null, '2022-09-22 10:37:16');
INSERT INTO `train_audit` VALUES ('1572796920689201152', '20', '1572796033749094400', '1', '', '1', '主宰', null, '2022-09-22 11:56:22');
INSERT INTO `train_audit` VALUES ('1572797809420275712', '20', '1572797449381220352', '0', '已经拒绝', '1569970196410667008', '李露露', null, '2022-09-22 11:59:54');
INSERT INTO `train_audit` VALUES ('1572828112146796544', '20', '1572797449381220352', '0', '1', '1569970196410667008', '李露露', null, '2022-09-22 14:00:18');
INSERT INTO `train_audit` VALUES ('1572830439595446272', '20', '1572797449381220352', '0', '3', '1569970196410667008', '李露露', null, '2022-09-22 14:09:33');
INSERT INTO `train_audit` VALUES ('1572836001238355968', '20', '1572824712692764672', '1', '', '1570604410206294016', '张磊', null, '2022-09-22 14:31:39');
INSERT INTO `train_audit` VALUES ('1572838367022944256', '20', '1572797449381220352', '1', '', '1569970196410667008', '李露露', null, '2022-09-22 14:41:03');
INSERT INTO `train_audit` VALUES ('1572841327505313792', '20', '1572840721512271872', '1', '', '1570604410206294016', '张磊', null, '2022-09-22 14:52:49');
INSERT INTO `train_audit` VALUES ('1572865622914764800', '20', '1572842240676597760', '1', '', '1569970196410667008', '李露露', null, '2022-09-22 16:29:22');
INSERT INTO `train_audit` VALUES ('1572870029563793408', '20', '1572869789519581184', '1', '', '1', '主宰', null, '2022-09-22 16:46:52');
INSERT INTO `train_audit` VALUES ('1572870848359043072', '20', '1572870717807136768', '1', '', '1', '主宰', null, '2022-09-22 16:50:07');
INSERT INTO `train_audit` VALUES ('1572875153954705408', '20', '1572874824055918592', '1', '', '1', '主宰', null, '2022-09-22 17:07:14');
INSERT INTO `train_audit` VALUES ('1572875810942095360', '20', '1572875655060787200', '1', '', '1', '主宰', null, '2022-09-22 17:09:50');
INSERT INTO `train_audit` VALUES ('1572876494143885312', '20', '1572876333464293376', '1', '', '1', '主宰', null, '2022-09-22 17:12:33');
INSERT INTO `train_audit` VALUES ('1572877016892575744', '20', '1572876886546190336', '1', '', '1', '主宰', null, '2022-09-22 17:14:38');
INSERT INTO `train_audit` VALUES ('1572877738497413120', '20', '1572877572822405120', '1', '', '1', '主宰', null, '2022-09-22 17:17:30');
INSERT INTO `train_audit` VALUES ('1572878546748182528', '20', '1572878373611507712', '1', '', '1', '主宰', null, '2022-09-22 17:20:43');
INSERT INTO `train_audit` VALUES ('1572879179073064960', '20', '1572878780698071040', '1', '', '1570604410206294016', '张磊', null, '2022-09-22 17:23:14');
INSERT INTO `train_audit` VALUES ('1572879336950861824', '20', '1572879202766688256', '1', '', '1', '主宰', null, '2022-09-22 17:23:51');
INSERT INTO `train_audit` VALUES ('1572880054860517376', '20', '1572879924723847168', '1', '', '1', '主宰', null, '2022-09-22 17:26:42');
INSERT INTO `train_audit` VALUES ('1572883418008653824', '20', '1572883200882118656', '1', '', '1', '主宰', null, '2022-09-22 17:40:04');
INSERT INTO `train_audit` VALUES ('1572885293982420992', '20', '1572885174935490560', '1', '', '1', '主宰', null, '2022-09-22 17:47:31');
INSERT INTO `train_audit` VALUES ('1572885737270022144', '20', '1572885613240258560', '1', '', '1', '主宰', null, '2022-09-22 17:49:17');
INSERT INTO `train_audit` VALUES ('1572887946934226944', '20', '1572887280887140352', '0', '111', '1570604410206294016', '张磊', null, '2022-09-22 17:58:04');
INSERT INTO `train_audit` VALUES ('1572888110189121536', '20', '1572887280887140352', '0', '111', '1570604410206294016', '张磊', null, '2022-09-22 17:58:43');
INSERT INTO `train_audit` VALUES ('1572888292372910080', '20', '1572887280887140352', '0', '111', '1570604410206294016', '张磊', null, '2022-09-22 17:59:26');
INSERT INTO `train_audit` VALUES ('1572889646550093824', '20', '1572889486155714560', '1', '', '1', '主宰', null, '2022-09-22 18:04:49');
INSERT INTO `train_audit` VALUES ('1573151950155943936', '20', '1573151458042449920', '1', '', '1569970196410667008', '李露露', null, '2022-09-23 11:27:07');
INSERT INTO `train_audit` VALUES ('1574243571299651584', '20', '1574243202679050240', '1', '', '1', '主宰', null, '2022-09-26 11:44:50');
INSERT INTO `train_audit` VALUES ('1574650806987264000', '20', '1574650579148476416', '1', '', '1', '主宰', null, '2022-09-27 14:43:03');
INSERT INTO `train_audit` VALUES ('1574668632921870336', '20', '1574244875245850624', '1', '', '1', '主宰', null, '2022-09-27 15:53:53');
INSERT INTO `train_audit` VALUES ('1574669053023358976', '20', '1574668938376253440', '1', '', '1', '主宰', null, '2022-09-27 15:55:33');
INSERT INTO `train_audit` VALUES ('1574673976146399232', '20', '1574673833242267648', '1', '', '1', '主宰', null, '2022-09-27 16:15:06');
INSERT INTO `train_audit` VALUES ('1574688534693023744', '20', '1574688374713880576', '0', '我拒绝了', '1', '主宰', null, '2022-09-27 17:12:58');
INSERT INTO `train_audit` VALUES ('1574998210248839168', '20', '1574679042467172352', '1', '', '1', '主宰', null, '2022-09-28 13:43:30');
INSERT INTO `train_audit` VALUES ('1574999229770895360', '20', '1574690990105694208', '1', '', '1', '主宰', null, '2022-09-28 13:47:33');
INSERT INTO `train_audit` VALUES ('1575313498693570560', '20', '1574686196263686144', '1', '', '1569970196410667008', '李露露', null, '2022-09-29 10:36:21');
INSERT INTO `train_audit` VALUES ('1575323015628066816', '20', '1575322855934136320', '1', '', '1', '主宰', null, '2022-09-29 11:14:10');
INSERT INTO `train_audit` VALUES ('1575325832925286400', '20', '1575325299946688512', '1', '', '1570604410206294016', '张磊', null, '2022-09-29 11:25:21');
INSERT INTO `train_audit` VALUES ('1575365457530195968', '20', '1575364705646678016', '1', '', '1569970196410667008', '李露露', null, '2022-09-29 14:02:49');
INSERT INTO `train_audit` VALUES ('1575370271681024000', '20', '1575327504024080384', '1', '', '1570604410206294016', '张磊', null, '2022-09-29 14:21:56');
INSERT INTO `train_audit` VALUES ('1575407672465952768', '20', '1575407526655168512', '1', '', '1', '主宰', null, '2022-09-29 16:50:33');
INSERT INTO `train_audit` VALUES ('1575429123688501248', '20', '1575429026724581376', '1', '', '1', '主宰', null, '2022-09-29 18:15:48');
INSERT INTO `train_audit` VALUES ('1575666588168884224', '30', '1575665665078071296', '1', null, '1570604410206294016', '张磊', null, '2022-09-30 09:59:24');
INSERT INTO `train_audit` VALUES ('1575679823492288512', '20', '1575679697537339392', '1', '', '1', '主宰', null, '2022-09-30 10:51:59');
INSERT INTO `train_audit` VALUES ('1575685923151155200', '20', '1575685803575742464', '1', '', '1', '主宰', null, '2022-09-30 11:16:14');
INSERT INTO `train_audit` VALUES ('1575692187151241216', '20', '1575691944053575680', '1', '', '1', '主宰', null, '2022-09-30 11:41:07');
INSERT INTO `train_audit` VALUES ('1575705374634414080', '80', '1575692741747281920', '1', '', '1570604410206294016', '张磊', null, '2022-09-30 12:33:31');
INSERT INTO `train_audit` VALUES ('1578925310244687872', '20', '1578925079021096960', '1', '', '1', '主宰', null, '2022-10-09 09:48:24');
INSERT INTO `train_audit` VALUES ('1579026594675167232', '20', '1579001547617079296', '0', '7', '1569970196410667008', '李露露', null, '2022-10-09 16:30:52');
INSERT INTO `train_audit` VALUES ('1579030149951787008', '20', '1579001547617079296', '0', '7', '1569970196410667008', '李露露', null, '2022-10-09 16:44:59');
INSERT INTO `train_audit` VALUES ('1579282878271983616', '20', '1579281614876315648', '1', '', '1', '主宰', null, '2022-10-10 09:29:14');
INSERT INTO `train_audit` VALUES ('1579283238373953536', '20', '1579283027245273088', '1', '', '1', '主宰', null, '2022-10-10 09:30:40');
INSERT INTO `train_audit` VALUES ('1579283967679533056', '20', '1579283811680784384', '1', '', '1', '主宰', null, '2022-10-10 09:33:34');
INSERT INTO `train_audit` VALUES ('1579284618018951168', '20', '1579284493464899584', '1', '', '1', '主宰', null, '2022-10-10 09:36:09');
INSERT INTO `train_audit` VALUES ('1579341273276485632', '20', '1579001547617079296', '1', '', '1569970196410667008', '李露露', null, '2022-10-10 13:21:17');
INSERT INTO `train_audit` VALUES ('1579360205995642880', '20', '1579359154106142720', '0', 'sdasdasdasdasd', '1561995446459699200', '李昊杰', null, '2022-10-10 14:36:31');
INSERT INTO `train_audit` VALUES ('1579362068295979008', '20', '1579359154106142720', '0', '/8520', '1561995446459699200', '李昊杰', null, '2022-10-10 14:43:55');
INSERT INTO `train_audit` VALUES ('1579654901091405824', '20', '1579654776772235264', '1', '', '1', '主宰', null, '2022-10-11 10:07:32');
INSERT INTO `train_audit` VALUES ('1579713052717223936', '20', '1579712896307433472', '1', '', '1', '主宰', null, '2022-10-11 13:58:36');
INSERT INTO `train_audit` VALUES ('1579713847957262336', '20', '1579713717669597184', '1', '', '1', '主宰', null, '2022-10-11 14:01:46');
INSERT INTO `train_audit` VALUES ('1579714742090600448', '20', '1579714620262846464', '1', '', '1', '主宰', null, '2022-10-11 14:05:19');
INSERT INTO `train_audit` VALUES ('1579716285107933184', '20', '1579716155344556032', '1', '', '1', '主宰', null, '2022-10-11 14:11:27');
INSERT INTO `train_audit` VALUES ('1579724807220629504', '20', '1579723260835270656', '1', '', '1570604410206294016', '张磊', null, '2022-10-11 14:45:19');
INSERT INTO `train_audit` VALUES ('1580035869530787840', '20', '1579763183424507904', '1', '', '1570604410206294016', '张磊', null, '2022-10-12 11:21:22');
INSERT INTO `train_audit` VALUES ('1580075448686219264', '20', '1580069013080379392', '1', '', '1562314510612697088', '国产007', null, '2022-10-12 13:58:38');
INSERT INTO `train_audit` VALUES ('1580083958429913088', '20', '1580081304689577984', '1', '', '1569970196410667008', '李露露', null, '2022-10-12 14:32:27');
INSERT INTO `train_audit` VALUES ('1580091714679476224', '20', '1580091399771131904', '1', '', '1569970621243330560', '李市级', null, '2022-10-12 15:03:16');
INSERT INTO `train_audit` VALUES ('1580100492275617792', '20', '1580097115676348416', '1', '', '1', '主宰', null, '2022-10-12 15:38:09');
INSERT INTO `train_audit` VALUES ('1580431622824660992', '20', '1580431304107888640', '1', '', '1569970621243330560', '李市级', null, '2022-10-13 13:33:57');
INSERT INTO `train_audit` VALUES ('1580448102287020032', '20', '1580447986499063808', '1', '', '1569970621243330560', '李市级', null, '2022-10-13 14:39:26');
INSERT INTO `train_audit` VALUES ('1580454907205521408', '20', '1580454783322558464', '1', '', '1569970196410667008', '李露露', null, '2022-10-13 15:06:28');
INSERT INTO `train_audit` VALUES ('1580793519633731584', '20', '1580770390802829312', '0', '正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝正常拒绝', '1569970621243330560', '李市级', null, '2022-10-14 13:31:59');
INSERT INTO `train_audit` VALUES ('1580793795514077184', '20', '1580770390802829312', '1', '', '1569970621243330560', '李市级', null, '2022-10-14 13:33:05');
INSERT INTO `train_audit` VALUES ('1580804108007378944', '20', '1580803715470856192', '1', '', '1564192820011601920', '郑州001', null, '2022-10-14 14:14:04');
INSERT INTO `train_audit` VALUES ('1580813146589892608', '20', '1580812952192290816', '1', '', '1564192820011601920', '郑州001', null, '2022-10-14 14:49:59');
INSERT INTO `train_audit` VALUES ('1580821945363075072', '20', '1580821763359641600', '1', '', '1564192820011601920', '郑州001', null, '2022-10-14 15:24:57');
INSERT INTO `train_audit` VALUES ('1581920198175363072', '20', '1581920070244896768', '1', '', '1581888248303718400', '李全', null, '2022-10-17 16:09:01');
INSERT INTO `train_audit` VALUES ('1581922663834718208', '20', '1581922527133962240', '1', '', '1581888248303718400', '李全', null, '2022-10-17 16:18:48');
INSERT INTO `train_audit` VALUES ('1582676571389562880', '20', '1582675574806155264', '0', '测试基金', '1569970621243330560', '李市级', null, '2022-10-19 18:14:34');
INSERT INTO `train_audit` VALUES ('1582676740692643840', '20', '1582675574806155264', '1', '', '1569970621243330560', '李市级', null, '2022-10-19 18:15:14');
INSERT INTO `train_audit` VALUES ('1582686371263418368', '20', '1582686163125276672', '1', '', '1569970621243330560', '李市级', null, '2022-10-19 18:53:30');
INSERT INTO `train_audit` VALUES ('1583100798957654016', '80', '1583100653906038784', '1', '', '1570604410206294016', '张磊', null, '2022-10-20 22:20:18');
INSERT INTO `train_audit` VALUES ('1583103002976325632', '70', '1583102900882771968', '1', '', '1570604410206294016', '张磊', null, '2022-10-20 22:29:03');
INSERT INTO `train_audit` VALUES ('1583313154358775808', '20', '1583297332093521920', '1', '', '1562314510612697088', '国产007', null, '2022-10-21 12:24:07');
INSERT INTO `train_audit` VALUES ('1583331415121072128', '20', '1583317513494728704', '1', '', '1569970196410667008', '李露露', null, '2022-10-21 13:36:41');
INSERT INTO `train_audit` VALUES ('1583345295847198720', '20', '1583293356560224256', '1', '', '1562314510612697088', '国产007', null, '2022-10-21 14:31:50');
INSERT INTO `train_audit` VALUES ('1583348609989087232', '20', '1583346873849221120', '1', '', '1570604410206294016', '张磊', null, '2022-10-21 14:45:00');
INSERT INTO `train_audit` VALUES ('1583350740699713536', '20', '1583289626242715648', '1', '', '1562314510612697088', '国产007', null, '2022-10-21 14:53:28');
INSERT INTO `train_audit` VALUES ('1583369446494441472', '20', '1583369261261393920', '1', '', '1', '主宰', null, '2022-10-21 16:07:48');
INSERT INTO `train_audit` VALUES ('1583373227244261376', '20', '1583372859424772096', '1', '', '1583278909414313984', '测试省级', null, '2022-10-21 16:22:50');
INSERT INTO `train_audit` VALUES ('1583392289152176128', '20', '1583392110638403584', '1', '', '1569970196410667008', '李露露', null, '2022-10-21 17:38:34');
INSERT INTO `train_audit` VALUES ('1583406517481246720', '80', '1583406122423947264', '1', '', '1569970196410667008', '李露露', null, '2022-10-21 18:35:07');
INSERT INTO `train_audit` VALUES ('1583407699486445568', '70', '1583407601931128832', '1', '', '1569970196410667008', '李露露', null, '2022-10-21 18:39:49');
INSERT INTO `train_audit` VALUES ('1583410096564736000', '30', '1583410043481624576', '1', null, '1569970196410667008', '李露露', null, '2022-10-21 18:49:20');
INSERT INTO `train_audit` VALUES ('1583683663441301504', '20', '1583683407156744192', '1', '', '1', '主宰', null, '2022-10-22 12:56:23');
INSERT INTO `train_audit` VALUES ('1583706549124206592', '20', '1583706103080947712', '0', '11111', '1', '主宰', null, '2022-10-22 14:27:20');
INSERT INTO `train_audit` VALUES ('1583722563828322304', '20', '1583722097811787776', '1', '', '1570604410206294016', '张磊', null, '2022-10-22 15:30:58');
INSERT INTO `train_audit` VALUES ('1583723665634234368', '20', '1583723493764239360', '0', '1', '1562314510612697088', '国产007', null, '2022-10-22 15:35:21');
INSERT INTO `train_audit` VALUES ('1583740313695031296', '20', '1583739434711519232', '1', '', '1570604410206294016', '张磊', null, '2022-10-22 16:41:30');
INSERT INTO `train_audit` VALUES ('1584431315086872576', '70', '1584431278764199936', '1', '', '1569970196410667008', '李露露', null, '2022-10-24 14:27:17');
INSERT INTO `train_audit` VALUES ('1584431632255946752', '70', '1584431589117530112', '1', '', '1569970196410667008', '李露露', null, '2022-10-24 14:28:33');
INSERT INTO `train_audit` VALUES ('1584445151508566016', '20', '1583413010712629248', '1', '', '1569970196410667008', '李露露', null, '2022-10-24 15:22:16');
INSERT INTO `train_audit` VALUES ('1584732621911494656', '20', '1584732496656994304', '1', '', '1', '主宰', null, '2022-10-25 10:24:35');
INSERT INTO `train_audit` VALUES ('1584803399512231936', '50', '1583408987863388160', '1', '12', '1561995446459699200', '李昊杰', null, '2022-10-25 15:05:49');
INSERT INTO `train_audit` VALUES ('1584805742811156480', '20', '1584515014952357888', '1', '', '1', '主宰', null, '2022-10-25 15:15:08');
INSERT INTO `train_audit` VALUES ('1585183800768466944', '20', '1585183526750392320', '1', '', '1', '主宰', null, '2022-10-26 16:17:24');
INSERT INTO `train_audit` VALUES ('1585189379008237568', '80', '1585189332245942272', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 16:39:34');
INSERT INTO `train_audit` VALUES ('1585204291768029184', '70', '1585203955598757888', '1', '嗯嗯', '1', '主宰', null, '2022-10-26 17:38:48');
INSERT INTO `train_audit` VALUES ('1585208085415333888', '80', '1585206203972194304', '1', '', '1', '主宰', null, '2022-10-26 17:53:54');
INSERT INTO `train_audit` VALUES ('1585256461020303360', '20', '1585087041731956736', '0', '5', '1569970196410667008', '李露露', null, '2022-10-26 21:06:08');
INSERT INTO `train_audit` VALUES ('1585256558906970112', '20', '1585087041731956736', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 21:06:31');
INSERT INTO `train_audit` VALUES ('1585257004212031488', '20', '1584875379850612736', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 21:08:17');
INSERT INTO `train_audit` VALUES ('1585260004917776384', '70', '1585259952933572608', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 21:20:13');
INSERT INTO `train_audit` VALUES ('1585262368512937984', '20', '1584471156117868544', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 21:29:36');
INSERT INTO `train_audit` VALUES ('1585264174248890368', '20', '1584723351035842560', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 21:36:47');
INSERT INTO `train_audit` VALUES ('1585281245313634304', '20', '1585280589643255808', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 22:44:37');
INSERT INTO `train_audit` VALUES ('1585282253280382976', '20', '1585281650391126016', '1', '', '1569970196410667008', '李露露', null, '2022-10-26 22:48:37');
INSERT INTO `train_audit` VALUES ('1585461308462075904', '20', '1585459813435969536', '1', '', '1569970196410667008', '李露露', null, '2022-10-27 10:40:07');
INSERT INTO `train_audit` VALUES ('1585520556520902656', '20', '1585278127179960320', '1', '', '1569970196410667008', '李露露', null, '2022-10-27 14:35:33');
INSERT INTO `train_audit` VALUES ('1585525369275027456', '20', '1585282067011342336', '1', '', '1569970196410667008', '李露露', null, '2022-10-27 14:54:40');
INSERT INTO `train_audit` VALUES ('1585541713634660352', '20', '1585541131360407552', '1', '', '1', '主宰', null, '2022-10-27 15:59:37');
INSERT INTO `train_audit` VALUES ('1585823944211042304', '20', '1584875392047648768', '0', '我要拒绝', '1', '主宰', null, '2022-10-28 10:41:06');
INSERT INTO `train_audit` VALUES ('1585851143819497472', '20', '1585850472554696704', '1', '', '1570604410206294016', '张磊', null, '2022-10-28 12:29:11');
INSERT INTO `train_audit` VALUES ('1585881383526600704', '20', '1585453051727187968', '1', '', '1562314510612697088', '国产007', null, '2022-10-28 14:29:21');
INSERT INTO `train_audit` VALUES ('1585904257587089408', '20', '1585836831126196224', '1', '', '1562314510612697088', '国产007', null, '2022-10-28 16:00:14');
INSERT INTO `train_audit` VALUES ('1585929880858660864', '20', '1585929627308789760', '1', '', '1', '主宰', null, '2022-10-28 17:42:03');
INSERT INTO `train_audit` VALUES ('1586564954406916096', '20', '1586564275265212416', '1', '', '1562314510612697088', '国产007', null, '2022-10-30 11:45:37');
INSERT INTO `train_audit` VALUES ('1586965102597378048', '20', '1586964413733277696', '1', '', '1570604410206294016', '张磊', null, '2022-10-31 14:15:39');
INSERT INTO `train_audit` VALUES ('1586969553013968896', '20', '1586969194119958528', '1', '', '1', '主宰', null, '2022-10-31 14:33:20');
INSERT INTO `train_audit` VALUES ('1586990018180812800', '20', '1585922092946296832', '0', '3232', '1569970196410667008', '李露露', null, '2022-10-31 15:54:40');
INSERT INTO `train_audit` VALUES ('1587643025411149824', '30', '1587642806577532928', '1', null, '1562314510612697088', '国产007', null, '2022-11-02 11:09:29');
INSERT INTO `train_audit` VALUES ('1587743971440988160', '20', '1587268699407126528', '1', '', '1', '主宰', null, '2022-11-02 17:50:36');
INSERT INTO `train_audit` VALUES ('1587759011506294784', '20', '1587758825031733248', '1', '', '1', '主宰', null, '2022-11-02 18:50:22');
INSERT INTO `train_audit` VALUES ('1587759348212436992', '20', '1587759227248709632', '1', '', '1', '主宰', null, '2022-11-02 18:51:42');
INSERT INTO `train_audit` VALUES ('1588044016774156288', '20', '1588043345773596672', '1', '', '1570604410206294016', '张磊', null, '2022-11-03 13:42:53');
INSERT INTO `train_audit` VALUES ('1588057178617548800', '20', '1588056226653147136', '1', '', '1569970196410667008', '李露露', null, '2022-11-03 14:35:11');
INSERT INTO `train_audit` VALUES ('1588060586023981056', '20', '1588059480422223872', '1', '', '1570604410206294016', '张磊', null, '2022-11-03 14:48:43');
INSERT INTO `train_audit` VALUES ('1588072947782914048', '20', '1588072776831471616', '1', '', '1562314510612697088', '国产007', null, '2022-11-03 15:37:50');
INSERT INTO `train_audit` VALUES ('1588729578891907072', '20', '1588729101563334656', '1', '', '1', '主宰', null, '2022-11-05 11:07:03');
INSERT INTO `train_audit` VALUES ('1588733140359319552', '20', '1588733053633695744', '1', '', '1', '主宰', null, '2022-11-05 11:21:13');
INSERT INTO `train_audit` VALUES ('1588733495969189888', '20', '1588733407918166016', '1', '', '1583278909414313984', '测试省级', null, '2022-11-05 11:22:37');
INSERT INTO `train_audit` VALUES ('1589098620886585344', '20', '1589098507447439360', '1', '', '1', '主宰', null, '2022-11-06 11:33:30');
INSERT INTO `train_audit` VALUES ('1589439854645743616', '20', '1589438485390036992', '1', '', '1570604410206294016', '张磊', null, '2022-11-07 10:09:26');
INSERT INTO `train_audit` VALUES ('1589455434195013632', '20', '1589455280243085312', '1', '', '1562314510612697088', '国产007', null, '2022-11-07 11:11:21');
INSERT INTO `train_audit` VALUES ('1589463926704312320', '20', '1589461007993016320', '1', '', '1562314510612697088', '国产007', null, '2022-11-07 11:45:05');
INSERT INTO `train_audit` VALUES ('1589527499237363712', '20', '1589527113264926720', '1', '', '1570604410206294016', '张磊', null, '2022-11-07 15:57:42');
INSERT INTO `train_audit` VALUES ('1589549424248492032', '20', '1589549121218416640', '1', '', '1570604410206294016', '张磊', null, '2022-11-07 17:24:50');
INSERT INTO `train_audit` VALUES ('1589849757906505728', '20', '1589849256125140992', '1', '', '1570604410206294016', '张磊', null, '2022-11-08 13:18:15');
INSERT INTO `train_audit` VALUES ('1589916967635128320', '20', '1589916039288852480', '1', '', '1570604410206294016', '张磊', null, '2022-11-08 17:45:19');
INSERT INTO `train_audit` VALUES ('1590544417301860352', '20', '1590543802567888896', '1', '', '1590543166828843008', '张磊', null, '2022-11-10 11:18:35');
INSERT INTO `train_audit` VALUES ('1590574545042018304', '20', '1590573038678708224', '0', '拒绝', '1590543166828843008', '张磊', null, '2022-11-10 13:18:18');
INSERT INTO `train_audit` VALUES ('1590574998937014272', '20', '1590573038678708224', '1', '', '1590543166828843008', '张磊', null, '2022-11-10 13:20:06');
INSERT INTO `train_audit` VALUES ('1590598541670223872', '20', '1590598103071854592', '1', '', '1590543166828843008', '张磊', null, '2022-11-10 14:53:39');
INSERT INTO `train_audit` VALUES ('1590602149635690496', '20', '1590602024376995840', '1', '', '1562314510612697088', '国产007', null, '2022-11-10 15:07:59');
INSERT INTO `train_audit` VALUES ('1590625996992811008', '20', '1590625766897487872', '1', '', '1590543166828843008', '张磊', null, '2022-11-10 16:42:45');
INSERT INTO `train_audit` VALUES ('1590639440357888000', '20', '1590639322640551936', '1', '', '1562314510612697088', '国产007', null, '2022-11-10 17:36:10');
INSERT INTO `train_audit` VALUES ('1591966739644682240', '20', '1591966465936986112', '1', '', '1562314510612697088', '国产007', null, '2022-11-14 09:30:23');
INSERT INTO `train_audit` VALUES ('1591966987750346752', '20', '1591966612427247616', '1', '', '1', '主宰', null, '2022-11-14 09:31:22');
INSERT INTO `train_audit` VALUES ('1591976142250840064', '20', '1591972857506828288', '0', '审核拒绝审核拒绝审核拒绝审核拒绝审核拒绝审核拒绝审核拒绝审核拒绝审核拒绝', '1569970196410667008', '李露露', null, '2022-11-14 10:07:44');
INSERT INTO `train_audit` VALUES ('1591977174884290560', '20', '1591972857506828288', '1', '', '1569970196410667008', '李露露', null, '2022-11-14 10:11:51');
INSERT INTO `train_audit` VALUES ('1591993394803118080', '20', '1591992260067725312', '1', '', '1591989473527336960', '高郑州', null, '2022-11-14 11:16:18');
INSERT INTO `train_audit` VALUES ('1592028145098297344', '20', '1592027379281301504', '1', '', '1591989473527336960', '高郑州', null, '2022-11-14 13:34:23');
INSERT INTO `train_audit` VALUES ('1592031082100953088', '20', '1592030599865044992', '1', '', '1590543166828843008', '张磊', null, '2022-11-14 13:46:03');
INSERT INTO `train_audit` VALUES ('1592033075934662656', '20', '1592032895428595712', '1', '', '1591989473527336960', '高郑州', null, '2022-11-14 13:53:59');
INSERT INTO `train_audit` VALUES ('1592049797559357440', '20', '1592048661980909568', '1', '', '1569970196410667008', '李露露', null, '2022-11-14 15:00:25');
INSERT INTO `train_audit` VALUES ('1592058756001304576', '20', '1592058496772345856', '1', '', '1569970196410667008', '李露露', null, '2022-11-14 15:36:01');
INSERT INTO `train_audit` VALUES ('1592058782165372928', '20', '1592057692325810176', '1', '', '1327473526785052672', '高志远', null, '2022-11-14 15:36:07');
INSERT INTO `train_audit` VALUES ('1592066277948657664', '20', '1592065253888364544', '1', '', '1569970196410667008', '李露露', null, '2022-11-14 16:05:54');
INSERT INTO `train_audit` VALUES ('1592066793957101568', '20', '1592066677061849088', '1', '', '1327473526785052672', '高志远', null, '2022-11-14 16:07:58');
INSERT INTO `train_audit` VALUES ('1592091542821146624', '20', '1592069625292656640', '1', '11', '1561995446459699200', '李昊杰', null, '2022-11-14 17:46:18');
INSERT INTO `train_audit` VALUES ('1592332404897484800', '20', '1592332283896008704', '0', 'sdfsd', '1', '主宰', null, '2022-11-15 09:43:24');
INSERT INTO `train_audit` VALUES ('1592348095008608256', '20', '1592347795233312768', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-15 10:45:45');
INSERT INTO `train_audit` VALUES ('1592356496279212032', '20', '1592356114652073984', '1', '', '1', '主宰', null, '2022-11-15 11:19:08');
INSERT INTO `train_audit` VALUES ('1592437197905203200', '20', '1592385355917692928', '1', '', '1562314510612697088', '国产007', null, '2022-11-15 16:39:48');
INSERT INTO `train_audit` VALUES ('1592441263184023552', '20', '1592370137816764416', '1', '', '1562314510612697088', '国产007', null, '2022-11-15 16:55:58');
INSERT INTO `train_audit` VALUES ('1592713029361995776', '20', '1592712846490341376', '1', '', '1583286076276084736', '测试郑州', null, '2022-11-16 10:55:52');
INSERT INTO `train_audit` VALUES ('1592721398487453696', '20', '1592720948858064896', '1', '', '1564192820011601920', '郑州001', null, '2022-11-16 11:29:07');
INSERT INTO `train_audit` VALUES ('1592725039525007360', '20', '1567712977149366272', '1', 'sdsd ', '1564192820011601920', '郑州001', null, '2022-11-16 11:43:35');
INSERT INTO `train_audit` VALUES ('1592791148328521728', '20', '1592783387914014720', '1', '', '1569970196410667008', '李露露', null, '2022-11-16 16:06:17');
INSERT INTO `train_audit` VALUES ('1592816504456482816', '20', '1592811842428866560', '0', '位置不对', '1', '主宰', null, '2022-11-16 17:47:02');
INSERT INTO `train_audit` VALUES ('1592817655524495360', '20', '1592817481695760384', '1', '', '1', '主宰', null, '2022-11-16 17:51:37');
INSERT INTO `train_audit` VALUES ('1593055983737901056', '20', '1593055771002802176', '1', '', '1569970196410667008', '李露露', null, '2022-11-17 09:38:39');
INSERT INTO `train_audit` VALUES ('1593075054881673216', '20', '1593074623937908736', '1', '', '1569970196410667008', '李露露', null, '2022-11-17 10:54:25');
INSERT INTO `train_audit` VALUES ('1593123347917574144', '20', '1585921029040115712', '1', '', '1', '主宰', null, '2022-11-17 14:06:20');
INSERT INTO `train_audit` VALUES ('1593134031342538752', '20', '1593133878619541504', '1', '', '1', '主宰', null, '2022-11-17 14:48:47');
INSERT INTO `train_audit` VALUES ('1593164046276890624', '20', '1593163290295537664', '1', '', '1569970196410667008', '李露露', null, '2022-11-17 16:48:03');
INSERT INTO `train_audit` VALUES ('1593195286031896576', '20', '1593195024294744064', '1', '', '1567046004463767552', '刘国灿', null, '2022-11-17 18:52:11');
INSERT INTO `train_audit` VALUES ('1593227514015256576', '20', '1593156130685718528', '0', '111', '1', '主宰', null, '2022-11-17 21:00:15');
INSERT INTO `train_audit` VALUES ('1593240720905474048', '20', '1593156130685718528', '0', '1', '1', '主宰', null, '2022-11-17 21:52:43');
INSERT INTO `train_audit` VALUES ('1593471904428199936', '20', '1592058496772345856', '1', '', '1', '主宰', null, '2022-11-18 13:11:22');
INSERT INTO `train_audit` VALUES ('1593493392367685632', '20', '1593493000393199616', '1', '', '1569970196410667008', '李露露', null, '2022-11-18 14:36:45');
INSERT INTO `train_audit` VALUES ('1593494034846978048', '20', '1593493864797310976', '1', '', '1', '主宰', null, '2022-11-18 14:39:18');
INSERT INTO `train_audit` VALUES ('1593495570163568640', '20', '1593156130685718528', '0', '123', '1561995446459699200', '李昊杰', null, '2022-11-18 14:45:24');
INSERT INTO `train_audit` VALUES ('1593495713323552768', '20', '1593156130685718528', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-18 14:45:58');
INSERT INTO `train_audit` VALUES ('1593497365812219904', '20', '1593497104381251584', '0', '123', '1561995446459699200', '李昊杰', null, '2022-11-18 14:52:32');
INSERT INTO `train_audit` VALUES ('1593497543998836736', '20', '1593497104381251584', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-18 14:53:15');
INSERT INTO `train_audit` VALUES ('1593499520107417600', '20', '1593499312577449984', '1', '', '1569970196410667008', '李露露', null, '2022-11-18 15:01:06');
INSERT INTO `train_audit` VALUES ('1593575656355139584', '20', '1593575269023748096', '1', '', '1', '主宰', null, '2022-11-18 20:03:38');
INSERT INTO `train_audit` VALUES ('1593803629981208576', '20', '1593802731448045568', '1', '', '1569970196410667008', '李露露', null, '2022-11-19 11:09:31');
INSERT INTO `train_audit` VALUES ('1593807868023410688', '20', '1592401367887122432', '1', '', '1569970196410667008', '李露露', null, '2022-11-19 11:26:22');
INSERT INTO `train_audit` VALUES ('1593816115048484864', '20', '1593815430726815744', '1', '', '1583286076276084736', '测试郑州', null, '2022-11-19 11:59:08');
INSERT INTO `train_audit` VALUES ('1593838286005211136', '20', '1593838036792250368', '1', '', '1583286076276084736', '测试郑州', null, '2022-11-19 13:27:14');
INSERT INTO `train_audit` VALUES ('1593839173377331200', '20', '1593838490360090624', '1', '', '1569970196410667008', '李露露', null, '2022-11-19 13:30:46');
INSERT INTO `train_audit` VALUES ('1593841629209432064', '20', '1593841368902537216', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-19 13:40:31');
INSERT INTO `train_audit` VALUES ('1593852403994726400', '20', '1593852295790071808', '1', '', '1583286076276084736', '测试郑州', null, '2022-11-19 14:23:20');
INSERT INTO `train_audit` VALUES ('1593927522658160640', '20', '1593927114980200448', '1', '', '1569970196410667008', '李露露', null, '2022-11-19 19:21:50');
INSERT INTO `train_audit` VALUES ('1594222825667956736', '20', '1594222226587127808', '1', '', '1569970196410667008', '李露露', null, '2022-11-20 14:55:15');
INSERT INTO `train_audit` VALUES ('1594242164433489920', '20', '1594241800200130560', '1', '', '1569970196410667008', '李露露', null, '2022-11-20 16:12:06');
INSERT INTO `train_audit` VALUES ('1594244589009637376', '20', '1594244407400468480', '1', '', '1569970196410667008', '李露露', null, '2022-11-20 16:21:44');
INSERT INTO `train_audit` VALUES ('1594502466563608576', '20', '1594501807982383104', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-21 09:26:27');
INSERT INTO `train_audit` VALUES ('1594504038194483200', '20', '1594503793733668864', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-21 09:32:42');
INSERT INTO `train_audit` VALUES ('1594504364146429952', '20', '1594504240024391680', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-21 09:33:59');
INSERT INTO `train_audit` VALUES ('1594526871729606656', '20', '1594523997104640000', '1', '', '1590543166828843008', '张磊', null, '2022-11-21 11:03:26');
INSERT INTO `train_audit` VALUES ('1594526958128074752', '20', '1594523997104640000', '1', '', '1327473526785052672', '高志远', null, '2022-11-21 11:03:46');
INSERT INTO `train_audit` VALUES ('1594558057625554944', '20', '1594530952930004992', '1', '', '1327473526785052672', '高志远', null, '2022-11-21 13:07:21');
INSERT INTO `train_audit` VALUES ('1594562907516047360', '20', '1594562352714485760', '1', '', '1', '主宰', null, '2022-11-21 13:26:37');
INSERT INTO `train_audit` VALUES ('1594566169094918144', '20', '1594565664650170368', '1', '', '1', '主宰', null, '2022-11-21 13:39:35');
INSERT INTO `train_audit` VALUES ('1594570125401526272', '20', '1594569101844549632', '1', '', '1', '主宰', null, '2022-11-21 13:55:18');
INSERT INTO `train_audit` VALUES ('1594572957445918720', '20', '1594571954189373440', '1', '', '1', '主宰', null, '2022-11-21 14:06:33');
INSERT INTO `train_audit` VALUES ('1594586776050208768', '20', '1594586018877673472', '1', '', '1569970196410667008', '李露露', null, '2022-11-21 15:01:28');
INSERT INTO `train_audit` VALUES ('1594599099741638656', '20', '1594597850510135296', '0', '1', '1561995446459699200', '李昊杰', null, '2022-11-21 15:50:26');
INSERT INTO `train_audit` VALUES ('1594599394290831360', '20', '1594597850510135296', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-21 15:51:36');
INSERT INTO `train_audit` VALUES ('1594874417228419072', '20', '1594874152140017664', '1', '', '1569970196410667008', '李露露', null, '2022-11-22 10:04:27');
INSERT INTO `train_audit` VALUES ('1595258605605621760', '20', '1595258235898695680', '1', '', '1', '主宰', null, '2022-11-23 11:31:05');
INSERT INTO `train_audit` VALUES ('1595284902947983360', '20', '1595284725910605824', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:15:34');
INSERT INTO `train_audit` VALUES ('1595286076795260928', '20', '1595285927368986624', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:20:14');
INSERT INTO `train_audit` VALUES ('1595287709423898624', '20', '1595287546621988864', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:26:43');
INSERT INTO `train_audit` VALUES ('1595288722834853888', '20', '1595288527829078016', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:30:45');
INSERT INTO `train_audit` VALUES ('1595290897627615232', '20', '1595290765951635456', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:39:24');
INSERT INTO `train_audit` VALUES ('1595291878583046144', '20', '1594982368521883648', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:43:17');
INSERT INTO `train_audit` VALUES ('1595293269774962688', '20', '1595293028619259904', '1', '', '1569970196410667008', '李露露', null, '2022-11-23 13:48:49');
INSERT INTO `train_audit` VALUES ('1595294222318178304', '20', '1595294082480082944', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 13:52:36');
INSERT INTO `train_audit` VALUES ('1595296578652999680', '20', '1595296314990661632', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 14:01:58');
INSERT INTO `train_audit` VALUES ('1595297738864594944', '20', '1595297568395497472', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 14:06:35');
INSERT INTO `train_audit` VALUES ('1595306629098770432', '20', '1595306464161959936', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 14:41:54');
INSERT INTO `train_audit` VALUES ('1595322857297154048', '20', '1595322590518448128', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 15:46:23');
INSERT INTO `train_audit` VALUES ('1595338226460135424', '20', '1594539630882066432', '1', '', '1562314510612697088', '国产007', null, '2022-11-23 16:47:28');
INSERT INTO `train_audit` VALUES ('1595344996863709184', '20', '1595344829099937792', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-23 17:14:22');
INSERT INTO `train_audit` VALUES ('1595346864096546816', '20', '1595346555282526208', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-23 17:21:47');
INSERT INTO `train_audit` VALUES ('1596020462306070528', '30', '1596020302926712832', '1', '', '1', '主宰', null, '2022-11-25 13:58:25');
INSERT INTO `train_audit` VALUES ('1596027680908775424', '30', '1596027627670474752', '1', null, '1', '主宰', null, '2022-11-25 14:27:07');
INSERT INTO `train_audit` VALUES ('1596324655734591488', '20', '1596324541188149248', '1', '', '1590543166828843008', '张磊', null, '2022-11-26 10:07:11');
INSERT INTO `train_audit` VALUES ('1596328162743160832', '20', '1596328011639164928', '1', '', '1590648570632081408', '张芳芳', null, '2022-11-26 10:21:07');
INSERT INTO `train_audit` VALUES ('1596331496661192704', '20', '1596330952991313920', '1', '', '1561995446459699200', '李昊杰', null, '2022-11-26 10:34:22');
INSERT INTO `train_audit` VALUES ('1596347052898521088', '20', '1596346735863664640', '1', '', '1', '主宰', null, '2022-11-26 11:36:11');
INSERT INTO `train_audit` VALUES ('1596386104028827648', '20', '1596385685659586560', '1', '', '1', '主宰', null, '2022-11-26 14:11:21');
INSERT INTO `train_audit` VALUES ('1596423051271081984', '20', '1595306897458728960', '1', '', '1562314510612697088', '国产007', null, '2022-11-26 16:38:10');
INSERT INTO `train_audit` VALUES ('1596427858601971712', '50', '1596427591307366400', '1', null, '1', '主宰', null, '2022-11-26 16:57:16');
INSERT INTO `train_audit` VALUES ('1596427868299202560', '50', '1596426852812066816', '1', null, '1', '主宰', null, '2022-11-26 16:57:19');
INSERT INTO `train_audit` VALUES ('1596427876549398528', '50', '1596426739549081600', '1', null, '1', '主宰', null, '2022-11-26 16:57:21');
INSERT INTO `train_audit` VALUES ('1596427883570663424', '50', '1596426647702212608', '1', null, '1', '主宰', null, '2022-11-26 16:57:22');
INSERT INTO `train_audit` VALUES ('1596496941766807552', '20', '1596496831796350976', '1', '', '1562314510612697088', '国产007', null, '2022-11-26 21:31:47');
INSERT INTO `train_audit` VALUES ('1596498914117292032', '20', '1596498438508384256', '1', '', '1567046004463767552', '刘国灿', null, '2022-11-26 21:39:37');
INSERT INTO `train_audit` VALUES ('1596671245527683072', '20', '1596670850063536128', '1', '', '1', '主宰', null, '2022-11-27 09:04:24');
INSERT INTO `train_audit` VALUES ('1596746155994255360', '20', '1596745761951977472', '1', '', '1583278909414313984', '测试省级', null, '2022-11-27 14:02:04');
INSERT INTO `train_audit` VALUES ('1596788538404376576', '20', '1596788426072526848', '1', '', '1590543166828843008', '张磊', null, '2022-11-27 16:50:29');
INSERT INTO `train_audit` VALUES ('1596790022965694464', '20', '1596789911623700480', '1', '', '1', '主宰', null, '2022-11-27 16:56:23');
INSERT INTO `train_audit` VALUES ('1597123479424077824', '20', '1597123371915677696', '1', '', '1590543166828843008', '张磊', null, '2022-11-28 15:01:25');
INSERT INTO `train_audit` VALUES ('1597129950614392832', '20', '1597129836160225280', '1', '', '1590543166828843008', '张磊', null, '2022-11-28 15:27:08');
INSERT INTO `train_audit` VALUES ('1597136043126165504', '20', '1597135726384910336', '1', '', '1590543166828843008', '张磊', null, '2022-11-28 15:51:21');
INSERT INTO `train_audit` VALUES ('1597146519935520768', '20', '1597146387521343488', '1', '', '1567046004463767552', '刘国灿', null, '2022-11-28 16:32:59');
INSERT INTO `train_audit` VALUES ('1597176807285723136', '20', '1596689079976726528', '0', '111', '1561995446459699200', '李昊杰', null, '2022-11-28 18:33:20');
INSERT INTO `train_audit` VALUES ('1597405300871270400', '20', '1597126122154364928', '1', '', '1590543166828843008', '张磊', null, '2022-11-29 09:41:17');
INSERT INTO `train_audit` VALUES ('1597474182688542720', '50', '1597473765221076992', '1', null, '1', '主宰', null, '2022-11-29 14:14:59');
INSERT INTO `train_audit` VALUES ('1597476871648448512', '50', '1597475098443517952', '1', null, '1', '主宰', null, '2022-11-29 14:25:41');
INSERT INTO `train_audit` VALUES ('1597476880670396416', '50', '1597475233277808640', '1', null, '1', '主宰', null, '2022-11-29 14:25:43');
INSERT INTO `train_audit` VALUES ('1597476888287252480', '50', '1597475392854298624', '1', null, '1', '主宰', null, '2022-11-29 14:25:45');
INSERT INTO `train_audit` VALUES ('1597476898789789696', '50', '1597475819360489472', '1', null, '1', '主宰', null, '2022-11-29 14:25:47');
INSERT INTO `train_audit` VALUES ('1597476907513942016', '50', '1597476124437385216', '1', null, '1', '主宰', null, '2022-11-29 14:25:49');
INSERT INTO `train_audit` VALUES ('1597476914270965760', '50', '1597476258860634112', '1', null, '1', '主宰', null, '2022-11-29 14:25:51');
INSERT INTO `train_audit` VALUES ('1597476920507895808', '50', '1597476405627719680', '1', null, '1', '主宰', null, '2022-11-29 14:25:52');
INSERT INTO `train_audit` VALUES ('1597476927407525888', '50', '1597476528046870528', '1', null, '1', '主宰', null, '2022-11-29 14:25:54');
INSERT INTO `train_audit` VALUES ('1597476933711564800', '50', '1597476697958125568', '1', null, '1', '主宰', null, '2022-11-29 14:25:55');
INSERT INTO `train_audit` VALUES ('1597505388511629312', '20', '1597505217669238784', '1', '', '1567046004463767552', '刘国灿', null, '2022-11-29 16:18:59');
INSERT INTO `train_audit` VALUES ('1597515428119318528', '20', '1597515216793505792', '1', '', '1583278909414313984', '测试省级', null, '2022-11-29 16:58:53');
INSERT INTO `train_audit` VALUES ('1597555286296629248', '20', '1597552958424354816', '1', '', '1590543166828843008', '张磊', null, '2022-11-29 19:37:16');
INSERT INTO `train_audit` VALUES ('1597556892773781504', '20', '1597556737949437952', '1', '', '1590543166828843008', '张磊', null, '2022-11-29 19:43:39');
INSERT INTO `train_audit` VALUES ('1597557881404788736', '20', '1597557770041823232', '1', '', '1590543166828843008', '张磊', null, '2022-11-29 19:47:35');
INSERT INTO `train_audit` VALUES ('1597559861170802688', '20', '1597559736184737792', '1', '', '1590543166828843008', '张磊', null, '2022-11-29 19:55:27');
INSERT INTO `train_audit` VALUES ('1597594910360473600', '50', '1597478580571475968', '1', null, '1', '主宰', null, '2022-11-29 22:14:43');
INSERT INTO `train_audit` VALUES ('1597597611794239488', '50', '1597478385641197568', '1', null, '1', '主宰', null, '2022-11-29 22:25:27');
INSERT INTO `train_audit` VALUES ('1597597633600425984', '50', '1597477515172122624', '1', null, '1', '主宰', null, '2022-11-29 22:25:32');
INSERT INTO `train_audit` VALUES ('1597757449245429760', '20', '1597757293041160192', '1', '', '1590543166828843008', '张磊', null, '2022-11-30 09:00:35');
INSERT INTO `train_audit` VALUES ('1597774109285158912', '20', '1597773952061673472', '1', '', '1583278909414313984', '测试省级', null, '2022-11-30 10:06:47');
INSERT INTO `train_audit` VALUES ('1597789634975371264', '20', '1597789475835088896', '1', '', '1583278909414313984', '测试省级', null, '2022-11-30 11:08:29');
INSERT INTO `train_audit` VALUES ('1597820959740530688', '20', '1597791737093427200', '1', '', '1', '主宰', null, '2022-11-30 13:12:57');
INSERT INTO `train_audit` VALUES ('1598140053111050240', '50', '1598139818007728128', '1', null, '1569970196410667008', '李露露', null, '2022-12-01 10:20:55');
INSERT INTO `train_audit` VALUES ('1598509301851361280', '20', '1597161124694986752', '1', '', '1', '主宰', null, '2022-12-02 10:48:11');
INSERT INTO `train_audit` VALUES ('1598522019081752576', '20', '1598521650104635392', '1', '', '1', '主宰', null, '2022-12-02 11:38:43');
INSERT INTO `train_audit` VALUES ('1598522437249667072', '20', '1598522109934571520', '1', '', '1590543166828843008', '张磊', null, '2022-12-02 11:40:23');
INSERT INTO `train_audit` VALUES ('1598951326027485184', '20', '1598951182674563072', '1', '', '1590543166828843008', '张磊', null, '2022-12-03 16:04:38');
INSERT INTO `train_audit` VALUES ('1600726304653709312', '20', '1596689079976726528', '1', '', '1569970196410667008', '李露露', null, '2022-12-08 13:37:46');
INSERT INTO `train_audit` VALUES ('1600764556072849408', '30', '1600764481632342016', '1', null, '1', '主宰', null, '2022-12-08 16:09:46');
INSERT INTO `train_audit` VALUES ('1602895727011434496', '30', '1602895608639787008', '1', null, '1561995446459699200', '李昊杰', null, '2022-12-14 13:18:16');
INSERT INTO `train_audit` VALUES ('1602896154805276672', '30', '1602895937418694656', '1', null, '1561995446459699200', '李昊杰', null, '2022-12-14 13:19:58');
INSERT INTO `train_audit` VALUES ('1602896360330366976', '30', '1602896300674781184', '1', null, '1561995446459699200', '李昊杰', null, '2022-12-14 13:20:47');
INSERT INTO `train_audit` VALUES ('1602896585350582272', '30', '1602896515964211200', '1', null, '1561995446459699200', '李昊杰', null, '2022-12-14 13:21:41');
INSERT INTO `train_audit` VALUES ('1602898605788762112', '30', '1602897387829989376', '1', null, '1561995446459699200', '李昊杰', null, '2022-12-14 13:29:43');
INSERT INTO `train_audit` VALUES ('1607634413947064320', '20', '1607634115245510656', '1', '', '1', '主宰', null, '2022-12-27 15:08:07');
INSERT INTO `train_audit` VALUES ('1610175544412999680', '20', '1610175243224223744', '1', '', '1', '主宰', null, '2023-01-03 15:25:40');
INSERT INTO `train_audit` VALUES ('1610176216315334656', '20', '1610175794691313664', '1', '', '1', '主宰', null, '2023-01-03 15:28:20');
INSERT INTO `train_audit` VALUES ('1610464588959191040', '20', '1610464458696691712', '1', '', '1', '主宰', null, '2023-01-04 10:34:14');
INSERT INTO `train_audit` VALUES ('1610829553448652800', '20', '1610829322136981504', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-05 10:44:28');
INSERT INTO `train_audit` VALUES ('1610831067827277824', '20', '1610830975682613248', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-05 10:50:29');
INSERT INTO `train_audit` VALUES ('1610832799848337408', '20', '1610832720240447488', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-05 10:57:22');
INSERT INTO `train_audit` VALUES ('1611169208136241152', '20', '1611169111981821952', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-06 09:14:08');
INSERT INTO `train_audit` VALUES ('1611208257857261568', '20', '1611208176332574720', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-06 11:49:18');
INSERT INTO `train_audit` VALUES ('1611245763109720064', '20', '1611245681211740160', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-06 14:18:20');
INSERT INTO `train_audit` VALUES ('1611989750544207872', '20', '1611989569824231424', '1', '', '1', '主宰', null, '2023-01-08 15:34:40');
INSERT INTO `train_audit` VALUES ('1612263775610736640', '20', '1612263653086728192', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-09 09:43:33');
INSERT INTO `train_audit` VALUES ('1612324524177625088', '20', '1612324397706776576', '1', '', '1', '主宰', null, '2023-01-09 13:44:57');
INSERT INTO `train_audit` VALUES ('1612367686275305472', '20', '1612367512480124928', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-09 16:36:27');
INSERT INTO `train_audit` VALUES ('1612402333088616448', '20', '1612402197872644096', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-09 18:54:08');
INSERT INTO `train_audit` VALUES ('1612708419830157312', '20', '1612708278364672000', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-10 15:10:25');
INSERT INTO `train_audit` VALUES ('1612710653750022144', '20', '1612710059157098496', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-10 15:19:17');
INSERT INTO `train_audit` VALUES ('1612768083305435136', '20', '1612767792682110976', '1', '', '1', '主宰', null, '2023-01-10 19:07:29');
INSERT INTO `train_audit` VALUES ('1613017590152695808', '20', '1613015858672701440', '1', '', '1', '主宰', null, '2023-01-11 11:38:56');
INSERT INTO `train_audit` VALUES ('1613049422441222144', '20', '1613049308599422976', '1', '', '1613048759447588864', '培训中心内', null, '2023-01-11 13:45:26');
INSERT INTO `train_audit` VALUES ('1613064592727085056', '20', '1613064326346838016', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-11 14:45:43');
INSERT INTO `train_audit` VALUES ('1613342875666485248', '20', '1613342717457338368', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-12 09:11:31');
INSERT INTO `train_audit` VALUES ('1613804707598438400', '20', '1613804407424684032', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-13 15:46:40');
INSERT INTO `train_audit` VALUES ('1613808835351416832', '20', '1613808331804250112', '0', '66', '1561995446459699200', '李昊杰', null, '2023-01-13 16:03:04');
INSERT INTO `train_audit` VALUES ('1613810704186478592', '20', '1613808331804250112', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-13 16:10:30');
INSERT INTO `train_audit` VALUES ('1613814434881474560', '20', '1613814276676521984', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-13 16:25:19');
INSERT INTO `train_audit` VALUES ('1614180845952831488', '20', '1614180571775373312', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-14 16:41:18');
INSERT INTO `train_audit` VALUES ('1619598762945155072', '20', '1619578700037230592', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-29 15:30:10');
INSERT INTO `train_audit` VALUES ('1619608105853784064', '20', '1619578700037230592', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-29 16:07:18');
INSERT INTO `train_audit` VALUES ('1619615092888965120', '20', '1619578700037230592', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-29 16:35:04');
INSERT INTO `train_audit` VALUES ('1619615180264706048', '20', '1619578700037230592', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-29 16:35:25');
INSERT INTO `train_audit` VALUES ('1619874917166223360', '20', '1619874679139471360', '1', '', '1', '主宰', null, '2023-01-30 09:47:31');
INSERT INTO `train_audit` VALUES ('1620323291459883008', '20', '1620322963117182976', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-31 15:29:11');
INSERT INTO `train_audit` VALUES ('1620324312005349376', '20', '1620324158833561600', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-31 15:33:15');
INSERT INTO `train_audit` VALUES ('1620327346777231360', '20', '1620327161489657856', '1', '', '1561995446459699200', '李昊杰', null, '2023-01-31 15:45:18');
INSERT INTO `train_audit` VALUES ('1620599634730815488', '20', '1620598592655986688', '1', '', '1579362188047552512', '王主任', null, '2023-02-01 09:47:17');
INSERT INTO `train_audit` VALUES ('1620614280305053696', '20', '1620613930487517184', '1', '', '1579362188047552512', '王主任', null, '2023-02-01 10:45:29');
INSERT INTO `train_audit` VALUES ('1623945020191150080', '20', '1623944808060030976', '1', '', '1', '主宰', null, '2023-02-10 15:20:39');
INSERT INTO `train_audit` VALUES ('1638710712979296256', '20', '1638710381205655552', '1', '', '1327473526785052672', '高志远', null, '2023-03-23 09:14:14');
INSERT INTO `train_audit` VALUES ('1640972964046442496', '30', '1567705722337234944', '1', null, '1327473526785052672', '高志远', null, '2023-03-29 15:03:37');
INSERT INTO `train_audit` VALUES ('1640973668878258176', '30', '1575665665078071296', '1', null, '1327473526785052672', '高志远', null, '2023-03-29 15:06:25');
INSERT INTO `train_audit` VALUES ('1640974327975383040', '30', '1602897387829989376', '1', null, '1327473526785052672', '高志远', null, '2023-03-29 15:09:02');
INSERT INTO `train_audit` VALUES ('1640974805580779520', '30', '1602896515964211200', '1', null, '1327473526785052672', '高志远', null, '2023-03-29 15:10:56');
INSERT INTO `train_audit` VALUES ('1640975533309300736', '30', '1602896300674781184', '1', null, '1327473526785052672', '高志远', null, '2023-03-29 15:13:50');
INSERT INTO `train_audit` VALUES ('1640978139016466432', '30', '1602895937418694656', '1', null, '1327473526785052672', '高志远', null, '2023-03-29 15:24:11');
INSERT INTO `train_audit` VALUES ('1640981930130411520', '20', '1640981421491359744', '1', '', '1327473526785052672', '高志远', null, '2023-03-29 15:39:15');
INSERT INTO `train_audit` VALUES ('1640984341813268480', '20', '1640983724587880448', '1', '', '1327473526785052672', '高志远', null, '2023-03-29 15:48:50');
INSERT INTO `train_audit` VALUES ('1640985388858347520', '20', '1640984872040402944', '1', '', '1327473526785052672', '高志远', null, '2023-03-29 15:52:59');
INSERT INTO `train_audit` VALUES ('1673179150065733632', '20', '1673178905432952832', '1', '', '1327473526785052672', '高志远', null, '2023-06-26 11:59:30');
INSERT INTO `train_audit` VALUES ('1673933116361805824', '20', '1673933013370671104', '1', '', '1327473526785052672', '高志远', null, '2023-06-28 13:55:30');
INSERT INTO `train_audit` VALUES ('1689904274810736640', '20', '1689903076166733824', '1', '', '1', '主宰', null, '2023-08-11 15:39:11');
INSERT INTO `train_audit` VALUES ('1691378336128962560', '20', '1691377993613709312', '1', '', '1327473526785052672', '高志远', null, '2023-08-15 17:16:34');
INSERT INTO `train_audit` VALUES ('1691386236029243392', '20', '1691385882579439616', '1', '', '1', '主宰', null, '2023-08-15 17:47:58');

-- ----------------------------
-- Table structure for train_car_supplier
-- ----------------------------
DROP TABLE IF EXISTS `train_car_supplier`;
CREATE TABLE `train_car_supplier` (
  `ID` bigint(19) NOT NULL COMMENT '主键',
  `SUPPLIER_NAME` varchar(50) DEFAULT NULL COMMENT '供应商名称',
  `CONTACT_PERSON` varchar(10) DEFAULT NULL COMMENT '联系人',
  `CONTACT_TEL` varchar(30) DEFAULT NULL COMMENT '联系电话',
  `CAR_INFO` varchar(300) DEFAULT NULL COMMENT '车辆信息',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `CREATE_USER_ID` bigint(19) DEFAULT NULL COMMENT '创建用户id',
  `CREATE_USER_NAME` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `CREATE_ORG_CODE` varchar(20) DEFAULT NULL COMMENT '创建机构编号',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='车辆供应商 ';

-- ----------------------------
-- Records of train_car_supplier
-- ----------------------------
INSERT INTO `train_car_supplier` VALUES ('1562329739253911552', 'F1团队2023', '塞巴斯蒂安维特尔', '0377-24335555', '5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位5座轿车，商务车，宇通客车59座位务车，宇通客车59座位5座轿车，商务车，宇通客车59座位务车，宇通客车59座位5座轿车，商务车，宇通客车59座位务车，宇通客车59座位5座轿车，商务车，宇通客车59座位务车，宇通客车59座位5座轿车，商务车，宇通客车59座位车59座位车', '1', '1561992470802337792', '常远', '001', '2022-08-24 14:43:31');
INSERT INTO `train_car_supplier` VALUES ('1570608842985836544', '车辆供应商1', '张三', '15745745745', '车辆供应商1', '1', '1569970196410667008', '李露露', '001001', '2022-09-16 11:01:43');
INSERT INTO `train_car_supplier` VALUES ('1570608967527305216', '车辆供应商2', '李四', '15478457457', '车辆供应商2', '1', '1569970196410667008', '李露露', '001001', '2022-09-16 11:02:13');

-- ----------------------------
-- Table structure for train_class
-- ----------------------------
DROP TABLE IF EXISTS `train_class`;
CREATE TABLE `train_class` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `plan_id` bigint(20) DEFAULT NULL COMMENT '培训计划id',
  `type` smallint(6) DEFAULT NULL COMMENT '培训班类型：1、集中培训班。2、在线培训班。',
  `code` varchar(20) DEFAULT NULL COMMENT '培训班编号',
  `name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `contact_person` varchar(10) DEFAULT NULL COMMENT '联系人',
  `contact_tel` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `site` varchar(150) DEFAULT NULL COMMENT '培训地点',
  `lat` varchar(20) DEFAULT NULL COMMENT '经度',
  `lng` varchar(20) DEFAULT NULL COMMENT '维度',
  `num` int(11) DEFAULT NULL COMMENT '培训人数',
  `sign_up_type` smallint(6) DEFAULT '0' COMMENT '报名方式：1、名单用户范围内。2、秘钥报名。3、名单+秘钥。0 不限制',
  `secret_key` varchar(20) DEFAULT NULL COMMENT '秘钥',
  `user_path` json DEFAULT NULL COMMENT '用户名单路径',
  `head_teacher_id` bigint(20) DEFAULT NULL COMMENT '班主任（系统用户id）',
  `head_teacher_name` varchar(30) DEFAULT NULL COMMENT '班主任（系统用户名）',
  `content` varchar(1024) DEFAULT NULL COMMENT '培训内容',
  `study_require` smallint(6) DEFAULT NULL COMMENT '学习要求：1、无需求。2、单个课件学习时长不低于百分比',
  `study_percentage` int(11) DEFAULT '0' COMMENT '单个课件学习百分比（无要求时为0）',
  `cover` json DEFAULT NULL COMMENT '封面',
  `description_type` smallint(1) DEFAULT NULL COMMENT '课程介绍展示类型（1、富文本，2、图片）',
  `appraise_time` datetime DEFAULT NULL COMMENT '评价开始时间',
  `description` json DEFAULT NULL COMMENT '课程介绍(图片）',
  `description_text` longtext COMMENT '课程介绍(富文本)',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：-2、班主任完善信息 。-1、待提交。0、审核拒绝。1、待审核。10、已通过。15、已发布。20、进行中。30、待结算（已结束）。40、已结算。50、待开票。60、已开票。',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `notes` varchar(50) DEFAULT NULL COMMENT '分享说明',
  `floor` varchar(2000) DEFAULT NULL COMMENT '预定的楼层',
  `floor_name` varchar(20) DEFAULT NULL COMMENT '培训班编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班';

-- ----------------------------
-- Records of train_class
-- ----------------------------
INSERT INTO `train_class` VALUES ('127931103763926586', '1601140540873773056', '1', '202309220102', '理财培训计划第一季度', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049545', '001001005', '培训部', '1301371027162533888', '002', '金融', '2023-09-22 14:00:15', '2023-11-30 11:06:32', '高志远', '15225279244', '河南省郑州市金水区杨金路街道河南金明源信息技术有限公司', '34.844009', '113.743781', '300', '2', '0922', null, '1327473526785052672', '高志远', '理财培训计划第一季度', null, '0', null, null, '2022-12-01 00:00:00', null, null, '20', '', '1590543166828843008', '张磊', '001001001', '2023-09-22 11:07:40', null, null, null);
INSERT INTO `train_class` VALUES ('128045312767044786', '1640981263219298304', '2', '202309220103', '理财培训计划第二季度', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049545', '001001005', '培训部', '1301371027162533888', '002', '金融', '2023-09-23 14:17:23', '2023-10-29 14:17:43', '高志远', '15225279244', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '100', '2', '0922', null, '1327473526785052672', '高志远', '理财培训计划第二季度', '1', '0', null, null, '2023-03-01 00:00:00', null, null, '20', '', '1327473526785052672', '高志远', '001001005', '2023-09-22 14:18:01', null, null, null);
INSERT INTO `train_class` VALUES ('130441652709239612', '1601140540873773056', '1', '202309250104', '数据库培训', '1323441314737557504', '001001', '56040000', '省本部', '1323441857514049545', '001001005', '培训部', '1301371027162533888', '002', '金融', '2023-09-25 08:51:01', '2023-11-30 08:51:08', '高志远', '15225279244', '河南省郑州市金水区杨金路街道河南金明源信息技术有限公司', '34.843972', '113.743781', '300', '2', '0925', null, '1590543166828843008', '张磊', '数据库培训', null, '0', null, null, '2022-12-01 00:00:00', null, null, '20', '', '1590543166828843008', '张磊', '001001001', '2023-09-25 08:51:55', null, null, null);
INSERT INTO `train_class` VALUES ('1673933013370671104', '1573149474635780096', '1', '202306280037', '数据库培训', '1323441314737557504', '001001', '56040000', '培训中心', null, null, null, '1301371132523450368', '004', '渠道', '2023-06-28 13:54:51', '2023-06-30 13:54:56', '李四', '15874547454', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '50', '2', '0628', null, '1327473526785052672', '高志远', '进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作', null, '0', null, null, '2022-09-01 00:00:00', null, null, '30', '', '1327473526785052672', '高志远', '001001005', '2023-06-28 13:55:06', null, null, null);
INSERT INTO `train_class` VALUES ('1689903076166733824', '1573149474635780096', '1', '202308110097', '数据库培训', '1323441314737557504', '001001', '56040000', '培训中心', '1323441857514049541', '001001001', '单位领导部门', '1301371132523450368', '004', '渠道', '2022-09-01 00:00:00', '2022-09-02 00:00:00', '李四', '15874547454', '河南省郑州市金水区杨金路街道河南外包产业园', '34.843759', '113.745578', '50', '0', null, null, '1570252962385760256', '李主任001', '进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作', null, '0', '[{\"name\": \"截图-2021年1月7日 14时1分32秒.png\", \"path\": \"/train/2023/8/11/11be87a5b47f46c8b7c3070bcd5f1a10.png\", \"size\": 316.859375, \"suffix\": \".png\"}]', '1', '2022-09-01 00:00:00', null, '<p>12</p>', '30', '', '1', '主宰', '001025', '2023-08-11 15:34:25', '', null, null);
INSERT INTO `train_class` VALUES ('1689903153388064768', '1573149474635780096', '1', '202308110098', 'java开发培训', '1323441314737557504', '001001', '56040000', '培训中心', '1323441857514049541', '001001001', '单位领导部门', '1301371132523450368', '004', '渠道', '2022-09-01 00:00:00', '2022-09-02 00:00:00', '李四', '15874547454', '河南省郑州市金水区杨金路街道河南外包产业园', '34.843759', '113.745578', '50', '0', null, null, '1564137453919539200', '王宇航', '进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作', null, '0', null, null, '2022-09-01 00:00:00', null, null, '30', null, '1', '主宰', '001025', '2023-08-11 15:34:43', '', null, null);
INSERT INTO `train_class` VALUES ('1691377993613709312', '1691377667674345472', '1', '202308150099', 'java开发培训', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049541', '001001001', '单位领导部门', '1301371027162533888', '002', '金融', '2023-08-15 09:00:44', '2023-08-15 22:30:50', '李路', '15713872512', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '30', '2', '0815', null, '1327473526785052672', '高志远', '培训线下课程', null, '0', null, null, '2023-08-01 00:00:00', null, null, '30', '', '1327473526785052672', '高志远', '001001005', '2023-08-15 17:15:13', null, null, null);
INSERT INTO `train_class` VALUES ('1691385882579439616', '1691385409055100928', '1', '202308150100', '数据库培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1301371945044021248', '002001', '保险业务', '2023-08-15 09:00:09', '2023-08-15 20:00:12', '李露', '15713872547', '河南省郑州市金水区杨金路街道崇礼路郑东新区', '34.841526', '113.748751', '30', '2', '0815', null, '1570252962385760256', '李主任001', '正常培训线上课程', null, '0', null, null, '2023-08-01 00:00:00', null, null, '30', '', '1', '主宰', '001025', '2023-08-15 17:46:34', null, null, null);

-- ----------------------------
-- Table structure for train_class_address
-- ----------------------------
DROP TABLE IF EXISTS `train_class_address`;
CREATE TABLE `train_class_address` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `addr` varchar(255) DEFAULT NULL COMMENT '培训地点',
  `lat` varchar(20) DEFAULT NULL COMMENT '经度',
  `lng` varchar(20) DEFAULT NULL COMMENT '维度',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构ID',
  `state` smallint(2) DEFAULT '0' COMMENT '状态：0 非默认 1 默认',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班地址';

-- ----------------------------
-- Records of train_class_address
-- ----------------------------
INSERT INTO `train_class_address` VALUES ('1601141258485633024', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '1323441314737557504', '1', '2022-12-09 17:06:38');

-- ----------------------------
-- Table structure for train_class_appendix
-- ----------------------------
DROP TABLE IF EXISTS `train_class_appendix`;
CREATE TABLE `train_class_appendix` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `images` json DEFAULT NULL COMMENT '图集',
  `video` json DEFAULT NULL COMMENT '视频',
  `appendix` json DEFAULT NULL COMMENT '附件',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班附件';

-- ----------------------------
-- Records of train_class_appendix
-- ----------------------------
INSERT INTO `train_class_appendix` VALUES ('1353623861316423680', '1344185078611316736', '[{\"name\": \"IMG_5763.JPG\", \"path\": \"/train/2021/1/25/fc48162e2ea24f4bafe6a2c5e320e6d8.jpg\", \"size\": 3971.8408203125, \"suffix\": \".jpg\"}, {\"name\": \"IMG_5782.JPG\", \"path\": \"/train/2021/1/25/3a3950015dcd41969507f2aebe137d78.jpg\", \"size\": 3848.5966796875, \"suffix\": \".jpg\"}]', null, '[{\"name\": \"传真、结算、评价、预算、分账、签到.pdf\", \"path\": \"/train/2021/1/25/43a6c8ce19c346b5abf5f19a9589c320.pdf\", \"size\": 1784.36328125, \"suffix\": \".pdf\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1376344400896069632', '1372356387451047936', '[{\"name\": \"IMG_7024.JPG\", \"path\": \"/train/2021/3/29/1097628a17d54aa08b47dbc9e111d3ac.jpg\", \"size\": 2518.4794921875, \"suffix\": \".jpg\"}, {\"name\": \"IMG_7028.JPG\", \"size\": 2300.3203125, \"suffix\": \".jpg\"}, {\"name\": \"IMG_7040.JPG\", \"size\": 2472.880859375, \"suffix\": \".jpg\"}, {\"name\": \"IMG_7045.JPG\", \"path\": \"/train/2021/3/29/2aa6dc135c164db7b5d851fd0af65394.jpg\", \"size\": 3241.712890625, \"suffix\": \".jpg\"}, {\"name\": \"IMG_7066.JPG\", \"size\": 3089.4296875, \"suffix\": \".jpg\"}]', null, '[{\"name\": \"纪委办函(1)(1).docx\", \"path\": \"/train/2021/3/29/11906296cdc84364ac51b104ef8e202a.docx\", \"size\": 13.0556640625, \"suffix\": \".docx\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1570580999576883200', '1570226030914965504', '[{\"name\": \"微信图片_20220901111517.jpg\", \"path\": \"/train/2022/9/16/ef7f55890f1f41ae8ffd9dfee8a6ea99.jpg\", \"size\": 11.13671875, \"suffix\": \".jpg\"}]', '[{\"name\": \"f1c088dab8dcd8b1e02653d4644b714a.mp4\", \"path\": \"/train/2022/9/16/53cbc00f2623459e8fcca63d87ef7567.mp4\", \"size\": 1913.2666015625, \"suffix\": \".mp4\"}]', '[{\"name\": \"f1c088dab8dcd8b1e02653d4644b714a.mp4\", \"path\": \"/train/2022/9/16/4a0f7dfcce464da8ae75f20f1f356720.mp4\", \"size\": 1913.2666015625, \"suffix\": \".mp4\"}, {\"name\": \"D253发卡器演示工具.rar\", \"path\": \"/train/2022/9/16/4b6dfd6a04bd46a8b8935017798aba9e.rar\", \"size\": 3673.7470703125, \"suffix\": \".rar\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1574598746744950784', '1573151458042449920', '[{\"name\": \"人员签到 (1).png\", \"path\": \"/train/2022/9/27/b94d403b43254cb1b8761f9d04c2694e.png\", \"size\": 4.59375, \"suffix\": \".png\"}]', '[{\"name\": \"视频01.mp4\", \"path\": \"/train/2022/9/27/59f8a522a27c483da22f2568c6e46603.mp4\", \"size\": 5929.548828125, \"suffix\": \".mp4\"}]', '[{\"name\": \"1.jpg\", \"path\": \"/train/2022/9/27/43ce901c6e6249dcb634b9b8b90bf8b2.jpg\", \"size\": 75.60546875, \"suffix\": \".jpg\"}, {\"name\": \"居民户信息模板 (1).xls\", \"path\": \"/train/2022/9/27/9e79ade22caa423fa050c8e2e156beb7.xls\", \"size\": 20.5, \"suffix\": \".xls\"}, {\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/27/91d228675afb4ae8b1a5083c9324af18.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1579002050665123840', '1575364705646678016', '[{\"name\": \"1.jpg\", \"path\": \"/train/2022/10/9/b9826ffd57204a38a786be1081241127.jpg\", \"size\": 75.60546875, \"suffix\": \".jpg\"}, {\"name\": \"19.jpg\", \"path\": \"/train/2022/10/9/6c45130738ee4a85a287458488e53098.jpg\", \"size\": 197.4775390625, \"suffix\": \".jpg\"}]', '[{\"name\": \"视频01.mp4\", \"path\": \"/train/2022/10/9/32086fc5b053439995c7fcb882ff6456.mp4\", \"size\": 5929.548828125, \"suffix\": \".mp4\"}]', '[{\"name\": \"鹤壁财政测试点复测梳理.xlsx\", \"path\": \"/train/2022/10/9/f97e48090f4b4ca2b362354fe626499b.xlsx\", \"size\": 16.4443359375, \"suffix\": \".xlsx\"}, {\"name\": \"河南大学2020年硕士统考生拟录取公示.pdf\", \"path\": \"/train/2022/10/9/686baf626aad436c9d21650bb411c4f6.pdf\", \"size\": 993.30078125, \"suffix\": \".pdf\"}, {\"name\": \"新建 PPT 演示文稿.ppt\", \"path\": \"/train/2022/10/9/5c93148b374d4e12a0ab2b0ba4c88930.ppt\", \"size\": 20.5, \"suffix\": \".ppt\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1579706027333521408', '1572796033749094400', '[{\"name\": \"培训班主页.png\", \"path\": \"/train/2022/10/11/5c95fcfc625043dcb0aaa085503b263c.png\", \"size\": 466.14453125, \"suffix\": \".png\"}]', null, '[{\"name\": \"供应商(1).doc\", \"path\": \"/train/2022/10/11/603885ec628d4b279385dadd86e81d81.doc\", \"size\": 27.076171875, \"suffix\": \".doc\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1579706143792566272', '1572840721512271872', '[{\"name\": \"培训班主页.png\", \"path\": \"/train/2022/10/11/6039703d0537447caae6f1a085e6113c.png\", \"size\": 466.14453125, \"suffix\": \".png\"}]', null, '[{\"name\": \"供应商(1).doc\", \"path\": \"/train/2022/10/11/4e4fb2b555584391a6ef2d4f3897fd21.doc\", \"size\": 27.076171875, \"suffix\": \".doc\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1583405787076759552', '1583392110638403584', '[{\"name\": \"1019第一期1019第一期1019第一期1019第一期01.png\", \"path\": \"/train/2022/10/21/62b223b645b644f29ea60e72ceccdd99.png\", \"size\": 4.58984375, \"suffix\": \".png\"}]', '[{\"name\": \"WeChat_20221021182941.mp4\", \"path\": \"/train/2022/10/21/13b92bfde17b478691c1c8a016c402fa.mp4\", \"size\": 8583.0849609375, \"suffix\": \".mp4\"}]', '[{\"name\": \"5f2a5db289b146c3a4886379e3cc4412.xlsx\", \"path\": \"/train/2022/10/21/868ae29abf4d419d9052acc9a87db7f8.xlsx\", \"size\": 3.470703125, \"suffix\": \".xlsx\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1589429137968336896', '1588059480422223872', '[{\"name\": \"工作动态详情.png\", \"path\": \"/train/2022/11/7/487545dc46ad406f9d364aa35a27574f.png\", \"size\": 182.9375, \"suffix\": \".png\"}]', null, '[{\"name\": \"鹤壁市财政局项目需求文档1.0(1).docx\", \"path\": \"/train/2022/11/7/d4f56c55ad9e4ee7833e2e727daf0447.docx\", \"size\": 96.580078125, \"suffix\": \".docx\"}]', null);
INSERT INTO `train_class_appendix` VALUES ('1592385516261740544', '1591972857506828288', '[{\"name\": \"2022郑州金融培训2.png\", \"path\": \"/train/2022/11/15/aea88882d6114cf388ba31d2d5890609.png\", \"size\": 4.7021484375, \"suffix\": \".png\"}]', '[{\"name\": \"02.mp4\", \"path\": \"/train/2022/11/15/404509d5bf024f85bdfcb2cd68797c9c.mp4\", \"size\": 4548.716796875, \"suffix\": \".mp4\"}]', '[{\"name\": \"1.jpg\", \"path\": \"/train/2022/11/15/0373fb30b2084ec990e4e6959ea46b1d.jpg\", \"size\": 75.60546875, \"suffix\": \".jpg\"}, {\"name\": \"产品导入信息模板 .xls\", \"path\": \"/train/2022/11/15/7c3e4d7698f44402898799f574a23c6a.xls\", \"size\": 20.5, \"suffix\": \".xls\"}]', '附件上传备注');

-- ----------------------------
-- Table structure for train_class_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_class_appraise`;
CREATE TABLE `train_class_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `site` smallint(1) DEFAULT NULL COMMENT '位置：1、培训班。2、讲师。',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1星级评论 2文本评论',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班评价项';

-- ----------------------------
-- Records of train_class_appraise
-- ----------------------------
INSERT INTO `train_class_appraise` VALUES ('1588729893783474176', '1588729101563334656', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1588729893879943170', '1588729101563334656', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1588729893980606466', '1588729101563334656', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1588731769413308416', '1588729101563334656', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1588731769497194498', '1588729101563334656', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1588731769568497666', '1588729101563334656', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1588734069859028992', '1588733407918166016', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1588734069942915074', '1588733407918166016', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1588734070035189762', '1588733407918166016', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1588735416515825664', '1588733407918166016', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1588735416515825668', '1588733407918166016', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1588735416515825672', '1588733407918166016', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1589101563224395776', '1589098507447439360', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1589101563320864771', '1589098507447439360', null, '讲师教的怎么样子', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1589101563404750852', '1589098507447439360', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1589101563484442626', '1589098507447439360', null, '其他怎么样222222', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1589101563606077441', '1589098507447439360', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1589497910402355200', '1588729101563334656', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1589497910494629891', '1588729101563334656', null, '讲师教的怎么样子', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1589497910595293188', '1588729101563334656', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1589497910729510914', '1588729101563334656', null, '其他怎么样222222', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1589497910825979908', '1588729101563334656', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1591993763440496640', '1591992260067725312', null, '讲师星级评价项目', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1591998948099362816', null, '1', '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1591998948099362821', '1591972857506828288', null, '讲师评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1591998948099362826', '1591972857506828288', null, '课程评价', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1591998948099362831', '1591972857506828288', null, '文本评价', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1591998948099362834', null, '1', '文本内容评级爱选哪个', '5', '3');
INSERT INTO `train_class_appraise` VALUES ('1592029085880684544', '1592027379281301504', null, '讲师星级评价项目', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1592067010504822784', '1592066677061849088', null, '讲师星级评价项目', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1592108105171341312', '1592030599865044992', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592108106207334405', '1592030599865044992', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592108106282831875', '1592030599865044992', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592108106370912259', '1592030599865044992', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592108106454798339', '1592030599865044992', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1592108106534490115', '1592030599865044992', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592108106618376194', '1592030599865044992', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592111274735570944', '1592048661980909568', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592111274819457029', '1592048661980909568', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592111274903343107', '1592048661980909568', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592111274991423491', '1592048661980909568', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592111275075309571', '1592048661980909568', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1592111275163389955', '1592048661980909568', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592111275251470338', '1592048661980909568', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032072785920', '1590543802567888896', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032160866309', '1590543802567888896', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032248946691', '1590543802567888896', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032337027075', '1590543802567888896', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032429301763', '1590543802567888896', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1592115032517382147', '1590543802567888896', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032609656834', '1590543802567888896', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032697737218', '1590543802567888896', null, '课程内容规划（集中，在线，课程）', '3', '2');
INSERT INTO `train_class_appraise` VALUES ('1592115032790011907', '1590543802567888896', null, '您对该讲师的整体感受', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1592115032878092289', '1590543802567888896', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1592115032966172673', '1590543802567888896', null, '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1592115033062641665', '1590543802567888896', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');
INSERT INTO `train_class_appraise` VALUES ('1592358453978992640', '1592356114652073984', null, '讲师星级评价项目', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1592417620576047104', '1592048661980909568', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592417620580241411', '1592048661980909568', null, '讲师教的怎么样子', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592417620588630020', '1592048661980909568', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1592417620592824322', '1592048661980909568', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1592417620601212930', '1592048661980909568', null, '其他怎么样222222', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1592418190951059456', '1592347795233312768', null, '讲师星级评价项目', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437427312660480', '1592385355917692928', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437427472044037', '1592385355917692928', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437427610456067', '1592385355917692928', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437427765645315', '1592385355917692928', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437428042469379', '1592385355917692928', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1592437428512231427', '1592385355917692928', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437428692586498', '1592385355917692928', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437428864552962', '1592385355917692928', null, '课程内容规划（集中，在线，课程）', '3', '2');
INSERT INTO `train_class_appraise` VALUES ('1592437429015547907', '1592385355917692928', null, '您对该讲师的整体感受', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1592437429187514369', '1592385355917692928', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1592437429355286529', '1592385355917692928', null, '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1592437429615333377', '1592385355917692928', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');
INSERT INTO `train_class_appraise` VALUES ('1593195459369897984', '1593195024294744064', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195459470561285', '1593195024294744064', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195459562835971', '1593195024294744064', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195459667693571', '1593195024294744064', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195459810299907', '1593195024294744064', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593195459994849283', '1593195024294744064', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195460087123970', '1593195024294744064', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195460183592962', '1593195024294744064', null, '课程内容规划（集中，在线，课程）', '3', '2');
INSERT INTO `train_class_appraise` VALUES ('1593195460275867651', '1593195024294744064', null, '您对该讲师的整体感受', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1593195460368142337', '1593195024294744064', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1593195460464611329', '1593195024294744064', null, '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1593195460556886017', '1593195024294744064', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');
INSERT INTO `train_class_appraise` VALUES ('1593494321745760256', '1593493864797310976', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593494321838034949', '1593493864797310976', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593494321934503939', '1593493864797310976', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593494322026778627', '1593493864797310976', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593494322123247619', '1593493864797310976', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593494322232299523', '1593493864797310976', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593494322328768514', '1593493864797310976', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593496783428915200', '1593493864797310976', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593496783525384197', '1593493864797310976', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593496783621853187', '1593493864797310976', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593496783714127875', '1593493864797310976', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593496783810596867', '1593493864797310976', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593496783902871555', '1593493864797310976', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593496783999340546', '1593493864797310976', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593499221615579136', '1593497104381251584', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593499221712048133', '1593497104381251584', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593499221808517123', '1593497104381251584', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593499221909180419', '1593497104381251584', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593499222001455107', '1593497104381251584', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593499222097924099', '1593497104381251584', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593499222194393090', '1593497104381251584', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593500809843314688', '1593493864797310976', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593500809935589381', '1593493864797310976', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593500810023669763', '1593493864797310976', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593500810120138755', '1593493864797310976', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593500810212413443', '1593493864797310976', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593500810304688131', '1593493864797310976', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593500810401157122', '1593493864797310976', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593501194419048448', '1593497104381251584', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593501194511323141', '1593497104381251584', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593501194603597827', '1593497104381251584', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593501194700066819', '1593497104381251584', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593501194792341507', '1593497104381251584', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593501194884616195', '1593497104381251584', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593501194976890882', '1593497104381251584', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512086581248', '1593499312577449984', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512178855941', '1593499312577449984', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512266936323', '1593499312577449984', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512355016707', '1593499312577449984', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512443097091', '1593499312577449984', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593503512535371779', '1593499312577449984', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512623452162', '1593499312577449984', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512711532546', '1593499312577449984', null, '课程内容规划（集中，在线，课程）', '3', '2');
INSERT INTO `train_class_appraise` VALUES ('1593503512799612931', '1593499312577449984', null, '您对该讲师的整体感受', '3', '1');
INSERT INTO `train_class_appraise` VALUES ('1593503512887693313', '1593499312577449984', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1593503512975773697', '1593499312577449984', null, '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1593503513063854081', '1593499312577449984', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');
INSERT INTO `train_class_appraise` VALUES ('1593842989619351552', '1593841368902537216', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593842989724209157', '1593841368902537216', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593842989824872451', '1593841368902537216', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593842989925535747', '1593841368902537216', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1593842990017810435', '1593841368902537216', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1593842990126862339', '1593841368902537216', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1593842990223331330', '1593841368902537216', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1594219221393477632', '1588729101563334656', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1594219221481558021', '1588729101563334656', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1594219221578027011', '1588729101563334656', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1594219221666107395', '1588729101563334656', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1594219221783547907', '1588729101563334656', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1594219221909377027', '1588729101563334656', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1594219222077149186', '1588729101563334656', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1594599138098548736', '1594571954189373440', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1594599138182434818', '1594571954189373440', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1594599138715111426', '1594571954189373440', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1594599138798997505', '1594571954189373440', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');
INSERT INTO `train_class_appraise` VALUES ('1596347825522872320', '1596346735863664640', null, '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596347825623535619', '1596346735863664640', null, '讲师教的怎么样子', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1596347825699033092', '1596346735863664640', null, '其他怎么么样', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1596347825799696386', '1596346735863664640', null, '其他怎么样222222', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1596347825900359684', '1596346735863664640', null, '文本评价怎么样', '3', '3');
INSERT INTO `train_class_appraise` VALUES ('1596348023879897088', '1596346735863664640', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596348023947005957', '1596346735863664640', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596348024060252163', '1596346735863664640', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596348024328687619', '1596346735863664640', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596348024395796483', '1596346735863664640', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1596348024504848387', '1596346735863664640', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1596348024567762946', '1596346735863664640', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1596395878258708480', '1596385685659586560', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596395878325817346', '1596385685659586560', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596395878460035074', '1596385685659586560', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596407388397768704', '1596385685659586560', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596407388494237698', '1596385685659586560', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596407388594900994', '1596385685659586560', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596411236067708928', '1596385685659586560', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596411236159983618', '1596385685659586560', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596411236252258306', '1596385685659586560', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596411239477678080', '1596385685659586560', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596411239574147074', '1596385685659586560', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596411239662227458', '1596385685659586560', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596413332947079168', '1596385685659586560', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596413333475561474', '1596385685659586560', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596413333915963394', '1596385685659586560', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596499092706562048', '1596498438508384256', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596499092710756357', '1596498438508384256', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596499092719144963', '1596498438508384256', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596499092723339267', '1596498438508384256', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596499092727533571', '1596498438508384256', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1596499092731727875', '1596498438508384256', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1596499092740116482', '1596498438508384256', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1596671955065507840', '1596670850063536128', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596671955153588226', '1596670850063536128', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596671955245862914', '1596670850063536128', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596673054254174208', '1596670850063536128', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596673054346448898', '1596670850063536128', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596673054430334978', '1596670850063536128', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596702933133692928', '1596670850063536128', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596702933242744834', '1596670850063536128', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596702933309853698', '1596670850063536128', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596746360877617152', '1596745761951977472', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596746360969891842', '1596745761951977472', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596746361053777922', '1596745761951977472', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1596790161667133440', '1596789911623700480', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1596790161755213826', '1596789911623700480', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1596790161839099906', '1596789911623700480', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1598522816079204352', '1598521650104635392', null, '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1598522816158896130', '1598521650104635392', null, '其他1', '1', '2');
INSERT INTO `train_class_appraise` VALUES ('1598522817303941122', '1598521650104635392', null, '文本1', '1', '3');
INSERT INTO `train_class_appraise` VALUES ('1598954088316407808', '1598951182674563072', null, '您对培训中心教育培训保障工作作何评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1598954088324796421', '1598951182674563072', null, '请对课程内容进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1598954088333185027', '1598951182674563072', null, '请对课程讲师进行评价', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1598954088341573635', '1598951182674563072', null, '请对楚序平老师授课情况进行评价？', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1598954088349962243', '1598951182674563072', null, '讲师课堂呈现（集中，在线，课程）', '2', '2');
INSERT INTO `train_class_appraise` VALUES ('1598954088358350851', '1598951182674563072', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1598954088362545154', '1598951182674563072', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1643892733942829056', null, '1', '讲师评价1', '1', '0');
INSERT INTO `train_class_appraise` VALUES ('1689904052206440448', '1689903076166733824', '1', '请对楚序平老师授课情况进行评价？', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1689904052210634755', '1689903076166733824', '1', '讲师1', '1', '1');
INSERT INTO `train_class_appraise` VALUES ('1691379256334094336', '1691377993613709312', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1691379256434757634', '1691377993613709312', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1691379256535420930', '1691377993613709312', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1691379256636084225', '1691377993613709312', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');
INSERT INTO `train_class_appraise` VALUES ('1691387213398544384', '1691385882579439616', null, '您对该讲师的课堂呈现感受如何：', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1691387213499207682', '1691385882579439616', null, '请对新冠肺炎疫情防控工作情况加以评价', '2', '1');
INSERT INTO `train_class_appraise` VALUES ('1691387213595676674', '1691385882579439616', null, '在本次学习中，您的最大收获是什么？有什么建议？', '4', '2');
INSERT INTO `train_class_appraise` VALUES ('1691387213687951361', '1691385882579439616', null, '下次再有此类培训，您最想学习什么课程？', '5', '2');

-- ----------------------------
-- Table structure for train_class_appraise_list
-- ----------------------------
DROP TABLE IF EXISTS `train_class_appraise_list`;
CREATE TABLE `train_class_appraise_list` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班ID',
  `APPRAISE_NAME` varchar(30) DEFAULT NULL COMMENT '评价名称',
  `APPRAISE_START_TIME` datetime DEFAULT NULL COMMENT '评估开始时间',
  `APPRAISE_END_TIME` datetime DEFAULT NULL COMMENT '评估结束时间',
  `APPRAISE_STATE` varchar(1) DEFAULT NULL COMMENT '状态1:未开始；2：进行中；3：已结束',
  `train_class_appraise_id` bigint(19) DEFAULT NULL COMMENT '评价项id',
  `notice_time` int(11) DEFAULT NULL COMMENT '提前开始开始通知时间',
  `allowable_times` int(11) DEFAULT NULL COMMENT '允许评价次数'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班评价列表';

-- ----------------------------
-- Records of train_class_appraise_list
-- ----------------------------
INSERT INTO `train_class_appraise_list` VALUES ('1567756270608453632', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1564137571225833472', '年度第一次评价测试', '2022-09-09 14:06:05', '2022-09-17 14:06:05', '2', null, '23', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1569944432214675456', '1', '2022-09-14 15:01:35', null, null, '1567813857320243200', '第一次评估', '2022-09-14 15:00:24', '2022-09-18 15:00:24', '2', null, '1', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1570333178164547584', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570297537271828480', '第一次评估001', '2022-09-15 16:32:36', '2022-09-18 16:32:36', '2', null, '20', '5');
INSERT INTO `train_class_appraise_list` VALUES ('1570333294900416512', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570297537271828480', '第二次评估', '2022-09-15 16:46:24', '2022-09-16 16:46:24', '2', null, null, '6');
INSERT INTO `train_class_appraise_list` VALUES ('1571786760357285888', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1564459315396481024', '测试老师必选', '2022-09-01 16:58:09', '2022-10-28 16:58:09', '2', null, '2', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1573119313186000896', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1564137571225833472', '测试时间范围', '2022-09-01 09:17:16', '2022-09-25 09:17:18', '2', null, '2', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1572100961822969856', null, null, '1564821097285816320', '2022-09-23 11:39:17', '1571736395163242496', 'App添加评价计划001', '2022-09-01 13:50:28', '2022-09-25 13:50:28', '2', null, '2', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1572118873535287296', null, null, '1564821097285816320', '2022-09-23 11:40:47', '1571736395163242496', '试试试', '2022-09-20 14:59:17', '2022-10-30 14:59:17', '2', null, '2', '3');
INSERT INTO `train_class_appraise_list` VALUES ('1574285318939611136', null, null, '1564821097285816320', '2022-09-26 16:16:03', '1574243202679050240', '测试文本评价', '2022-09-25 14:30:26', '2022-09-30 14:30:31', '2', null, '10', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1575328174903005184', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575325299946688512', '9月29评估', '2022-09-29 11:34:24', '2022-09-30 11:34:27', '2', null, '10', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1575329271369568256', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575325299946688512', '第二次评估', '2022-09-29 11:38:47', '2022-10-01 11:38:50', '2', null, '10', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1575332941259739136', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575325299946688512', '评价', '2022-09-29 11:53:20', '2022-09-30 11:53:22', '2', null, '10', '11');
INSERT INTO `train_class_appraise_list` VALUES ('1575377688078716928', '1', '2022-09-29 14:51:25', null, null, '1575325299946688512', '123', '2022-09-29 14:51:08', '2022-09-29 14:51:10', '2', null, '15', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1575377690280726528', '1', '2022-09-29 14:51:25', null, null, '1575325299946688512', '123', '2022-09-29 14:51:08', '2022-09-29 14:51:10', '2', null, '15', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1575407492635168768', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575364705646678016', '测试手机端的评估计划数据-评估库', '2022-09-29 17:50:31', '2022-09-29 19:49:37', '2', null, null, '2');
INSERT INTO `train_class_appraise_list` VALUES ('1575677259090628608', null, null, '1569970196410667008', '2022-09-30 10:47:51', '1575364705646678016', '导入的模板附件测试评估计划', '2022-09-30 10:39:59', '2022-10-01 10:40:03', '2', null, null, '3');
INSERT INTO `train_class_appraise_list` VALUES ('1578569717034127360', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1575691944053575680', '新的评估计划', '2022-10-08 10:15:09', '2022-10-15 10:15:09', '2', null, '10', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1578618333786411008', '1', '2022-10-08 13:28:35', null, null, '1575407526655168512', '566565', '2022-10-08 13:28:15', '2022-10-27 13:28:18', '2', null, null, '12');
INSERT INTO `train_class_appraise_list` VALUES ('1578622194605494272', '1', '2022-10-08 13:43:55', null, null, '1575691944053575680', '是看大家反馈及时的反馈给谁看的风格款式大方告诉大家放过你的是', '2022-10-07 13:43:32', '2022-10-28 13:43:35', '2', null, null, '1212');
INSERT INTO `train_class_appraise_list` VALUES ('1578652654974930944', '1', '2022-10-08 15:44:58', null, null, '1574673833242267648', '法规', '2022-10-08 15:44:44', '2022-10-14 15:44:46', '2', null, null, '11');
INSERT INTO `train_class_appraise_list` VALUES ('1578994438930305024', '1', '2022-10-09 14:23:06', null, null, '1578925079021096960', 'ssss', '2022-10-09 14:22:35', '2022-10-15 14:22:38', '2', null, '30', '111');
INSERT INTO `train_class_appraise_list` VALUES ('1579007476337086464', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1575364705646678016', '测试显示值', '2022-10-09 15:14:30', '2022-10-10 15:14:37', '2', null, '22', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1579023423651319808', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1578925079021096960', '测试评估', '2022-10-09 16:17:08', '2022-10-14 16:17:34', '2', null, '30', '5');
INSERT INTO `train_class_appraise_list` VALUES ('1579360392197574656', '1569970196410667008', '2022-10-10 14:37:15', null, null, '1579001547617079296', '模板评估', '2022-10-10 14:37:03', '2022-10-11 14:37:06', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1579364396147281920', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579001547617079296', '导入模板', '2022-10-10 14:52:55', '2022-10-11 14:52:58', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1579365111552937984', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579284493464899584', 'ceshi ', '2022-10-06 14:55:48', '2022-10-21 14:55:51', '2', null, '30', '10');
INSERT INTO `train_class_appraise_list` VALUES ('1579365508879355904', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579284493464899584', '1', '2022-10-11 14:57:24', '2022-10-13 14:57:27', '2', null, '30', '10');
INSERT INTO `train_class_appraise_list` VALUES ('1579802605645860864', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579723260835270656', '评估计划', '2022-10-11 19:54:09', '2022-10-14 19:54:12', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1579803111629918208', '1570604410206294016', '2022-10-11 19:56:28', null, null, '1579723260835270656', '评估计划1', '2022-10-11 19:56:17', '2022-10-16 19:56:20', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1579803690754248704', null, null, '1570604410206294016', '2022-10-11 19:59:32', '1579723260835270656', '评估', '2022-10-12 19:58:35', '2022-10-16 19:58:37', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1580098187291660288', null, null, '1569970196410667008', '2022-10-12 15:34:22', '1580091399771131904', '第二次002', '2022-10-12 15:28:49', '2022-10-13 15:28:51', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580114702921502720', null, null, '1569970621243330560', '2022-10-12 16:35:46', '1580081304689577984', '十月份的金融培训第一次评估计划', '2022-10-12 16:35:26', '2022-10-13 16:34:28', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580376493756911616', null, null, '1', '2022-10-13 09:56:15', '1580097115676348416', '测试1', '2022-10-13 09:54:35', '2022-10-14 09:54:37', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580380152821583872', null, null, '1', '2022-10-13 10:15:55', '1580097115676348416', '我自己的名称', '2022-10-13 10:09:11', '2022-10-30 10:09:14', '2', null, '30', '10');
INSERT INTO `train_class_appraise_list` VALUES ('1580393059466743808', null, null, '1', '2022-10-13 11:11:49', '1580097115676348416', '测试修改', '2022-10-13 11:00:31', '2022-10-14 11:00:33', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580401891173601280', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580091399771131904', 'ceshi111', '2022-10-13 11:35:38', '2022-10-14 11:35:40', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580425908655886336', '1', '2022-10-13 13:11:14', null, null, '1580097115676348416', '测试2222', '2022-10-13 13:11:03', '2022-10-14 13:11:04', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580431660346904576', '1', '2022-10-13 13:34:06', null, null, '1580097115676348416', '3导入', '2022-10-13 13:33:55', '2022-10-14 13:33:58', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580440849689481216', '1', '2022-10-13 14:10:36', null, null, '1580097115676348416', '测试评级4', '2022-10-13 14:10:27', '2022-10-15 14:10:28', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580489055299309568', '1', '2022-10-13 17:22:10', null, null, '1580431304107888640', '是的地方', '2022-10-13 17:22:01', '2022-10-15 17:22:02', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580490079946805248', '1', '2022-10-13 17:26:14', null, null, '1580431304107888640', '第三方打撒', '2022-10-13 17:26:06', '2022-10-28 17:26:07', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1580798996430065664', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580770390802829312', 'App评估', '2022-10-14 13:53:27', '2022-10-14 14:53:29', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1581832620793270272', '1', '2022-10-17 10:21:01', null, null, '1580803715470856192', '测试完成', '2022-10-17 10:20:43', '2022-10-30 10:20:47', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1581928327881560064', '1581888248303718400', '2022-10-17 16:41:19', null, null, '1580821763359641600', '聘雇计划1', '2022-10-17 16:40:56', '2022-10-31 16:40:59', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1581931783363104768', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1580821763359641600', '第二次', '2022-10-17 16:54:46', '2022-10-26 16:54:49', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1582188516429926400', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1580821763359641600', '测试顺序', '2022-10-18 09:54:49', '2022-10-19 09:54:53', '2', null, '30', '11');
INSERT INTO `train_class_appraise_list` VALUES ('1582195828586582016', '1581888248303718400', '2022-10-18 10:24:16', null, null, '1580821763359641600', '测试结束', '2022-10-18 10:23:51', '2022-10-18 10:27:04', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1582200248992927744', '1581888248303718400', '2022-10-18 10:41:50', null, null, '1580821763359641600', '测试导入评价保存', '2022-10-18 10:41:27', '2022-10-19 10:41:29', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1582643700960464896', null, null, '1569970196410667008', '2022-10-19 16:04:11', '1580770390802829312', '去去去', '2022-10-19 16:03:48', '2022-10-20 16:03:51', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1582722878611263488', null, null, '1569970196410667008', '2022-10-19 21:21:23', '1582686163125276672', '导入文件01', '2022-10-19 21:20:16', '2022-10-19 22:21:25', '2', null, '30', '3');
INSERT INTO `train_class_appraise_list` VALUES ('1583357228616912896', '1570604410206294016', '2022-10-21 15:19:15', null, null, '1583346873849221120', '评估管理', '2022-10-21 15:18:58', '2022-10-31 15:19:01', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1583367068982579200', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583317513494728704', '1021评价', '2022-10-21 15:58:08', '2022-10-21 16:58:11', '2', null, '30', '3');
INSERT INTO `train_class_appraise_list` VALUES ('1583682886811389952', '1', '2022-10-22 12:53:19', null, null, '1583392110638403584', '测试评估', '2022-10-22 12:52:58', '2022-10-30 12:53:00', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1583683976659341312', '1', '2022-10-22 12:57:38', null, null, '1583683407156744192', '评价第一次', '2022-10-22 12:57:26', '2022-10-31 12:57:28', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1583724185681793024', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583722097811787776', '评估计划', '2022-10-22 15:37:04', '2022-10-31 15:37:06', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1583743261489631232', '1570604410206294016', '2022-10-22 16:53:13', null, null, '1583739434711519232', '评估讲师', '2022-10-22 16:52:45', '2022-10-31 16:52:49', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1584364208399716352', '1', '2022-10-24 10:00:38', null, null, '1583683407156744192', '评价都二次', '2022-10-24 10:00:18', '2022-10-24 10:05:21', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1584369611766370304', '1', '2022-10-24 10:22:06', null, null, '1583683407156744192', '评估第三次', '2022-10-24 10:21:49', '2022-10-24 11:21:51', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1584812104924401664', '1', '2022-10-25 15:40:25', null, null, '1584515014952357888', '评价1', '2022-10-25 15:40:13', '2022-10-26 15:40:17', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1585464192771690496', null, null, '1570604410206294016', '2022-10-27 10:53:18', '1585459813435969536', '评估计划123', '2022-10-27 10:50:55', '2022-10-27 12:00:59', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1585519288440197120', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585459813435969536', '10271429评估计划', '2022-10-27 14:00:15', '2022-10-27 15:45:16', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1585542618643828736', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585278127179960320', '评价项1001', '2022-10-27 16:00:02', '2022-10-27 16:15:08', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1585542796218077184', '1569970196410667008', '2022-10-27 16:03:55', null, null, '1585278127179960320', '第二条', '2022-10-27 16:30:41', '2022-10-27 16:45:47', '2', null, '30', '3');
INSERT INTO `train_class_appraise_list` VALUES ('1585833419861004288', '1', '2022-10-28 11:18:46', null, null, '1584732496656994304', '测试1028', '2022-10-27 11:18:16', '2022-10-29 11:18:19', '2', null, '30', '3');
INSERT INTO `train_class_appraise_list` VALUES ('1586965619117527040', '1570604410206294016', '2022-10-31 14:17:43', null, null, '1586964413733277696', '评价1', '2022-10-31 14:15:26', '2022-10-31 15:15:32', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1587303553976897536', '1561995446459699200', '2022-11-01 12:40:33', null, null, '1586969194119958528', '111', '2022-11-01 12:40:08', '2022-11-01 12:40:22', '3', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1587304683494576128', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1586969194119958528', '2222', '2022-11-01 12:44:52', '2022-11-01 12:44:55', '3', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1587307384529883136', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1586969194119958528', '3333', '2022-11-01 12:55:35', '2022-11-01 12:55:37', '3', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1588734808689872896', null, null, '1583278909414313984', '2022-11-05 11:30:15', '1588733407918166016', '11评估计划111', '2022-11-05 11:27:42', '2022-11-06 11:27:44', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1589101563115343872', '1', '2022-11-06 11:45:12', null, null, '1589098507447439360', 'one第一次', '2022-11-06 11:43:36', '2022-11-30 11:43:39', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1589497910297497600', '1', '2022-11-07 14:00:08', null, null, '1588729101563334656', '第二次评估计划', '2022-11-07 13:59:56', '2022-11-08 13:59:59', '3', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1591993763415330816', '1591989473527336960', '2022-11-14 11:17:46', null, null, '1591992260067725312', '地市培训评价', '2022-11-14 12:15:14', '2022-11-14 12:30:20', '1', null, '10', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1591998699687514112', null, null, '1569970196410667008', '2022-11-14 11:38:22', '1591972857506828288', '导入的评估计划001', '2022-11-14 11:45:48', '2022-11-14 17:00:54', '1', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1592029085859713024', '1591989473527336960', '2022-11-14 13:38:07', null, null, '1592027379281301504', '测试评价', '2022-11-14 13:45:50', '2022-11-14 16:45:52', '1', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1592067010479656960', '1327473526785052672', '2022-11-14 16:08:49', null, null, '1592066677061849088', '测试', '2022-11-14 16:15:37', '2022-11-14 16:45:41', '1', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1592108104709967872', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592030599865044992', '1114评价', '2022-11-13 18:51:52', '2022-11-16 18:51:56', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1592111274274197504', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592048661980909568', '测试评估', '2022-11-14 19:04:21', '2022-11-14 20:04:24', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1592115031611412480', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1590543802567888896', '1114', '2022-11-13 19:19:18', '2022-11-15 19:19:20', '3', null, '30', '12');
INSERT INTO `train_class_appraise_list` VALUES ('1592358453949632512', '1', '2022-11-15 11:26:55', null, null, '1592356114652073984', '测试', '2022-11-15 11:30:39', '2022-11-15 12:45:43', '1', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1592417620546686976', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592048661980909568', '12', '2022-11-15 15:21:44', '2022-11-15 16:21:47', '1', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1592418190426771456', '1561995446459699200', '2022-11-15 15:24:17', null, null, '1592347795233312768', '111', '2022-11-15 15:24:05', '2022-11-15 15:24:06', '1', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1592437426394107904', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592385355917692928', '1115', '2022-11-14 16:40:17', '2022-11-16 16:40:20', '1', null, '30', '12');
INSERT INTO `train_class_appraise_list` VALUES ('1593195458858192896', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195024294744064', '测试评估项', '2022-11-17 18:52:36', '2022-11-18 18:52:40', '2', null, '30', '99');
INSERT INTO `train_class_appraise_list` VALUES ('1593496782862684160', '1', '2022-11-18 14:50:14', null, null, '1593493864797310976', '的撒范德萨', '2022-11-18 14:50:02', '2022-11-19 14:49:35', '3', null, '10', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1593499221066125312', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593497104381251584', '1', '2022-11-18 14:59:30', '2022-11-18 15:00:34', '1', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1593500809293860864', '1', '2022-11-18 15:06:14', null, null, '1593493864797310976', '2222222222222222222', '2022-11-18 15:30:38', '2022-11-18 15:45:45', '3', null, '10', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1593501192997179392', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593497104381251584', '2', '2022-11-18 15:07:30', '2022-11-18 15:15:32', '1', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1593503511528738816', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593499312577449984', '测试评价', '2022-11-18 15:16:43', '2022-11-18 15:30:44', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1593842989036343296', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593841368902537216', '1', '2022-11-19 13:45:41', '2022-11-19 14:00:43', '3', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1594219220869189632', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1588729101563334656', '001', '2022-11-20 14:45:36', '2022-11-20 17:15:40', '3', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1594599137171607552', '1590648570632081408', '2022-11-21 15:50:36', null, null, '1594571954189373440', '12', '2022-11-20 15:50:23', '2022-11-22 15:50:25', '3', null, '30', '12');
INSERT INTO `train_class_appraise_list` VALUES ('1596347825413820416', '1', '2022-11-26 11:39:15', null, null, '1596346735863664640', '评估计划1', '2022-11-26 11:38:45', '2022-11-27 11:38:47', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596348023653404672', '1', '2022-11-26 11:40:02', null, null, '1596346735863664640', '第二次', '2022-11-26 11:39:49', '2022-11-27 11:39:51', '2', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1596395878128685056', '1', '2022-11-26 14:50:12', null, null, '1596385685659586560', '第一个评价', '2022-11-26 14:49:47', '2022-11-27 14:49:51', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596407388267745280', '1', '2022-11-26 15:35:56', null, null, '1596385685659586560', '第二个评价', '2022-11-26 15:35:45', '2022-11-27 15:35:48', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596411235950268416', '1', '2022-11-26 15:51:13', null, null, '1596385685659586560', '第三次', '2022-11-26 15:50:55', '2022-11-27 15:51:00', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596411239372820480', '1', '2022-11-26 15:51:14', null, null, '1596385685659586560', '第三次', '2022-11-26 15:50:55', '2022-11-27 15:51:00', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596413332410208256', '1', '2022-11-26 15:59:33', null, null, '1596385685659586560', '第四次', '2022-11-26 15:59:12', '2022-11-27 15:59:14', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596499092681396224', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596498438508384256', '评估计划', '2022-11-26 21:40:01', '2022-11-30 21:40:07', '2', null, '30', '99');
INSERT INTO `train_class_appraise_list` VALUES ('1596671954943873024', '1', '2022-11-27 09:07:14', null, null, '1596670850063536128', '测试评估1', '2022-11-27 09:06:55', '2022-11-28 09:06:57', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596673054090596352', '1', '2022-11-27 09:11:36', null, null, '1596670850063536128', '测试三个老师', '2022-11-27 09:11:28', '2022-11-28 09:11:30', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596702933012058112', '1', '2022-11-27 11:10:19', null, null, '1596670850063536128', '测试评估2', '2022-11-27 11:10:00', '2022-11-28 11:10:03', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596746360764370944', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596745761951977472', '评估11', '2022-11-27 14:02:38', '2022-11-28 14:02:40', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1596790161553887232', '1', '2022-11-27 16:56:56', null, null, '1596789911623700480', '评价1', '2022-11-27 16:56:45', '2022-11-28 16:56:47', '3', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1598522815592665088', '1', '2022-12-02 11:41:53', null, null, '1598521650104635392', '第一次', '2022-12-02 11:41:32', '2022-12-02 16:45:37', '3', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1598954088291241984', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598951182674563072', '评估1', '2022-12-03 16:15:23', '2022-12-09 16:15:26', '2', null, '30', '2');
INSERT INTO `train_class_appraise_list` VALUES ('1643892230391468032', null, null, '1590543166828843008', '2023-04-06 16:25:44', '1640983724587880448', '1', '2023-04-06 16:23:37', '2023-04-07 16:23:37', '3', null, '30', '1');
INSERT INTO `train_class_appraise_list` VALUES ('1691379255805612032', '1327473526785052672', '2023-08-15 17:20:14', null, null, '1691377993613709312', '测试计划库001的评估评价计划数据', '2023-08-15 22:00:36', '2023-08-16 22:00:47', '3', null, '30', '3');
INSERT INTO `train_class_appraise_list` VALUES ('1691387212870062080', '1', '2023-08-15 17:51:51', null, null, '1691385882579439616', '第一次评估计划数据', '2023-08-15 15:00:31', '2023-08-15 18:00:36', '3', null, '10', '2');

-- ----------------------------
-- Table structure for train_class_appraise_list_child
-- ----------------------------
DROP TABLE IF EXISTS `train_class_appraise_list_child`;
CREATE TABLE `train_class_appraise_list_child` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `TRAIN_CLASS_APPRAISE_LIST_ID` varchar(32) DEFAULT NULL COMMENT '评价计划id',
  `TRAIN_CLASS_APPRAISE_ID` varchar(32) DEFAULT NULL COMMENT '评价项ID'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='评价计划评价项中间表';

-- ----------------------------
-- Records of train_class_appraise_list_child
-- ----------------------------
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232193', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271111770112');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232194', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271199850501');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232195', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271292125187');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232196', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271396982787');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232197', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271480868867');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232198', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271581532162');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232199', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271669612546');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232200', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271770275842');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232201', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271858356227');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232202', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756271950630913');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232203', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756272051294209');
INSERT INTO `train_class_appraise_list_child` VALUES ('1567756272244232204', '1564821097285816320', '2022-09-08 14:06:37', null, null, '1567756270608453632', '1567756272147763201');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432357281793', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432256618496');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432357281794', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432265007109');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476096', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432277590019');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476097', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432285978627');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476098', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432294367235');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476099', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432302755843');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476100', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432311144450');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476101', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432319533058');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476102', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432327921667');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476103', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432336310273');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476104', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432344698881');
INSERT INTO `train_class_appraise_list_child` VALUES ('1569944432361476105', '1', '2022-09-14 15:01:35', null, null, '1569944432214675456', '1569944432348893185');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102030', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102016');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102031', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102018');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102032', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102020');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102033', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102022');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102034', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102024');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102035', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102026');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333178198102036', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1570333178198102028');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131713', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333294950748160');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131714', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333294963331077');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131715', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333294975913987');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131716', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333294988496899');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131717', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295005274115');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131718', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295017857027');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131719', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295030439938');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131720', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295043022850');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131721', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295055605763');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131722', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295068188673');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131723', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295080771585');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570333295110131724', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570333295097548801');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271297', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979769110528');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271298', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979781693445');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271299', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979794276355');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271300', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979806859267');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271301', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979819442179');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271302', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979832025091');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271303', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979844608002');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271304', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979857190914');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271305', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979890745347');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271306', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979907522561');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271307', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979920105473');
INSERT INTO `train_class_appraise_list_child` VALUES ('1570334979945271308', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570334979932688385');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898625', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786760856408064');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898626', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786760965459972');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898627', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761057734659');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898628', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761145815043');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898629', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761238089731');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898630', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761330364419');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898631', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761414250498');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898632', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761502330882');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898633', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761594605571');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898634', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761682685953');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898635', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761770766337');
INSERT INTO `train_class_appraise_list_child` VALUES ('1571786761967898636', '1564821097285816320', '2022-09-19 17:02:21', null, null, '1571786760357285888', '1571786761867235329');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313378938881', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313232138240');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313378938882', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313244721157');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133184', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313257304067');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133185', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313269886979');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133186', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313282469891');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133187', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313295052803');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133188', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313307635714');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133189', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313320218626');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133190', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313332801539');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133191', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313345384449');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133192', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313357967361');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573119313383133193', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1573119313366355969');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224065', null, null, null, null, '1572100961822969856', '1573155012027224064');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224072', null, null, null, null, '1572100961822969856', '1573155012027224071');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224077', null, null, null, null, '1572100961822969856', '1573155012027224076');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224082', null, null, null, null, '1572100961822969856', '1573155012027224081');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224087', null, null, null, null, '1572100961822969856', '1573155012027224086');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224092', null, null, null, null, '1572100961822969856', '1573155012027224091');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224096', null, null, null, null, '1572100961822969856', '1573155012027224095');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224100', null, null, null, null, '1572100961822969856', '1573155012027224099');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224105', null, null, null, null, '1572100961822969856', '1573155012027224104');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224108', null, null, null, null, '1572100961822969856', '1573155012027224107');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224111', null, null, null, null, '1572100961822969856', '1573155012027224110');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155012027224114', null, null, null, null, '1572100961822969856', '1573155012027224113');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811905', null, null, null, null, '1572118873535287296', '1573155389346811904');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811908', null, null, null, null, '1572118873535287296', '1573155389346811907');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811911', null, null, null, null, '1572118873535287296', '1573155389346811910');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811914', null, null, null, null, '1572118873535287296', '1573155389346811913');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811917', null, null, null, null, '1572118873535287296', '1573155389346811916');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811920', null, null, null, null, '1572118873535287296', '1573155389346811919');
INSERT INTO `train_class_appraise_list_child` VALUES ('1573155389346811923', null, null, null, null, '1572118873535287296', '1573155389346811922');
INSERT INTO `train_class_appraise_list_child` VALUES ('1574311823598030849', null, null, null, null, '1574285318939611136', '1574311823598030848');
INSERT INTO `train_class_appraise_list_child` VALUES ('1574311823598030853', null, null, null, null, '1574285318939611136', '1574311823598030852');
INSERT INTO `train_class_appraise_list_child` VALUES ('1574311823598030857', null, null, null, null, '1574285318939611136', '1574311823598030856');
INSERT INTO `train_class_appraise_list_child` VALUES ('1574311823598030860', null, null, null, null, '1574285318939611136', '1574311823598030859');
INSERT INTO `train_class_appraise_list_child` VALUES ('1574311823598030863', null, null, null, null, '1574285318939611136', '1574311823598030862');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834306', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328174961725440');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834307', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328174970114053');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834308', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328174978502659');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834309', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328174991085571');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834310', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328174999474179');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834311', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328175012057091');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575328175028834312', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575328175020445698');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575329271445065729', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575329271369568256', '1575329271407316992');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575329271445065730', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575329271369568256', '1575329271419899906');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575329271445065731', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575329271369568256', '1575329271428288514');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575329271445065732', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575329271369568256', '1575329271436677121');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099278', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099264');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099279', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099266');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099280', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099268');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099281', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099270');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099282', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099272');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099283', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099274');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575332941289099284', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575332941289099276');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321410', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688200351744');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321411', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688317792260');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321412', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688447815682');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321413', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688573644803');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321414', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688716251139');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321415', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688829497347');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377689106321416', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575377688988880898');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444930', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377690490441728');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444931', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377690582716421');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444932', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377690687574019');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444933', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377690788237315');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444934', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377690926649347');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444935', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377691056672771');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575377691224444936', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575377691140558850');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192194', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492681306112');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192195', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492693889029');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192196', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492706471939');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192197', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492714860547');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192198', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492727443459');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192199', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492740026371');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575407492765192200', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575407492752609282');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002689', null, null, null, null, '1575677259090628608', '1575678780134002688');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002692', null, null, null, null, '1575677259090628608', '1575678780134002691');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002695', null, null, null, null, '1575677259090628608', '1575678780134002694');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002698', null, null, null, null, '1575677259090628608', '1575678780134002697');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002701', null, null, null, null, '1575677259090628608', '1575678780134002700');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002704', null, null, null, null, '1575677259090628608', '1575678780134002703');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002707', null, null, null, null, '1575677259090628608', '1575678780134002706');
INSERT INTO `train_class_appraise_list_child` VALUES ('1575678780134002713', null, null, null, null, '1575677259090628608', '1575678780134002712');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928002', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717092847616');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928003', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717105430533');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928004', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717118013443');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928005', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717130596355');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928006', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717143179267');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928007', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717155762179');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578569717180928008', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1578569717168345090');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231361', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618334394585088');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231362', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618334499442693');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231363', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618334604300291');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231364', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618334818209795');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231365', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618334927261699');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231366', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335057285123');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231367', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335166337026');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231368', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335267000322');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231369', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335376052227');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231370', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335518658561');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231371', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335636099073');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578618335833231372', '1', '2022-10-08 13:28:35', null, null, '1578618333786411008', '1578618335736762369');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578622195238834179', '1', '2022-10-08 13:43:55', null, null, '1578622194605494272', '1578622195154948096');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578652655591493632', '1', '2022-10-08 15:44:58', null, null, '1578652654974930944', '1578652655587299328');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373442', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994439479758848');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373443', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994439576227845');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373444', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994439689474051');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373445', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994439794331651');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373446', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994439894994947');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373447', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994440004046851');
INSERT INTO `train_class_appraise_list_child` VALUES ('1578994440205373448', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578994440100515842');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692802', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476400001024');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692803', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476408389637');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692804', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476433555459');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692805', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476441944067');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692806', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476454526979');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692807', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476462915587');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579007476479692808', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1579007476471304194');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014274', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023425589088256');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014275', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023425698140165');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014276', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023425807192067');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014277', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023426146930691');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014278', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023426297925635');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014279', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023426469892099');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579023426969014280', '1562314510612697088', '2022-10-09 16:18:16', null, null, '1579023423651319808', '1579023426675412994');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579360392252100609', '1569970196410667008', '2022-10-10 14:37:15', null, null, '1579360392197574656', '1579360392235323392');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579360392252100610', '1569970196410667008', '2022-10-10 14:37:15', null, null, '1579360392197574656', '1579360392239517698');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579360392252100611', '1569970196410667008', '2022-10-10 14:37:15', null, null, '1579360392197574656', '1579360392243712002');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579360392252100612', '1569970196410667008', '2022-10-10 14:37:15', null, null, '1579360392197574656', '1579360392247906305');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396193419278', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419264');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396197613568', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419266');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396197613569', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419268');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396197613570', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419270');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396197613571', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419272');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396197613572', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419274');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579364396197613573', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579364396193419276');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894336', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700032');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894337', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700034');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894338', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700036');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894339', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700038');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894340', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700040');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894341', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700042');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365112026894342', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579365112022700044');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952142', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952128');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952143', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952130');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952144', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952132');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952145', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952134');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952146', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952136');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952147', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952138');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579365509323952148', '1562314510612697088', '2022-10-10 14:57:35', null, null, '1579365508879355904', '1579365509323952140');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164034', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605683609600');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164035', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605687803909');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164036', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605691998211');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164037', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605700386819');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164038', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605704581123');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164039', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605708775427');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579802605717164040', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579802605712969730');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579803111671861251', '1570604410206294016', '2022-10-11 19:56:28', null, null, '1579803111629918208', '1579803111667666944');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579803885709692929', null, null, null, null, '1579803690754248704', '1579803885709692928');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579803885709692933', null, null, null, null, '1579803690754248704', '1579803885709692932');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579803885709692937', null, null, null, null, '1579803690754248704', '1579803885709692936');
INSERT INTO `train_class_appraise_list_child` VALUES ('1579803885709692940', null, null, null, null, '1579803690754248704', '1579803885709692939');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580098460038860801', null, null, null, null, '1580097838686277632', '1580098460038860800');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580098460038860804', null, null, null, null, '1580097838686277632', '1580098460038860803');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580098460038860808', null, null, null, null, '1580097838686277632', '1580098460038860807');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580098460038860812', null, null, null, null, '1580097838686277632', '1580098460038860811');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580098460038860817', null, null, null, null, '1580097838686277632', '1580098460038860816');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580098460038860822', null, null, null, null, '1580097838686277632', '1580098460038860821');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580099540990693377', null, null, null, null, '1580098187291660288', '1580099540990693376');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580099540990693382', null, null, null, null, '1580098187291660288', '1580099540990693381');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580114994383687681', null, null, null, null, '1580114702921502720', '1580114994383687680');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580114994383687685', null, null, null, null, '1580114702921502720', '1580114994383687684');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826305', null, null, null, null, '1580376493756911616', '1580376837257826304');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826312', null, null, null, null, '1580376493756911616', '1580376837257826311');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826317', null, null, null, null, '1580376493756911616', '1580376837257826316');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826322', null, null, null, null, '1580376493756911616', '1580376837257826321');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826327', null, null, null, null, '1580376493756911616', '1580376837257826326');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826332', null, null, null, null, '1580376493756911616', '1580376837257826331');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826336', null, null, null, null, '1580376493756911616', '1580376837257826335');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580376837257826340', null, null, null, null, '1580376493756911616', '1580376837257826339');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580381788142964737', null, null, null, null, '1580380152821583872', '1580381788142964736');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580381788142964742', null, null, null, null, '1580380152821583872', '1580381788142964741');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580381788142964746', null, null, null, null, '1580380152821583872', '1580381788142964745');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580381788142964749', null, null, null, null, '1580380152821583872', '1580381788142964748');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580381788142964752', null, null, null, null, '1580380152821583872', '1580381788142964751');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580395855620476928', null, null, null, null, '1580393059466743808', '1580395855616282624');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795598', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795584');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795599', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795586');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795600', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795588');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795601', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795590');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795602', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795592');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795603', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795594');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580401891177795604', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580401891177795596');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580425908664274954', '1', '2022-10-13 13:11:14', null, null, '1580425908655886336', '1580425908664274944');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580425908664274955', '1', '2022-10-13 13:11:14', null, null, '1580425908655886336', '1580425908664274948');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580425908664274956', '1', '2022-10-13 13:11:14', null, null, '1580425908655886336', '1580425908664274952');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580431660783112202', '1', '2022-10-13 13:34:06', null, null, '1580431660346904576', '1580431660783112192');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580431660783112203', '1', '2022-10-13 13:34:06', null, null, '1580431660346904576', '1580431660783112196');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580431660783112204', '1', '2022-10-13 13:34:06', null, null, '1580431660346904576', '1580431660783112200');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580440850050191371', '1', '2022-10-13 14:10:36', null, null, '1580440849689481216', '1580440850050191360');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580440850050191372', '1', '2022-10-13 14:10:36', null, null, '1580440849689481216', '1580440850050191364');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580440850050191373', '1', '2022-10-13 14:10:36', null, null, '1580440849689481216', '1580440850050191368');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580489055307698186', '1', '2022-10-13 17:22:10', null, null, '1580489055299309568', '1580489055307698176');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580489055307698187', '1', '2022-10-13 17:22:10', null, null, '1580489055299309568', '1580489055307698180');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580489055307698188', '1', '2022-10-13 17:22:10', null, null, '1580489055299309568', '1580489055307698184');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580490079955193867', '1', '2022-10-13 17:26:14', null, null, '1580490079946805248', '1580490079955193856');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580490079955193868', '1', '2022-10-13 17:26:14', null, null, '1580490079946805248', '1580490079955193860');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580490079955193869', '1', '2022-10-13 17:26:14', null, null, '1580490079946805248', '1580490079955193864');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700482', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996455231488');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700483', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996467814405');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700484', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996480397315');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700485', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996497174531');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700486', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996509757443');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700487', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996526534659');
INSERT INTO `train_class_appraise_list_child` VALUES ('1580798996551700488', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580798996539117570');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581832621258838017', '1', '2022-10-17 10:21:01', null, null, '1581832620793270272', '1581832620914905088');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581832621258838018', '1', '2022-10-17 10:21:01', null, null, '1581832620793270272', '1581832621007179778');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581832621258838019', '1', '2022-10-17 10:21:01', null, null, '1581832620793270272', '1581832621095260162');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581832621258838020', '1', '2022-10-17 10:21:01', null, null, '1581832620793270272', '1581832621174951937');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581928327889948683', '1581888248303718400', '2022-10-17 16:41:19', null, null, '1581928327881560064', '1581928327889948672');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581928327889948684', '1581888248303718400', '2022-10-17 16:41:19', null, null, '1581928327881560064', '1581928327889948676');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581928327889948685', '1581888248303718400', '2022-10-17 16:41:19', null, null, '1581928327881560064', '1581928327889948680');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913666', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783463768064');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913667', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783551848453');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913668', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783639928835');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913669', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783732203523');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913670', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783816089603');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913671', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783904169987');
INSERT INTO `train_class_appraise_list_child` VALUES ('1581931784092913672', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1581931783992250370');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398594', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188516538978304');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398595', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188516643835909');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398596', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188516748693507');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398597', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188516861939715');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398598', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188516950020099');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398599', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188517046489091');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582188517260398600', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1582188517147152386');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582195829043761163', '1581888248303718400', '2022-10-18 10:24:16', null, null, '1582195828586582016', '1582195829043761152');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582195829043761164', '1581888248303718400', '2022-10-18 10:24:16', null, null, '1582195828586582016', '1582195829043761156');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582195829043761165', '1581888248303718400', '2022-10-18 10:24:16', null, null, '1582195828586582016', '1582195829043761160');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582200249001316362', '1581888248303718400', '2022-10-18 10:41:50', null, null, '1582200248992927744', '1582200249001316352');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582200249001316363', '1581888248303718400', '2022-10-18 10:41:50', null, null, '1582200248992927744', '1582200249001316356');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582200249001316364', '1581888248303718400', '2022-10-18 10:41:50', null, null, '1582200248992927744', '1582200249001316360');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757780701185', null, null, null, null, '1582643700960464896', '1582643757780701184');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895491', null, null, null, null, '1582643700960464896', '1582643757784895490');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895498', null, null, null, null, '1582643700960464896', '1582643757784895497');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895503', null, null, null, null, '1582643700960464896', '1582643757784895502');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895508', null, null, null, null, '1582643700960464896', '1582643757784895507');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895513', null, null, null, null, '1582643700960464896', '1582643757784895512');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895518', null, null, null, null, '1582643700960464896', '1582643757784895517');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582643757784895522', null, null, null, null, '1582643700960464896', '1582643757784895521');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582723584017698817', null, null, null, null, '1582722878611263488', '1582723584017698816');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582723584017698821', null, null, null, null, '1582722878611263488', '1582723584017698820');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582723584017698826', null, null, null, null, '1582722878611263488', '1582723584017698825');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582723584017698831', null, null, null, null, '1582722878611263488', '1582723584017698830');
INSERT INTO `train_class_appraise_list_child` VALUES ('1582723584017698836', null, null, null, null, '1582722878611263488', '1582723584017698835');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583357228650467331', '1570604410206294016', '2022-10-21 15:19:15', null, null, '1583357228616912896', '1583357228642078720');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882370', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069007745024');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882371', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069016133637');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882372', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069020327939');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882373', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069028716547');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882374', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069037105155');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882375', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069045493763');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583367069053882376', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583367069049688066');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583682887788662785', '1', '2022-10-22 12:53:19', null, null, '1583682886811389952', '1583682887117574144');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583682887788662786', '1', '2022-10-22 12:53:19', null, null, '1583682886811389952', '1583682887327289346');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583682887788662787', '1', '2022-10-22 12:53:19', null, null, '1583682886811389952', '1583682887444729858');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583682887792857088', '1', '2022-10-22 12:53:19', null, null, '1583682886811389952', '1583682887658639361');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583683976856473603', '1', '2022-10-22 12:57:38', null, null, '1583683976659341312', '1583683976768393216');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583724185727930369', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583724185681793024', '1583724185706958848');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583724185727930370', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583724185681793024', '1583724185711153154');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583724185727930371', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583724185681793024', '1583724185719541762');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583724185727930372', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583724185681793024', '1583724185723736065');
INSERT INTO `train_class_appraise_list_child` VALUES ('1583743261523185667', '1570604410206294016', '2022-10-22 16:53:13', null, null, '1583743261489631232', '1583743261510602752');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584364209314074625', '1', '2022-10-24 10:00:38', null, null, '1584364208399716352', '1584364208911421440');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584364209314074626', '1', '2022-10-24 10:00:38', null, null, '1584364208399716352', '1584364209012084738');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584364209314074627', '1', '2022-10-24 10:00:38', null, null, '1584364208399716352', '1584364209116942338');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584364209314074628', '1', '2022-10-24 10:00:38', null, null, '1584364208399716352', '1584364209225994241');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584369612584259587', '1', '2022-10-24 10:22:06', null, null, '1584369611766370304', '1584369612303241216');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584369612584259588', '1', '2022-10-24 10:22:06', null, null, '1584369611766370304', '1584369612399710210');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584369612584259589', '1', '2022-10-24 10:22:06', null, null, '1584369611766370304', '1584369612479401986');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304258', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812105457078272');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304259', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812105574518789');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304260', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812105662599171');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304261', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812105763262467');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304262', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812105859731459');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304263', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812105977171971');
INSERT INTO `train_class_appraise_list_child` VALUES ('1584812106174304264', '1', '2022-10-25 15:40:25', null, null, '1584812104924401664', '1584812106073640962');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585464625841967105', null, null, null, null, '1585464192771690496', '1585464625841967104');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585464625841967109', null, null, null, null, '1585464192771690496', '1585464625841967108');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585464625841967113', null, null, null, null, '1585464192771690496', '1585464625841967112');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585464625841967116', null, null, null, null, '1585464192771690496', '1585464625841967115');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860417', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288469557248');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860418', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288473751557');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860419', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288482140163');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860420', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288490528771');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860421', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288494723075');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860422', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288503111683');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860423', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288507305986');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860424', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288511500290');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860425', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288519888899');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860426', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288524083201');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860427', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288528277505');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585519288540860428', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585519288532471809');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909121', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618664800256');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909122', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618673188869');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909123', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618677383171');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909124', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618685771779');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909125', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618689966083');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909126', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618694160387');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909127', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618698354690');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909128', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618706743298');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909129', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618710937603');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909130', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618715131905');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909131', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618719326209');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542618731909132', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585542618727714817');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542796260020227', '1569970196410667008', '2022-10-27 16:03:55', null, null, '1585542796218077184', '1585542796243243008');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542796260020228', '1569970196410667008', '2022-10-27 16:03:55', null, null, '1585542796218077184', '1585542796247437314');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585542796260020229', '1569970196410667008', '2022-10-27 16:03:55', null, null, '1585542796218077184', '1585542796251631618');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421010243586', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420389486592');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421010243587', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420477566981');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421010243588', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420565647363');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421010243589', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420653727747');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421010243590', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420741808131');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421010243591', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420838277123');
INSERT INTO `train_class_appraise_list_child` VALUES ('1585833421014437888', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1585833420922163202');
INSERT INTO `train_class_appraise_list_child` VALUES ('1586965619134304266', '1570604410206294016', '2022-10-31 14:17:43', null, null, '1586965619117527040', '1586965619134304256');
INSERT INTO `train_class_appraise_list_child` VALUES ('1586965619138498560', '1570604410206294016', '2022-10-31 14:17:43', null, null, '1586965619117527040', '1586965619134304260');
INSERT INTO `train_class_appraise_list_child` VALUES ('1586965619138498561', '1570604410206294016', '2022-10-31 14:17:43', null, null, '1586965619117527040', '1586965619134304264');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587303554643791875', '1561995446459699200', '2022-11-01 12:40:33', null, null, '1587303553976897536', '1587303554534739968');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685218435073', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684031447040');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685218435074', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684127916037');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685218435075', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684228579331');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685218435076', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684325048323');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685218435077', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684434100227');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629376', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684530569219');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629377', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684627038210');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629378', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684723507202');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629379', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684828364803');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629380', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304684929028097');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629381', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304685021302785');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587304685222629382', '1561995446459699200', '2022-11-01 12:45:02', null, null, '1587304683494576128', '1587304685117771777');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923074', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385142251520');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923075', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385242914821');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923076', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385339383811');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923077', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385440047107');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923078', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385532321795');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923079', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385641373699');
INSERT INTO `train_class_appraise_list_child` VALUES ('1587307385825923080', '1561995446459699200', '2022-11-01 12:55:46', null, null, '1587307384529883136', '1587307385729454082');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588729894077075459', '1', '2022-11-05 11:08:19', null, null, '1588729893666033664', '1588729893783474176');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588729894077075460', '1', '2022-11-05 11:08:19', null, null, '1588729893666033664', '1588729893879943170');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588729894077075461', '1', '2022-11-05 11:08:19', null, null, '1588729893666033664', '1588729893980606466');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588731769706909699', '1', '2022-11-05 11:15:46', null, null, '1588731769279090688', '1588731769413308416');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588731769706909700', '1', '2022-11-05 11:15:46', null, null, '1588731769279090688', '1588731769497194498');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588731769706909701', '1', '2022-11-05 11:15:46', null, null, '1588731769279090688', '1588731769568497666');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588734070140047363', '1583278909414313984', '2022-11-05 11:24:54', null, null, '1588734069758365696', '1588734069859028992');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588734070140047364', '1583278909414313984', '2022-11-05 11:24:54', null, null, '1588734069758365696', '1588734069942915074');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588734070140047365', '1583278909414313984', '2022-11-05 11:24:54', null, null, '1588734069758365696', '1588734070035189762');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588735416515825665', null, null, null, null, '1588734808689872896', '1588735416515825664');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588735416515825669', null, null, null, null, '1588734808689872896', '1588735416515825668');
INSERT INTO `train_class_appraise_list_child` VALUES ('1588735416515825673', null, null, null, null, '1588734808689872896', '1588735416515825672');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589101563689963522', '1', '2022-11-06 11:45:12', null, null, '1589101563115343872', '1589101563224395776');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589101563689963523', '1', '2022-11-06 11:45:12', null, null, '1589101563115343872', '1589101563320864771');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589101563689963524', '1', '2022-11-06 11:45:12', null, null, '1589101563115343872', '1589101563404750852');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589101563689963525', '1', '2022-11-06 11:45:12', null, null, '1589101563115343872', '1589101563484442626');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589101563689963526', '1', '2022-11-06 11:45:12', null, null, '1589101563115343872', '1589101563606077441');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589497910922448898', '1', '2022-11-07 14:00:08', null, null, '1589497910297497600', '1589497910402355200');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589497910922448899', '1', '2022-11-07 14:00:08', null, null, '1589497910297497600', '1589497910494629891');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589497910922448900', '1', '2022-11-07 14:00:08', null, null, '1589497910297497600', '1589497910595293188');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589497910922448901', '1', '2022-11-07 14:00:08', null, null, '1589497910297497600', '1589497910729510914');
INSERT INTO `train_class_appraise_list_child` VALUES ('1589497910922448902', '1', '2022-11-07 14:00:08', null, null, '1589497910297497600', '1589497910825979908');
INSERT INTO `train_class_appraise_list_child` VALUES ('1591993763448885251', '1591989473527336960', '2022-11-14 11:17:46', null, null, '1591993763415330816', '1591993763440496640');
INSERT INTO `train_class_appraise_list_child` VALUES ('1591998948099362817', null, null, null, null, '1591998699687514112', '1591998948099362816');
INSERT INTO `train_class_appraise_list_child` VALUES ('1591998948099362822', null, null, null, null, '1591998699687514112', '1591998948099362821');
INSERT INTO `train_class_appraise_list_child` VALUES ('1591998948099362827', null, null, null, null, '1591998699687514112', '1591998948099362826');
INSERT INTO `train_class_appraise_list_child` VALUES ('1591998948099362832', null, null, null, null, '1591998699687514112', '1591998948099362831');
INSERT INTO `train_class_appraise_list_child` VALUES ('1591998948099362835', null, null, null, null, '1591998699687514112', '1591998948099362834');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592029085889073155', '1591989473527336960', '2022-11-14 13:38:07', null, null, '1592029085859713024', '1592029085880684544');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592067010509017091', '1327473526785052672', '2022-11-14 16:08:49', null, null, '1592067010479656960', '1592067010504822784');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067970', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108105171341312');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067971', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108106207334405');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067972', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108106282831875');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067973', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108106370912259');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067974', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108106454798339');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067975', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108106534490115');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592108106698067976', '1562314510612697088', '2022-11-14 18:52:07', null, null, '1592108104709967872', '1592108106618376194');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550722', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111274735570944');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550723', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111274819457029');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550724', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111274903343107');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550725', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111274991423491');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550726', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111275075309571');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550727', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111275163389955');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592111275339550728', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1592111275251470338');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722049', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032072785920');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722050', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032160866309');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722051', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032248946691');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722052', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032337027075');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722053', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032429301763');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722054', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032517382147');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722055', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032609656834');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722056', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032697737218');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722057', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032790011907');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722058', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032878092289');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722059', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115032966172673');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592115033150722060', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1592115033062641665');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592358453987381251', '1', '2022-11-15 11:26:55', null, null, '1592358453949632512', '1592358453978992640');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592417620605407236', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1592417620576047104');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592417620605407237', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1592417620580241411');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592417620605407238', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1592417620588630020');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592417620605407239', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1592417620592824322');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592417620605407240', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1592417620601212930');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592418191060111363', '1561995446459699200', '2022-11-15 15:24:17', null, null, '1592418190426771456', '1592418190951059456');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380225', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437427312660480');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380226', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437427472044037');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380227', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437427610456067');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380228', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437427765645315');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380229', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437428042469379');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380230', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437428512231427');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380231', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437428692586498');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380232', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437428864552962');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380233', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437429015547907');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380234', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437429187514369');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380235', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437429355286529');
INSERT INTO `train_class_appraise_list_child` VALUES ('1592437429875380236', '1562314510612697088', '2022-11-15 16:40:44', null, null, '1592437426394107904', '1592437429615333377');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160705', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195459369897984');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160706', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195459470561285');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160707', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195459562835971');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160708', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195459667693571');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160709', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195459810299907');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160710', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195459994849283');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160711', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195460087123970');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160712', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195460183592962');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160713', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195460275867651');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160714', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195460368142337');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160715', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195460464611329');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593195460649160716', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1593195460556886017');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237506', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494321745760256');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237507', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494321838034949');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237508', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494321934503939');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237509', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494322026778627');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237510', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494322123247619');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237511', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494322232299523');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593494322425237512', '1', '2022-11-18 14:40:27', null, null, '1593494321175334912', '1593494322328768514');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615234', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783428915200');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615235', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783525384197');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615236', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783621853187');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615237', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783714127875');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615238', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783810596867');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615239', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783902871555');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593496784091615240', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1593496783999340546');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862082', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499221615579136');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862083', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499221712048133');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862084', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499221808517123');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862085', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499221909180419');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862086', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499222001455107');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862087', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499222097924099');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593499222290862088', '1561995446459699200', '2022-11-18 14:59:55', null, null, '1593499221066125312', '1593499222194393090');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043202', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500809843314688');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043203', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500809935589381');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043204', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500810023669763');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043205', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500810120138755');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043206', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500810212413443');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043207', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500810304688131');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593500810485043208', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1593500810401157122');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165570', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194419048448');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165571', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194511323141');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165572', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194603597827');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165573', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194700066819');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165574', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194792341507');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165575', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194884616195');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593501195069165576', '1561995446459699200', '2022-11-18 15:07:45', null, null, '1593501192997179392', '1593501194976890882');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934465', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512086581248');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934466', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512178855941');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934467', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512266936323');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934468', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512355016707');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934469', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512443097091');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934470', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512535371779');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934471', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512623452162');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934472', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512711532546');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934473', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512799612931');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934474', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512887693313');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934475', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503512975773697');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593503513151934476', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1593503513063854081');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994624', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842989619351552');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994625', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842989724209157');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994626', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842989824872451');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994627', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842989925535747');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994628', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842990017810435');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994629', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842990126862339');
INSERT INTO `train_class_appraise_list_child` VALUES ('1593842990323994630', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1593842990223331330');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589698', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219221393477632');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589699', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219221481558021');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589700', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219221578027011');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589701', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219221666107395');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589702', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219221783547907');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589703', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219221909377027');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594219222194589704', '1569970196410667008', '2022-11-20 14:40:56', null, null, '1594219220869189632', '1594219222077149186');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594599138878689281', '1590648570632081408', '2022-11-21 15:50:36', null, null, '1594599137171607552', '1594599138098548736');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594599138878689282', '1590648570632081408', '2022-11-21 15:50:36', null, null, '1594599137171607552', '1594599138182434818');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594599138878689283', '1590648570632081408', '2022-11-21 15:50:36', null, null, '1594599137171607552', '1594599138715111426');
INSERT INTO `train_class_appraise_list_child` VALUES ('1594599138878689284', '1590648570632081408', '2022-11-21 15:50:36', null, null, '1594599137171607552', '1594599138798997505');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596347826001022978', '1', '2022-11-26 11:39:15', null, null, '1596347825413820416', '1596347825522872320');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596347826001022979', '1', '2022-11-26 11:39:15', null, null, '1596347825413820416', '1596347825623535619');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596347826001022980', '1', '2022-11-26 11:39:15', null, null, '1596347825413820416', '1596347825699033092');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596347826001022981', '1', '2022-11-26 11:39:15', null, null, '1596347825413820416', '1596347825799696386');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596347826001022982', '1', '2022-11-26 11:39:15', null, null, '1596347825413820416', '1596347825900359684');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066114', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348023879897088');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066115', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348023947005957');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066116', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348024060252163');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066117', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348024328687619');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066118', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348024395796483');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066119', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348024504848387');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596348024639066120', '1', '2022-11-26 11:40:02', null, null, '1596348023653404672', '1596348024567762946');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596395878522949634', '1', '2022-11-26 14:50:12', null, null, '1596395878128685056', '1596395878258708480');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596395878522949635', '1', '2022-11-26 14:50:12', null, null, '1596395878128685056', '1596395878325817346');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596395878522949636', '1', '2022-11-26 14:50:12', null, null, '1596395878128685056', '1596395878460035074');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596407388687175682', '1', '2022-11-26 15:35:56', null, null, '1596407388267745280', '1596407388397768704');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596407388687175683', '1', '2022-11-26 15:35:56', null, null, '1596407388267745280', '1596407388494237698');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596407388687175684', '1', '2022-11-26 15:35:56', null, null, '1596407388267745280', '1596407388594900994');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596411236348727298', '1', '2022-11-26 15:51:13', null, null, '1596411235950268416', '1596411236067708928');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596411236348727299', '1', '2022-11-26 15:51:13', null, null, '1596411235950268416', '1596411236159983618');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596411236348727300', '1', '2022-11-26 15:51:13', null, null, '1596411235950268416', '1596411236252258306');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596411239754502146', '1', '2022-11-26 15:51:14', null, null, '1596411239372820480', '1596411239477678080');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596411239754502147', '1', '2022-11-26 15:51:14', null, null, '1596411239372820480', '1596411239574147074');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596411239754502148', '1', '2022-11-26 15:51:14', null, null, '1596411239372820480', '1596411239662227458');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596413334264090626', '1', '2022-11-26 15:59:33', null, null, '1596413332410208256', '1596413332947079168');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596413334264090627', '1', '2022-11-26 15:59:33', null, null, '1596413332410208256', '1596413333475561474');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596413334264090628', '1', '2022-11-26 15:59:33', null, null, '1596413332410208256', '1596413333915963394');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310786', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092706562048');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310787', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092710756357');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310788', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092719144963');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310789', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092723339267');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310790', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092727533571');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310791', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092731727875');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596499092744310792', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1596499092740116482');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596671955329748994', '1', '2022-11-27 09:07:14', null, null, '1596671954943873024', '1596671955065507840');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596671955329748995', '1', '2022-11-27 09:07:14', null, null, '1596671954943873024', '1596671955153588226');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596671955329748996', '1', '2022-11-27 09:07:14', null, null, '1596671954943873024', '1596671955245862914');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596673054539386882', '1', '2022-11-27 09:11:36', null, null, '1596673054090596352', '1596673054254174208');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596673054539386883', '1', '2022-11-27 09:11:36', null, null, '1596673054090596352', '1596673054346448898');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596673054539386884', '1', '2022-11-27 09:11:36', null, null, '1596673054090596352', '1596673054430334978');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596702933439877122', '1', '2022-11-27 11:10:19', null, null, '1596702933012058112', '1596702933133692928');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596702933439877123', '1', '2022-11-27 11:10:19', null, null, '1596702933012058112', '1596702933242744834');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596702933439877124', '1', '2022-11-27 11:10:19', null, null, '1596702933012058112', '1596702933309853698');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596746361150246914', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596746360764370944', '1596746360877617152');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596746361150246915', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596746360764370944', '1596746360969891842');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596746361150246916', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596746360764370944', '1596746361053777922');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596790161931374594', '1', '2022-11-27 16:56:56', null, null, '1596790161553887232', '1596790161667133440');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596790161931374595', '1', '2022-11-27 16:56:56', null, null, '1596790161553887232', '1596790161755213826');
INSERT INTO `train_class_appraise_list_child` VALUES ('1596790161931374596', '1', '2022-11-27 16:56:56', null, null, '1596790161553887232', '1596790161839099906');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598522817383632898', '1', '2022-12-02 11:41:53', null, null, '1598522815592665088', '1598522816079204352');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598522817383632899', '1', '2022-12-02 11:41:53', null, null, '1598522815592665088', '1598522816158896130');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598522817387827200', '1', '2022-12-02 11:41:53', null, null, '1598522815592665088', '1598522817303941122');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933762', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088316407808');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933763', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088324796421');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933764', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088333185027');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933765', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088341573635');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933766', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088349962243');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933767', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088358350851');
INSERT INTO `train_class_appraise_list_child` VALUES ('1598954088370933768', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1598954088362545154');
INSERT INTO `train_class_appraise_list_child` VALUES ('1643892733942829057', null, null, null, null, '1643892230391468032', '1643892733942829056');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691379256732553217', '1327473526785052672', '2023-08-15 17:20:14', null, null, '1691379255805612032', '1691379256334094336');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691379256732553218', '1327473526785052672', '2023-08-15 17:20:14', null, null, '1691379255805612032', '1691379256434757634');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691379256732553219', '1327473526785052672', '2023-08-15 17:20:14', null, null, '1691379255805612032', '1691379256535420930');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691379256732553220', '1327473526785052672', '2023-08-15 17:20:14', null, null, '1691379255805612032', '1691379256636084225');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691387213784420353', '1', '2023-08-15 17:51:51', null, null, '1691387212870062080', '1691387213398544384');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691387213784420354', '1', '2023-08-15 17:51:51', null, null, '1691387212870062080', '1691387213499207682');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691387213784420355', '1', '2023-08-15 17:51:51', null, null, '1691387212870062080', '1691387213595676674');
INSERT INTO `train_class_appraise_list_child` VALUES ('1691387213784420356', '1', '2023-08-15 17:51:51', null, null, '1691387212870062080', '1691387213687951361');

-- ----------------------------
-- Table structure for train_class_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_class_appraise_option`;
CREATE TABLE `train_class_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班评价项内容';

-- ----------------------------
-- Records of train_class_appraise_option
-- ----------------------------
INSERT INTO `train_class_appraise_option` VALUES ('1567756271199850496', '1567756271111770112', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271199850497', '1567756271111770112', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271199850498', '1567756271111770112', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271199850499', '1567756271111770112', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271199850500', '1567756271111770112', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271292125184', '1567756271199850501', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271292125185', '1567756271199850501', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271292125186', '1567756271199850501', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271396982784', '1567756271292125187', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271396982785', '1567756271292125187', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271396982786', '1567756271292125187', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271480868864', '1567756271396982787', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271480868865', '1567756271396982787', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271480868866', '1567756271396982787', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271577337856', '1567756271480868867', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271581532160', '1567756271480868867', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271581532161', '1567756271480868867', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271669612544', '1567756271581532162', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271669612545', '1567756271581532162', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271770275840', '1567756271669612546', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271770275841', '1567756271669612546', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271858356224', '1567756271770275842', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271858356225', '1567756271770275842', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271858356226', '1567756271770275842', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1567756271950630912', '1567756271858356227', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756272051294208', '1567756271950630913', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756272147763200', '1567756272051294209', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1567756272244232192', '1567756272147763201', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432265007104', '1569944432256618496', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432265007105', '1569944432256618496', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432265007106', '1569944432256618496', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432265007107', '1569944432256618496', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432265007108', '1569944432256618496', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432277590016', '1569944432265007109', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432277590017', '1569944432265007109', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432277590018', '1569944432265007109', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432285978624', '1569944432277590019', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432285978625', '1569944432277590019', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432285978626', '1569944432277590019', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432294367232', '1569944432285978627', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432294367233', '1569944432285978627', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432294367234', '1569944432285978627', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432302755840', '1569944432294367235', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432302755841', '1569944432294367235', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432302755842', '1569944432294367235', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432311144448', '1569944432302755843', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432311144449', '1569944432302755843', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432319533056', '1569944432311144450', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432319533057', '1569944432311144450', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432327921664', '1569944432319533058', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432327921665', '1569944432319533058', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432327921666', '1569944432319533058', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432336310272', '1569944432327921667', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432344698880', '1569944432336310273', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432348893184', '1569944432344698881', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1569944432357281792', '1569944432348893185', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102017', '1570333178198102016', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102019', '1570333178198102018', '该老师行为是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102021', '1570333178198102020', '该老师是否具备良好的素质?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102023', '1570333178198102022', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102025', '1570333178198102024', '课程是否安排合理?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102027', '1570333178198102026', '课程是否通俗易懂?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333178198102029', '1570333178198102028', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294963331072', '1570333294950748160', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294963331073', '1570333294950748160', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294963331074', '1570333294950748160', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294963331075', '1570333294950748160', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294963331076', '1570333294950748160', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294975913984', '1570333294963331077', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294975913985', '1570333294963331077', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294975913986', '1570333294963331077', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294988496896', '1570333294975913987', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294988496897', '1570333294975913987', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333294988496898', '1570333294975913987', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295005274112', '1570333294988496899', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295005274113', '1570333294988496899', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295005274114', '1570333294988496899', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295017857024', '1570333295005274115', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295017857025', '1570333295005274115', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295017857026', '1570333295005274115', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295030439936', '1570333295017857027', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295030439937', '1570333295017857027', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295043022848', '1570333295030439938', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295043022849', '1570333295030439938', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295055605760', '1570333295043022850', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295055605761', '1570333295043022850', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295055605762', '1570333295043022850', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295068188672', '1570333295055605763', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295080771584', '1570333295068188673', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295097548800', '1570333295080771585', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570333295110131712', '1570333295097548801', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979781693440', '1570334979769110528', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979781693441', '1570334979769110528', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979781693442', '1570334979769110528', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979781693443', '1570334979769110528', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979781693444', '1570334979769110528', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979794276352', '1570334979781693445', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979794276353', '1570334979781693445', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979794276354', '1570334979781693445', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979806859264', '1570334979794276355', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979806859265', '1570334979794276355', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979806859266', '1570334979794276355', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979819442176', '1570334979806859267', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979819442177', '1570334979806859267', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979819442178', '1570334979806859267', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979832025088', '1570334979819442179', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979832025089', '1570334979819442179', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979832025090', '1570334979819442179', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979844608000', '1570334979832025091', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979844608001', '1570334979832025091', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979857190912', '1570334979844608002', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979857190913', '1570334979844608002', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979890745344', '1570334979857190914', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979890745345', '1570334979857190914', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979890745346', '1570334979857190914', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979907522560', '1570334979890745347', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979920105472', '1570334979907522561', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979932688384', '1570334979920105473', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1570334979945271296', '1570334979932688385', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786760961265664', '1571786760856408064', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786760965459968', '1571786760856408064', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786760965459969', '1571786760856408064', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1571786760965459970', '1571786760856408064', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1571786760965459971', '1571786760856408064', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761057734656', '1571786760965459972', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761057734657', '1571786760965459972', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761057734658', '1571786760965459972', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761145815040', '1571786761057734659', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761145815041', '1571786761057734659', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761145815042', '1571786761057734659', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761238089728', '1571786761145815043', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761238089729', '1571786761145815043', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761238089730', '1571786761145815043', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761330364416', '1571786761238089731', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761330364417', '1571786761238089731', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761330364418', '1571786761238089731', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761414250496', '1571786761330364419', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761414250497', '1571786761330364419', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761502330880', '1571786761414250498', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761502330881', '1571786761414250498', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761594605568', '1571786761502330882', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761594605569', '1571786761502330882', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761594605570', '1571786761502330882', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761682685952', '1571786761594605571', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761770766336', '1571786761682685953', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761867235328', '1571786761770766337', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1571786761967898624', '1571786761867235329', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313244721152', '1573119313232138240', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313244721153', '1573119313232138240', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313244721154', '1573119313232138240', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313244721155', '1573119313232138240', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313244721156', '1573119313232138240', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313257304064', '1573119313244721157', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313257304065', '1573119313244721157', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313257304066', '1573119313244721157', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313269886976', '1573119313257304067', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313269886977', '1573119313257304067', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313269886978', '1573119313257304067', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313282469888', '1573119313269886979', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313282469889', '1573119313269886979', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313282469890', '1573119313269886979', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313295052800', '1573119313282469891', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313295052801', '1573119313282469891', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313295052802', '1573119313282469891', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313307635712', '1573119313295052803', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313307635713', '1573119313295052803', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313320218624', '1573119313307635714', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313320218625', '1573119313307635714', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313332801536', '1573119313320218626', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313332801537', '1573119313320218626', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313332801538', '1573119313320218626', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313345384448', '1573119313332801539', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313357967360', '1573119313345384449', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313366355968', '1573119313357967361', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573119313378938880', '1573119313366355969', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224066', '1573155012027224064', '您对培训中心教育培训保障工作作何评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224067', '1573155012027224064', '您对培训中心教育培训保障工作作何评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224068', '1573155012027224064', '您对培训中心教育培训保障工作作何评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224069', '1573155012027224064', '您对培训中心教育培训保障工作作何评价', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224070', '1573155012027224064', '您对培训中心教育培训保障工作作何评价', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224073', '1573155012027224071', '请对课程内容进行评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224074', '1573155012027224071', '请对课程内容进行评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224075', '1573155012027224071', '请对课程内容进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224078', '1573155012027224076', '请对课程讲师进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224079', '1573155012027224076', '请对课程讲师进行评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224080', '1573155012027224076', '请对课程讲师进行评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224083', '1573155012027224081', '请对楚序平老师授课情况进行评价？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224084', '1573155012027224081', '请对楚序平老师授课情况进行评价？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224085', '1573155012027224081', '请对楚序平老师授课情况进行评价？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224088', '1573155012027224086', '讲师课堂呈现（集中，在线，课程）', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224089', '1573155012027224086', '讲师课堂呈现（集中，在线，课程）', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224090', '1573155012027224086', '讲师课堂呈现（集中，在线，课程）', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224093', '1573155012027224091', '您对该讲师的课堂呈现感受如何：', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224094', '1573155012027224091', '您对该讲师的课堂呈现感受如何：', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224097', '1573155012027224095', '请对新冠肺炎疫情防控工作情况加以评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224098', '1573155012027224095', '请对新冠肺炎疫情防控工作情况加以评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224101', '1573155012027224099', '课程内容规划（集中，在线，课程）', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224102', '1573155012027224099', '课程内容规划（集中，在线，课程）', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224103', '1573155012027224099', '课程内容规划（集中，在线，课程）', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224106', '1573155012027224104', '您对该讲师的整体感受', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224109', '1573155012027224107', '在本次学习中，您的最大收获是什么？有什么建议？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224112', '1573155012027224110', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155012027224115', '1573155012027224113', '下次再有此类培训，您最想学习什么课程？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811906', '1573155389346811904', '讲师评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811909', '1573155389346811907', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811912', '1573155389346811910', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811915', '1573155389346811913', '其他评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811918', '1573155389346811916', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811921', '1573155389346811919', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1573155389346811924', '1573155389346811922', '文本评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030850', '1574311823598030848', '您对该讲师的课堂呈现感受如何：', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030851', '1574311823598030848', '您对该讲师的课堂呈现感受如何：', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030854', '1574311823598030852', '请对新冠肺炎疫情防控工作情况加以评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030855', '1574311823598030852', '请对新冠肺炎疫情防控工作情况加以评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030858', '1574311823598030856', '在本次学习中，您的最大收获是什么？有什么建议？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030861', '1574311823598030859', '下次再有此类培训，您最想学习什么课程？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1574311823598030864', '1574311823598030862', '你的看法', null);
INSERT INTO `train_class_appraise_option` VALUES ('1575328174970114048', '1575328174961725440', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174970114049', '1575328174961725440', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174970114050', '1575328174961725440', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174970114051', '1575328174961725440', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174970114052', '1575328174961725440', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174978502656', '1575328174970114053', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174978502657', '1575328174970114053', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174978502658', '1575328174970114053', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174991085568', '1575328174978502659', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174991085569', '1575328174978502659', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174991085570', '1575328174978502659', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174999474176', '1575328174991085571', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174999474177', '1575328174991085571', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575328174999474178', '1575328174991085571', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175012057088', '1575328174999474179', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175012057089', '1575328174999474179', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175012057090', '1575328174999474179', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175020445696', '1575328175012057091', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175020445697', '1575328175012057091', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175028834304', '1575328175020445698', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575328175028834305', '1575328175020445698', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575329271419899904', '1575329271407316992', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575329271419899905', '1575329271407316992', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575329271428288512', '1575329271419899906', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575329271428288513', '1575329271419899906', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575329271436677120', '1575329271428288514', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575329271445065728', '1575329271436677121', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099265', '1575332941289099264', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099267', '1575332941289099266', '该老师行为是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099269', '1575332941289099268', '该老师是否具备良好的素质?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099271', '1575332941289099270', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099273', '1575332941289099272', '课程是否安排合理?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099275', '1575332941289099274', '课程是否通俗易懂?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575332941289099277', '1575332941289099276', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688313597952', '1575377688200351744', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688317792256', '1575377688200351744', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688317792257', '1575377688200351744', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688317792258', '1575377688200351744', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688317792259', '1575377688200351744', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688443621376', '1575377688317792260', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688447815680', '1575377688317792260', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688447815681', '1575377688317792260', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688573644800', '1575377688447815682', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688573644801', '1575377688447815682', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688573644802', '1575377688447815682', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688716251136', '1575377688573644803', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688716251137', '1575377688573644803', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688716251138', '1575377688573644803', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688829497344', '1575377688716251139', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688829497345', '1575377688716251139', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688829497346', '1575377688716251139', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688988880896', '1575377688829497347', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377688988880897', '1575377688829497347', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377689106321408', '1575377688988880898', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377689106321409', '1575377688988880898', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690582716416', '1575377690490441728', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690582716417', '1575377690490441728', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690582716418', '1575377690490441728', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690582716419', '1575377690490441728', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690582716420', '1575377690490441728', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690687574016', '1575377690582716421', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690687574017', '1575377690582716421', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690687574018', '1575377690582716421', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690788237312', '1575377690687574019', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690788237313', '1575377690687574019', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690788237314', '1575377690687574019', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690926649344', '1575377690788237315', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690926649345', '1575377690788237315', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377690926649346', '1575377690788237315', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691056672768', '1575377690926649347', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691056672769', '1575377690926649347', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691056672770', '1575377690926649347', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691140558848', '1575377691056672771', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691140558849', '1575377691056672771', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691224444928', '1575377691140558850', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575377691224444929', '1575377691140558850', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492693889024', '1575407492681306112', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492693889025', '1575407492681306112', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492693889026', '1575407492681306112', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492693889027', '1575407492681306112', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492693889028', '1575407492681306112', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492706471936', '1575407492693889029', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492706471937', '1575407492693889029', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492706471938', '1575407492693889029', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492714860544', '1575407492706471939', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492714860545', '1575407492706471939', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492714860546', '1575407492706471939', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492727443456', '1575407492714860547', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492727443457', '1575407492714860547', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492727443458', '1575407492714860547', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492740026368', '1575407492727443459', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492740026369', '1575407492727443459', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492740026370', '1575407492727443459', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492752609280', '1575407492740026371', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492752609281', '1575407492740026371', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492765192192', '1575407492752609282', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575407492765192193', '1575407492752609282', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002690', '1575678780134002688', '讲师评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002693', '1575678780134002691', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002696', '1575678780134002694', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002699', '1575678780134002697', '其他评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002702', '1575678780134002700', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002705', '1575678780134002703', null, '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002708', '1575678780134002706', '课堂氛围评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002709', '1575678780134002706', '课堂氛围评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002710', '1575678780134002706', '课堂氛围评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002711', '1575678780134002706', '课堂氛围评价', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002714', '1575678780134002712', '讲题评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1575678780134002715', '1575678780134002712', '讲题评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1578569717105430528', '1578569717092847616', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717105430529', '1578569717092847616', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717105430530', '1578569717092847616', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717105430531', '1578569717092847616', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717105430532', '1578569717092847616', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717118013440', '1578569717105430533', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717118013441', '1578569717105430533', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717118013442', '1578569717105430533', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717130596352', '1578569717118013443', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717130596353', '1578569717118013443', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717130596354', '1578569717118013443', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717143179264', '1578569717130596355', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717143179265', '1578569717130596355', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717143179266', '1578569717130596355', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717155762176', '1578569717143179267', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717155762177', '1578569717143179267', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717155762178', '1578569717143179267', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717168345088', '1578569717155762179', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717168345089', '1578569717155762179', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717180928000', '1578569717168345090', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578569717180928001', '1578569717168345090', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334499442688', '1578618334394585088', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334499442689', '1578618334394585088', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334499442690', '1578618334394585088', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334499442691', '1578618334394585088', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334499442692', '1578618334394585088', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334604300288', '1578618334499442693', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334604300289', '1578618334499442693', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334604300290', '1578618334499442693', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334818209792', '1578618334604300291', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334818209793', '1578618334604300291', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334818209794', '1578618334604300291', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334927261696', '1578618334818209795', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334927261697', '1578618334818209795', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618334927261698', '1578618334818209795', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335057285120', '1578618334927261699', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335057285121', '1578618334927261699', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335057285122', '1578618334927261699', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335166337024', '1578618335057285123', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335166337025', '1578618335057285123', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335267000320', '1578618335166337026', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335267000321', '1578618335166337026', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335376052224', '1578618335267000322', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335376052225', '1578618335267000322', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335376052226', '1578618335267000322', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335518658560', '1578618335376052227', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335636099072', '1578618335518658561', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335736762368', '1578618335636099073', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578618335833231360', '1578618335736762369', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578622195238834176', '1578622195154948096', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578622195238834177', '1578622195154948096', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578622195238834178', '1578622195154948096', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578652655587299329', '1578652655587299328', 'swe', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439576227840', '1578994439479758848', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439576227841', '1578994439479758848', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439576227842', '1578994439479758848', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439576227843', '1578994439479758848', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439576227844', '1578994439479758848', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439689474048', '1578994439576227845', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439689474049', '1578994439576227845', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439689474050', '1578994439576227845', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439794331648', '1578994439689474051', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439794331649', '1578994439689474051', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439794331650', '1578994439689474051', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439894994944', '1578994439794331651', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439894994945', '1578994439794331651', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578994439894994946', '1578994439794331651', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440004046848', '1578994439894994947', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440004046849', '1578994439894994947', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440004046850', '1578994439894994947', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440100515840', '1578994440004046851', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440100515841', '1578994440004046851', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440205373440', '1578994440100515842', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1578994440205373441', '1578994440100515842', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476408389632', '1579007476400001024', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476408389633', '1579007476400001024', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476408389634', '1579007476400001024', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476408389635', '1579007476400001024', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476408389636', '1579007476400001024', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476433555456', '1579007476408389637', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476433555457', '1579007476408389637', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476433555458', '1579007476408389637', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476441944064', '1579007476433555459', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476441944065', '1579007476433555459', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476441944066', '1579007476433555459', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476454526976', '1579007476441944067', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476454526977', '1579007476441944067', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476454526978', '1579007476441944067', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476462915584', '1579007476454526979', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476462915585', '1579007476454526979', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476462915586', '1579007476454526979', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476471304192', '1579007476462915587', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476471304193', '1579007476462915587', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476479692800', '1579007476471304194', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579007476479692801', '1579007476471304194', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425698140160', '1579023425589088256', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425698140161', '1579023425589088256', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425698140162', '1579023425589088256', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425698140163', '1579023425589088256', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425698140164', '1579023425589088256', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425807192064', '1579023425698140165', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425807192065', '1579023425698140165', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023425807192066', '1579023425698140165', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426146930688', '1579023425807192067', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426146930689', '1579023425807192067', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426146930690', '1579023425807192067', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426297925632', '1579023426146930691', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426297925633', '1579023426146930691', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426297925634', '1579023426146930691', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426469892096', '1579023426297925635', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426469892097', '1579023426297925635', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426469892098', '1579023426297925635', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426675412992', '1579023426469892099', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426675412993', '1579023426469892099', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426969014272', '1579023426675412994', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579023426969014273', '1579023426675412994', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579360392239517696', '1579360392235323392', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579360392239517697', '1579360392235323392', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579360392243712000', '1579360392239517698', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579360392243712001', '1579360392239517698', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579360392247906304', '1579360392243712002', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579360392252100608', '1579360392247906305', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419265', '1579364396193419264', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419267', '1579364396193419266', '该老师行为是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419269', '1579364396193419268', '该老师是否具备良好的素质?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419271', '1579364396193419270', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419273', '1579364396193419272', '课程是否安排合理?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419275', '1579364396193419274', '课程是否通俗易懂?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579364396193419277', '1579364396193419276', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700033', '1579365112022700032', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700035', '1579365112022700034', '该老师行为是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700037', '1579365112022700036', '该老师是否具备良好的素质?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700039', '1579365112022700038', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700041', '1579365112022700040', '课程是否安排合理?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700043', '1579365112022700042', '课程是否通俗易懂?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365112022700045', '1579365112022700044', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952129', '1579365509323952128', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952131', '1579365509323952130', '该老师行为是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952133', '1579365509323952132', '该老师是否具备良好的素质?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952135', '1579365509323952134', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952137', '1579365509323952136', '课程是否安排合理?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952139', '1579365509323952138', '课程是否通俗易懂?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579365509323952141', '1579365509323952140', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605687803904', '1579802605683609600', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605687803905', '1579802605683609600', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605687803906', '1579802605683609600', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605687803907', '1579802605683609600', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605687803908', '1579802605683609600', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605691998208', '1579802605687803909', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605691998209', '1579802605687803909', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605691998210', '1579802605687803909', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605700386816', '1579802605691998211', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605700386817', '1579802605691998211', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605700386818', '1579802605691998211', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605704581120', '1579802605700386819', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605704581121', '1579802605700386819', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605704581122', '1579802605700386819', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605708775424', '1579802605704581123', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605708775425', '1579802605704581123', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605708775426', '1579802605704581123', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605712969728', '1579802605708775427', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605712969729', '1579802605708775427', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605717164032', '1579802605712969730', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579802605717164033', '1579802605712969730', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579803111671861248', '1579803111667666944', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579803111671861249', '1579803111667666944', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579803111671861250', '1579803111667666944', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1579803885709692930', '1579803885709692928', '您对该讲师的课堂呈现感受如何：', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579803885709692931', '1579803885709692928', '您对该讲师的课堂呈现感受如何：', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579803885709692934', '1579803885709692932', '请对新冠肺炎疫情防控工作情况加以评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579803885709692935', '1579803885709692932', '请对新冠肺炎疫情防控工作情况加以评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1579803885709692938', '1579803885709692936', '在本次学习中，您的最大收获是什么？有什么建议？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1579803885709692941', '1579803885709692939', '下次再有此类培训，您最想学习什么课程？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860802', '1580098460038860800', '您对该讲师的整体感受', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860805', '1580098460038860803', '讲师', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860806', '1580098460038860803', '讲师', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860809', '1580098460038860807', '请对课程内容进行评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860810', '1580098460038860807', '请对课程内容进行评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860813', '1580098460038860811', '请对课程讲师进行评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860814', '1580098460038860811', '请对课程讲师进行评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860815', '1580098460038860811', '请对课程讲师进行评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860818', '1580098460038860816', '讲师星级评价项目', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860819', '1580098460038860816', '讲师星级评价项目', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860820', '1580098460038860816', '讲师星级评价项目', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580098460038860823', '1580098460038860821', '第一次评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580099540990693378', '1580099540990693376', '讲师星级评价项目', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580099540990693379', '1580099540990693376', '讲师星级评价项目', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580099540990693380', '1580099540990693376', '讲师星级评价项目', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580099540990693383', '1580099540990693381', '开课评价开课评价开课评价开课评价开课评价开课评价开课评价开课评价开课评价开课评价', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580114994383687682', '1580114994383687680', '讲师', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580114994383687683', '1580114994383687680', '讲师', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580114994383687686', '1580114994383687684', '讲师星级评价项目', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580114994383687687', '1580114994383687684', '讲师星级评价项目', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580114994383687688', '1580114994383687684', '讲师星级评价项目', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826306', '1580376837257826304', '您对培训中心教育培训保障工作作何评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826307', '1580376837257826304', '您对培训中心教育培训保障工作作何评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826308', '1580376837257826304', '您对培训中心教育培训保障工作作何评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826309', '1580376837257826304', '您对培训中心教育培训保障工作作何评价', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826310', '1580376837257826304', '您对培训中心教育培训保障工作作何评价', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826313', '1580376837257826311', '请对课程内容进行评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826314', '1580376837257826311', '请对课程内容进行评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826315', '1580376837257826311', '请对课程内容进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826318', '1580376837257826316', '请对课程讲师进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826319', '1580376837257826316', '请对课程讲师进行评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826320', '1580376837257826316', '请对课程讲师进行评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826323', '1580376837257826321', '请对楚序平老师授课情况进行评价？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826324', '1580376837257826321', '请对楚序平老师授课情况进行评价？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826325', '1580376837257826321', '请对楚序平老师授课情况进行评价？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826328', '1580376837257826326', '讲师课堂呈现（集中，在线，课程）', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826329', '1580376837257826326', '讲师课堂呈现（集中，在线，课程）', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826330', '1580376837257826326', '讲师课堂呈现（集中，在线，课程）', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826333', '1580376837257826331', '您对该讲师的课堂呈现感受如何：', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826334', '1580376837257826331', '您对该讲师的课堂呈现感受如何：', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826337', '1580376837257826335', '请对新冠肺炎疫情防控工作情况加以评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826338', '1580376837257826335', '请对新冠肺炎疫情防控工作情况加以评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826341', '1580376837257826339', '8.v', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580376837257826342', '1580376837257826339', '8.v', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964738', '1580381788142964736', '您对该讲师的课堂呈现感受如何：', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964739', '1580381788142964736', '您对该讲师的课堂呈现感受如何：', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964740', '1580381788142964736', '您对该讲师的课堂呈现感受如何：', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964743', '1580381788142964741', '请对新冠肺炎疫情防控工作情况加以评价', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964744', '1580381788142964741', '请对新冠肺炎疫情防控工作情况加以评价', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964747', '1580381788142964745', '在本次学习中，您的最大收获是什么？有什么建议？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964750', '1580381788142964748', '下次再有此类培训，您最想学习什么课程？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580381788142964753', '1580381788142964751', '我添加得评价想', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580395855620476929', '1580395855616282624', '讲师星级评价项目22', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580395855620476930', '1580395855616282624', '讲师星级评价项目33', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580395855620476931', '1580395855616282624', '讲师星级评价项目444', null);
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795585', '1580401891177795584', '该老师语言是否得体?11', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795587', '1580401891177795586', '该老师行为是否得体?22', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795589', '1580401891177795588', '该老师是否具备良好的素质?333', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795591', '1580401891177795590', '课程是否生动有趣?44', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795593', '1580401891177795592', '课程是否安排合理?55', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795595', '1580401891177795594', '课程是否通俗易懂?66', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580401891177795597', '1580401891177795596', '本次学习中你最大的收获是什么？88', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274945', '1580425908664274944', '该老师语言是否得体?11', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274946', '1580425908664274944', '该老师行为是否得体?22', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274947', '1580425908664274944', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274949', '1580425908664274948', '课程是否生动有趣?44', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274950', '1580425908664274948', '课程是否安排合理?55', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274951', '1580425908664274948', '课程是否通俗易懂?66', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580425908664274953', '1580425908664274952', '本次学习中你最大的收获是什么？88', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112193', '1580431660783112192', '该老师语言是否得体?111', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112194', '1580431660783112192', '该老师行为是否得体?222', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112195', '1580431660783112192', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112197', '1580431660783112196', '课程是否生动有趣?4444', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112198', '1580431660783112196', '5555士大夫大师傅但是', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112199', '1580431660783112196', '课程是否通俗易懂?55555', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580431660783112201', '1580431660783112200', '本次学习中你最大的收获是什么？是的分隔符山豆根山豆根山豆根收到', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191361', '1580440850050191360', '该老师语言是否得体?111', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191362', '1580440850050191360', '该老师行为是否得体?222', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191363', '1580440850050191360', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191365', '1580440850050191364', '课程是否生动有趣?4444', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191366', '1580440850050191364', '5555士大夫大师傅但是', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191367', '1580440850050191364', '课程是否通俗易懂?55555', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191369', '1580440850050191368', '本次学习中你最大的收获是什么？是的分隔符山豆根山豆根山豆根收到', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580440850050191370', '1580440850050191368', '本ui偶i偶哦i哦i哦i哦哦ioio', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698177', '1580489055307698176', '该老师语言是否得体?11', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698178', '1580489055307698176', '该老师行为是否得体?22', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698179', '1580489055307698176', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698181', '1580489055307698180', '课程是否生动有趣?44', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698182', '1580489055307698180', '课程是否安排合理?55', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698183', '1580489055307698180', '课程是否通俗易懂?66', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580489055307698185', '1580489055307698184', '本次学习中你最大的收获是什么？88', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193857', '1580490079955193856', '该老师语言是否得体?111', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193858', '1580490079955193856', '该老师行为是否得体?222', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193859', '1580490079955193856', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193861', '1580490079955193860', '课程是否生动有趣?4444', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193862', '1580490079955193860', '5555士大夫大师傅但是', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193863', '1580490079955193860', '课程是否通俗易懂?55555', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193865', '1580490079955193864', '本次学习中你最大的收获是什么？是的分隔符山豆根山豆根山豆根收到', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580490079955193866', '1580490079955193864', '本ui偶i偶哦i哦i哦i哦哦ioio', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996467814400', '1580798996455231488', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996467814401', '1580798996455231488', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996467814402', '1580798996455231488', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996467814403', '1580798996455231488', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996467814404', '1580798996455231488', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996480397312', '1580798996467814405', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996480397313', '1580798996467814405', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996480397314', '1580798996467814405', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996497174528', '1580798996480397315', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996497174529', '1580798996480397315', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996497174530', '1580798996480397315', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996509757440', '1580798996497174531', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996509757441', '1580798996497174531', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996509757442', '1580798996497174531', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996526534656', '1580798996509757443', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996526534657', '1580798996509757443', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996526534658', '1580798996509757443', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996539117568', '1580798996526534659', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996539117569', '1580798996526534659', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996551700480', '1580798996539117570', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1580798996551700481', '1580798996539117570', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581832621007179776', '1581832620914905088', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581832621007179777', '1581832620914905088', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581832621095260160', '1581832621007179778', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581832621095260161', '1581832621007179778', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581832621174951936', '1581832621095260162', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581832621258838016', '1581832621174951937', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948673', '1581928327889948672', '该老师语言是否得体?111', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948674', '1581928327889948672', '该老师行为是否得体?222', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948675', '1581928327889948672', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948677', '1581928327889948676', '课程是否生动有趣?4444', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948678', '1581928327889948676', '5555士大夫大师傅但是', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948679', '1581928327889948676', '课程是否通俗易懂?55555', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948681', '1581928327889948680', '本次学习中你最大的收获是什么？是的分隔符山豆根山豆根山豆根收到', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581928327889948682', '1581928327889948680', '本ui偶i偶哦i哦i哦i哦哦ioio', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783551848448', '1581931783463768064', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783551848449', '1581931783463768064', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783551848450', '1581931783463768064', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783551848451', '1581931783463768064', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783551848452', '1581931783463768064', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783639928832', '1581931783551848453', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783639928833', '1581931783551848453', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783639928834', '1581931783551848453', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783732203520', '1581931783639928835', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783732203521', '1581931783639928835', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783732203522', '1581931783639928835', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783816089600', '1581931783732203523', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783816089601', '1581931783732203523', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783816089602', '1581931783732203523', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783904169984', '1581931783816089603', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783904169985', '1581931783816089603', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783904169986', '1581931783816089603', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783992250368', '1581931783904169987', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931783992250369', '1581931783904169987', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1581931784092913664', '1581931783992250370', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1581931784092913665', '1581931783992250370', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516643835904', '1582188516538978304', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516643835905', '1582188516538978304', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516643835906', '1582188516538978304', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516643835907', '1582188516538978304', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516643835908', '1582188516538978304', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516748693504', '1582188516643835909', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516748693505', '1582188516643835909', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516748693506', '1582188516643835909', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516861939712', '1582188516748693507', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516861939713', '1582188516748693507', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516861939714', '1582188516748693507', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516950020096', '1582188516861939715', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516950020097', '1582188516861939715', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188516950020098', '1582188516861939715', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517046489088', '1582188516950020099', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517046489089', '1582188516950020099', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517046489090', '1582188516950020099', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517147152384', '1582188517046489091', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517147152385', '1582188517046489091', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517260398592', '1582188517147152386', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582188517260398593', '1582188517147152386', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761153', '1582195829043761152', '该老师语言是否得体?111', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761154', '1582195829043761152', '该老师行为是否得体?222', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761155', '1582195829043761152', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761157', '1582195829043761156', '课程是否生动有趣?4444', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761158', '1582195829043761156', '5555士大夫大师傅但是', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761159', '1582195829043761156', '课程是否通俗易懂?55555', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761161', '1582195829043761160', '本次学习中你最大的收获是什么？是的分隔符山豆根山豆根山豆根收到', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582195829043761162', '1582195829043761160', '本ui偶i偶哦i哦i哦i哦哦ioio', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316353', '1582200249001316352', '该老师语言是否得体?11', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316354', '1582200249001316352', '该老师行为是否得体?22', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316355', '1582200249001316352', '该老师是否具备良好的素质?333', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316357', '1582200249001316356', '课程是否生动有趣?44', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316358', '1582200249001316356', '课程是否安排合理?55', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316359', '1582200249001316356', '课程是否通俗易懂?66', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582200249001316361', '1582200249001316360', '本次学习中你最大的收获是什么？88', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895488', '1582643757780701184', '讲师的知识底蕴和实战经验？	', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895489', '1582643757780701184', '讲师的授课表达、气氛调动、进度控制能力？	', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895492', '1582643757784895490', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895493', '1582643757784895490', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895494', '1582643757784895490', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895495', '1582643757784895490', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895496', '1582643757784895490', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895499', '1582643757784895497', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895500', '1582643757784895497', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895501', '1582643757784895497', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895504', '1582643757784895502', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895505', '1582643757784895502', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895506', '1582643757784895502', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895509', '1582643757784895507', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895510', '1582643757784895507', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895511', '1582643757784895507', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895514', '1582643757784895512', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895515', '1582643757784895512', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895516', '1582643757784895512', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895519', '1582643757784895517', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895520', '1582643757784895517', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895523', '1582643757784895521', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582643757784895524', '1582643757784895521', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698818', '1582723584017698816', '讲师的知识底蕴和实战经验？	', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698819', '1582723584017698816', '讲师的授课表达、气氛调动、进度控制能力？	', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698822', '1582723584017698820', '讲师的教学准备和教学态度', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698823', '1582723584017698820', '讲师的知识底蕴和授课表达', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698824', '1582723584017698820', '授课讲师的综合评分', null);
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698827', '1582723584017698825', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698828', '1582723584017698825', '该老师行为是否得体?', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698829', '1582723584017698825', '该老师是否具备良好的素质?', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698832', '1582723584017698830', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698833', '1582723584017698830', '课程是否安排合理?', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698834', '1582723584017698830', '课程是否通俗易懂?', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1582723584017698837', '1582723584017698835', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583357228650467328', '1583357228642078720', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583357228650467329', '1583357228642078720', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583357228650467330', '1583357228642078720', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069016133632', '1583367069007745024', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069016133633', '1583367069007745024', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069016133634', '1583367069007745024', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069016133635', '1583367069007745024', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069016133636', '1583367069007745024', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069020327936', '1583367069016133637', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069020327937', '1583367069016133637', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069020327938', '1583367069016133637', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069028716544', '1583367069020327939', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069028716545', '1583367069020327939', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069028716546', '1583367069020327939', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069037105152', '1583367069028716547', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069037105153', '1583367069028716547', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069037105154', '1583367069028716547', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069045493760', '1583367069037105155', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069045493761', '1583367069037105155', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069045493762', '1583367069037105155', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069049688064', '1583367069045493763', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069049688065', '1583367069045493763', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069053882368', '1583367069049688066', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583367069053882369', '1583367069049688066', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583682887327289344', '1583682887117574144', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583682887327289345', '1583682887117574144', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583682887444729856', '1583682887327289346', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583682887444729857', '1583682887327289346', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583682887658639360', '1583682887444729858', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583682887788662784', '1583682887658639361', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583683976856473600', '1583683976768393216', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583683976856473601', '1583683976768393216', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583683976856473602', '1583683976768393216', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1583724185711153152', '1583724185706958848', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583724185711153153', '1583724185706958848', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583724185719541760', '1583724185711153154', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583724185719541761', '1583724185711153154', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583724185723736064', '1583724185719541762', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583724185727930368', '1583724185723736065', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583743261523185664', '1583743261510602752', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1583743261523185665', '1583743261510602752', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1583743261523185666', '1583743261510602752', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584364209012084736', '1584364208911421440', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584364209012084737', '1584364208911421440', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584364209116942336', '1584364209012084738', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584364209116942337', '1584364209012084738', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584364209225994240', '1584364209116942338', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584364209314074624', '1584364209225994241', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612399710208', '1584369612303241216', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612399710209', '1584369612303241216', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612479401984', '1584369612399710210', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612479401985', '1584369612399710210', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612584259584', '1584369612479401986', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612584259585', '1584369612479401986', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584369612584259586', '1584369612479401986', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105574518784', '1584812105457078272', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105574518785', '1584812105457078272', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105574518786', '1584812105457078272', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105574518787', '1584812105457078272', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105574518788', '1584812105457078272', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105662599168', '1584812105574518789', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105662599169', '1584812105574518789', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105662599170', '1584812105574518789', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105763262464', '1584812105662599171', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105763262465', '1584812105662599171', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105763262466', '1584812105662599171', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105859731456', '1584812105763262467', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105859731457', '1584812105763262467', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105859731458', '1584812105763262467', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105977171968', '1584812105859731459', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105977171969', '1584812105859731459', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584812105977171970', '1584812105859731459', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1584812106073640960', '1584812105977171971', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812106073640961', '1584812105977171971', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1584812106174304256', '1584812106073640962', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1584812106174304257', '1584812106073640962', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585464625841967106', '1585464625841967104', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585464625841967107', '1585464625841967104', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585464625841967110', '1585464625841967108', '高度重视  预案完备', null);
INSERT INTO `train_class_appraise_option` VALUES ('1585464625841967111', '1585464625841967108', '措施得当  流程明晰', null);
INSERT INTO `train_class_appraise_option` VALUES ('1585464625841967114', '1585464625841967112', '您的回答', null);
INSERT INTO `train_class_appraise_option` VALUES ('1585464625841967117', '1585464625841967115', '您的回答', null);
INSERT INTO `train_class_appraise_option` VALUES ('1585519288473751552', '1585519288469557248', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288473751553', '1585519288469557248', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288473751554', '1585519288469557248', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288473751555', '1585519288469557248', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288473751556', '1585519288469557248', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288482140160', '1585519288473751557', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288482140161', '1585519288473751557', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288482140162', '1585519288473751557', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288490528768', '1585519288482140163', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288490528769', '1585519288482140163', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288490528770', '1585519288482140163', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288494723072', '1585519288490528771', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288494723073', '1585519288490528771', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288494723074', '1585519288490528771', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288503111680', '1585519288494723075', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288503111681', '1585519288494723075', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288503111682', '1585519288494723075', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288507305984', '1585519288503111683', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288507305985', '1585519288503111683', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288511500288', '1585519288507305986', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288511500289', '1585519288507305986', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288519888896', '1585519288511500290', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288519888897', '1585519288511500290', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288519888898', '1585519288511500290', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288524083200', '1585519288519888899', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288528277504', '1585519288524083201', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288532471808', '1585519288528277505', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585519288540860416', '1585519288532471809', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618673188864', '1585542618664800256', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618673188865', '1585542618664800256', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618673188866', '1585542618664800256', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618673188867', '1585542618664800256', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618673188868', '1585542618664800256', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618677383168', '1585542618673188869', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618677383169', '1585542618673188869', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618677383170', '1585542618673188869', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618685771776', '1585542618677383171', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618685771777', '1585542618677383171', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618685771778', '1585542618677383171', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618689966080', '1585542618685771779', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618689966081', '1585542618685771779', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618689966082', '1585542618685771779', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618694160384', '1585542618689966083', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618694160385', '1585542618689966083', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618694160386', '1585542618689966083', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618698354688', '1585542618694160387', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618698354689', '1585542618694160387', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618706743296', '1585542618698354690', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618706743297', '1585542618698354690', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618710937600', '1585542618706743298', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618710937601', '1585542618706743298', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618710937602', '1585542618706743298', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618715131904', '1585542618710937603', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618719326208', '1585542618715131905', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618727714816', '1585542618719326209', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542618731909120', '1585542618727714817', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796247437312', '1585542796243243008', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796247437313', '1585542796243243008', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796251631616', '1585542796247437314', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796251631617', '1585542796247437314', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796260020224', '1585542796251631618', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796260020225', '1585542796251631618', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585542796260020226', '1585542796251631618', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420477566976', '1585833420389486592', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420477566977', '1585833420389486592', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420477566978', '1585833420389486592', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420477566979', '1585833420389486592', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420477566980', '1585833420389486592', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420565647360', '1585833420477566981', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420565647361', '1585833420477566981', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420565647362', '1585833420477566981', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420653727744', '1585833420565647363', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420653727745', '1585833420565647363', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420653727746', '1585833420565647363', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420741808128', '1585833420653727747', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420741808129', '1585833420653727747', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420741808130', '1585833420653727747', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420838277120', '1585833420741808131', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420838277121', '1585833420741808131', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420838277122', '1585833420741808131', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420922163200', '1585833420838277123', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833420922163201', '1585833420838277123', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1585833421010243584', '1585833420922163202', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1585833421010243585', '1585833420922163202', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304257', '1586965619134304256', '该老师语言是否得体?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304258', '1586965619134304256', '该老师行为是否得体?', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304259', '1586965619134304256', '该老师是否具备良好的素质?', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304261', '1586965619134304260', '课程是否生动有趣?', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304262', '1586965619134304260', '课程是否安排合理?', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304263', '1586965619134304260', '课程是否通俗易懂?', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1586965619134304265', '1586965619134304264', '本次学习中你最大的收获是什么？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587303554643791872', '1587303554534739968', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587303554643791873', '1587303554534739968', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587303554643791874', '1587303554534739968', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684127916032', '1587304684031447040', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684127916033', '1587304684031447040', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684127916034', '1587304684031447040', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684127916035', '1587304684031447040', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684127916036', '1587304684031447040', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684228579328', '1587304684127916037', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684228579329', '1587304684127916037', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684228579330', '1587304684127916037', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684325048320', '1587304684228579331', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684325048321', '1587304684228579331', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684325048322', '1587304684228579331', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684434100224', '1587304684325048323', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684434100225', '1587304684325048323', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684434100226', '1587304684325048323', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684530569216', '1587304684434100227', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684530569217', '1587304684434100227', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684530569218', '1587304684434100227', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684627038208', '1587304684530569219', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684627038209', '1587304684530569219', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684723507200', '1587304684627038210', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684723507201', '1587304684627038210', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684828364800', '1587304684723507202', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684828364801', '1587304684723507202', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684828364802', '1587304684723507202', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587304684929028096', '1587304684828364803', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304685021302784', '1587304684929028097', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304685117771776', '1587304685021302785', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587304685218435072', '1587304685117771777', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385242914816', '1587307385142251520', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385242914817', '1587307385142251520', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385242914818', '1587307385142251520', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385242914819', '1587307385142251520', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385242914820', '1587307385142251520', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385339383808', '1587307385242914821', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385339383809', '1587307385242914821', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385339383810', '1587307385242914821', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385440047104', '1587307385339383811', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385440047105', '1587307385339383811', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385440047106', '1587307385339383811', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385532321792', '1587307385440047107', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385532321793', '1587307385440047107', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385532321794', '1587307385440047107', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385641373696', '1587307385532321795', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385641373697', '1587307385532321795', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385641373698', '1587307385532321795', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385729454080', '1587307385641373699', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385729454081', '1587307385641373699', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385825923072', '1587307385729454082', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1587307385825923073', '1587307385729454082', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588729893879943168', '1588729893783474176', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588729893879943169', '1588729893783474176', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588729893980606464', '1588729893879943170', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588729893980606465', '1588729893879943170', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588729894077075456', '1588729893980606466', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588729894077075457', '1588729893980606466', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588729894077075458', '1588729893980606466', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769497194496', '1588731769413308416', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769497194497', '1588731769413308416', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769568497664', '1588731769497194498', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769568497665', '1588731769497194498', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769706909696', '1588731769568497666', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769706909697', '1588731769568497666', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588731769706909698', '1588731769568497666', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1588734069942915072', '1588734069859028992', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588734069942915073', '1588734069859028992', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588734070035189760', '1588734069942915074', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588734070035189761', '1588734069942915074', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588734070140047360', '1588734070035189762', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588734070140047361', '1588734070035189762', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588734070140047362', '1588734070035189762', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825666', '1588735416515825664', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825667', '1588735416515825664', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825670', '1588735416515825668', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825671', '1588735416515825668', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825674', '1588735416515825672', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825675', '1588735416515825672', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1588735416515825676', '1588735416515825672', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563320864768', '1589101563224395776', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563320864769', '1589101563224395776', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563320864770', '1589101563224395776', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563404750848', '1589101563320864771', '听不懂', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563404750849', '1589101563320864771', '方言成都', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563404750850', '1589101563320864771', '爱睡觉', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563404750851', '1589101563320864771', '爱大人', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563484442624', '1589101563404750852', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563484442625', '1589101563404750852', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563601883136', '1589101563484442626', '今天饭好吃吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563601883137', '1589101563484442626', '今天水好喝吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563601883138', '1589101563484442626', '今天的牛好吃吗', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563606077440', '1589101563484442626', '今天的羊肉好吵', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563689963520', '1589101563606077441', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589101563689963521', '1589101563606077441', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910494629888', '1589497910402355200', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910494629889', '1589497910402355200', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910494629890', '1589497910402355200', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910595293184', '1589497910494629891', '听不懂', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910595293185', '1589497910494629891', '方言成都', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910595293186', '1589497910494629891', '爱睡觉', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910595293187', '1589497910494629891', '爱大人', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910729510912', '1589497910595293188', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910729510913', '1589497910595293188', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910825979904', '1589497910729510914', '今天饭好吃吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910825979905', '1589497910729510914', '今天水好喝吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910825979906', '1589497910729510914', '今天的牛好吃吗', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910825979907', '1589497910729510914', '今天的羊肉好吵', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910922448896', '1589497910825979908', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1589497910922448897', '1589497910825979908', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1591993763448885248', '1591993763440496640', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1591993763448885249', '1591993763440496640', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1591993763448885250', '1591993763440496640', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362818', '1591998948099362816', '讲师的教学准备和教学态度', null);
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362819', '1591998948099362816', '讲师的知识底蕴和授课表达', null);
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362820', '1591998948099362816', '授课讲师的综合评分', null);
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362823', '1591998948099362821', '该老师语言是否得体?12', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362824', '1591998948099362821', '该老师行为是否得体?23', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362825', '1591998948099362821', '该老师是否具备良好的素质?34', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362828', '1591998948099362826', '课程是否生动有趣?45', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362829', '1591998948099362826', '课程是否安排合理?56', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362830', '1591998948099362826', '课程是否通俗易懂?67', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362833', '1591998948099362831', '本次学习中你最大的收获是什么？78', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1591998948099362836', '1591998948099362834', '测试数据', null);
INSERT INTO `train_class_appraise_option` VALUES ('1592029085889073152', '1592029085880684544', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592029085889073153', '1592029085880684544', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592029085889073154', '1592029085880684544', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592067010509017088', '1592067010504822784', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592067010509017089', '1592067010504822784', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592067010509017090', '1592067010504822784', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106207334400', '1592108105171341312', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106207334401', '1592108105171341312', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106207334402', '1592108105171341312', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106207334403', '1592108105171341312', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106207334404', '1592108105171341312', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106282831872', '1592108106207334405', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106282831873', '1592108106207334405', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106282831874', '1592108106207334405', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106370912256', '1592108106282831875', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106370912257', '1592108106282831875', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106370912258', '1592108106282831875', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106454798336', '1592108106370912259', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106454798337', '1592108106370912259', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106454798338', '1592108106370912259', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106534490112', '1592108106454798339', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106534490113', '1592108106454798339', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106534490114', '1592108106454798339', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106618376192', '1592108106534490115', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106618376193', '1592108106534490115', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106698067968', '1592108106618376194', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592108106698067969', '1592108106618376194', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274819457024', '1592111274735570944', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274819457025', '1592111274735570944', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274819457026', '1592111274735570944', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274819457027', '1592111274735570944', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274819457028', '1592111274735570944', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274903343104', '1592111274819457029', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274903343105', '1592111274819457029', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274903343106', '1592111274819457029', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274991423488', '1592111274903343107', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274991423489', '1592111274903343107', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111274991423490', '1592111274903343107', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275075309568', '1592111274991423491', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275075309569', '1592111274991423491', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275075309570', '1592111274991423491', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275163389952', '1592111275075309571', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275163389953', '1592111275075309571', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275163389954', '1592111275075309571', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275251470336', '1592111275163389955', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275251470337', '1592111275163389955', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275339550720', '1592111275251470338', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592111275339550721', '1592111275251470338', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032160866304', '1592115032072785920', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032160866305', '1592115032072785920', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032160866306', '1592115032072785920', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032160866307', '1592115032072785920', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032160866308', '1592115032072785920', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032248946688', '1592115032160866309', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032248946689', '1592115032160866309', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032248946690', '1592115032160866309', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032337027072', '1592115032248946691', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032337027073', '1592115032248946691', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032337027074', '1592115032248946691', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032429301760', '1592115032337027075', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032429301761', '1592115032337027075', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032429301762', '1592115032337027075', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032517382144', '1592115032429301763', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032517382145', '1592115032429301763', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032517382146', '1592115032429301763', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032609656832', '1592115032517382147', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032609656833', '1592115032517382147', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032697737216', '1592115032609656834', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032697737217', '1592115032609656834', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032790011904', '1592115032697737218', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032790011905', '1592115032697737218', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032790011906', '1592115032697737218', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032878092288', '1592115032790011907', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115032966172672', '1592115032878092289', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115033062641664', '1592115032966172673', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592115033150722048', '1592115033062641665', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592358453987381248', '1592358453978992640', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592358453987381249', '1592358453978992640', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592358453987381250', '1592358453978992640', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620580241408', '1592417620576047104', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620580241409', '1592417620576047104', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620580241410', '1592417620576047104', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620588630016', '1592417620580241411', '听不懂', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620588630017', '1592417620580241411', '方言成都', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620588630018', '1592417620580241411', '爱睡觉', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620588630019', '1592417620580241411', '爱大人', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620592824320', '1592417620588630020', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620592824321', '1592417620588630020', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620601212928', '1592417620592824322', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620601212929', '1592417620592824322', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620605407232', '1592417620601212930', '今天饭好吃吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620605407233', '1592417620601212930', '今天水好喝吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620605407234', '1592417620601212930', '今天的牛好吃吗', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1592417620605407235', '1592417620601212930', '今天的羊肉好吵', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592418191060111360', '1592418190951059456', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592418191060111361', '1592418190951059456', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592418191060111362', '1592418190951059456', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427472044032', '1592437427312660480', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427472044033', '1592437427312660480', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427472044034', '1592437427312660480', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427472044035', '1592437427312660480', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427472044036', '1592437427312660480', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427610456064', '1592437427472044037', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427610456065', '1592437427472044037', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427610456066', '1592437427472044037', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427765645312', '1592437427610456067', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427765645313', '1592437427610456067', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437427765645314', '1592437427610456067', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428042469376', '1592437427765645315', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428042469377', '1592437427765645315', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428042469378', '1592437427765645315', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428512231424', '1592437428042469379', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428512231425', '1592437428042469379', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428512231426', '1592437428042469379', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428692586496', '1592437428512231427', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428692586497', '1592437428512231427', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428864552960', '1592437428692586498', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437428864552961', '1592437428692586498', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429015547904', '1592437428864552962', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429015547905', '1592437428864552962', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429015547906', '1592437428864552962', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429187514368', '1592437429015547907', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429355286528', '1592437429187514369', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429615333376', '1592437429355286529', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1592437429875380224', '1592437429615333377', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459470561280', '1593195459369897984', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459470561281', '1593195459369897984', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459470561282', '1593195459369897984', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459470561283', '1593195459369897984', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459470561284', '1593195459369897984', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459562835968', '1593195459470561285', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459562835969', '1593195459470561285', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459562835970', '1593195459470561285', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459667693568', '1593195459562835971', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459667693569', '1593195459562835971', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459667693570', '1593195459562835971', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459810299904', '1593195459667693571', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459810299905', '1593195459667693571', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459810299906', '1593195459667693571', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459994849280', '1593195459810299907', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459994849281', '1593195459810299907', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195459994849282', '1593195459810299907', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460087123968', '1593195459994849283', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460087123969', '1593195459994849283', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460183592960', '1593195460087123970', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460183592961', '1593195460087123970', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460275867648', '1593195460183592962', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460275867649', '1593195460183592962', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460275867650', '1593195460183592962', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460368142336', '1593195460275867651', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460464611328', '1593195460368142337', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460556886016', '1593195460464611329', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593195460649160704', '1593195460556886017', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321838034944', '1593494321745760256', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321838034945', '1593494321745760256', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321838034946', '1593494321745760256', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321838034947', '1593494321745760256', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321838034948', '1593494321745760256', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321934503936', '1593494321838034949', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321934503937', '1593494321838034949', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593494321934503938', '1593494321838034949', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322026778624', '1593494321934503939', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322026778625', '1593494321934503939', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322026778626', '1593494321934503939', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322123247616', '1593494322026778627', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322123247617', '1593494322026778627', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322123247618', '1593494322026778627', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322232299520', '1593494322123247619', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322232299521', '1593494322123247619', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322232299522', '1593494322123247619', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322328768512', '1593494322232299523', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322328768513', '1593494322232299523', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322425237504', '1593494322328768514', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593494322425237505', '1593494322328768514', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783525384192', '1593496783428915200', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783525384193', '1593496783428915200', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783525384194', '1593496783428915200', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783525384195', '1593496783428915200', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783525384196', '1593496783428915200', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783621853184', '1593496783525384197', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783621853185', '1593496783525384197', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783621853186', '1593496783525384197', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783714127872', '1593496783621853187', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783714127873', '1593496783621853187', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783714127874', '1593496783621853187', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783810596864', '1593496783714127875', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783810596865', '1593496783714127875', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783810596866', '1593496783714127875', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783902871552', '1593496783810596867', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783902871553', '1593496783810596867', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783902871554', '1593496783810596867', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783999340544', '1593496783902871555', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496783999340545', '1593496783902871555', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593496784091615232', '1593496783999340546', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593496784091615233', '1593496783999340546', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221712048128', '1593499221615579136', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221712048129', '1593499221615579136', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221712048130', '1593499221615579136', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221712048131', '1593499221615579136', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221712048132', '1593499221615579136', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221808517120', '1593499221712048133', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221808517121', '1593499221712048133', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221808517122', '1593499221712048133', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221909180416', '1593499221808517123', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221909180417', '1593499221808517123', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499221909180418', '1593499221808517123', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222001455104', '1593499221909180419', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222001455105', '1593499221909180419', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222001455106', '1593499221909180419', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222097924096', '1593499222001455107', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222097924097', '1593499222001455107', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222097924098', '1593499222001455107', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222194393088', '1593499222097924099', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222194393089', '1593499222097924099', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222290862080', '1593499222194393090', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593499222290862081', '1593499222194393090', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500809935589376', '1593500809843314688', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500809935589377', '1593500809843314688', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500809935589378', '1593500809843314688', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593500809935589379', '1593500809843314688', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593500809935589380', '1593500809843314688', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810023669760', '1593500809935589381', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810023669761', '1593500809935589381', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810023669762', '1593500809935589381', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810120138752', '1593500810023669763', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810120138753', '1593500810023669763', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810120138754', '1593500810023669763', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810212413440', '1593500810120138755', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810212413441', '1593500810120138755', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810212413442', '1593500810120138755', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810304688128', '1593500810212413443', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810304688129', '1593500810212413443', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810304688130', '1593500810212413443', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810401157120', '1593500810304688131', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810401157121', '1593500810304688131', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810485043200', '1593500810401157122', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593500810485043201', '1593500810401157122', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194511323136', '1593501194419048448', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194511323137', '1593501194419048448', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194511323138', '1593501194419048448', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194511323139', '1593501194419048448', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194511323140', '1593501194419048448', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194603597824', '1593501194511323141', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194603597825', '1593501194511323141', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194603597826', '1593501194511323141', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194700066816', '1593501194603597827', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194700066817', '1593501194603597827', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194700066818', '1593501194603597827', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194792341504', '1593501194700066819', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194792341505', '1593501194700066819', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194792341506', '1593501194700066819', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194884616192', '1593501194792341507', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194884616193', '1593501194792341507', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194884616194', '1593501194792341507', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194976890880', '1593501194884616195', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501194976890881', '1593501194884616195', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593501195069165568', '1593501194976890882', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593501195069165569', '1593501194976890882', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512178855936', '1593503512086581248', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512178855937', '1593503512086581248', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512178855938', '1593503512086581248', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512178855939', '1593503512086581248', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512178855940', '1593503512086581248', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512266936320', '1593503512178855941', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512266936321', '1593503512178855941', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512266936322', '1593503512178855941', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512355016704', '1593503512266936323', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512355016705', '1593503512266936323', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512355016706', '1593503512266936323', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512443097088', '1593503512355016707', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512443097089', '1593503512355016707', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512443097090', '1593503512355016707', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512535371776', '1593503512443097091', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512535371777', '1593503512443097091', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512535371778', '1593503512443097091', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512623452160', '1593503512535371779', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512623452161', '1593503512535371779', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512711532544', '1593503512623452162', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512711532545', '1593503512623452162', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512799612928', '1593503512711532546', '课程框架清晰合理、层次分明？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512799612929', '1593503512711532546', '课程内容有理论基础、有工具方法？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512799612930', '1593503512711532546', '课程案例丰富、生动、贴切？', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512887693312', '1593503512799612931', '综合本次讲师授课表现，可评', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503512975773696', '1593503512887693313', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503513063854080', '1593503512975773697', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593503513151934464', '1593503513063854081', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989724209152', '1593842989619351552', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989724209153', '1593842989619351552', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989724209154', '1593842989619351552', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989724209155', '1593842989619351552', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989724209156', '1593842989619351552', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989824872448', '1593842989724209157', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989824872449', '1593842989724209157', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989824872450', '1593842989724209157', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989925535744', '1593842989824872451', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989925535745', '1593842989824872451', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842989925535746', '1593842989824872451', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990017810432', '1593842989925535747', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990017810433', '1593842989925535747', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990017810434', '1593842989925535747', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990126862336', '1593842990017810435', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990126862337', '1593842990017810435', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990126862338', '1593842990017810435', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990223331328', '1593842990126862339', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990223331329', '1593842990126862339', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990319800320', '1593842990223331330', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1593842990319800321', '1593842990223331330', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221481558016', '1594219221393477632', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221481558017', '1594219221393477632', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221481558018', '1594219221393477632', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221481558019', '1594219221393477632', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221481558020', '1594219221393477632', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221578027008', '1594219221481558021', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221578027009', '1594219221481558021', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221578027010', '1594219221481558021', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221666107392', '1594219221578027011', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221666107393', '1594219221578027011', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221666107394', '1594219221578027011', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221783547904', '1594219221666107395', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221783547905', '1594219221666107395', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221783547906', '1594219221666107395', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221909377024', '1594219221783547907', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221909377025', '1594219221783547907', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219221909377026', '1594219221783547907', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1594219222077149184', '1594219221909377027', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219222077149185', '1594219221909377027', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594219222194589696', '1594219222077149186', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594219222194589697', '1594219222077149186', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594599138182434816', '1594599138098548736', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594599138182434817', '1594599138098548736', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594599138715111424', '1594599138182434818', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594599138715111425', '1594599138182434818', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1594599138798997504', '1594599138715111426', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1594599138878689280', '1594599138798997505', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825623535616', '1596347825522872320', '讲的生动', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825623535617', '1596347825522872320', '讲的疼', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825623535618', '1596347825522872320', '讲的难吃', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825699033088', '1596347825623535619', '听不懂', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825699033089', '1596347825623535619', '方言成都', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825699033090', '1596347825623535619', '爱睡觉', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825699033091', '1596347825623535619', '爱大人', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825799696384', '1596347825699033092', '好看吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825799696385', '1596347825699033092', '好吃吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825900359680', '1596347825799696386', '今天饭好吃吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825900359681', '1596347825799696386', '今天水好喝吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825900359682', '1596347825799696386', '今天的牛好吃吗', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1596347825900359683', '1596347825799696386', '今天的羊肉好吵', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596347826001022976', '1596347825900359684', '文本够用吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596347826001022977', '1596347825900359684', '文本需要买吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348023947005952', '1596348023879897088', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348023947005953', '1596348023879897088', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348023947005954', '1596348023879897088', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596348023947005955', '1596348023879897088', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1596348023947005956', '1596348023879897088', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024060252160', '1596348023947005957', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024060252161', '1596348023947005957', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024060252162', '1596348023947005957', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024328687616', '1596348024060252163', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024328687617', '1596348024060252163', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024328687618', '1596348024060252163', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024395796480', '1596348024328687619', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024395796481', '1596348024328687619', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024395796482', '1596348024328687619', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024504848384', '1596348024395796483', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024504848385', '1596348024395796483', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024504848386', '1596348024395796483', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024567762944', '1596348024504848387', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024567762945', '1596348024504848387', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024639066112', '1596348024567762946', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596348024639066113', '1596348024567762946', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596395878325817344', '1596395878258708480', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596395878325817345', '1596395878258708480', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596395878460035072', '1596395878325817346', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596395878460035073', '1596395878325817346', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596395878522949632', '1596395878460035074', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596395878522949633', '1596395878460035074', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596407388494237696', '1596407388397768704', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596407388494237697', '1596407388397768704', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596407388594900992', '1596407388494237698', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596407388594900993', '1596407388494237698', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596407388687175680', '1596407388594900994', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596407388687175681', '1596407388594900994', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596411236159983616', '1596411236067708928', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596411236159983617', '1596411236067708928', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596411236252258304', '1596411236159983618', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596411236252258305', '1596411236159983618', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596411236348727296', '1596411236252258306', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596411236348727297', '1596411236252258306', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596411239574147072', '1596411239477678080', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596411239574147073', '1596411239477678080', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596411239662227456', '1596411239574147074', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596411239662227457', '1596411239574147074', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596411239754502144', '1596411239662227458', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596411239754502145', '1596411239662227458', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596413333475561472', '1596413332947079168', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596413333475561473', '1596413332947079168', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596413333915963392', '1596413333475561474', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596413333915963393', '1596413333475561474', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596413334264090624', '1596413333915963394', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596413334264090625', '1596413333915963394', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092710756352', '1596499092706562048', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092710756353', '1596499092706562048', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092710756354', '1596499092706562048', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092710756355', '1596499092706562048', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092710756356', '1596499092706562048', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092719144960', '1596499092710756357', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092719144961', '1596499092710756357', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092719144962', '1596499092710756357', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092723339264', '1596499092719144963', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092723339265', '1596499092719144963', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092723339266', '1596499092719144963', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092727533568', '1596499092723339267', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092727533569', '1596499092723339267', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092727533570', '1596499092723339267', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092731727872', '1596499092727533571', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092731727873', '1596499092727533571', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092731727874', '1596499092727533571', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092740116480', '1596499092731727875', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092740116481', '1596499092731727875', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092744310784', '1596499092740116482', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596499092744310785', '1596499092740116482', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596671955153588224', '1596671955065507840', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596671955153588225', '1596671955065507840', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596671955245862912', '1596671955153588226', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596671955245862913', '1596671955153588226', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596671955329748992', '1596671955245862914', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596671955329748993', '1596671955245862914', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596673054346448896', '1596673054254174208', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596673054346448897', '1596673054254174208', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596673054430334976', '1596673054346448898', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596673054430334977', '1596673054346448898', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596673054539386880', '1596673054430334978', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596673054539386881', '1596673054430334978', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596702933242744832', '1596702933133692928', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596702933242744833', '1596702933133692928', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596702933309853696', '1596702933242744834', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596702933309853697', '1596702933242744834', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596702933439877120', '1596702933309853698', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596702933439877121', '1596702933309853698', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596746360969891840', '1596746360877617152', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596746360969891841', '1596746360877617152', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596746361053777920', '1596746360969891842', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596746361053777921', '1596746360969891842', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596746361150246912', '1596746361053777922', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596746361150246913', '1596746361053777922', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596790161755213824', '1596790161667133440', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596790161755213825', '1596790161667133440', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596790161839099904', '1596790161755213826', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596790161839099905', '1596790161755213826', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1596790161931374592', '1596790161839099906', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1596790161931374593', '1596790161839099906', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598522816158896128', '1598522816079204352', '讲师讲的怎么样', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598522816158896129', '1598522816079204352', '讲师作业多吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598522817303941120', '1598522816158896130', '其他住宿好吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598522817303941121', '1598522816158896130', '其他吃的好吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598522817383632896', '1598522817303941122', '文本写的多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598522817383632897', '1598522817303941122', '文本写的清楚吗', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088324796416', '1598954088316407808', '培训管理', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088324796417', '1598954088316407808', '会场服务', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088324796418', '1598954088316407808', '前台服务', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088324796419', '1598954088316407808', '就餐服务', '4');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088324796420', '1598954088316407808', '客房服务', '5');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088333185024', '1598954088324796421', '课程框架清晰合理、层次分明', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088333185025', '1598954088324796421', '讲师的知识底蕴和实战经验', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088333185026', '1598954088324796421', '对课程整体进行评价', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088341573632', '1598954088333185027', '对授课讲师进行打分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088341573633', '1598954088333185027', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088341573634', '1598954088333185027', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088349962240', '1598954088341573635', '讲师的教学准备和教学态度', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088349962241', '1598954088341573635', '讲师的知识底蕴和授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088349962242', '1598954088341573635', '授课讲师的综合评分', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088358350848', '1598954088349962243', '讲师的知识底蕴和实战经验？', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088358350849', '1598954088349962243', '讲师的知识底蕴和实战经验？', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088358350850', '1598954088349962243', '综合本次老师授课表现，可评', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088362545152', '1598954088358350851', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088362545153', '1598954088358350851', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088370933760', '1598954088362545154', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1598954088370933761', '1598954088362545154', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1643892230429216768', '1643892230420828160', '讲师的知识底蕴和实战经验丰富', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1643892230429216769', '1643892230420828160', '讲师的授课表达', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1643892230429216770', '1643892230420828160', '讲师的进度控制能力，学员接受程度', '3');
INSERT INTO `train_class_appraise_option` VALUES ('1643892732550320130', '1643892732550320128', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892732550320131', '1643892732550320128', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892732776812546', '1643892732776812544', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892732776812547', '1643892732776812544', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733045248002', '1643892733045248000', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733045248003', '1643892733045248000', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733267546114', '1643892733267546112', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733267546115', '1643892733267546112', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733506621442', '1643892733506621440', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733506621443', '1643892733506621440', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733720530946', '1643892733720530944', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733720530947', '1643892733720530944', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733942829058', '1643892733942829056', '评价1', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1643892733942829059', '1643892733942829056', '评价2', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1689904052210634752', '1689904052206440448', '讲师的教学准备和教学态度', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1689904052210634753', '1689904052206440448', '讲师的知识底蕴和授课表达', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1689904052210634754', '1689904052206440448', '授课讲师的综合评分', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1689904052210634756', '1689904052210634755', '讲师讲的怎么样', '0');
INSERT INTO `train_class_appraise_option` VALUES ('1689904052210634757', '1689904052210634755', '讲师作业多吗', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691379256434757632', '1691379256334094336', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691379256434757633', '1691379256334094336', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1691379256535420928', '1691379256434757634', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691379256535420929', '1691379256434757634', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1691379256636084224', '1691379256535420930', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691379256732553216', '1691379256636084225', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691387213499207680', '1691387213398544384', '讲师的知识底蕴和实战经验', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691387213499207681', '1691387213398544384', '讲师的授课表达、气氛调动、进度控制能力', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1691387213595676672', '1691387213499207682', '高度重视  预案完备', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691387213595676673', '1691387213499207682', '措施得当  流程明晰', '2');
INSERT INTO `train_class_appraise_option` VALUES ('1691387213687951360', '1691387213595676674', '您的回答', '1');
INSERT INTO `train_class_appraise_option` VALUES ('1691387213784420352', '1691387213687951361', '您的回答', '1');

-- ----------------------------
-- Table structure for train_class_appraise_teacher
-- ----------------------------
DROP TABLE IF EXISTS `train_class_appraise_teacher`;
CREATE TABLE `train_class_appraise_teacher` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `train_class_appraise_list_id` bigint(19) DEFAULT NULL COMMENT '评论计划id',
  `teacher_id` bigint(19) DEFAULT NULL COMMENT '教师id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='评论计划关联教师表';

-- ----------------------------
-- Records of train_class_appraise_teacher
-- ----------------------------
INSERT INTO `train_class_appraise_teacher` VALUES ('1567756274089725952', '1564821097285816320', '2022-09-08 14:06:38', null, null, '1567756270608453632', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1567756274089725953', '1564821097285816320', '2022-09-08 14:06:38', null, null, '1567756270608453632', '1567335196691402752');
INSERT INTO `train_class_appraise_teacher` VALUES ('1569944432634105856', '1', '2022-09-14 15:01:36', null, null, '1569944432214675456', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1569944432634105857', '1', '2022-09-14 15:01:36', null, null, '1569944432214675456', '1565531038766206976');
INSERT INTO `train_class_appraise_teacher` VALUES ('1570333178441371648', '1569970196410667008', '2022-09-15 16:46:20', null, null, '1570333178164547584', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1570333295340818432', '1569970196410667008', '2022-09-15 16:46:48', null, null, '1570333294900416512', '1570236961212469248');
INSERT INTO `train_class_appraise_teacher` VALUES ('1570334980096266240', '1569970196410667008', '2022-09-15 16:53:29', null, null, '1570334979718778880', '1570236817620471808');
INSERT INTO `train_class_appraise_teacher` VALUES ('1571786763935027200', '1564821097285816320', '2022-09-19 17:02:22', null, null, '1571786760357285888', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1572100965971136512', '1564821097285816320', '2022-09-20 13:50:53', null, null, '1572100961822969856', '1571736800504975360');
INSERT INTO `train_class_appraise_teacher` VALUES ('1572118875833765888', '1', '2022-09-20 15:02:03', null, null, '1572118873535287296', '1565531038766206976');
INSERT INTO `train_class_appraise_teacher` VALUES ('1573119313500573696', '1564821097285816320', '2022-09-23 09:17:26', null, null, '1573119313186000896', '1564138860613603328');
INSERT INTO `train_class_appraise_teacher` VALUES ('1574285321510719488', '1564821097285816320', '2022-09-26 14:30:44', null, null, '1574285318939611136', '1574243470875430912');
INSERT INTO `train_class_appraise_teacher` VALUES ('1574285321510719489', '1564821097285816320', '2022-09-26 14:30:44', null, null, '1574285318939611136', '1574243342252904448');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575328175209189376', '1570604410206294016', '2022-09-29 11:34:40', null, null, '1575328174903005184', '1575325460810829824');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575329271549923328', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575329271369568256', '1575325600896389120');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575329271549923329', '1570604410206294016', '2022-09-29 11:39:01', null, null, '1575329271369568256', '1575325460810829824');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575332941448482816', '1570604410206294016', '2022-09-29 11:53:36', null, null, '1575332941259739136', '1575325460810829824');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575377689903239168', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575325460810829824');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575377689907433472', '1', '2022-09-29 14:51:25', null, null, '1575377688078716928', '1575325600896389120');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575377691828424704', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575325460810829824');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575377691828424705', '1', '2022-09-29 14:51:25', null, null, '1575377690280726528', '1575325600896389120');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575407492945547264', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575364993979912192');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575407492945547265', '1569970196410667008', '2022-09-29 16:49:51', null, null, '1575407492635168768', '1575364877017550848');
INSERT INTO `train_class_appraise_teacher` VALUES ('1575677259275177984', '1569970196410667008', '2022-09-30 10:41:48', null, null, '1575677259090628608', '1575364877017550848');
INSERT INTO `train_class_appraise_teacher` VALUES ('1578569717378060288', '1570604410206294016', '2022-10-08 10:15:24', null, null, '1578569717034127360', '1575692028757544960');
INSERT INTO `train_class_appraise_teacher` VALUES ('1578618338064601088', '1', '2022-10-08 13:28:36', null, null, '1578618333786411008', '1575407586944094208');
INSERT INTO `train_class_appraise_teacher` VALUES ('1578622197096910848', '1', '2022-10-08 13:43:56', null, null, '1578622194605494272', '1575692028757544960');
INSERT INTO `train_class_appraise_teacher` VALUES ('1578652657931915264', '1', '2022-10-08 15:44:58', null, null, '1578652654974930944', '1574673910971109376');
INSERT INTO `train_class_appraise_teacher` VALUES ('1578994442671624192', '1', '2022-10-09 14:23:06', null, null, '1578994438930305024', '1578925187435466752');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579007476722962432', '1569970196410667008', '2022-10-09 15:14:54', null, null, '1579007476337086464', '1575364877017550848');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579023430769053696', '1562314510612697088', '2022-10-09 16:18:17', null, null, '1579023423651319808', '1578925187435466752');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579360392369541120', '1569970196410667008', '2022-10-10 14:37:15', null, null, '1579360392197574656', '1579011208068075520');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579364396403134464', '1569970196410667008', '2022-10-10 14:53:10', null, null, '1579364396147281920', '1579341156754526208');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579365115189399552', '1562314510612697088', '2022-10-10 14:56:01', null, null, '1579365111552937984', '1579284556211687424');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579365511257526272', '1562314510612697088', '2022-10-10 14:57:36', null, null, '1579365508879355904', '1579284556211687424');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579802605834604544', '1570604410206294016', '2022-10-11 19:54:27', null, null, '1579802605645860864', '1579723511948251136');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579803111722192896', '1570604410206294016', '2022-10-11 19:56:28', null, null, '1579803111629918208', '1579723511948251136');
INSERT INTO `train_class_appraise_teacher` VALUES ('1579803690976546816', '1570604410206294016', '2022-10-11 19:58:46', null, null, '1579803690754248704', '1579723511948251136');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580097838816301056', '1569970196410667008', '2022-10-12 15:27:36', null, null, '1580097838686277632', '1580091462438227968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580098187463626752', '1569970196410667008', '2022-10-12 15:28:59', null, null, '1580098187291660288', '1580091462438227968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580114703085080576', '1569970621243330560', '2022-10-12 16:34:37', null, null, '1580114702921502720', '1580081379478212608');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580376495182974976', '1', '2022-10-13 09:54:53', null, null, '1580376493756911616', '1580097227509075968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580380153874354176', '1', '2022-10-13 10:09:25', null, null, '1580380152821583872', '1580097227509075968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580393060263661568', '1', '2022-10-13 11:00:43', null, null, '1580393059466743808', '1580097227509075968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580401891710472192', '1564192820011601920', '2022-10-13 11:35:48', null, null, '1580401891173601280', '1580091462438227968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580425909347946496', '1', '2022-10-13 13:11:14', null, null, '1580425908655886336', '1580097227509075968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580431661408063488', '1', '2022-10-13 13:34:06', null, null, '1580431660346904576', '1580097227509075968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580440850708697088', '1', '2022-10-13 14:10:37', null, null, '1580440849689481216', '1580097227509075968');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580489055878123520', '1', '2022-10-13 17:22:10', null, null, '1580489055299309568', '1580431533859278848');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580490080764694528', '1', '2022-10-13 17:26:14', null, null, '1580490079946805248', '1580431533859278848');
INSERT INTO `train_class_appraise_teacher` VALUES ('1580798996677529600', '1569970196410667008', '2022-10-14 13:53:45', null, null, '1580798996430065664', '1580789909424312320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1581832621837651968', '1', '2022-10-17 10:21:01', null, null, '1581832620793270272', '1580803835155320832');
INSERT INTO `train_class_appraise_teacher` VALUES ('1581928328498122752', '1581888248303718400', '2022-10-17 16:41:19', null, null, '1581928327881560064', '1580821840392228864');
INSERT INTO `train_class_appraise_teacher` VALUES ('1581931784680116224', '1581888248303718400', '2022-10-17 16:55:03', null, null, '1581931783363104768', '1580821840392228864');
INSERT INTO `train_class_appraise_teacher` VALUES ('1582188518048927744', '1581888248303718400', '2022-10-18 09:55:13', null, null, '1582188516429926400', '1580821840392228864');
INSERT INTO `train_class_appraise_teacher` VALUES ('1582195829651935232', '1581888248303718400', '2022-10-18 10:24:16', null, null, '1582195828586582016', '1580821840392228864');
INSERT INTO `train_class_appraise_teacher` VALUES ('1582200249609490432', '1581888248303718400', '2022-10-18 10:41:50', null, null, '1582200248992927744', '1580821840392228864');
INSERT INTO `train_class_appraise_teacher` VALUES ('1582643701174374400', '1569970196410667008', '2022-10-19 16:03:57', null, null, '1582643700960464896', '1580789909424312320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1582722878711926784', '1569970196410667008', '2022-10-19 21:18:35', null, null, '1582722878611263488', '1582686323762925568');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583357228730159104', '1570604410206294016', '2022-10-21 15:19:15', null, null, '1583357228616912896', '1583348291817574400');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583357228730159105', '1570604410206294016', '2022-10-21 15:19:15', null, null, '1583357228616912896', '1583348171965337600');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583367069141962752', '1569970196410667008', '2022-10-21 15:58:21', null, null, '1583367068982579200', '1583331281234694144');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583682892414980096', '1', '2022-10-22 12:53:20', null, null, '1583682886811389952', '1583392217345691648');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583683977418510336', '1', '2022-10-22 12:57:38', null, null, '1583683976659341312', '1583683488178114560');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583724185807622144', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583724185681793024', '1583722406881660928');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583724185807622145', '1570604410206294016', '2022-10-22 15:37:25', null, null, '1583724185681793024', '1583722254959775744');
INSERT INTO `train_class_appraise_teacher` VALUES ('1583743261628043264', '1570604410206294016', '2022-10-22 16:53:13', null, null, '1583743261489631232', '1583739726207258624');
INSERT INTO `train_class_appraise_teacher` VALUES ('1584364211209900032', '1', '2022-10-24 10:00:39', null, null, '1584364208399716352', '1583683488178114560');
INSERT INTO `train_class_appraise_teacher` VALUES ('1584369614673022976', '1', '2022-10-24 10:22:07', null, null, '1584369611766370304', '1583683488178114560');
INSERT INTO `train_class_appraise_teacher` VALUES ('1584812108065935360', '1', '2022-10-25 15:40:26', null, null, '1584812104924401664', '1584805692726972416');
INSERT INTO `train_class_appraise_teacher` VALUES ('1585464192901713920', '1570604410206294016', '2022-10-27 10:51:35', null, null, '1585464192771690496', '1585459966779723776');
INSERT INTO `train_class_appraise_teacher` VALUES ('1585464192901713921', '1570604410206294016', '2022-10-27 10:51:35', null, null, '1585464192771690496', '1585460116164055040');
INSERT INTO `train_class_appraise_teacher` VALUES ('1585519288628940800', '1569970196410667008', '2022-10-27 14:30:31', null, null, '1585519288440197120', '1585459966779723776');
INSERT INTO `train_class_appraise_teacher` VALUES ('1585542618811600896', '1569970196410667008', '2022-10-27 16:03:13', null, null, '1585542618643828736', '1585520522958082048');
INSERT INTO `train_class_appraise_teacher` VALUES ('1585542796331323392', '1569970196410667008', '2022-10-27 16:03:55', null, null, '1585542796218077184', '1585520522958082048');
INSERT INTO `train_class_appraise_teacher` VALUES ('1585833422843154432', '1', '2022-10-28 11:18:46', null, null, '1585833419861004288', '1584732561974890496');
INSERT INTO `train_class_appraise_teacher` VALUES ('1586965619247550464', '1570604410206294016', '2022-10-31 14:17:43', null, null, '1586965619117527040', '1586965006363267072');
INSERT INTO `train_class_appraise_teacher` VALUES ('1587303556619309056', '1561995446459699200', '2022-11-01 12:40:33', null, null, '1587303553976897536', '1586969321387724800');
INSERT INTO `train_class_appraise_teacher` VALUES ('1587304687227506688', '1561995446459699200', '2022-11-01 12:45:03', null, null, '1587304683494576128', '1586969321387724800');
INSERT INTO `train_class_appraise_teacher` VALUES ('1587307387709165568', '1561995446459699200', '2022-11-01 12:55:47', null, null, '1587307384529883136', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1588729895004016640', '1', '2022-11-05 11:08:19', null, null, '1588729893666033664', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1588731770377998336', '1', '2022-11-05 11:15:46', null, null, '1588731769279090688', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1588734070832107520', '1583278909414313984', '2022-11-05 11:24:54', null, null, '1588734069758365696', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1588734811516833792', '1583278909414313984', '2022-11-05 11:27:51', null, null, '1588734808689872896', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1589101589187137536', '1', '2022-11-06 11:45:18', null, null, '1589101563115343872', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1589497911710978048', '1', '2022-11-07 14:00:08', null, null, '1589497910297497600', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1591993763536965632', '1591989473527336960', '2022-11-14 11:17:46', null, null, '1591993763415330816', '1591992533590872064');
INSERT INTO `train_class_appraise_teacher` VALUES ('1591998699796566016', '1569970196410667008', '2022-11-14 11:37:23', null, null, '1591998699687514112', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592029085964570624', '1591989473527336960', '2022-11-14 13:38:07', null, null, '1592029085859713024', '1585921881540792320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592067010584514560', '1327473526785052672', '2022-11-14 16:08:49', null, null, '1592067010479656960', '1592055082256568320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592108108430315520', '1562314510612697088', '2022-11-14 18:52:08', null, null, '1592108104709967872', '1570236961212469248');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592111277038243840', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1567337225455276032');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592111277038243841', '1562314510612697088', '2022-11-14 19:04:43', null, null, '1592111274274197504', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592115034874580992', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1567337225455276032');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592115034874580993', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1570236817620471808');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592115034874580994', '1562314510612697088', '2022-11-14 19:19:39', null, null, '1592115031611412480', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592358454071267328', '1', '2022-11-15 11:26:55', null, null, '1592358453949632512', '1592037025505218560');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592358454071267329', '1', '2022-11-15 11:26:55', null, null, '1592358453949632512', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592417620693487616', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1567337225455276032');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592417620693487617', '1569970196410667008', '2022-11-15 15:22:01', null, null, '1592417620546686976', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592418193056600064', '1561995446459699200', '2022-11-15 15:24:18', null, null, '1592418190426771456', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1592437434040324096', '1562314510612697088', '2022-11-15 16:40:45', null, null, '1592437426394107904', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593195462557569024', '1567046004463767552', '2022-11-17 18:52:53', null, null, '1593195458858192896', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593494325755514880', '1', '2022-11-18 14:40:28', null, null, '1593494321175334912', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593496785979052032', '1', '2022-11-18 14:50:14', null, null, '1593496782862684160', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593499224257990656', '1561995446459699200', '2022-11-18 14:59:56', null, null, '1593499221066125312', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593500812301176832', '1', '2022-11-18 15:06:14', null, null, '1593500809293860864', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593501196969185280', '1561995446459699200', '2022-11-18 15:07:46', null, null, '1593501192997179392', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593503514972262400', '1561995446459699200', '2022-11-18 15:16:58', null, null, '1593503511528738816', '1570236817620471808');
INSERT INTO `train_class_appraise_teacher` VALUES ('1593842992320483328', '1561995446459699200', '2022-11-19 13:45:56', null, null, '1593842989036343296', '1567338866929700864');
INSERT INTO `train_class_appraise_teacher` VALUES ('1594219224228827136', '1569970196410667008', '2022-11-20 14:40:57', null, null, '1594219220869189632', '1555010737095708672');
INSERT INTO `train_class_appraise_teacher` VALUES ('1594599142485790720', '1590648570632081408', '2022-11-21 15:50:36', null, null, '1594599137171607552', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596347826579836928', '1', '2022-11-26 11:39:15', null, null, '1596347825413820416', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596348025247240192', '1', '2022-11-26 11:40:03', null, null, '1596348023653404672', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596395879194038272', '1', '2022-11-26 14:50:12', null, null, '1596395878128685056', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596407389324709888', '1', '2022-11-26 15:35:56', null, null, '1596407388267745280', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596411236919152640', '1', '2022-11-26 15:51:13', null, null, '1596411235950268416', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596411236923346944', '1', '2022-11-26 15:51:13', null, null, '1596411235950268416', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596411240287178752', '1', '2022-11-26 15:51:14', null, null, '1596411239372820480', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596411240287178753', '1', '2022-11-26 15:51:14', null, null, '1596411239372820480', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596413335232974848', '1', '2022-11-26 15:59:34', null, null, '1596413332410208256', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596413335232974849', '1', '2022-11-26 15:59:34', null, null, '1596413332410208256', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596499092824002560', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596499092824002561', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596499092824002562', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1583400561250799616');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596499092824002563', '1567046004463767552', '2022-11-26 21:40:20', null, null, '1596499092681396224', '1585921881540792320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596671955916951552', '1', '2022-11-27 09:07:14', null, null, '1596671954943873024', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596671955916951553', '1', '2022-11-27 09:07:14', null, null, '1596671954943873024', '1592055082256568320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596671955916951554', '1', '2022-11-27 09:07:14', null, null, '1596671954943873024', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596673055147560960', '1', '2022-11-27 09:11:36', null, null, '1596673054090596352', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596673055147560961', '1', '2022-11-27 09:11:36', null, null, '1596673054090596352', '1592055082256568320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596673055147560962', '1', '2022-11-27 09:11:36', null, null, '1596673054090596352', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596702934094188544', '1', '2022-11-27 11:10:19', null, null, '1596702933012058112', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596746361741643776', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596746360764370944', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596746361741643777', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596746360764370944', '1592055082256568320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596746361741643778', '1583278909414313984', '2022-11-27 14:02:53', null, null, '1596746360764370944', '1592077733855367168');
INSERT INTO `train_class_appraise_teacher` VALUES ('1596790162497605632', '1', '2022-11-27 16:56:56', null, null, '1596790161553887232', '1596789614633422848');
INSERT INTO `train_class_appraise_teacher` VALUES ('1598522819266875392', '1', '2022-12-02 11:41:54', null, null, '1598522815592665088', '1582666858753036288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1598522819266875393', '1', '2022-12-02 11:41:54', null, null, '1598522815592665088', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1598522819266875394', '1', '2022-12-02 11:41:54', null, null, '1598522815592665088', '1583287459507212288');
INSERT INTO `train_class_appraise_teacher` VALUES ('1598522819266875395', '1', '2022-12-02 11:41:54', null, null, '1598522815592665088', '1592037025505218560');
INSERT INTO `train_class_appraise_teacher` VALUES ('1598954088471597056', '1590543166828843008', '2022-12-03 16:15:36', null, null, '1598954088291241984', '1585921881540792320');
INSERT INTO `train_class_appraise_teacher` VALUES ('1643892733833777152', '1590543166828843008', '2023-04-06 16:25:44', null, null, '1643892230391468032', '1583286950952046592');
INSERT INTO `train_class_appraise_teacher` VALUES ('1691379258624184320', '1327473526785052672', '2023-08-15 17:20:14', null, null, '1691379255805612032', '1583368171707043840');
INSERT INTO `train_class_appraise_teacher` VALUES ('1691387215646691328', '1', '2023-08-15 17:51:51', null, null, '1691387212870062080', '1583368171707043840');

-- ----------------------------
-- Table structure for train_class_car_supplier
-- ----------------------------
DROP TABLE IF EXISTS `train_class_car_supplier`;
CREATE TABLE `train_class_car_supplier` (
  `id` bigint(19) NOT NULL COMMENT '主键id',
  `CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班id',
  `CAR_SUPPLIER_ID` bigint(19) DEFAULT NULL COMMENT '车辆供应商id',
  `USE_NUM` int(10) DEFAULT NULL COMMENT '用车人数',
  `CAR_TYPE` varchar(30) DEFAULT NULL COMMENT '车辆类型',
  `CAR_FEE` bigint(19) DEFAULT NULL COMMENT '费用（单位：分）',
  `CAR_TOTAL_NUM` int(10) DEFAULT NULL COMMENT '冗余_用车人数（累计）',
  `CAR_TOTAL_FEE` bigint(19) DEFAULT NULL COMMENT '冗余_费用合计（用车人数*费用）',
  `CREATE_USER_ID` bigint(19) DEFAULT NULL COMMENT '创建用户id',
  `CREATE_USER_NAME` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `class_car_sup_classId_index` (`CLASS_ID`) USING BTREE,
  KEY `class_car_sup_carSuppId_index` (`CAR_SUPPLIER_ID`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班派车管理 ';

-- ----------------------------
-- Records of train_class_car_supplier
-- ----------------------------
INSERT INTO `train_class_car_supplier` VALUES ('128035739580573244', '127931103763926586', '1570608842985836544', '10', '商务车', '500', null, null, '1590543166828843008', '张磊', '2023-09-22 14:02:04');
INSERT INTO `train_class_car_supplier` VALUES ('1562625244341080064', null, '1562329739253911552', '10', '类型', '111', null, null, '1561992470802337792', '常远', '2022-08-25 10:17:45');
INSERT INTO `train_class_car_supplier` VALUES ('1564502800967274496', '1111', '1562329739253911552', '100', '车辆类型', '100', null, null, '1561992470802337792', '常远', '2022-08-30 14:38:29');
INSERT INTO `train_class_car_supplier` VALUES ('1564513541539631104', '1564459315396481024', '1562329739253911552', '100', '112', '11', null, null, '1561992470802337792', '常远', '2022-08-30 15:21:10');
INSERT INTO `train_class_car_supplier` VALUES ('1564514557500723200', '1564137571225833472', '1562329739253911552', '999', '9990', '999', null, null, '1561992470802337792', '常远', '2022-08-30 15:25:12');
INSERT INTO `train_class_car_supplier` VALUES ('1565164317316354048', '1564865174085701632', '1562329739253911552', '111', '2222', '111', null, null, '1561992470802337792', '常远', '2022-09-01 10:27:07');
INSERT INTO `train_class_car_supplier` VALUES ('1565171150714179584', '1564824127922114560', '1562329739253911552', '12', '23', '45', null, null, '1561992470802337792', '常远', '2022-09-01 10:54:16');
INSERT INTO `train_class_car_supplier` VALUES ('1569517699598520320', '1567813857320243200', '1562329739253911552', '10', '测试', '50', null, null, '1562314510612697088', '国产007', '2022-09-13 10:45:54');
INSERT INTO `train_class_car_supplier` VALUES ('1570667046549721088', '1570297537271828480', '1570608842985836544', '10', '121', '152', null, null, '1569970196410667008', '李露露', '2022-09-16 14:53:00');
INSERT INTO `train_class_car_supplier` VALUES ('1572422804152913920', '1572406044859174912', '1570608842985836544', '10', '45', '45', null, null, '1', '主宰', '2022-09-21 11:09:45');
INSERT INTO `train_class_car_supplier` VALUES ('1586924587692724224', '1585280589643255808', '1570608842985836544', '12', '商务', '100', null, null, '1569970196410667008', '李露露', '2022-10-31 11:34:40');
INSERT INTO `train_class_car_supplier` VALUES ('1586970538251784192', '1586969194119958528', '1562329739253911552', '200', '商用类型2222', '33', null, null, '1', '主宰', '2022-10-31 14:37:15');
INSERT INTO `train_class_car_supplier` VALUES ('1587028067493220352', '1586969194119958528', '1570608842985836544', '2', '2', '2', null, null, '1562314510612697088', '国产007', '2022-10-31 18:25:52');
INSERT INTO `train_class_car_supplier` VALUES ('1592026379665412096', '1591972857506828288', '1570608842985836544', '12', '正常', '596', null, null, '1569970196410667008', '李露露', '2022-11-14 13:27:22');
INSERT INTO `train_class_car_supplier` VALUES ('1592068591925202944', '1592066677061849088', '1562329739253911552', '100', '2', '1000', null, null, '1590648570632081408', '张芳芳', '2022-11-14 16:15:06');
INSERT INTO `train_class_car_supplier` VALUES ('1594977162308489216', '1594571954189373440', '1570608842985836544', '12', '2121212', '322243', null, null, '1569970196410667008', '李露露', '2022-11-22 16:52:43');

-- ----------------------------
-- Table structure for train_class_chapter
-- ----------------------------
DROP TABLE IF EXISTS `train_class_chapter`;
CREATE TABLE `train_class_chapter` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '在线培训班id',
  `name` varchar(30) DEFAULT NULL COMMENT '章节名称',
  `describes` varchar(1024) DEFAULT NULL COMMENT '章节描述',
  `video_len` int(11) DEFAULT NULL COMMENT '学时（分钟）',
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  `course_id` bigint(20) DEFAULT NULL COMMENT '课程id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班章节';

-- ----------------------------
-- Records of train_class_chapter
-- ----------------------------
INSERT INTO `train_class_chapter` VALUES ('128045690670766687', '128045312767044786', '理财入门第一课', '理财入门第一课', '14', '1', '1567705722337234944');
INSERT INTO `train_class_chapter` VALUES ('171867845754280036', '171701996296970014', '123', '123', '3', '123', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('178499147201300068', '178496918262110096', '123', '123', '3', '11', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('179825250665960040', '179018949044720052', '8', '8', '3', '8', '1602896515964211200');
INSERT INTO `train_class_chapter` VALUES ('179825255734060096', '179018949044720052', '7', '7', '3', '7', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('179825260867430049', '179018949044720052', '1231', '123', '3', '1', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('179825260888600068', '179018949044720052', '4', '4', '3', '4', '1602896515964211200');
INSERT INTO `train_class_chapter` VALUES ('179825260898620034', '179018949044720052', '33', '33', '3', '33', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('179825260908250048', '179018949044720052', '123', '123', '3', '123', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('179825260919280010', '179018949044720052', '123123', '4124', '3', '999', '1602895937418694656');
INSERT INTO `train_class_chapter` VALUES ('1567352897241485312', '1567352082791534592', '1234', '1234', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567355348615041024', '1567355154225827840', '2134', '123', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567355789218287616', '1567355738811142144', '123', '123', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567386643474812928', '1567386575623557120', '1337', '1337', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567407367849644032', '1567388026961793024', '1234', '1234', '14', '123', null);
INSERT INTO `train_class_chapter` VALUES ('1567407367941918720', '1567388026961793024', '章节一', '章节描述', '0', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567407369250541568', '1567388026961793024', '1234', '1234', '14', '123', null);
INSERT INTO `train_class_chapter` VALUES ('1567407369334427648', '1567388026961793024', '章节一', '章节描述', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567413403818004480', '1567386575623557120', '1337', '1337', '0', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567413650606657536', '1567413598005891072', '1', '1', '0', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567414734184124416', '1567414334064300032', '2', '2', '14', '2', null);
INSERT INTO `train_class_chapter` VALUES ('1567414734276399104', '1567414334064300032', '1', '1', '0', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567414734838435840', '1567414334064300032', '2', '2', '14', '2', null);
INSERT INTO `train_class_chapter` VALUES ('1567414734930710528', '1567414334064300032', '1', '1', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567421959602573312', '1567417778149920768', '测试章节', '证件', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567421959690653696', '1567417778149920768', '1', '1', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1567421959690653698', '1567417778149920768', '2', '2', '14', '2', null);
INSERT INTO `train_class_chapter` VALUES ('1570329366200717312', '1568134402704281600', '1', '2', '14', '3', null);
INSERT INTO `train_class_chapter` VALUES ('1570330689998557184', '1569492860322058240', '1', '1', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1570332655092895744', '1570332144293777408', 'heyuanfan', '测试何云凡是否是狗', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1572762132024528896', '1568132181858062336', '3124', '1234', '14', '999', null);
INSERT INTO `train_class_chapter` VALUES ('1574689764559425536', '1574686196263686144', '第一章节：迎新', '迎新内容', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1583306499004960768', '1580111284337250304', '水水水水', '对方对方的', '14', '111', null);
INSERT INTO `train_class_chapter` VALUES ('1583722887074942976', '1583722821215981568', '1', '1', '88', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1583724199883706368', '1583724127561322496', '1', '1', '88', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1584723651301871616', '1584723597547671552', '我问问', '额外', '88', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1585262119564218368', '1584471156117868544', '第三十三张', '细节', '102', '123', null);
INSERT INTO `train_class_chapter` VALUES ('1585281710269009920', '1585281650391126016', '12', '12', '88', '21', null);
INSERT INTO `train_class_chapter` VALUES ('1585541417000898560', '1585541131360407552', '测试1', '章节描述', '88', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1585929743897858048', '1585929627308789760', 'dd', 'dd', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1586970711929524224', '1585580647496421376', '东方大厦', '得到', '88', '12', null);
INSERT INTO `train_class_chapter` VALUES ('1592066121387872256', '1592065253888364544', '第一讲1114-00001', '3329', '102', '2', null);
INSERT INTO `train_class_chapter` VALUES ('1592070578683121664', '1592070513180676096', '1', '1', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1592332345116069888', '1592332283896008704', 'ss', 'sdf', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1592724980074942464', '1567712977149366272', '1', '1', '14', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1592725575187959808', '1592725506246184960', 'dsfa ', 'sadf a', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1593441718202667008', '1592370137816764416', '1111', '1111', '4', '111', null);
INSERT INTO `train_class_chapter` VALUES ('1593470580487753728', '1593442341304274944', '阿达', '阿萨德', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1594228901230546944', '1592058496772345856', '第一节1114-001', '简介', '92', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1594228916011274240', '1592058496772345856', '第一节1114-001', '简介', '92', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1595245197267177472', '1595245007231651840', '章节2', '这是章节2的描述', '92', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1595313269562806272', '1592069625292656640', '111', '111', '4', '11', null);
INSERT INTO `train_class_chapter` VALUES ('1595313333215563776', '1595313273341874176', '12321', '3213', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1595314360731963392', '1584723351035842560', '范德萨', '对方的', '88', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1596324591251361792', '1596324541188149248', '1', '1', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1596780093261352960', '1596780039909806080', '12', '12', '4', '12', null);
INSERT INTO `train_class_chapter` VALUES ('1610565797246275584', '1597769173512097792', '12', '12', '109', '12', null);
INSERT INTO `train_class_chapter` VALUES ('1614997694617620480', '1614443789450088448', '在线课程金融投资第一课', '1234', '3', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1615016618998501376', '1597126122154364928', '1', '1', '4', '1', null);
INSERT INTO `train_class_chapter` VALUES ('1615016619090776064', '1597126122154364928', '在线课程金融投资第一课', '123', '102', '123', null);
INSERT INTO `train_class_chapter` VALUES ('1619569643696033792', '1615155692182835200', '在线课程金融投资第一课', '222', '102', '999', '1583410043481624576');
INSERT INTO `train_class_chapter` VALUES ('1619615052661395456', '1619578700037230592', '在线课程金融投资第一课8888', '222', '102', '222', '1583410043481624576');
INSERT INTO `train_class_chapter` VALUES ('1640985930758230016', '1640984872040402944', '量化投资基础', '使用随机计算作为工具，并学习如何使用简单的随机微分方程及其相关的普朗克和科尔莫戈罗夫方程。', '14', '1', '1567705722337234944');
INSERT INTO `train_class_chapter` VALUES ('1640985930804367361', '1640984872040402944', '量化分析风险和收益', '学习马科维茨的经典投资组合理论，资本资产定价模型以及这些理论的最新发展。', '14', '2', '1575665665078071296');
INSERT INTO `train_class_chapter` VALUES ('1640985930863087617', '1640984872040402944', '数据分析和机器学习', '学习基本的数学工具，深入研究监督学习的主题，包括回归方法，k近邻，支持向量机，集成方法等等。', '3', '3', '1602896300674781184');
INSERT INTO `train_class_chapter` VALUES ('1673207106431488000', '1673207026655825920', '4214', '12', '3', '1', '1602897387829989376');
INSERT INTO `train_class_chapter` VALUES ('1673211412861816832', '1673211336424820736', '1', '1', '3', '1', '1602897387829989376');

-- ----------------------------
-- Table structure for train_class_chapter_video_courseware
-- ----------------------------
DROP TABLE IF EXISTS `train_class_chapter_video_courseware`;
CREATE TABLE `train_class_chapter_video_courseware` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `chapter_id` bigint(20) DEFAULT NULL COMMENT '章节id',
  `video_courseware_id` bigint(20) DEFAULT NULL COMMENT '视频课件id',
  `video_courseware_name` varchar(255) DEFAULT NULL COMMENT '自定义在线课程视频课件名称',
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  `course_id` bigint(20) DEFAULT NULL COMMENT '课程id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班章节视频课件';

-- ----------------------------
-- Records of train_class_chapter_video_courseware
-- ----------------------------
INSERT INTO `train_class_chapter_video_courseware` VALUES ('128045690755455611', '128045690670766687', '1567345269778026496', '测试课件', '1', '1567705722337234944');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('171867845757620082', '171867845754280036', '1619934230899462144', 'APP视频测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('171867852691790021', '171867845754280036', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('178499147208820086', '178499147201300068', '1619934230899462144', 'APP视频测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('178499157239490040', '178499147201300068', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825255732250035', '179825250665960040', '1600764292993519616', '版本', '1', '1602896515964211200');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825260865380098', '179825255734060096', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825260887900042', '179825260867430049', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825260898060082', '179825260888600068', '1600764292993519616', '版本', '1', '1602896515964211200');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825260907680084', '179825260898620034', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825260916850092', '179825260908250048', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('179825265776170082', '179825260919280010', '1600764292993519616', '版本', '1', '1602895937418694656');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567352897241485313', '1567352897241485312', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567355348615041025', '1567355348615041024', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567355789218287617', '1567355789218287616', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567386643474812929', '1567386643474812928', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567407369250541569', '1567407369250541568', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567407369334427649', '1567407369334427648', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567414734838435841', '1567414734838435840', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567414734930710529', '1567414734930710528', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567421959602573313', '1567421959602573312', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567421959690653697', '1567421959690653696', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1567421959690653699', '1567421959690653698', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1570329366200717313', '1570329366200717312', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1570330689998557185', '1570330689998557184', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1570332655092895745', '1570332655092895744', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1572762132024528897', '1572762132024528896', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1574689764559425537', '1574689764559425536', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1583306499009155072', '1583306499004960768', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1583722887074942977', '1583722887074942976', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1583724199887900672', '1583724199883706368', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1584723651301871617', '1584723651301871616', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1585262119564218369', '1585262119564218368', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1585262119564218370', '1585262119564218368', '1583409688609951744', '后台在线课程-视频课件数据', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1585281710269009921', '1585281710269009920', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1585541417000898561', '1585541417000898560', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1585929743897858049', '1585929743897858048', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1586970711929524225', '1586970711929524224', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1592066121387872257', '1592066121387872256', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1592066121387872258', '1592066121387872256', '1567345269778026496', '测试课件', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1592070578683121665', '1592070578683121664', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1592332345116069889', '1592332345116069888', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1592724980074942465', '1592724980074942464', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1592725575187959809', '1592725575187959808', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1593441718202667009', '1593441718202667008', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1593470580487753729', '1593470580487753728', '1592053988658909184', '测试12', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1594228901230546945', '1594228901230546944', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1594228901230546946', '1594228901230546944', '1583409688609951744', '后台在线课程-视频课件数据', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1594228916011274241', '1594228916011274240', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1594228916011274242', '1594228916011274240', '1583409688609951744', '后台在线课程-视频课件数据', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1595245197267177473', '1595245197267177472', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1595245197267177474', '1595245197267177472', '1583409688609951744', '后台在线课程-视频课件数据', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1595313269562806273', '1595313269562806272', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1595313333215563777', '1595313333215563776', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1595314360731963393', '1595314360731963392', '1583409688609951744', '后台在线课程-视频课件数据', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1596324591251361793', '1596324591251361792', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1596780093261352961', '1596780093261352960', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1610565797246275585', '1610565797246275584', '1600764292993519616', '版本', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1610565797246275586', '1610565797246275584', '1592053988658909184', '测试', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1610565797246275587', '1610565797246275584', '1583409688609951744', '后台在线课程-视频课件数据', '3', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1610565797246275588', '1610565797246275584', '1567345269778026496', '测试课件', '4', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1614997694617620481', '1614997694617620480', '1600764292993519616', '版本', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1615016618998501377', '1615016618998501376', '1592053988658909184', '测试', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1615016619094970368', '1615016619090776064', '1600764292993519616', '版本', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1615193135586086912', null, null, null, null, null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619569643700228096', '1619569643696033792', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619569643700228097', '1619569643696033792', '1600764292993519616', '版本', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619569643700228098', '1619569643696033792', '1583409688609951744', '后台在线课程-视频课件数据', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619569643930914816', '1619569643696033792', '1567345269778026496', '测试课件', '1', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619569643930914817', '1619569643696033792', '1583409688609951744', '后台在线课程-视频课件数据', '2', null);
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619581412191637504', '1583410043481624576', '1567345269778026496', '测试课件', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619581412191637505', '1583410043481624576', '1583409688609951744', '后台在线课程-视频课件数据', '2', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619582275865939968', '1583410043481624576', '1567345269778026496', '测试课件', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619582275865939969', '1583410043481624576', '1583409688609951744', '后台在线课程-视频课件数据', '2', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619584006221860864', '1583410043481624576', '1567345269778026496', '测试课件', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619584073230061568', '1583410043481624576', '1583409688609951744', '后台在线课程-视频课件数据', '2', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619586677624410112', '1583410043481624576', '1567345269778026496', '测试课件', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619586698407186432', '1583410043481624576', '1583409688609951744', '后台在线课程-视频课件数据', '2', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619615052661395457', '1619615052661395456', '1600764292993519616', '版本', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619615052938219520', '1619615052661395456', '1567345269778026496', '测试课件', '1', '1583410043481624576');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1619615052938219521', '1619615052661395456', '1583409688609951744', '后台在线课程-视频课件数据', '2', '1583410043481624576');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1640985930758230017', '1640985930758230016', '1619934230899462144', 'APP视频测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1640985930804367360', '1640985930758230016', '1567345269778026496', '测试课件', '1', '1567705722337234944');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1640985930804367362', '1640985930804367361', '1592053988658909184', '测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1640985930863087616', '1640985930804367361', '1567345269778026496', '测试课件', '1', '1575665665078071296');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1640985930863087618', '1640985930863087617', '1619934230899462144', 'APP视频测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1640985930892447744', '1640985930863087617', '1600764292993519616', '版本', '1', '1602896300674781184');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1673207106431488001', '1673207106431488000', '1619934230899462144', 'APP视频测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1673207106737672192', '1673207106431488000', '1600764292993519616', '版本', '1', '1602897387829989376');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1673211412861816833', '1673211412861816832', '1619934230899462144', 'APP视频测试', '1', '0');
INSERT INTO `train_class_chapter_video_courseware` VALUES ('1673211413239304192', '1673211412861816832', '1600764292993519616', '版本', '1', '1602897387829989376');

-- ----------------------------
-- Table structure for train_class_chat
-- ----------------------------
DROP TABLE IF EXISTS `train_class_chat`;
CREATE TABLE `train_class_chat` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `pid` bigint(20) DEFAULT NULL COMMENT '父节点id',
  `lv` smallint(1) DEFAULT NULL COMMENT '回复等级',
  `content` varchar(200) DEFAULT NULL COMMENT '评价内容',
  `reply_id` bigint(20) DEFAULT NULL COMMENT '回复评价id',
  `reply_user_id` bigint(20) DEFAULT NULL COMMENT '回复用户id',
  `reply_user_name` varchar(20) DEFAULT NULL COMMENT '回复用户名',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、班主任。2、学员。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_trainer_id` bigint(20) DEFAULT NULL COMMENT '创建讲师id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='班级交流';

-- ----------------------------
-- Records of train_class_chat
-- ----------------------------
INSERT INTO `train_class_chat` VALUES ('1573157770226700288', '1571736395163242496', '0', '1', '。', null, null, null, '2', '1567451914025701376', null, '何神', '2022-09-23 11:50:15');
INSERT INTO `train_class_chat` VALUES ('1573157959834406912', '1571736395163242496', '0', '1', '陈华是狗', null, null, null, '2', '1567451914025701376', null, '何神', '2022-09-23 11:51:00');
INSERT INTO `train_class_chat` VALUES ('1575367240541409280', '1575364705646678016', '0', '1', '测试聊天', null, null, null, '2', '1574653861665312768', null, '李露', '2022-09-29 14:09:54');
INSERT INTO `train_class_chat` VALUES ('1575389092995272704', '1575364705646678016', '0', '1', '管理员回复', null, null, null, '2', '1575324436016533504', null, '省管理员', '2022-09-29 15:36:44');
INSERT INTO `train_class_chat` VALUES ('1575389135772979200', '1575364705646678016', '0', '1', '回复一', null, null, null, '2', '1575324436016533504', null, '省管理员', '2022-09-29 15:36:54');
INSERT INTO `train_class_chat` VALUES ('1579379363592409088', '1579001547617079296', '0', '1', '测试', null, null, null, '2', '1570254194114433024', null, '李主任002', '2022-10-10 15:52:38');
INSERT INTO `train_class_chat` VALUES ('1579379409834610688', '1579001547617079296', '0', '1', '发送', null, null, null, '2', '1570254194114433024', null, '李主任002', '2022-10-10 15:52:49');
INSERT INTO `train_class_chat` VALUES ('1579379429099048960', '1579001547617079296', '0', '1', '信息', null, null, null, '2', '1570254194114433024', null, '李主任002', '2022-10-10 15:52:54');
INSERT INTO `train_class_chat` VALUES ('1579379442642456576', '1579001547617079296', '0', '1', 'bbn', null, null, null, '2', '1570254194114433024', null, '李主任002', '2022-10-10 15:52:57');
INSERT INTO `train_class_chat` VALUES ('1592000714899591168', '1591992260067725312', '0', '1', '你好', null, null, null, '2', '1591967614425501696', null, '高志远', '2022-11-14 11:45:23');
INSERT INTO `train_class_chat` VALUES ('1592000775586975744', '1591992260067725312', '0', '1', '噢哈哈哈', null, null, null, '2', '1589887987989221376', null, '王丹丹', '2022-11-14 11:45:38');
INSERT INTO `train_class_chat` VALUES ('1592000933414440960', '1591992260067725312', '1592000714899591168', '2', '可以了', '1592000714899591168', '1591967614425501696', '高志远', '2', '1589887987989221376', null, '王丹丹', '2022-11-14 11:46:15');
INSERT INTO `train_class_chat` VALUES ('1592001241259577344', '1591992260067725312', '1592000714899591168', '2', '噢哈哈哈', '1592000714899591168', '1591967614425501696', '高志远', '2', '1589887987989221376', null, '王丹丹', '2022-11-14 11:47:29');
INSERT INTO `train_class_chat` VALUES ('1592001282468614144', '1591992260067725312', '1592000714899591168', '2', '告知我', '1592000714899591168', '1591967614425501696', '高志远', '2', '1589887987989221376', null, '王丹丹', '2022-11-14 11:47:38');
INSERT INTO `train_class_chat` VALUES ('1592075282326622208', '1591992260067725312', '0', '1', '你好', null, null, null, '2', '1591989767631933440', null, '高郑州', '2022-11-14 16:41:41');
INSERT INTO `train_class_chat` VALUES ('1611202184991608832', '1611169111981821952', '0', '1', 'https://qr.alipay.com/bax02066uf78xsjxzrq255a5', null, null, null, '2', '1579374510346473472', '1595346368883462144', '李昊杰', '2023-01-06 11:25:10');
INSERT INTO `train_class_chat` VALUES ('1611202268563116032', '1611169111981821952', '1611202184991608832', '2', 'https://qr.alipay.com/bax02066uf78xsjxzrq255a5', '1611202184991608832', '1579374510346473472', '李昊杰', '2', '1579374510346473472', '1595346368883462144', '李昊杰', '2023-01-06 11:25:30');
INSERT INTO `train_class_chat` VALUES ('1611202346140962816', '1611169111981821952', '1611202184991608832', '3', 'https://qr.alipay.com/bax02066uf78xsjxzrq255a5', '1611202268563116032', '1579374510346473472', '李昊杰', '2', '1579374510346473472', '1595346368883462144', '李昊杰', '2023-01-06 11:25:49');
INSERT INTO `train_class_chat` VALUES ('1611202377510162432', '1611169111981821952', '1611202184991608832', null, 'https://qr.alipay.com/bax02066uf78xsjxzrq255a5', '1611202346140962816', '1579374510346473472', '李昊杰', '2', '1579374510346473472', '1595346368883462144', '李昊杰', '2023-01-06 11:25:56');
INSERT INTO `train_class_chat` VALUES ('1611202401023430656', '1611169111981821952', '0', '1', 'https://qr.alipay.com/bax02066uf78xsjxzrq255a5', null, null, null, '2', '1579374510346473472', '1595346368883462144', '李昊杰', '2023-01-06 11:26:02');

-- ----------------------------
-- Table structure for train_class_chat_view
-- ----------------------------
DROP TABLE IF EXISTS `train_class_chat_view`;
CREATE TABLE `train_class_chat_view` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `view_time` datetime DEFAULT NULL COMMENT '浏览时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='班级交流浏览记录';

-- ----------------------------
-- Records of train_class_chat_view
-- ----------------------------
INSERT INTO `train_class_chat_view` VALUES ('1570384249725521920', '1570349627503415296', '1569928315261816832', '2022-09-16 14:14:16');
INSERT INTO `train_class_chat_view` VALUES ('1572054579925880832', '1571736395163242496', '1569928315261816832', '2022-09-20 11:56:40');
INSERT INTO `train_class_chat_view` VALUES ('1572892961837027328', '1572889486155714560', '1565939234546782208', '2022-09-22 18:18:00');
INSERT INTO `train_class_chat_view` VALUES ('1573157757241135104', '1571736395163242496', '1567451914025701376', '2022-09-23 11:50:51');
INSERT INTO `train_class_chat_view` VALUES ('1574594328884547584', '1574243202679050240', '1567451914025701376', '2022-09-27 10:58:37');
INSERT INTO `train_class_chat_view` VALUES ('1575328515342077952', '1575325299946688512', '1567097186544652288', '2022-09-29 13:45:35');
INSERT INTO `train_class_chat_view` VALUES ('1575366589950332928', '1575364705646678016', '1574653861665312768', '2022-09-29 14:20:01');
INSERT INTO `train_class_chat_view` VALUES ('1575370687017783296', '1575327504024080384', '1567097186544652288', '2022-09-29 15:36:43');
INSERT INTO `train_class_chat_view` VALUES ('1575389043523457024', '1575364705646678016', '1575324436016533504', '2022-09-29 17:30:33');
INSERT INTO `train_class_chat_view` VALUES ('1579379241504608256', '1579001547617079296', '1570254194114433024', '2022-10-12 09:20:11');
INSERT INTO `train_class_chat_view` VALUES ('1580114414433079296', '1580081304689577984', '1574656123775094784', '2022-10-12 16:33:28');
INSERT INTO `train_class_chat_view` VALUES ('1583357448708820992', '1583346873849221120', '1555010577007513600', '2022-10-21 15:43:26');
INSERT INTO `train_class_chat_view` VALUES ('1587319132074938368', '1585850472554696704', '1555010577007513600', '2022-11-01 13:42:27');
INSERT INTO `train_class_chat_view` VALUES ('1591974269632516096', '1591966612427247616', '1591967614425501696', '2022-11-14 10:00:18');
INSERT INTO `train_class_chat_view` VALUES ('1591999125434535936', '1591992260067725312', '1591967614425501696', '2022-11-14 11:48:01');
INSERT INTO `train_class_chat_view` VALUES ('1592000746755330048', '1591992260067725312', '1589887987989221376', '2022-11-14 11:47:30');
INSERT INTO `train_class_chat_view` VALUES ('1592002072964894720', '1591992260067725312', '1591989767631933440', '2022-11-14 16:41:33');
INSERT INTO `train_class_chat_view` VALUES ('1592029185088557056', '1592027379281301504', '1591989767631933440', '2022-11-14 13:38:31');
INSERT INTO `train_class_chat_view` VALUES ('1592061534123724800', '1592057692325810176', '1591967614425501696', '2022-11-14 15:47:03');
INSERT INTO `train_class_chat_view` VALUES ('1592393938755522560', '1585278127179960320', '1574653861665312768', '2022-11-15 13:47:54');
INSERT INTO `train_class_chat_view` VALUES ('1593449104824995840', '1593074623937908736', '1574653861665312768', '2022-11-18 11:40:46');
INSERT INTO `train_class_chat_view` VALUES ('1596378970641797120', '1596346735863664640', '1565939234546782208', '2022-11-26 13:43:01');
INSERT INTO `train_class_chat_view` VALUES ('1598553832395247616', '1598521650104635392', '1574653861665312768', '2022-12-02 13:47:36');
INSERT INTO `train_class_chat_view` VALUES ('1599966615825420288', '1598951182674563072', '1565939234546782208', '2022-12-06 11:19:02');
INSERT INTO `train_class_chat_view` VALUES ('1610545512052822016', '1610464458696691712', '1574653861665312768', '2023-01-04 15:55:47');
INSERT INTO `train_class_chat_view` VALUES ('1611202174170304512', '1611169111981821952', '1579374510346473472', '2023-01-06 11:26:26');
INSERT INTO `train_class_chat_view` VALUES ('1611206966166818816', '1610829322136981504', '1574653861665312768', '2023-01-06 11:44:10');
INSERT INTO `train_class_chat_view` VALUES ('1619891408368439296', '1619874679139471360', '1555010577007513600', '2023-01-30 13:38:09');
INSERT INTO `train_class_chat_view` VALUES ('1643890697125892096', '1640983724587880448', '1555010577007513600', '2023-04-06 16:17:39');

-- ----------------------------
-- Table structure for train_class_dine
-- ----------------------------
DROP TABLE IF EXISTS `train_class_dine`;
CREATE TABLE `train_class_dine` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `class_name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `type` smallint(6) DEFAULT NULL COMMENT '就餐类型：1、早餐。2、午餐。3、晚餐。',
  `dine_start_time` datetime DEFAULT NULL COMMENT '就餐开始时间',
  `dine_end_time` datetime DEFAULT NULL COMMENT '就餐结束时间',
  `meal_fee` bigint(20) DEFAULT NULL COMMENT '餐费标准（元）',
  `total_num` int(11) DEFAULT NULL COMMENT '就餐人数（累计）',
  `total_fee` bigint(20) DEFAULT NULL COMMENT '餐费合计（就餐人数*餐费）',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `class_id` (`class_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班学员就餐信息';

-- ----------------------------
-- Records of train_class_dine
-- ----------------------------
INSERT INTO `train_class_dine` VALUES ('127051752590573414', '127050043999518848', '理财培训计划第一季度', '1', '2023-09-21 06:00:00', '2023-09-21 09:00:00', '1000', '0', '0', '2023-09-22 17:06:49');
INSERT INTO `train_class_dine` VALUES ('127051752592702896', '127050043999518848', '理财培训计划第一季度', '2', '2023-09-21 11:10:00', '2023-09-21 14:00:00', '3000', '0', '0', '2023-09-22 17:06:49');
INSERT INTO `train_class_dine` VALUES ('127051752593302646', '127050043999518848', '理财培训计划第一季度', '3', '2023-09-21 14:00:00', '2023-09-21 20:30:00', '2000', '0', '0', '2023-09-22 17:06:49');
INSERT INTO `train_class_dine` VALUES ('127051752593788204', '127050043999518848', '理财培训计划第一季度', '1', '2023-09-22 06:00:00', '2023-09-22 09:00:00', '1000', '0', '0', '2023-09-22 17:06:49');
INSERT INTO `train_class_dine` VALUES ('127051752594225023', '127050043999518848', '理财培训计划第一季度', '2', '2023-09-22 11:10:00', '2023-09-22 14:00:00', '3000', '0', '0', '2023-09-22 17:06:50');
INSERT INTO `train_class_dine` VALUES ('127051752594819404', '127050043999518848', '理财培训计划第一季度', '3', '2023-09-22 14:00:00', '2023-09-22 20:30:00', '2000', '0', '0', '2023-09-22 17:06:50');
INSERT INTO `train_class_dine` VALUES ('128033972572184944', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-22 06:00:00', '2023-09-22 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972580539212', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-22 11:10:00', '2023-09-22 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972581394634', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-22 14:00:00', '2023-09-22 20:30:00', '2000', '1', '2000', '2023-09-22 14:13:47');
INSERT INTO `train_class_dine` VALUES ('128033972581864221', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-23 06:00:00', '2023-09-23 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972582570873', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-23 11:10:00', '2023-09-23 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972582989674', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-23 14:00:00', '2023-09-23 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972583384713', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-24 06:00:00', '2023-09-24 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972583792779', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-24 11:10:00', '2023-09-24 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972584647717', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-24 14:00:00', '2023-09-24 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972585092074', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-25 06:00:00', '2023-09-25 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972585484048', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-25 11:10:00', '2023-09-25 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972585888854', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-25 14:00:00', '2023-09-25 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972586288294', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-26 06:00:00', '2023-09-26 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972586685527', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-26 11:10:00', '2023-09-26 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972587157463', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-26 14:00:00', '2023-09-26 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972587784141', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-27 06:00:00', '2023-09-27 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972588191062', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-27 11:10:00', '2023-09-27 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972588590961', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-27 14:00:00', '2023-09-27 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972589152644', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-28 06:00:00', '2023-09-28 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972589669779', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-28 11:10:00', '2023-09-28 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972590217522', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-28 14:00:00', '2023-09-28 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972590618047', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-29 06:00:00', '2023-09-29 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972591011329', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-29 11:10:00', '2023-09-29 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972591596844', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-29 14:00:00', '2023-09-29 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972592083228', '127931103763926586', '理财培训计划第一季度', '1', '2023-09-30 06:00:00', '2023-09-30 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972592584829', '127931103763926586', '理财培训计划第一季度', '2', '2023-09-30 11:10:00', '2023-09-30 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972592981011', '127931103763926586', '理财培训计划第一季度', '3', '2023-09-30 14:00:00', '2023-09-30 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972593377241', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-01 06:00:00', '2023-10-01 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972593762783', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-01 11:10:00', '2023-10-01 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972594286605', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-01 14:00:00', '2023-10-01 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972594930287', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-02 06:00:00', '2023-10-02 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972595345395', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-02 11:10:00', '2023-10-02 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972595727746', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-02 14:00:00', '2023-10-02 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972596106708', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-03 06:00:00', '2023-10-03 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972596569758', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-03 11:10:00', '2023-10-03 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972597079152', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-03 14:00:00', '2023-10-03 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972597446203', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-04 06:00:00', '2023-10-04 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972597814959', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-04 11:10:00', '2023-10-04 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972598173128', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-04 14:00:00', '2023-10-04 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972598566154', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-05 06:00:00', '2023-10-05 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972599469767', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-05 11:10:00', '2023-10-05 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972599900277', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-05 14:00:00', '2023-10-05 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972600420003', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-06 06:00:00', '2023-10-06 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972600797069', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-06 11:10:00', '2023-10-06 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972601162448', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-06 14:00:00', '2023-10-06 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972601725135', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-07 06:00:00', '2023-10-07 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972602222918', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-07 11:10:00', '2023-10-07 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972602753069', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-07 14:00:00', '2023-10-07 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972603119472', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-08 06:00:00', '2023-10-08 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972603473495', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-08 11:10:00', '2023-10-08 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972603856545', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-08 14:00:00', '2023-10-08 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972604398507', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-09 06:00:00', '2023-10-09 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972604805093', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-09 11:10:00', '2023-10-09 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972605170064', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-09 14:00:00', '2023-10-09 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972605525666', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-10 06:00:00', '2023-10-10 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972605884395', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-10 11:10:00', '2023-10-10 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972606375127', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-10 14:00:00', '2023-10-10 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972606884992', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-11 06:00:00', '2023-10-11 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972607239557', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-11 11:10:00', '2023-10-11 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972607595416', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-11 14:00:00', '2023-10-11 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972607936364', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-12 06:00:00', '2023-10-12 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972608286902', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-12 11:10:00', '2023-10-12 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972608632186', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-12 14:00:00', '2023-10-12 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972608975572', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-13 06:00:00', '2023-10-13 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972609474877', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-13 11:10:00', '2023-10-13 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972609833014', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-13 14:00:00', '2023-10-13 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972610289368', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-14 06:00:00', '2023-10-14 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972610717071', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-14 11:10:00', '2023-10-14 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972611059995', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-14 14:00:00', '2023-10-14 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972611515031', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-15 06:00:00', '2023-10-15 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972612031517', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-15 11:10:00', '2023-10-15 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972612480501', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-15 14:00:00', '2023-10-15 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972612831305', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-16 06:00:00', '2023-10-16 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972613169267', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-16 11:10:00', '2023-10-16 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972613505592', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-16 14:00:00', '2023-10-16 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972613903614', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-17 06:00:00', '2023-10-17 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972614254839', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-17 11:10:00', '2023-10-17 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972614594869', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-17 14:00:00', '2023-10-17 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972615017282', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-18 06:00:00', '2023-10-18 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972615455425', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-18 11:10:00', '2023-10-18 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972615806034', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-18 14:00:00', '2023-10-18 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972616266693', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-19 06:00:00', '2023-10-19 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972616741428', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-19 11:10:00', '2023-10-19 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972617093687', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-19 14:00:00', '2023-10-19 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972617431757', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-20 06:00:00', '2023-10-20 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972617753974', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-20 11:10:00', '2023-10-20 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972618066016', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-20 14:00:00', '2023-10-20 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972618370195', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-21 06:00:00', '2023-10-21 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972618701585', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-21 11:10:00', '2023-10-21 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972619019104', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-21 14:00:00', '2023-10-21 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972619332553', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-22 06:00:00', '2023-10-22 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972619642015', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-22 11:10:00', '2023-10-22 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972620115334', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-22 14:00:00', '2023-10-22 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972620453072', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-23 06:00:00', '2023-10-23 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972620764881', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-23 11:10:00', '2023-10-23 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972621067591', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-23 14:00:00', '2023-10-23 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972621434124', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-24 06:00:00', '2023-10-24 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972621732806', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-24 11:10:00', '2023-10-24 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972622218599', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-24 14:00:00', '2023-10-24 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972622537437', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-25 06:00:00', '2023-10-25 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972622842314', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-25 11:10:00', '2023-10-25 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972623149986', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-25 14:00:00', '2023-10-25 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972623465417', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-26 06:00:00', '2023-10-26 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972623814983', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-26 11:10:00', '2023-10-26 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972624238722', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-26 14:00:00', '2023-10-26 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972624550625', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-27 06:00:00', '2023-10-27 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972624880768', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-27 11:10:00', '2023-10-27 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972625440544', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-27 14:00:00', '2023-10-27 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972626042454', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-28 06:00:00', '2023-10-28 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972626412119', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-28 11:10:00', '2023-10-28 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972627324109', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-28 14:00:00', '2023-10-28 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972627697267', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-29 06:00:00', '2023-10-29 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972628044393', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-29 11:10:00', '2023-10-29 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972628367568', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-29 14:00:00', '2023-10-29 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972628664579', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-30 06:00:00', '2023-10-30 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972628964201', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-30 11:10:00', '2023-10-30 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972629277282', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-30 14:00:00', '2023-10-30 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972629587686', '127931103763926586', '理财培训计划第一季度', '1', '2023-10-31 06:00:00', '2023-10-31 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972629901704', '127931103763926586', '理财培训计划第一季度', '2', '2023-10-31 11:10:00', '2023-10-31 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972630339252', '127931103763926586', '理财培训计划第一季度', '3', '2023-10-31 14:00:00', '2023-10-31 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972630641004', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-01 06:00:00', '2023-11-01 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972630952272', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-01 11:10:00', '2023-11-01 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972631334501', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-01 14:00:00', '2023-11-01 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972631640103', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-02 06:00:00', '2023-11-02 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972632010948', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-02 11:10:00', '2023-11-02 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972632406454', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-02 14:00:00', '2023-11-02 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972632716011', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-03 06:00:00', '2023-11-03 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972633052916', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-03 11:10:00', '2023-11-03 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972633701986', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-03 14:00:00', '2023-11-03 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972634128646', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-04 06:00:00', '2023-11-04 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972634604588', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-04 11:10:00', '2023-11-04 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972634976483', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-04 14:00:00', '2023-11-04 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972635280535', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-05 06:00:00', '2023-11-05 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972635578849', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-05 11:10:00', '2023-11-05 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972635877731', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-05 14:00:00', '2023-11-05 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972636495612', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-06 06:00:00', '2023-11-06 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972636812742', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-06 11:10:00', '2023-11-06 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972637093318', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-06 14:00:00', '2023-11-06 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972637389953', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-07 06:00:00', '2023-11-07 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972637683321', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-07 11:10:00', '2023-11-07 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972637987267', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-07 14:00:00', '2023-11-07 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972638273284', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-08 06:00:00', '2023-11-08 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972638557564', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-08 11:10:00', '2023-11-08 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972638852295', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-08 14:00:00', '2023-11-08 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972639144037', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-09 06:00:00', '2023-11-09 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972639476412', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-09 11:10:00', '2023-11-09 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972639852719', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-09 14:00:00', '2023-11-09 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972640296792', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-10 06:00:00', '2023-11-10 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972640586748', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-10 11:10:00', '2023-11-10 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972640995804', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-10 14:00:00', '2023-11-10 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972641400485', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-11 06:00:00', '2023-11-11 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972642244043', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-11 11:10:00', '2023-11-11 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972642548003', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-11 14:00:00', '2023-11-11 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972642854207', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-12 06:00:00', '2023-11-12 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972643234963', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-12 11:10:00', '2023-11-12 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972643529375', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-12 14:00:00', '2023-11-12 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972643802891', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-13 06:00:00', '2023-11-13 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972644068463', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-13 11:10:00', '2023-11-13 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972644331389', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-13 14:00:00', '2023-11-13 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972644658464', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-14 06:00:00', '2023-11-14 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972644930344', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-14 11:10:00', '2023-11-14 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972645197884', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-14 14:00:00', '2023-11-14 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972645524888', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-15 06:00:00', '2023-11-15 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972645805208', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-15 11:10:00', '2023-11-15 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972646195321', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-15 14:00:00', '2023-11-15 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972646481954', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-16 06:00:00', '2023-11-16 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972646770433', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-16 11:10:00', '2023-11-16 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972647072585', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-16 14:00:00', '2023-11-16 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972647379518', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-17 06:00:00', '2023-11-17 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972647654893', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-17 11:10:00', '2023-11-17 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972648106758', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-17 14:00:00', '2023-11-17 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972648484466', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-18 06:00:00', '2023-11-18 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972648795787', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-18 11:10:00', '2023-11-18 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972649101362', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-18 14:00:00', '2023-11-18 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972649383884', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-19 06:00:00', '2023-11-19 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972649649701', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-19 11:10:00', '2023-11-19 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972649919379', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-19 14:00:00', '2023-11-19 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972650331375', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-20 06:00:00', '2023-11-20 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972650606947', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-20 11:10:00', '2023-11-20 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972650900735', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-20 14:00:00', '2023-11-20 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972651396156', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-21 06:00:00', '2023-11-21 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972651698854', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-21 11:10:00', '2023-11-21 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972652128723', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-21 14:00:00', '2023-11-21 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972652501652', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-22 06:00:00', '2023-11-22 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972652779911', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-22 11:10:00', '2023-11-22 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972653069822', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-22 14:00:00', '2023-11-22 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972653346906', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-23 06:00:00', '2023-11-23 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972653633488', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-23 11:10:00', '2023-11-23 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972653911447', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-23 14:00:00', '2023-11-23 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972654222348', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-24 06:00:00', '2023-11-24 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972654500295', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-24 11:10:00', '2023-11-24 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972654765223', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-24 14:00:00', '2023-11-24 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972655030433', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-25 06:00:00', '2023-11-25 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972655363529', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-25 11:10:00', '2023-11-25 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972655755749', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-25 14:00:00', '2023-11-25 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972656160397', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-26 06:00:00', '2023-11-26 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972656546072', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-26 11:10:00', '2023-11-26 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972656916936', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-26 14:00:00', '2023-11-26 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972657306256', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-27 06:00:00', '2023-11-27 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972657700853', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-27 11:10:00', '2023-11-27 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972658093224', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-27 14:00:00', '2023-11-27 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972658528847', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-28 06:00:00', '2023-11-28 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972658935938', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-28 11:10:00', '2023-11-28 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972659353479', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-28 14:00:00', '2023-11-28 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972659759698', '127931103763926586', '理财培训计划第一季度', '1', '2023-11-29 06:00:00', '2023-11-29 09:00:00', '1000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972660238564', '127931103763926586', '理财培训计划第一季度', '2', '2023-11-29 11:10:00', '2023-11-29 14:00:00', '3000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('128033972660525663', '127931103763926586', '理财培训计划第一季度', '3', '2023-11-29 14:00:00', '2023-11-29 20:30:00', '2000', '0', '0', '2023-09-22 13:59:07');
INSERT INTO `train_class_dine` VALUES ('130442690223474077', '130441652709239612', '数据库培训', '1', '2023-09-25 06:00:00', '2023-09-25 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690224681535', '130441652709239612', '数据库培训', '2', '2023-09-25 11:10:00', '2023-09-25 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690224878706', '130441652709239612', '数据库培训', '3', '2023-09-25 14:00:00', '2023-09-25 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225045392', '130441652709239612', '数据库培训', '1', '2023-09-26 06:00:00', '2023-09-26 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225197289', '130441652709239612', '数据库培训', '2', '2023-09-26 11:10:00', '2023-09-26 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225344362', '130441652709239612', '数据库培训', '3', '2023-09-26 14:00:00', '2023-09-26 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225491313', '130441652709239612', '数据库培训', '1', '2023-09-27 06:00:00', '2023-09-27 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225639972', '130441652709239612', '数据库培训', '2', '2023-09-27 11:10:00', '2023-09-27 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225787382', '130441652709239612', '数据库培训', '3', '2023-09-27 14:00:00', '2023-09-27 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690225935953', '130441652709239612', '数据库培训', '1', '2023-09-28 06:00:00', '2023-09-28 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226081483', '130441652709239612', '数据库培训', '2', '2023-09-28 11:10:00', '2023-09-28 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226229973', '130441652709239612', '数据库培训', '3', '2023-09-28 14:00:00', '2023-09-28 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226377188', '130441652709239612', '数据库培训', '1', '2023-09-29 06:00:00', '2023-09-29 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226526767', '130441652709239612', '数据库培训', '2', '2023-09-29 11:10:00', '2023-09-29 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226672898', '130441652709239612', '数据库培训', '3', '2023-09-29 14:00:00', '2023-09-29 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226818165', '130441652709239612', '数据库培训', '1', '2023-09-30 06:00:00', '2023-09-30 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690226964287', '130441652709239612', '数据库培训', '2', '2023-09-30 11:10:00', '2023-09-30 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690227111168', '130441652709239612', '数据库培训', '3', '2023-09-30 14:00:00', '2023-09-30 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690227255034', '130441652709239612', '数据库培训', '1', '2023-10-01 06:00:00', '2023-10-01 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690227423169', '130441652709239612', '数据库培训', '2', '2023-10-01 11:10:00', '2023-10-01 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690227571652', '130441652709239612', '数据库培训', '3', '2023-10-01 14:00:00', '2023-10-01 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690227718483', '130441652709239612', '数据库培训', '1', '2023-10-02 06:00:00', '2023-10-02 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690227864696', '130441652709239612', '数据库培训', '2', '2023-10-02 11:10:00', '2023-10-02 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228011645', '130441652709239612', '数据库培训', '3', '2023-10-02 14:00:00', '2023-10-02 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228155938', '130441652709239612', '数据库培训', '1', '2023-10-03 06:00:00', '2023-10-03 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228300889', '130441652709239612', '数据库培训', '2', '2023-10-03 11:10:00', '2023-10-03 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228447285', '130441652709239612', '数据库培训', '3', '2023-10-03 14:00:00', '2023-10-03 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228592063', '130441652709239612', '数据库培训', '1', '2023-10-04 06:00:00', '2023-10-04 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228735856', '130441652709239612', '数据库培训', '2', '2023-10-04 11:10:00', '2023-10-04 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690228882052', '130441652709239612', '数据库培训', '3', '2023-10-04 14:00:00', '2023-10-04 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229029287', '130441652709239612', '数据库培训', '1', '2023-10-05 06:00:00', '2023-10-05 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229176354', '130441652709239612', '数据库培训', '2', '2023-10-05 11:10:00', '2023-10-05 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229321445', '130441652709239612', '数据库培训', '3', '2023-10-05 14:00:00', '2023-10-05 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229467547', '130441652709239612', '数据库培训', '1', '2023-10-06 06:00:00', '2023-10-06 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229615154', '130441652709239612', '数据库培训', '2', '2023-10-06 11:10:00', '2023-10-06 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229759088', '130441652709239612', '数据库培训', '3', '2023-10-06 14:00:00', '2023-10-06 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690229903991', '130441652709239612', '数据库培训', '1', '2023-10-07 06:00:00', '2023-10-07 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690230178273', '130441652709239612', '数据库培训', '2', '2023-10-07 11:10:00', '2023-10-07 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690230325117', '130441652709239612', '数据库培训', '3', '2023-10-07 14:00:00', '2023-10-07 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690230470903', '130441652709239612', '数据库培训', '1', '2023-10-08 06:00:00', '2023-10-08 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690230615472', '130441652709239612', '数据库培训', '2', '2023-10-08 11:10:00', '2023-10-08 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690230762896', '130441652709239612', '数据库培训', '3', '2023-10-08 14:00:00', '2023-10-08 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690230906507', '130441652709239612', '数据库培训', '1', '2023-10-09 06:00:00', '2023-10-09 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231051972', '130441652709239612', '数据库培训', '2', '2023-10-09 11:10:00', '2023-10-09 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231195807', '130441652709239612', '数据库培训', '3', '2023-10-09 14:00:00', '2023-10-09 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231343671', '130441652709239612', '数据库培训', '1', '2023-10-10 06:00:00', '2023-10-10 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231488562', '130441652709239612', '数据库培训', '2', '2023-10-10 11:10:00', '2023-10-10 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231635046', '130441652709239612', '数据库培训', '3', '2023-10-10 14:00:00', '2023-10-10 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231780029', '130441652709239612', '数据库培训', '1', '2023-10-11 06:00:00', '2023-10-11 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690231925433', '130441652709239612', '数据库培训', '2', '2023-10-11 11:10:00', '2023-10-11 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232075998', '130441652709239612', '数据库培训', '3', '2023-10-11 14:00:00', '2023-10-11 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232222476', '130441652709239612', '数据库培训', '1', '2023-10-12 06:00:00', '2023-10-12 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232365264', '130441652709239612', '数据库培训', '2', '2023-10-12 11:10:00', '2023-10-12 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232511146', '130441652709239612', '数据库培训', '3', '2023-10-12 14:00:00', '2023-10-12 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232656167', '130441652709239612', '数据库培训', '1', '2023-10-13 06:00:00', '2023-10-13 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232799387', '130441652709239612', '数据库培训', '2', '2023-10-13 11:10:00', '2023-10-13 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690232942526', '130441652709239612', '数据库培训', '3', '2023-10-13 14:00:00', '2023-10-13 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233086727', '130441652709239612', '数据库培训', '1', '2023-10-14 06:00:00', '2023-10-14 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233230959', '130441652709239612', '数据库培训', '2', '2023-10-14 11:10:00', '2023-10-14 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233377169', '130441652709239612', '数据库培训', '3', '2023-10-14 14:00:00', '2023-10-14 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233525468', '130441652709239612', '数据库培训', '1', '2023-10-15 06:00:00', '2023-10-15 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233669541', '130441652709239612', '数据库培训', '2', '2023-10-15 11:10:00', '2023-10-15 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233815537', '130441652709239612', '数据库培训', '3', '2023-10-15 14:00:00', '2023-10-15 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690233962644', '130441652709239612', '数据库培训', '1', '2023-10-16 06:00:00', '2023-10-16 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690234107405', '130441652709239612', '数据库培训', '2', '2023-10-16 11:10:00', '2023-10-16 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690234249744', '130441652709239612', '数据库培训', '3', '2023-10-16 14:00:00', '2023-10-16 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690234395822', '130441652709239612', '数据库培训', '1', '2023-10-17 06:00:00', '2023-10-17 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690234608519', '130441652709239612', '数据库培训', '2', '2023-10-17 11:10:00', '2023-10-17 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690234753809', '130441652709239612', '数据库培训', '3', '2023-10-17 14:00:00', '2023-10-17 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690234902219', '130441652709239612', '数据库培训', '1', '2023-10-18 06:00:00', '2023-10-18 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235043531', '130441652709239612', '数据库培训', '2', '2023-10-18 11:10:00', '2023-10-18 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235192269', '130441652709239612', '数据库培训', '3', '2023-10-18 14:00:00', '2023-10-18 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235339076', '130441652709239612', '数据库培训', '1', '2023-10-19 06:00:00', '2023-10-19 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235483792', '130441652709239612', '数据库培训', '2', '2023-10-19 11:10:00', '2023-10-19 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235629463', '130441652709239612', '数据库培训', '3', '2023-10-19 14:00:00', '2023-10-19 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235774247', '130441652709239612', '数据库培训', '1', '2023-10-20 06:00:00', '2023-10-20 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690235919677', '130441652709239612', '数据库培训', '2', '2023-10-20 11:10:00', '2023-10-20 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690236063141', '130441652709239612', '数据库培训', '3', '2023-10-20 14:00:00', '2023-10-20 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690236207654', '130441652709239612', '数据库培训', '1', '2023-10-21 06:00:00', '2023-10-21 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690236432616', '130441652709239612', '数据库培训', '2', '2023-10-21 11:10:00', '2023-10-21 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690236581866', '130441652709239612', '数据库培训', '3', '2023-10-21 14:00:00', '2023-10-21 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690236738938', '130441652709239612', '数据库培训', '1', '2023-10-22 06:00:00', '2023-10-22 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690236884729', '130441652709239612', '数据库培训', '2', '2023-10-22 11:10:00', '2023-10-22 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237030469', '130441652709239612', '数据库培训', '3', '2023-10-22 14:00:00', '2023-10-22 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237173914', '130441652709239612', '数据库培训', '1', '2023-10-23 06:00:00', '2023-10-23 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237317746', '130441652709239612', '数据库培训', '2', '2023-10-23 11:10:00', '2023-10-23 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237459695', '130441652709239612', '数据库培训', '3', '2023-10-23 14:00:00', '2023-10-23 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237602117', '130441652709239612', '数据库培训', '1', '2023-10-24 06:00:00', '2023-10-24 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237744658', '130441652709239612', '数据库培训', '2', '2023-10-24 11:10:00', '2023-10-24 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690237892265', '130441652709239612', '数据库培训', '3', '2023-10-24 14:00:00', '2023-10-24 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238035599', '130441652709239612', '数据库培训', '1', '2023-10-25 06:00:00', '2023-10-25 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238181161', '130441652709239612', '数据库培训', '2', '2023-10-25 11:10:00', '2023-10-25 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238327643', '130441652709239612', '数据库培训', '3', '2023-10-25 14:00:00', '2023-10-25 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238472125', '130441652709239612', '数据库培训', '1', '2023-10-26 06:00:00', '2023-10-26 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238616341', '130441652709239612', '数据库培训', '2', '2023-10-26 11:10:00', '2023-10-26 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238762707', '130441652709239612', '数据库培训', '3', '2023-10-26 14:00:00', '2023-10-26 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690238907771', '130441652709239612', '数据库培训', '1', '2023-10-27 06:00:00', '2023-10-27 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239051591', '130441652709239612', '数据库培训', '2', '2023-10-27 11:10:00', '2023-10-27 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239195996', '130441652709239612', '数据库培训', '3', '2023-10-27 14:00:00', '2023-10-27 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239340053', '130441652709239612', '数据库培训', '1', '2023-10-28 06:00:00', '2023-10-28 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239483592', '130441652709239612', '数据库培训', '2', '2023-10-28 11:10:00', '2023-10-28 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239630885', '130441652709239612', '数据库培训', '3', '2023-10-28 14:00:00', '2023-10-28 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239776634', '130441652709239612', '数据库培训', '1', '2023-10-29 06:00:00', '2023-10-29 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690239920487', '130441652709239612', '数据库培训', '2', '2023-10-29 11:10:00', '2023-10-29 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690240152367', '130441652709239612', '数据库培训', '3', '2023-10-29 14:00:00', '2023-10-29 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690240298313', '130441652709239612', '数据库培训', '1', '2023-10-30 06:00:00', '2023-10-30 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690240443855', '130441652709239612', '数据库培训', '2', '2023-10-30 11:10:00', '2023-10-30 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690240587815', '130441652709239612', '数据库培训', '3', '2023-10-30 14:00:00', '2023-10-30 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690240732631', '130441652709239612', '数据库培训', '1', '2023-10-31 06:00:00', '2023-10-31 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690240876968', '130441652709239612', '数据库培训', '2', '2023-10-31 11:10:00', '2023-10-31 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241022044', '130441652709239612', '数据库培训', '3', '2023-10-31 14:00:00', '2023-10-31 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241166368', '130441652709239612', '数据库培训', '1', '2023-11-01 06:00:00', '2023-11-01 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241312181', '130441652709239612', '数据库培训', '2', '2023-11-01 11:10:00', '2023-11-01 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241455563', '130441652709239612', '数据库培训', '3', '2023-11-01 14:00:00', '2023-11-01 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241601437', '130441652709239612', '数据库培训', '1', '2023-11-02 06:00:00', '2023-11-02 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241744933', '130441652709239612', '数据库培训', '2', '2023-11-02 11:10:00', '2023-11-02 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690241888624', '130441652709239612', '数据库培训', '3', '2023-11-02 14:00:00', '2023-11-02 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242033224', '130441652709239612', '数据库培训', '1', '2023-11-03 06:00:00', '2023-11-03 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242175868', '130441652709239612', '数据库培训', '2', '2023-11-03 11:10:00', '2023-11-03 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242321803', '130441652709239612', '数据库培训', '3', '2023-11-03 14:00:00', '2023-11-03 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242466642', '130441652709239612', '数据库培训', '1', '2023-11-04 06:00:00', '2023-11-04 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242610399', '130441652709239612', '数据库培训', '2', '2023-11-04 11:10:00', '2023-11-04 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242755573', '130441652709239612', '数据库培训', '3', '2023-11-04 14:00:00', '2023-11-04 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690242898841', '130441652709239612', '数据库培训', '1', '2023-11-05 06:00:00', '2023-11-05 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243045682', '130441652709239612', '数据库培训', '2', '2023-11-05 11:10:00', '2023-11-05 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243189072', '130441652709239612', '数据库培训', '3', '2023-11-05 14:00:00', '2023-11-05 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243335152', '130441652709239612', '数据库培训', '1', '2023-11-06 06:00:00', '2023-11-06 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243509938', '130441652709239612', '数据库培训', '2', '2023-11-06 11:10:00', '2023-11-06 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243654501', '130441652709239612', '数据库培训', '3', '2023-11-06 14:00:00', '2023-11-06 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243797947', '130441652709239612', '数据库培训', '1', '2023-11-07 06:00:00', '2023-11-07 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690243941564', '130441652709239612', '数据库培训', '2', '2023-11-07 11:10:00', '2023-11-07 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690244087397', '130441652709239612', '数据库培训', '3', '2023-11-07 14:00:00', '2023-11-07 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690244231384', '130441652709239612', '数据库培训', '1', '2023-11-08 06:00:00', '2023-11-08 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690244374254', '130441652709239612', '数据库培训', '2', '2023-11-08 11:10:00', '2023-11-08 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690244578812', '130441652709239612', '数据库培训', '3', '2023-11-08 14:00:00', '2023-11-08 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690244724351', '130441652709239612', '数据库培训', '1', '2023-11-09 06:00:00', '2023-11-09 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690244869662', '130441652709239612', '数据库培训', '2', '2023-11-09 11:10:00', '2023-11-09 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245016758', '130441652709239612', '数据库培训', '3', '2023-11-09 14:00:00', '2023-11-09 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245162817', '130441652709239612', '数据库培训', '1', '2023-11-10 06:00:00', '2023-11-10 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245305319', '130441652709239612', '数据库培训', '2', '2023-11-10 11:10:00', '2023-11-10 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245451544', '130441652709239612', '数据库培训', '3', '2023-11-10 14:00:00', '2023-11-10 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245596651', '130441652709239612', '数据库培训', '1', '2023-11-11 06:00:00', '2023-11-11 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245742948', '130441652709239612', '数据库培训', '2', '2023-11-11 11:10:00', '2023-11-11 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690245887342', '130441652709239612', '数据库培训', '3', '2023-11-11 14:00:00', '2023-11-11 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246039106', '130441652709239612', '数据库培训', '1', '2023-11-12 06:00:00', '2023-11-12 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246186594', '130441652709239612', '数据库培训', '2', '2023-11-12 11:10:00', '2023-11-12 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246335281', '130441652709239612', '数据库培训', '3', '2023-11-12 14:00:00', '2023-11-12 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246482423', '130441652709239612', '数据库培训', '1', '2023-11-13 06:00:00', '2023-11-13 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246625963', '130441652709239612', '数据库培训', '2', '2023-11-13 11:10:00', '2023-11-13 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246766938', '130441652709239612', '数据库培训', '3', '2023-11-13 14:00:00', '2023-11-13 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690246910351', '130441652709239612', '数据库培训', '1', '2023-11-14 06:00:00', '2023-11-14 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247053275', '130441652709239612', '数据库培训', '2', '2023-11-14 11:10:00', '2023-11-14 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247197918', '130441652709239612', '数据库培训', '3', '2023-11-14 14:00:00', '2023-11-14 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247341855', '130441652709239612', '数据库培训', '1', '2023-11-15 06:00:00', '2023-11-15 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247488369', '130441652709239612', '数据库培训', '2', '2023-11-15 11:10:00', '2023-11-15 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247631058', '130441652709239612', '数据库培训', '3', '2023-11-15 14:00:00', '2023-11-15 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247777265', '130441652709239612', '数据库培训', '1', '2023-11-16 06:00:00', '2023-11-16 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690247919103', '130441652709239612', '数据库培训', '2', '2023-11-16 11:10:00', '2023-11-16 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248061113', '130441652709239612', '数据库培训', '3', '2023-11-16 14:00:00', '2023-11-16 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248204997', '130441652709239612', '数据库培训', '1', '2023-11-17 06:00:00', '2023-11-17 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248349512', '130441652709239612', '数据库培训', '2', '2023-11-17 11:10:00', '2023-11-17 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248492362', '130441652709239612', '数据库培训', '3', '2023-11-17 14:00:00', '2023-11-17 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248635451', '130441652709239612', '数据库培训', '1', '2023-11-18 06:00:00', '2023-11-18 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248781666', '130441652709239612', '数据库培训', '2', '2023-11-18 11:10:00', '2023-11-18 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690248926964', '130441652709239612', '数据库培训', '3', '2023-11-18 14:00:00', '2023-11-18 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249070563', '130441652709239612', '数据库培训', '1', '2023-11-19 06:00:00', '2023-11-19 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249215885', '130441652709239612', '数据库培训', '2', '2023-11-19 11:10:00', '2023-11-19 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249360709', '130441652709239612', '数据库培训', '3', '2023-11-19 14:00:00', '2023-11-19 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249504008', '130441652709239612', '数据库培训', '1', '2023-11-20 06:00:00', '2023-11-20 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249648912', '130441652709239612', '数据库培训', '2', '2023-11-20 11:10:00', '2023-11-20 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249792728', '130441652709239612', '数据库培训', '3', '2023-11-20 14:00:00', '2023-11-20 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690249936026', '130441652709239612', '数据库培训', '1', '2023-11-21 06:00:00', '2023-11-21 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690250195176', '130441652709239612', '数据库培训', '2', '2023-11-21 11:10:00', '2023-11-21 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690250344132', '130441652709239612', '数据库培训', '3', '2023-11-21 14:00:00', '2023-11-21 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690250489036', '130441652709239612', '数据库培训', '1', '2023-11-22 06:00:00', '2023-11-22 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690250632083', '130441652709239612', '数据库培训', '2', '2023-11-22 11:10:00', '2023-11-22 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690250776301', '130441652709239612', '数据库培训', '3', '2023-11-22 14:00:00', '2023-11-22 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690250922074', '130441652709239612', '数据库培训', '1', '2023-11-23 06:00:00', '2023-11-23 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251069679', '130441652709239612', '数据库培训', '2', '2023-11-23 11:10:00', '2023-11-23 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251217549', '130441652709239612', '数据库培训', '3', '2023-11-23 14:00:00', '2023-11-23 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251361246', '130441652709239612', '数据库培训', '1', '2023-11-24 06:00:00', '2023-11-24 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251506181', '130441652709239612', '数据库培训', '2', '2023-11-24 11:10:00', '2023-11-24 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251650671', '130441652709239612', '数据库培训', '3', '2023-11-24 14:00:00', '2023-11-24 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251797758', '130441652709239612', '数据库培训', '1', '2023-11-25 06:00:00', '2023-11-25 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690251944172', '130441652709239612', '数据库培训', '2', '2023-11-25 11:10:00', '2023-11-25 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252088049', '130441652709239612', '数据库培训', '3', '2023-11-25 14:00:00', '2023-11-25 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252237321', '130441652709239612', '数据库培训', '1', '2023-11-26 06:00:00', '2023-11-26 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252383409', '130441652709239612', '数据库培训', '2', '2023-11-26 11:10:00', '2023-11-26 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252528105', '130441652709239612', '数据库培训', '3', '2023-11-26 14:00:00', '2023-11-26 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252673718', '130441652709239612', '数据库培训', '1', '2023-11-27 06:00:00', '2023-11-27 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252818205', '130441652709239612', '数据库培训', '2', '2023-11-27 11:10:00', '2023-11-27 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690252964441', '130441652709239612', '数据库培训', '3', '2023-11-27 14:00:00', '2023-11-27 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253110371', '130441652709239612', '数据库培训', '1', '2023-11-28 06:00:00', '2023-11-28 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253255821', '130441652709239612', '数据库培训', '2', '2023-11-28 11:10:00', '2023-11-28 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253401689', '130441652709239612', '数据库培训', '3', '2023-11-28 14:00:00', '2023-11-28 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253548759', '130441652709239612', '数据库培训', '1', '2023-11-29 06:00:00', '2023-11-29 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253694605', '130441652709239612', '数据库培训', '2', '2023-11-29 11:10:00', '2023-11-29 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253840901', '130441652709239612', '数据库培训', '3', '2023-11-29 14:00:00', '2023-11-29 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690253985353', '130441652709239612', '数据库培训', '1', '2023-11-30 06:00:00', '2023-11-30 09:00:00', '1000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690254129229', '130441652709239612', '数据库培训', '2', '2023-11-30 11:10:00', '2023-11-30 14:00:00', '3000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('130442690254274674', '130441652709239612', '数据库培训', '3', '2023-11-30 14:00:00', '2023-11-30 20:30:00', '2000', '0', '0', '2023-09-25 08:53:39');
INSERT INTO `train_class_dine` VALUES ('1562350336847515648', '1562350332300890112', '新人入职培训', '1', '2022-01-01 00:00:00', '2022-01-01 09:00:00', '1000', '0', '0', '2023-09-22 17:09:30');
INSERT INTO `train_class_dine` VALUES ('1562350336847515649', '1562350332300890112', '新人入职培训', '2', '2022-01-01 11:10:00', '2022-01-01 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336847515650', '1562350332300890112', '新人入职培训', '3', '2022-01-01 15:00:00', '2022-01-01 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336847515651', '1562350332300890112', '新人入职培训', '1', '2022-01-02 00:00:00', '2022-01-02 09:00:00', '1000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336847515652', '1562350332300890112', '新人入职培训', '2', '2022-01-02 11:10:00', '2022-01-02 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336847515653', '1562350332300890112', '新人入职培训', '3', '2022-01-02 15:00:00', '2022-01-02 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336847515654', '1562350332300890112', '新人入职培训', '1', '2022-01-03 00:00:00', '2022-01-03 09:00:00', '1000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336847515655', '1562350332300890112', '新人入职培训', '2', '2022-01-03 11:10:00', '2022-01-03 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709952', '1562350332300890112', '新人入职培训', '3', '2022-01-03 15:00:00', '2022-01-03 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709953', '1562350332300890112', '新人入职培训', '1', '2022-01-04 00:00:00', '2022-01-04 09:00:00', '1000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709954', '1562350332300890112', '新人入职培训', '2', '2022-01-04 11:10:00', '2022-01-04 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709955', '1562350332300890112', '新人入职培训', '3', '2022-01-04 15:00:00', '2022-01-04 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709956', '1562350332300890112', '新人入职培训', '1', '2022-01-05 00:00:00', '2022-01-05 09:00:00', '1000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709957', '1562350332300890112', '新人入职培训', '2', '2022-01-05 11:10:00', '2022-01-05 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709958', '1562350332300890112', '新人入职培训', '3', '2022-01-05 15:00:00', '2022-01-05 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709959', '1562350332300890112', '新人入职培训', '1', '2022-01-06 00:00:00', '2022-01-06 09:00:00', '1000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709960', '1562350332300890112', '新人入职培训', '2', '2022-01-06 11:10:00', '2022-01-06 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709961', '1562350332300890112', '新人入职培训', '3', '2022-01-06 15:00:00', '2022-01-06 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709962', '1562350332300890112', '新人入职培训', '1', '2022-01-07 00:00:00', '2022-01-07 09:00:00', '1000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709963', '1562350332300890112', '新人入职培训', '2', '2022-01-07 11:10:00', '2022-01-07 14:00:00', '3000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709964', '1562350332300890112', '新人入职培训', '3', '2022-01-07 15:00:00', '2022-01-07 19:30:00', '2000', '0', '0', '2023-09-22 17:09:37');
INSERT INTO `train_class_dine` VALUES ('1562350336851709965', '1562350332300890112', '新人入职培训', '1', '2022-01-08 00:00:00', '2022-01-08 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904256', '1562350332300890112', '新人入职培训', '2', '2022-01-08 11:10:00', '2022-01-08 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904257', '1562350332300890112', '新人入职培训', '3', '2022-01-08 15:00:00', '2022-01-08 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904258', '1562350332300890112', '新人入职培训', '1', '2022-01-09 00:00:00', '2022-01-09 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904259', '1562350332300890112', '新人入职培训', '2', '2022-01-09 11:10:00', '2022-01-09 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904260', '1562350332300890112', '新人入职培训', '3', '2022-01-09 15:00:00', '2022-01-09 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904261', '1562350332300890112', '新人入职培训', '1', '2022-01-10 00:00:00', '2022-01-10 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904262', '1562350332300890112', '新人入职培训', '2', '2022-01-10 11:10:00', '2022-01-10 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904263', '1562350332300890112', '新人入职培训', '3', '2022-01-10 15:00:00', '2022-01-10 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336855904264', '1562350332300890112', '新人入职培训', '1', '2022-01-11 00:00:00', '2022-01-11 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336860098560', '1562350332300890112', '新人入职培训', '2', '2022-01-11 11:10:00', '2022-01-11 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336860098561', '1562350332300890112', '新人入职培训', '3', '2022-01-11 15:00:00', '2022-01-11 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292864', '1562350332300890112', '新人入职培训', '1', '2022-01-12 00:00:00', '2022-01-12 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292865', '1562350332300890112', '新人入职培训', '2', '2022-01-12 11:10:00', '2022-01-12 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292866', '1562350332300890112', '新人入职培训', '3', '2022-01-12 15:00:00', '2022-01-12 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292867', '1562350332300890112', '新人入职培训', '1', '2022-01-13 00:00:00', '2022-01-13 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292868', '1562350332300890112', '新人入职培训', '2', '2022-01-13 11:10:00', '2022-01-13 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292869', '1562350332300890112', '新人入职培训', '3', '2022-01-13 15:00:00', '2022-01-13 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292870', '1562350332300890112', '新人入职培训', '1', '2022-01-14 00:00:00', '2022-01-14 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336864292871', '1562350332300890112', '新人入职培训', '2', '2022-01-14 11:10:00', '2022-01-14 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336868487168', '1562350332300890112', '新人入职培训', '3', '2022-01-14 15:00:00', '2022-01-14 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336868487169', '1562350332300890112', '新人入职培训', '1', '2022-01-15 00:00:00', '2022-01-15 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336868487170', '1562350332300890112', '新人入职培训', '2', '2022-01-15 11:10:00', '2022-01-15 14:00:00', '3000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336868487171', '1562350332300890112', '新人入职培训', '3', '2022-01-15 15:00:00', '2022-01-15 19:30:00', '2000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336868487172', '1562350332300890112', '新人入职培训', '1', '2022-01-16 00:00:00', '2022-01-16 09:00:00', '1000', '0', '0', '2023-09-22 17:09:38');
INSERT INTO `train_class_dine` VALUES ('1562350336868487173', '1562350332300890112', '新人入职培训', '2', '2022-01-16 11:10:00', '2022-01-16 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336868487174', '1562350332300890112', '新人入职培训', '3', '2022-01-16 15:00:00', '2022-01-16 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336868487175', '1562350332300890112', '新人入职培训', '1', '2022-01-17 00:00:00', '2022-01-17 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336868487176', '1562350332300890112', '新人入职培训', '2', '2022-01-17 11:10:00', '2022-01-17 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336868487177', '1562350332300890112', '新人入职培训', '3', '2022-01-17 15:00:00', '2022-01-17 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681472', '1562350332300890112', '新人入职培训', '1', '2022-01-18 00:00:00', '2022-01-18 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681473', '1562350332300890112', '新人入职培训', '2', '2022-01-18 11:10:00', '2022-01-18 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681474', '1562350332300890112', '新人入职培训', '3', '2022-01-18 15:00:00', '2022-01-18 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681475', '1562350332300890112', '新人入职培训', '1', '2022-01-19 00:00:00', '2022-01-19 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681476', '1562350332300890112', '新人入职培训', '2', '2022-01-19 11:10:00', '2022-01-19 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681477', '1562350332300890112', '新人入职培训', '3', '2022-01-19 15:00:00', '2022-01-19 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681478', '1562350332300890112', '新人入职培训', '1', '2022-01-20 00:00:00', '2022-01-20 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681479', '1562350332300890112', '新人入职培训', '2', '2022-01-20 11:10:00', '2022-01-20 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681480', '1562350332300890112', '新人入职培训', '3', '2022-01-20 15:00:00', '2022-01-20 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681481', '1562350332300890112', '新人入职培训', '1', '2022-01-21 00:00:00', '2022-01-21 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681482', '1562350332300890112', '新人入职培训', '2', '2022-01-21 11:10:00', '2022-01-21 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336872681483', '1562350332300890112', '新人入职培训', '3', '2022-01-21 15:00:00', '2022-01-21 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875776', '1562350332300890112', '新人入职培训', '1', '2022-01-22 00:00:00', '2022-01-22 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875777', '1562350332300890112', '新人入职培训', '2', '2022-01-22 11:10:00', '2022-01-22 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875778', '1562350332300890112', '新人入职培训', '3', '2022-01-22 15:00:00', '2022-01-22 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875779', '1562350332300890112', '新人入职培训', '1', '2022-01-23 00:00:00', '2022-01-23 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875780', '1562350332300890112', '新人入职培训', '2', '2022-01-23 11:10:00', '2022-01-23 14:00:00', '3000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875781', '1562350332300890112', '新人入职培训', '3', '2022-01-23 15:00:00', '2022-01-23 19:30:00', '2000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875782', '1562350332300890112', '新人入职培训', '1', '2022-01-24 00:00:00', '2022-01-24 09:00:00', '1000', '0', '0', '2023-09-22 17:09:39');
INSERT INTO `train_class_dine` VALUES ('1562350336876875783', '1562350332300890112', '新人入职培训', '2', '2022-01-24 11:10:00', '2022-01-24 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336876875784', '1562350332300890112', '新人入职培训', '3', '2022-01-24 15:00:00', '2022-01-24 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336876875785', '1562350332300890112', '新人入职培训', '1', '2022-01-25 00:00:00', '2022-01-25 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336876875786', '1562350332300890112', '新人入职培训', '2', '2022-01-25 11:10:00', '2022-01-25 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336876875787', '1562350332300890112', '新人入职培训', '3', '2022-01-25 15:00:00', '2022-01-25 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336876875788', '1562350332300890112', '新人入职培训', '1', '2022-01-26 00:00:00', '2022-01-26 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070080', '1562350332300890112', '新人入职培训', '2', '2022-01-26 11:10:00', '2022-01-26 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070081', '1562350332300890112', '新人入职培训', '3', '2022-01-26 15:00:00', '2022-01-26 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070082', '1562350332300890112', '新人入职培训', '1', '2022-01-27 00:00:00', '2022-01-27 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070083', '1562350332300890112', '新人入职培训', '2', '2022-01-27 11:10:00', '2022-01-27 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070084', '1562350332300890112', '新人入职培训', '3', '2022-01-27 15:00:00', '2022-01-27 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070085', '1562350332300890112', '新人入职培训', '1', '2022-01-28 00:00:00', '2022-01-28 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070086', '1562350332300890112', '新人入职培训', '2', '2022-01-28 11:10:00', '2022-01-28 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070087', '1562350332300890112', '新人入职培训', '3', '2022-01-28 15:00:00', '2022-01-28 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070088', '1562350332300890112', '新人入职培训', '1', '2022-01-29 00:00:00', '2022-01-29 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070089', '1562350332300890112', '新人入职培训', '2', '2022-01-29 11:10:00', '2022-01-29 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070090', '1562350332300890112', '新人入职培训', '3', '2022-01-29 15:00:00', '2022-01-29 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336881070091', '1562350332300890112', '新人入职培训', '1', '2022-01-30 00:00:00', '2022-01-30 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264384', '1562350332300890112', '新人入职培训', '2', '2022-01-30 11:10:00', '2022-01-30 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264385', '1562350332300890112', '新人入职培训', '3', '2022-01-30 15:00:00', '2022-01-30 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264386', '1562350332300890112', '新人入职培训', '1', '2022-01-31 00:00:00', '2022-01-31 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264387', '1562350332300890112', '新人入职培训', '2', '2022-01-31 11:10:00', '2022-01-31 14:00:00', '3000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264388', '1562350332300890112', '新人入职培训', '3', '2022-01-31 15:00:00', '2022-01-31 19:30:00', '2000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264389', '1562350332300890112', '新人入职培训', '1', '2022-02-01 00:00:00', '2022-02-01 09:00:00', '1000', '0', '0', '2023-09-22 17:09:40');
INSERT INTO `train_class_dine` VALUES ('1562350336885264390', '1562350332300890112', '新人入职培训', '2', '2022-02-01 11:10:00', '2022-02-01 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264391', '1562350332300890112', '新人入职培训', '3', '2022-02-01 15:00:00', '2022-02-01 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264392', '1562350332300890112', '新人入职培训', '1', '2022-02-02 00:00:00', '2022-02-02 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264393', '1562350332300890112', '新人入职培训', '2', '2022-02-02 11:10:00', '2022-02-02 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264394', '1562350332300890112', '新人入职培训', '3', '2022-02-02 15:00:00', '2022-02-02 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264395', '1562350332300890112', '新人入职培训', '1', '2022-02-03 00:00:00', '2022-02-03 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264396', '1562350332300890112', '新人入职培训', '2', '2022-02-03 11:10:00', '2022-02-03 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264397', '1562350332300890112', '新人入职培训', '3', '2022-02-03 15:00:00', '2022-02-03 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264398', '1562350332300890112', '新人入职培训', '1', '2022-02-04 00:00:00', '2022-02-04 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336885264399', '1562350332300890112', '新人入职培训', '2', '2022-02-04 11:10:00', '2022-02-04 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458688', '1562350332300890112', '新人入职培训', '3', '2022-02-04 15:00:00', '2022-02-04 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458689', '1562350332300890112', '新人入职培训', '1', '2022-02-05 00:00:00', '2022-02-05 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458690', '1562350332300890112', '新人入职培训', '2', '2022-02-05 11:10:00', '2022-02-05 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458691', '1562350332300890112', '新人入职培训', '3', '2022-02-05 15:00:00', '2022-02-05 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458692', '1562350332300890112', '新人入职培训', '1', '2022-02-06 00:00:00', '2022-02-06 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458693', '1562350332300890112', '新人入职培训', '2', '2022-02-06 11:10:00', '2022-02-06 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458694', '1562350332300890112', '新人入职培训', '3', '2022-02-06 15:00:00', '2022-02-06 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458695', '1562350332300890112', '新人入职培训', '1', '2022-02-07 00:00:00', '2022-02-07 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458696', '1562350332300890112', '新人入职培训', '2', '2022-02-07 11:10:00', '2022-02-07 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458697', '1562350332300890112', '新人入职培训', '3', '2022-02-07 15:00:00', '2022-02-07 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458698', '1562350332300890112', '新人入职培训', '1', '2022-02-08 00:00:00', '2022-02-08 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458699', '1562350332300890112', '新人入职培训', '2', '2022-02-08 11:10:00', '2022-02-08 14:00:00', '3000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458700', '1562350332300890112', '新人入职培训', '3', '2022-02-08 15:00:00', '2022-02-08 19:30:00', '2000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458701', '1562350332300890112', '新人入职培训', '1', '2022-02-09 00:00:00', '2022-02-09 09:00:00', '1000', '0', '0', '2023-09-22 17:09:41');
INSERT INTO `train_class_dine` VALUES ('1562350336889458702', '1562350332300890112', '新人入职培训', '2', '2022-02-09 11:10:00', '2022-02-09 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652992', '1562350332300890112', '新人入职培训', '3', '2022-02-09 15:00:00', '2022-02-09 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652993', '1562350332300890112', '新人入职培训', '1', '2022-02-10 00:00:00', '2022-02-10 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652994', '1562350332300890112', '新人入职培训', '2', '2022-02-10 11:10:00', '2022-02-10 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652995', '1562350332300890112', '新人入职培训', '3', '2022-02-10 15:00:00', '2022-02-10 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652996', '1562350332300890112', '新人入职培训', '1', '2022-02-11 00:00:00', '2022-02-11 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652997', '1562350332300890112', '新人入职培训', '2', '2022-02-11 11:10:00', '2022-02-11 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652998', '1562350332300890112', '新人入职培训', '3', '2022-02-11 15:00:00', '2022-02-11 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893652999', '1562350332300890112', '新人入职培训', '1', '2022-02-12 00:00:00', '2022-02-12 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653000', '1562350332300890112', '新人入职培训', '2', '2022-02-12 11:10:00', '2022-02-12 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653001', '1562350332300890112', '新人入职培训', '3', '2022-02-12 15:00:00', '2022-02-12 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653002', '1562350332300890112', '新人入职培训', '1', '2022-02-13 00:00:00', '2022-02-13 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653003', '1562350332300890112', '新人入职培训', '2', '2022-02-13 11:10:00', '2022-02-13 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653004', '1562350332300890112', '新人入职培训', '3', '2022-02-13 15:00:00', '2022-02-13 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653005', '1562350332300890112', '新人入职培训', '1', '2022-02-14 00:00:00', '2022-02-14 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653006', '1562350332300890112', '新人入职培训', '2', '2022-02-14 11:10:00', '2022-02-14 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653007', '1562350332300890112', '新人入职培训', '3', '2022-02-14 15:00:00', '2022-02-14 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336893653008', '1562350332300890112', '新人入职培训', '1', '2022-02-15 00:00:00', '2022-02-15 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847296', '1562350332300890112', '新人入职培训', '2', '2022-02-15 11:10:00', '2022-02-15 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847297', '1562350332300890112', '新人入职培训', '3', '2022-02-15 15:00:00', '2022-02-15 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847298', '1562350332300890112', '新人入职培训', '1', '2022-02-16 00:00:00', '2022-02-16 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847299', '1562350332300890112', '新人入职培训', '2', '2022-02-16 11:10:00', '2022-02-16 14:00:00', '3000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847300', '1562350332300890112', '新人入职培训', '3', '2022-02-16 15:00:00', '2022-02-16 19:30:00', '2000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847301', '1562350332300890112', '新人入职培训', '1', '2022-02-17 00:00:00', '2022-02-17 09:00:00', '1000', '0', '0', '2023-09-22 17:09:42');
INSERT INTO `train_class_dine` VALUES ('1562350336897847302', '1562350332300890112', '新人入职培训', '2', '2022-02-17 11:10:00', '2022-02-17 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847303', '1562350332300890112', '新人入职培训', '3', '2022-02-17 15:00:00', '2022-02-17 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847304', '1562350332300890112', '新人入职培训', '1', '2022-02-18 00:00:00', '2022-02-18 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847305', '1562350332300890112', '新人入职培训', '2', '2022-02-18 11:10:00', '2022-02-18 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847306', '1562350332300890112', '新人入职培训', '3', '2022-02-18 15:00:00', '2022-02-18 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847307', '1562350332300890112', '新人入职培训', '1', '2022-02-19 00:00:00', '2022-02-19 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847308', '1562350332300890112', '新人入职培训', '2', '2022-02-19 11:10:00', '2022-02-19 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847309', '1562350332300890112', '新人入职培训', '3', '2022-02-19 15:00:00', '2022-02-19 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336897847310', '1562350332300890112', '新人入职培训', '1', '2022-02-20 00:00:00', '2022-02-20 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041600', '1562350332300890112', '新人入职培训', '2', '2022-02-20 11:10:00', '2022-02-20 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041601', '1562350332300890112', '新人入职培训', '3', '2022-02-20 15:00:00', '2022-02-20 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041602', '1562350332300890112', '新人入职培训', '1', '2022-02-21 00:00:00', '2022-02-21 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041603', '1562350332300890112', '新人入职培训', '2', '2022-02-21 11:10:00', '2022-02-21 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041604', '1562350332300890112', '新人入职培训', '3', '2022-02-21 15:00:00', '2022-02-21 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041605', '1562350332300890112', '新人入职培训', '1', '2022-02-22 00:00:00', '2022-02-22 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041606', '1562350332300890112', '新人入职培训', '2', '2022-02-22 11:10:00', '2022-02-22 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041607', '1562350332300890112', '新人入职培训', '3', '2022-02-22 15:00:00', '2022-02-22 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041608', '1562350332300890112', '新人入职培训', '1', '2022-02-23 00:00:00', '2022-02-23 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336902041609', '1562350332300890112', '新人入职培训', '2', '2022-02-23 11:10:00', '2022-02-23 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235904', '1562350332300890112', '新人入职培训', '3', '2022-02-23 15:00:00', '2022-02-23 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235905', '1562350332300890112', '新人入职培训', '1', '2022-02-24 00:00:00', '2022-02-24 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235906', '1562350332300890112', '新人入职培训', '2', '2022-02-24 11:10:00', '2022-02-24 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235907', '1562350332300890112', '新人入职培训', '3', '2022-02-24 15:00:00', '2022-02-24 19:30:00', '2000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235908', '1562350332300890112', '新人入职培训', '1', '2022-02-25 00:00:00', '2022-02-25 09:00:00', '1000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235909', '1562350332300890112', '新人入职培训', '2', '2022-02-25 11:10:00', '2022-02-25 14:00:00', '3000', '0', '0', '2023-09-22 17:09:43');
INSERT INTO `train_class_dine` VALUES ('1562350336906235910', '1562350332300890112', '新人入职培训', '3', '2022-02-25 15:00:00', '2022-02-25 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235911', '1562350332300890112', '新人入职培训', '1', '2022-02-26 00:00:00', '2022-02-26 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235912', '1562350332300890112', '新人入职培训', '2', '2022-02-26 11:10:00', '2022-02-26 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235913', '1562350332300890112', '新人入职培训', '3', '2022-02-26 15:00:00', '2022-02-26 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235914', '1562350332300890112', '新人入职培训', '1', '2022-02-27 00:00:00', '2022-02-27 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235915', '1562350332300890112', '新人入职培训', '2', '2022-02-27 11:10:00', '2022-02-27 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235916', '1562350332300890112', '新人入职培训', '3', '2022-02-27 15:00:00', '2022-02-27 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235917', '1562350332300890112', '新人入职培训', '1', '2022-02-28 00:00:00', '2022-02-28 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235918', '1562350332300890112', '新人入职培训', '2', '2022-02-28 11:10:00', '2022-02-28 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235919', '1562350332300890112', '新人入职培训', '3', '2022-02-28 15:00:00', '2022-02-28 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235920', '1562350332300890112', '新人入职培训', '1', '2022-03-01 00:00:00', '2022-03-01 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235921', '1562350332300890112', '新人入职培训', '2', '2022-03-01 11:10:00', '2022-03-01 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336906235922', '1562350332300890112', '新人入职培训', '3', '2022-03-01 15:00:00', '2022-03-01 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430208', '1562350332300890112', '新人入职培训', '1', '2022-03-02 00:00:00', '2022-03-02 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430209', '1562350332300890112', '新人入职培训', '2', '2022-03-02 11:10:00', '2022-03-02 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430210', '1562350332300890112', '新人入职培训', '3', '2022-03-02 15:00:00', '2022-03-02 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430211', '1562350332300890112', '新人入职培训', '1', '2022-03-03 00:00:00', '2022-03-03 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430212', '1562350332300890112', '新人入职培训', '2', '2022-03-03 11:10:00', '2022-03-03 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430213', '1562350332300890112', '新人入职培训', '3', '2022-03-03 15:00:00', '2022-03-03 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430214', '1562350332300890112', '新人入职培训', '1', '2022-03-04 00:00:00', '2022-03-04 09:00:00', '1000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430215', '1562350332300890112', '新人入职培训', '2', '2022-03-04 11:10:00', '2022-03-04 14:00:00', '3000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430216', '1562350332300890112', '新人入职培训', '3', '2022-03-04 15:00:00', '2022-03-04 19:30:00', '2000', '0', '0', '2023-09-22 17:09:44');
INSERT INTO `train_class_dine` VALUES ('1562350336910430217', '1562350332300890112', '新人入职培训', '1', '2022-03-05 00:00:00', '2022-03-05 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430218', '1562350332300890112', '新人入职培训', '2', '2022-03-05 11:10:00', '2022-03-05 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430219', '1562350332300890112', '新人入职培训', '3', '2022-03-05 15:00:00', '2022-03-05 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430220', '1562350332300890112', '新人入职培训', '1', '2022-03-06 00:00:00', '2022-03-06 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430221', '1562350332300890112', '新人入职培训', '2', '2022-03-06 11:10:00', '2022-03-06 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430222', '1562350332300890112', '新人入职培训', '3', '2022-03-06 15:00:00', '2022-03-06 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430223', '1562350332300890112', '新人入职培训', '1', '2022-03-07 00:00:00', '2022-03-07 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430224', '1562350332300890112', '新人入职培训', '2', '2022-03-07 11:10:00', '2022-03-07 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430225', '1562350332300890112', '新人入职培训', '3', '2022-03-07 15:00:00', '2022-03-07 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430226', '1562350332300890112', '新人入职培训', '1', '2022-03-08 00:00:00', '2022-03-08 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430227', '1562350332300890112', '新人入职培训', '2', '2022-03-08 11:10:00', '2022-03-08 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430228', '1562350332300890112', '新人入职培训', '3', '2022-03-08 15:00:00', '2022-03-08 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430229', '1562350332300890112', '新人入职培训', '1', '2022-03-09 00:00:00', '2022-03-09 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430230', '1562350332300890112', '新人入职培训', '2', '2022-03-09 11:10:00', '2022-03-09 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336910430231', '1562350332300890112', '新人入职培训', '3', '2022-03-09 15:00:00', '2022-03-09 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624512', '1562350332300890112', '新人入职培训', '1', '2022-03-10 00:00:00', '2022-03-10 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624513', '1562350332300890112', '新人入职培训', '2', '2022-03-10 11:10:00', '2022-03-10 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624514', '1562350332300890112', '新人入职培训', '3', '2022-03-10 15:00:00', '2022-03-10 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624515', '1562350332300890112', '新人入职培训', '1', '2022-03-11 00:00:00', '2022-03-11 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624516', '1562350332300890112', '新人入职培训', '2', '2022-03-11 11:10:00', '2022-03-11 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624517', '1562350332300890112', '新人入职培训', '3', '2022-03-11 15:00:00', '2022-03-11 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624518', '1562350332300890112', '新人入职培训', '1', '2022-03-12 00:00:00', '2022-03-12 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624519', '1562350332300890112', '新人入职培训', '2', '2022-03-12 11:10:00', '2022-03-12 14:00:00', '3000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624520', '1562350332300890112', '新人入职培训', '3', '2022-03-12 15:00:00', '2022-03-12 19:30:00', '2000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624521', '1562350332300890112', '新人入职培训', '1', '2022-03-13 00:00:00', '2022-03-13 09:00:00', '1000', '0', '0', '2023-09-22 17:09:45');
INSERT INTO `train_class_dine` VALUES ('1562350336914624522', '1562350332300890112', '新人入职培训', '2', '2022-03-13 11:10:00', '2022-03-13 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624523', '1562350332300890112', '新人入职培训', '3', '2022-03-13 15:00:00', '2022-03-13 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624524', '1562350332300890112', '新人入职培训', '1', '2022-03-14 00:00:00', '2022-03-14 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624525', '1562350332300890112', '新人入职培训', '2', '2022-03-14 11:10:00', '2022-03-14 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624526', '1562350332300890112', '新人入职培训', '3', '2022-03-14 15:00:00', '2022-03-14 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624527', '1562350332300890112', '新人入职培训', '1', '2022-03-15 00:00:00', '2022-03-15 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624528', '1562350332300890112', '新人入职培训', '2', '2022-03-15 11:10:00', '2022-03-15 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624529', '1562350332300890112', '新人入职培训', '3', '2022-03-15 15:00:00', '2022-03-15 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336914624530', '1562350332300890112', '新人入职培训', '1', '2022-03-16 00:00:00', '2022-03-16 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818816', '1562350332300890112', '新人入职培训', '2', '2022-03-16 11:10:00', '2022-03-16 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818817', '1562350332300890112', '新人入职培训', '3', '2022-03-16 15:00:00', '2022-03-16 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818818', '1562350332300890112', '新人入职培训', '1', '2022-03-17 00:00:00', '2022-03-17 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818819', '1562350332300890112', '新人入职培训', '2', '2022-03-17 11:10:00', '2022-03-17 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818820', '1562350332300890112', '新人入职培训', '3', '2022-03-17 15:00:00', '2022-03-17 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818821', '1562350332300890112', '新人入职培训', '1', '2022-03-18 00:00:00', '2022-03-18 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818822', '1562350332300890112', '新人入职培训', '2', '2022-03-18 11:10:00', '2022-03-18 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818823', '1562350332300890112', '新人入职培训', '3', '2022-03-18 15:00:00', '2022-03-18 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818824', '1562350332300890112', '新人入职培训', '1', '2022-03-19 00:00:00', '2022-03-19 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818825', '1562350332300890112', '新人入职培训', '2', '2022-03-19 11:10:00', '2022-03-19 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818826', '1562350332300890112', '新人入职培训', '3', '2022-03-19 15:00:00', '2022-03-19 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818827', '1562350332300890112', '新人入职培训', '1', '2022-03-20 00:00:00', '2022-03-20 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818828', '1562350332300890112', '新人入职培训', '2', '2022-03-20 11:10:00', '2022-03-20 14:00:00', '3000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818829', '1562350332300890112', '新人入职培训', '3', '2022-03-20 15:00:00', '2022-03-20 19:30:00', '2000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818830', '1562350332300890112', '新人入职培训', '1', '2022-03-21 00:00:00', '2022-03-21 09:00:00', '1000', '0', '0', '2023-09-22 17:09:46');
INSERT INTO `train_class_dine` VALUES ('1562350336918818831', '1562350332300890112', '新人入职培训', '2', '2022-03-21 11:10:00', '2022-03-21 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336918818832', '1562350332300890112', '新人入职培训', '3', '2022-03-21 15:00:00', '2022-03-21 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336918818833', '1562350332300890112', '新人入职培训', '1', '2022-03-22 00:00:00', '2022-03-22 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336918818834', '1562350332300890112', '新人入职培训', '2', '2022-03-22 11:10:00', '2022-03-22 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336918818835', '1562350332300890112', '新人入职培训', '3', '2022-03-22 15:00:00', '2022-03-22 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013120', '1562350332300890112', '新人入职培训', '1', '2022-03-23 00:00:00', '2022-03-23 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013121', '1562350332300890112', '新人入职培训', '2', '2022-03-23 11:10:00', '2022-03-23 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013122', '1562350332300890112', '新人入职培训', '3', '2022-03-23 15:00:00', '2022-03-23 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013123', '1562350332300890112', '新人入职培训', '1', '2022-03-24 00:00:00', '2022-03-24 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013124', '1562350332300890112', '新人入职培训', '2', '2022-03-24 11:10:00', '2022-03-24 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013125', '1562350332300890112', '新人入职培训', '3', '2022-03-24 15:00:00', '2022-03-24 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013126', '1562350332300890112', '新人入职培训', '1', '2022-03-25 00:00:00', '2022-03-25 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013127', '1562350332300890112', '新人入职培训', '2', '2022-03-25 11:10:00', '2022-03-25 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013128', '1562350332300890112', '新人入职培训', '3', '2022-03-25 15:00:00', '2022-03-25 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013129', '1562350332300890112', '新人入职培训', '1', '2022-03-26 00:00:00', '2022-03-26 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013130', '1562350332300890112', '新人入职培训', '2', '2022-03-26 11:10:00', '2022-03-26 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013131', '1562350332300890112', '新人入职培训', '3', '2022-03-26 15:00:00', '2022-03-26 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013132', '1562350332300890112', '新人入职培训', '1', '2022-03-27 00:00:00', '2022-03-27 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013133', '1562350332300890112', '新人入职培训', '2', '2022-03-27 11:10:00', '2022-03-27 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013134', '1562350332300890112', '新人入职培训', '3', '2022-03-27 15:00:00', '2022-03-27 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013135', '1562350332300890112', '新人入职培训', '1', '2022-03-28 00:00:00', '2022-03-28 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013136', '1562350332300890112', '新人入职培训', '2', '2022-03-28 11:10:00', '2022-03-28 14:00:00', '3000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013137', '1562350332300890112', '新人入职培训', '3', '2022-03-28 15:00:00', '2022-03-28 19:30:00', '2000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013138', '1562350332300890112', '新人入职培训', '1', '2022-03-29 00:00:00', '2022-03-29 09:00:00', '1000', '0', '0', '2023-09-22 17:09:47');
INSERT INTO `train_class_dine` VALUES ('1562350336923013139', '1562350332300890112', '新人入职培训', '2', '2022-03-29 11:10:00', '2022-03-29 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013140', '1562350332300890112', '新人入职培训', '3', '2022-03-29 15:00:00', '2022-03-29 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013141', '1562350332300890112', '新人入职培训', '1', '2022-03-30 00:00:00', '2022-03-30 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013142', '1562350332300890112', '新人入职培训', '2', '2022-03-30 11:10:00', '2022-03-30 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013143', '1562350332300890112', '新人入职培训', '3', '2022-03-30 15:00:00', '2022-03-30 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013144', '1562350332300890112', '新人入职培训', '1', '2022-03-31 00:00:00', '2022-03-31 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013145', '1562350332300890112', '新人入职培训', '2', '2022-03-31 11:10:00', '2022-03-31 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336923013146', '1562350332300890112', '新人入职培训', '3', '2022-03-31 15:00:00', '2022-03-31 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207424', '1562350332300890112', '新人入职培训', '1', '2022-04-01 00:00:00', '2022-04-01 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207425', '1562350332300890112', '新人入职培训', '2', '2022-04-01 11:10:00', '2022-04-01 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207426', '1562350332300890112', '新人入职培训', '3', '2022-04-01 15:00:00', '2022-04-01 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207427', '1562350332300890112', '新人入职培训', '1', '2022-04-02 00:00:00', '2022-04-02 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207428', '1562350332300890112', '新人入职培训', '2', '2022-04-02 11:10:00', '2022-04-02 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207429', '1562350332300890112', '新人入职培训', '3', '2022-04-02 15:00:00', '2022-04-02 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207430', '1562350332300890112', '新人入职培训', '1', '2022-04-03 00:00:00', '2022-04-03 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207431', '1562350332300890112', '新人入职培训', '2', '2022-04-03 11:10:00', '2022-04-03 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207432', '1562350332300890112', '新人入职培训', '3', '2022-04-03 15:00:00', '2022-04-03 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207433', '1562350332300890112', '新人入职培训', '1', '2022-04-04 00:00:00', '2022-04-04 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207434', '1562350332300890112', '新人入职培训', '2', '2022-04-04 11:10:00', '2022-04-04 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207435', '1562350332300890112', '新人入职培训', '3', '2022-04-04 15:00:00', '2022-04-04 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207436', '1562350332300890112', '新人入职培训', '1', '2022-04-05 00:00:00', '2022-04-05 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207437', '1562350332300890112', '新人入职培训', '2', '2022-04-05 11:10:00', '2022-04-05 14:00:00', '3000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207438', '1562350332300890112', '新人入职培训', '3', '2022-04-05 15:00:00', '2022-04-05 19:30:00', '2000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207439', '1562350332300890112', '新人入职培训', '1', '2022-04-06 00:00:00', '2022-04-06 09:00:00', '1000', '0', '0', '2023-09-22 17:09:48');
INSERT INTO `train_class_dine` VALUES ('1562350336927207440', '1562350332300890112', '新人入职培训', '2', '2022-04-06 11:10:00', '2022-04-06 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336927207441', '1562350332300890112', '新人入职培训', '3', '2022-04-06 15:00:00', '2022-04-06 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336927207442', '1562350332300890112', '新人入职培训', '1', '2022-04-07 00:00:00', '2022-04-07 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336927207443', '1562350332300890112', '新人入职培训', '2', '2022-04-07 11:10:00', '2022-04-07 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401728', '1562350332300890112', '新人入职培训', '3', '2022-04-07 15:00:00', '2022-04-07 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401729', '1562350332300890112', '新人入职培训', '1', '2022-04-08 00:00:00', '2022-04-08 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401730', '1562350332300890112', '新人入职培训', '2', '2022-04-08 11:10:00', '2022-04-08 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401731', '1562350332300890112', '新人入职培训', '3', '2022-04-08 15:00:00', '2022-04-08 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401732', '1562350332300890112', '新人入职培训', '1', '2022-04-09 00:00:00', '2022-04-09 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401733', '1562350332300890112', '新人入职培训', '2', '2022-04-09 11:10:00', '2022-04-09 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401734', '1562350332300890112', '新人入职培训', '3', '2022-04-09 15:00:00', '2022-04-09 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401735', '1562350332300890112', '新人入职培训', '1', '2022-04-10 00:00:00', '2022-04-10 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401736', '1562350332300890112', '新人入职培训', '2', '2022-04-10 11:10:00', '2022-04-10 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401737', '1562350332300890112', '新人入职培训', '3', '2022-04-10 15:00:00', '2022-04-10 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401738', '1562350332300890112', '新人入职培训', '1', '2022-04-11 00:00:00', '2022-04-11 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401739', '1562350332300890112', '新人入职培训', '2', '2022-04-11 11:10:00', '2022-04-11 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401740', '1562350332300890112', '新人入职培训', '3', '2022-04-11 15:00:00', '2022-04-11 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401741', '1562350332300890112', '新人入职培训', '1', '2022-04-12 00:00:00', '2022-04-12 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401742', '1562350332300890112', '新人入职培训', '2', '2022-04-12 11:10:00', '2022-04-12 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401743', '1562350332300890112', '新人入职培训', '3', '2022-04-12 15:00:00', '2022-04-12 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401744', '1562350332300890112', '新人入职培训', '1', '2022-04-13 00:00:00', '2022-04-13 09:00:00', '1000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401745', '1562350332300890112', '新人入职培训', '2', '2022-04-13 11:10:00', '2022-04-13 14:00:00', '3000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401746', '1562350332300890112', '新人入职培训', '3', '2022-04-13 15:00:00', '2022-04-13 19:30:00', '2000', '0', '0', '2023-09-22 17:09:49');
INSERT INTO `train_class_dine` VALUES ('1562350336931401747', '1562350332300890112', '新人入职培训', '1', '2022-04-14 00:00:00', '2022-04-14 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336931401748', '1562350332300890112', '新人入职培训', '2', '2022-04-14 11:10:00', '2022-04-14 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596032', '1562350332300890112', '新人入职培训', '3', '2022-04-14 15:00:00', '2022-04-14 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596033', '1562350332300890112', '新人入职培训', '1', '2022-04-15 00:00:00', '2022-04-15 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596034', '1562350332300890112', '新人入职培训', '2', '2022-04-15 11:10:00', '2022-04-15 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596035', '1562350332300890112', '新人入职培训', '3', '2022-04-15 15:00:00', '2022-04-15 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596036', '1562350332300890112', '新人入职培训', '1', '2022-04-16 00:00:00', '2022-04-16 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596037', '1562350332300890112', '新人入职培训', '2', '2022-04-16 11:10:00', '2022-04-16 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596038', '1562350332300890112', '新人入职培训', '3', '2022-04-16 15:00:00', '2022-04-16 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596039', '1562350332300890112', '新人入职培训', '1', '2022-04-17 00:00:00', '2022-04-17 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596040', '1562350332300890112', '新人入职培训', '2', '2022-04-17 11:10:00', '2022-04-17 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596041', '1562350332300890112', '新人入职培训', '3', '2022-04-17 15:00:00', '2022-04-17 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596042', '1562350332300890112', '新人入职培训', '1', '2022-04-18 00:00:00', '2022-04-18 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596043', '1562350332300890112', '新人入职培训', '2', '2022-04-18 11:10:00', '2022-04-18 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596044', '1562350332300890112', '新人入职培训', '3', '2022-04-18 15:00:00', '2022-04-18 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596045', '1562350332300890112', '新人入职培训', '1', '2022-04-19 00:00:00', '2022-04-19 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596046', '1562350332300890112', '新人入职培训', '2', '2022-04-19 11:10:00', '2022-04-19 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596047', '1562350332300890112', '新人入职培训', '3', '2022-04-19 15:00:00', '2022-04-19 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596048', '1562350332300890112', '新人入职培训', '1', '2022-04-20 00:00:00', '2022-04-20 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596049', '1562350332300890112', '新人入职培训', '2', '2022-04-20 11:10:00', '2022-04-20 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596050', '1562350332300890112', '新人入职培训', '3', '2022-04-20 15:00:00', '2022-04-20 19:30:00', '2000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596051', '1562350332300890112', '新人入职培训', '1', '2022-04-21 00:00:00', '2022-04-21 09:00:00', '1000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596052', '1562350332300890112', '新人入职培训', '2', '2022-04-21 11:10:00', '2022-04-21 14:00:00', '3000', '0', '0', '2023-09-22 17:09:50');
INSERT INTO `train_class_dine` VALUES ('1562350336935596053', '1562350332300890112', '新人入职培训', '3', '2022-04-21 15:00:00', '2022-04-21 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336935596054', '1562350332300890112', '新人入职培训', '1', '2022-04-22 00:00:00', '2022-04-22 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790336', '1562350332300890112', '新人入职培训', '2', '2022-04-22 11:10:00', '2022-04-22 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790337', '1562350332300890112', '新人入职培训', '3', '2022-04-22 15:00:00', '2022-04-22 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790338', '1562350332300890112', '新人入职培训', '1', '2022-04-23 00:00:00', '2022-04-23 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790339', '1562350332300890112', '新人入职培训', '2', '2022-04-23 11:10:00', '2022-04-23 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790340', '1562350332300890112', '新人入职培训', '3', '2022-04-23 15:00:00', '2022-04-23 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790341', '1562350332300890112', '新人入职培训', '1', '2022-04-24 00:00:00', '2022-04-24 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790342', '1562350332300890112', '新人入职培训', '2', '2022-04-24 11:10:00', '2022-04-24 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790343', '1562350332300890112', '新人入职培训', '3', '2022-04-24 15:00:00', '2022-04-24 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790344', '1562350332300890112', '新人入职培训', '1', '2022-04-25 00:00:00', '2022-04-25 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790345', '1562350332300890112', '新人入职培训', '2', '2022-04-25 11:10:00', '2022-04-25 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790346', '1562350332300890112', '新人入职培训', '3', '2022-04-25 15:00:00', '2022-04-25 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790347', '1562350332300890112', '新人入职培训', '1', '2022-04-26 00:00:00', '2022-04-26 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790348', '1562350332300890112', '新人入职培训', '2', '2022-04-26 11:10:00', '2022-04-26 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790349', '1562350332300890112', '新人入职培训', '3', '2022-04-26 15:00:00', '2022-04-26 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790350', '1562350332300890112', '新人入职培训', '1', '2022-04-27 00:00:00', '2022-04-27 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790351', '1562350332300890112', '新人入职培训', '2', '2022-04-27 11:10:00', '2022-04-27 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790352', '1562350332300890112', '新人入职培训', '3', '2022-04-27 15:00:00', '2022-04-27 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790353', '1562350332300890112', '新人入职培训', '1', '2022-04-28 00:00:00', '2022-04-28 09:00:00', '1000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790354', '1562350332300890112', '新人入职培训', '2', '2022-04-28 11:10:00', '2022-04-28 14:00:00', '3000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790355', '1562350332300890112', '新人入职培训', '3', '2022-04-28 15:00:00', '2022-04-28 19:30:00', '2000', '0', '0', '2023-09-22 17:09:51');
INSERT INTO `train_class_dine` VALUES ('1562350336939790356', '1562350332300890112', '新人入职培训', '1', '2022-04-29 00:00:00', '2022-04-29 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336939790357', '1562350332300890112', '新人入职培训', '2', '2022-04-29 11:10:00', '2022-04-29 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336939790358', '1562350332300890112', '新人入职培训', '3', '2022-04-29 15:00:00', '2022-04-29 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336939790359', '1562350332300890112', '新人入职培训', '1', '2022-04-30 00:00:00', '2022-04-30 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336939790360', '1562350332300890112', '新人入职培训', '2', '2022-04-30 11:10:00', '2022-04-30 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336939790361', '1562350332300890112', '新人入职培训', '3', '2022-04-30 15:00:00', '2022-04-30 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984640', '1562350332300890112', '新人入职培训', '1', '2022-05-01 00:00:00', '2022-05-01 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984641', '1562350332300890112', '新人入职培训', '2', '2022-05-01 11:10:00', '2022-05-01 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984642', '1562350332300890112', '新人入职培训', '3', '2022-05-01 15:00:00', '2022-05-01 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984643', '1562350332300890112', '新人入职培训', '1', '2022-05-02 00:00:00', '2022-05-02 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984644', '1562350332300890112', '新人入职培训', '2', '2022-05-02 11:10:00', '2022-05-02 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984645', '1562350332300890112', '新人入职培训', '3', '2022-05-02 15:00:00', '2022-05-02 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984646', '1562350332300890112', '新人入职培训', '1', '2022-05-03 00:00:00', '2022-05-03 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984647', '1562350332300890112', '新人入职培训', '2', '2022-05-03 11:10:00', '2022-05-03 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984648', '1562350332300890112', '新人入职培训', '3', '2022-05-03 15:00:00', '2022-05-03 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984649', '1562350332300890112', '新人入职培训', '1', '2022-05-04 00:00:00', '2022-05-04 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984650', '1562350332300890112', '新人入职培训', '2', '2022-05-04 11:10:00', '2022-05-04 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984651', '1562350332300890112', '新人入职培训', '3', '2022-05-04 15:00:00', '2022-05-04 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984652', '1562350332300890112', '新人入职培训', '1', '2022-05-05 00:00:00', '2022-05-05 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984653', '1562350332300890112', '新人入职培训', '2', '2022-05-05 11:10:00', '2022-05-05 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984654', '1562350332300890112', '新人入职培训', '3', '2022-05-05 15:00:00', '2022-05-05 19:30:00', '2000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984655', '1562350332300890112', '新人入职培训', '1', '2022-05-06 00:00:00', '2022-05-06 09:00:00', '1000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984656', '1562350332300890112', '新人入职培训', '2', '2022-05-06 11:10:00', '2022-05-06 14:00:00', '3000', '0', '0', '2023-09-22 17:09:52');
INSERT INTO `train_class_dine` VALUES ('1562350336943984657', '1562350332300890112', '新人入职培训', '3', '2022-05-06 15:00:00', '2022-05-06 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336943984658', '1562350332300890112', '新人入职培训', '1', '2022-05-07 00:00:00', '2022-05-07 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336943984659', '1562350332300890112', '新人入职培训', '2', '2022-05-07 11:10:00', '2022-05-07 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336943984660', '1562350332300890112', '新人入职培训', '3', '2022-05-07 15:00:00', '2022-05-07 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336943984661', '1562350332300890112', '新人入职培训', '1', '2022-05-08 00:00:00', '2022-05-08 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178944', '1562350332300890112', '新人入职培训', '2', '2022-05-08 11:10:00', '2022-05-08 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178945', '1562350332300890112', '新人入职培训', '3', '2022-05-08 15:00:00', '2022-05-08 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178946', '1562350332300890112', '新人入职培训', '1', '2022-05-09 00:00:00', '2022-05-09 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178947', '1562350332300890112', '新人入职培训', '2', '2022-05-09 11:10:00', '2022-05-09 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178948', '1562350332300890112', '新人入职培训', '3', '2022-05-09 15:00:00', '2022-05-09 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178949', '1562350332300890112', '新人入职培训', '1', '2022-05-10 00:00:00', '2022-05-10 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178950', '1562350332300890112', '新人入职培训', '2', '2022-05-10 11:10:00', '2022-05-10 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178951', '1562350332300890112', '新人入职培训', '3', '2022-05-10 15:00:00', '2022-05-10 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178952', '1562350332300890112', '新人入职培训', '1', '2022-05-11 00:00:00', '2022-05-11 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178953', '1562350332300890112', '新人入职培训', '2', '2022-05-11 11:10:00', '2022-05-11 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178954', '1562350332300890112', '新人入职培训', '3', '2022-05-11 15:00:00', '2022-05-11 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178955', '1562350332300890112', '新人入职培训', '1', '2022-05-12 00:00:00', '2022-05-12 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178956', '1562350332300890112', '新人入职培训', '2', '2022-05-12 11:10:00', '2022-05-12 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178957', '1562350332300890112', '新人入职培训', '3', '2022-05-12 15:00:00', '2022-05-12 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178958', '1562350332300890112', '新人入职培训', '1', '2022-05-13 00:00:00', '2022-05-13 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178959', '1562350332300890112', '新人入职培训', '2', '2022-05-13 11:10:00', '2022-05-13 14:00:00', '3000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178960', '1562350332300890112', '新人入职培训', '3', '2022-05-13 15:00:00', '2022-05-13 19:30:00', '2000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178961', '1562350332300890112', '新人入职培训', '1', '2022-05-14 00:00:00', '2022-05-14 09:00:00', '1000', '0', '0', '2023-09-22 17:09:53');
INSERT INTO `train_class_dine` VALUES ('1562350336948178962', '1562350332300890112', '新人入职培训', '2', '2022-05-14 11:10:00', '2022-05-14 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178963', '1562350332300890112', '新人入职培训', '3', '2022-05-14 15:00:00', '2022-05-14 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178964', '1562350332300890112', '新人入职培训', '1', '2022-05-15 00:00:00', '2022-05-15 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178965', '1562350332300890112', '新人入职培训', '2', '2022-05-15 11:10:00', '2022-05-15 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178966', '1562350332300890112', '新人入职培训', '3', '2022-05-15 15:00:00', '2022-05-15 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178967', '1562350332300890112', '新人入职培训', '1', '2022-05-16 00:00:00', '2022-05-16 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178968', '1562350332300890112', '新人入职培训', '2', '2022-05-16 11:10:00', '2022-05-16 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178969', '1562350332300890112', '新人入职培训', '3', '2022-05-16 15:00:00', '2022-05-16 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178970', '1562350332300890112', '新人入职培训', '1', '2022-05-17 00:00:00', '2022-05-17 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336948178971', '1562350332300890112', '新人入职培训', '2', '2022-05-17 11:10:00', '2022-05-17 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373248', '1562350332300890112', '新人入职培训', '3', '2022-05-17 15:00:00', '2022-05-17 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373249', '1562350332300890112', '新人入职培训', '1', '2022-05-18 00:00:00', '2022-05-18 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373250', '1562350332300890112', '新人入职培训', '2', '2022-05-18 11:10:00', '2022-05-18 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373251', '1562350332300890112', '新人入职培训', '3', '2022-05-18 15:00:00', '2022-05-18 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373252', '1562350332300890112', '新人入职培训', '1', '2022-05-19 00:00:00', '2022-05-19 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373253', '1562350332300890112', '新人入职培训', '2', '2022-05-19 11:10:00', '2022-05-19 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373254', '1562350332300890112', '新人入职培训', '3', '2022-05-19 15:00:00', '2022-05-19 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373255', '1562350332300890112', '新人入职培训', '1', '2022-05-20 00:00:00', '2022-05-20 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373256', '1562350332300890112', '新人入职培训', '2', '2022-05-20 11:10:00', '2022-05-20 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373257', '1562350332300890112', '新人入职培训', '3', '2022-05-20 15:00:00', '2022-05-20 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373258', '1562350332300890112', '新人入职培训', '1', '2022-05-21 00:00:00', '2022-05-21 09:00:00', '1000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373259', '1562350332300890112', '新人入职培训', '2', '2022-05-21 11:10:00', '2022-05-21 14:00:00', '3000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373260', '1562350332300890112', '新人入职培训', '3', '2022-05-21 15:00:00', '2022-05-21 19:30:00', '2000', '0', '0', '2023-09-22 17:09:54');
INSERT INTO `train_class_dine` VALUES ('1562350336952373261', '1562350332300890112', '新人入职培训', '1', '2022-05-22 00:00:00', '2022-05-22 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373262', '1562350332300890112', '新人入职培训', '2', '2022-05-22 11:10:00', '2022-05-22 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373263', '1562350332300890112', '新人入职培训', '3', '2022-05-22 15:00:00', '2022-05-22 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373264', '1562350332300890112', '新人入职培训', '1', '2022-05-23 00:00:00', '2022-05-23 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373265', '1562350332300890112', '新人入职培训', '2', '2022-05-23 11:10:00', '2022-05-23 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373266', '1562350332300890112', '新人入职培训', '3', '2022-05-23 15:00:00', '2022-05-23 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373267', '1562350332300890112', '新人入职培训', '1', '2022-05-24 00:00:00', '2022-05-24 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373268', '1562350332300890112', '新人入职培训', '2', '2022-05-24 11:10:00', '2022-05-24 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373269', '1562350332300890112', '新人入职培训', '3', '2022-05-24 15:00:00', '2022-05-24 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373270', '1562350332300890112', '新人入职培训', '1', '2022-05-25 00:00:00', '2022-05-25 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373271', '1562350332300890112', '新人入职培训', '2', '2022-05-25 11:10:00', '2022-05-25 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373272', '1562350332300890112', '新人入职培训', '3', '2022-05-25 15:00:00', '2022-05-25 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373273', '1562350332300890112', '新人入职培训', '1', '2022-05-26 00:00:00', '2022-05-26 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373274', '1562350332300890112', '新人入职培训', '2', '2022-05-26 11:10:00', '2022-05-26 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373275', '1562350332300890112', '新人入职培训', '3', '2022-05-26 15:00:00', '2022-05-26 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373276', '1562350332300890112', '新人入职培训', '1', '2022-05-27 00:00:00', '2022-05-27 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336952373277', '1562350332300890112', '新人入职培训', '2', '2022-05-27 11:10:00', '2022-05-27 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567552', '1562350332300890112', '新人入职培训', '3', '2022-05-27 15:00:00', '2022-05-27 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567553', '1562350332300890112', '新人入职培训', '1', '2022-05-28 00:00:00', '2022-05-28 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567554', '1562350332300890112', '新人入职培训', '2', '2022-05-28 11:10:00', '2022-05-28 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567555', '1562350332300890112', '新人入职培训', '3', '2022-05-28 15:00:00', '2022-05-28 19:30:00', '2000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567556', '1562350332300890112', '新人入职培训', '1', '2022-05-29 00:00:00', '2022-05-29 09:00:00', '1000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567557', '1562350332300890112', '新人入职培训', '2', '2022-05-29 11:10:00', '2022-05-29 14:00:00', '3000', '0', '0', '2023-09-22 17:09:55');
INSERT INTO `train_class_dine` VALUES ('1562350336956567558', '1562350332300890112', '新人入职培训', '3', '2022-05-29 15:00:00', '2022-05-29 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567559', '1562350332300890112', '新人入职培训', '1', '2022-05-30 00:00:00', '2022-05-30 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567560', '1562350332300890112', '新人入职培训', '2', '2022-05-30 11:10:00', '2022-05-30 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567561', '1562350332300890112', '新人入职培训', '3', '2022-05-30 15:00:00', '2022-05-30 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567562', '1562350332300890112', '新人入职培训', '1', '2022-05-31 00:00:00', '2022-05-31 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567563', '1562350332300890112', '新人入职培训', '2', '2022-05-31 11:10:00', '2022-05-31 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567564', '1562350332300890112', '新人入职培训', '3', '2022-05-31 15:00:00', '2022-05-31 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567565', '1562350332300890112', '新人入职培训', '1', '2022-06-01 00:00:00', '2022-06-01 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567566', '1562350332300890112', '新人入职培训', '2', '2022-06-01 11:10:00', '2022-06-01 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567567', '1562350332300890112', '新人入职培训', '3', '2022-06-01 15:00:00', '2022-06-01 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567568', '1562350332300890112', '新人入职培训', '1', '2022-06-02 00:00:00', '2022-06-02 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567569', '1562350332300890112', '新人入职培训', '2', '2022-06-02 11:10:00', '2022-06-02 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567570', '1562350332300890112', '新人入职培训', '3', '2022-06-02 15:00:00', '2022-06-02 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567571', '1562350332300890112', '新人入职培训', '1', '2022-06-03 00:00:00', '2022-06-03 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567572', '1562350332300890112', '新人入职培训', '2', '2022-06-03 11:10:00', '2022-06-03 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336956567573', '1562350332300890112', '新人入职培训', '3', '2022-06-03 15:00:00', '2022-06-03 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761856', '1562350332300890112', '新人入职培训', '1', '2022-06-04 00:00:00', '2022-06-04 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761857', '1562350332300890112', '新人入职培训', '2', '2022-06-04 11:10:00', '2022-06-04 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761858', '1562350332300890112', '新人入职培训', '3', '2022-06-04 15:00:00', '2022-06-04 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761859', '1562350332300890112', '新人入职培训', '1', '2022-06-05 00:00:00', '2022-06-05 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761860', '1562350332300890112', '新人入职培训', '2', '2022-06-05 11:10:00', '2022-06-05 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761861', '1562350332300890112', '新人入职培训', '3', '2022-06-05 15:00:00', '2022-06-05 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761862', '1562350332300890112', '新人入职培训', '1', '2022-06-06 00:00:00', '2022-06-06 09:00:00', '1000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761863', '1562350332300890112', '新人入职培训', '2', '2022-06-06 11:10:00', '2022-06-06 14:00:00', '3000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761864', '1562350332300890112', '新人入职培训', '3', '2022-06-06 15:00:00', '2022-06-06 19:30:00', '2000', '0', '0', '2023-09-22 17:09:56');
INSERT INTO `train_class_dine` VALUES ('1562350336960761865', '1562350332300890112', '新人入职培训', '1', '2022-06-07 00:00:00', '2022-06-07 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761866', '1562350332300890112', '新人入职培训', '2', '2022-06-07 11:10:00', '2022-06-07 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761867', '1562350332300890112', '新人入职培训', '3', '2022-06-07 15:00:00', '2022-06-07 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761868', '1562350332300890112', '新人入职培训', '1', '2022-06-08 00:00:00', '2022-06-08 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761869', '1562350332300890112', '新人入职培训', '2', '2022-06-08 11:10:00', '2022-06-08 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761870', '1562350332300890112', '新人入职培训', '3', '2022-06-08 15:00:00', '2022-06-08 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761871', '1562350332300890112', '新人入职培训', '1', '2022-06-09 00:00:00', '2022-06-09 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761872', '1562350332300890112', '新人入职培训', '2', '2022-06-09 11:10:00', '2022-06-09 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761873', '1562350332300890112', '新人入职培训', '3', '2022-06-09 15:00:00', '2022-06-09 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761874', '1562350332300890112', '新人入职培训', '1', '2022-06-10 00:00:00', '2022-06-10 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761875', '1562350332300890112', '新人入职培训', '2', '2022-06-10 11:10:00', '2022-06-10 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761876', '1562350332300890112', '新人入职培训', '3', '2022-06-10 15:00:00', '2022-06-10 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761877', '1562350332300890112', '新人入职培训', '1', '2022-06-11 00:00:00', '2022-06-11 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761878', '1562350332300890112', '新人入职培训', '2', '2022-06-11 11:10:00', '2022-06-11 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761879', '1562350332300890112', '新人入职培训', '3', '2022-06-11 15:00:00', '2022-06-11 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761880', '1562350332300890112', '新人入职培训', '1', '2022-06-12 00:00:00', '2022-06-12 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761881', '1562350332300890112', '新人入职培训', '2', '2022-06-12 11:10:00', '2022-06-12 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761882', '1562350332300890112', '新人入职培训', '3', '2022-06-12 15:00:00', '2022-06-12 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761883', '1562350332300890112', '新人入职培训', '1', '2022-06-13 00:00:00', '2022-06-13 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761884', '1562350332300890112', '新人入职培训', '2', '2022-06-13 11:10:00', '2022-06-13 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761885', '1562350332300890112', '新人入职培训', '3', '2022-06-13 15:00:00', '2022-06-13 19:30:00', '2000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761886', '1562350332300890112', '新人入职培训', '1', '2022-06-14 00:00:00', '2022-06-14 09:00:00', '1000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761887', '1562350332300890112', '新人入职培训', '2', '2022-06-14 11:10:00', '2022-06-14 14:00:00', '3000', '0', '0', '2023-09-22 17:09:57');
INSERT INTO `train_class_dine` VALUES ('1562350336960761888', '1562350332300890112', '新人入职培训', '3', '2022-06-14 15:00:00', '2022-06-14 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956160', '1562350332300890112', '新人入职培训', '1', '2022-06-15 00:00:00', '2022-06-15 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956161', '1562350332300890112', '新人入职培训', '2', '2022-06-15 11:10:00', '2022-06-15 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956162', '1562350332300890112', '新人入职培训', '3', '2022-06-15 15:00:00', '2022-06-15 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956163', '1562350332300890112', '新人入职培训', '1', '2022-06-16 00:00:00', '2022-06-16 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956164', '1562350332300890112', '新人入职培训', '2', '2022-06-16 11:10:00', '2022-06-16 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956165', '1562350332300890112', '新人入职培训', '3', '2022-06-16 15:00:00', '2022-06-16 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956166', '1562350332300890112', '新人入职培训', '1', '2022-06-17 00:00:00', '2022-06-17 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956167', '1562350332300890112', '新人入职培训', '2', '2022-06-17 11:10:00', '2022-06-17 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956168', '1562350332300890112', '新人入职培训', '3', '2022-06-17 15:00:00', '2022-06-17 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956169', '1562350332300890112', '新人入职培训', '1', '2022-06-18 00:00:00', '2022-06-18 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956170', '1562350332300890112', '新人入职培训', '2', '2022-06-18 11:10:00', '2022-06-18 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956171', '1562350332300890112', '新人入职培训', '3', '2022-06-18 15:00:00', '2022-06-18 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956172', '1562350332300890112', '新人入职培训', '1', '2022-06-19 00:00:00', '2022-06-19 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956173', '1562350332300890112', '新人入职培训', '2', '2022-06-19 11:10:00', '2022-06-19 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956174', '1562350332300890112', '新人入职培训', '3', '2022-06-19 15:00:00', '2022-06-19 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956175', '1562350332300890112', '新人入职培训', '1', '2022-06-20 00:00:00', '2022-06-20 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956176', '1562350332300890112', '新人入职培训', '2', '2022-06-20 11:10:00', '2022-06-20 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956177', '1562350332300890112', '新人入职培训', '3', '2022-06-20 15:00:00', '2022-06-20 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956178', '1562350332300890112', '新人入职培训', '1', '2022-06-21 00:00:00', '2022-06-21 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956179', '1562350332300890112', '新人入职培训', '2', '2022-06-21 11:10:00', '2022-06-21 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956180', '1562350332300890112', '新人入职培训', '3', '2022-06-21 15:00:00', '2022-06-21 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956181', '1562350332300890112', '新人入职培训', '1', '2022-06-22 00:00:00', '2022-06-22 09:00:00', '1000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956182', '1562350332300890112', '新人入职培训', '2', '2022-06-22 11:10:00', '2022-06-22 14:00:00', '3000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956183', '1562350332300890112', '新人入职培训', '3', '2022-06-22 15:00:00', '2022-06-22 19:30:00', '2000', '0', '0', '2023-09-22 17:09:58');
INSERT INTO `train_class_dine` VALUES ('1562350336964956184', '1562350332300890112', '新人入职培训', '1', '2022-06-23 00:00:00', '2022-06-23 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336964956185', '1562350332300890112', '新人入职培训', '2', '2022-06-23 11:10:00', '2022-06-23 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336964956186', '1562350332300890112', '新人入职培训', '3', '2022-06-23 15:00:00', '2022-06-23 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150464', '1562350332300890112', '新人入职培训', '1', '2022-06-24 00:00:00', '2022-06-24 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150465', '1562350332300890112', '新人入职培训', '2', '2022-06-24 11:10:00', '2022-06-24 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150466', '1562350332300890112', '新人入职培训', '3', '2022-06-24 15:00:00', '2022-06-24 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150467', '1562350332300890112', '新人入职培训', '1', '2022-06-25 00:00:00', '2022-06-25 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150468', '1562350332300890112', '新人入职培训', '2', '2022-06-25 11:10:00', '2022-06-25 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150469', '1562350332300890112', '新人入职培训', '3', '2022-06-25 15:00:00', '2022-06-25 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150470', '1562350332300890112', '新人入职培训', '1', '2022-06-26 00:00:00', '2022-06-26 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150471', '1562350332300890112', '新人入职培训', '2', '2022-06-26 11:10:00', '2022-06-26 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150472', '1562350332300890112', '新人入职培训', '3', '2022-06-26 15:00:00', '2022-06-26 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150473', '1562350332300890112', '新人入职培训', '1', '2022-06-27 00:00:00', '2022-06-27 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150474', '1562350332300890112', '新人入职培训', '2', '2022-06-27 11:10:00', '2022-06-27 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150475', '1562350332300890112', '新人入职培训', '3', '2022-06-27 15:00:00', '2022-06-27 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150476', '1562350332300890112', '新人入职培训', '1', '2022-06-28 00:00:00', '2022-06-28 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150477', '1562350332300890112', '新人入职培训', '2', '2022-06-28 11:10:00', '2022-06-28 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150478', '1562350332300890112', '新人入职培训', '3', '2022-06-28 15:00:00', '2022-06-28 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150479', '1562350332300890112', '新人入职培训', '1', '2022-06-29 00:00:00', '2022-06-29 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150480', '1562350332300890112', '新人入职培训', '2', '2022-06-29 11:10:00', '2022-06-29 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150481', '1562350332300890112', '新人入职培训', '3', '2022-06-29 15:00:00', '2022-06-29 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150482', '1562350332300890112', '新人入职培训', '1', '2022-06-30 00:00:00', '2022-06-30 09:00:00', '1000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150483', '1562350332300890112', '新人入职培训', '2', '2022-06-30 11:10:00', '2022-06-30 14:00:00', '3000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150484', '1562350332300890112', '新人入职培训', '3', '2022-06-30 15:00:00', '2022-06-30 19:30:00', '2000', '0', '0', '2023-09-22 17:09:59');
INSERT INTO `train_class_dine` VALUES ('1562350336969150485', '1562350332300890112', '新人入职培训', '1', '2022-07-01 00:00:00', '2022-07-01 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150486', '1562350332300890112', '新人入职培训', '2', '2022-07-01 11:10:00', '2022-07-01 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150487', '1562350332300890112', '新人入职培训', '3', '2022-07-01 15:00:00', '2022-07-01 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150488', '1562350332300890112', '新人入职培训', '1', '2022-07-02 00:00:00', '2022-07-02 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150489', '1562350332300890112', '新人入职培训', '2', '2022-07-02 11:10:00', '2022-07-02 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150490', '1562350332300890112', '新人入职培训', '3', '2022-07-02 15:00:00', '2022-07-02 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150491', '1562350332300890112', '新人入职培训', '1', '2022-07-03 00:00:00', '2022-07-03 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150492', '1562350332300890112', '新人入职培训', '2', '2022-07-03 11:10:00', '2022-07-03 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150493', '1562350332300890112', '新人入职培训', '3', '2022-07-03 15:00:00', '2022-07-03 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150494', '1562350332300890112', '新人入职培训', '1', '2022-07-04 00:00:00', '2022-07-04 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150495', '1562350332300890112', '新人入职培训', '2', '2022-07-04 11:10:00', '2022-07-04 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150496', '1562350332300890112', '新人入职培训', '3', '2022-07-04 15:00:00', '2022-07-04 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336969150497', '1562350332300890112', '新人入职培训', '1', '2022-07-05 00:00:00', '2022-07-05 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344768', '1562350332300890112', '新人入职培训', '2', '2022-07-05 11:10:00', '2022-07-05 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344769', '1562350332300890112', '新人入职培训', '3', '2022-07-05 15:00:00', '2022-07-05 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344770', '1562350332300890112', '新人入职培训', '1', '2022-07-06 00:00:00', '2022-07-06 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344771', '1562350332300890112', '新人入职培训', '2', '2022-07-06 11:10:00', '2022-07-06 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344772', '1562350332300890112', '新人入职培训', '3', '2022-07-06 15:00:00', '2022-07-06 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344773', '1562350332300890112', '新人入职培训', '1', '2022-07-07 00:00:00', '2022-07-07 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344774', '1562350332300890112', '新人入职培训', '2', '2022-07-07 11:10:00', '2022-07-07 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344775', '1562350332300890112', '新人入职培训', '3', '2022-07-07 15:00:00', '2022-07-07 19:30:00', '2000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344776', '1562350332300890112', '新人入职培训', '1', '2022-07-08 00:00:00', '2022-07-08 09:00:00', '1000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344777', '1562350332300890112', '新人入职培训', '2', '2022-07-08 11:10:00', '2022-07-08 14:00:00', '3000', '0', '0', '2023-09-22 17:10:00');
INSERT INTO `train_class_dine` VALUES ('1562350336973344778', '1562350332300890112', '新人入职培训', '3', '2022-07-08 15:00:00', '2022-07-08 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344779', '1562350332300890112', '新人入职培训', '1', '2022-07-09 00:00:00', '2022-07-09 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344780', '1562350332300890112', '新人入职培训', '2', '2022-07-09 11:10:00', '2022-07-09 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344781', '1562350332300890112', '新人入职培训', '3', '2022-07-09 15:00:00', '2022-07-09 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344782', '1562350332300890112', '新人入职培训', '1', '2022-07-10 00:00:00', '2022-07-10 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344783', '1562350332300890112', '新人入职培训', '2', '2022-07-10 11:10:00', '2022-07-10 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344784', '1562350332300890112', '新人入职培训', '3', '2022-07-10 15:00:00', '2022-07-10 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344785', '1562350332300890112', '新人入职培训', '1', '2022-07-11 00:00:00', '2022-07-11 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344786', '1562350332300890112', '新人入职培训', '2', '2022-07-11 11:10:00', '2022-07-11 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344787', '1562350332300890112', '新人入职培训', '3', '2022-07-11 15:00:00', '2022-07-11 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344788', '1562350332300890112', '新人入职培训', '1', '2022-07-12 00:00:00', '2022-07-12 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344789', '1562350332300890112', '新人入职培训', '2', '2022-07-12 11:10:00', '2022-07-12 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344790', '1562350332300890112', '新人入职培训', '3', '2022-07-12 15:00:00', '2022-07-12 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344791', '1562350332300890112', '新人入职培训', '1', '2022-07-13 00:00:00', '2022-07-13 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344792', '1562350332300890112', '新人入职培训', '2', '2022-07-13 11:10:00', '2022-07-13 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344793', '1562350332300890112', '新人入职培训', '3', '2022-07-13 15:00:00', '2022-07-13 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344794', '1562350332300890112', '新人入职培训', '1', '2022-07-14 00:00:00', '2022-07-14 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344795', '1562350332300890112', '新人入职培训', '2', '2022-07-14 11:10:00', '2022-07-14 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344796', '1562350332300890112', '新人入职培训', '3', '2022-07-14 15:00:00', '2022-07-14 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336973344797', '1562350332300890112', '新人入职培训', '1', '2022-07-15 00:00:00', '2022-07-15 09:00:00', '1000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336977539072', '1562350332300890112', '新人入职培训', '2', '2022-07-15 11:10:00', '2022-07-15 14:00:00', '3000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336977539073', '1562350332300890112', '新人入职培训', '3', '2022-07-15 15:00:00', '2022-07-15 19:30:00', '2000', '0', '0', '2023-09-22 17:10:01');
INSERT INTO `train_class_dine` VALUES ('1562350336977539074', '1562350332300890112', '新人入职培训', '1', '2022-07-16 00:00:00', '2022-07-16 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539075', '1562350332300890112', '新人入职培训', '2', '2022-07-16 11:10:00', '2022-07-16 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539076', '1562350332300890112', '新人入职培训', '3', '2022-07-16 15:00:00', '2022-07-16 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539077', '1562350332300890112', '新人入职培训', '1', '2022-07-17 00:00:00', '2022-07-17 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539078', '1562350332300890112', '新人入职培训', '2', '2022-07-17 11:10:00', '2022-07-17 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539079', '1562350332300890112', '新人入职培训', '3', '2022-07-17 15:00:00', '2022-07-17 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539080', '1562350332300890112', '新人入职培训', '1', '2022-07-18 00:00:00', '2022-07-18 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539081', '1562350332300890112', '新人入职培训', '2', '2022-07-18 11:10:00', '2022-07-18 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539082', '1562350332300890112', '新人入职培训', '3', '2022-07-18 15:00:00', '2022-07-18 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539083', '1562350332300890112', '新人入职培训', '1', '2022-07-19 00:00:00', '2022-07-19 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539084', '1562350332300890112', '新人入职培训', '2', '2022-07-19 11:10:00', '2022-07-19 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539085', '1562350332300890112', '新人入职培训', '3', '2022-07-19 15:00:00', '2022-07-19 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539086', '1562350332300890112', '新人入职培训', '1', '2022-07-20 00:00:00', '2022-07-20 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539087', '1562350332300890112', '新人入职培训', '2', '2022-07-20 11:10:00', '2022-07-20 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539088', '1562350332300890112', '新人入职培训', '3', '2022-07-20 15:00:00', '2022-07-20 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539089', '1562350332300890112', '新人入职培训', '1', '2022-07-21 00:00:00', '2022-07-21 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539090', '1562350332300890112', '新人入职培训', '2', '2022-07-21 11:10:00', '2022-07-21 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539091', '1562350332300890112', '新人入职培训', '3', '2022-07-21 15:00:00', '2022-07-21 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539092', '1562350332300890112', '新人入职培训', '1', '2022-07-22 00:00:00', '2022-07-22 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539093', '1562350332300890112', '新人入职培训', '2', '2022-07-22 11:10:00', '2022-07-22 14:00:00', '3000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539094', '1562350332300890112', '新人入职培训', '3', '2022-07-22 15:00:00', '2022-07-22 19:30:00', '2000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539095', '1562350332300890112', '新人入职培训', '1', '2022-07-23 00:00:00', '2022-07-23 09:00:00', '1000', '0', '0', '2023-09-22 17:10:02');
INSERT INTO `train_class_dine` VALUES ('1562350336977539096', '1562350332300890112', '新人入职培训', '2', '2022-07-23 11:10:00', '2022-07-23 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539097', '1562350332300890112', '新人入职培训', '3', '2022-07-23 15:00:00', '2022-07-23 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539098', '1562350332300890112', '新人入职培训', '1', '2022-07-24 00:00:00', '2022-07-24 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539099', '1562350332300890112', '新人入职培训', '2', '2022-07-24 11:10:00', '2022-07-24 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539100', '1562350332300890112', '新人入职培训', '3', '2022-07-24 15:00:00', '2022-07-24 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539101', '1562350332300890112', '新人入职培训', '1', '2022-07-25 00:00:00', '2022-07-25 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539102', '1562350332300890112', '新人入职培训', '2', '2022-07-25 11:10:00', '2022-07-25 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539103', '1562350332300890112', '新人入职培训', '3', '2022-07-25 15:00:00', '2022-07-25 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539104', '1562350332300890112', '新人入职培训', '1', '2022-07-26 00:00:00', '2022-07-26 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539105', '1562350332300890112', '新人入职培训', '2', '2022-07-26 11:10:00', '2022-07-26 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539106', '1562350332300890112', '新人入职培训', '3', '2022-07-26 15:00:00', '2022-07-26 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539107', '1562350332300890112', '新人入职培训', '1', '2022-07-27 00:00:00', '2022-07-27 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336977539108', '1562350332300890112', '新人入职培训', '2', '2022-07-27 11:10:00', '2022-07-27 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733376', '1562350332300890112', '新人入职培训', '3', '2022-07-27 15:00:00', '2022-07-27 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733377', '1562350332300890112', '新人入职培训', '1', '2022-07-28 00:00:00', '2022-07-28 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733378', '1562350332300890112', '新人入职培训', '2', '2022-07-28 11:10:00', '2022-07-28 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733379', '1562350332300890112', '新人入职培训', '3', '2022-07-28 15:00:00', '2022-07-28 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733380', '1562350332300890112', '新人入职培训', '1', '2022-07-29 00:00:00', '2022-07-29 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733381', '1562350332300890112', '新人入职培训', '2', '2022-07-29 11:10:00', '2022-07-29 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733382', '1562350332300890112', '新人入职培训', '3', '2022-07-29 15:00:00', '2022-07-29 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733383', '1562350332300890112', '新人入职培训', '1', '2022-07-30 00:00:00', '2022-07-30 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733384', '1562350332300890112', '新人入职培训', '2', '2022-07-30 11:10:00', '2022-07-30 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733385', '1562350332300890112', '新人入职培训', '3', '2022-07-30 15:00:00', '2022-07-30 19:30:00', '2000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733386', '1562350332300890112', '新人入职培训', '1', '2022-07-31 00:00:00', '2022-07-31 09:00:00', '1000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733387', '1562350332300890112', '新人入职培训', '2', '2022-07-31 11:10:00', '2022-07-31 14:00:00', '3000', '0', '0', '2023-09-22 17:10:03');
INSERT INTO `train_class_dine` VALUES ('1562350336981733388', '1562350332300890112', '新人入职培训', '3', '2022-07-31 15:00:00', '2022-07-31 19:30:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1562350336981733389', '1562350332300890112', '新人入职培训', '1', '2022-08-01 00:00:00', '2022-08-01 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1562350336981733390', '1562350332300890112', '新人入职培训', '2', '2022-08-01 11:10:00', '2022-08-01 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1562350336981733391', '1562350332300890112', '新人入职培训', '3', '2022-08-01 15:00:00', '2022-08-01 19:30:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515520', '1564137571225833472', '新人入职培训', '1', '2022-08-01 03:00:00', '2022-08-01 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515521', '1564137571225833472', '新人入职培训', '2', '2022-08-01 10:00:00', '2022-08-01 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515522', '1564137571225833472', '新人入职培训', '3', '2022-08-01 16:00:00', '2022-08-01 20:00:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515523', '1564137571225833472', '新人入职培训', '1', '2022-08-02 03:00:00', '2022-08-02 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515524', '1564137571225833472', '新人入职培训', '2', '2022-08-02 10:00:00', '2022-08-02 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515525', '1564137571225833472', '新人入职培训', '3', '2022-08-02 16:00:00', '2022-08-02 20:00:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515526', '1564137571225833472', '新人入职培训', '1', '2022-08-03 03:00:00', '2022-08-03 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515527', '1564137571225833472', '新人入职培训', '2', '2022-08-03 10:00:00', '2022-08-03 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515528', '1564137571225833472', '新人入职培训', '3', '2022-08-03 16:00:00', '2022-08-03 20:00:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515529', '1564137571225833472', '新人入职培训', '1', '2022-08-04 03:00:00', '2022-08-04 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515530', '1564137571225833472', '新人入职培训', '2', '2022-08-04 10:00:00', '2022-08-04 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515531', '1564137571225833472', '新人入职培训', '3', '2022-08-04 16:00:00', '2022-08-04 20:00:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929601515532', '1564137571225833472', '新人入职培训', '1', '2022-08-05 03:00:00', '2022-08-05 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709824', '1564137571225833472', '新人入职培训', '2', '2022-08-05 10:00:00', '2022-08-05 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709825', '1564137571225833472', '新人入职培训', '3', '2022-08-05 16:00:00', '2022-08-05 20:00:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709826', '1564137571225833472', '新人入职培训', '1', '2022-08-06 03:00:00', '2022-08-06 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709827', '1564137571225833472', '新人入职培训', '2', '2022-08-06 10:00:00', '2022-08-06 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709828', '1564137571225833472', '新人入职培训', '3', '2022-08-06 16:00:00', '2022-08-06 20:00:00', '2000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709829', '1564137571225833472', '新人入职培训', '1', '2022-08-07 03:00:00', '2022-08-07 09:00:00', '1000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709830', '1564137571225833472', '新人入职培训', '2', '2022-08-07 10:00:00', '2022-08-07 14:00:00', '3000', '0', '0', '2023-09-22 17:10:04');
INSERT INTO `train_class_dine` VALUES ('1564138929605709831', '1564137571225833472', '新人入职培训', '3', '2022-08-07 16:00:00', '2022-08-07 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709832', '1564137571225833472', '新人入职培训', '1', '2022-08-08 03:00:00', '2022-08-08 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709833', '1564137571225833472', '新人入职培训', '2', '2022-08-08 10:00:00', '2022-08-08 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709834', '1564137571225833472', '新人入职培训', '3', '2022-08-08 16:00:00', '2022-08-08 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709835', '1564137571225833472', '新人入职培训', '1', '2022-08-09 03:00:00', '2022-08-09 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709836', '1564137571225833472', '新人入职培训', '2', '2022-08-09 10:00:00', '2022-08-09 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709837', '1564137571225833472', '新人入职培训', '3', '2022-08-09 16:00:00', '2022-08-09 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929605709838', '1564137571225833472', '新人入职培训', '1', '2022-08-10 03:00:00', '2022-08-10 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904128', '1564137571225833472', '新人入职培训', '2', '2022-08-10 10:00:00', '2022-08-10 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904129', '1564137571225833472', '新人入职培训', '3', '2022-08-10 16:00:00', '2022-08-10 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904130', '1564137571225833472', '新人入职培训', '1', '2022-08-11 03:00:00', '2022-08-11 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904131', '1564137571225833472', '新人入职培训', '2', '2022-08-11 10:00:00', '2022-08-11 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904132', '1564137571225833472', '新人入职培训', '3', '2022-08-11 16:00:00', '2022-08-11 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904133', '1564137571225833472', '新人入职培训', '1', '2022-08-12 03:00:00', '2022-08-12 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904134', '1564137571225833472', '新人入职培训', '2', '2022-08-12 10:00:00', '2022-08-12 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904135', '1564137571225833472', '新人入职培训', '3', '2022-08-12 16:00:00', '2022-08-12 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904136', '1564137571225833472', '新人入职培训', '1', '2022-08-13 03:00:00', '2022-08-13 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904137', '1564137571225833472', '新人入职培训', '2', '2022-08-13 10:00:00', '2022-08-13 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904138', '1564137571225833472', '新人入职培训', '3', '2022-08-13 16:00:00', '2022-08-13 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904139', '1564137571225833472', '新人入职培训', '1', '2022-08-14 03:00:00', '2022-08-14 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904140', '1564137571225833472', '新人入职培训', '2', '2022-08-14 10:00:00', '2022-08-14 14:00:00', '3000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929609904141', '1564137571225833472', '新人入职培训', '3', '2022-08-14 16:00:00', '2022-08-14 20:00:00', '2000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929614098432', '1564137571225833472', '新人入职培训', '1', '2022-08-15 03:00:00', '2022-08-15 09:00:00', '1000', '0', '0', '2023-09-22 17:10:05');
INSERT INTO `train_class_dine` VALUES ('1564138929614098433', '1564137571225833472', '新人入职培训', '2', '2022-08-15 10:00:00', '2022-08-15 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929614098434', '1564137571225833472', '新人入职培训', '3', '2022-08-15 16:00:00', '2022-08-15 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929614098435', '1564137571225833472', '新人入职培训', '1', '2022-08-16 03:00:00', '2022-08-16 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929614098436', '1564137571225833472', '新人入职培训', '2', '2022-08-16 10:00:00', '2022-08-16 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929614098437', '1564137571225833472', '新人入职培训', '3', '2022-08-16 16:00:00', '2022-08-16 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929614098438', '1564137571225833472', '新人入职培训', '1', '2022-08-17 03:00:00', '2022-08-17 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292736', '1564137571225833472', '新人入职培训', '2', '2022-08-17 10:00:00', '2022-08-17 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292737', '1564137571225833472', '新人入职培训', '3', '2022-08-17 16:00:00', '2022-08-17 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292738', '1564137571225833472', '新人入职培训', '1', '2022-08-18 03:00:00', '2022-08-18 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292739', '1564137571225833472', '新人入职培训', '2', '2022-08-18 10:00:00', '2022-08-18 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292740', '1564137571225833472', '新人入职培训', '3', '2022-08-18 16:00:00', '2022-08-18 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292741', '1564137571225833472', '新人入职培训', '1', '2022-08-19 03:00:00', '2022-08-19 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292742', '1564137571225833472', '新人入职培训', '2', '2022-08-19 10:00:00', '2022-08-19 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292743', '1564137571225833472', '新人入职培训', '3', '2022-08-19 16:00:00', '2022-08-19 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292744', '1564137571225833472', '新人入职培训', '1', '2022-08-20 03:00:00', '2022-08-20 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292745', '1564137571225833472', '新人入职培训', '2', '2022-08-20 10:00:00', '2022-08-20 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292746', '1564137571225833472', '新人入职培训', '3', '2022-08-20 16:00:00', '2022-08-20 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292747', '1564137571225833472', '新人入职培训', '1', '2022-08-21 03:00:00', '2022-08-21 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929618292748', '1564137571225833472', '新人入职培训', '2', '2022-08-21 10:00:00', '2022-08-21 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929622487040', '1564137571225833472', '新人入职培训', '3', '2022-08-21 16:00:00', '2022-08-21 20:00:00', '2000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929622487041', '1564137571225833472', '新人入职培训', '1', '2022-08-22 03:00:00', '2022-08-22 09:00:00', '1000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929622487042', '1564137571225833472', '新人入职培训', '2', '2022-08-22 10:00:00', '2022-08-22 14:00:00', '3000', '0', '0', '2023-09-22 17:10:06');
INSERT INTO `train_class_dine` VALUES ('1564138929622487043', '1564137571225833472', '新人入职培训', '3', '2022-08-22 16:00:00', '2022-08-22 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487044', '1564137571225833472', '新人入职培训', '1', '2022-08-23 03:00:00', '2022-08-23 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487045', '1564137571225833472', '新人入职培训', '2', '2022-08-23 10:00:00', '2022-08-23 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487046', '1564137571225833472', '新人入职培训', '3', '2022-08-23 16:00:00', '2022-08-23 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487047', '1564137571225833472', '新人入职培训', '1', '2022-08-24 03:00:00', '2022-08-24 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487048', '1564137571225833472', '新人入职培训', '2', '2022-08-24 10:00:00', '2022-08-24 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487049', '1564137571225833472', '新人入职培训', '3', '2022-08-24 16:00:00', '2022-08-24 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487050', '1564137571225833472', '新人入职培训', '1', '2022-08-25 03:00:00', '2022-08-25 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487051', '1564137571225833472', '新人入职培训', '2', '2022-08-25 10:00:00', '2022-08-25 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929622487052', '1564137571225833472', '新人入职培训', '3', '2022-08-25 16:00:00', '2022-08-25 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681344', '1564137571225833472', '新人入职培训', '1', '2022-08-26 03:00:00', '2022-08-26 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681345', '1564137571225833472', '新人入职培训', '2', '2022-08-26 10:00:00', '2022-08-26 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681346', '1564137571225833472', '新人入职培训', '3', '2022-08-26 16:00:00', '2022-08-26 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681347', '1564137571225833472', '新人入职培训', '1', '2022-08-27 03:00:00', '2022-08-27 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681348', '1564137571225833472', '新人入职培训', '2', '2022-08-27 10:00:00', '2022-08-27 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681349', '1564137571225833472', '新人入职培训', '3', '2022-08-27 16:00:00', '2022-08-27 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681350', '1564137571225833472', '新人入职培训', '1', '2022-08-28 03:00:00', '2022-08-28 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681351', '1564137571225833472', '新人入职培训', '2', '2022-08-28 10:00:00', '2022-08-28 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681352', '1564137571225833472', '新人入职培训', '3', '2022-08-28 16:00:00', '2022-08-28 20:00:00', '2000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929626681353', '1564137571225833472', '新人入职培训', '1', '2022-08-29 03:00:00', '2022-08-29 09:00:00', '1000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929630875648', '1564137571225833472', '新人入职培训', '2', '2022-08-29 10:00:00', '2022-08-29 14:00:00', '3000', '0', '0', '2023-09-22 17:10:07');
INSERT INTO `train_class_dine` VALUES ('1564138929630875649', '1564137571225833472', '新人入职培训', '3', '2022-08-29 16:00:00', '2022-08-29 20:00:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875650', '1564137571225833472', '新人入职培训', '1', '2022-08-30 03:00:00', '2022-08-30 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875651', '1564137571225833472', '新人入职培训', '2', '2022-08-30 10:00:00', '2022-08-30 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875652', '1564137571225833472', '新人入职培训', '3', '2022-08-30 16:00:00', '2022-08-30 20:00:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875653', '1564137571225833472', '新人入职培训', '1', '2022-08-31 03:00:00', '2022-08-31 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875654', '1564137571225833472', '新人入职培训', '2', '2022-08-31 10:00:00', '2022-08-31 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875655', '1564137571225833472', '新人入职培训', '3', '2022-08-31 16:00:00', '2022-08-31 20:00:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929630875656', '1564137571225833472', '新人入职培训', '1', '2022-09-01 03:00:00', '2022-09-01 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929635069952', '1564137571225833472', '新人入职培训', '2', '2022-09-01 10:00:00', '2022-09-01 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564138929635069953', '1564137571225833472', '新人入职培训', '3', '2022-09-01 16:00:00', '2022-09-01 20:00:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138432', '1564459315396481024', '新人入职培训', '1', '2022-08-01 00:00:00', '2022-08-01 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138433', '1564459315396481024', '新人入职培训', '2', '2022-08-01 11:10:00', '2022-08-01 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138434', '1564459315396481024', '新人入职培训', '3', '2022-08-01 15:00:00', '2022-08-01 19:30:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138435', '1564459315396481024', '新人入职培训', '1', '2022-08-02 00:00:00', '2022-08-02 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138436', '1564459315396481024', '新人入职培训', '2', '2022-08-02 11:10:00', '2022-08-02 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138437', '1564459315396481024', '新人入职培训', '3', '2022-08-02 15:00:00', '2022-08-02 19:30:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138438', '1564459315396481024', '新人入职培训', '1', '2022-08-03 00:00:00', '2022-08-03 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138439', '1564459315396481024', '新人入职培训', '2', '2022-08-03 11:10:00', '2022-08-03 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138440', '1564459315396481024', '新人入职培训', '3', '2022-08-03 15:00:00', '2022-08-03 19:30:00', '2000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138441', '1564459315396481024', '新人入职培训', '1', '2022-08-04 00:00:00', '2022-08-04 09:00:00', '1000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138442', '1564459315396481024', '新人入职培训', '2', '2022-08-04 11:10:00', '2022-08-04 14:00:00', '3000', '0', '0', '2023-09-22 17:10:08');
INSERT INTO `train_class_dine` VALUES ('1564459508133138443', '1564459315396481024', '新人入职培训', '3', '2022-08-04 15:00:00', '2022-08-04 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138444', '1564459315396481024', '新人入职培训', '1', '2022-08-05 00:00:00', '2022-08-05 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138445', '1564459315396481024', '新人入职培训', '2', '2022-08-05 11:10:00', '2022-08-05 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138446', '1564459315396481024', '新人入职培训', '3', '2022-08-05 15:00:00', '2022-08-05 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138447', '1564459315396481024', '新人入职培训', '1', '2022-08-06 00:00:00', '2022-08-06 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138448', '1564459315396481024', '新人入职培训', '2', '2022-08-06 11:10:00', '2022-08-06 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138449', '1564459315396481024', '新人入职培训', '3', '2022-08-06 15:00:00', '2022-08-06 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138450', '1564459315396481024', '新人入职培训', '1', '2022-08-07 00:00:00', '2022-08-07 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138451', '1564459315396481024', '新人入职培训', '2', '2022-08-07 11:10:00', '2022-08-07 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508133138452', '1564459315396481024', '新人入职培训', '3', '2022-08-07 15:00:00', '2022-08-07 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332736', '1564459315396481024', '新人入职培训', '1', '2022-08-08 00:00:00', '2022-08-08 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332737', '1564459315396481024', '新人入职培训', '2', '2022-08-08 11:10:00', '2022-08-08 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332738', '1564459315396481024', '新人入职培训', '3', '2022-08-08 15:00:00', '2022-08-08 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332739', '1564459315396481024', '新人入职培训', '1', '2022-08-09 00:00:00', '2022-08-09 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332740', '1564459315396481024', '新人入职培训', '2', '2022-08-09 11:10:00', '2022-08-09 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332741', '1564459315396481024', '新人入职培训', '3', '2022-08-09 15:00:00', '2022-08-09 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332742', '1564459315396481024', '新人入职培训', '1', '2022-08-10 00:00:00', '2022-08-10 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332743', '1564459315396481024', '新人入职培训', '2', '2022-08-10 11:10:00', '2022-08-10 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332744', '1564459315396481024', '新人入职培训', '3', '2022-08-10 15:00:00', '2022-08-10 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332745', '1564459315396481024', '新人入职培训', '1', '2022-08-11 00:00:00', '2022-08-11 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332746', '1564459315396481024', '新人入职培训', '2', '2022-08-11 11:10:00', '2022-08-11 14:00:00', '3000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332747', '1564459315396481024', '新人入职培训', '3', '2022-08-11 15:00:00', '2022-08-11 19:30:00', '2000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332748', '1564459315396481024', '新人入职培训', '1', '2022-08-12 00:00:00', '2022-08-12 09:00:00', '1000', '0', '0', '2023-09-22 17:10:09');
INSERT INTO `train_class_dine` VALUES ('1564459508137332749', '1564459315396481024', '新人入职培训', '2', '2022-08-12 11:10:00', '2022-08-12 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332750', '1564459315396481024', '新人入职培训', '3', '2022-08-12 15:00:00', '2022-08-12 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332751', '1564459315396481024', '新人入职培训', '1', '2022-08-13 00:00:00', '2022-08-13 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332752', '1564459315396481024', '新人入职培训', '2', '2022-08-13 11:10:00', '2022-08-13 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332753', '1564459315396481024', '新人入职培训', '3', '2022-08-13 15:00:00', '2022-08-13 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332754', '1564459315396481024', '新人入职培训', '1', '2022-08-14 00:00:00', '2022-08-14 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332755', '1564459315396481024', '新人入职培训', '2', '2022-08-14 11:10:00', '2022-08-14 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332756', '1564459315396481024', '新人入职培训', '3', '2022-08-14 15:00:00', '2022-08-14 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332757', '1564459315396481024', '新人入职培训', '1', '2022-08-15 00:00:00', '2022-08-15 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332758', '1564459315396481024', '新人入职培训', '2', '2022-08-15 11:10:00', '2022-08-15 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332759', '1564459315396481024', '新人入职培训', '3', '2022-08-15 15:00:00', '2022-08-15 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332760', '1564459315396481024', '新人入职培训', '1', '2022-08-16 00:00:00', '2022-08-16 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332761', '1564459315396481024', '新人入职培训', '2', '2022-08-16 11:10:00', '2022-08-16 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332762', '1564459315396481024', '新人入职培训', '3', '2022-08-16 15:00:00', '2022-08-16 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332763', '1564459315396481024', '新人入职培训', '1', '2022-08-17 00:00:00', '2022-08-17 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332764', '1564459315396481024', '新人入职培训', '2', '2022-08-17 11:10:00', '2022-08-17 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508137332765', '1564459315396481024', '新人入职培训', '3', '2022-08-17 15:00:00', '2022-08-17 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508141527040', '1564459315396481024', '新人入职培训', '1', '2022-08-18 00:00:00', '2022-08-18 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508141527041', '1564459315396481024', '新人入职培训', '2', '2022-08-18 11:10:00', '2022-08-18 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508141527042', '1564459315396481024', '新人入职培训', '3', '2022-08-18 15:00:00', '2022-08-18 19:30:00', '2000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508141527043', '1564459315396481024', '新人入职培训', '1', '2022-08-19 00:00:00', '2022-08-19 09:00:00', '1000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508141527044', '1564459315396481024', '新人入职培训', '2', '2022-08-19 11:10:00', '2022-08-19 14:00:00', '3000', '0', '0', '2023-09-22 17:10:10');
INSERT INTO `train_class_dine` VALUES ('1564459508141527045', '1564459315396481024', '新人入职培训', '3', '2022-08-19 15:00:00', '2022-08-19 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527046', '1564459315396481024', '新人入职培训', '1', '2022-08-20 00:00:00', '2022-08-20 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527047', '1564459315396481024', '新人入职培训', '2', '2022-08-20 11:10:00', '2022-08-20 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527048', '1564459315396481024', '新人入职培训', '3', '2022-08-20 15:00:00', '2022-08-20 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527049', '1564459315396481024', '新人入职培训', '1', '2022-08-21 00:00:00', '2022-08-21 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527050', '1564459315396481024', '新人入职培训', '2', '2022-08-21 11:10:00', '2022-08-21 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527051', '1564459315396481024', '新人入职培训', '3', '2022-08-21 15:00:00', '2022-08-21 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527052', '1564459315396481024', '新人入职培训', '1', '2022-08-22 00:00:00', '2022-08-22 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527053', '1564459315396481024', '新人入职培训', '2', '2022-08-22 11:10:00', '2022-08-22 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527054', '1564459315396481024', '新人入职培训', '3', '2022-08-22 15:00:00', '2022-08-22 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527055', '1564459315396481024', '新人入职培训', '1', '2022-08-23 00:00:00', '2022-08-23 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527056', '1564459315396481024', '新人入职培训', '2', '2022-08-23 11:10:00', '2022-08-23 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527057', '1564459315396481024', '新人入职培训', '3', '2022-08-23 15:00:00', '2022-08-23 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527058', '1564459315396481024', '新人入职培训', '1', '2022-08-24 00:00:00', '2022-08-24 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527059', '1564459315396481024', '新人入职培训', '2', '2022-08-24 11:10:00', '2022-08-24 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527060', '1564459315396481024', '新人入职培训', '3', '2022-08-24 15:00:00', '2022-08-24 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527061', '1564459315396481024', '新人入职培训', '1', '2022-08-25 00:00:00', '2022-08-25 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527062', '1564459315396481024', '新人入职培训', '2', '2022-08-25 11:10:00', '2022-08-25 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508141527063', '1564459315396481024', '新人入职培训', '3', '2022-08-25 15:00:00', '2022-08-25 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508145721344', '1564459315396481024', '新人入职培训', '1', '2022-08-26 00:00:00', '2022-08-26 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508145721345', '1564459315396481024', '新人入职培训', '2', '2022-08-26 11:10:00', '2022-08-26 14:00:00', '3000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508145721346', '1564459315396481024', '新人入职培训', '3', '2022-08-26 15:00:00', '2022-08-26 19:30:00', '2000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508145721347', '1564459315396481024', '新人入职培训', '1', '2022-08-27 00:00:00', '2022-08-27 09:00:00', '1000', '0', '0', '2023-09-22 17:10:11');
INSERT INTO `train_class_dine` VALUES ('1564459508145721348', '1564459315396481024', '新人入职培训', '2', '2022-08-27 11:10:00', '2022-08-27 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721349', '1564459315396481024', '新人入职培训', '3', '2022-08-27 15:00:00', '2022-08-27 19:30:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721350', '1564459315396481024', '新人入职培训', '1', '2022-08-28 00:00:00', '2022-08-28 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721351', '1564459315396481024', '新人入职培训', '2', '2022-08-28 11:10:00', '2022-08-28 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721352', '1564459315396481024', '新人入职培训', '3', '2022-08-28 15:00:00', '2022-08-28 19:30:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721353', '1564459315396481024', '新人入职培训', '1', '2022-08-29 00:00:00', '2022-08-29 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721354', '1564459315396481024', '新人入职培训', '2', '2022-08-29 11:10:00', '2022-08-29 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721355', '1564459315396481024', '新人入职培训', '3', '2022-08-29 15:00:00', '2022-08-29 19:30:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721356', '1564459315396481024', '新人入职培训', '1', '2022-08-30 00:00:00', '2022-08-30 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721357', '1564459315396481024', '新人入职培训', '2', '2022-08-30 11:10:00', '2022-08-30 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564459508145721358', '1564459315396481024', '新人入职培训', '3', '2022-08-30 15:00:00', '2022-08-30 19:30:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098554671104', '1564137571225833472', '新人入职培训', '1', '2022-09-02 03:00:00', '2022-09-02 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098563059712', '1564137571225833472', '新人入职培训', '2', '2022-09-02 10:00:00', '2022-09-02 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098563059713', '1564137571225833472', '新人入职培训', '3', '2022-09-02 16:00:00', '2022-09-02 20:00:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098563059714', '1564137571225833472', '新人入职培训', '1', '2022-09-03 03:00:00', '2022-09-03 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254016', '1564137571225833472', '新人入职培训', '2', '2022-09-03 10:00:00', '2022-09-03 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254017', '1564137571225833472', '新人入职培训', '3', '2022-09-03 16:00:00', '2022-09-03 20:00:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254018', '1564137571225833472', '新人入职培训', '1', '2022-09-04 03:00:00', '2022-09-04 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254019', '1564137571225833472', '新人入职培训', '2', '2022-09-04 10:00:00', '2022-09-04 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254020', '1564137571225833472', '新人入职培训', '3', '2022-09-04 16:00:00', '2022-09-04 20:00:00', '2000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254021', '1564137571225833472', '新人入职培训', '1', '2022-09-05 03:00:00', '2022-09-05 09:00:00', '1000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254022', '1564137571225833472', '新人入职培训', '2', '2022-09-05 10:00:00', '2022-09-05 14:00:00', '3000', '0', '0', '2023-09-22 17:10:12');
INSERT INTO `train_class_dine` VALUES ('1564530098567254023', '1564137571225833472', '新人入职培训', '3', '2022-09-05 16:00:00', '2022-09-05 20:00:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098567254024', '1564137571225833472', '新人入职培训', '1', '2022-09-06 03:00:00', '2022-09-06 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098567254025', '1564137571225833472', '新人入职培训', '2', '2022-09-06 10:00:00', '2022-09-06 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098567254026', '1564137571225833472', '新人入职培训', '3', '2022-09-06 16:00:00', '2022-09-06 20:00:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098567254030', '1564137571225833472', '新人入职培训', '1', '2022-09-08 03:00:00', '2022-09-08 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098567254031', '1564137571225833472', '新人入职培训', '2', '2022-09-08 10:00:00', '2022-09-08 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098567254032', '1564137571225833472', '新人入职培训', '3', '2022-09-08 16:00:00', '2022-09-08 20:00:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098571448320', '1564137571225833472', '新人入职培训', '1', '2022-09-09 03:00:00', '2022-09-09 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098571448321', '1564137571225833472', '新人入职培训', '2', '2022-09-09 10:00:00', '2022-09-09 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564530098571448322', '1564137571225833472', '新人入职培训', '3', '2022-09-09 16:00:00', '2022-09-09 20:00:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409116164096', '1564541400677224448', '新人入职培训', '1', '2022-08-01 00:00:00', '2022-08-01 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798912', '1564541400677224448', '新人入职培训', '2', '2022-08-01 11:10:00', '2022-08-01 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798913', '1564541400677224448', '新人入职培训', '3', '2022-08-01 15:00:00', '2022-08-01 19:30:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798914', '1564541400677224448', '新人入职培训', '1', '2022-08-02 00:00:00', '2022-08-02 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798915', '1564541400677224448', '新人入职培训', '2', '2022-08-02 11:10:00', '2022-08-02 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798916', '1564541400677224448', '新人入职培训', '3', '2022-08-02 15:00:00', '2022-08-02 19:30:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798917', '1564541400677224448', '新人入职培训', '1', '2022-08-03 00:00:00', '2022-08-03 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798918', '1564541400677224448', '新人入职培训', '2', '2022-08-03 11:10:00', '2022-08-03 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798919', '1564541400677224448', '新人入职培训', '3', '2022-08-03 15:00:00', '2022-08-03 19:30:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798920', '1564541400677224448', '新人入职培训', '1', '2022-08-04 00:00:00', '2022-08-04 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798921', '1564541400677224448', '新人入职培训', '2', '2022-08-04 11:10:00', '2022-08-04 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798922', '1564541400677224448', '新人入职培训', '3', '2022-08-04 15:00:00', '2022-08-04 19:30:00', '2000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798923', '1564541400677224448', '新人入职培训', '1', '2022-08-05 00:00:00', '2022-08-05 09:00:00', '1000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409237798924', '1564541400677224448', '新人入职培训', '2', '2022-08-05 11:10:00', '2022-08-05 14:00:00', '3000', '0', '0', '2023-09-22 17:10:13');
INSERT INTO `train_class_dine` VALUES ('1564541409241993216', '1564541400677224448', '新人入职培训', '3', '2022-08-05 15:00:00', '2022-08-05 19:30:00', '2000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993217', '1564541400677224448', '新人入职培训', '1', '2022-08-06 00:00:00', '2022-08-06 09:00:00', '1000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993218', '1564541400677224448', '新人入职培训', '2', '2022-08-06 11:10:00', '2022-08-06 14:00:00', '3000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993219', '1564541400677224448', '新人入职培训', '3', '2022-08-06 15:00:00', '2022-08-06 19:30:00', '2000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993220', '1564541400677224448', '新人入职培训', '1', '2022-08-07 00:00:00', '2022-08-07 09:00:00', '1000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993221', '1564541400677224448', '新人入职培训', '2', '2022-08-07 11:10:00', '2022-08-07 14:00:00', '3000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993222', '1564541400677224448', '新人入职培训', '3', '2022-08-07 15:00:00', '2022-08-07 19:30:00', '2000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993223', '1564541400677224448', '新人入职培训', '1', '2022-08-08 00:00:00', '2022-08-08 09:00:00', '1000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993224', '1564541400677224448', '新人入职培训', '2', '2022-08-08 11:10:00', '2022-08-08 14:00:00', '3000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993225', '1564541400677224448', '新人入职培训', '3', '2022-08-08 15:00:00', '2022-08-08 19:30:00', '2000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993226', '1564541400677224448', '新人入职培训', '1', '2022-08-09 00:00:00', '2022-08-09 09:00:00', '1000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993227', '1564541400677224448', '新人入职培训', '2', '2022-08-09 11:10:00', '2022-08-09 14:00:00', '3000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409241993228', '1564541400677224448', '新人入职培训', '3', '2022-08-09 15:00:00', '2022-08-09 19:30:00', '2000', '0', '0', '2023-09-22 17:10:14');
INSERT INTO `train_class_dine` VALUES ('1564541409246187520', '1564541400677224448', '新人入职培训', '1', '2022-08-10 00:00:00', '2022-08-10 09:00:00', '1000', '0', '0', '2023-09-22 17:10:14');

-- ----------------------------
-- Table structure for train_class_dine_face_log
-- ----------------------------
DROP TABLE IF EXISTS `train_class_dine_face_log`;
CREATE TABLE `train_class_dine_face_log` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `deviceUuid` varchar(1024) DEFAULT NULL COMMENT '设备UUID',
  `deviceName` varchar(1024) DEFAULT NULL COMMENT '设备名称',
  `personUuid` varchar(1024) DEFAULT NULL COMMENT '人员UUID',
  `personName` varchar(1024) DEFAULT NULL COMMENT '人员名称',
  `personImageUrl` varchar(3072) DEFAULT NULL COMMENT '底层图',
  `snapshotUri` varchar(3072) DEFAULT NULL COMMENT '抓拍图',
  `passTimestamp` bigint(19) DEFAULT NULL COMMENT '抓拍时间',
  `recognitionType` varchar(32) DEFAULT NULL COMMENT '人员类型 识别⼈员类型。1 - 员⼯; 2 - 访客; 3 - 重点⼈员（⿊名单）; 4 - ⽆权限⼈员; 5 - 未识 别; 6 - VIP访客',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='就餐刷脸记录表';

-- ----------------------------
-- Records of train_class_dine_face_log
-- ----------------------------

-- ----------------------------
-- Table structure for train_class_dine_record
-- ----------------------------
DROP TABLE IF EXISTS `train_class_dine_record`;
CREATE TABLE `train_class_dine_record` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `dine_id` bigint(20) DEFAULT NULL COMMENT '就餐id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(30) DEFAULT NULL COMMENT '用户名',
  `dine_time` datetime DEFAULT NULL COMMENT '就餐时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班学员就餐明细';

-- ----------------------------
-- Records of train_class_dine_record
-- ----------------------------
INSERT INTO `train_class_dine_record` VALUES ('1643901447504512', '1673933146145558529', '1591967614425501696', '高志远', '2023-04-06 17:00:19');
INSERT INTO `train_class_dine_record` VALUES ('1643901449994512', '1673933146145558529', '1574656123775094784', '李露露', '2023-04-06 17:00:19');
INSERT INTO `train_class_dine_record` VALUES ('16439014475045123', '1673933146145558529', '1591967614425501696', '高志远', '2023-04-06 17:00:20');
INSERT INTO `train_class_dine_record` VALUES ('128042779880714318', '128033972581394634', '1591967614425501696', '高志远', '2023-09-22 14:13:46');
INSERT INTO `train_class_dine_record` VALUES ('1583376265803599872', '1579283432079495203', '1565939234546782208', '王涵', '2022-10-21 16:34:51');
INSERT INTO `train_class_dine_record` VALUES ('1585530154959114240', '1585461566122364930', '1574653861665312768', '李露', '2022-10-27 15:13:22');
INSERT INTO `train_class_dine_record` VALUES ('1585548556993957888', '1585520627748573189', '1574656123775094784', '李露露', '2022-10-27 16:26:40');
INSERT INTO `train_class_dine_record` VALUES ('1587003637283033088', '1586970370475429910', '1574656123775094784', '李露露', '2022-10-31 16:48:19');
INSERT INTO `train_class_dine_record` VALUES ('1591994150251794432', '1591979571505401857', '1574653861665312768', '李露', '2022-11-14 11:19:13');
INSERT INTO `train_class_dine_record` VALUES ('1593820131346223104', '1593809750078918656', '1574653861665312768', '李露', '2022-11-19 12:15:01');
INSERT INTO `train_class_dine_record` VALUES ('1594230139632357376', '1594223315633967105', '1555010577007513600', '张磊', '2022-11-20 15:24:08');
INSERT INTO `train_class_dine_record` VALUES ('1642733536572215296', '1640982046778200076', '1591967614425501696', '高志远', '2023-04-03 11:39:23');
INSERT INTO `train_class_dine_record` VALUES ('1643891949134024704', '1640984364802248727', '1555010577007513600', '张磊', '2023-04-06 16:22:35');
INSERT INTO `train_class_dine_record` VALUES ('1643901447504531456', '1640982046778200086', '1591967614425501696', '高志远', '2023-04-06 17:00:22');

-- ----------------------------
-- Table structure for train_class_dine_setting
-- ----------------------------
DROP TABLE IF EXISTS `train_class_dine_setting`;
CREATE TABLE `train_class_dine_setting` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `type` smallint(6) DEFAULT NULL COMMENT '就餐类型：1、早餐。2、午餐。3、晚餐。',
  `start_time` time DEFAULT NULL COMMENT '就餐开始时间',
  `end_time` time DEFAULT NULL COMMENT '就餐结束时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='就餐时间设置';

-- ----------------------------
-- Records of train_class_dine_setting
-- ----------------------------
INSERT INTO `train_class_dine_setting` VALUES ('1584429523598970880', '0', '1', '06:00:00', '09:00:00');
INSERT INTO `train_class_dine_setting` VALUES ('1584429523603165184', '0', '2', '11:10:00', '14:00:00');
INSERT INTO `train_class_dine_setting` VALUES ('1584429523712217088', '0', '3', '14:00:00', '20:30:00');

-- ----------------------------
-- Table structure for train_class_exam
-- ----------------------------
DROP TABLE IF EXISTS `train_class_exam`;
CREATE TABLE `train_class_exam` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `test_paper_name` varchar(30) DEFAULT NULL COMMENT '试卷名',
  `test_require` smallint(6) DEFAULT NULL COMMENT '考试要求：1、无要求。2、学习完成之后。',
  `test_type` smallint(6) DEFAULT NULL COMMENT '考试类型：1、倒计时。2、固定时间段。',
  `test_time_len` int(11) DEFAULT NULL COMMENT 'test_type=1时、考试时长（分钟）',
  `test_start_time` datetime DEFAULT NULL COMMENT 'test_type=2时、开始时间',
  `test_end_time` datetime DEFAULT NULL COMMENT 'test_type =2时、开始时间',
  `app_notice` smallint(6) DEFAULT NULL COMMENT 'app通知：0、不需要。1、需要。',
  `exam_times` int(11) DEFAULT NULL COMMENT '允许考试次数',
  `notice_time` int(11) DEFAULT NULL COMMENT '提前通知时间（分钟）',
  `option_disorder` smallint(6) DEFAULT NULL COMMENT '乱序 0、非乱序 。 1、乱序',
  `topic_disorder` smallint(6) DEFAULT NULL COMMENT '试题乱序 0、非 。1、乱序',
  `type_reorder` varchar(50) DEFAULT NULL COMMENT '试题类型 排序  1、多选。2、单选。3、判断。4、填空。',
  `random` smallint(5) unsigned DEFAULT '0' COMMENT '0 不随机  1 随机',
  `answer` smallint(5) unsigned DEFAULT NULL COMMENT '0 不显示答案 1显示答案',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班试卷';

-- ----------------------------
-- Records of train_class_exam
-- ----------------------------
INSERT INTO `train_class_exam` VALUES ('127052317141330316', '127050043999518848', '1669148533384679424', '0615001', '1', '1', '60', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', '0');
INSERT INTO `train_class_exam` VALUES ('127079254943540111', '127050043999518848', '1668935415576530944', '0614002', '1', '1', '30', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', '0');
INSERT INTO `train_class_exam` VALUES ('128134202365080123', '127931103763926586', '1596436456811925504', '数据库考试试卷2', '1', '1', '10', null, null, '0', '4', '0', '1', '1', '1,2,3,4', '0', '0');
INSERT INTO `train_class_exam` VALUES ('1367038927902478336', '1364008909601378304', '1367035613555068928', '新一代营业渠道系统业务操作远程培训班测试题', '2', '1', '60', null, null, '0', '3', '0', '1', '0', '2,1,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1566423613173796864', '1564137571225833472', '1565644013246222336', '测试', '1', '2', null, '2022-09-04 21:51:00', '2022-09-04 21:51:02', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1566423726705217536', '1564137571225833472', '1565644013246222336', '测试', '1', '2', null, '2022-09-04 21:51:26', '2022-09-04 21:51:28', '0', '1', '0', '1', '1', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1569520525808635904', '1567813857320243200', '1565644013246222336', '测试', '1', '1', '11', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1571684792112648192', '1562350332300890112', '1567769553742729216', '测试添加', '1', '2', null, '2022-07-01 10:16:51', '2022-07-02 10:16:58', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1571685179678920704', '1562350332300890112', '1565644013246222336', '测试', '1', '2', null, '2022-07-07 10:18:25', '2022-07-08 10:18:31', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1573213616809840640', '1573151458042449920', '1567769553742729216', '测试添加', '1', '1', '12', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1575317430773878784', '1574668938376253440', '1567769553742729216', '测试添加', '1', '2', null, '2022-09-28 10:51:42', '2022-09-28 10:51:49', '1', '1', '10', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1575367173428350976', '1575325299946688512', '1575321969711255552', '考试题', '1', '2', null, '2022-09-30 14:09:29', '2022-09-30 14:09:31', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1575406417798631424', '1575364705646678016', '1575404402032906240', '试卷001', '1', '2', null, '2022-09-29 17:05:24', '2022-09-29 17:44:34', '1', '1', '10', '0', '1', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1575406417798631425', '1575364705646678016', '1575404402032906240', '试卷001', '1', '1', '20', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1575727925343424512', '1575691944053575680', '1575404402032906240', '试卷001', '1', '2', null, '2022-09-29 14:02:38', '2022-09-29 14:02:41', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1578951326530932736', '1578925079021096960', '1575404402032906240', '试卷001', '1', '1', '20', null, null, '0', '10', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1579307653992157184', '1579281614876315648', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-10 11:07:24', '2022-10-11 11:07:32', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1579725361627926528', '1579001547617079296', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-11 14:47:16', '2022-10-11 15:47:22', '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1580118185405976576', '1580081304689577984', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-12 16:48:19', '2022-10-13 16:48:22', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1582206718585212928', '1580821763359641600', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-18 11:07:17', '2022-10-19 11:07:23', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1582212766838689792', '1580812952192290816', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-18 11:31:17', '2022-10-19 11:31:22', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1584421284471771136', '1583317513494728704', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-24 13:47:07', '2022-10-24 14:48:13', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1584421417942913024', '1583317513494728704', '1575321969711255552', '考试题', '1', '1', '100', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1584441549465456640', '1583739434711519232', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-24 15:07:41', '2022-10-26 15:07:43', '1', '1', '30', '1', '1', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1584801536867962880', '1583413010712629248', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-25 14:58:00', '2022-10-25 16:58:02', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1584801536872157184', '1583413010712629248', '1575321969711255552', '考试题', '1', '1', '50', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1584806327660711936', '1584515014952357888', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-25 15:16:40', '2022-10-25 17:16:43', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585533680531673088', '1585278127179960320', '1575404402032906240', '试卷001', '1', '1', '80', null, null, '0', '3', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585534563109703680', '1585278127179960320', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-27 15:30:00', '2022-10-27 16:30:01', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585536826611994624', '1585278127179960320', '1575404402032906240', '试卷001', '1', '1', '1', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585539204375515136', '1585278127179960320', '1575382894912868352', '添加测试考试请勿关联', '1', '1', '1', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585541371119407104', '1585278127179960320', '1575321969711255552', '考试题', '1', '2', null, '2022-10-27 16:30:18', '2022-10-27 16:30:21', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585542086315347968', '1585278127179960320', '1575321969711255552', '考试题', '1', '2', null, '2022-10-28 16:00:39', '2022-10-28 16:15:43', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585927497088897024', '1585836831126196224', '1575404402032906240', '试卷001', '1', '2', null, '2022-10-28 17:32:16', '2022-10-28 17:45:29', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585930233377329152', '1585836831126196224', '1575404402032906240', '试卷001', '1', '1', '20', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1585931044471836672', '1585836831126196224', '1575321969711255552', '考试题', '1', '1', '20', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1587286963399036928', '1586969194119958528', '1575404402032906240', '试卷001', '1', '1', '20', null, null, '0', '5', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1587288402456350720', '1586969194119958528', '1575404402032906240', '试卷001', '1', '1', '10', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1588062070044233728', '1588056226653147136', '1575404402032906240', '试卷001', '1', '2', null, '2022-11-03 15:00:21', '2022-11-03 15:45:30', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592000497236185088', '1591972857506828288', '1575404402032906240', '试卷001', '1', '2', null, '2022-11-14 11:45:14', '2022-11-14 13:44:20', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592000589376655360', '1591972857506828288', '1575382894912868352', '添加测试考试请勿关联', '1', '1', '1', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592002196919160832', '1591972857506828288', '1575321969711255552', '考试题', '1', '1', '1', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592002996106039296', '1591972857506828288', '1567769553742729216', '测试添加', '1', '1', '2', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592003402362130432', '1591972857506828288', '1565644013246222336', '测试', '1', '2', null, '2022-11-14 13:45:26', '2022-11-14 15:55:27', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592068326127964160', '1592066677061849088', '1565588869397745664', '两道题', '1', '1', '10', null, null, '0', '1', '0', '1', '1', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592074709737017344', '1591972857506828288', '1565588869397745664', '两道题', '1', '1', '10', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592089762666254336', '1592030599865044992', '1575404402032906240', '试卷001', '1', '1', '111', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592349297721085952', '1592347795233312768', '1575404402032906240', '试卷001', '1', '2', null, '2022-11-15 10:50:09', '2022-11-15 10:50:13', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592349579599286272', '1592347795233312768', '1575404402032906240', '试卷001', '1', '2', null, '2022-11-15 10:51:01', '2022-11-15 10:55:09', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592350043501891584', '1592347795233312768', '1575404402032906240', '试卷001', '1', '1', '20', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592353438228942848', '1592347795233312768', '1575404402032906240', '试卷001', '1', '2', null, '2022-11-15 11:06:45', '2022-11-15 11:45:48', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592355922150297600', '1592347795233312768', '1575321969711255552', '考试题', '1', '1', '11', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592366805849083904', '1592347795233312768', '1565588869397745664', '两道题', '1', '1', '55', null, null, '0', '5', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1592723507320590336', '1592347795233312768', '1567769553742729216', '测试添加', '1', '1', '1', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1596439618197262336', '1596385685659586560', '1596436456811925504', '测出四十卷', '1', '2', null, '2022-11-26 17:43:42', '2022-11-26 18:45:50', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1596799805387051008', '1596330952991313920', '1575404402032906240', '试卷001', '1', '1', '20', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1596801332868681728', '1596498438508384256', '1596801143953035264', '100', '1', '1', '20', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1596802401724141568', '1596498438508384256', '1596801143953035264', '100', '1', '2', null, '2022-11-27 17:45:14', '2022-11-27 18:45:17', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1598521010083205120', '1597146387521343488', '1596801143953035264', '100', '1', '1', '10', null, null, '0', '1', '0', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1598956130850181120', '1598951182674563072', '1575321969711255552', '考试题', '1', '2', null, '2022-12-03 16:23:23', '2022-12-05 16:23:25', '1', '1', '30', '0', '0', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1640985654018052096', '1640984872040402944', '1575321969711255552', '考试题', '1', '1', '60', null, null, '0', '1', '0', '1', '1', '1,2,3,4', '0', null);
INSERT INTO `train_class_exam` VALUES ('1643890261690028032', '1640983724587880448', '1575321969711255552', '考试题', '1', '2', null, '2023-04-06 16:15:00', '2023-04-08 16:15:03', '1', '1', '30', '0', '0', '1,2,3,4', '1', '0');
INSERT INTO `train_class_exam` VALUES ('1691379426513784832', '1691377993613709312', '1668934407173574656', '测试0614', '1', '1', '30', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '1', '0');
INSERT INTO `train_class_exam` VALUES ('1691387319304720384', '1691385882579439616', '1668934407173574656', '测试0614', '1', '1', '60', null, null, '0', '2', '0', '0', '0', '1,2,3,4', '1', '0');

-- ----------------------------
-- Table structure for train_class_exam_extend
-- ----------------------------
DROP TABLE IF EXISTS `train_class_exam_extend`;
CREATE TABLE `train_class_exam_extend` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `exam_id` bigint(20) DEFAULT NULL COMMENT '考试id',
  `test_paper_id` bigint(19) DEFAULT NULL COMMENT '试卷id',
  `checkbox_num` int(11) DEFAULT '0' COMMENT '多选数量',
  `checkbox_score` int(11) DEFAULT '0' COMMENT '多选分值',
  `radio_num` int(11) DEFAULT '0' COMMENT '单选数量',
  `radio_score` int(11) DEFAULT '0' COMMENT '单选分值',
  `true_false_num` int(11) DEFAULT '0' COMMENT '判断题数量',
  `true_false_score` int(11) DEFAULT '0' COMMENT '判断题分值',
  `fill_bank_num` int(11) DEFAULT '0' COMMENT '填空题数量',
  `fill_bank_score` int(11) DEFAULT '0' COMMENT '填空题分值',
  `total_score` int(11) DEFAULT '0' COMMENT '总分数',
  `pass_score` int(11) DEFAULT '0' COMMENT '及格分数',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `checkbox_order` int(11) DEFAULT '0' COMMENT '多选排序',
  `radio_order` int(11) DEFAULT '0' COMMENT '单选排序',
  `true_false_order` int(11) DEFAULT '0' COMMENT '判断题排序',
  `fill_bank_order` int(11) DEFAULT '0' COMMENT '填空题排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班考试扩展表';

-- ----------------------------
-- Records of train_class_exam_extend
-- ----------------------------
INSERT INTO `train_class_exam_extend` VALUES ('1643890261773914112', '1643890261690028032', '1575321969711255552', '2', '10', '2', '10', '1', '30', '1', '30', '100', '60', null, '1', '2', '3', '4');
INSERT INTO `train_class_exam_extend` VALUES ('1691379426849329152', '1691379426513784832', '1668934407173574656', '53', '2', '168', '2', '152', '1', '0', '1', '594', '60', null, '1', '2', '3', '4');
INSERT INTO `train_class_exam_extend` VALUES ('1691387319573155840', '1691387319304720384', '1668934407173574656', '53', '2', '168', '2', '152', '1', '0', '1', '594', '60', null, '1', '2', '3', '4');

-- ----------------------------
-- Table structure for train_class_exam_random
-- ----------------------------
DROP TABLE IF EXISTS `train_class_exam_random`;
CREATE TABLE `train_class_exam_random` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `question_id` bigint(20) DEFAULT NULL COMMENT '问题id',
  `exam_user_id` bigint(20) DEFAULT NULL COMMENT '考试学生id',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '专业名',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、多选。2、单选。3、判断。4、填空。',
  `content` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '题目内容',
  `answer` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '答案',
  `analysis` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '解析',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `sort` int(10) DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班考试随机试题';

-- ----------------------------
-- Records of train_class_exam_random
-- ----------------------------
INSERT INTO `train_class_exam_random` VALUES ('1644231926783021056', '1575321969820307456', '1643890985249411072', '1575321969711255552', '1301371027162533888', '002', '金融', '1', '测试多选2', null, null, '1555010577007513600', null, null, '2023-04-07 14:53:34', '0');
INSERT INTO `train_class_exam_random` VALUES ('1644231926799798272', '1575321969795141632', '1643890985249411072', '1575321969711255552', '1301371027162533888', '002', '金融', '1', '测试多选3', null, null, '1555010577007513600', null, null, '2023-04-07 14:53:34', '1');
INSERT INTO `train_class_exam_random` VALUES ('1644231926816575488', '1575321969824501764', '1643890985249411072', '1575321969711255552', '1301371027162533888', '002', '金融', '2', '测试单选1', null, null, '1555010577007513600', null, null, '2023-04-07 14:53:34', '2');
INSERT INTO `train_class_exam_random` VALUES ('1644231926837547008', '1575321969824501769', '1643890985249411072', '1575321969711255552', '1301371945044021248', '002001', '保险业务', '2', '单选题', null, null, '1555010577007513600', null, null, '2023-04-07 14:53:34', '3');
INSERT INTO `train_class_exam_random` VALUES ('1644231926854324224', '1575321969816113171', '1643890985249411072', '1575321969711255552', '1301371027162533888', '002', '金融', '3', '你是人吗', null, null, '1555010577007513600', null, null, '2023-04-07 14:53:34', '4');
INSERT INTO `train_class_exam_random` VALUES ('1644231926871101440', '1575321969816113172', '1643890985249411072', '1575321969711255552', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', null, null, '1555010577007513600', null, null, '2023-04-07 14:53:34', '5');

-- ----------------------------
-- Table structure for train_class_extend
-- ----------------------------
DROP TABLE IF EXISTS `train_class_extend`;
CREATE TABLE `train_class_extend` (
  `id` bigint(19) DEFAULT NULL COMMENT 'id',
  `CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班ID',
  `CLASS_TYPE` smallint(5) DEFAULT NULL COMMENT '培训班类型 培训班类型：1、集中培训班。2、在线培训班。',
  `SITE_TYPE` smallint(5) DEFAULT NULL COMMENT '培训地点类型 1、培训中心内2、培训中心外',
  `SITE` varchar(128) DEFAULT NULL COMMENT '培训地点',
  `SITE_LAT` varchar(128) DEFAULT NULL COMMENT '经度',
  `SITE_LNG` varchar(128) DEFAULT NULL COMMENT '纬度',
  `LOD_TYPE` smallint(5) DEFAULT NULL COMMENT '住宿地点类型 1、培训中心内2、培训中心外3 内+外',
  `LOD` varchar(128) DEFAULT NULL COMMENT '住宿地点',
  `LOD_LAT` varchar(128) DEFAULT NULL COMMENT '经度',
  `LOD_LNG` varchar(128) DEFAULT NULL COMMENT '纬度',
  `PROP_TIME` datetime DEFAULT NULL COMMENT '拟办时间',
  `COST` bigint(19) DEFAULT NULL COMMENT '费用预算',
  `THREE_LEADER` smallint(5) DEFAULT NULL COMMENT '是否包含三级领导 1是0否',
  `FOUR_LEADER` smallint(5) DEFAULT NULL COMMENT '是否包含四级领导 1是0否',
  `COVER_IMAGE` varchar(255) DEFAULT NULL COMMENT '封面背景',
  `COVER_TEXT` varchar(128) DEFAULT NULL COMMENT '封面文字',
  `PRODUCE_TYPE` smallint(5) DEFAULT NULL COMMENT '培训介绍类型 1、图片排版2、纯文字',
  `PRODUCE_TEXT` longtext COMMENT '文字内容 富文本',
  `COVER_BACK` json DEFAULT NULL COMMENT '背景图片',
  `COVER_URL` varchar(255) DEFAULT NULL COMMENT '生成链接',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `TARGET` varchar(255) DEFAULT NULL COMMENT '培训对象',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `COVER_ID` bigint(19) DEFAULT NULL COMMENT '图片ID',
  `live` longtext COMMENT '直播内容',
  `face_state` smallint(2) DEFAULT NULL,
  KEY `TAG_USER_ID_INDEX` (`CLASS_ID`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班扩展表 ';

-- ----------------------------
-- Records of train_class_extend
-- ----------------------------
INSERT INTO `train_class_extend` VALUES ('1566724608449712128', '1566724607912841216', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-05 17:47:10', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566729022501687296', '1566729021922873344', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-05 18:04:42', null, '台湾人', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566734187447324672', '1566734187011117056', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-05 18:25:13', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566953600394072064', '1566953599894949888', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 08:57:06', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566954762937700352', '1566954762346303488', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:01:43', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566955374358171648', '1566955373959712768', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:04:09', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566956623673561088', '1566956623056998400', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:09:06', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566956768083447808', '1566956767659823104', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:09:41', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566957434747097088', '1566957434264752128', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:12:20', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566957744693579776', '1566957744299315200', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:13:34', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566958037648936960', '1566958037246283776', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:14:44', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566958449890299904', '1566958449428926464', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:16:22', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566958939873087488', '1566958939134889984', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:18:19', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566959227589758976', '1566959227149357056', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:19:27', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566959490513899520', '1566959490035748864', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:20:30', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566959863035203584', '1566959862628356096', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:21:59', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566961185323094016', '1566961184920440832', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:27:14', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566961337358225408', '1566961336942989312', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:27:50', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566962590322659328', '1566962589890646016', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:32:49', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566962775903834112', '1566962775522152448', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:33:33', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566963572481855488', '1566963572028870656', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:36:43', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566963625502052352', '1566963625028096000', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:36:56', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566964078335889408', '1566964077891293184', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:38:44', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566964114595647488', '1566964114146856960', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:38:52', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566964953791991808', '1566964953359978496', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 09:42:12', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566971188058656768', '1566969161979138048', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 10:06:59', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566972294780293120', '1566972254414311424', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-09-06 10:11:23', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566978111373971456', '1566978110774185984', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', '3', '河南省郑州市金水区经八路街道文化路5号院', '34.765802', '113.667729', '2022-01-01 00:00:00', '999900', '1', '1', null, null, null, null, null, null, '1561995446459699200', '2022-09-06 10:34:29', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566986962076831744', '1566986961510600704', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', '3', '河南省郑州市金水区杜岭街道郑州市政协家属院', '34.760302', '113.667043', '2022-01-01 00:00:00', '999900', '1', '1', null, null, null, null, null, null, '1561995446459699200', '2022-09-06 11:09:40', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566991647466721280', '1566991647110205440', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 11:28:17', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1566996446144761856', '1566977138358358016', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', '3', '河南省郑州市二七区铭功路街道郑州市人民公园-有奖射击', '34.762558', '113.664983', '2022-01-01 00:00:00', '999900', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '烦我中华，虽远必诛', null, '<p>欢迎参加啥都有1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：17722222222</p>\n<p>◆ <strong>培训内容</strong><br />学习做中国人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/6/d6ce95a74873457585ef7ccd3da3a756.png', '1562314510612697088', '2022-09-06 11:47:21', '1562314510612697088', null, '2022-09-06 12:00:43', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567025309784608768', '1567025309289680896', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-06 13:42:02', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567026868727713792', '1567026071625404416', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-06 13:48:14', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567027507520212992', '1567027507050450944', null, null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-06 13:50:46', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567028368115896320', '1566991990904721408', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '你好，123', null, '<p>欢迎参加测试培训计划测试就餐信息4399培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/6/28041a0a8b4f4f5eb88165c9c6c18813.png', '1562314510612697088', '2022-09-06 14:15:47', '1562314510612697088', null, '2022-09-06 14:15:40', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1567032534456471552', '1567032533986709504', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 14:10:45', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567033322251620352', '1567033321861550080', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 14:14:59', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567034162744004608', '1567034162198745088', null, null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-06 14:17:13', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567035011855683584', '1567035011457224704', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 14:20:36', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567035658004992000', '1567035657581367296', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 14:23:10', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567038014226567168', '1567038013823913984', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '夕阳无限好，只是近黄昏', null, '<p>欢迎参加12345678910培训。123</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：17722222222</p>\n<p>◆ <strong>培训内容</strong><br />学习做中国人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/6/212892af1e864afe8efd30775081fabf.png', '1562314510612697088', '2022-09-06 14:33:58', '1562314510612697088', null, '2022-09-06 14:41:52', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1567040437343096832', '1567040436965609472', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 14:42:09', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567040859982139392', '1567040859571097600', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '啊手动阀', null, '<p>欢迎参加培训计划2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：17722222222</p>\n<p>◆ <strong>培训内容</strong><br />学习做中国人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/6/3289c44989a5430f9af5c306619f7abc.png', '1562314510612697088', '2022-09-06 14:46:25', '1562314510612697088', null, '2022-09-06 14:46:19', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567042511720026112', '1567042511183155200', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', '3', '河南省郑州市二七区解放路街道西太康路133号人保大厦', '34.757199', '113.663095', '2022-01-01 00:00:00', '999900', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '啊手动阀，你好', null, '<p>啊手动阀手动阀撒旦范德萨发</p>', null, '/train/2022/9/6/89c260ffca7d42539074b17f62d35836.png', '1562314510612697088', '2022-09-06 16:48:56', '1562314510612697088', null, '2022-09-06 16:48:51', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567050874654691328', '1567050874243649536', null, null, null, null, null, null, null, null, null, null, '0', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-06 15:23:38', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567072385708986368', '1567072385281167360', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', '3', '河南省郑州市金水区人民路街道河务局家属院(顺河路40号院西北)河务局家属院(顺河北街)', '34.760302', '113.685411', '2022-01-01 00:00:00', '999900', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '泛泛之辈，岂可', null, '<p>欢迎参加泛泛之辈，岂可培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：17722222222</p>\n<p>◆ <strong>培训内容</strong><br />学习做中国人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/6/8197ebf8f0ff420ea339a3941216de68.png', '1562314510612697088', '2022-09-06 17:08:36', '1562314510612697088', '台湾人', '2022-09-06 16:52:07', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1567332372809125888', '1567332371169153024', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '8888800', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 10:02:12', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567339365531783168', '1567339365154295808', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 10:29:59', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567339906135625728', '1567339905435176960', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 10:32:08', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567340096343117824', '1567340095827218432', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 10:32:53', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567341753072226304', '1567341752652795904', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 10:39:28', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567345391433814016', '1567345390951469056', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 10:53:56', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567347333417537536', '1567347332947775488', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:01:39', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567347540154781696', '1567347539655659520', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:02:28', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567352083303239680', '1567352082791534592', '2', null, null, null, null, null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:20:31', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567352159945756672', '1567352159291445248', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564192820011601920', '2022-09-07 11:20:50', null, '全体培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567353660147634176', '1567353659631734784', '1', '2', '河南省郑州市金水区丰产路街道万德福超市瀚海·璞丽中心', '34.774841', '113.694852', null, null, null, null, '2022-01-01 00:00:00', '999900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '3425', null, '<p>欢迎参加培训计划2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：17722222222</p>\n<p>◆ <strong>培训内容</strong><br />学习做中国人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/7/862fdd9e62b540168da1dd65d97320eb.png', '1562314510612697088', '2022-09-07 11:26:47', '1562314510612697088', '台湾人', '2022-09-07 11:27:08', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567354977972785152', '1567354977431719936', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '请问请问', null, '<p>欢迎参加本部111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/7/840733d2c74b49cba88f970c5c4cf72a.png', '1562314510612697088', '2022-09-07 11:32:01', '1562314510612697088', '本部111111111111', '2022-09-07 11:32:24', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567355154758504448', '1567355154225827840', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:32:44', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567355271418875904', '1567355270907170816', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564192820011601920', '2022-09-07 11:33:11', null, '全体培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567355443943182336', '1567355443297259520', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:33:53', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567355739310264320', '1567355738811142144', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '12300', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:35:03', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567356535380774912', '1567356534881652736', '1', '2', null, null, null, '3', null, null, null, '2022-09-01 00:00:00', '200000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '12312312321', null, '<p>欢迎参加测试结算111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/7/638474c20286458fb02c645ac6bd9161.png', '1562314510612697088', '2022-09-07 14:11:59', '1564192820011601920', '全体培训对象', '2022-09-07 11:38:36', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1567357884319272960', '1567357883820150784', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 11:43:34', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567358060899471360', '1567358060207411200', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 15:36:02', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567386576114290688', '1567386575623557120', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 15:24:08', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567388027523829760', '1567388026961793024', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '1333300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '你好啊', null, '<p>测试文字</p>', null, '/train/2022/9/7/e2eae477d07e4247a35564a8c41e4cab.png', '1562314510612697088', '2022-09-07 14:59:15', '1562314510612697088', null, '2022-09-07 13:44:13', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567397706333294592', '1567397705725120512', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '20000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '是飒飒', null, '<p>欢迎参加0907测试结算001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试修改次数：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/7/4a7aa2662f7b4160b3ab9b2fa8378713.png', '1564191182190415872', '2022-09-07 14:21:49', '1564191182190415872', '测试修改次数', '2022-09-07 14:22:20', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1567413598500818944', '1567413598005891072', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 15:24:58', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567413983714086912', '1567413983198187520', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 15:35:50', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567414334534062080', '1567414334064300032', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-07 15:34:34', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567417778686791680', '1567417778149920768', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '天气很好，你好', null, '<p><strong>你好啊</strong>，天气</p>', null, '/train/2022/9/7/abb9450d19df4c10883505535504b37b.png', '1562314510612697088', '2022-09-07 15:55:15', '1562314510612697088', null, '2022-09-07 16:04:05', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567421461277315072', '1567421460673335296', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '手动阀第三方', null, '<p>欢迎参加郑测试发票0907培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/7/12b1e4f8f2684f2184ac34f2ab712d89.png', '1569970196410667008', '2022-10-24 16:03:02', '1564192820011601920', '全体培训对象', '2022-09-07 15:56:37', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1567710638300598272', '1567710637390434304', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-08 11:05:17', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567710927334281216', '1567710926814187520', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564192820011601920', '2022-09-08 11:06:26', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567712977770123264', '1567712977149366272', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '123', null, '<p>123</p>', null, '/train/2022/11/16/ec6e1313e9584cf591d7a773b6ed041b.png', '1564192820011601920', '2022-11-16 11:43:19', '1564192820011601920', null, '2022-11-16 11:43:26', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567752247465611264', '1567752246903574528', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '烦我中华者，好烦', null, '<p><strong>你好啊</strong></p>', null, '/train/2022/9/8/3f1b90d760d94f40883e81be1b9c9aa8.png', '1562314510612697088', '2022-09-08 15:08:46', '1562314510612697088', null, '2022-09-08 15:08:54', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1567776273210675200', '1567776272778661888', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-08 15:26:06', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1567813857857114112', '1567813857320243200', '1', '2', '河南省郑州市中原区石佛镇电厂路53号西湖新城', '34.784414', '113.600953', '3', '河南省郑州市中原区梧桐街道雪松路', '34.802599', '113.555806', '2022-09-01 00:00:00', '12300', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '你好啊，封面', null, '<p>欢迎参加0908001创建的集中培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />呃呃呃：13911111111</p>\n<p>◆ <strong>培训内容</strong><br />2342342343248656666</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/9/20980852f58540e0b42860270a8611dd.png', '1562314510612697088', '2022-09-09 13:37:08', '1562314510612697088', '培训对象', '2022-09-09 13:37:37', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1568113361038741504', '1568112945676816384', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 13:45:33', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568114345848737792', '1568114334465396736', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 13:49:29', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568115193710514176', '1568115123669831680', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:13:25', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568122945220513792', '1568122944637505536', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:24:52', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568128139069100032', '1568128138439954432', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '4444400', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:44:17', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568128848552398848', '1568128848183300096', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '7777700', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:47:07', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568130514127294464', '1568130513623977984', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '777700', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-09-29 16:03:29', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568130884450783232', '1568130883746140160', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:55:12', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568131057801367552', '1568131057151250432', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:55:53', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568131254275149824', '1568131253746667520', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 14:56:40', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568132182441070592', '1568132181858062336', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '景豪，你好', null, '<p><em><strong>景豪，你好</strong></em></p>\n<p>上边是加粗。斜体</p>', null, '/train/2022/9/22/4078d74d69644dd2ba2cc3152f9d8b50.png', '1', '2022-09-22 09:42:25', '1', null, '2022-09-22 09:39:06', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1568134403207598080', '1568134402704281600', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '12323', null, '<p>321321321323</p>', null, '/train/2022/9/15/74e29975e0db43edba5d6f3461d57b09.png', '1567097186544652288', '2022-09-15 16:30:52', '1567097186544652288', null, '2022-09-15 16:31:28', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1568151818435956736', '1568151817777451008', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-09 16:18:23', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1568153715901337600', '1568153715360272384', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1', '2022-09-13 18:18:36', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569492860967981056', '1569492860322058240', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1', null, '<p>1</p>', null, '/train/2022/9/13/0f0017fa6d1a4fe8ae76113341376f40.png', '1567097186544652288', '2022-09-15 16:36:24', '1562314510612697088', null, '2022-09-13 09:49:59', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1569503258777620480', '1569503258286886912', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '你好，你好', null, '<p>欢迎参加测试修改次数培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试修改次数：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/13/a56581f040294483bc20331f8dfae3ef.png', '1562314510612697088', '2022-09-13 10:29:59', '1562314510612697088', '测试修改次数', '2022-09-13 10:14:15', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1569630028189274112', '1569630027946004480', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '123', null, '<p>欢迎参加0908河南省第一次会议培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/13/4b20fea7650a4ebdbf275ec4c66bbfa1.png', '1', '2022-09-13 18:15:43', '1', '全体男性', '2022-09-13 18:18:17', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1569633211515015168', '1569633211422740480', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '222', null, '<p>欢迎参加 0908河南省2次会议培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />阿斯蒂：18525252525</p>\n<p>◆ <strong>培训内容</strong><br />请问请问</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/13/31e7b8621e844fa6ba6c053611bb8585.png', '1', '2022-09-13 18:26:24', '1', '请问', '2022-09-13 18:27:11', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1569647371644702720', '1569647371531456512', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '1000000', null, null, null, null, null, null, null, null, '1', '2022-09-13 19:21:11', null, '全体', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569884248415014912', '1569884248276602880', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '11000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年9月份培', null, '<p>欢迎参加2022年9月份培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张磊：15363636333</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/14/c5d253c5caf24b4aa499033852b865d1.png', '1', '2022-09-14 11:48:05', '1', '全部', '2022-09-14 11:05:25', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1569930757475012608', '1569930756942336000', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 14:07:15', null, '是飒飒', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569938644003852288', '1569938643886411776', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '123', null, '<p>欢迎参加2022年第一次新的培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张磊：15838150622</p>\n<p>◆ <strong>培训内容</strong><br />2022年新的培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/14/4625c267a1c14deea9c29a30fbc99c92.png', '1', '2022-09-14 14:42:44', '1', '全体人员', '2022-09-14 14:42:58', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1569954858436530176', '1569954857891270656', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/2022/9/14/5227134a08fc49b1b198b895a48fa8bc.jpeg', '封面文字', null, '<p>欢迎参加2023测试1111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/14/e519597e406049df8592970226696a99.png', '1564191182190415872', '2022-09-14 15:43:01', '1564191182190415872', '培训对象', '2022-09-14 15:43:49', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569961112869408768', '1569961112236068864', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '2', null, '<p>欢迎参加2023测试22222222222培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/14/910b18d15ccb44c8b146e916fdd253a1.png', '1564191182190415872', '2022-09-14 16:07:52', '1564191182190415872', '培训对象', '2022-09-14 16:08:16', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1569974532398256128', '1569974531957854208', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:01:12', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569976383831150592', '1569976383122313216', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:08:33', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569976528605941760', '1569976526643007488', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:09:08', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569977653988036608', '1569977653270810624', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:13:36', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569978181925081088', '1569977808732688384', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:15:42', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569978373806100480', '1569978298749030400', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:16:28', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569979001043292160', '1569978919799623680', '1', '2', null, null, null, '2', null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:18:57', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569979456972525568', '1569979439767490560', '1', '2', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:20:46', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569979608722444288', '1569979607820668928', '1', '2', null, null, null, '3', '河南省郑州市金水区文化路街道海关家属院中国移动通信集团河南有限公司', '34.790476', '113.69159', '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1564191182190415872', '2022-09-14 17:21:22', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569981835331637248', '1569981835214196736', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-09-22 14:43:16', null, '高中', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1569982270327099392', '1569982270142550016', '1', '1', null, null, null, '3', null, null, null, '2022-09-01 00:00:00', '100000', '1', '1', null, null, null, null, null, null, '1569970196410667008', '2022-09-14 17:33:47', null, '学生', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570224921865490432', '1570224921714495488', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100000', null, null, null, null, null, null, null, null, '1564821097285816320', '2022-09-15 09:37:37', null, '学生', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570225567847026688', '1570225567725391872', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-09-15 09:38:43', null, '学生', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570225584422916096', '1570225584263532544', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-09-15 09:38:47', null, '学生', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570226031116292096', '1570226030914965504', '1', '2', '河南省郑州市金水区南阳路街道郑州铁路公安处护路巡逻支队海棠寺护路巡逻大队海棠寺车站派出所', '34.778352', '113.640521', '3', '河南省郑州市管城回族区城东路街道商城东里正商向阳广场', '34.753391', '113.692363', '2022-09-01 00:00:00', '100000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '新概念英语讲解视频（第一节课程）', null, '<p>欢迎参加20220914-1001-省级创建培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15715874524</p>\n<p>◆ <strong>培训内容</strong><br />1.方法刚发发发火\n2.发哈弗红素粉红色的</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/629dda348cb94b689f4c89cec9b15700.png', '1569970196410667008', '2022-09-15 11:16:35', '1569970196410667008', '学生', '2022-09-15 11:15:14', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570250912490983424', '1570250910679044096', '1', '2', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '1231', null, '<p>欢迎参加2023测试====》36培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/e2a3f014627c4ad2879078697eb50d55.png', '1564191182190415872', '2022-09-15 16:55:26', '1564191182190415872', '培训对象', '2022-09-15 16:55:35', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1570297537506709504', '1570297537271828480', '1', '2', '河南省郑州市金水区博学路街道米阁研家寄宿考研学校龙子湖校区郑州工程技术学院(龙子湖校区)', '34.779198', '113.784373', '3', null, null, null, '2022-09-01 00:00:00', '100000', null, '1', 'https://echftp.jinmingyuan.com/train/2022/9/15/a0db85e71e8748fb8f1ae5a78b6196b1.jpg', '第一场课程讲解视频（20220）', null, '<p>欢迎参加20220914-1001-省级创建00002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15715874524</p>\n<p>◆ <strong>培训内容</strong><br />1.方法刚发发发火\n2.发哈弗红素粉红色的</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/37bc2fa8455c45e9ad6d893f89c69dfe.png', '1569970196410667008', '2022-09-15 14:29:15', '1569970196410667008', '学生', '2022-09-15 14:29:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570314393378492416', '1570314392527048704', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '是', null, '<p>欢迎参加郑州0908时间====001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />嘎嘎嘎：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />顶顶顶顶顶顶顶顶顶</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/3160db91d5d944c68266a8470489a66f.png', '1', '2022-09-22 16:33:16', '1', '测试对昂', '2022-09-22 16:33:26', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570329270855798784', '1570329270365065216', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '2', '河南省郑州市金水区南阳路街道卫生路海滩街1号院', '34.770878', '113.655541', '2022-12-01 00:00:00', '1500000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '你好，天气', null, '<p>欢迎参加测试培训计划测试就餐信息培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/1e21d0d940f04920be77574ff58a5515.png', '1', '2022-09-15 16:57:01', '1562314510612697088', '全体人员', '2022-09-15 16:31:42', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570332146256711680', '1570332144293777408', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '李悬崖是猪', null, '<p>李悬崖是猪李悬崖是猪</p>', null, '/train/2022/9/15/7dbbd4d59a394eaa9dcfbad93666a1c4.png', '1567097186544652288', '2022-09-15 16:44:08', '1567097186544652288', null, '2022-09-15 16:44:40', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570335359387176960', '1570335358720282624', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '3', null, null, null, '2022-12-01 00:00:00', '1500000', '1', '1', null, null, null, null, null, null, '1562314510612697088', '2022-09-15 16:55:32', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570335943657918464', '1570335942680645632', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-12-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:02:27', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339422921166848', '1570339422497542144', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:09', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339433201405954', '1570339422505930752', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:11', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339433201405952', '1570339422505930753', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:11', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339433201405955', '1570339422501736448', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:11', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339433201405953', '1570339422522707968', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:11', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339435722182656', '1570339435038511104', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试修改次数', null, '<p>欢迎参加测试修改次数培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试修改次数：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/16/a97e334acd8c407280f60492fd8df2b0.png', '1', '2022-09-16 13:42:23', '1', '测试修改次数', '2022-09-16 13:43:18', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339436804313088', '1570339436229693440', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:12', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339437211160576', '1570339436640735232', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:12', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339437257297920', '1570339436661706752', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'aaaaaaa', null, '<p>欢迎参加嗡嗡嗡培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />所上述：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />啊啊啊</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/16/07c7ed73fb3c4ee885ef7eba572d72b8.png', '1', '2022-09-16 09:59:26', '1', '啊啊', '2022-09-16 09:59:44', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570339437328601088', '1570339436875616256', '1', '2', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '216500', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-15 17:11:12', null, '啊啊', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570339437722865664', '1570339437131468800', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1', '2022-09-16 11:46:31', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570344723300880384', '1570344722680123392', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '3', null, null, null, '2022-08-01 00:00:00', '1500000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '你好，天气', null, '<p>欢迎参加测试培训计划测试就餐信息培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/99b218c183984d97ac966abb82a01e23.png', '1562314510612697088', '2022-09-15 17:33:33', '1562314510612697088', '对象', '2022-09-15 17:33:42', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570348194070663168', '1570348192174837760', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '看看看看', null, '<p>欢迎参加测试培训计划测试就餐信息培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/5f935dee55a149d686a165a2c381a36e.png', '1562314510612697088', '2022-09-15 17:46:00', '1562314510612697088', '全体人员', '2022-09-15 17:46:49', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570349629294383104', '1570349627503415296', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '202222222222', null, '<p>欢迎参加202222222222培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试修改次数：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/15/ae06e0382eca40e3a1f060170231a555.png', '1562314510612697088', '2022-09-15 18:51:59', '1562314510612697088', '测试修改次数', '2022-09-15 18:52:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570351037221572608', '1570351035338330112', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试培训计划测试就餐信息', null, '<p>欢迎参加测试培训计划测试就餐信息培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/16/48161071200b4075922e4c982a5de1bd.png', '1', '2022-09-16 11:53:16', '1', '全体人员', '2022-09-16 11:53:25', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570648966486429696', '1570648965857284096', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '1', null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1', '2022-09-16 14:25:13', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1570682743216541696', '1570682743120072704', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '开学第一课第一篇文章', null, '<p>是是大V不合适吧是合适不不是 法是胜多负少分五色风是是大V不合适吧是合适不不是 法是胜多负少分五色风是是大V不合适吧是合适不不是 法是胜多负少分五色风是是大V不合适吧是合适不不是 法是胜多负少分五色风是是大V不合适吧是合适不不是 法是胜多负少分五色风</p>', null, '/train/2022/9/19/e9bdfc3146e94428a41607a84ff4604e.png', '1569970196410667008', '2022-09-19 16:51:06', '1569970196410667008', null, '2022-09-19 16:51:10', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1570693802849603584', '1570693801251573760', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '1', null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'df', null, '<p>欢迎参加测试====>37培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/16/292909669f1e4e21a6864a475c15ff2d.png', '1', '2022-09-16 16:40:32', '1', '全体人员', '2022-09-16 16:40:36', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1571698237897838592', '1571698237209972736', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2023测试=====>8', null, '<p>欢迎参加2023测试=====>8培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/ac6833e4e9694290bd7024ece3ad0803.png', '1', '2022-09-21 17:12:18', '1', '培训对象', '2022-09-21 17:13:06', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1571700502348042240', '1571700501903446016', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', '1', '1', null, null, null, null, null, null, '1562314510612697088', '2022-09-19 14:01:52', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1571703598809747456', '1571703598356762624', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-09-19 14:00:48', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1571736395624615936', '1571736395163242496', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', '1', null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州的1111831+=', null, '<p>欢迎参加郑州的1111831+=培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/19/5a691730756a453eb5ee821523808ed7.png', '1564192820011601920', '2022-09-19 13:43:28', '1564192820011601920', '全体培训对象', '2022-09-19 13:44:03', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1571748491942825984', '1571748491305291776', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1', '2022-09-19 14:30:17', null, '测试修改次数', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572032866550943744', '1572032863921115136', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试培训计划测试就餐信息', null, '<p>欢迎参加测试培训计划测试就餐信息培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/08e778edbfc342c68dcbf861e4d02047.png', '1', '2022-09-21 10:17:24', '1', '全体人员', '2022-09-21 09:53:04', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572103421572550656', '1572103420964376576', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '1', null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试培训计====》20', null, '<p>欢迎参加测试培训计====》20培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/20/2b6073948e284f929d45141788eef08f.png', '1', '2022-09-20 14:00:39', '1', '全体人员', '2022-09-20 14:01:01', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572146638007439360', '1572146637869027328', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2', null, '<p>欢迎参加测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：18525252525</p>\n<p>◆ <strong>培训内容</strong><br />内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/813186aef27c43c7afe5d8a3d7169b51.png', '1', '2022-09-21 10:46:12', '1', '测试对象', '2022-09-21 10:46:37', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1572161388674158592', '1572161388133093376', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '这个测试工具包======', null, '<p>欢迎参加这个测试工具包======培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/20/8292ba328a0045739dae72fa36aa98fb.png', '1', '2022-09-20 17:50:59', '1', '全体人员', '2022-09-20 17:51:17', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572406046885023744', '1572406044859174912', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试签到', null, '<p>欢迎参加测试签到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：17896988875</p>\n<p>◆ <strong>培训内容</strong><br />啊阿斯顿法定</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/6a46ef88169e4b8e99b893c1a32a87c4.png', '1', '2022-09-21 10:35:59', '1', '测试修改次数', '2022-09-21 10:05:57', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572408169085407232', '1572408168884080640', '1', '2', '河南省郑州市金水区如意湖街道联盟新城一期联盟新城1期', '34.786247', '113.724978', '1', null, null, null, '2022-09-01 00:00:00', '8900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '学员报到学员报到学员报到', null, '<p>欢迎参加09-21-1001直接创建的培训班-1001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/1d09d2ebe4af45048416f184a336936a.png', '1569970196410667008', '2022-09-21 13:48:55', '1569970196410667008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-09-21 13:50:18', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1572508067373912064', '1572508066103037952', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核===》001', null, '<p>欢迎参加测试审核===》001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/92bc1b244777407d96f94d33d885a6bc.png', '1', '2022-09-21 16:48:34', '1', '全体人员', '2022-09-21 16:49:00', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572509570083983360', '1572509569505169408', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '1', null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核===》002', null, '<p>欢迎参加测试审核===》002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/7026d034ad844f8a9a9da5b092d88b85.png', '1', '2022-09-21 16:54:32', '1', '全体人员', '2022-09-21 16:54:53', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572510820364062720', '1572510819634253824', '1', '2', '河南省郑州市金水区如意湖街道众意西路消防文化主题公园', '34.776856', '113.7185', '1', null, null, null, '2022-08-01 00:00:00', '1500000', '1', null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核===》003', null, '<p>欢迎参加测试审核===》003培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王宇航：17503827387</p>\n<p>◆ <strong>培训内容</strong><br />培训餐费</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/ee064f8da42e42e6921f90c0c398358e.png', '1', '2022-09-21 16:59:30', '1', '全体人员', '2022-09-21 16:59:50', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572513201436889088', '1572513200975515648', '1', '2', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '0', '1', null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核===》一个人', null, '<p>欢迎参加测试审核===》一个人培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试修改次数：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/4a982be2e43e4a30b3a9ddc47c15eb35.png', '1', '2022-09-21 17:08:58', '1', '测试修改次数', '2022-09-21 17:09:17', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572513626496045056', '1572513625858510848', '1', '1', null, null, null, '3', null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核===》四个人', null, '<p>欢迎参加测试审核===》四个人培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试修改次数：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/a79be58515cb4cafaeaf4aa9483a90a6.png', '1', '2022-09-21 17:10:39', '1', '测试修改次数', '2022-09-21 17:10:57', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572515153948315648', '1572515153289809920', '1', '2', null, null, null, '2', '河南省郑州市中原区秦岭路街道桐柏北路桐柏7-9号新楼', '34.763969', '113.614858', '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试不分配', null, '<p>欢迎参加测试不分配培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/887690403d0c43209d68e07051e60560.png', '1', '2022-09-21 17:16:43', '1', '本部111111111111', '2022-09-21 17:17:01', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572518362322440192', '1572518361621991424', '1', '2', null, null, null, '1', null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核拒绝', null, '<p>欢迎参加测试审核拒绝培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/00b6446695bd47d5af751c25de6b600e.png', '1', '2022-09-21 17:29:28', '1', '本部111111111111', '2022-09-21 17:29:49', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572520002601488384', '1572520001989120000', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核失败', null, '<p>欢迎参加测试审核失败培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/e8b8e2d3a884458094dba33184e19cd2.png', '1', '2022-09-21 17:36:07', '1', '本部111111111111', '2022-09-21 17:36:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572520924366901248', '1572520923607732224', '1', '2', null, null, null, '3', '河南省郑州市中原区桐柏路街道艺禾幼儿园正商百合里', '34.779902', '113.597005', '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核失败2', null, '<p>欢迎参加测试审核失败2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/21/ffc7a0a26e2e487980b4dddb26266d7f.png', '1', '2022-09-21 17:39:39', '1', '本部111111111111', '2022-09-21 17:39:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572766220262969344', '1572766217247264768', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/bedeaf3e04884964bed2da12ff2b40e1.png', '1', '2022-09-22 09:54:22', '1', '测试对昂', '2022-09-22 09:56:45', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572776697525309440', '1572776695600123904', '1', '2', '河南省郑州市金水区如意湖街道会展中心(地铁站)会展西游园', '34.766648', '113.725579', '1', null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '线上测试报道，舞动', null, '<p>欢迎参加线上测试报道，舞动培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/42caedd2b756449e8be46fabd07a50be.png', '1', '2022-09-22 10:36:00', '1', '测试对昂', '2022-09-22 10:36:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572793569180258304', '1572793568987320320', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, '1', null, null, null, null, null, null, '1569970196410667008', '2022-09-22 11:47:09', null, '培训对象1001', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572796035615559680', '1572796033749094400', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'sda', null, '<p>欢迎参加sda培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />ssss：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />ssss </p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/923fe3cf16b84485a4d0c67694b8affa.png', '1', '2022-09-22 11:52:51', '1', 'sss', '2022-09-22 11:56:11', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572797449569964032', '1572797449381220352', '1', '2', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '复测0922-00122222', null, '<p>欢迎参加复测0922-001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/de57642daf874371971e622631f53009.png', '1569970196410667008', '2022-09-22 14:09:37', '1569970196410667008', '培训对象1001', '2022-09-22 11:59:23', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572824712868925440', '1572824712692764672', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '10000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/fd4a5ebaa10d49df83c8ebd6d6b053bf.png', '1570604410206294016', '2022-09-22 14:30:41', '1570604410206294016', '测试对昂', '2022-09-22 14:31:27', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572828433568894976', '1572828433468231680', '1', '2', '河南省郑州市金水区未来路街道新鑫花园(英协路)', '34.760302', '113.718799', '2', '河南省郑州市中原区中原西路街道国家职业技能鉴定所(中原工学院卫生所西南)河南技师学院(西校区)', '34.745775', '113.590053', '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-09-22 14:36:19', null, '培训对象1001', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572837904038891520', '1572837903887896576', '1', '2', '河南省郑州市金水区经八路街道河南建筑材料研究设计院北家属院', '34.778493', '113.665927', '1', null, null, null, '2022-10-01 00:00:00', '0', null, '1', null, null, null, null, null, null, '1569970196410667008', '2022-09-22 14:44:32', null, '培训对象1001', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572840721646489600', '1572840721512271872', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/ce6ddd5ea0264ce2b77202500123ee23.png', '1570604410206294016', '2022-09-22 14:50:25', '1570604410206294016', '测试对昂', '2022-09-22 14:50:54', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572842240798232576', '1572842240676597760', '1', '2', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '新课教学第一课', null, '<p>欢迎参加新课教学第一课培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/5464e1898c444dc3b8b8eff9d015f623.png', '1569970196410667008', '2022-09-22 16:28:36', '1569970196410667008', '培训对象1001', '2022-09-22 16:28:46', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1572869791545430016', '1572869789519581184', '1', '2', null, null, null, '1', null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '我最强', null, '<p>欢迎参加本部111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/90a27a05d817438788c8a4629e095801.png', '1', '2022-09-22 16:45:55', '1', '本部111111111111', '2022-09-22 16:46:43', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1572870719656824832', '1572870717807136768', '1', '2', null, null, null, null, null, null, null, '2022-01-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '所上述', null, '<p>欢迎参加所上述培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />1212：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/f936726e444148599a4815fd4f9c4767.png', '1', '2022-09-22 16:49:37', '1', '阿萨', '2022-09-22 16:50:02', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572874826073378816', '1572874824055918592', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试计划', null, '<p>欢迎参加测试计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/748e2640257b46eaa6946b1a19632327.png', '1', '2022-09-22 17:05:56', '1', '测试对象', '2022-09-22 17:06:53', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572875656956612608', '1572875655060787200', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '本部111111111111', null, '<p>欢迎参加本部111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/8a0d629201544eb2bc35446438992c28.png', '1', '2022-09-22 17:09:14', '1', '本部111111111111', '2022-09-22 17:09:44', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572876335360118784', '1572876333464293376', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/66b145fbd5c44776ace5c19e15b39c7e.png', '1', '2022-09-22 17:11:56', '1', '测试对昂', '2022-09-22 17:12:27', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1572876888320380928', '1572876886546190336', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试计划', null, '<p>欢迎参加测试计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/9d35f813370a4b7f8d129ec164adedab.png', '1', '2022-09-22 17:14:07', '1', '测试对象', '2022-09-22 17:14:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572877569672482816', '1572877567793434624', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1', '2022-09-22 17:16:50', null, '本部111111111111', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572877574886002688', '1572877572822405120', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '本部111111111111', null, '<p>欢迎参加本部111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/7bdd2746379c4dcd98e74b34d5d5ee74.png', '1', '2022-09-22 17:16:51', '1', '本部111111111111', '2022-09-22 17:17:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572878375473778688', '1572878373611507712', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/ab940674f1244358b970cef34f4d03e7.png', '1', '2022-09-22 17:20:02', '1', '测试对昂', '2022-09-22 17:20:40', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572878780865843200', '1572878780698071040', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '1000000', '1', null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年9月份培训班', null, '<p>欢迎参加2022年9月份培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150222</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/d4fa38df060a41db8daf47a544312775.png', '1570604410206294016', '2022-09-22 17:21:39', '1570604410206294016', '全体', '2022-09-22 17:22:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572879204633153536', '1572879202766688256', '1', '2', null, null, null, null, null, null, null, '2022-01-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '的说法是', null, '<p>欢迎参加的说法是培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />顶顶顶：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />大大大</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/09b6de1387164b5bb6a8f0bb014fd8f2.png', '1', '2022-09-22 17:23:20', '1', '说的都是', '2022-09-22 17:23:46', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572879926707752960', '1572879924723847168', '1', '2', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '本部111111111111', null, '<p>欢迎参加本部111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人联 系 人</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/7f13fd21269e461fa1370d3200added0.png', '1', '2022-09-22 17:26:12', '1', '本部111111111111', '2022-09-22 17:26:35', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572883202920550400', '1572883200882118656', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划权威的气味', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/a7a1f7eb043c49a0b8a4b38ff4b2b9c1.png', '1', '2022-09-22 17:39:13', '1', '测试对昂', '2022-09-22 17:39:45', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572885176839704576', '1572885174935490560', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/97330c8d4ecd4734ba7782e43121a279.png', '1', '2022-09-22 17:47:04', '1', '测试对昂', '2022-09-22 17:47:26', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572885615198998528', '1572885613240258560', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试计划', null, '<p>欢迎参加测试计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/341ae5b750734c8b85eaafa81bac70c9.png', '1', '2022-09-22 17:48:48', '1', '测试对象', '2022-09-22 17:49:11', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1572887281059106816', '1572887280887140352', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '9月份培训班', null, '<p>欢迎参加2022年9月份培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150222</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/eac3d091389845879d1caaf5eaf2f688.png', '1570604410206294016', '2022-09-22 17:59:04', '1570604410206294016', '全体', '2022-09-22 17:57:14', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1572889488131231744', '1572889486155714560', '1', '2', '河南省郑州市金水区杜岭街道二七路128号丹尼斯·大卫城', '34.758892', '113.665841', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '撒打算大份额', null, '<p>欢迎参加测试计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/22/0149ae3512194db98778ebcbb4e6841d.png', '1', '2022-09-22 18:04:12', '1', '测试对象', '2022-09-22 18:04:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1573143806986031104', '1573143806872784896', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', '1', '1', null, null, null, null, null, null, '1569970196410667008', '2022-09-23 11:07:53', null, '培训对象1001', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1573151458197639168', '1573151458042449920', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '0', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '金融理财第一期', null, '<p>欢迎参加金融理财第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/23/8fa2a496c3dc402c96b71ae740f1ddf5.png', '1569970196410667008', '2022-09-23 11:25:10', '1569970196410667008', '面向社会', '2022-09-23 11:26:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574243204604235776', '1574243202679050240', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'wwwww', null, '<p>欢迎参加wwwww培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />www：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />dsdssd</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/26/3676f79c19f0408da61cd1a21be6f21d.png', '1', '2022-09-26 11:43:23', '1', 'www', '2022-09-26 11:44:41', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574244877716295680', '1574244875245850624', '1', '1', null, null, null, '1', null, null, null, '2022-01-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '说的都是', null, '<p>欢迎参加说的都是培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />所上述：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />所上述</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/27/e557085213104f86a6796a4a50250d8e.png', '1', '2022-09-27 15:53:37', '1', '水水水水', '2022-09-27 15:53:44', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574650581128187904', '1574650579148476416', '1', '1', '河南省郑州市管城回族区北下街街道奈雪的茶(郑州大融城PRO店)郑州CITY·大融城', '34.754238', '113.670476', null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/27/d4ccf4e1a46c47c5ba7a4f58cd1109e1.png', '1', '2022-09-27 14:42:09', '1', '测试对昂', '2022-09-27 14:42:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574654409185562624', '1574654409072316416', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-09-27 14:57:38', null, '面向社会', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574668940112695296', '1574668938376253440', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试的计划', null, '<p>欢迎参加测试的计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试人：18533333333</p>\n<p>◆ <strong>培训内容</strong><br />测试培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/27/96157d6936c344739f24b2048e5f86bc.png', '1', '2022-09-27 15:55:06', '1', '测试对昂', '2022-09-27 15:55:27', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574673834899017728', '1574673833242267648', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试1614', null, '<p>欢迎参加测试1614培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />啦啦啦：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />水水水水水水</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/27/ae0a60e807424fc283e27a90d9f3aa95.png', '1', '2022-09-27 16:14:33', '1', '培训对象111', '2022-09-27 16:15:00', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574679043020820480', '1574679042467172352', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908河南省第一次会议1343', null, '<p>欢迎参加0908河南省第一次会议1343培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒sss </p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/28/47c1326bb1444f9d86c64f1e22a52965.png', '1', '2022-09-28 13:43:12', '1', '全体男性', '2022-09-28 13:43:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574686196368543744', '1574686196263686144', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '3224242', null, null, null, '/train/2022/9/27/4df8e31cd27246b5879eb07171f0b972.png', '1569970196410667008', '2022-09-27 17:05:56', '1569970196410667008', null, '2022-09-27 17:05:41', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1574687105383272448', '1574687104569577472', '1', '2', '河南省郑州市金水区大石桥街道农机公司家属院农机公司家属院(卫生路)', '34.768481', '113.656056', '2', '河南省郑州市金水区未来路街道中州大道', '34.769609', '113.716481', '2022-09-01 00:00:00', '200002', null, null, null, null, null, null, null, null, '1', '2022-09-27 17:07:17', null, '全体男性', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574688375129116672', '1574688374713880576', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试哦审核失败', null, '<p>欢迎参加测试哦审核失败培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />ss：18522222222</p>\n<p>◆ <strong>培训内容</strong><br />ssss</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/27/ee842d7ae81d49f1b56e6a16a28a51c3.png', '1', '2022-09-27 17:13:11', '1', 'ss', '2022-09-27 17:12:38', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1574690990495764480', '1574690990105694208', '1', '1', '河南省郑州市中原区石佛镇化工路65号碧桂园西湖名城一号院', '34.779198', '113.566106', null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908河南省2次会议1346', null, '<p>欢迎参加0908河南省2次会议1346培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />水水水水：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />酷酷酷酷酷酷酷酷酷酷酷酷</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/28/47ef17be495a4e8aba15f5a6f3765f46.png', '1', '2022-09-28 13:47:04', '1', '是飒飒', '2022-09-28 13:47:27', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575044677307076608', '1575044677126721536', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '8920', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-12 11:14:24', null, '面向社会、面向社会，面向社会面向社会面向社会面向社会', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575322859851616256', '1575322855934136320', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '20220929', null, '<p>欢迎参加20220929培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />啊手动阀：18525252525</p>\n<p>◆ <strong>培训内容</strong><br />阿4324</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/29/e18174db98114a92a0efba20bad1cf6a.png', '1', '2022-09-29 11:13:33', '1', '啊手动阀', '2022-09-29 11:14:00', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575324408220880896', '1575324406564130816', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1', '2022-09-29 16:16:36', null, '搜索', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575325300164792320', '1575325299946688512', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '9月29日培训计划', null, '<p>欢迎参加2022年9月29日培训计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月29日培训计划</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/29/bd3a47fbf144457da4e4c82d8444eb2c.png', '1570604410206294016', '2022-09-29 11:23:26', '1570604410206294016', '全体', '2022-09-29 11:25:02', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575327504158298112', '1575327504024080384', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843982', '113.743672', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843988', '113.743688', '2022-09-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '培训计划2', null, '<p>欢迎参加2022年9月29日培训计划2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月29日培训计划</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/29/296f0f6aa2b94355a45cd2727ee1e177.png', '1570604410206294016', '2022-09-29 11:32:00', '1570604410206294016', '全体', '2022-09-29 11:33:15', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1575364705772507136', '1575364705646678016', '1', '2', '河南省郑州市惠济区刘寨街道沙口路68-4号', '34.802317', '113.618548', '3', '河南省郑州市金水区文化路街道交通银行家属院(建设银行家属院南)', '34.78949', '113.675368', '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '投资第三期', null, '<p>欢迎参加投资第三期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/29/c6e65bfd70744b42bc3b9e0c8015809c.png', '1569970196410667008', '2022-09-29 14:01:27', '1569970196410667008', '面向社会', '2022-09-29 14:01:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575407527313674240', '1575407526655168512', '1', '2', '河南省郑州市金水区如意湖街道如意湖如意湖景区', '34.773275', '113.726352', '2', '河南省郑州市金水区人民路街道金水路辅路紫荆山广场', '34.763122', '113.682921', '2022-09-01 00:00:00', '200000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908河南省第一次会议', null, '<p>欢迎参加0908河南省第一次会议培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/29/31bf708769554f13bc4813cf0e7ef181.png', '1', '2022-09-29 16:50:22', '1', '全体男性', '2022-09-29 16:50:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575409706057469952', '1575409705969389568', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '1000000', null, null, null, null, null, null, null, null, '1', '2022-09-29 17:01:09', null, '全体', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575429027357921280', '1575429026724581376', '1', '2', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908河南省第一次会议', null, '<p>欢迎参加0908河南省第一次会议培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/29/39de4e3305e1434ab989b4d802f4d49d.png', '1', '2022-09-29 18:15:25', '1', '全体男性', '2022-09-29 18:15:44', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575679698099376128', '1575679697537339392', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908测试发布', null, '<p>欢迎参加0908测试发布培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/30/439dd12c00fe468ba6d8271286691079.png', '1', '2022-09-30 10:51:35', '1', '全体男性', '2022-09-30 10:51:52', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575685804095836160', '1575685803575742464', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908发布2', null, '<p>欢迎参加0908发布2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />水水水水：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />酷酷酷酷酷酷酷酷酷酷酷酷</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/30/7a253012ee4e4b18a0503d29325cf375.png', '1', '2022-09-30 11:15:45', '1', '是飒飒', '2022-09-30 11:16:04', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575691945878097920', '1575691944053575680', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908发布33333', null, '<p>欢迎参加0908发布33333培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/9/30/b7bc0fc24d3540c2a56f43f4e3c9847f.png', '1', '2022-09-30 11:40:09', '1', '全体男性', '2022-09-30 11:40:44', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1575729922729709568', '1575729922314473472', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '12300', null, null, null, null, null, null, null, null, '1', '2022-09-30 14:11:04', null, '日日日', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1578925083592888320', '1578925079021096960', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '0908河南省第一次会议', null, '<p>欢迎参加0908河南省第一次会议培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/9/ed8c454dc89745b4b59f1f0985e9be6e.png', '1', '2022-10-09 09:47:30', '1', '全体男性', '2022-10-09 09:48:16', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579001547801628672', '1579001547617079296', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/2022/10/10/ec5aa6fdf0b2451f8368df369025462e.jpg', '金融第四期课程培训1001', null, '<p>欢迎参加金融第四期课程培训1001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784541247</p>\n<p>◆ <strong>培训内容</strong><br />323232</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/10/78fc259976814dabb0c37e701c4a3dea.png', '1569970196410667008', '2022-10-10 13:20:19', '1569970196410667008', '面向社会', '2022-10-10 13:21:09', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579282842981109760', '1579281614876315648', null, null, null, null, null, null, null, null, null, null, null, null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '撒撒撒上', null, '<p>史蒂夫为我服务分身乏术紫薇俄方史蒂夫说的是对方无法删除v是vv问为啥大是大非上的似曾相识城市是时代的点点滴滴点点滴滴 的生生世世生生世世生生世世生生世世生生世世</p>', null, '/train/2022/10/10/f2435aef01774458bdafa93c6b188ee0.png', null, null, '1', null, '2022-10-10 09:29:06', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579283029078183936', '1579283027245273088', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试湖西岸0', null, '<p>欢迎参加测试湖西岸0培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/10/3119f590a1bc40379780bc2eb715810f.png', '1', '2022-10-10 09:29:50', '1', '的放大', '2022-10-10 09:30:34', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579283813568221184', '1579283811680784384', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '单选密钥', null, '<p>欢迎参加单选密钥培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/10/b4e2003df4e44efabc93c897ee92123e.png', '1', '2022-10-10 09:32:57', '1', '全体男性', '2022-10-10 09:33:23', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579284495230701568', '1579284493464899584', '1', '2', '河南省郑州市金水区杜岭街道西太康路117号郑州市公安局', '34.759103', '113.66524', null, null, null, null, '2022-05-01 00:00:00', '2000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '单选名单内', null, '<p>欢迎参加单选名单内培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />534534：18525252525</p>\n<p>◆ <strong>培训内容</strong><br />20</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/10/3bb0aaa387c743eaa89acdafceb40207.png', '1', '2022-10-10 09:35:40', '1', '234', '2022-10-10 09:36:02', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579359155947442176', '1579359154106142720', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试审核V1', null, '<p>欢迎参加测试审核V1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />里也有：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容是配许你是飒飒</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/10/9d87c89dffc14224bbcec7d4172cb527.png', '1561995446459699200', '2022-10-10 14:37:02', '1561995446459699200', 'cccccccccccccccc ', '2022-10-10 14:37:08', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579654779917963264', '1579654776772235264', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年邮政培训中心培训', null, '<p>欢迎参加2022年邮政培训中心培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/053d220e77494daea258f2111d8f9d35.png', '1', '2022-10-11 10:07:03', '1', '全体', '2022-10-11 10:07:26', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579712899599962112', '1579712896307433472', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'popopop', null, '<p>欢迎参加popopop培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张磊：15838150333</p>\n<p>◆ <strong>培训内容</strong><br />2022年培训班2022年培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/d4457c0d3cca4071bc3ac14954d5733b.png', '1', '2022-10-11 13:58:00', '1', '全体人员', '2022-10-11 13:58:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579713719674474496', '1579713717669597184', '1', '1', null, null, null, '1', null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'hhhhhh', null, '<p>欢迎参加hhhhhh培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/bb5fcba4ecb441b1a0ae01aecefc7161.png', '1', '2022-10-11 14:01:15', '1', '全体', '2022-10-11 14:01:41', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579714622020259840', '1579714620262846464', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'oppopjhbnb', null, '<p>欢迎参加oppopjhbnb培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />我的：15838159222</p>\n<p>◆ <strong>培训内容</strong><br />我的</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/0961bde8647f410caaafd3bc5921f603.png', '1', '2022-10-11 14:04:50', '1', '全部', '2022-10-11 14:05:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579716157185855488', '1579716155344556032', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '1200', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'sdsfsfs', null, '<p>欢迎参加sdsfsfs培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />12：18539567909</p>\n<p>◆ <strong>培训内容</strong><br />123</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/284f9ee041ee41d3a84c202528fec0ee.png', '1', '2022-10-11 14:10:56', '1', '234', '2022-10-11 14:11:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579723260977876992', '1579723260835270656', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年10月培训班', null, '<p>欢迎参加2022年10月培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张先生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/a7976e5cf6f849f0b0e53f4925583ac3.png', '1570604410206294016', '2022-10-11 14:44:18', '1570604410206294016', '全体', '2022-10-11 14:44:46', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1579729368350068736', '1579729368194879488', '1', '1', null, null, null, '1', null, null, null, '2022-08-01 00:00:00', '12300', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-11 16:59:50', null, '123', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579759376003108864', '1579759375843725312', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-11 17:02:40', null, '王宇航', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579760602086248448', '1579760602010750976', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-12 11:17:33', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1579763183520976896', '1579763183424507904', '1', '1', null, null, null, '1', null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年邮政培训中心培训', null, '<p>欢迎参加2022年邮政培训中心培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/11/0de15ca6c80c45d8a36e4cc86715c944.png', '1570604410206294016', '2022-10-11 17:17:48', '1570604410206294016', '全体', '2022-10-11 17:23:33', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580033508947136512', '1580033508812918784', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '23400', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-12 17:00:18', null, '2345', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580069013512392704', '1580069013080379392', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '9900', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试一次名称回显', null, '<p>欢迎参加测试一次名称回显培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />培训对象：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/12/07f0d7eec0fb4bcea51f4f872167ccbc.png', '1562314510612697088', '2022-10-12 13:57:37', '1562314510612697088', '培训对象培训对象培训对象', '2022-10-12 13:58:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580081304865738752', '1580081304689577984', '1', '1', null, null, null, '2', '河南省郑州市金水区文化路街道诚信路河南农业大学文化路校区', '34.785542', '113.664554', '2022-10-01 00:00:00', '500000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州市级十月份金融培训第一期', null, '<p>欢迎参加郑州市级十月份金融培训第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />正常培训课程</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/12/3f80918c899f460d94c7cd152ecb24b2.png', '1569970621243330560', '2022-10-12 14:31:23', '1569970621243330560', '金融投资企业', '2022-10-12 14:31:55', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580091399909543936', '1580091399771131904', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州市级十月份金融培训第一期002', null, '<p>欢迎参加郑州市级十月份金融培训第一期002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />正常培训课程</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/12/098ea38af8f94fd6aaff8ab5e4f1c041.png', '1569970621243330560', '2022-10-12 15:02:42', '1569970621243330560', '金融投资企业', '2022-10-12 15:03:09', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580097116263550976', '1580097115676348416', '1', '1', null, null, null, null, null, null, null, '2022-10-12 15:24:13', '30000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '我直接创建', null, '<p>欢迎参加我直接创建培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：13781455555</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/12/06213894fa1c4647bd5f54ef4e78f66c.png', '1', '2022-10-12 15:33:09', '1', '培训对象', '2022-10-12 15:33:16', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580100982711390208', '1580100982174519296', '1', '1', null, null, null, null, null, null, null, null, '20000', null, null, null, null, null, null, null, null, '1', '2022-10-12 15:40:06', null, '培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580105008970600448', '1580105008492449792', '1', '1', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '123', null, '<p>欢迎参加123培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />123：18525252526</p>\n<p>◆ <strong>培训内容</strong><br />123</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/12/bb363e3bd8324f92ae19ea53e1f01297.png', '1', '2022-10-12 15:56:12', '1', '123', '2022-10-12 15:56:30', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580111284697960448', '1580111284337250304', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '都多多', null, '<p>的飞洒范德萨</p>', null, '/train/2022/10/12/873f1ca7e69a499789a06a917a127ed0.png', '1562314510612697088', '2022-10-21 11:57:38', '1', null, '2022-10-12 16:21:31', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1580123018066268160', '1580123017583923200', '1', '1', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '12300', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-24 15:55:13', null, '培训对象培训对象培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580123266998210560', '1580123266549420032', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '10000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-24 15:33:40', null, ' 费用预算', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580431304221134848', '1580431304107888640', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州市级十月份金融培训第一期', null, '<p>欢迎参加郑州市级十月份金融培训第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />正常培训课程</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/13/2d5d1f01d5334fcb9ceb69af0bf6065c.png', '1569970621243330560', '2022-10-13 13:32:41', '1569970621243330560', '金融投资企业', '2022-10-13 13:33:44', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580447986612310016', '1580447986499063808', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '300000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州0908时间', null, '<p>欢迎参加郑州0908时间培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />嘎嘎嘎：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />顶顶顶顶顶顶顶顶顶</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/13/3e2c0b694f284df9ba534adc214284db.png', '1569970621243330560', '2022-10-13 14:38:58', '1569970621243330560', '互锁的人', '2022-10-13 14:39:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580448329911898112', '1580448329781874688', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1569970621243330560', '2022-10-13 14:40:20', null, '全体培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580454783469359104', '1580454783322558464', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年9月份培训班', null, '<p>欢迎参加2022年9月份培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150222</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/13/1b310576bd6444d89ac9682095a59cde.png', '1569970196410667008', '2022-10-13 15:05:58', '1569970196410667008', '全体', '2022-10-13 15:06:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580770390945435648', '1580770390802829312', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844006', '113.743719', null, null, null, null, '2022-10-01 00:00:00', '500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州市级十月份金融培训第一期', null, '<p>欢迎参加郑州市级十月份金融培训第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />正常培训课程</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/14/142b37f60d1b4804bc329dd04266d605.png', '1569970621243330560', '2022-10-14 13:32:05', '1569970621243330560', '金融投资企业', '2022-10-14 13:32:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580803716049670144', '1580803715470856192', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '300000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试签到', null, '<p>欢迎参加测试签到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />嘎嘎嘎：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />顶顶顶顶顶顶顶顶顶</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/14/060a206734724ebd97abb540ab6875cd.png', '1564192820011601920', '2022-10-14 14:12:30', '1564192820011601920', '互锁的人', '2022-10-14 14:13:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580812952825630720', '1580812952192290816', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试签到2222', null, '<p>欢迎参加测试签到2222培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/14/fc21d50358b74e0480c1414426cc3346.png', '1564192820011601920', '2022-10-14 14:49:13', '1564192820011601920', '全体培训对象', '2022-10-14 14:49:52', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1580821763904901120', '1580821763359641600', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '郑州测试签到333333', null, '<p>欢迎参加郑州测试签到333333培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/14/7e16197fbdd24ea9bc7c853c4d09cb2a.png', '1564192820011601920', '2022-10-14 15:24:13', '1564192820011601920', '全体培训对象', '2022-10-14 15:24:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1581920070844682240', '1581920070244896768', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '23400', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'liquan', null, '<p>欢迎参加liquan培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />2345：18525252626</p>\n<p>◆ <strong>培训内容</strong><br />2345</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/17/c3dd5bf2589947f39ba3ada42aa24b84.png', '1581888248303718400', '2022-10-17 16:08:30', '1581888248303718400', '2345', '2022-10-17 16:08:52', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1581922527800856576', '1581922527133962240', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', 'liquan222', null, '<p>欢迎参加liquan222培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/17/1d13cceceea349b2865e6cb8830907cb.png', '1581888248303718400', '2022-10-17 16:18:16', '1581888248303718400', '全体', '2022-10-17 16:18:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1582675574927790080', '1582675574806155264', '1', '2', '金水区56号院', '', '', null, null, null, null, '2022-10-01 00:00:00', '50000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1019第一期1019第一期1019第一期1019第一期01', null, '<p>欢迎参加1019第一期1019第一期1019第一期1019第一期01培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784587458</p>\n<p>◆ <strong>培训内容</strong><br />所属分类：金融-营销类，集中+远程各一次费用预算五百</p>\n<p>◆ <strong>注意事项6656</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/19/b89f197561da4ee49cd21afafe2c0c6f.png', '1569970621243330560', '2022-10-19 18:14:44', '1569970621243330560', '李四、1019第一期1019第一期', '2022-10-19 18:14:59', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1582686163213357056', '1582686163125276672', '1', '2', '河南省郑州市金水区国基路街道萌昇幼儿园', '34.825696', '113.69303', null, null, null, null, '2022-10-01 00:00:00', '50000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1019第一期02', null, '<p>欢迎参加1019第一期02培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784587458</p>\n<p>◆ <strong>培训内容</strong><br />所属分类：金融-营销类，集中+远程各一次费用预算五百</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/19/8e1e38e57449400080f6384a303bf3e6.png', '1569970621243330560', '2022-10-19 18:52:45', '1569970621243330560', '李四、1019第一期1019第一期', '2022-10-19 18:53:27', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583288590207684608', '1583288588387356672', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1', '2022-10-24 15:04:53', null, '全体培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583289628134346752', '1583289626242715648', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年邮政培训中心培训', null, '<p>欢迎参加2022年邮政培训中心培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/abe7db46ccce4a598681299f2d375153.png', '1562314510612697088', '2022-10-21 14:53:09', '1562314510612697088', '全体', '2022-10-21 14:53:16', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583293358456049664', '1583293356560224256', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2012-09-10培训计划', null, '<p>欢迎参加2012-09-10培训计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/f294ecb696fa415394a8647538aa9704.png', '1562314510612697088', '2022-10-21 12:12:04', '1562314510612697088', '全体', '2022-10-21 12:20:13', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583297332198379520', '1583297332093521920', '1', '2', '河南省郑州市金水区国基路街道中州大道470号黑庄社区', '34.827183', '113.692902', null, null, null, null, '2022-10-01 00:00:00', '158900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1021计划库第一版', null, '<p>欢迎参加1021计划库第一版培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784541247</p>\n<p>◆ <strong>培训内容</strong><br />培训内容测试名称是否正常</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/0b3e8ae6646e4b97bf1f9728bd7a9e77.png', '1562314510612697088', '2022-10-21 12:20:59', '1562314510612697088', '全体', '2022-10-21 12:22:29', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583317513574420480', '1583317513494728704', '1', '2', '河南省郑州市金水区国基路街道中州大道470号黑庄社区', '34.827311', '113.692758', null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '1021第二版数据勿动001', null, '<p>欢迎参加1021第二版数据勿动001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874587</p>\n<p>◆ <strong>培训内容</strong><br />培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/4635836b4c0f4842928d3cff45f88388.png', '1569970196410667008', '2022-10-21 13:35:27', '1569970196410667008', '全部', '2022-10-21 13:36:33', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1583346873945690112', '1583346873849221120', '1', '2', '河南省郑州市金水区东风路街道文雅新世界二期文雅新世界1期', '34.807264', '113.644336', '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年金融课程培训班', null, '<p>欢迎参加2022年金融课程培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年金融课程培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/1c1bdcb2465442c8b2815fba2c637b06.png', '1570604410206294016', '2022-10-21 14:42:25', '1570604410206294016', '金融业务部', '2022-10-21 14:44:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583369263123664896', '1583369261261393920', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '11100', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年邮政培训中心培训', null, '<p>欢迎参加2022年邮政培训中心培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/f46561a87f634c4aa3e25681b665c17e.png', '1', '2022-10-21 16:07:05', '1', '全体', '2022-10-21 16:07:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583372861140242432', '1583372859424772096', '1', '1', null, null, null, null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年邮政培训中心培训', null, '<p>欢迎参加2022年邮政培训中心培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年邮政培训中心培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/0242c4a175de4be08cdb3351586f2aa9.png', '1583278909414313984', '2022-10-21 16:21:22', '1583278909414313984', '全体', '2022-10-21 16:22:42', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583377574036377600', '1583377571393966080', '1', '1', null, null, null, null, null, null, null, '2022-06-01 00:00:00', '11000000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年9月份培训dfad', null, '<p>欢迎参加2022年9月份培训dfad培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张磊：15363636333</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/67116f99b4d942cda712bb7088816adc.png', '1583278909414313984', '2022-10-21 16:40:06', '1583278909414313984', '全部', '2022-10-21 16:40:34', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583391315020877824', '1583391314928603136', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-24 16:00:49', null, '是飒飒', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583392110722289664', '1583392110638403584', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1021第二版数据勿动002', null, '<p>欢迎参加1021第二版数据勿动002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874587</p>\n<p>◆ <strong>培训内容</strong><br />培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/21/4d4bcffe554748f5add60510c3264449.png', '1569970196410667008', '2022-10-21 17:37:52', '1569970196410667008', '全部', '2022-10-21 17:38:23', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583412400739192832', '1583412400667889664', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-21 18:59:40', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583412444687110144', '1583412444607418368', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-21 19:00:15', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583412477872443392', '1583412477796945920', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-21 18:59:50', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583412523846209536', '1583412523774906368', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-21 19:00:05', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583413010788126720', '1583413010712629248', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1021第二版数据勿动03', null, '<p>欢迎参加1021第二版数据勿动03培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15745874587</p>\n<p>◆ <strong>培训内容</strong><br />培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1569970196410667008', '2022-10-24 15:20:11', '1569970196410667008', '全部', '2022-10-24 15:22:07', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583683407886553088', '1583683407156744192', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1022黎利伯聘雇计划u到处', null, '<p>欢迎参加1022黎利伯聘雇计划u到处培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2022-10-22 12:55:23', '1', '的放大', '2022-10-22 12:56:25', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583706105085825024', '1583706103080947712', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '44400', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试计划不会先', null, '<p>欢迎参加测试计划不会先培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />245254：13477777777</p>\n<p>◆ <strong>培训内容</strong><br />444444</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1562314510612697088', '2022-10-22 15:36:01', '1', '777', '2022-10-22 14:27:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583722097887285248', '1583722097811787776', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年培训班', null, '<p>欢迎参加2022年培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张明明：15838150622</p>\n<p>◆ <strong>培训内容</strong><br />金融课程培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/22/e6d5bce2ac9145fcbecef251847269c9.png', '1570604410206294016', '2022-10-22 15:29:07', '1570604410206294016', '全体', '2022-10-22 15:30:35', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583722823011143680', '1583722821215981568', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1', null, '<p>1</p>', null, '/train/2022/10/22/9a6560307ca84ba99487d5e8378dd11d.png', '1562314510612697088', '2022-10-22 15:32:00', '1562314510612697088', null, '2022-10-22 15:32:27', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1583723495458738176', '1583723493764239360', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '集中1次', null, '<p>欢迎参加集中1次培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />1：18654676789</p>\n<p>◆ <strong>培训内容</strong><br />1</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/22/e8af8383492b427b88d2a4dc12c4ab60.png', '1', '2022-10-24 15:05:09', '1562314510612697088', '1', '2022-10-22 15:35:03', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583724130090487808', '1583724127561322496', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-10-22 15:37:11', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583732664668655616', '1583732664534437888', '1', '1', null, null, null, null, null, null, null, '2022-06-01 00:00:00', '11000000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-24 15:56:43', null, '全部', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1583739434799599616', '1583739434711519232', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '2022金融培训', null, '<p>欢迎参加2022金融培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张明明：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022金融培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/22/756465f24c7346aabf9669014fc111c9.png', '1570604410206294016', '2022-10-22 16:38:10', '1570604410206294016', '全体', '2022-10-22 16:40:52', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1584382952287113216', '1584382952161284096', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1000000', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-24 11:15:07', null, '全体', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584384076331225088', '1584384076243144704', '1', '1', null, null, null, null, null, null, null, '2022-06-01 00:00:00', '11000000', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-24 11:19:35', null, '全部', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584394592441208832', '1584394592348934144', '1', '1', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '12300', null, null, null, null, null, null, null, null, '1', '2022-10-24 12:01:22', null, '123', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584471156201754624', '1584471156117868544', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '测试内训师002', null, '<p>对方水电费是否能时代峻峰计算的吧封神榜富士康部分三发你的健身房就开始</p>', null, '/train/2022/10/26/bba225ecf4274bfea5eaa8d475db8bf7.png', '1569970196410667008', '2022-10-26 21:28:35', '1569970196410667008', null, '2022-10-26 21:29:05', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1584515015027855360', '1584515014952357888', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2023新', null, '<p>欢迎参加2023新培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />算法的说法：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />威威企鹅</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/25/34ec571ecb64497c908a5ed12bdad622.png', '1', '2022-10-25 15:14:41', '1', '是飒飒', '2022-10-25 15:15:03', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584521393440165888', '1584521393356279808', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-24 20:25:14', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584723352742924288', '1584723351035842560', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '顶顶顶', null, '<p>东方大厦</p>', null, '/train/2022/10/25/b4c8ed6fdf55433caad22b9f477e7439.png', '1569970196410667008', '2022-11-23 15:12:39', '1', null, '2022-10-25 09:48:16', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1584723599191838720', '1584723597547671552', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '23123', null, '<p>21321321313</p>', null, '/train/2022/10/25/01a3b82e95fe46d5a5b2f8314c3441dc.png', '1', '2022-10-25 09:48:43', '1', null, '2022-10-25 09:49:05', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1584726434511982592', '1584726432737792000', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1', '2022-10-25 09:59:59', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584732498674454528', '1584732496656994304', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试费用', null, '<p>欢迎参加测试费用培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：13671211111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/25/62b2f2b7d2e7497ba57429a8061cb45f.png', '1', '2022-10-25 10:24:05', '1', '中国人', '2022-10-25 10:24:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584875385009606656', '1584875379850612736', '1', '1', null, null, null, null, null, null, null, '2022-06-01 00:00:00', '11000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年9月份培训', null, '<p>欢迎参加2022年9月份培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张磊：15363636333</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/26/3bf1ebb61b7b4897b34ecb331c36b5e2.png', '1569970196410667008', '2022-10-26 21:07:07', '1569970196410667008', '全部', '2022-10-26 21:08:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1584875395868659712', '1584875392047648768', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-06-01 00:00:00', '11000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年9月份培训', null, '<p>欢迎参加2022年9月份培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张磊：15363636333</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/17/870ea169dcdf40f2bb85dfa7df7b2bd1.png', '1', '2022-11-17 16:01:06', '1', '全部', '2022-11-17 16:01:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585087044936404992', '1585087041731956736', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '2023测试', null, '<p>欢迎参加2023测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/26/73328351974c4fcc97f985d932e2561d.png', '1569970196410667008', '2022-10-26 21:06:11', '1569970196410667008', '培训对象', '2022-10-26 21:06:20', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1585183510522630144', '1585183499852320768', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '1000000', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-26 16:26:55', null, '全体', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585183534908313600', '1585183526750392320', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '1026黎利伯测试股', null, '<p>欢迎参加1026黎利伯测试股培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150222</p>\n<p>◆ <strong>培训内容</strong><br />2022年9月份培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/26/f259c8f6df2a4afa983ca44a1a10128f.png', '1', '2022-10-26 16:16:21', '1', '全体', '2022-10-26 16:16:56', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585269076547211264', '1585269076454936576', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-26 22:33:46', null, '全体人员', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585278127268040704', '1585278127179960320', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1500', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试统计分析数据-lu01勿动', null, '<p>欢迎参加测试统计分析数据-lu01勿动培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784574574</p>\n<p>◆ <strong>培训内容</strong><br />测试统计分析</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/27/d3a7812d680641daa26eff3c9cffe735.png', '1569970196410667008', '2022-10-27 14:34:48', '1569970196410667008', '李四', '2022-10-27 14:35:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585280589756502016', '1585280589643255808', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试统计分析省级本公司数据-lu勿动01', null, '<p>欢迎参加测试统计分析省级本公司数据-lu勿动01培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />lisi：15478457457</p>\n<p>◆ <strong>培训内容</strong><br />测试统计分析省级数据</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/26/8db99b241bb44334b49c3e79b0093e31.png', '1569970196410667008', '2022-10-26 22:43:48', '1569970196410667008', '李四', '2022-10-26 22:44:33', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585281650466623488', '1585281650391126016', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '123123131', null, '<p>42141241</p>', null, '/train/2022/10/26/9549e4f26de54be3af172fca7e45c959.png', '1569970196410667008', '2022-10-26 22:46:13', '1569970196410667008', null, '2022-10-26 22:46:38', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1585282067082645504', '1585282067011342336', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试统计分析省级本公司数据-lu勿动002', null, '<p>欢迎参加测试统计分析省级本公司数据-lu勿动002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />lisi：15478457457</p>\n<p>◆ <strong>培训内容</strong><br />测试统计分析省级数据</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/27/9453c859de594a818e13dbe59c2b7397.png', '1569970196410667008', '2022-10-27 14:52:11', '1569970196410667008', '李四', '2022-10-27 14:54:36', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585453051798491136', '1585453051727187968', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2023测试', null, '<p>欢迎参加2023测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/28/c34143558a8746daa715086259e2a4df.png', '1562314510612697088', '2022-10-28 14:28:21', '1562314510612697088', '培训对象', '2022-10-28 14:29:13', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585453495094480896', '1585453495002206208', '1', '1', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1583278909414313984', '2022-10-27 10:09:04', null, '高中', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585459813511467008', '1585459813435969536', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '2022年10月底的培训培训', null, '<p>欢迎参加2022年10月底的培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月底的培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/27/38ee1fdf6d264a72a78603fc1d4afef5.png', '1570604410206294016', '2022-10-27 10:36:11', '1570604410206294016', '全体人员', '2022-10-27 10:36:59', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1585541137077243904', '1585541131360407552', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '打发打发', null, '<p>日日日日日日日日日日日日</p>', null, '/train/2022/10/27/8bdfe153897141529e216e59256e8ea7.png', '1', '2022-10-27 15:57:20', '1', null, '2022-10-27 15:59:13', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1585580650528903168', '1585580647496421376', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-31 14:37:56', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585836831197499392', '1585836831126196224', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '测试费用预算为0000', null, '<p>欢迎参加测试费用预算为0000培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />的放大：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/28/b4cae09e3a874e888fd5058b9781a74a.png', '1562314510612697088', '2022-10-28 15:57:16', '1562314510612697088', '试试试', '2022-10-28 15:59:29', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585850472625999872', '1585850472554696704', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年10月底的培训', null, '<p>欢迎参加2022年10月底的培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月底的培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/28/acf1809c46614a749ff12bd37ce52a9f.png', '1570604410206294016', '2022-10-28 12:26:31', '1570604410206294016', '全体人员', '2022-10-28 12:28:27', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585899428227715072', '1585899422628319232', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100045', null, null, null, null, null, null, null, null, '1583278909414313984', '2022-10-28 17:21:14', null, '学生', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585921035151216640', '1585921029040115712', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2023测试', null, '<p>欢迎参加2023测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/17/77cd41f2911c4751ba8283ec4af6826c.png', '1', '2022-11-17 14:05:22', '1', '培训对象', '2022-11-17 14:06:06', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585922101217464320', '1585922092946296832', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100045', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/2.png', '20220914-1001-省级创建', null, '<p>欢迎参加20220914-1001-省级创建培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15715874524</p>\n<p>◆ <strong>培训内容</strong><br />1.方法刚发发发火\n2.发哈弗红素粉红色的</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/31/ea983493f43f4705a526507313d5a47a.png', '1569970196410667008', '2022-11-14 11:40:17', '1569970196410667008', '学生', '2022-10-31 15:53:39', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1585926380724555776', '1585926378702901248', '1', '2', '河南省郑州市管城回族区城东路街道燕庄一街', '34.753814', '113.708242', '3', '河南省郑州市金水区人民路街道顺河路43号院', '34.760349', '113.683436', '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试远程次数', null, '<p>欢迎参加测试远程次数培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：13671211111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/11/4e1d67c43bc145059253c0ac8642ecd2.png', '1561995446459699200', '2022-11-11 10:21:27', '1561995446459699200', '中国人', '2022-11-11 10:21:35', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1585929629473050624', '1585929627308789760', '2', null, null, null, null, null, null, null, null, null, '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '222', null, '<p>21212121</p>', null, '/train/2022/10/28/a7e35250fec443f5a2f6af766465dab8.png', '1', '2022-10-28 17:41:20', '1', null, '2022-10-28 17:41:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1586564276968099840', '1586564275265212416', '1', '2', '河南省郑州市金水区人民路街道河南中医药大学第一附属医院-内科河南中医药大学第一附属医院人民路院区', '34.75861', '113.673909', null, null, null, null, '2022-08-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '123', null, '<p>欢迎参加123培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />123：18525252526</p>\n<p>◆ <strong>培训内容</strong><br />123</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/30/26d8826079154116a51febb2b1fc141a.png', '1562314510612697088', '2022-10-30 17:31:40', '1562314510612697088', '123', '2022-10-30 11:45:29', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1586964413867495424', '1586964413733277696', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '10000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '2022年10月培训班', null, '<p>欢迎参加2022年10月培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张先生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/31/934bf45f42604060800392cda4de6422.png', '1570604410206294016', '2022-10-31 14:12:55', '1570604410206294016', '全体', '2022-10-31 14:15:33', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1586969203343233024', '1586969194119958528', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/1.png', '再次测试工具包', null, '<p>欢迎参加再次测试工具包培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/10/31/11e4b71bbd0a408aa8a5bcdab9ccfcec.png', '1', '2022-10-31 14:31:57', '1', '培训对象', '2022-10-31 14:32:59', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1586971693920948224', '1586971693837062144', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1000000', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-10-31 14:41:51', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1586980690686251008', '1586980690602364928', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-10-31 18:05:08', null, '王宇航', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1586981030768807936', '1586981030676533248', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1570604410206294016', '2022-10-31 15:18:57', null, '的放大', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1587016728188162048', '1587016724568477696', '2', null, null, null, null, null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, null, null, null, null, null, null, '1562314510612697088', '2022-10-31 17:40:48', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1587255588197371904', '1587255585643040768', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试湖西岸0', null, '<p>dd欢迎参加测试湖西岸0培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/1/60cbd6ad620a4e9d874034b82e50166e.png', '1', '2022-11-01 09:29:57', '1', '的放大', '2022-11-01 09:33:15', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1587268701999206400', '1587268699407126528', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '单词', null, '<p>欢迎参加单词培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />132：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />21321321</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/1/b360b1b91c524c4a9e1077caec0812f3.png', '1', '2022-11-01 10:24:30', '1', '日日日', '2022-11-01 10:24:41', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1587758826814312448', '1587758825031733248', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '000000000000000', null, '<p>欢迎参加000000000000000培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/2/e4d9c13fdb684fc78bf85e877851d43f.png', '1', '2022-11-02 18:49:53', '1', '的放大', '2022-11-02 18:50:17', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1587759228813185024', '1587759227248709632', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1111111111111', null, '<p>欢迎参加1111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/2/61d13e7d284a455b984971e35d3f6ed6.png', '1', '2022-11-02 18:51:14', '1', '培训对象', '2022-11-02 18:51:38', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1588043345886842880', '1588043345773596672', '1', '1', null, null, null, '1', null, null, null, '2022-11-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他-1.png', '培训班', null, '<p>欢迎参加2022年11月培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />刘迪迪：15838190666</p>\n<p>◆ <strong>培训内容</strong><br />2022年11月培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/3/ded037d4535045089027886d11938423.png', '1570604410206294016', '2022-11-03 13:40:13', '1570604410206294016', '全体', '2022-11-03 13:42:38', '6', null, null);
INSERT INTO `train_class_extend` VALUES ('1588056226732838912', '1588056226653147136', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '150015', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1103金融培训班001', null, '<p>欢迎参加1103金融培训班001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />lisi：15478457457</p>\n<p>◆ <strong>培训内容</strong><br />测试统计分析省级数据</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/3/9edcf21d90c54cfc932932cb17406eaa.png', '1569970196410667008', '2022-11-03 14:31:24', '1569970196410667008', '李四', '2022-11-03 14:34:33', '1', null, null);
INSERT INTO `train_class_extend` VALUES ('1588059480506109952', '1588059480422223872', '1', '1', null, null, null, null, null, null, null, null, '10000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他-1.png', '11月没有计划的培训班', null, '<p>欢迎参加11月没有计划的培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李丽丽：13818310111</p>\n<p>◆ <strong>培训内容</strong><br />11月没有计划的培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/3/39f800efa134445cb257a1946a90fe2d.png', '1570604410206294016', '2022-11-03 14:44:26', '1570604410206294016', '全体', '2022-11-03 14:48:38', '6', null, null);
INSERT INTO `train_class_extend` VALUES ('1588072776911163392', '1588072776831471616', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2023测试', null, '<p>欢迎参加2023测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/3/98d40158180f43d485468e232e46d488.png', '1562314510612697088', '2022-11-03 15:37:10', '1562314510612697088', '培训对象', '2022-11-03 15:37:38', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1588729102112788480', '1588729101563334656', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '115评估计划', null, '<p>欢迎参加115评估计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/5/b457eac341264ca0ba80f66d79778413.png', '1', '2022-11-05 11:05:10', '1', '的放大', '2022-11-05 11:05:36', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1588733054246064128', '1588733053633695744', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '115评价2222', null, '<p>欢迎参加115评价2222培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/5/12e04d9516de4bd7b73f3890f5c4e8a8.png', '1', '2022-11-05 11:20:52', '1', '的放大', '2022-11-05 11:21:09', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1588733408396316672', '1588733407918166016', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '20221115测试省级', null, '<p>欢迎参加20221115测试省级培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张明明：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />金融课程培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/5/ea25e4951d68454ab2bfec85e587ab29.png', '1583278909414313984', '2022-11-05 11:22:16', '1583278909414313984', '全体人员', '2022-11-05 11:22:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1589098508038836224', '1589098507447439360', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试116导出', null, '<p>欢迎参加测试116导出培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br /> 费用预算：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />\n费用预算\n费用预算\n费用预算\n费用预算</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/6/79a7adaebb094af7a93172432540032c.png', '1', '2022-11-06 11:33:03', '1', ' 费用预算', '2022-11-06 11:33:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1589438488263135232', '1589438485390036992', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年11月，培训班住宿管理', null, '<p>欢迎参加2022年11月培训班住宿管理培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />刘迪迪：15838190666</p>\n<p>◆ <strong>培训内容</strong><br />2022年11月培训班住宿管理</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/7/922068e3f5da4c66b018ac4e35727fcd.png', '1570604410206294016', '2022-11-07 10:07:01', '1570604410206294016', '全体', '2022-11-07 10:09:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1589455281958555648', '1589455280243085312', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试湖西岸0', null, '<p>欢迎参加测试湖西岸0培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/7/d7f79856c2924fd0bc8b40231f3a75f4.png', '1562314510612697088', '2022-11-07 11:10:45', '1562314510612697088', '的放大', '2022-11-07 11:11:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1589461009930784768', '1589461007993016320', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '100000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试湖西岸0', null, '<p>欢迎参加测试湖西岸0培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/7/9ce6d2cc64634000ba080626f93d85ea.png', '1562314510612697088', '2022-11-07 11:44:39', '1562314510612697088', '的放大', '2022-11-07 11:45:00', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1589527115072671744', '1589527113264926720', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他-1.png', '短期住宿', null, '<p>欢迎参加短期住宿培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/7/185eb93e70b14f558a976a7fbb93fd16.png', '1570604410206294016', '2022-11-07 15:56:11', '1570604410206294016', '的放大', '2022-11-07 15:57:20', '6', null, null);
INSERT INTO `train_class_extend` VALUES ('1589549122938081280', '1589549121218416640', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年培训，住宿管理', null, '<p>欢迎参加2022年培训住宿管理培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张明明：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022金融培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/7/0988ff98f8d642349a5c910335dc5679.png', '1570604410206294016', '2022-11-07 17:23:38', '1570604410206294016', '全体', '2022-11-07 17:24:34', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1589849257995800576', '1589849256125140992', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他.png', '2022年11月7日，住宿测试', null, '<p>欢迎参加2022年11月7日住宿测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张先生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/8/3ada645cfdda485abc4290685b51ed7a.png', '1570604410206294016', '2022-11-08 13:16:16', '1570604410206294016', '全体', '2022-11-08 13:18:07', '5', null, null);
INSERT INTO `train_class_extend` VALUES ('1589916041042071552', '1589916039288852480', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/综合-1.png', '11月7日培训住宿', null, '<p>欢迎参加11月7日培训住宿培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联系人：13671211111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/8/bb63293f348449bb849e9f81f88b44e4.png', '1570604410206294016', '2022-11-08 17:41:47', '1570604410206294016', '中国人', '2022-11-08 17:42:30', '10', null, null);
INSERT INTO `train_class_extend` VALUES ('1590543804547600384', '1590543802567888896', '1', '1', null, null, null, '1', null, null, null, '2022-11-10 11:15:31', '10000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/综合-1.png', '2022年11月10日，培训班', null, '<p>欢迎参加2022年11月10日培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />刘欢欢：15838150000</p>\n<p>◆ <strong>培训内容</strong><br />2022年11月10日培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/10/27f38db95a2c45deb5c0ff789ea59752.png', '1590543166828843008', '2022-11-10 11:16:09', '1590543166828843008', '全体', '2022-11-10 11:18:30', '10', null, null);
INSERT INTO `train_class_extend` VALUES ('1590573040842969088', '1590573038678708224', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他-3.png', '2022年新的，培训班', null, '<p>欢迎参加2022年培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张明明：15838150622</p>\n<p>◆ <strong>培训内容</strong><br />金融课程培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/10/6ee6a428bec0406ba379d496ab7a7eef.png', '1590543166828843008', '2022-11-10 13:18:30', '1590543166828843008', '全体', '2022-11-10 13:20:03', '8', null, null);
INSERT INTO `train_class_extend` VALUES ('1590598104724410368', '1590598103071854592', '1', '1', null, null, null, '1', null, null, null, null, '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/金融-1.png', '培训住宿', null, '<p>欢迎参加培训住宿培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />王丹丹：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />培训住宿</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/10/f4871fa113c64ddeb85c51463f4cdd02.png', '1590543166828843008', '2022-11-10 14:52:54', '1590543166828843008', '全体', '2022-11-10 14:53:34', '4', null, null);
INSERT INTO `train_class_extend` VALUES ('1590602026079883264', '1590602024376995840', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '呀拉索', null, '<p>欢迎参加呀拉索培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />465：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />打发士大夫十分</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/10/3f929e92c8c346cfbdc240fc62f7d51f.png', '1562314510612697088', '2022-11-10 15:07:30', '1562314510612697088', '的放大', '2022-11-10 15:07:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1590625768860422144', '1590625766897487872', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '100000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/金融.png', '2022年12月培训班', null, '<p>欢迎参加2022年12月培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张先生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/10/59c659e14a4848a2a599f357b7d368c4.png', '1590543166828843008', '2022-11-10 16:41:50', '1590543166828843008', '全体', '2022-11-10 16:42:39', '3', null, null);
INSERT INTO `train_class_extend` VALUES ('1590639324473462784', '1590639322640551936', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11', null, '<p>欢迎参加11培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张先生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/10/503c01811d4b49bf8715e5799f7a8471.png', '1561995446459699200', '2022-11-11 10:38:36', '1562314510612697088', '全体', '2022-11-10 17:36:04', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1591966467736342528', '1591966465936986112', '1', '1', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '12300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试次数为1', null, '<p>欢迎参加测试次数为1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />培训对象：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/c3efa42c3f144441989f1b2eb8781736.png', '1562314510612697088', '2022-11-14 09:29:18', '1562314510612697088', '培训对象培训对象培训对象', '2022-11-14 09:30:05', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1591966612574048256', '1591966612427247616', '1', '1', null, null, null, '1', null, null, null, '2022-11-01 00:00:00', '600000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/综合.png', '2022培训中心集中培训测试', null, '<p>欢迎参加2022培训中心集中培训测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />测试培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/a70f41ce1dac43dda4256a5e3afd0e97.png', '1', '2022-11-14 09:29:52', '1', '邮政员工', '2022-11-14 09:31:18', '9', null, null);
INSERT INTO `train_class_extend` VALUES ('1591972857594908672', '1591972857506828288', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '15022', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/金融-1.png', '11月金融投资讲堂第一期', null, '<p>欢迎参加11月金融投资讲堂第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />培训内容配位我</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/3df6098c173548c59b77769b880dee4e.png', '1569970196410667008', '2022-11-14 10:08:16', '1569970196410667008', '社会人员', '2022-11-14 10:09:35', '4', null, null);
INSERT INTO `train_class_extend` VALUES ('1591992260160000000', '1591992260067725312', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843991', '113.74368', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844004', '113.743665', '2022-11-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022郑州地市培训', null, '<p>欢迎参加2022郑州地市培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />地市培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/200716ea65b64004b984bde5eca9e97c.png', '1591989473527336960', '2022-11-14 11:14:48', '1591989473527336960', '邮政员工', '2022-11-14 11:16:07', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592024974581960704', '1592024972526751744', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '十月测试AAA', null, '<p>欢迎参加十月测试AAA培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />AAA：13177777777</p>\n<p>◆ <strong>培训内容</strong><br />sedgrhtfhgfsdghkjhfdsafghjkjhgfdsfghkjkljkhgfd</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/b3ffb55620384c38bd25a48e69b8e399.png', '1561995446459699200', '2022-11-14 13:21:47', '1561995446459699200', '王宇航', '2022-11-14 13:22:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592027379356798976', '1592027379281301504', '1', '1', null, null, null, '1', null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022郑州金融培训', null, '<p>欢迎参加2022郑州金融培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/593d26c651214daf92b894fa27e8e768.png', '1591989473527336960', '2022-11-14 13:33:47', '1591989473527336960', '邮政员工', '2022-11-14 13:34:15', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592030599944736768', '1592030599865044992', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年培训班，APP班主任', null, '<p>欢迎参加2022年培训班APP班主任培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张明明：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />金融课程培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/b3c9de8db1da455eb23467e28fe6d39a.png', '1592015564824514560', '2022-11-14 13:44:08', '1592015564824514560', '全体人员', '2022-11-14 13:45:53', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592032895508287488', '1592032895428595712', '1', '1', null, null, null, '1', null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022郑州金融培训2', null, '<p>欢迎参加2022郑州金融培训2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/82f933981d284f26a543513b4051da91.png', '1591989473527336960', '2022-11-14 13:53:34', '1591989473527336960', '邮政员工', '2022-11-14 13:53:54', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592048662060601344', '1592048661980909568', '1', '1', null, null, null, '3', '河南省郑州市金水区如意湖街道农业东路59号郑州市郑东新区外国语学校', '34.775449', '113.735746', '2022-11-01 00:00:00', '15022', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/金融-1.png', '11月金融投资10，讲堂第一期', null, '<p>欢迎参加11月金融投资讲堂第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />培训内容配位我</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/ebcce4afda3948a3b9fbe0a0668be678.png', '1569970196410667008', '2022-11-14 14:55:55', '1569970196410667008', '社会人员', '2022-11-14 14:58:45', '4', null, null);
INSERT INTO `train_class_extend` VALUES ('1592057692401307648', '1592057692325810176', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年金融课程培训班-省', null, '<p>欢迎参加2022年金融课程培训班-省培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年金融课程培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/4f4fa15345014e5f8bf8e2e324c4a40e.png', '1327473526785052672', '2022-11-14 15:31:48', '1327473526785052672', '金融业务部', '2022-11-14 15:32:29', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592058496864620544', '1592058496772345856', '2', null, '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-11-01 00:00:00', '15022', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他.png', '在线培训数据001', null, '<p>在线培训数据001而分为惹人范围分为</p>', null, '/train/2022/11/18/660e29992cdd4f00a7665add409959b8.png', '1', '2023-01-15 10:58:36', '1', null, '2022-11-18 13:07:02', '5', null, null);
INSERT INTO `train_class_extend` VALUES ('1592065253968056320', '1592065253888364544', '2', null, null, null, null, null, null, null, null, '2022-11-01 00:00:00', '15022', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他-2.png', '发布在线培训课程0001', null, '<p>喂喂喂多福多寿VB风寒湿痹飞沙关的是飞洒发吧省级发布哈市局待发货</p>', null, '/train/2022/11/14/6b704edb146f43e79383611e9da69c8c.png', '1569970196410667008', '2022-11-14 16:04:57', '1569970196410667008', null, '2022-11-14 16:05:46', '7', null, null);
INSERT INTO `train_class_extend` VALUES ('1592066677149929472', '1592066677061849088', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843997', '113.743695', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843991', '113.74368', '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年金融课程培训班(2)', null, '<p>欢迎参加2022年金融课程培训班(2)培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张老师：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年金融课程培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/14/e39f851eb52e444c8b76f976049cba41.png', '1327473526785052672', '2022-11-14 16:07:30', '1327473526785052672', '金融业务部', '2022-11-14 16:07:54', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592069627058458624', '1592069625292656640', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '53551321', null, '<p>啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊</p>', null, '/train/2022/11/14/77a0d6602ef44886a50f14d777a0902d.png', '1569970196410667008', '2022-11-23 15:08:12', '1561995446459699200', null, '2022-11-14 16:23:47', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592070513264562176', '1592070513180676096', '2', null, null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1590648570632081408', '2022-11-14 16:22:44', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592091700946407424', '1592091700870909952', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '158900', null, null, null, null, null, null, null, null, '1590543166828843008', '2022-11-14 18:30:09', null, '全体', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592332285804417024', '1592332283896008704', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', 'sdfds', null, '<p>dfsd</p>', null, '/train/2022/11/15/a778a158646b46d9b2a8854fc154bd83.png', '1', '2022-11-15 09:42:56', '1', null, '2022-11-15 09:43:17', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592347797405962240', '1592347795233312768', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '考试', null, '<p>欢迎参加考试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />AAA：13177777777</p>\n<p>◆ <strong>培训内容</strong><br />sedgrhtfhgfsdghkjhfdsafghjkjhgfdsfghkjkljkhgfd</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/15/dde48fddadb04c3bb29293569ae4d51a.png', '1561995446459699200', '2022-11-15 10:44:34', '1561995446459699200', '王宇航', '2022-11-15 10:45:31', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592355625667530752', '1592355623763316736', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-11-15 11:15:40', null, '邮政员工', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592356114748542976', '1592356114652073984', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', '1', null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022集中培训', null, '<p>欢迎参加2022集中培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/15/446c1ef394e84fb2b961177d32c8eb9e.png', '1', '2022-11-15 11:17:37', '1', '邮政员工', '2022-11-15 11:18:42', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592370139817447424', '1592370137816764416', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-06-01 00:00:00', '11000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1111', null, '<p>阿三大苏打大苏打啊嘎发的身上的手动阀而懊悔得分手段让二哥</p>', null, '/train/2022/11/15/6a56d39c2fad480aa5e8f4485d8bda1a.png', '1', '2022-11-18 11:11:23', '1561995446459699200', null, '2022-11-15 12:26:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592385356001579008', '1592385355917692928', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', null, null, null, null, '2022-10-01 00:00:00', '158900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1021计划库第一版1115', null, '<p>欢迎参加1021计划库第一版1115培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784541247</p>\n<p>◆ <strong>培训内容</strong><br />培训内容测试名称是否正常</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/15/476e7413ccab4a0aa2acfb2e78970214.png', '1562314510612697088', '2022-11-15 16:38:57', '1562314510612697088', '全体', '2022-11-15 16:39:36', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592401376527388672', '1592401367887122432', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.84315', '113.743082', '2', '河南省郑州市金水区杨金路街道优客工场', '34.844426', '113.743597', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '212213231321', null, '<p>欢迎参加212213231321培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/5ac363bb3c2b47c9a69447ce035f7e04.png', '1569970196410667008', '2022-11-19 11:16:40', '1569970196410667008', '邮政员工', '2022-11-19 11:24:37', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592712849069838336', '1592712846490341376', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '郑州的1测试', null, '<p>欢迎参加郑州的1测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/16/d6c554dc0f324532bd98d04d4ca160e3.png', '1564192820011601920', '2022-11-16 10:55:09', '1564192820011601920', '全体培训对象', '2022-11-16 10:55:31', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592720950695170048', '1592720948858064896', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '郑州的188888888888888', null, '<p>欢迎参加郑州的188888888888888培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/16/db3617b152de450196372ac70fc64f34.png', '1564192820011601920', '2022-11-16 11:27:21', '1564192820011601920', '全体培训对象', '2022-11-16 11:27:40', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592725508053929984', '1592725506246184960', '2', null, null, null, null, null, null, null, null, '2022-10-01 00:00:00', '500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', 'sdfa ', null, '<p>asdfsa </p>', null, '/train/2022/11/16/6962f1aff3c148f9a06c8c3b970a8cca.png', '1564192820011601920', '2022-11-16 11:45:27', '1564192820011601920', null, '2022-11-16 11:45:53', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592783389910503424', '1592783387914014720', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', '1', null, null, null, '2022-11-01 00:00:00', '150022', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11月金融投资讲堂第一期1116-03', null, '<p>欢迎参加11月金融投资讲堂第一期1116-03培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />培训内容配位我培训内容配位我培训内容配位我培训内容配位我培训内容配位我</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/16/e6f68703ab82460cb2c93c668f771154.png', '1569970196410667008', '2022-11-16 16:01:39', '1569970196410667008', '社会人员', '2022-11-16 16:04:21', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592811844228222976', '1592811842428866560', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', '1', null, null, null, '2022-11-01 00:00:00', '15836', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11月金融第二讲-勿动001', null, '<p>欢迎参加11月金融第二讲-勿动培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p style=\"text-align: center;\">◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参<em>加培训期</em>间戴好口罩<span style=\"color: #e67e23;\">等个人防护措施</span>。反倒是复活复活复活干部身份关不上的部分的四分十八回复就看撒保护费<span style=\"text-decoration: underline;\">艰苦撒旦发布的杀怪物事故发生</span></p>\n<p>发动机上课开发环境<strong>快速导航房价快速</strong>导航<span style=\"text-decoration: line-through;\">犯得上广泛撒谎</span></p>\n<p><span style=\"text-decoration: line-through;\"><img src=\"https://echftp.jinmingyuan.com/train/2022/11/16/655a50cb081a482e98fa06a4c1e03522.jpg\" alt=\"\" width=\"829\" height=\"596\" /></span></p>', null, '/train/2022/11/16/d28b7ba595c645d693167e7c3510e250.png', '1569970196410667008', '2022-11-16 17:28:31', '1569970196410667008', '李四', '2022-11-16 17:34:27', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1592817483524476928', '1592817481695760384', '1', '2', '河南省郑州市金水区杨金路街道马头岗街河南外包产业园', '34.844032', '113.743552', '1', null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11月金融第二讲-勿动', null, '<p>欢迎参加11月金融第二讲-勿动培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/16/b187107f233d45cca9a85a8be522620e.png', '1', '2022-11-16 17:50:56', '1', '李四', '2022-11-16 17:51:31', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593055771090882560', '1593055771002802176', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11月金融第二讲=1117-01', null, '<p>欢迎参加11月金融第二讲=1117-01培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/17/5cd7d67adb38488a9e97f3fac9b58630.png', '1569970196410667008', '2022-11-17 09:37:48', '1569970196410667008', '李四', '2022-11-17 09:38:30', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593074625888260096', '1593074623937908736', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843144', '113.743104', null, null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '金融第二讲-1117-02', null, '<p>欢迎参加金融第二讲-1117-02培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/17/76b371dcc023492a8b41a655b3aeba60.png', '1569970196410667008', '2022-11-17 10:52:43', '1569970196410667008', '李四', '2022-11-17 10:54:18', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593133880473423872', '1593133878619541504', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '集中1次', null, '<p>欢迎参加集中1次培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />1：18654676789</p>\n<p>◆ <strong>培训内容</strong><br />1</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/17/6cd249ae25c04e97abce8b0ba52f66cf.png', '1', '2022-11-17 14:48:11', '1', '1', '2022-11-17 14:48:39', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593156132673818624', '1593156130685718528', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-10-01 00:00:00', '158900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1021计划库第一版', null, '<p>欢迎参加1021计划库第一版培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784541247</p>\n<p>◆ <strong>培训内容</strong><br />培训内容测试名称是否正常</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/18/2bbe5f12fb39492dba94a3db15a24b31.png', '1561995446459699200', '2022-11-18 14:45:44', '1561995446459699200', '全体', '2022-11-18 14:45:50', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593163292099088384', '1593163290295537664', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843144', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试住宿结束四小时内状态数据', null, '<p>欢迎参加测试住宿结束四小时内状态数据培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/17/934413c7cf7a475e894b733dbb4d8a77.png', '1569970196410667008', '2022-11-17 16:45:23', '1569970196410667008', '李四', '2022-11-17 16:47:52', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593195027725684736', '1593195024294744064', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '十月测试AAA', null, '<p>欢迎参加十月测试AAA培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />AAA：13177777777</p>\n<p>◆ <strong>培训内容</strong><br />sedgrhtfhgfsdghkjhfdsafghjkjhgfdsfghkjkljkhgfd</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1567046004463767552', '2022-11-17 18:51:09', '1567046004463767552', '王宇航', '2022-11-17 18:51:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593442347402792960', '1593442341304274944', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1', '2022-11-18 13:06:03', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593493000489668608', '1593493000393199616', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.84315', '113.743101', null, null, null, null, '2022-11-01 00:00:00', '15836', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '第二讲1118-1001', null, '<p>欢迎参加第二讲1118-1001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/18/dc2066fb19024c80ab09f5dad48cc44d.png', '1569970196410667008', '2022-11-18 14:36:03', '1569970196410667008', '李四', '2022-11-18 14:36:42', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593493866663776256', '1593493864797310976', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '十月测试A测试评价', null, '<p>欢迎参加十月测试A测试评价培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />AAA：13177777777</p>\n<p>◆ <strong>培训内容</strong><br />sedgrhtfhgfsdghkjhfdsafghjkjhgfdsfghkjkljkhgfd</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/18/decdc3aeb890474a9b9ea742206770bf.png', '1', '2022-11-18 14:38:38', '1', '王宇航', '2022-11-18 14:39:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593497106327408640', '1593497104381251584', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/18/097e37b4c85b43a6b52f8cbe832e5737.png', '1561995446459699200', '2022-11-18 14:52:57', '1561995446459699200', '人', '2022-11-18 14:53:07', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593497444656746496', '1593497442869972992', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-11-19 11:00:22', null, '1', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593499312657141760', '1593499312577449984', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', null, null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '金融第二讲1118-1002', null, '<p>欢迎参加金融第二讲1118-1002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/18/b3450e5da9b8485bb84ed729438918dc.png', '1569970196410667008', '2022-11-18 15:00:29', '1569970196410667008', '李四', '2022-11-18 15:01:03', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593575276699324416', '1593575269023748096', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-10-01 00:00:00', '158900', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1021计划库第一版', null, '<p>欢迎参加1021计划库第一版培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784541247</p>\n<p>◆ <strong>培训内容</strong><br />培训内容测试名称是否正常</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/18/724f05c0fdf842aa8c47eabd4f88c90c.png', '1', '2022-11-18 20:02:08', '1', '全体', '2022-11-18 20:03:18', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593802739777933312', '1593802731448045568', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1119-1001', null, '<p>欢迎参加1119-1001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/85468f0f666b46ee8a5b4d6888aa033b.png', '1569970196410667008', '2022-11-19 11:09:15', '1569970196410667008', '李四', '2022-11-19 11:09:23', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593815433251786752', '1593815430726815744', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '郑州的1111831', null, '<p>欢迎参加郑州的1111831培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/3833c967b6304f438ba343238d9fdb2b.png', '1583286076276084736', '2022-11-19 11:56:26', '1583286076276084736', '全体培训对象', '2022-11-19 11:56:53', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593821741258510336', '1593821741174624256', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '44400', null, null, null, null, null, null, null, null, '1561995446459699200', '2022-11-19 13:36:44', null, '777', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593838038671298560', '1593838036792250368', '1', '1', null, null, null, '2', '北京市东城区建国门街道东堂子胡同北京香港马会会所(金宝街店)', '39.914272', '116.42391', '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '郑州的1111831', null, '<p>欢迎参加郑州的1111831培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/f47d00d50b97451aba2891d6f13bc224.png', '1583286076276084736', '2022-11-19 13:26:15', '1583286076276084736', '全体培训对象', '2022-11-19 13:26:38', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593838492213972992', '1593838490360090624', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1119-1002', null, '<p>欢迎参加1119-1002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/5d0f5f6ede8047b1ac04afdf415257f7.png', '1569970196410667008', '2022-11-19 13:28:03', '1569970196410667008', '李四', '2022-11-19 13:30:08', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593841370890637312', '1593841368902537216', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试供应商评价', null, '<p>欢迎参加测试供应商评价培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/36b792b3e3164888aeb7e13370245710.png', '1561995446459699200', '2022-11-19 13:39:30', '1561995446459699200', '人', '2022-11-19 13:40:23', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593850724981280768', '1593850722854768640', '1', '1', null, null, null, '3', '北京市西城区西长安街街道南长街', '39.912429', '116.38872', '2022-09-01 00:00:00', '200000', null, null, null, null, null, null, null, null, '1583286076276084736', '2022-11-19 14:17:37', null, '全体培训对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593852297610399744', '1593852295790071808', '1', '1', null, null, null, '3', '北京市东城区东华门街道故宫博物院', '39.921118', '116.401079', '2022-09-01 00:00:00', '200000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊', null, '<p>欢迎参加啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />联联 系 人：13611111111</p>\n<p>◆ <strong>培训内容</strong><br />培训内容培训内容培训内容培训内容培训内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/e10905b266b64958a73f7f56fb59c2b5.png', '1583286076276084736', '2022-11-19 14:22:55', '1583286076276084736', '全体培训对象', '2022-11-19 14:23:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1593927116863442944', '1593927114980200448', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1119-1003', null, '<p>欢迎参加1119-1003培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/19/44be030eb04d49da9e9042f569d403cc.png', '1569970196410667008', '2022-11-19 19:20:13', '1569970196410667008', '李四', '2022-11-19 19:21:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594222228512313344', '1594222226587127808', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '15836', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1120课程-1001', null, '<p>欢迎参加1120课程-1001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15478457487</p>\n<p>◆ <strong>培训内容</strong><br />正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训正常进行线下培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/20/cb49e41ed2bf4092a08f095d77087a08.png', '1569970196410667008', '2022-11-20 14:52:53', '1569970196410667008', '李四', '2022-11-20 14:54:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594241797939400704', '1594241796026798080', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '15632', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-11-20 16:10:39', null, '社会对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594241802184036352', '1594241800200130560', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '15632', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '课程第一讲1120-a', null, '<p>欢迎参加课程第一讲1120-a培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745745</p>\n<p>◆ <strong>培训内容</strong><br />测试内容测试内容测试内容测试内容测试内容</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/20/eadc462f227e415dba31ed836859014f.png', '1569970196410667008', '2022-11-20 16:10:40', '1569970196410667008', '社会对象', '2022-11-20 16:12:01', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594244409258545152', '1594244407400468480', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/20/d2ebdc48a5a841f2a867f65e72b784da.png', '1569970196410667008', '2022-11-20 16:21:01', '1569970196410667008', '人', '2022-11-20 16:21:30', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594249414527029248', '1594249412387934208', '1', '1', null, null, null, null, null, null, null, '2022-11-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1569970196410667008', '2022-11-20 16:40:55', null, '邮政员工', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594501810863869952', '1594501807982383104', '1', '1', null, null, null, '1', null, null, null, '2022-11-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121住宿测试', null, '<p>欢迎参加1121住宿测试培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />11：15838150888</p>\n<p>◆ <strong>培训内容</strong><br />1121住宿测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/04bc4b398eeb41a58da7d1354b53ba85.png', '1561995446459699200', '2022-11-21 09:23:51', '1561995446459699200', '全体', '2022-11-21 09:26:12', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594503796053118976', '1594503793733668864', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843954', '113.743684', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022住宿集中培训', null, '<p>欢迎参加2022住宿集中培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/8e6626c6483c480ab7bcd478d9660b3f.png', '1561995446459699200', '2022-11-21 09:31:55', '1561995446459699200', '邮政员工', '2022-11-21 09:32:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594504242125737984', '1594504240024391680', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844011', '113.74371', '1', null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022集中培训', null, '<p>欢迎参加2022集中培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/eda01edbb91a4de681a8a3685d98ff46.png', '1561995446459699200', '2022-11-21 09:33:30', '1561995446459699200', '邮政员工', '2022-11-21 09:33:55', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594523997217886208', '1594523997104640000', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022集中培训', null, '<p>欢迎参加2022集中培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/8fed1a3d2f794a54b8ca188de324af1d.png', '1327473526785052672', '2022-11-21 10:52:00', '1327473526785052672', '邮政员工', '2022-11-21 10:57:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594530953101971456', '1594530952930004992', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843993', '113.743688', null, null, null, null, '2022-11-01 00:00:00', '20000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年集中培训计划库', null, '<p>欢迎参加2022年集中培训计划库培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />测试培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/6c3e7ae71a554e9f8f50b98810a2450d.png', '1327473526785052672', '2022-11-21 13:06:24', '1327473526785052672', '邮政员工', '2022-11-21 13:07:18', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594539631003701248', '1594539630882066432', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/4da46ccfa4784790920d72fdb31d10ba.png', '1562314510612697088', '2022-11-23 16:46:39', '1562314510612697088', '100', '2022-11-23 16:47:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594562354769694720', '1594562352714485760', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '十月测试测试 签到计划1111', null, '<p>欢迎参加十月测试测试 签到计划1111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />AAA：13177777777</p>\n<p>◆ <strong>培训内容</strong><br />sedgrhtfhgfsdghkjhfdsafghjkjhgfdsfghkjkljkhgfd</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/1597b75988414a6a924ff79baf7c44fa.png', '1', '2022-11-21 13:24:26', '1', '王宇航', '2022-11-21 13:26:05', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594565666508247040', '1594565664650170368', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-10-01 00:00:00', '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试签到22222222222', null, '<p>欢迎参加测试签到22222222222培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br /> 费用预算：13699999999</p>\n<p>◆ <strong>培训内容</strong><br />\n费用预算\n费用预算\n费用预算\n费用预算</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/c556688b7b6442f6bc372d44039c9e44.png', '1', '2022-11-21 13:37:35', '1', ' 费用预算', '2022-11-21 13:39:25', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594569104071725056', '1594569101844549632', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022集中培训签到44444', null, '<p>欢迎参加2022集中培训签到44444培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/cf82bcba12344ddf9bbc04e652edb8ba.png', '1', '2022-11-21 13:51:15', '1', '邮政员工', '2022-11-21 13:55:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594571957439959040', '1594571954189373440', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '前打扫5555', null, '<p>欢迎参加前打扫5555培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/c891eb63c27648afad9bdf6b3a47ba29.png', '1', '2022-11-21 14:02:35', '1', '邮政员工', '2022-11-21 14:05:45', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594586022149230592', '1594586018877673472', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a11</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/af73518b503d4da2a42bbdcd37112f20.png', '1569970196410667008', '2022-11-21 14:58:28', '1569970196410667008', '社会对象', '2022-11-21 15:00:56', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594597852552761344', '1594597850510135296', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒V1', null, '<p>欢迎参加测试消息提醒V1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/21/b528480b7f404ac1963c1cbdfc658875.png', '1561995446459699200', '2022-11-21 15:51:04', '1561995446459699200', '人', '2022-11-21 15:51:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594874153901625344', '1594874152140017664', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1122培训库课程-c', null, '<p>欢迎参加1122培训库课程-c培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/22/84752c80adf242a2b1753ab673045dcb.png', '1569970196410667008', '2022-11-22 10:03:24', '1569970196410667008', '社会对象', '2022-11-22 10:04:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1594982370216382464', '1594982368521883648', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, '10000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1342', null, '<p>欢迎参加1342培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />1：18650909890</p>\n<p>◆ <strong>培训内容</strong><br />1</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/57b0d458ac2a4894aa015cc8cb7cb5bb.png', '1562314510612697088', '2022-11-23 13:42:49', '1562314510612697088', '1', '2022-11-23 13:43:13', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595245007323926528', '1595245007231651840', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1567046004463767552', '2022-11-23 10:37:46', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595258237899378688', '1595258235898695680', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843162', '113.743082', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022集中培训', null, '<p>欢迎参加2022集中培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/bf30a7d5b85f470b8e96c9c76d0cbd57.png', '1', '2022-11-23 11:29:37', '1', '邮政员工', '2022-11-23 11:30:00', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595284727714156544', '1595284725910605824', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1123', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/284a740b6b7a40049f343e1216f66100.png', '1562314510612697088', '2022-11-23 13:14:53', '1562314510612697088', '人', '2022-11-23 13:15:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595285929231257600', '1595285927368986624', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11231320', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/6fa235356f8942f68c30f7ec1a29088c.png', '1562314510612697088', '2022-11-23 13:19:39', '1562314510612697088', '人', '2022-11-23 13:20:09', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595287548505231360', '1595287546621988864', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '11231325', null, '<p>欢迎参加11231325培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/82d02a171812487bbcd26c56557d0d0d.png', '1562314510612697088', '2022-11-23 13:26:05', '1562314510612697088', '人', '2022-11-23 13:26:34', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595288529729097728', '1595288527829078016', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1329', null, '<p>欢迎参加1329培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/de8517c0b0354015abb5a85e32075ae0.png', '1562314510612697088', '2022-11-23 13:29:59', '1562314510612697088', '邮政员工', '2022-11-23 13:30:38', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595290770376626176', '1595290765951635456', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1338', null, '<p>欢迎参加1338培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225267233</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训\n</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/833416f8f7f7446e891bec25f08b75f7.png', '1562314510612697088', '2022-11-23 13:38:53', '1562314510612697088', '邮政员工', '2022-11-23 13:39:19', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595293028719923200', '1595293028619259904', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1123培训班a', null, '<p>欢迎参加1123培训班a培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/ec56b7ea92fe4c19b649cf0faa643e39.png', '1569970196410667008', '2022-11-23 13:47:52', '1569970196410667008', '社会对象', '2022-11-23 13:48:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595294084669509632', '1595294082480082944', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1351', null, '<p>欢迎参加1351培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/de4510446faf4dd694c1986c5e8caba9.png', '1562314510612697088', '2022-11-23 13:52:04', '1562314510612697088', '人', '2022-11-23 13:52:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595296317054259200', '1595296314990661632', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1400', null, '<p>欢迎参加1400培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/616f9408a0b645c5a4ac76ba1cbfa1b4.png', '1562314510612697088', '2022-11-23 14:00:56', '1562314510612697088', '人', '2022-11-23 14:01:52', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595297570115162112', '1595297568395497472', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1406', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/c4ae62874ced414186a2a648b6a3653d.png', '1562314510612697088', '2022-11-23 14:05:55', '1562314510612697088', '社会对象', '2022-11-23 14:06:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595306200780640256', '1595306199023226880', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2021', null, '<p>欢迎参加2021培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/3ab439577a454e1f8904f2bf30158a77.png', '1564191182190415872', '2022-11-23 14:40:12', '1564191182190415872', '社会对象', '2022-11-23 14:40:33', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595306466988920832', '1595306464161959936', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1123', null, '<p>欢迎参加1123培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/f6d8c33b9eaa46d5b3ea619e87bdd99c.png', '1562314510612697088', '2022-11-23 14:41:16', '1562314510612697088', '社会对象', '2022-11-23 14:41:48', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595306899182587904', '1595306897458728960', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '202111', null, '<p>欢迎参加202111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/583d5c9db492428e8248b37272baf756.png', '1564191182190415872', '2022-11-23 14:42:59', '1564191182190415872', '社会对象', '2022-11-23 14:43:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595313275258671104', '1595313273341874176', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-08-01 00:00:00', '1500000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他.png', '3123', null, '<p>12312312312</p>', null, '/train/2022/11/23/86160dca8d0d4861bd89c1aae72ef2ce.png', '1564191182190415872', '2022-11-23 15:08:19', '1564191182190415872', null, '2022-11-23 15:08:44', '5', null, null);
INSERT INTO `train_class_extend` VALUES ('1595322592359747584', '1595322590518448128', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/d75bd559310f472da747954a1050d6f2.png', '1590648570632081408', '2022-11-23 15:45:20', '1590648570632081408', '社会对象', '2022-11-23 15:45:53', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595344831109009408', '1595344829099937792', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/44818e4c61494243a51de71a3174c5b6.png', '1561995446459699200', '2022-11-23 17:13:42', '1561995446459699200', '人', '2022-11-23 17:14:12', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1595346557178351616', '1595346555282526208', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />测试老师：17630034020</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/23/6830618203a6426893e74b1be5512ee0.png', '1561995446459699200', '2022-11-23 17:20:34', '1561995446459699200', '人', '2022-11-23 17:21:23', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596033831893340160', '1596033829854908416', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒25', null, '<p>欢迎参加测试消息提醒25培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/25/5c175b5d48d047c89a8cada690e84117.png', '1561995446459699200', '2022-11-25 14:51:33', '1561995446459699200', '人', '2022-11-25 14:52:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596324541276229632', '1596324541188149248', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '12', null, '<p>12</p>', null, '/train/2022/11/26/0a43f2a3a44e41ec9fc3ce21fddf3822.png', '1590543166828843008', '2022-11-26 10:06:44', '1590543166828843008', null, '2022-11-26 10:07:05', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596328013459492864', '1596328011639164928', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试是否可以关闭', null, '<p>欢迎参加测试是否可以关闭培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/26/8e0b3bbd79cf44b08ee02a1c23a9887d.png', '1590648570632081408', '2022-11-26 10:20:31', '1590648570632081408', '人', '2022-11-26 10:20:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596330955105243136', '1596330952991313920', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试定时任务', null, '<p>欢迎参加测试定时任务培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/26/38c732692b3e4d50ab832060ffc1ac91.png', '1561995446459699200', '2022-11-26 10:32:13', '1561995446459699200', '人', '2022-11-26 10:33:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596346736513781760', '1596346735863664640', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试培训报告导出', null, '<p>欢迎参加测试培训报告导出培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/26/3220f7703c0a421992b6b34dca4d091c.png', '1', '2022-11-26 11:34:55', '1', '人', '2022-11-26 11:35:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596385685756055552', '1596385685659586560', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试培训报告导出第二次', null, '<p>欢迎参加测试培训报告导出第二次培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/26/4853ffc536354e4ca0c35836ce69dd7e.png', '1', '2022-11-26 14:09:42', '1', '人', '2022-11-26 14:10:56', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596496833658621952', '1596496831796350976', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市管城回族区北下街街道法院西街17号楼法院后街41号院', '34.752945', '113.674939', '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/26/20d44c7b5bc647c7bb43280f7e974abf.png', '1562314510612697088', '2022-11-26 21:31:21', '1562314510612697088', '人', '2022-11-26 21:31:42', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596498438604853248', '1596498438508384256', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/26/07aefcce267a4975926e923e107c9669.png', '1567046004463767552', '2022-11-26 21:39:27', '1567046004463767552', '人', '2022-11-26 21:39:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596670850713653248', '1596670850063536128', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试评估计划1', null, '<p>欢迎参加测试评估计划1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/27/c4db66aa3b364253bf3a915e37d6960d.png', '1', '2022-11-27 09:02:50', '1', '社会对象', '2022-11-27 09:03:48', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596689081889329152', '1596689079976726528', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-12-01 00:00:00', '120000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试消息提醒', null, '<p>欢迎参加测试消息提醒培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露露：18111111111</p>\n<p>◆ <strong>培训内容</strong><br />学习高效加班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/12/8/910169bb8c4040d687456a7796090e88.png', '1569970196410667008', '2022-12-08 13:32:50', '1569970196410667008', '15人', '2022-12-08 13:37:41', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596689611596369920', '1596689609977368576', '1', '1', null, null, null, null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1590543166828843008', '2022-11-27 10:17:23', null, '高中', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596745762610483200', '1596745761951977472', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '第二次测试评估计划1127', null, '<p>欢迎参加第二次测试评估计划1127培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/27/1928d2c3cd004a47956633913ec4b4a3.png', '1583278909414313984', '2022-11-27 14:00:31', '1583278909414313984', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-27 14:01:50', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596749932004511744', '1596749930284847104', '1', '1', null, null, null, '1', null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1590543166828843008', '2022-11-27 14:17:05', null, '高中', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596749952258805760', '1596749950652387328', '1', '1', null, null, null, '1', null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1590543166828843008', '2022-11-27 14:17:09', null, '高中', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596780040006275072', '1596780039909806080', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '中文逗号，实现换行', null, null, null, '/train/2022/11/27/77fb58696ee74c3c87ce5d38ebee7ce7.png', '1590648570632081408', '2022-11-27 16:16:43', '1590648570632081408', null, '2022-11-27 16:17:07', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596788428039655424', '1596788426072526848', '1', '2', '河南省郑州市金水区杨金路街道通雅路徐庄安置区2期', '34.844412', '113.731145', null, null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试就餐', null, '<p>欢迎参加测试就餐培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/27/972ddebe6dd24aeea797e02008b92dc3.png', '1590543166828843008', '2022-11-27 16:50:03', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-27 16:50:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1596789912114434048', '1596789911623700480', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1127 给黎利伯倒是评价', null, '<p>欢迎参加1127 给黎利伯倒是评价培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/27/08ff21a8191e4fad8410a75416d13ac7.png', '1', '2022-11-27 16:55:57', '1', '社会对象', '2022-11-27 16:56:17', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597123373928943616', '1597123371915677696', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '09-21-1001直接创建的培训班', null, '<p>欢迎参加09-21-1001直接创建的培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/28/beb869ff9d2b434f8a54d17477b2193d.png', '1590543166828843008', '2022-11-28 15:01:00', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-28 15:01:19', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597126123689480192', '1597126122154364928', '2', null, '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1511测试', null, '<p>1</p>', null, '/train/2022/11/29/c04738a974194fabaf13912d8deb30d0.png', '1561995446459699200', '2023-01-17 00:01:59', '1590543166828843008', null, '2022-11-29 09:41:11', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597129837967970304', '1597129836160225280', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试是否预留', null, '<p>欢迎参加测试是否预留培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/28/4e2ce88de21b4a3fa2fdbb24bdf7f614.png', '1590543166828843008', '2022-11-28 15:26:41', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-28 15:27:02', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597135728125546496', '1597135726384910336', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '名单导入是否可以报到', null, '<p>欢迎参加名单导入是否可以报到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/28/f7e301f1c46c442192d8e22d323d97a1.png', '1590543166828843008', '2022-11-28 15:50:06', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-28 15:50:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597146388070797312', '1597146387521343488', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区国基路街道河南丰之元汽车销售服务有限公司花半里东区', '34.830446', '113.681602', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/28/88c1f1a02cc24419a132d5c419ef0749.png', '1567046004463767552', '2022-11-28 16:32:27', '1567046004463767552', '社会对象', '2022-11-28 16:32:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597161125416407040', '1597161124694986752', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843879', '113.743691', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/12/2/de3eeb6657994e448689db551c1d3574.png', '1', '2022-12-02 10:47:14', '1', '社会对象', '2022-12-02 10:47:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597394015253303296', '1597394013504278528', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省信阳市平桥区前进街道新七大道82号', '32.14239', '114.116659', '2022-11-01 00:00:00', '157835', null, null, null, null, null, null, null, null, '1', '2022-11-29 08:56:26', null, '社会对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597505219510538240', '1597505217669238784', '1', '2', '河南省郑州市金水区国基路街道中国农业银行(郑州柳林分理处)花半里东区', '34.831229', '113.68137', '2', '河南省郑州市金水区国基路街道中国农业银行(郑州柳林分理处)花半里东区', '34.831207', '113.681374', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1567046004463767552', '2022-11-29 16:18:19', '1567046004463767552', '社会对象', '2022-11-29 16:18:54', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597515219066818560', '1597515216793505792', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '复测0922-001', null, '<p>欢迎参加复测0922-001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/29/8e461bd80a3c4180826270697410373d.png', '1583278909414313984', '2022-11-29 16:58:03', '1583278909414313984', '培训对象1001', '2022-11-29 16:58:39', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597552463605534720', '1597552459767746560', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区杜岭街道市民新村北街4号院', '34.762558', '113.668759', '2022-11-01 00:00:00', '157835', null, null, null, null, null, null, null, null, '1', '2022-11-29 19:26:03', null, '社会对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597552962140508160', '1597552958424354816', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1927测试签到', null, '<p>欢迎参加1927测试签到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1590543166828843008', '2022-11-29 19:36:21', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-29 19:36:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597556739794931712', '1597556737949437952', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试签到', null, '<p>欢迎参加测试签到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1590543166828843008', '2022-11-29 19:43:03', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-29 19:43:30', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597557771883122688', '1597557770041823232', '1', '1', null, null, null, '1', null, null, null, '2022-09-01 00:00:00', '8933', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试签到', null, '<p>欢迎参加测试签到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三李四：15878454787</p>\n<p>◆ <strong>培训内容</strong><br />工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。\n工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理\n、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：\n住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。工具包模块包含：住宿管理、就餐管理、桌签打印、评估计划、签到管理、费用管理、调查问卷、培训设备、资料库、考试计划、派车管理、备忘录。</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1590543166828843008', '2022-11-29 19:47:09', '1590543166828843008', '面向社会、面向社会，面向社会面向社会面向社会面向社会', '2022-11-29 19:47:29', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597559737979899904', '1597559736184737792', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试签到', null, '<p>欢迎参加测试签到培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1590543166828843008', '2022-11-29 19:54:57', '1590543166828843008', '培训对象1001', '2022-11-29 19:55:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597757295012483072', '1597757293041160192', '1', '1', null, null, null, '1', null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '复测0922-001', null, '<p>欢迎参加复测0922-001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1590543166828843008', '2022-11-30 08:59:59', '1590543166828843008', '培训对象1001', '2022-11-30 09:00:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597769175466643456', '1597769173512097792', '2', null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-05-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年邮政培训中心培训', null, '<p>111111</p>', null, '/train/2023/1/4/99a8c28665bb4723937847eb091b212e.png', '1561995446459699200', '2023-01-04 17:16:21', '1561995446459699200', null, '2023-01-04 17:16:32', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597773954943160320', '1597773952061673472', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '1000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试1130', null, '<p>欢迎参加测试1130培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/30/626d34033a1c41de8a16bcffc80dd633.png', '1583278909414313984', '2022-11-30 10:06:11', '1583278909414313984', '培训对象1001', '2022-11-30 10:06:35', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597789477697359872', '1597789475835088896', '1', '1', null, null, null, null, null, null, null, '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '复测0922-0014545', null, '<p>欢迎参加复测0922-0014545培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/30/4d5f6ac582264c49a33ef4c2d8c7dd59.png', '1583278909414313984', '2022-11-30 11:07:52', '1583278909414313984', '培训对象1001', '2022-11-30 11:08:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1597791739014418432', '1597791737093427200', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市中原区桐柏路街道家银川菜酒楼', '34.777788', '113.59649', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b79889987', null, '<p>欢迎参加1121培训库课程-b79889987培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/11/30/698a4bf73e6246bb8b7e178a2ea7b922.png', '1', '2022-11-30 11:16:51', '1', '社会对象', '2022-11-30 11:17:16', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1598521651899797504', '1598521650104635392', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '1', '河南省郑州市金水区丰产路街道李记羊肉烩面泡馍馆名门天境(建设中)', '34.785119', '113.701203', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1202 培训报告打印', null, '<p>欢迎参加1202 培训报告打印培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/12/2/e66f31cec1724393993dbdba82fa1a51.png', '1', '2022-12-02 11:37:16', '1', '社会对象', '2022-12-02 11:38:34', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1598522111650041856', '1598522109934571520', '1', '1', null, null, null, '3', '河南省郑州市金水区经八路街道河南省国防教育基地', '34.76606', '113.673995', '2022-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '没有住宿', null, '<p>欢迎参加没有住宿培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张三：15745874547</p>\n<p>◆ <strong>培训内容</strong><br />测试</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/12/2/81b57fc67380475ea566805cc3a9e4fa.png', '1590543166828843008', '2022-12-02 11:39:05', '1590543166828843008', '培训对象1001', '2022-12-02 11:39:25', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1598951182804586496', '1598951182674563072', '1', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844013', '113.743703', null, null, null, null, '2022-12-01 00:00:00', '100000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '123培训班', null, '<p>欢迎参加123培训班培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />刘丽丽：15838150622</p>\n<p>◆ <strong>培训内容</strong><br />123培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/12/3/dae72a0936194e659bb14db6ec6083a4.png', '1590543166828843008', '2022-12-03 16:04:04', '1590543166828843008', '全体', '2022-12-03 16:04:35', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1599662455552872448', '1599662455414460416', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2022/12/7/e95146de377b4501b4fa4c5242c67df3.png', '1327473526785052672', '2022-12-07 21:51:26', '1327473526785052672', '社会对象', '2022-12-07 21:51:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1601103090029826048', '1601103088209498112', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省信阳市浉河区金牛山街道北许家塆', '32.149802', '114.045591', '2022-11-01 00:00:00', '157835', null, null, null, null, null, null, null, null, '1561995446459699200', '2023-01-04 13:39:26', null, '社会对象', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1601103450442174464', '1601103448521183232', '1', '1', null, null, null, null, null, null, null, '2022-09-01 00:00:00', '100099', null, null, null, null, null, null, null, null, '1583278909414313984', '2022-12-09 14:36:24', null, '面向社会', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1601140650420604928', '1601140648700940288', '1', '1', null, null, null, null, null, null, null, '2022-12-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1583278909414313984', '2022-12-09 17:04:13', null, '23233', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1601141360491106304', '1601141358767247360', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-12-01 00:00:00', '10000', null, null, null, null, null, null, null, null, '1583278909414313984', '2022-12-09 17:07:03', null, '23233', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1601141616494645248', '1601141614636568576', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-12-01 00:00:00', '30000', null, null, null, null, null, null, null, null, '1583278909414313984', '2022-12-09 17:08:04', null, '23233', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1602170578075258880', '1602170576401731584', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市中原区中原西路街道冉屯九龙城九龙国际', '34.774122', '113.607648', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2022-12-12 14:21:12', '1', '社会对象', '2022-12-12 14:23:28', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1607634117141336064', '1607634115245510656', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市二七区五里堡街道二环路41号院郑州市市政维护工程公司第五公司', '34.764815', '113.635629', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '党建测试11111111111', null, '<p>欢迎参加党建测试11111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2022-12-27 15:06:57', '1', '社会对象', '2022-12-27 15:07:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1610175245166186496', '1610175243224223744', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区南阳路街道海滩街132号纺织机械厂家属院1号院', '34.772993', '113.652108', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试费用', null, '<p>欢迎参加测试费用培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2023-01-03 15:24:29', '1', '社会对象', '2023-01-03 15:25:19', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1610175796486475776', '1610175794691313664', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市管城回族区西大街街道电信局家属院(弓背街)', '34.747467', '113.667729', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试费用', null, '<p>欢迎参加测试费用培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2023-01-03 15:26:40', '1', '社会对象', '2023-01-03 15:27:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1610464460575739904', '1610464458696691712', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819222', '113.618451', '2', '河南省信阳市浉河区车站街道新华路东段信阳站', '32.127708', '114.08267', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '14 测试费用', null, '<p>欢迎参加14 测试费用培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/4/cacc6cab89484bedbe5b9db21a3fb14b.png', '1', '2023-01-04 10:33:43', '1', '社会对象', '2023-01-04 10:34:07', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1610829322870984704', '1610829322136981504', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819315', '113.618552', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付V1', null, '<p>欢迎参加测试支付V1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />瑞如：13678211111</p>\n<p>◆ <strong>培训内容</strong><br />怕怕怕怕怕怕怕怕</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/5/8705341d352c4bb8b9214e125965ce81.png', '1561995446459699200', '2023-01-05 10:43:33', '1561995446459699200', '8778', '2023-01-05 10:44:22', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1610830976223678464', '1610830975682613248', '1', '2', '河南省郑州市惠济区长兴路街道中国邮政集团公司河南省培训中心河南邮政商学院', '34.819315', '113.619328', '2', '河南省郑州市惠济区长兴路街道江山路173-附13号河南邮政商学院', '34.819239', '113.619079', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付V2', null, '<p>欢迎参加测试支付V2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />瑞如：13678211111</p>\n<p>◆ <strong>培训内容</strong><br />怕怕怕怕怕怕怕怕</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/5/f6dd3e8ba31141a09200fd94bbdb852b.png', '1561995446459699200', '2023-01-05 10:50:07', '1561995446459699200', '8778', '2023-01-05 10:50:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1610832720768929792', '1610832720240447488', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819187', '113.618919', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819399', '113.618769', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付V3', null, '<p>欢迎参加测试支付V3培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />瑞如：13678211111</p>\n<p>◆ <strong>培训内容</strong><br />怕怕怕怕怕怕怕怕</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/5/cfd5abe6fb474d3eb1f8d6b94ad5a308.png', '1561995446459699200', '2023-01-05 10:57:03', '1561995446459699200', '8778', '2023-01-05 10:57:17', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1611169112820682752', '1611169111981821952', '1', '2', '河南省郑州市惠济区长兴路街道江山路173-附13号河南邮政商学院', '34.819301', '113.619028', '2', '河南省郑州市惠济区长兴路街道江山路173-附13号河南邮政商学院', '34.819329', '113.619226', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付V4', null, '<p>欢迎参加测试支付V4培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />瑞如：13678211111</p>\n<p>◆ <strong>培训内容</strong><br />怕怕怕怕怕怕怕怕</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/6/7d2a576b52b34bb5896f12308aa66887.png', '1561995446459699200', '2023-01-06 09:13:45', '1561995446459699200', '8778', '2023-01-06 09:14:03', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1611208177083355136', '1611208176332574720', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819318', '113.618816', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819305', '113.618467', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付V5', null, '<p>欢迎参加测试支付V5培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />瑞如：13678211111</p>\n<p>◆ <strong>培训内容</strong><br />怕怕怕怕怕怕怕怕</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/6/3ff6563c4f8246af9ad2dd90efb8bb91.png', '1561995446459699200', '2023-01-06 11:48:59', '1561995446459699200', '8778', '2023-01-06 11:49:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1611245681811525632', '1611245681211740160', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-11-01 00:00:00', '1', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付V6', null, '<p>欢迎参加测试支付V6培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/6/304054a94b0b47aebe3b0a52b47707d0.png', '1561995446459699200', '2023-01-06 14:18:01', '1561995446459699200', '邮政员工', '2023-01-06 14:18:15', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1611989571652947968', '1611989569824231424', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市中原区棉纺路街道锦月路郑州市中原区锦绣小学', '34.763546', '113.620866', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试费用1月8', null, '<p>欢迎参加测试费用1月8培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/8/01a5c71f2a1a4988b5050e768e8bb4e5.png', '1', '2023-01-08 15:33:58', '1', '社会对象', '2023-01-08 15:34:33', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612263653967532032', '1612263653086728192', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '金融理财第一期', null, '<p>欢迎参加金融理财第一期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/9/5505d44772a040e18cfc5593c0800ce1.png', '1561995446459699200', '2023-01-09 09:43:04', '1561995446459699200', '面向社会', '2023-01-09 09:43:26', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612324399548076032', '1612324397706776576', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819284', '113.618527', '2', '河南省信阳市平桥区羊山街道青山街居委会', '32.130179', '114.08679', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1月9 测试费用1', null, '<p>欢迎参加1月9 测试费用1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/9/3727a7f99380424d9e37a8131cf204c4.png', '1', '2023-01-09 13:44:27', '1', '社会对象', '2023-01-09 13:44:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612367513327374336', '1612367512480124928', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付1', null, '<p>欢迎参加支付1培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-09 16:35:46', '1561995446459699200', '面向社会', '2023-01-09 16:36:15', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612402198573092864', '1612402197872644096', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付3', null, '<p>欢迎参加支付3培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/9/f6bf8c092cca4f5a919b956a7f0f1152.png', '1561995446459699200', '2023-01-09 18:53:36', '1561995446459699200', '面向社会', '2023-01-09 18:54:04', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612708279287418880', '1612708278364672000', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付2', null, '<p>欢迎参加支付2培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/10/6e0ef97c1a404e5eaa72dd7cf83de276.png', '1561995446459699200', '2023-01-10 15:09:51', '1561995446459699200', '面向社会', '2023-01-10 15:10:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612710059861741568', '1612710059157098496', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付4', null, '<p>欢迎参加支付4培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/10/0bfe6ec80d84496ab75e7df11636ec70.png', '1561995446459699200', '2023-01-10 15:16:56', '1561995446459699200', '面向社会', '2023-01-10 15:19:12', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1612767794636656640', '1612767792682110976', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819222', '113.618588', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819272', '113.618557', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1.10', null, '<p>欢迎参加1.10培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/10/0eb719160382472bb900166fc252991d.png', '1', '2023-01-10 19:06:21', '1', '社会对象', '2023-01-10 19:07:18', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1613015860534972416', '1613015858672701440', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819241', '113.61858', '2', '河南省信阳市浉河区南湾街道肖家大塆', '32.132796', '114.026193', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1.11', null, '<p>欢迎参加1.11培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/11/8266df8588d54f35b3ce145424ae79b9.png', '1', '2023-01-11 11:32:04', '1', '社会对象', '2023-01-11 11:38:27', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1613049310474276864', '1613049308599422976', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付1月1111111111111111', null, '<p>欢迎参加支付1月1111111111111111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/11/92986227848c41df8591740a4be4000c.png', '1613048759447588864', '2023-01-11 13:44:59', '1613048759447588864', '面向社会', '2023-01-11 13:45:19', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1613064327399608320', '1613064326346838016', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付5', null, '<p>欢迎参加支付5培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/11/cab8be15ef9d49aeb155007f00acf645.png', '1561995446459699200', '2023-01-11 14:44:46', '1561995446459699200', '面向社会', '2023-01-11 14:45:38', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1613342718363308032', '1613342717457338368', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付6', null, '<p>欢迎参加支付6培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/12/bea0595297214f0a946b670b6e72643c.png', '1561995446459699200', '2023-01-12 09:10:53', '1561995446459699200', '面向社会', '2023-01-12 09:11:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1613804408490037248', '1613804407424684032', '1', '1', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付七', null, '<p>欢迎参加支付七培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-13 15:45:29', '1561995446459699200', '面向社会', '2023-01-13 15:46:30', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1613808332458561536', '1613808331804250112', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付7', null, '<p>欢迎参加支付7培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15784547845</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-13 16:10:14', '1561995446459699200', '面向社会', '2023-01-13 16:10:20', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1613814277557325824', '1613814276676521984', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-11-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付8', null, '<p>欢迎参加支付8培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />刘芳：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年11月26日培训计划</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-13 16:24:42', '1561995446459699200', '全体', '2023-01-13 16:25:12', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1614180572605845504', '1614180571775373312', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '支付9', null, '<p>欢迎参加支付9培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张新生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月份培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/14/44f8db43d71f4e5eabc0f36625219592.png', '1561995446459699200', '2023-01-14 16:40:13', '1561995446459699200', '全体', '2023-01-14 16:41:10', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1614443789630443520', '1614443789450088448', '2', null, '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1561995446459699200', '2023-01-17 00:02:33', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1615155693063639040', '1615155692182835200', '2', null, '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1561995446459699200', '2023-01-29 13:55:10', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1619578700964171776', '1619578700037230592', '2', null, '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-09-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '金融111', null, '<p>789897789</p>', null, '/train/2023/1/29/cd78d97385904c9dbabc3dc3abee7251.png', '1561995446459699200', '2023-01-29 16:34:52', '1561995446459699200', null, '2023-01-29 16:34:58', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1619872229770792960', '1619872229623992320', '1', '2', '河南省郑州市金水区文化路街道文化路99号郑州大学北校区', '34.781524', '113.666184', '2', '河南省郑州市金水区大石桥街道黄河南街63号河南省财经学校家属院(同乐路10号院)', '34.771513', '113.66052', '2022-10-01 00:00:00', '1000000', null, null, null, null, null, null, null, null, '1590543166828843008', '2023-01-30 09:36:50', null, '全体', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1619874681098211328', '1619874679139471360', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743669', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '0130测试支付', null, '<p>欢迎参加0130测试支付培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/1/30/6038ff977baf455b96dd3ecc0939bd20.png', '1', '2023-01-30 09:46:34', '1', '社会对象', '2023-01-30 09:46:56', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1619924507080921088', '1619924506997035008', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1593125995324510208', '2023-03-24 15:00:06', null, '8778', null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1620322965302415360', '1620322963117182976', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022集中培训001,，asd', null, '<p>欢迎参加2022集中培训001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />2022集中培训</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-31 15:28:06', '1561995446459699200', '邮政员工', '2023-01-31 15:29:07', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1620324159475290112', '1620324158833561600', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', null, null, null, null, '2022-10-01 00:00:00', '1000000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022年10月份培训班///*****002', null, '<p>欢迎参加2022年10月份培训班///*****002培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />张新生：15838150666</p>\n<p>◆ <strong>培训内容</strong><br />2022年10月份培训班</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-31 15:32:38', '1561995446459699200', '全体', '2023-01-31 15:33:06', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1620327162076860416', '1620327161489657856', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '投资第三期', null, '<p>欢迎参加投资第三期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1561995446459699200', '2023-01-31 15:44:34', '1561995446459699200', '面向社会', '2023-01-31 15:45:06', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1620598594757332992', '1620598592655986688', '1', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '1', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819266', '113.618535', '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付0942', null, '<p>欢迎参加测试支付0942培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/2/1/e9dd719374e74db887200c26616bf55d.png', '1579362188047552512', '2023-02-01 09:43:09', '1579362188047552512', '面向社会', '2023-02-01 09:43:43', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1620613932303650816', '1620613930487517184', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付1043', null, '<p>欢迎参加测试支付1043培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/2/1/6ac956ab23af4d6884ab5bc4c1226f98.png', '1579362188047552512', '2023-02-01 10:44:06', '1579362188047552512', '面向社会', '2023-02-01 10:44:27', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1623944810119434240', '1623944808060030976', '1', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.819085', '113.618254', '2', '河南省郑州市惠济区长兴路街道江山路173号河南邮政商学院', '34.81906', '113.618277', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试支付失败', null, '<p>欢迎参加测试支付失败培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />本次培训为封闭培训，除做核酸外严禁外出。参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2023-02-10 15:19:49', '1', '社会对象', '2023-02-10 15:20:31', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1625367991334080512', '1625367991157919744', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-05-01 00:00:00', '0', null, null, null, null, null, null, null, null, '1', '2023-02-14 13:35:02', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('1638710383994867712', '1638710381205655552', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区经八路街道谷雨春红烧黄河大鲤鱼(金水路店)河南省文史研究馆', '34.764251', '113.68069', '2022-11-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '测试短信推送', null, '<p>欢迎参加测试短信推送培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />瑞如：13678211111</p>\n<p>◆ <strong>培训内容</strong><br />怕怕怕怕怕怕怕怕</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/3/23/fb2e5a7fe24446e1be0f7f002cb6f0bb.png', '1327473526785052672', '2023-03-23 09:12:56', '1327473526785052672', '8778', '2023-03-23 09:13:57', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1640981421856264192', '1640981421491359744', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '2023-03-01 00:00:00', '100000000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/其他-2.png', '培训管理人员能力提升培训', null, '<p>欢迎参加2023培训计划培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />培训人员能力培训</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/3/29/3a7f8c57d77e4b24a546b5231a3b75c3.png', '1327473526785052672', '2023-03-29 15:40:07', '1327473526785052672', '员工', '2023-03-29 15:39:11', '7', null, '0');
INSERT INTO `train_class_extend` VALUES ('1640983724952784896', '1640983724587880448', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '2023-03-01 00:00:00', '600000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '前端vue入门培训', null, '<p>欢迎参加前端vue入门培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />前端vue入门培训</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/3/29/8861a329e35045ba89a65715bd6d584e.png', '1327473526785052672', '2023-04-03 11:21:39', '1327473526785052672', '员工', '2023-03-29 15:48:46', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('1640984872367558656', '1640984872040402944', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2023-03-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/2023/3/29/dfe65cfef19e480ab753f031b11a1601.png', '零基础学习理财2023', null, '<p>零基础学习理财2023线上课</p>', null, '/train/2023/3/29/fd79e55178a14f2c9b31a06a46a24704.png', '1327473526785052672', '2023-08-30 15:56:49', '1327473526785052672', null, '2023-03-29 15:55:50', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1673178908041809920', '1673178905432952832', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '投资第三期', null, '<p>欢迎参加投资第三期培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/6/26/092519a3dbe447d4a57c79c1528ec45b.png', '1327473526785052672', '2023-06-27 09:32:45', '1327473526785052672', '面向社会', '2023-06-26 11:59:24', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1673207028589400064', '1673207026655825920', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022-0914-1002省级', null, '<p>124</p>', null, '/train/2023/6/26/1266a0265d4c4dea89319f3ca957b9d3.png', '1327473526785052672', '2023-06-26 13:50:17', '1327473526785052672', null, '2023-06-26 13:50:43', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1673211338631024640', '1673211336424820736', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022-0914-1002省级', null, '<p>123</p>', null, '/train/2023/6/26/53351291eca84e61b39335e8710b1c58.png', '1327473526785052672', '2023-06-26 14:07:25', '1327473526785052672', null, '2023-06-26 14:07:51', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1673933015249719296', '1673933013370671104', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-09-01 00:00:00', '100099', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '投资第三期ceshi111', null, '<p>欢迎参加投资第三期ceshi111培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15874547454</p>\n<p>◆ <strong>培训内容</strong><br />进行银行综合柜员、邮政投递员技能认定标准修订及实操试题编制工作</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/6/28/e3961c60ee9c4a4dbead4efa8b1a85d0.png', '1327473526785052672', '2023-06-28 13:55:06', '1327473526785052672', '面向社会', '2023-06-28 13:55:26', null, null, null);
INSERT INTO `train_class_extend` VALUES ('1691377995530506240', '1691377993613709312', '1', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '2023-08-01 00:00:00', '100000', '1', '1', 'https://echftp.jinmingyuan.com/train/BackImage/党建-1.png', '测试计划库001', null, '<p>欢迎参加测试计划库001培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李路：15713872512</p>\n<p>◆ <strong>培训内容</strong><br />培训线下课程</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/8/15/86766dd7d9354cf7979e3f3c6146618d.png', '1590543166828843008', '2023-09-22 10:53:14', '1327473526785052672', '测试部门', '2023-08-15 17:16:15', '2', null, null);
INSERT INTO `train_class_extend` VALUES ('1691385884441710592', '1691385882579439616', '1', '2', '河南省郑州市金水区杨金路街道崇礼路郑东新区', '34.841526', '113.748751', '2', '河南省郑州市金水区杨金路街道西马林郑东新区', '34.841518', '113.749773', '2023-08-01 00:00:00', '100000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建-1.png', '测试计划数据002-a', null, '<p>欢迎参加测试计划数据002-a培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李露：15713872547</p>\n<p>◆ <strong>培训内容</strong><br />正常培训线上课程</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/8/15/93c9c6c6652b475ea695f6f4e82cbc80.png', '1', '2023-08-15 17:46:34', '1', '社会人士', '2023-08-15 17:47:44', '2', null, '0');
INSERT INTO `train_class_extend` VALUES ('171616564762170025', '171616491109730052', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, null, '10000', null, null, null, null, null, null, null, null, '1327473526785052672', '2023-08-30 15:14:04', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('171682677389820088', '171682631906150086', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, null, '100', null, null, null, null, null, null, null, null, '1327473526785052672', '2023-08-30 15:24:42', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('171691915930880089', '171691864968230088', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1327473526785052672', '2023-08-30 15:26:14', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('171697948330940064', '171697901328100029', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, null, null, null, null, null, null, '1327473526785052672', '2023-08-30 15:27:14', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('171702040437210066', '171701996296970014', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2022-08-01 00:00:00', '434300', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '2022-0914-1002省级', null, '<p>213213</p>', null, null, '1327473526785052672', '2023-08-30 15:55:31', '1327473526785052672', null, '2023-08-30 15:56:02', null, null, null);
INSERT INTO `train_class_extend` VALUES ('178496981528310049', '178496918262110096', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, null, '1200', null, null, null, null, null, null, null, null, '1327473526785052672', '2023-08-31 10:20:23', null, null, null, null, null, null);
INSERT INTO `train_class_extend` VALUES ('179018994402960031', '179018949044720052', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, null, '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '213', null, '<p>22</p>', null, null, '1', '2023-08-31 14:01:19', '1', null, '2023-08-31 14:02:14', null, null, null);
INSERT INTO `train_class_extend` VALUES ('127050044556303608', '127050043999518848', '1', '2', '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '河南省郑州市金水区大石桥街道南阳路辅路SOHO广场', '34.766507', '113.653997', '2022-11-01 00:00:00', '157835', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '1121培训库课程-b', null, '<p>欢迎参加1121培训库课程-b培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />李四：15748745687</p>\n<p>◆ <strong>培训内容</strong><br />1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, null, '1', '2023-09-21 10:39:14', '1', '社会对象', '2023-09-21 10:42:10', null, null, '0');
INSERT INTO `train_class_extend` VALUES ('127931104352748384', '127931103763926586', '1', '2', '河南省郑州市金水区杨金路街道河南金明源信息技术有限公司', '34.844009', '113.743781', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '2023-10-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '理财培训计划第一季度', null, '<p>欢迎参加理财培训计划第一季度培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />理财培训计划第一季度</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/9/22/0eece60cae454dbfa3e5dc7df68b3a96.png', '1590543166828843008', '2023-09-24 17:45:32', '1590543166828843008', '公司员工', '2023-09-22 13:57:55', null, null, null);
INSERT INTO `train_class_extend` VALUES ('128045313207346725', '128045312767044786', '2', null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', null, null, null, null, '2023-03-01 00:00:00', '0', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/其他-3.png', '理财培训计划第二季度', null, '<p>理财入门培训</p>', null, '/train/2023/9/22/6370c2c7459c4369a93e1ff17184fba2.png', '1327473526785052672', '2023-09-22 14:18:01', '1327473526785052672', null, '2023-09-22 14:18:58', '8', null, null);
INSERT INTO `train_class_extend` VALUES ('130441653091226655', '130441652709239612', '1', '2', '河南省郑州市金水区杨金路街道河南金明源信息技术有限公司', '34.843972', '113.743781', null, null, null, null, '2023-09-01 00:00:00', '600000', null, null, 'https://echftp.jinmingyuan.com/train/BackImage/党建.png', '数据库培训', null, '<p>欢迎参加数据库培训培训。</p>\n<p>◆ <strong>工作人员及联系方式</strong><br />高志远：15225279244</p>\n<p>◆ <strong>培训内容</strong><br />数据库培训</p>\n<p>◆ <strong>注意事项</strong><br />参加培训期间戴好口罩等个人防护措施。</p>', null, '/train/2023/9/25/5d29b57e855e4f9791d757cd967ced82.png', '1590543166828843008', '2023-09-26 10:45:57', '1590543166828843008', '员工', '2023-09-25 08:53:12', null, null, null);

-- ----------------------------
-- Table structure for train_class_fee
-- ----------------------------
DROP TABLE IF EXISTS `train_class_fee`;
CREATE TABLE `train_class_fee` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `meal_type` smallint(6) DEFAULT NULL COMMENT '就餐形式：1、集中就餐。2、自主就餐。3、用餐。',
  `fee_type` smallint(6) DEFAULT NULL COMMENT '是否对学员收费：1、是。2、否。',
  `hotel_type` json DEFAULT NULL COMMENT '住宿条件：1、两人间。2、三人间。3、多人间。',
  `breakfast_fee` bigint(20) DEFAULT NULL COMMENT '早餐（单位：分）',
  `lunch_fee` bigint(20) DEFAULT NULL COMMENT '午餐（单位：分）',
  `dinner_fee` bigint(20) DEFAULT NULL COMMENT '晚餐（单位：分）',
  `meal_fee` bigint(20) DEFAULT NULL COMMENT '餐费/天（单位：分）',
  `hotel_fee` bigint(20) DEFAULT NULL COMMENT '住宿费/天（单位：分）',
  `school_fee` bigint(20) DEFAULT NULL COMMENT '学习用品（单位：分）用品用具费',
  `teacher_fee` bigint(20) DEFAULT NULL COMMENT '教师酬金（单位：分）讲师费用',
  `train_fee` bigint(20) DEFAULT NULL COMMENT '培训费（单位：分）',
  `traffic_fee` bigint(20) DEFAULT NULL COMMENT '交通费（单位：分）租车费',
  `souvenir_fee` bigint(20) DEFAULT NULL COMMENT '纪念品（单位：分）差旅费',
  `education_fee` bigint(20) DEFAULT NULL COMMENT '考务费（单位：分）',
  `training_fee` bigint(20) DEFAULT NULL COMMENT '扩展训练（单位：分）去掉',
  `deposit` bigint(20) DEFAULT NULL COMMENT '押金（分）',
  `inner_training_fee` bigint(20) DEFAULT NULL COMMENT '内训费（单位：分）内训师教酬',
  `site_fee` bigint(20) DEFAULT NULL COMMENT '场地费（单位：分）',
  `tax_fee` bigint(20) DEFAULT NULL COMMENT '税款（单位：分）去掉',
  `datum_fee` bigint(20) DEFAULT NULL COMMENT '资料费（单位：分）',
  `budget` bigint(20) DEFAULT NULL COMMENT '培训预算（单位：分）',
  `settlement_type` smallint(6) DEFAULT NULL COMMENT '结算方式：1、划拨。2、现金。',
  `settlement_org_id` bigint(20) DEFAULT NULL COMMENT '结算单位id',
  `settlement_org_code` varchar(20) DEFAULT NULL COMMENT '结算单位编号',
  `settlement_org_use_code` varchar(20) DEFAULT NULL COMMENT '结算单位自定义编号',
  `settlement_org_name` varchar(30) DEFAULT NULL COMMENT '结算单位名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班费用设置';

-- ----------------------------
-- Records of train_class_fee
-- ----------------------------
INSERT INTO `train_class_fee` VALUES ('127051751763349544', '127050043999518848', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '34000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('128033971514744289', '127931103763926586', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '227700000', '1', '1323441314733363200', '001', '56000000', '河南省');
INSERT INTO `train_class_fee` VALUES ('130442689856345717', '130441652709239612', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '219600000', '1', '1323441314733363200', '001', '56000000', '河南省');
INSERT INTO `train_class_fee` VALUES ('1562350334674866176', '1562350332300890112', '1', '1', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1564138861792202752', '1564137571225833472', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '0', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1564459444488769536', '1564459315396481024', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '15000000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1564541404720533504', '1564541400677224448', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '9999', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1564817715338809344', '1564817713761751040', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1564824131311112192', '1564824127922114560', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1564825120869060608', '1564825117907881984', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '1111', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1565168923912048640', '1564865174085701632', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '11100', '3000', '1000', null, '3100', '4100', '2000', null, null, '1100', null, null, '2100', '23529679200', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1565929811107516416', '1565928644633825280', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '0', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1567748817615458304', '1567417778149920768', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1569562787162755072', '1567813857320243200', '1', '0', null, '1000', '1000', '1000', '3000', '1000', '1600', '1200', null, '1700', '1800', '1500', null, null, '1300', '1100', null, '1400', '14600', '1', null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1570597489252372480', '1570297537271828480', '3', '0', null, '1000', '2000', '2000', '5000', '15000', '1200', '12032', null, null, null, null, null, null, '15032', '2320', null, null, '35584', '2', null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1570684507609239552', '1570682743120072704', '2', '1', null, '500', '500', '1000', '2000', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '2000', '2', null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1572126567793037312', '1571736395163242496', '1', '1', null, '1000', '3000', '2000', '6000', '10000', null, null, null, '8000', null, null, null, null, null, null, null, null, '10904000', '2', null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1575692763490553856', '1575691944053575680', '1', '0', null, '1000', '500', '500', '2000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1575696500858687488', '1575407526655168512', '1', '2', null, '1000', '3000', '1000', '5000', '1500', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, null, null, null);
INSERT INTO `train_class_fee` VALUES ('1575750625680035840', '1575429026724581376', '3', '1', null, '500', '200', '300', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '300000', '2', '1323441314737557505', '001002', '56050000', '河南省信息技术局');
INSERT INTO `train_class_fee` VALUES ('1578925743830863872', '1578925079021096960', '1', '2', null, '2000', '6000', '2000', '10000', '12100', null, null, null, null, null, null, null, null, null, null, null, null, '40780000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579006703935033344', '1575364705646678016', '1', '2', null, '500', '1500', '1000', '3000', '100', null, null, null, null, null, null, null, null, null, null, null, null, '460000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579281617241903104', '1579281614876315648', '1', '0', '[\"2\"]', '1000', '3000', '2000', '6000', '0', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579283430988976128', '1579283027245273088', '1', '2', null, '10000', '10000', '10000', '30000', '12200', null, null, null, null, null, null, null, null, null, null, null, null, '578600', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579284221678194688', '1579283811680784384', '1', '2', null, '10000', '10000', '10000', '30000', '12200', null, null, null, null, null, null, null, null, null, null, null, null, '53640000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579284747325149184', '1579284493464899584', '1', '2', null, '400', '400', '400', '1200', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '600000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579341616529936384', '1579001547617079296', '1', '2', null, '1000', '2000', '2000', '5000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '1750000', '1', '1323441314737557510', '001007', '56510000', '郑州市分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579655067265536000', '1579654776772235264', '1', '2', null, '3000', '3000', '3000', '9000', '12100', null, null, null, null, null, null, null, null, null, null, null, null, '19890000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579713213841412096', '1579712896307433472', '1', '2', null, '1000', '1000', '1000', '3000', '12100', null, null, null, null, null, null, null, null, null, null, null, null, '25970000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579713993734492160', '1579713717669597184', '1', '1', null, '100', '100', '100', '300', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '2430000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579714861187862528', '1579714620262846464', '1', '2', null, '100', '100', '100', '300', '100', null, null, null, null, null, null, null, null, null, null, null, null, '630000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579716448559960064', '1579716155344556032', '1', '2', null, '1100', '100', '100', '1300', '100', null, null, null, null, null, null, null, null, null, null, null, null, '267600', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1579725362886217728', '1579723260835270656', '1', '2', null, '1000', '4000', '1000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '6100000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580075676617281536', '1580069013080379392', '1', '2', null, '1200', '1200', '1200', '3600', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '8010000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580087843160723456', '1580081304689577984', '1', '1', null, '500', '1000', '500', '2000', '10000', null, null, null, null, null, null, null, null, null, '300', null, null, '260300', '1', '1323441314737557510', '001007', '56510000', '郑州市分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580091859622039552', '1580091399771131904', '2', '2', null, '500', '1000', '500', '2000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '160000', '2', '1323441314737557511', '001007001', '56510100', '郑州市上街区分公司');
INSERT INTO `train_class_fee` VALUES ('1580100623574110208', '1580097115676348416', '1', '1', null, '2000', '5000', '3000', '10000', '20000', null, null, null, null, null, null, null, null, null, null, null, null, '12100000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580448447851532288', '1580447986499063808', '2', '1', null, '200', '500', '300', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '29997000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580454972695384064', '1580454783322558464', '1', '2', null, '200', '500', '300', '1000', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '320000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580794207495393280', '1580770390802829312', '1', '2', null, '200', '500', '300', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '10000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580804233391902720', '1580803715470856192', '1', '1', null, '200', '500', '300', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '1439856000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580813226298445824', '1580812952192290816', '1', '1', null, '1000', '8000', '1000', '10000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '28710000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1580822050161954816', '1580821763359641600', '2', '1', null, '100', '500', '400', '1000', '100', null, null, null, null, null, null, null, null, null, null, null, null, '1841400', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1582677502181117952', '1582675574806155264', '1', '2', null, '500', '1000', '500', '2000', '13000', null, null, null, null, null, null, null, null, null, null, null, null, '102000', '1', '1323441314737557526', '001008', '56520000', '开封市分公司本部');
INSERT INTO `train_class_fee` VALUES ('1582686526536552448', '1582686163125276672', '2', '1', null, '200', '500', '300', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '6000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583313275372834816', '1583297332093521920', '1', '2', null, '100', '100', '100', '300', '12200', null, null, null, null, null, null, null, null, null, null, null, null, '756000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583332043931127808', '1583317513494728704', '2', '1', null, '200', '500', '300', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '900000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583345517113511936', '1583293356560224256', '1', '2', null, '100', '100', '100', '300', '100', null, null, null, null, null, null, null, null, null, null, null, null, '110000', '1', '1323441314737557526', '001008', '56520000', '开封市分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583348875253649408', '1583346873849221120', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '10500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583350845657976832', '1583289626242715648', '1', '2', null, '100', '100', '100', '300', '1100', null, null, null, null, null, null, null, null, null, null, null, null, '1010000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583369839404257280', '1583369261261393920', '1', '2', null, '100', '800', '100', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '1900000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583373481658159104', '1583372859424772096', '1', '1', null, '100', '800', '100', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '1900000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583392399244267520', '1583392110638403584', '1', '1', null, '200', '500', '300', '1000', '20000', null, null, null, null, null, null, null, null, null, null, null, null, '20000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583683847021793280', '1583683407156744192', '2', '1', null, '200', '700', '100', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '100000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583722684020297728', '1583722097811787776', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '9500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1583740596244320256', '1583739434711519232', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '9500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1584445223872892928', '1583413010712629248', '1', '2', null, '200', '500', '300', '1000', '13000', null, null, null, null, null, null, null, null, null, null, null, null, '860000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1584740721225764864', '1584732496656994304', '2', '1', null, '500', '300', '200', '1000', '20000', null, null, null, null, null, null, null, null, null, null, null, null, '1060000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1584805821852815360', '1584515014952357888', '1', '1', null, '500', '500', '0', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '240000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585183919978975232', '1585183526750392320', '1', '2', null, '500', '500', '0', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '4500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585257074705698816', '1584875379850612736', '2', '1', null, '200', '500', '300', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '1100000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585461566072033280', '1585459813435969536', '1', '2', null, '2000', '2000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1700000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585520627689852928', '1585278127179960320', '1', '2', null, '200', '500', '300', '1000', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '27000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585525459054104576', '1585282067011342336', '3', '1', null, '200', '500', '300', '1000', '10200', null, null, null, null, null, null, null, null, null, null, null, null, '146400', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585550116557819904', '1585541131360407552', '1', '2', null, '2000', '2000', '1000', '5000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585851241215430656', '1585850472554696704', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585881529328996352', '1585453051727187968', '1', '2', null, '400', '400', '400', '1200', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '1680000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1585904332535107584', '1585836831126196224', '1', '2', null, '400', '400', '400', '1200', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '738000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1586565039740030976', '1586564275265212416', '1', '2', null, '400', '400', '400', '1200', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '1033200', '1', '1323441314737557526', '001008', '56520000', '开封市分公司本部');
INSERT INTO `train_class_fee` VALUES ('1586965241328177152', '1586964413733277696', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1586970369259081728', '1586969194119958528', '1', '2', null, '500', '500', '0', '1000', '1100', null, null, null, null, null, null, null, null, null, null, null, null, '15740000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1587744061329117184', '1587268699407126528', '1', '2', null, '1000', '0', '0', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '708000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1587759079848284160', '1587758825031733248', '1', '2', null, '1000', '0', '0', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '5000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1587759426834665472', '1587759227248709632', '1', '2', null, '1100', '0', '0', '1100', '1100', null, null, null, null, null, null, null, null, null, null, null, null, '1100000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1588057421841043456', '1588056226653147136', '3', '1', null, '200', '500', '500', '1200', '15000', null, null, '15500', null, null, null, null, null, null, '34400', null, null, '64300', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1588060989654437888', '1588059480422223872', '1', '2', null, '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '600000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1588073765189849088', '1588072776831471616', '1', '2', null, '400', '400', '400', '1200', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '1200000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1588729669061054464', '1588729101563334656', '1', '2', null, '1000', '0', '0', '1000', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '51000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1588733572750118912', '1588733407918166016', '1', '2', null, '100', '0', '0', '100', '100', null, null, null, null, null, null, null, null, null, null, null, null, '30000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1589098689337626624', '1589098507447439360', '1', '2', null, '100', '0', '0', '100', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '5577500', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1589519098981781504', '1589461007993016320', '1', '2', null, '0', '0', '1000', '1000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '13000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1589527645379497984', '1589527113264926720', '1', '2', null, '1000', '1000', '1000', '3000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '3000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1589549511955582976', '1589549121218416640', '1', '2', null, '1000', '1000', '1000', '3000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '1600000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1589849921962512384', '1589849256125140992', '1', '2', null, '1000', '1000', '1000', '3000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1100000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1589917051676397568', '1589916039288852480', '1', '2', null, '1000', '1000', '1000', '3000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '80000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1590544528425750528', '1590543802567888896', '1', '2', null, '1000', '1000', '1000', '3000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '330000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1590575103211606016', '1590573038678708224', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1590598608045084672', '1590598103071854592', '1', '2', null, '1000', '1000', '0', '2000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '270000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1590602297791090688', '1590602024376995840', '1', '2', null, '400', '400', '400', '1200', '1000', null, null, null, null, null, null, null, null, null, null, null, null, '3400', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1590626194406117376', '1590625766897487872', '1', '2', null, '1000', '1000', '0', '2000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '900000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1590639513359749120', '1590639322640551936', '1', '2', null, '400', '400', '400', '1200', '100', null, null, null, null, null, null, null, null, null, null, null, null, '380000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1591966840287006720', '1591966465936986112', '1', '2', null, '400', '400', '400', '1200', '2200', null, null, null, null, null, null, null, null, null, null, null, null, '888000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1591967300708339712', '1591966612427247616', '1', '2', null, '1000', '2000', '3000', '6000', '20000', null, null, null, null, null, null, null, null, null, null, null, null, '60000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1591995115239510016', '1591992260067725312', '1', '2', null, '1000', '1000', '1000', '3000', '20000', null, null, null, null, null, null, null, null, null, null, null, null, '3000000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592027176033718272', '1591972857506828288', '1', '2', null, '200', '500', '300', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592028225893175296', '1592027379281301504', '1', '2', null, '1000', '3000', '2000', '6000', '20000', null, null, null, null, null, null, null, null, null, null, null, null, '6000000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592031548910211072', '1592030599865044992', '1', '2', null, '1000', '2000', '2000', '5000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592033241743888384', '1592032895428595712', '1', '2', null, '1000', '2000', '2000', '5000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '5000000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592049941700808704', '1592048661980909568', '3', '1', null, '200', '500', '300', '1000', '10235', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592058828181082112', '1592058496772345856', '2', '1', null, '200', '500', '300', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592059259745603584', '1592057692325810176', '1', '2', null, '1000', '1000', '1000', '3000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '300000', '1', '1323441314737557504', '001001', '56040000', '河南省培训中心');
INSERT INTO `train_class_fee` VALUES ('1592065414748311552', '1592065253888364544', '2', '1', null, '200', '500', '300', '1000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592066854870978560', '1592066677061849088', '1', '2', null, '3000', '3000', '4000', '10000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '1000000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592348813803261952', '1592347795233312768', '1', '1', null, '1000', '1000', '1000', '3000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '24156000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592356629590970368', '1592356114652073984', '1', '2', null, '1000', '2000', '2000', '5000', '10000', null, null, null, null, null, null, null, null, null, null, null, null, '500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592441477915611136', '1592370137816764416', '1', '2', null, '400', '400', '400', '1200', '1200', null, null, null, null, null, null, null, null, null, null, null, null, '120000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592442969150066688', '1585929627308789760', '1', '2', null, '500', '500', '0', '1000', '100', null, null, null, null, null, null, null, null, null, null, null, null, '3200', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592723042801422336', '1592720948858064896', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '14751000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592799334624268288', '1592783387914014720', '1', '1', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '986000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1592817963877142528', '1592817481695760384', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '253000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593069292465819648', '1593055771002802176', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '644000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593075093196640256', '1593074623937908736', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593123397997563904', '1585921029040115712', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2200000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593134161181413376', '1593133878619541504', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '11000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593164109875122176', '1593163290295537664', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '11000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593202854196285440', '1593195024294744064', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2074000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593493496071852032', '1593493000393199616', '1', '1', null, '200', '300', '500', '1000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593494076949401600', '1593493864797310976', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '16836000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593499566550945792', '1593499312577449984', '2', '1', null, '200', '500', '300', '1000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593575739532382208', '1593575269023748096', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2860000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593809746559897600', '1593802731448045568', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '33000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593815250329800704', '1592401367887122432', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1700000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593839318735130624', '1593838490360090624', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '33000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593841678882574336', '1593841368902537216', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1270000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1593927574529118208', '1593927114980200448', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '759000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594223314564419584', '1594222226587127808', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5100', null, null, null, null, null, null, null, null, null, null, null, null, '255300', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594242276358492160', '1594241800200130560', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5200', null, null, null, null, null, null, null, null, null, null, null, null, '112000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594244660539297792', '1594244407400468480', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '500000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594502775608315904', '1594501807982383104', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '560000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594504400146141184', '1594504240024391680', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594558649559289856', '1594530952930004992', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '120000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594563201796804608', '1594562352714485760', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '12810000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594566219002941440', '1594565664650170368', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2415000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594570168196009984', '1594569101844549632', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1700000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594573049292787712', '1594571954189373440', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594588343717466112', '1594586018877673472', '3', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '22000', '2', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1594875607936798720', '1594874152140017664', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '22000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595284942819037184', '1595284725910605824', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595286107216547840', '1595285927368986624', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595287745415221248', '1595287546621988864', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595288757072957440', '1595288527829078016', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595290921518370816', '1595290765951635456', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595292549420027904', '1594982368521883648', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '39000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595294259060281344', '1595294082480082944', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595294507291774976', '1595293028619259904', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595296612937240576', '1595296314990661632', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595297884788625408', '1595297568395497472', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595306659968847872', '1595306464161959936', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595322905712005120', '1595322590518448128', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595338294860845056', '1594539630882066432', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595345049183457280', '1595344829099937792', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '830000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1595346907390152704', '1595346555282526208', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '170000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596328199879528448', '1596328011639164928', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '60000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596331587807612928', '1596330952991313920', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596347123832590336', '1596346735863664640', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '170000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596386138468257792', '1596385685659586560', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '170000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596499174071865344', '1596498438508384256', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '220000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596671314968580096', '1596670850063536128', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '34000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596746190303662080', '1596745761951977472', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2720000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596788574236315648', '1596788426072526848', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '4480000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1596790048798412800', '1596789911623700480', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '34000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597123562492268544', '1597123371915677696', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '4480000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597129998265880576', '1597129836160225280', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '4480000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597136082749755392', '1597135726384910336', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '6240000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597146544287649792', '1597146387521343488', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '694000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597505448871858176', '1597505217669238784', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '672000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597515712115642368', '1597515216793505792', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2550000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597555422879944704', '1597552958424354816', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '5280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597556920116449280', '1597556737949437952', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '7040000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597557910198685696', '1597557770041823232', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '7040000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597559891952799744', '1597559736184737792', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '6600000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597757487707197440', '1597757293041160192', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '5850000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1597774168017997824', '1597773952061673472', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2550000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1598509335716171776', '1597161124694986752', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '716000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1598522057266696192', '1598521650104635392', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1598522506514403328', '1598522109934571520', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '4200000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1598951356511686656', '1598951182674563072', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '585000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1600726334164832256', '1596689079976726528', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1607634467286028288', '1607634115245510656', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '34000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1610176275081728000', '1610175794691313664', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '24002', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1610464938168553472', '1610464458696691712', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '24002', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1610829663276503040', '1610829322136981504', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1610831106544898048', '1610830975682613248', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '78000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1610832951313043456', '1610832720240447488', '1', '2', '[\"2\"]', '1', '1', '1', '3', '1', null, null, null, null, null, null, null, null, null, null, null, null, '30', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1611169593211097088', '1611169111981821952', '1', '2', '[\"2\"]', '1', '1', '1', '3', '1', null, null, null, null, null, null, null, null, null, null, null, null, '16', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1611208375675260928', '1611208176332574720', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '24002', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1611245896157237248', '1611245681211740160', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '12002000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1611989809990078464', '1611989569824231424', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '24002', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612263820519149568', '1612263653086728192', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '600100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612324595606622208', '1612324397706776576', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '36004', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612367815199821824', '1612367512480124928', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1200100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612402423912075264', '1612402197872644096', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '600050', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612708498515300352', '1612708278364672000', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1200100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612712860855701504', '1612710059157098496', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1200100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1612768133213458432', '1612767792682110976', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '24004', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1613049542951964672', '1613049308599422976', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1800200', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1613064672565661696', '1613064326346838016', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1200100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1613342961599385600', '1613342717457338368', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '12001', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1613804826616008704', '1613804407424684032', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1200100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1613810768850063360', '1613808331804250112', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '600100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1613814530859732992', '1613814276676521984', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '120009', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1614180923136413696', '1614180571775373312', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '1200100', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1619875029305135104', '1619874679139471360', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, null, null, null, null, null, '24004', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1620323576160849920', '1620322963117182976', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '6246000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1620324342208532480', '1620324158833561600', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '2800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1620599669900054528', '1620598592655986688', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, null, null, null, null, null, '1400000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1620614310680203264', '1620613930487517184', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, '12300', null, null, null, null, '1950000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1623531762409934848', '1620327161489657856', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '12300', null, null, null, null, '280000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1626502345049378816', '1623944808060030976', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '1', null, null, null, null, null, null, null, '300', null, null, null, null, '144022', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1638710869884014592', '1638710381205655552', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1638718185454833664', '1613015858672701440', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1638721921199771648', '1610175243224223744', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '628000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1638722353498296320', '1597791737093427200', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '56000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1640982046174220288', '1640981421491359744', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '24800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1640984364588339200', '1640983724587880448', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '24800000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1673890953619968000', '1673178905432952832', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '1400000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1673933145143119872', '1673933013370671104', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '1400000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1689903158551252992', '1689903153388064768', '1', '1', '[\"1\", \"2\"]', '1000', '3000', '2000', '6000', '0', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1689906772183224320', '1689903076166733824', '1', '1', '[\"1\", \"2\"]', '1000', '3000', '2000', '6000', '120000', null, null, null, null, null, null, null, '10000', null, null, null, null, '6600000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1691378463690330112', '1691377993613709312', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, '50000', null, null, '380000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');
INSERT INTO `train_class_fee` VALUES ('1691386581409206272', '1691385882579439616', '1', '2', '[\"2\"]', '1000', '3000', '2000', '6000', '5000', null, null, null, null, null, null, null, '10000', null, null, null, null, '330000', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部');

-- ----------------------------
-- Table structure for train_class_fixed_assets
-- ----------------------------
DROP TABLE IF EXISTS `train_class_fixed_assets`;
CREATE TABLE `train_class_fixed_assets` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `fixed_assets_id` bigint(20) DEFAULT NULL COMMENT '固定资产id',
  `num` int(11) DEFAULT NULL COMMENT '申请数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班固定资产';

-- ----------------------------
-- Records of train_class_fixed_assets
-- ----------------------------
INSERT INTO `train_class_fixed_assets` VALUES ('1570652385838239744', '1570339435038511104', '1323470412193075200', '1');
INSERT INTO `train_class_fixed_assets` VALUES ('1570653229459574784', '1570226030914965504', '1570610636310843392', '50');
INSERT INTO `train_class_fixed_assets` VALUES ('1570672015558447104', '1570250910679044096', '1323470412193075200', '4');
INSERT INTO `train_class_fixed_assets` VALUES ('1572126898006396928', '1571736395163242496', '1323470412193075200', '1');
INSERT INTO `train_class_fixed_assets` VALUES ('1572126898006396929', '1571736395163242496', '1323470753772998656', '2');
INSERT INTO `train_class_fixed_assets` VALUES ('1572126948254158848', '1571736395163242496', '1323470970694012928', '1');
INSERT INTO `train_class_fixed_assets` VALUES ('1572126948254158849', '1571736395163242496', '1567430249287913472', '1');
INSERT INTO `train_class_fixed_assets` VALUES ('1579663049663582208', '1579001547617079296', '1570610636310843392', '1');
INSERT INTO `train_class_fixed_assets` VALUES ('1580829208135995392', '1580821763359641600', '1580829138346971136', '10');
INSERT INTO `train_class_fixed_assets` VALUES ('1583724663828254720', '1583722097811787776', '1323470412193075200', '2');
INSERT INTO `train_class_fixed_assets` VALUES ('1583743495166889984', '1583739434711519232', '1323470412193075200', '2');
INSERT INTO `train_class_fixed_assets` VALUES ('1584420400983576576', '1583317513494728704', '1323470412193075200', '1');
INSERT INTO `train_class_fixed_assets` VALUES ('1594559284987957248', '1594530952930004992', '1323470412193075200', '1');

-- ----------------------------
-- Table structure for train_class_invoice
-- ----------------------------
DROP TABLE IF EXISTS `train_class_invoice`;
CREATE TABLE `train_class_invoice` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '开票编号',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `class_name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `type` smallint(6) DEFAULT NULL COMMENT '开票类型：1、普票。2、增值税发票',
  `company_name` varchar(100) DEFAULT NULL COMMENT '单位名称',
  `discern_no` varchar(50) DEFAULT NULL COMMENT '单位税号',
  `amount` bigint(20) DEFAULT NULL COMMENT '开票金额',
  `bill_to_party` varchar(100) DEFAULT NULL COMMENT '开票方',
  `register_address` varchar(200) DEFAULT NULL COMMENT '注册地址',
  `register_tel` varchar(20) DEFAULT NULL COMMENT '注册电话',
  `bank` varchar(50) DEFAULT NULL COMMENT '开户银行',
  `bank_account` varchar(30) DEFAULT NULL COMMENT '银行账户',
  `real_amount` bigint(20) DEFAULT NULL COMMENT '实际开票金额',
  `invoice_appendix` json DEFAULT NULL COMMENT '发票附件',
  `bill_time` datetime DEFAULT NULL COMMENT '开票时间',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：1、待开票。2、已开票。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '申请时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班发票管理';

-- ----------------------------
-- Records of train_class_invoice
-- ----------------------------
INSERT INTO `train_class_invoice` VALUES ('1567398605541740544', '202209070055', '1567397705725120512', '0907测试结算001', '1', '大苏打大大', '465465465456', '20000', null, null, null, null, null, null, null, null, '1', '1564191182190415872', '本部运营1', '001071', '2022-09-07 14:25:23');
INSERT INTO `train_class_invoice` VALUES ('1567406020484009984', '202209070056', '1567397705725120512', '0907测试结算001', '1', 'sdsdfas', 'sdfas', '20000', null, null, null, null, null, '20000', '[{\"name\": \"beijign.jpeg\", \"path\": \"/train/2022/9/7/a3c506ebc1ab4c5a9b193c0ad9ec1df9.jpeg\", \"size\": 15.2470703125, \"suffix\": \".jpeg\"}]', '2022-09-07 16:01:13', '2', '1564191182190415872', '本部运营1', '001071', '2022-09-07 14:54:51');
INSERT INTO `train_class_invoice` VALUES ('1567422183196725248', '202209070058', '1567421460673335296', '郑测试发票0907', '1', '大苏打大大', '多大', '20000', null, null, null, null, null, null, null, null, '1', '1564192820011601920', '郑州001', '001007018', '2022-09-07 15:59:04');
INSERT INTO `train_class_invoice` VALUES ('1567422254193709056', '202209070059', '1567421460673335296', '郑测试发票0907', '2', '546546', '45654', '20000', null, null, null, null, null, null, null, null, '1', '1564192820011601920', '郑州001', '001007018', '2022-09-07 15:59:21');
INSERT INTO `train_class_invoice` VALUES ('1592074126632292352', '202211140095', '1592066677061849088', '2022年金融课程培训班(2)', '1', '测试', '12345678', '200000', null, null, null, null, null, '200000', '[{\"name\": \"ede73ffae4284e1aad245527dc4703d.png\", \"path\": \"/train/2022/11/14/927a4ad6bbff43f896553ca75795c4fc.png\", \"size\": 229.6025390625, \"suffix\": \".png\"}]', '2022-11-14 16:37:35', '2', '1327473526785052672', '高志远', '001071', '2022-11-14 16:37:06');
INSERT INTO `train_class_invoice` VALUES ('1592388366169673728', '202211150136', '1591972857506828288', '11月金融投资讲堂第一期', '1', '金明源有限公司科技部对不分胜负', '454564564-454/145', '20000', null, '河南省郑州市金水区', null, '附近的是否收到', null, null, null, null, '1', '1569970196410667008', '李露露', '001041', '2022-11-15 13:25:46');

-- ----------------------------
-- Table structure for train_class_look_into
-- ----------------------------
DROP TABLE IF EXISTS `train_class_look_into`;
CREATE TABLE `train_class_look_into` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `name` varchar(50) DEFAULT NULL COMMENT '模板名称',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `describes` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '描述',
  `qr_code` json DEFAULT NULL COMMENT '二维码地址',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `state` smallint(1) DEFAULT NULL COMMENT '状态 0 未开始 1 进行中 2 已结束',
  `advance` smallint(1) DEFAULT NULL COMMENT '是否提前通知 0 否 1 是',
  `advance_time` int(20) DEFAULT NULL COMMENT '提前时间（分钟）',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班调查问卷';

-- ----------------------------
-- Records of train_class_look_into
-- ----------------------------
INSERT INTO `train_class_look_into` VALUES ('1565534896892547072', '水水水水水水水水水水水水水水水水水水', '1', '主宰', '001025', '2022-09-02 10:59:40', null, null, '2022-09-02 10:59:11', '2022-09-02 10:59:11', '1', '1', '22', '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1565538406111514624', '水水水水水水', '1', '主宰', '001025', '2022-09-02 11:13:39', null, '[{\"name\": \"3ceadd59450648488d6664a8b13c1d1c.png\", \"path\": \"/train/2022/9/2/3ceadd59450648488d6664a8b13c1d1c.png\"}]', '2022-09-02 11:13:16', '2022-09-02 11:13:16', '2', '2', null, '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1565540360778813440', '所属', '1', '主宰', '001025', '2022-09-02 11:21:25', null, '[{\"name\": \"47d9099e3ba64e15a80536defe2dc820.png\", \"path\": \"/train/2022/9/2/47d9099e3ba64e15a80536defe2dc820.png\"}]', '2022-09-02 11:21:04', '2022-09-02 11:21:04', '0', '1', '1', '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1565548421048307712', '1', '1', '主宰', '001025', '2022-09-02 11:53:26', '1111111111', '[{\"name\": \"fab898621efc4ff6ba431106575f00f0.png\", \"path\": \"/train/2022/9/2/fab898621efc4ff6ba431106575f00f0.png\"}]', '2022-09-02 11:53:10', '2022-09-02 11:53:10', '0', '2', null, '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1565952540053475328', '1111', '1', '主宰', '001025', '2022-09-03 14:39:15', null, '[{\"name\": \"c6ce99b689fe4971a9d3604be05a77fc.png\", \"path\": \"/train/2022/9/3/c6ce99b689fe4971a9d3604be05a77fc.png\"}]', '2022-09-02 14:39:01', '2022-09-03 14:39:01', '0', '1', '1112', '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1565953096536952832', '222212', '1', '主宰', '001025', '2022-09-03 14:41:28', null, '[{\"name\": \"931423cffd574b4ea10b2a96aa61f078.png\", \"path\": \"/train/2022/9/3/931423cffd574b4ea10b2a96aa61f078.png\"}]', '2022-09-03 14:41:14', '2022-09-03 14:41:14', '0', '2', null, '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1565953147535495168', '21', '1', '主宰', '001025', '2022-09-03 14:41:40', null, '[{\"name\": \"5a2ff55e6e5e4f6b9863270f88cfee2e.png\", \"path\": \"/train/2022/9/3/5a2ff55e6e5e4f6b9863270f88cfee2e.png\"}]', '2022-09-03 14:41:30', '2022-09-03 14:41:30', '0', '2', null, '1564824127922114560');
INSERT INTO `train_class_look_into` VALUES ('1566009833302396928', '1111', '1', '主宰', '001025', '2022-09-03 18:26:55', null, '[{\"name\": \"ea32f3238ba34e3caf052e12f367821a.png\", \"path\": \"/train/2022/9/3/ea32f3238ba34e3caf052e12f367821a.png\"}]', '2022-09-03 18:26:38', '2022-09-03 18:26:38', '0', '1', '111', '1566003404646518784');
INSERT INTO `train_class_look_into` VALUES ('1569515984308539392', '12', '1562314510612697088', '国产007', '001071', '2022-09-13 10:39:07', null, '[{\"name\": \"b3b092465fbf4f87acdc2dc2a2a2989f.png\", \"path\": \"/train/2022/9/13/b3b092465fbf4f87acdc2dc2a2a2989f.png\"}]', '2022-09-12 10:38:49', '2022-09-14 10:38:49', '0', '1', '10', '1567813857320243200');
INSERT INTO `train_class_look_into` VALUES ('1570601070508511232', '问卷模板库-测试1111-调查问卷0011111111111', '1569970196410667008', '李露露', '001001001', '2022-09-16 10:30:51', null, '[{\"name\": \"e16001fc433843cf90858ff9fec5a17e.png\", \"path\": \"/train/2022/9/16/e16001fc433843cf90858ff9fec5a17e.png\"}]', '2022-09-08 10:23:18', '2022-09-25 10:23:18', '0', '2', '10', '1570297537271828480');
INSERT INTO `train_class_look_into` VALUES ('1570615803097780224', '石头的调查问卷', '1562314510612697088', '国产007', '001071', '2022-09-16 11:29:24', null, '[{\"name\": \"f5d0c3aeb42a4924ae73a14a32c1b0b0.png\", \"path\": \"/train/2022/9/16/f5d0c3aeb42a4924ae73a14a32c1b0b0.png\"}]', '2022-09-01 11:28:41', '2022-10-31 11:28:41', '1', '2', null, '1570349627503415296');
INSERT INTO `train_class_look_into` VALUES ('1570616572278607872', '2', '1562314510612697088', '国产007', '001071', '2022-09-16 11:32:27', null, '[{\"name\": \"7f2052225e19411b8700d75ae3560ba5.png\", \"path\": \"/train/2022/9/16/7f2052225e19411b8700d75ae3560ba5.png\"}]', '2022-09-01 11:32:13', '2022-10-07 11:32:13', '0', '2', null, '1570349627503415296');
INSERT INTO `train_class_look_into` VALUES ('1571696465787621376', '555', '1', '主宰', '001025', '2022-09-19 11:03:35', null, '[{\"name\": \"44ba3c6685354d2aae3154e72b630384.png\", \"path\": \"/train/2022/9/19/44ba3c6685354d2aae3154e72b630384.png\"}]', '2022-09-01 11:03:02', '2022-09-02 11:03:02', '0', '1', '10', '1570339435038511104');
INSERT INTO `train_class_look_into` VALUES ('1571742175484579840', '测试定时任务V1', '1', '主宰', '001025', '2022-09-19 14:05:13', null, '[{\"name\": \"d33eb5d0cc1e48d88bc570b743cfe3c5.png\", \"path\": \"/train/2022/9/19/d33eb5d0cc1e48d88bc570b743cfe3c5.png\"}]', '2022-09-19 14:04:31', '2022-09-20 14:04:31', '2', '1', '10', '1570693801251573760');
INSERT INTO `train_class_look_into` VALUES ('1571751105258459136', '888', '1', '主宰', '001025', '2022-09-19 14:40:42', null, '[{\"name\": \"47b1f31c669a46ccabc8270e14b985d2.png\", \"path\": \"/train/2022/9/19/47b1f31c669a46ccabc8270e14b985d2.png\"}]', '2022-09-19 00:00:00', '2022-09-21 00:00:00', '2', '2', null, '1570693801251573760');
INSERT INTO `train_class_look_into` VALUES ('1571758404173697024', '去', '1569970196410667008', '李露露', '001001001', '2022-09-19 15:09:40', null, '[{\"name\": \"3647acc20cd04f84973db97a7b1ac3f2.png\", \"path\": \"/train/2022/9/19/3647acc20cd04f84973db97a7b1ac3f2.png\"}]', '2022-09-15 15:09:26', '2022-09-17 15:09:26', '0', '1', '1', '1570297537271828480');
INSERT INTO `train_class_look_into` VALUES ('1571787764427526144', '测试其他项1', '1', '主宰', '001025', '2022-09-19 17:06:21', null, '[{\"name\": \"b464ee5d61f941cb9a9b63c14a520b24.png\", \"path\": \"/train/2022/9/19/b464ee5d61f941cb9a9b63c14a520b24.png\"}]', '2022-09-21 00:00:00', '2022-10-01 00:00:00', '2', '2', null, '1570693801251573760');
INSERT INTO `train_class_look_into` VALUES ('1572126731702243328', '结束', '1', '主宰', '001025', '2022-09-20 15:33:17', null, '[{\"name\": \"57061421bdf24f13ad86b482e1344f91.png\", \"path\": \"/train/2022/9/20/57061421bdf24f13ad86b482e1344f91.png\"}]', '2022-09-20 00:00:00', '2022-11-01 00:00:00', '2', '1', '5', '1571736395163242496');
INSERT INTO `train_class_look_into` VALUES ('1572516456334233600', '预览测试', '1', '主宰', '001025', '2022-09-21 17:21:55', null, '[{\"name\": \"281d1405f9b8431aa1aec3148a90419a.png\", \"path\": \"/train/2022/9/21/281d1405f9b8431aa1aec3148a90419a.png\"}]', '2022-09-21 00:00:00', '2022-09-25 00:00:00', '2', '2', null, '1572515153289809920');
INSERT INTO `train_class_look_into` VALUES ('1572867888287715328', '开学第一课调查问卷测试', '1569970196410667008', '李露露', '001001001', '2022-09-22 16:38:22', null, '[{\"name\": \"1b69d8b548c44d0bb544e8a178a6bf63.png\", \"path\": \"/train/2022/9/22/1b69d8b548c44d0bb544e8a178a6bf63.png\"}]', '2022-09-22 00:00:00', '2022-09-24 00:00:00', '2', '2', null, '1572797449381220352');
INSERT INTO `train_class_look_into` VALUES ('1572867991966715904', '开学第二课', '1569970196410667008', '李露露', '001001001', '2022-09-22 16:38:47', null, '[{\"name\": \"51c423588790408d909091654f060888.png\", \"path\": \"/train/2022/9/22/51c423588790408d909091654f060888.png\"}]', '2022-09-21 00:00:00', '2022-09-24 00:00:00', '2', '1', '10', '1572797449381220352');
INSERT INTO `train_class_look_into` VALUES ('1572873747701043200', '第三课问卷', '1569970196410667008', '李露露', '001001001', '2022-09-22 17:01:39', null, '[{\"name\": \"0d09997d36fe4208842e2b8afef45266.png\", \"path\": \"/train/2022/9/22/0d09997d36fe4208842e2b8afef45266.png\"}]', '2022-09-22 00:00:00', '2022-09-24 00:00:00', '2', '2', null, '1572797449381220352');
INSERT INTO `train_class_look_into` VALUES ('1573211930959679488', '讲师答卷001', '1569970196410667008', '李露露', '001001001', '2022-09-23 15:25:28', null, '[{\"name\": \"0175b9a0d4664d13a10fb56cbff4fa7d.png\", \"path\": \"/train/2022/9/23/0175b9a0d4664d13a10fb56cbff4fa7d.png\"}]', '2022-09-22 00:00:00', '2022-09-26 00:00:00', '2', '2', null, '1573151458042449920');
INSERT INTO `train_class_look_into` VALUES ('1573214785879805952', '第二课', '1569970196410667008', '李露露', '001001001', '2022-09-23 15:36:49', null, '[{\"name\": \"b77cb1f3827f40229fb07311735b1df4.png\", \"path\": \"/train/2022/9/23/b77cb1f3827f40229fb07311735b1df4.png\"}]', '2022-09-22 00:00:00', '2022-09-24 00:00:00', '2', '1', '10', '1573151458042449920');
INSERT INTO `train_class_look_into` VALUES ('1573216871975620608', '第三章问卷调查', '1569970196410667008', '李露露', '001001001', '2022-09-23 15:45:06', null, '[{\"name\": \"9e14268303254eb2a9469682dec77399.png\", \"path\": \"/train/2022/9/23/9e14268303254eb2a9469682dec77399.png\"}]', '2022-09-24 00:00:00', '2022-09-26 00:00:00', '2', '1', '5', '1573151458042449920');
INSERT INTO `train_class_look_into` VALUES ('1574684774994415616', '第一讲', '1569970196410667008', '李露露', '001001001', '2022-09-27 16:58:01', null, '[{\"name\": \"77717255d0f64d5397e431c5e0988e3c.png\", \"path\": \"/train/2022/9/27/77717255d0f64d5397e431c5e0988e3c.png\"}]', '2022-09-27 00:00:00', '2022-09-29 00:00:00', '2', '1', '10', '1572842240676597760');
INSERT INTO `train_class_look_into` VALUES ('1575360869183918080', '调查问卷', '1570604410206294016', '张磊', '001071', '2022-09-29 13:44:35', null, '[{\"name\": \"fa536e9e0a0645a296e029c9231fd7ce.png\", \"path\": \"/train/2022/9/29/fa536e9e0a0645a296e029c9231fd7ce.png\"}]', '2022-09-29 00:00:00', '2022-10-02 00:00:00', '2', '1', '10', '1575325299946688512');
INSERT INTO `train_class_look_into` VALUES ('1575363009595969536', '调查问卷测试', '1570604410206294016', '张磊', '001071', '2022-09-29 13:53:05', null, '[{\"name\": \"19bb1eaeac62443c9de2f67f17cbc925.png\", \"path\": \"/train/2022/9/29/19bb1eaeac62443c9de2f67f17cbc925.png\"}]', '2022-09-29 00:00:00', '2022-10-02 00:00:00', '2', '1', '10', '1575325299946688512');
INSERT INTO `train_class_look_into` VALUES ('1575401727795007488', '调查问卷第一章调查问卷第一章', '1569970196410667008', '李露露', '001001001', '2022-09-29 16:26:56', null, '[{\"name\": \"ee041c4e18b44f13b0929d3734dcee90.png\", \"path\": \"/train/2022/9/29/ee041c4e18b44f13b0929d3734dcee90.png\"}]', '2022-09-29 00:00:00', '2022-10-01 00:00:00', '2', '1', '20', '1575364705646678016');
INSERT INTO `train_class_look_into` VALUES ('1575417465939300352', '1111', '1561995446459699200', '李昊杰', '001025', '2022-09-29 17:29:29', null, '[{\"name\": \"cc064b7d4e41455db29f23af3279be56.png\", \"path\": \"/train/2022/9/29/cc064b7d4e41455db29f23af3279be56.png\"}]', '2022-09-29 00:00:00', '2022-10-01 00:00:00', '2', '2', null, '1575407526655168512');
INSERT INTO `train_class_look_into` VALUES ('1575419954923180032', '22222', '1561995446459699200', '李昊杰', '001025', '2022-09-29 17:39:22', null, '[{\"name\": \"abd7c3b427c448598200a00781fbf32c.png\", \"path\": \"/train/2022/9/29/abd7c3b427c448598200a00781fbf32c.png\"}]', '2022-09-01 00:00:00', '2022-10-01 00:00:00', '2', '2', null, '1575407526655168512');
INSERT INTO `train_class_look_into` VALUES ('1575425269781630976', 'uuuuuu', '1561995446459699200', '李昊杰', '001025', '2022-09-29 18:00:29', null, '[{\"name\": \"7d8f1404c3de4f409856351413dffc65.png\", \"path\": \"/train/2022/9/29/7d8f1404c3de4f409856351413dffc65.png\"}]', '2022-10-01 00:00:00', '2022-10-08 00:00:00', '2', '2', null, '1575407526655168512');
INSERT INTO `train_class_look_into` VALUES ('1578617376688181248', 'ssss', '1', '主宰', '001025', '2022-10-08 13:24:48', null, '[{\"name\": \"03f567cf358f4c2aae8f07d84b1aea3f.png\", \"path\": \"/train/2022/10/8/03f567cf358f4c2aae8f07d84b1aea3f.png\"}]', '2022-10-08 00:00:00', '2022-11-16 00:00:00', '2', '2', null, '1575407526655168512');
INSERT INTO `train_class_look_into` VALUES ('1578617665252102144', '1', '1', '主宰', '001025', '2022-10-08 13:25:56', null, '[{\"name\": \"679d220037584939a9913d8d73e1b0c9.png\", \"path\": \"/train/2022/10/8/679d220037584939a9913d8d73e1b0c9.png\"}]', '2022-10-08 00:00:00', '2022-10-10 00:00:00', '2', '2', null, '1575407526655168512');
INSERT INTO `train_class_look_into` VALUES ('1578661154371276800', '你好', '1562314510612697088', '国产007', '001071', '2022-10-08 16:18:49', null, '[{\"name\": \"809216645d7c47519979ac3936ea72b2.png\", \"path\": \"/train/2022/10/8/809216645d7c47519979ac3936ea72b2.png\"}]', '2022-10-01 00:00:00', '2022-10-24 00:00:00', '2', '2', null, '1575691944053575680');
INSERT INTO `train_class_look_into` VALUES ('1578663477193609216', '你好2', '1562314510612697088', '国产007', '001071', '2022-10-08 16:28:00', null, '[{\"name\": \"b91937e74a624ee3a3f17bba4d537259.png\", \"path\": \"/train/2022/10/8/b91937e74a624ee3a3f17bba4d537259.png\"}]', '2022-10-01 00:00:00', '2022-10-16 00:00:00', '2', '2', null, '1575691944053575680');
INSERT INTO `train_class_look_into` VALUES ('1578665496637739008', '其他', '1562314510612697088', '国产007', '001071', '2022-10-08 16:36:00', null, '[{\"name\": \"7a155a8bfb4e46a8b074c59c03d0c838.png\", \"path\": \"/train/2022/10/8/7a155a8bfb4e46a8b074c59c03d0c838.png\"}]', '2022-10-09 00:00:00', '2022-10-13 00:00:00', '2', '2', null, '1575691944053575680');
INSERT INTO `train_class_look_into` VALUES ('1578942821208035328', '爽爽无所谓', '1', '主宰', '001025', '2022-10-09 10:58:02', null, '[{\"name\": \"e4f1043affa44502909e668b6ad58e1c.png\", \"path\": \"/train/2022/10/9/e4f1043affa44502909e668b6ad58e1c.png\"}]', '2022-10-09 00:00:00', '2022-11-18 00:00:00', '2', '2', null, '1574650579148476416');
INSERT INTO `train_class_look_into` VALUES ('1578942874777686016', '去微软 ', '1562314510612697088', '国产007', '001071', '2022-10-09 10:58:14', null, '[{\"name\": \"c34cb9e728af426d81f795d86d5116ed.png\", \"path\": \"/train/2022/10/9/c34cb9e728af426d81f795d86d5116ed.png\"}]', '2022-10-10 00:00:00', '2022-10-12 00:00:00', '2', '2', null, '1575691944053575680');
INSERT INTO `train_class_look_into` VALUES ('1579004529792389120', '测试其他项位置', '1569970196410667008', '李露露', '001001001', '2022-10-09 15:03:12', null, '[{\"name\": \"435e7c033e7d4fb3b7a1130384ba756d.png\", \"path\": \"/train/2022/10/9/435e7c033e7d4fb3b7a1130384ba756d.png\"}]', '2022-11-19 00:00:00', '2022-11-23 00:00:00', '2', '2', null, '1575364705646678016');
INSERT INTO `train_class_look_into` VALUES ('1579013781474906112', '1539问卷调查', '1', '主宰', '001025', '2022-10-09 15:39:57', null, '[{\"name\": \"43095570bdba45f1b9c27df05ca06383.png\", \"path\": \"/train/2022/10/9/43095570bdba45f1b9c27df05ca06383.png\"}]', '2022-10-08 00:00:00', '2022-10-17 00:00:00', '2', '2', null, '1578925079021096960');
INSERT INTO `train_class_look_into` VALUES ('1579377907820793856', '1', '1561995446459699200', '李昊杰', '001025', '2022-10-10 15:46:53', null, '[{\"name\": \"394a72d4284d4a91bcb59ddd13db5a25.png\", \"path\": \"/train/2022/10/10/394a72d4284d4a91bcb59ddd13db5a25.png\"}]', '2022-10-10 00:00:00', '2022-10-14 00:00:00', '2', '1', '30', '1579001547617079296');
INSERT INTO `train_class_look_into` VALUES ('1579382787402764288', '2', '1561995446459699200', '李昊杰', '001025', '2022-10-10 16:06:17', null, '[{\"name\": \"c22d4a4fed194f9f8d3ecd3fdddbef22.png\", \"path\": \"/train/2022/10/10/c22d4a4fed194f9f8d3ecd3fdddbef22.png\"}]', '2022-10-10 00:00:00', '2022-10-26 00:00:00', '2', '1', '30', '1579001547617079296');
INSERT INTO `train_class_look_into` VALUES ('1579384111838138368', '3', '1561995446459699200', '李昊杰', '001025', '2022-10-10 16:11:32', null, '[{\"name\": \"f138eebd4d8c47b3b274900209dd8df8.png\", \"path\": \"/train/2022/10/10/f138eebd4d8c47b3b274900209dd8df8.png\"}]', '2022-10-10 00:00:00', '2022-11-01 00:00:00', '2', '1', '30', '1579001547617079296');
INSERT INTO `train_class_look_into` VALUES ('1580115553345998848', '金融第一讲', '1569970621243330560', '李市级', '001007016', '2022-10-12 16:38:00', null, '[{\"name\": \"e8982783c9964849ad34e4aa6dc48d4b.png\", \"path\": \"/train/2022/10/12/e8982783c9964849ad34e4aa6dc48d4b.png\"}]', '2022-10-12 00:00:00', '2022-10-14 00:00:00', '2', '1', '30', '1580081304689577984');
INSERT INTO `train_class_look_into` VALUES ('1580115651245248512', '新课授学', '1569970621243330560', '李市级', '001007016', '2022-10-12 16:38:23', null, '[{\"name\": \"ef94058c4cf4455398c1dceaef1194d4.png\", \"path\": \"/train/2022/10/12/ef94058c4cf4455398c1dceaef1194d4.png\"}]', '2022-10-13 00:00:00', '2022-10-15 00:00:00', '2', '1', '30', '1580081304689577984');
INSERT INTO `train_class_look_into` VALUES ('1580455531145990144', '士大夫撒旦', '1', '主宰', '001025', '2022-10-13 15:08:58', null, '[{\"name\": \"810d15130f214ea7910de7a12574bd33.png\", \"path\": \"/train/2022/10/13/810d15130f214ea7910de7a12574bd33.png\"}]', '2022-10-13 00:00:00', '2022-11-24 00:00:00', '2', '1', '30', '1580091399771131904');
INSERT INTO `train_class_look_into` VALUES ('1580798365732573184', '调查问卷', '1569970196410667008', '李露露', '001071', '2022-10-14 13:51:15', null, '[{\"name\": \"e43cc048961841d5aa5fcd62f3c9e6da.png\", \"path\": \"/train/2022/10/14/e43cc048961841d5aa5fcd62f3c9e6da.png\"}]', '2022-10-14 00:00:00', '2022-10-16 00:00:00', '2', '1', '30', '1580770390802829312');
INSERT INTO `train_class_look_into` VALUES ('1582567513445765120', '11111', '1', '主宰', '001025', '2022-10-19 11:01:14', null, '[{\"name\": \"977b4a092a32425f9c87bc374753607e.png\", \"path\": \"/train/2022/10/19/977b4a092a32425f9c87bc374753607e.png\"}]', '2022-10-12 00:00:00', '2022-11-19 00:00:00', '2', '1', '30', '1580803715470856192');
INSERT INTO `train_class_look_into` VALUES ('1582568271545241600', '2222', '1', '主宰', '001025', '2022-10-19 11:04:14', null, '[{\"name\": \"f9fd0757f2dd4a05bd43b5bdd4bf0e1c.png\", \"path\": \"/train/2022/10/19/f9fd0757f2dd4a05bd43b5bdd4bf0e1c.png\"}]', '2022-10-18 00:00:00', '2022-11-24 00:00:00', '2', '1', '30', '1580803715470856192');
INSERT INTO `train_class_look_into` VALUES ('1582568696583426048', '333', '1', '主宰', '001025', '2022-10-19 11:05:55', null, '[{\"name\": \"6404ea005189439bbca235b669999788.png\", \"path\": \"/train/2022/10/19/6404ea005189439bbca235b669999788.png\"}]', '2022-10-19 00:00:00', '2022-11-25 00:00:00', '2', '1', '30', '1580803715470856192');
INSERT INTO `train_class_look_into` VALUES ('1582569530348146688', '4444', '1', '主宰', '001025', '2022-10-19 11:09:14', null, '[{\"name\": \"412ad2364e96450fb909983c2ea2c04c.png\", \"path\": \"/train/2022/10/19/412ad2364e96450fb909983c2ea2c04c.png\"}]', '2022-10-19 05:05:05', '2022-11-24 09:51:56', '2', '1', '30', '1580803715470856192');
INSERT INTO `train_class_look_into` VALUES ('1582644376763502592', '测试时间', '1569970196410667008', '李露露', '001071', '2022-10-19 16:06:38', null, '[{\"name\": \"5a1e7ebd60e345deb08b1ac865fad731.png\", \"path\": \"/train/2022/10/19/5a1e7ebd60e345deb08b1ac865fad731.png\"}]', '2022-10-19 05:02:00', '2022-10-20 12:59:59', '2', '1', '30', '1580770390802829312');
INSERT INTO `train_class_look_into` VALUES ('1582944642889027584', '454', '1', '主宰', '001025', '2022-10-20 11:59:48', null, '[{\"name\": \"07bdca4e286f46a592d8c9bc1ccadd90.png\", \"path\": \"/train/2022/10/20/07bdca4e286f46a592d8c9bc1ccadd90.png\"}]', '2022-10-20 00:00:00', '2022-10-21 11:59:59', '2', '1', '30', '1582675574806155264');
INSERT INTO `train_class_look_into` VALUES ('1583363470408159232', '调查问卷', '1570604410206294016', '张磊', '001071', '2022-10-21 15:44:04', null, '[{\"name\": \"e075b33ff8594a1b85f370ce547ec807.png\", \"path\": \"/train/2022/10/21/e075b33ff8594a1b85f370ce547ec807.png\"}]', '2022-10-21 00:00:00', '2022-10-31 11:59:59', '2', '1', '30', '1583346873849221120');
INSERT INTO `train_class_look_into` VALUES ('1583389379106312192', '测试调查文件导入数据', '1569970196410667008', '李露露', '001071', '2022-10-21 17:27:01', null, '[{\"name\": \"f085baf787d242dcb84d4e03a45921c8.png\", \"path\": \"/train/2022/10/21/f085baf787d242dcb84d4e03a45921c8.png\"}]', '2022-10-21 00:00:00', '2022-10-23 11:59:59', '2', '1', '30', '1583317513494728704');
INSERT INTO `train_class_look_into` VALUES ('1583751585136250880', '111', '1561995446459699200', '李昊杰', '001025', '2022-10-22 17:26:18', null, '[{\"name\": \"a861885e0c044275aef2a76b2abf1c59.png\", \"path\": \"/train/2022/10/22/a861885e0c044275aef2a76b2abf1c59.png\"}]', '2022-10-22 00:00:00', '2022-11-30 00:00:00', '2', '1', '30', '1583739434711519232');
INSERT INTO `train_class_look_into` VALUES ('1584420167784468480', '测试手机端显示状态', '1569970196410667008', '李露露', '001071', '2022-10-24 13:43:00', null, '[{\"name\": \"4b372c440ef7425c93a9b3d7528596ff.png\", \"path\": \"/train/2022/10/24/4b372c440ef7425c93a9b3d7528596ff.png\"}]', '2022-10-24 00:00:00', '2022-10-25 00:00:00', '2', '1', '30', '1583317513494728704');
INSERT INTO `train_class_look_into` VALUES ('1584487472455356416', '状态', '1569970196410667008', '李露露', '001071', '2022-10-24 18:10:27', null, '[{\"name\": \"d129af7df648450da44a77025ee9af60.png\", \"path\": \"/train/2022/10/24/d129af7df648450da44a77025ee9af60.png\"}]', '2022-10-24 07:02:00', '2022-10-27 13:00:00', '2', '2', '30', '1583317513494728704');
INSERT INTO `train_class_look_into` VALUES ('1592025195114270720', '导入的调查问卷001', '1569970196410667008', '李露露', '001041', '2022-11-14 13:22:40', null, '[{\"name\": \"b5eab09b38784fc3a787d9e99160ed7e.png\", \"path\": \"/train/2022/11/14/b5eab09b38784fc3a787d9e99160ed7e.png\"}]', '2022-11-14 13:25:00', '2022-11-14 15:25:00', '2', '1', '30', '1591972857506828288');
INSERT INTO `train_class_look_into` VALUES ('1592448132090826752', '貂蝉', '1', '主宰', '001025', '2022-11-15 17:23:16', null, '[{\"name\": \"0849c889b3af4a2dbe15c6f2474c48d3.png\", \"path\": \"/train/2022/11/15/0849c889b3af4a2dbe15c6f2474c48d3.png\"}]', '2022-11-15 00:00:00', '2022-11-17 00:00:00', '2', '1', '30', '1592385355917692928');
INSERT INTO `train_class_look_into` VALUES ('1592449773993070592', '貂蝉吕布', '1', '主宰', '001025', '2022-11-15 17:29:47', null, '[{\"name\": \"27ab114b15d04dc194db754ad085c756.png\", \"path\": \"/train/2022/11/15/27ab114b15d04dc194db754ad085c756.png\"}]', '2022-11-15 00:00:00', '2022-11-16 00:00:00', '2', '1', '30', '1592347795233312768');
INSERT INTO `train_class_look_into` VALUES ('1593202474683076608', '的撒法', '1', '主宰', '001025', '2022-11-17 19:20:46', null, '[{\"name\": \"2325e84b65e0499d9890399c02ca81c8.png\", \"path\": \"/train/2022/11/17/2325e84b65e0499d9890399c02ca81c8.png\"}]', '2022-11-17 00:00:00', '2022-11-30 00:00:00', '2', '1', '30', '1593133878619541504');
INSERT INTO `train_class_look_into` VALUES ('1593202769576202240', '调查问卷2', '1567046004463767552', '刘国灿', '001025', '2022-11-17 19:21:56', null, '[{\"name\": \"491708ef2cb448ea85bb61698bfcc546.png\", \"path\": \"/train/2022/11/17/491708ef2cb448ea85bb61698bfcc546.png\"}]', '2022-11-17 00:00:00', '2022-12-22 00:00:00', '2', '1', '30', '1593195024294744064');
INSERT INTO `train_class_look_into` VALUES ('1596471042757496832', 'dd ', '1', '主宰', '001025', '2022-11-26 19:48:53', null, '[{\"name\": \"bdd3a4d669a04dd3bf732afd1444a3af.png\", \"path\": \"/train/2022/11/26/bdd3a4d669a04dd3bf732afd1444a3af.png\"}]', '2022-11-26 00:00:00', '2022-11-27 00:00:00', '2', '1', '30', '1596385685659586560');

-- ----------------------------
-- Table structure for train_class_look_into_answer
-- ----------------------------
DROP TABLE IF EXISTS `train_class_look_into_answer`;
CREATE TABLE `train_class_look_into_answer` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `questionnaire_id` bigint(20) DEFAULT NULL COMMENT '问卷id',
  `questionnaire_bank_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  `questionnaire_option_id` bigint(20) DEFAULT NULL COMMENT '选项id',
  `content` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷答案';

-- ----------------------------
-- Records of train_class_look_into_answer
-- ----------------------------
INSERT INTO `train_class_look_into_answer` VALUES ('1572484648007766016', '1569928315261816832', '1572126731702243328', '1565978075433406465', '1565978075433406467', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1572484648007766017', '1569928315261816832', '1572126731702243328', '1565978075433406471', '1565978075433406473', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1572484648007766018', '1569928315261816832', '1572126731702243328', '1565978075395657728', null, '顶你');
INSERT INTO `train_class_look_into_answer` VALUES ('1572487508078497792', '1569928315261816832', '1572126731702243328', '1565978075433406465', '1565978075433406467', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1572487508078497793', '1569928315261816832', '1572126731702243328', '1565978075433406471', '1565978075433406473', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1572487508078497794', '1569928315261816832', '1572126731702243328', '1565978075395657728', null, '你摸过');
INSERT INTO `train_class_look_into_answer` VALUES ('1572491697223503872', '1569928315261816832', '1572126731702243328', '1565978075433406465', '1565978075433406467', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1572491697223503873', '1569928315261816832', '1572126731702243328', '1565978075433406471', '1565978075433406473', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1572491697223503874', '1569928315261816832', '1572126731702243328', '1565978075395657728', null, '呃呃呃');
INSERT INTO `train_class_look_into_answer` VALUES ('1575361939964563456', '1567097186544652288', '1575360869183918080', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575361939964563457', '1567097186544652288', '1575360869183918080', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575361939964563458', '1567097186544652288', '1575360869183918080', '1573216560095563785', '1573216560095563788', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575361939964563459', '1567097186544652288', '1575360869183918080', '1573216560087175168', null, '好的');
INSERT INTO `train_class_look_into_answer` VALUES ('1575361939964563460', '1567097186544652288', '1575360869183918080', '1573216560095563783', null, '可以');
INSERT INTO `train_class_look_into_answer` VALUES ('1575364180318490624', '1567097186544652288', '1575363009595969536', '1572515807961944065', '1572515807961944067', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575364180318490625', '1567097186544652288', '1575363009595969536', '1572515807961944071', '1572515807961944073', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575364180318490626', '1567097186544652288', '1575363009595969536', '1572515807907418112', null, '好的');
INSERT INTO `train_class_look_into_answer` VALUES ('1575675730661085184', '1575324436016533504', '1575401727795007488', '1573216560095563777', '1573216560095563782', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575675730661085185', '1575324436016533504', '1575401727795007488', '1573216560095563785', '1573216560095563789', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575675730661085186', '1575324436016533504', '1575401727795007488', '1573216560095563785', '1573216560095563790', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575675730661085187', '1575324436016533504', '1575401727795007488', '1573216560095563785', '1573216560095563791', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1575675730661085188', '1575324436016533504', '1575401727795007488', '1573216560087175168', null, '改革规划哈哈哈ｖｇｇｇｇｇｇｇｇｇｇｇ');
INSERT INTO `train_class_look_into_answer` VALUES ('1575675730661085189', '1575324436016533504', '1575401727795007488', '1573216560095563783', null, '改革规划哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈官方发出斤斤计较');
INSERT INTO `train_class_look_into_answer` VALUES ('1579014670138871808', '1565939234546782208', '1579013781474906112', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579014670138871809', '1565939234546782208', '1579013781474906112', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579014670138871810', '1565939234546782208', '1579013781474906112', '1573216560087175168', null, '不管');
INSERT INTO `train_class_look_into_answer` VALUES ('1579014670138871811', '1565939234546782208', '1579013781474906112', '1573216560095563783', null, '没有😊');
INSERT INTO `train_class_look_into_answer` VALUES ('1579030493498839040', '1567097186544652288', '1579013781474906112', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579030493498839041', '1567097186544652288', '1579013781474906112', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579030493498839042', '1567097186544652288', '1579013781474906112', '1573216560087175168', null, 'sssssss');
INSERT INTO `train_class_look_into_answer` VALUES ('1579030493498839043', '1567097186544652288', '1579013781474906112', '1573216560095563783', null, 'ssdxsad');
INSERT INTO `train_class_look_into_answer` VALUES ('1579381867533176832', '1579374510346473472', '1579377907820793856', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579381867533176833', '1579374510346473472', '1579377907820793856', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579381867533176834', '1579374510346473472', '1579377907820793856', '1573216560087175168', null, 'ffgggg');
INSERT INTO `train_class_look_into_answer` VALUES ('1579381867533176835', '1579374510346473472', '1579377907820793856', '1573216560095563783', null, 'vjgcjhdb');
INSERT INTO `train_class_look_into_answer` VALUES ('1579383507820613632', '1579374510346473472', '1579382787402764288', '1573216560095563777', '1573216560095563780', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579383507820613633', '1579374510346473472', '1579382787402764288', '1573216560095563785', '1573216560095563789', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579383507820613634', '1579374510346473472', '1579382787402764288', '1573216560087175168', null, 'sass');
INSERT INTO `train_class_look_into_answer` VALUES ('1579383507820613635', '1579374510346473472', '1579382787402764288', '1573216560095563783', null, 'ggg');
INSERT INTO `train_class_look_into_answer` VALUES ('1579384832599920640', '1567097186544652288', '1579377907820793856', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579384832599920641', '1567097186544652288', '1579377907820793856', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579384832599920642', '1567097186544652288', '1579377907820793856', '1573216560087175168', null, '撒撒撒');
INSERT INTO `train_class_look_into_answer` VALUES ('1579384832599920643', '1567097186544652288', '1579377907820793856', '1573216560095563783', null, '撒撒撒');
INSERT INTO `train_class_look_into_answer` VALUES ('1579394614438268928', '1570254194114433024', '1579377907820793856', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579394614438268929', '1570254194114433024', '1579377907820793856', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579394614438268930', '1570254194114433024', '1579377907820793856', '1573216560087175168', null, '规划哈哈');
INSERT INTO `train_class_look_into_answer` VALUES ('1579394614438268931', '1570254194114433024', '1579377907820793856', '1573216560095563783', null, '哈哈哈');
INSERT INTO `train_class_look_into_answer` VALUES ('1579395005435482112', '1570254194114433024', '1579384111838138368', '1573216560095563777', '1573216560095563782', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579395005435482113', '1570254194114433024', '1579384111838138368', '1573216560095563785', '1573216560095563788', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579395005435482114', '1570254194114433024', '1579384111838138368', '1573216560087175168', null, '天天');
INSERT INTO `train_class_look_into_answer` VALUES ('1579395005435482115', '1570254194114433024', '1579384111838138368', '1573216560095563783', null, '方法');
INSERT INTO `train_class_look_into_answer` VALUES ('1579395405739855872', '1570254194114433024', '1579384111838138368', '1573216560095563777', '1573216560095563781', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579395405739855873', '1570254194114433024', '1579384111838138368', '1573216560095563785', '1573216560095563790', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1579395405739855874', '1570254194114433024', '1579384111838138368', '1573216560087175168', null, '让人');
INSERT INTO `train_class_look_into_answer` VALUES ('1579395405739855875', '1570254194114433024', '1579384111838138368', '1573216560095563783', null, '方法');
INSERT INTO `train_class_look_into_answer` VALUES ('1580457167587250176', '1574656123775094784', '1580455531145990144', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1580457167587250177', '1574656123775094784', '1580455531145990144', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1580457167587250178', '1574656123775094784', '1580455531145990144', '1573216560095563785', '1573216560095563788', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1580457167587250179', '1574656123775094784', '1580455531145990144', '1573216560087175168', null, 'gggg');
INSERT INTO `train_class_look_into_answer` VALUES ('1580457167587250180', '1574656123775094784', '1580455531145990144', '1573216560095563783', null, 'fffgg');
INSERT INTO `train_class_look_into_answer` VALUES ('1583363964581056512', '1555010577007513600', '1583363470408159232', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1583363964581056513', '1555010577007513600', '1583363470408159232', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1583363964581056514', '1555010577007513600', '1583363470408159232', '1573216560087175168', null, '好');
INSERT INTO `train_class_look_into_answer` VALUES ('1583363964581056515', '1555010577007513600', '1583363470408159232', '1573216560095563783', null, '好');
INSERT INTO `train_class_look_into_answer` VALUES ('1592451263595941888', '1565939234546782208', '1592449773993070592', '1573216560095563777', '1573216560095563779', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1592451263600136192', '1565939234546782208', '1592449773993070592', '1573216560095563785', '1573216560095563787', null);
INSERT INTO `train_class_look_into_answer` VALUES ('1592451263600136193', '1565939234546782208', '1592449773993070592', '1573216560087175168', null, '钱3钱');
INSERT INTO `train_class_look_into_answer` VALUES ('1592451263600136194', '1565939234546782208', '1592449773993070592', '1573216560095563783', null, '12313212');

-- ----------------------------
-- Table structure for train_class_look_into_user
-- ----------------------------
DROP TABLE IF EXISTS `train_class_look_into_user`;
CREATE TABLE `train_class_look_into_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `questionnaire_id` bigint(20) DEFAULT NULL COMMENT '问卷id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷用户';

-- ----------------------------
-- Records of train_class_look_into_user
-- ----------------------------
INSERT INTO `train_class_look_into_user` VALUES ('1572484648494305280', '1569928315261816832', '1572126731702243328', '2022-09-21 15:15:30');
INSERT INTO `train_class_look_into_user` VALUES ('1572487508296601600', '1569928315261816832', '1572126731702243328', '2022-09-21 15:26:52');
INSERT INTO `train_class_look_into_user` VALUES ('1572491697449996288', '1569928315261816832', '1572126731702243328', '2022-09-21 15:43:31');
INSERT INTO `train_class_look_into_user` VALUES ('1575361940031672320', '1567097186544652288', '1575360869183918080', '2022-09-29 13:48:50');
INSERT INTO `train_class_look_into_user` VALUES ('1575364180423348224', '1567097186544652288', '1575363009595969536', '2022-09-29 13:57:44');
INSERT INTO `train_class_look_into_user` VALUES ('1575675730707222528', '1575324436016533504', '1575401727795007488', '2022-09-30 10:35:43');
INSERT INTO `train_class_look_into_user` VALUES ('1579014671271333888', '1565939234546782208', '1579013781474906112', '2022-10-09 15:43:29');
INSERT INTO `train_class_look_into_user` VALUES ('1579030493972795392', '1567097186544652288', '1579013781474906112', '2022-10-09 16:46:21');
INSERT INTO `train_class_look_into_user` VALUES ('1579381867843555328', '1579374510346473472', '1579377907820793856', '2022-10-10 16:02:35');
INSERT INTO `train_class_look_into_user` VALUES ('1579383508130992128', '1579374510346473472', '1579382787402764288', '2022-10-10 16:09:07');
INSERT INTO `train_class_look_into_user` VALUES ('1579384832809635840', '1567097186544652288', '1579377907820793856', '2022-10-10 16:14:22');
INSERT INTO `train_class_look_into_user` VALUES ('1579394614509572096', '1570254194114433024', '1579377907820793856', '2022-10-10 16:53:14');
INSERT INTO `train_class_look_into_user` VALUES ('1579395005540339712', '1570254194114433024', '1579384111838138368', '2022-10-10 16:54:48');
INSERT INTO `train_class_look_into_user` VALUES ('1579395405823741952', '1570254194114433024', '1579384111838138368', '2022-10-10 16:56:23');
INSERT INTO `train_class_look_into_user` VALUES ('1580457167662747648', '1574656123775094784', '1580455531145990144', '2022-10-13 15:15:27');
INSERT INTO `train_class_look_into_user` VALUES ('1583363964627193856', '1555010577007513600', '1583363470408159232', '2022-10-21 15:46:01');
INSERT INTO `train_class_look_into_user` VALUES ('1592451264791318528', '1565939234546782208', '1592449773993070592', '2022-11-15 17:35:42');

-- ----------------------------
-- Table structure for train_class_material
-- ----------------------------
DROP TABLE IF EXISTS `train_class_material`;
CREATE TABLE `train_class_material` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `NAME` varchar(100) DEFAULT NULL COMMENT '名称',
  `URL` json DEFAULT NULL COMMENT 'URL',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态 0禁用1启用',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 0删除1正常',
  `SOURCE` smallint(5) DEFAULT NULL COMMENT '来源 1资料库2本地',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_NAME` varchar(100) DEFAULT NULL COMMENT '创建人名称',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `TRAIN_CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班ID',
  `MATERIAL_ID` bigint(19) DEFAULT NULL COMMENT '资料库ID'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班资料库';

-- ----------------------------
-- Records of train_class_material
-- ----------------------------
INSERT INTO `train_class_material` VALUES ('1571710252225794048', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1562314510612697088', '国产007', '2022-09-19 11:58:20', '1562314510612697088', '2022-09-19 11:58:20', null, '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1571710252976574464', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1562314510612697088', '国产007', '2022-09-19 11:58:20', '1562314510612697088', '2022-09-19 11:58:20', null, '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1571710253765103616', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1562314510612697088', '国产007', '2022-09-19 11:58:20', '1562314510612697088', '2022-09-19 11:58:20', null, '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1571710377048281088', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1562314510612697088', '国产007', '2022-09-19 11:58:50', '1562314510612697088', '2022-09-19 11:58:50', '1570693801251573760', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1571710377765507072', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1562314510612697088', '国产007', '2022-09-19 11:58:50', '1562314510612697088', '2022-09-19 11:58:50', '1570693801251573760', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1571710378541453312', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1562314510612697088', '国产007', '2022-09-19 11:58:50', '1562314510612697088', '2022-09-19 11:58:50', '1570693801251573760', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1572127023554498560', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-09-20 15:34:26', '1', '2022-09-20 15:34:26', '1571736395163242496', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1572127184603189248', '111', '[{\"name\": \"111.pdf\", \"path\": \"/train/2022/9/20/3565d5b744784fd5a7e7d58926a40e1d.pdf\", \"size\": 10498.8349609375, \"suffix\": \".pdf\"}]', '1', '1', '2', '1', '主宰', '2022-09-20 15:35:04', '1', '2022-09-20 15:35:04', '1571736395163242496', null);
INSERT INTO `train_class_material` VALUES ('1572397982517694464', '发卡器读取工具使用', '[{\"name\": \"发卡器读取工具使用.pdf\", \"path\": \"/train/2022/9/21/b490b66536e14c89a8d8b2d23ead92f4.pdf\", \"size\": 110.2978515625, \"suffix\": \".pdf\"}]', '1', '1', '2', '1', '主宰', '2022-09-21 09:31:07', '1', '2022-09-21 09:31:07', '1571736395163242496', null);
INSERT INTO `train_class_material` VALUES ('1572433455160102912', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-09-21 11:52:05', '1', '2022-09-21 11:52:05', '1572146637869027328', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1572460638138142720', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-09-21 13:40:06', '1', '2022-09-21 13:40:06', '1572406044859174912', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1572460638427549696', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-09-21 13:40:06', '1', '2022-09-21 13:40:06', '1572406044859174912', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1572460638729539584', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1', '主宰', '2022-09-21 13:40:06', '1', '2022-09-21 13:40:06', '1572406044859174912', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1572481985006407680', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-09-21 15:04:55', '1', '2022-09-21 15:04:55', '1572161388133093376', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1572481985312591872', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-09-21 15:04:55', '1', '2022-09-21 15:04:55', '1572161388133093376', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1572867507541381120', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '0', '1', '1569970196410667008', '李露露', '2022-09-22 16:36:51', '1569970196410667008', '2022-09-22 16:37:00', '1572797449381220352', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1572867571227693056', '数字财政综合业务平台', '[{\"name\": \"数字财政综合业务平台.docx\", \"path\": \"/train/2022/9/22/d405643671f7450dbdee1563d6a7c4ac.docx\", \"size\": 9.068359375, \"suffix\": \".docx\"}]', '1', '1', '2', '1569970196410667008', '李露露', '2022-09-22 16:37:06', '1569970196410667008', '2022-09-22 16:37:06', '1572797449381220352', null);
INSERT INTO `train_class_material` VALUES ('1572886757572218880', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-09-22 17:53:20', '1570604410206294016', '2022-09-22 17:53:20', '1572878780698071040', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1572886757643522048', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-09-22 17:53:21', '1570604410206294016', '2022-09-22 17:53:21', '1572878780698071040', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1575401298847731712', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1569970196410667008', '李露露', '2022-09-29 16:25:14', '1569970196410667008', '2022-09-29 16:25:14', '1575364705646678016', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1575401344955715584', 'IT运维管理平台测试报告-V1.0.1', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/29/0b1bb1b902494a908b7e1b94179ef66c.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '2', '1569970196410667008', '李露露', '2022-09-29 16:25:25', '1569970196410667008', '2022-09-29 16:25:25', '1575364705646678016', null);
INSERT INTO `train_class_material` VALUES ('1575401372101251072', '数字财政综合业务平台', '[{\"name\": \"数字财政综合业务平台.pdf\", \"path\": \"/train/2022/9/29/82e46acddfbc4e0eabfd4d8e1e9da577.pdf\", \"size\": 59.447265625, \"suffix\": \".pdf\"}]', '1', '1', '2', '1569970196410667008', '李露露', '2022-09-29 16:25:31', '1569970196410667008', '2022-09-29 16:25:31', '1575364705646678016', null);
INSERT INTO `train_class_material` VALUES ('1579801949467971584', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-10-11 19:51:51', '1570604410206294016', '2022-10-11 19:51:51', '1579723260835270656', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1579801949539274752', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-10-11 19:51:51', '1570604410206294016', '2022-10-11 19:51:51', '1579723260835270656', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1579801949606383616', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-10-11 19:51:51', '1570604410206294016', '2022-10-11 19:51:51', '1579723260835270656', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1580118607919190016', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1569970621243330560', '李市级', '2022-10-12 16:50:08', '1569970621243330560', '2022-10-12 16:50:08', '1580081304689577984', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1580118607986298880', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1569970621243330560', '李市级', '2022-10-12 16:50:08', '1569970621243330560', '2022-10-12 16:50:08', '1580081304689577984', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1580118608061796352', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1569970621243330560', '李市级', '2022-10-12 16:50:08', '1569970621243330560', '2022-10-12 16:50:08', '1580081304689577984', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1580118643851792384', '河南大学2020年硕士统考生拟录取公示', '[{\"name\": \"河南大学2020年硕士统考生拟录取公示.pdf\", \"path\": \"/train/2022/10/12/13b82f85d4f0410dbb853d741b3a9f80.pdf\", \"size\": 993.30078125, \"suffix\": \".pdf\"}]', '1', '1', '2', '1569970621243330560', '李市级', '2022-10-12 16:50:17', '1569970621243330560', '2022-10-12 16:50:17', '1580081304689577984', null);
INSERT INTO `train_class_material` VALUES ('1583724700356448256', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-10-22 15:39:27', '1570604410206294016', '2022-10-22 15:39:27', '1583722097811787776', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1583724700398391296', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1570604410206294016', '张磊', '2022-10-22 15:39:27', '1570604410206294016', '2022-10-22 15:39:27', '1583722097811787776', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1583743532999512064', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '0', '1', '1570604410206294016', '张磊', '2022-10-22 16:54:17', '1570604410206294016', '2022-10-22 16:55:08', '1583739434711519232', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1583743533049843712', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '0', '1', '1570604410206294016', '张磊', '2022-10-22 16:54:17', '1570604410206294016', '2022-10-22 16:55:06', '1583739434711519232', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1587988045951537152', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1561995446459699200', '李昊杰', '2022-11-03 10:00:28', '1561995446459699200', '2022-11-03 10:00:28', '1586969194119958528', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1587988046798786560', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1561995446459699200', '李昊杰', '2022-11-03 10:00:28', '1561995446459699200', '2022-11-03 10:00:28', '1586969194119958528', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1587988047583121408', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1561995446459699200', '李昊杰', '2022-11-03 10:00:29', '1561995446459699200', '2022-11-03 10:00:29', '1586969194119958528', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1588071031812263936', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '0', '1', '1561995446459699200', '李昊杰', '2022-11-03 15:30:14', '1561995446459699200', '2022-11-03 16:15:24', '1587268699407126528', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1588082433918636032', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '0', '1', '1561995446459699200', '李昊杰', '2022-11-03 16:15:32', '1561995446459699200', '2022-11-03 16:24:30', '1587268699407126528', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1588082434732331008', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '0', '1', '1561995446459699200', '李昊杰', '2022-11-03 16:15:32', '1561995446459699200', '2022-11-03 16:24:33', '1587268699407126528', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1588082435470528512', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '0', '1', '1561995446459699200', '李昊杰', '2022-11-03 16:15:32', '1561995446459699200', '2022-11-03 16:24:35', '1587268699407126528', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1588082436196143104', '关于集中培训班班级管理须知', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/16101d77c063440ca15dcdac487f25fc.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '0', '1', '1561995446459699200', '李昊杰', '2022-11-03 16:15:33', '1561995446459699200', '2022-11-03 16:23:42', '1587268699407126528', '1588074624426577920');
INSERT INTO `train_class_material` VALUES ('1588082436904980480', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '0', '1', '1561995446459699200', '李昊杰', '2022-11-03 16:15:33', '1561995446459699200', '2022-11-03 16:23:49', '1587268699407126528', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1588086106212143104', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1561995446459699200', '李昊杰', '2022-11-03 16:30:08', '1561995446459699200', '2022-11-03 16:30:08', '1588072776831471616', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1588741874284367872', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1583278909414313984', '测试省级', '2022-11-05 11:55:55', '1583278909414313984', '2022-11-05 11:55:55', '1588733407918166016', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1591993508384870400', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1591989473527336960', '高郑州', '2022-11-14 11:16:45', '1591989473527336960', '2022-11-14 11:16:45', '1591992260067725312', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1592024266164015104', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1569970196410667008', '李露露', '2022-11-14 13:18:58', '1569970196410667008', '2022-11-14 13:18:58', '1591972857506828288', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1592025876164382720', '河南大学2020年硕士统考生拟录取公示', '[{\"name\": \"河南大学2020年硕士统考生拟录取公示.pdf\", \"path\": \"/train/2022/11/14/2bf3026df8d84ae8af17459aa152a7b5.pdf\", \"size\": 993.30078125, \"suffix\": \".pdf\"}]', '1', '1', '2', '1569970196410667008', '李露露', '2022-11-14 13:25:22', '1569970196410667008', '2022-11-14 13:25:22', '1591972857506828288', null);
INSERT INTO `train_class_material` VALUES ('1592025905688088576', 'IT运维管理平台测试报告-V1.0.1', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/11/14/c1dd4082286544c48509665df84a5828.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '2', '1569970196410667008', '李露露', '2022-11-14 13:25:29', '1569970196410667008', '2022-11-14 13:25:29', '1591972857506828288', null);
INSERT INTO `train_class_material` VALUES ('1592026046218244096', 'jmeter压力测试', '[{\"name\": \"jmeter压力测试.docx\", \"path\": \"/train/2022/11/14/0bb86739740a49829ce664b75be0c0c4.docx\", \"size\": 1564.576171875, \"suffix\": \".docx\"}]', '1', '1', '2', '1569970196410667008', '李露露', '2022-11-14 13:26:02', '1569970196410667008', '2022-11-14 13:26:02', '1591972857506828288', null);
INSERT INTO `train_class_material` VALUES ('1593165492233834496', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:53:48', '1', '2022-11-17 16:53:48', '1585921029040115712', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1593165629161082880', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:54:20', '1', '2022-11-17 16:54:20', '1585921029040115712', '1561997580299276288');
INSERT INTO `train_class_material` VALUES ('1593165629890891776', '文档二212', '[{\"name\": \"1推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/24/31b405e7eb1741e9b88ead1def25ba4e.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:54:20', '1', '2022-11-17 16:54:20', '1585921029040115712', '1562332968620527616');
INSERT INTO `train_class_material` VALUES ('1593165630570369024', '地理类知识整理', '[{\"name\": \"IT运维管理平台测试报告-V1.0.1.doc\", \"path\": \"/train/2022/9/16/1b45507a2cdf464195aef5b646d21e4a.doc\", \"size\": 354.8408203125, \"suffix\": \".doc\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:54:21', '1', '2022-11-17 16:54:21', '1585921029040115712', '1570655184479195136');
INSERT INTO `train_class_material` VALUES ('1593165631308566528', '关于集中培训班班级管理须知', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/16101d77c063440ca15dcdac487f25fc.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:54:21', '1', '2022-11-17 16:54:21', '1585921029040115712', '1588074624426577920');
INSERT INTO `train_class_material` VALUES ('1593166616051453952', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:58:16', '1', '2022-11-17 16:58:16', '1593133878619541504', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1593166769953050624', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:58:52', '1', '2022-11-17 16:58:52', '1593074623937908736', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1593166861544067072', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-17 16:59:14', '1', '2022-11-17 16:59:14', '1593055771002802176', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1593498990723338240', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1561995446459699200', '李昊杰', '2022-11-18 14:59:00', '1561995446459699200', '2022-11-18 14:59:00', '1593497104381251584', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1593789013830012928', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1590543166828843008', '张磊', '2022-11-19 10:11:27', '1590543166828843008', '2022-11-19 10:11:27', '1593493864797310976', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594511285062602752', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1569970196410667008', '李露露', '2022-11-21 10:01:30', '1569970196410667008', '2022-11-21 10:01:30', '1594241800200130560', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594558557406236672', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1327473526785052672', '高志远', '2022-11-21 13:09:20', '1327473526785052672', '2022-11-21 13:09:20', '1594530952930004992', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594563280066711552', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1590543166828843008', '张磊', '2022-11-21 13:28:06', '1590543166828843008', '2022-11-21 13:28:06', '1594562352714485760', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594589248550473728', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1569970196410667008', '李露露', '2022-11-21 15:11:18', '1569970196410667008', '2022-11-21 15:11:18', '1594586018877673472', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594589299800674304', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1590648570632081408', '张芳芳', '2022-11-21 15:11:30', '1590648570632081408', '2022-11-21 15:11:30', '1594571954189373440', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594638369936248832', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1590543166828843008', '张磊', '2022-11-21 18:26:29', '1590543166828843008', '2022-11-21 18:26:29', '1594569101844549632', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1594638422167916544', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1590543166828843008', '张磊', '2022-11-21 18:26:41', '1590543166828843008', '2022-11-21 18:26:41', '1594523997104640000', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1595251179372285952', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-23 11:01:34', '1', '2022-11-23 11:01:34', '1594597850510135296', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1596347183781777408', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2022-11-26 11:36:42', '1', '2022-11-26 11:36:42', '1596346735863664640', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1597852121368236032', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1569970196410667008', '李露露', '2022-11-30 15:16:47', '1569970196410667008', '2022-11-30 15:16:47', '1597146387521343488', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1605048538616696832', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1327473526785052672', '高志远', '2022-12-20 11:52:47', '1327473526785052672', '2022-12-20 11:52:47', '1598521650104635392', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1610198275657437184', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1', '主宰', '2023-01-03 16:56:00', '1', '2023-01-03 16:56:00', '1610175794691313664', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1673179218911039488', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1327473526785052672', '高志远', '2023-06-26 11:59:47', '1327473526785052672', '2023-06-26 11:59:47', '1673178905432952832', '1588076776884670464');
INSERT INTO `train_class_material` VALUES ('1673179225856806912', '集中培训班班级管理制度', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/e1c7e26b9e724017b0a377b188244582.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1', '1', '1', '1327473526785052672', '高志远', '2023-06-26 11:59:48', '1327473526785052672', '2023-06-26 11:59:48', '1673178905432952832', '1588076776884670464');

-- ----------------------------
-- Table structure for train_class_notice
-- ----------------------------
DROP TABLE IF EXISTS `train_class_notice`;
CREATE TABLE `train_class_notice` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `content` varchar(300) DEFAULT NULL COMMENT '发布内容',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='班级通知公告';

-- ----------------------------
-- Records of train_class_notice
-- ----------------------------

-- ----------------------------
-- Table structure for train_class_notice_view
-- ----------------------------
DROP TABLE IF EXISTS `train_class_notice_view`;
CREATE TABLE `train_class_notice_view` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `view_time` datetime DEFAULT NULL COMMENT '浏览时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='班级通知公告浏览记录';

-- ----------------------------
-- Records of train_class_notice_view
-- ----------------------------
INSERT INTO `train_class_notice_view` VALUES ('1570382597605953536', '1570349627503415296', '1569928315261816832', '2022-09-16 14:21:10');
INSERT INTO `train_class_notice_view` VALUES ('1572058256132673536', '1571736395163242496', '1569928315261816832', '2022-09-20 11:19:01');
INSERT INTO `train_class_notice_view` VALUES ('1572842183638257664', '1572766217247264768', '1567337243285262336', '2022-09-22 14:56:13');
INSERT INTO `train_class_notice_view` VALUES ('1575326856616480768', '1575325299946688512', '1567097186544652288', '2022-09-29 13:45:39');
INSERT INTO `train_class_notice_view` VALUES ('1575366582857764864', '1575364705646678016', '1574653861665312768', '2022-09-29 14:24:45');
INSERT INTO `train_class_notice_view` VALUES ('1575371050521333760', '1575327504024080384', '1567097186544652288', '2022-09-29 14:25:02');
INSERT INTO `train_class_notice_view` VALUES ('1575417779283169280', '1575364705646678016', '1575324436016533504', '2022-09-29 17:30:49');
INSERT INTO `train_class_notice_view` VALUES ('1579379264376147968', '1579001547617079296', '1570254194114433024', '2022-10-12 09:20:07');
INSERT INTO `train_class_notice_view` VALUES ('1580114403020378112', '1580081304689577984', '1574656123775094784', '2022-10-12 16:33:25');
INSERT INTO `train_class_notice_view` VALUES ('1583357441221988352', '1583346873849221120', '1555010577007513600', '2022-10-21 15:43:23');
INSERT INTO `train_class_notice_view` VALUES ('1584446252941185024', '1583413010712629248', '1570252962423508992', '2022-10-24 15:26:39');
INSERT INTO `train_class_notice_view` VALUES ('1584806479779729408', '1583413010712629248', '1574653861665312768', '2022-10-25 15:23:26');
INSERT INTO `train_class_notice_view` VALUES ('1585463581569323008', '1585459813435969536', '1555010577007513600', '2022-10-27 10:49:09');
INSERT INTO `train_class_notice_view` VALUES ('1590612817483010048', '1590602024376995840', '1565939234546782208', '2022-11-10 15:50:22');
INSERT INTO `train_class_notice_view` VALUES ('1591974262141489152', '1591966612427247616', '1591967614425501696', '2022-11-14 10:00:16');
INSERT INTO `train_class_notice_view` VALUES ('1591999148125720576', '1591992260067725312', '1591967614425501696', '2022-11-14 11:47:58');
INSERT INTO `train_class_notice_view` VALUES ('1592001745863708672', '1591992260067725312', '1591989767631933440', '2022-11-14 16:41:24');
INSERT INTO `train_class_notice_view` VALUES ('1592028878673678336', '1592027379281301504', '1591989767631933440', '2022-11-14 16:39:31');
INSERT INTO `train_class_notice_view` VALUES ('1592032711684526080', '1591972857506828288', '1574653861665312768', '2022-11-14 16:39:54');
INSERT INTO `train_class_notice_view` VALUES ('1592061537688883200', '1592057692325810176', '1591967614425501696', '2022-11-14 15:47:04');
INSERT INTO `train_class_notice_view` VALUES ('1592069423383056384', '1592066677061849088', '1591967614425501696', '2022-11-14 16:18:24');
INSERT INTO `train_class_notice_view` VALUES ('1592074662181998592', '1592032895428595712', '1591989767631933440', '2022-11-14 16:41:53');
INSERT INTO `train_class_notice_view` VALUES ('1592074813004976128', '1592065253888364544', '1574653861665312768', '2022-11-14 16:39:49');
INSERT INTO `train_class_notice_view` VALUES ('1592393972968460288', '1585278127179960320', '1574653861665312768', '2022-11-15 13:48:03');
INSERT INTO `train_class_notice_view` VALUES ('1598553013616775168', '1598521650104635392', '1574653861665312768', '2022-12-02 13:41:53');
INSERT INTO `train_class_notice_view` VALUES ('1611206992276361216', '1610829322136981504', '1574653861665312768', '2023-01-06 11:44:16');
INSERT INTO `train_class_notice_view` VALUES ('1619891392593661952', '1619874679139471360', '1555010577007513600', '2023-01-30 10:52:59');
INSERT INTO `train_class_notice_view` VALUES ('1643895235060830208', '1640983724587880448', '1555010577007513600', '2023-04-06 16:35:41');

-- ----------------------------
-- Table structure for train_class_schedule
-- ----------------------------
DROP TABLE IF EXISTS `train_class_schedule`;
CREATE TABLE `train_class_schedule` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '集中培训班id',
  `type` varchar(20) DEFAULT NULL COMMENT '课程类型（数据字典）',
  `class_name` varchar(200) DEFAULT NULL COMMENT '课程内容',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师名',
  `space_id` bigint(20) DEFAULT NULL COMMENT '场地id',
  `use_date` date DEFAULT NULL COMMENT '使用日期',
  `use_start_time` datetime DEFAULT NULL COMMENT '使用开始时间',
  `use_end_time` datetime DEFAULT NULL COMMENT '使用结束时间',
  `space_name` varchar(200) DEFAULT NULL COMMENT '内部地址名字',
  `space_name_out` varchar(200) DEFAULT NULL COMMENT '外部地址名字',
  `space_type` int(2) DEFAULT NULL COMMENT '地址类型  1 内 2 外部',
  `type_id` varchar(200) DEFAULT NULL COMMENT '类型id',
  `teacher_type` int(2) DEFAULT NULL COMMENT '类型  1 内 2 外部',
  `trainer_name_out` varchar(200) DEFAULT NULL COMMENT '外部教师名字',
  `suplier_id` bigint(20) DEFAULT NULL COMMENT '供应商id',
  `suplier_name` varchar(200) DEFAULT NULL COMMENT '供应商名字',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班课程表';

-- ----------------------------
-- Records of train_class_schedule
-- ----------------------------
INSERT INTO `train_class_schedule` VALUES ('127050160366146136', '127050043999518848', '文体活动', '123', '1592037025505218560', '张晓慧', null, '2023-09-21', '2023-09-21 10:39:18', '2023-09-22 10:39:19', null, '123', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('128033135073637609', '127931103763926586', '普通授课', '理财入门', '1592055082256568320', '高志远', '1570609322549972992', '2023-09-27', '2023-09-27 14:00:34', '2023-09-27 16:00:43', '2楼会议室1002', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('130441970128382039', '130441652709239612', '普通授课', 'mysql数据库讲解', '1592055082256568320', '高志远', '1594986488129523712', '2023-09-26', '2023-09-26 08:00:05', '2023-09-26 10:00:11', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('130442228438315647', '130441652709239612', '普通授课', 'Oracle数据库讲解', '1592055082256568320', '高志远', '1594986488129523712', '2023-09-27', '2023-09-27 08:00:36', '2023-09-27 10:00:40', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1564138860613603328', '1564137571225833472', '普通授课', '测', null, '哇哇', '1564138623174053888', '2022-08-29', '2022-08-29 14:33:37', '2022-08-29 16:31:42', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1564459443465359360', '1564459315396481024', '普通授课', '1', null, '1', '1564138623174053888', '2022-08-30', '2022-08-30 11:45:53', '2022-08-30 11:45:56', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565900793645764608', '1565900402963124224', '开班典礼', '包v村11', '1565531038766206976', '外1', '1565538098622894080', null, null, null, 'A009', null, '1', '1303670515768102912', '2', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565901368676454400', '1565900402963124224', '开班典礼', '水水水水', '1555010737095708672', '周老师', null, null, null, null, null, '课程场地外', '2', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565906712316219392', '1565900402963124224', '开班典礼', '课程名称课程名称', '1565531038766206976', '外1', '1565538098622894080', '2022-09-03', '2022-09-03 11:36:49', '2022-09-29 11:36:51', 'A009', null, '1', '1303670515768102912', '2', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565909216965824512', '1565900402963124224', '开班典礼', '科航1211', null, '', null, '2022-09-22', '2022-09-22 11:47:01', null, '', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565909361765781504', '1565900402963124224', '互动教学', '校验码111', '1565531038766206976', '外1', '1565538098622894080', '2022-09-03', '2022-09-03 11:47:22', '2022-09-23 11:47:22', 'A009', null, '1', '1303670559304978432', '2', null, '98745622222', '北京供应商');
INSERT INTO `train_class_schedule` VALUES ('1565937769245708288', '1565937582964084736', '开班典礼', '课程111', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-01', '2022-10-01 13:40:07', '2022-10-07 18:40:11', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565939532711464960', '1565939382962229248', '开班典礼', '111111111111', '1565531038766206976', '外1', '1565538098622894080', '2022-09-03', '2022-09-03 13:47:18', '2022-09-30 13:47:18', 'A009', null, '1', '1303670515768102912', '2', null, '222222346545', '周口供应商');
INSERT INTO `train_class_schedule` VALUES ('1565940528242102272', '1565940349564751872', '文体活动', '试试', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-30', '2022-09-30 13:51:11', '2022-09-30 20:51:14', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565940972930600960', '1565940349564751872', '开班典礼', '涛涛涛', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 13:53:05', '2022-09-22 13:53:08', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565941723874594816', '1565940349564751872', '开班典礼', '撒士大夫 ', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 13:56:03', '2022-09-29 13:56:06', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565942808936845312', '1565942723528232960', '互动教学', '手动阀第三方', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 14:00:24', '2022-09-30 14:00:24', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565943036804993024', '1565942723528232960', '开班典礼', '呵呵222', '1565531038766206976', '外1', null, '2022-09-09', '2022-09-09 14:01:07', '2022-09-30 14:01:10', null, '二恶热', '2', '1303670515768102912', '2', null, '98745622222', '北京供应商');
INSERT INTO `train_class_schedule` VALUES ('1565943672288186368', '1565942723528232960', '互动教学', '33333', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 14:45:45', '2022-09-23 14:03:47', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565951815105777664', '1565951743710334976', '普通授课', '2342', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 14:36:14', '2022-09-29 14:36:14', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565952043519184896', '1565951975739232256', '分组座谈', '士大夫打撒', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 14:37:09', '2022-09-30 14:37:09', 'A009', null, '1', '1303670608965537792', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565952265578221568', '1565951975739232256', '开班典礼', '大水发', '1555010737095708672', '周老师', '1565538098622894080', null, null, null, 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565952452946169856', '1565952399884029952', '文体活动', '22', '1555010737095708672', '周老师', '1565538098622894080', null, null, null, 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565952780676501504', '1565952399884029952', '开班典礼', '撒旦发生', '1555010737095708672', '周老师', '1565538098622894080', null, null, null, 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565953631759503360', '1565953576021397504', '开班典礼', '士大夫撒旦', '1555010737095708672', '周老师', '1565538098622894080', null, null, null, 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565958546774953984', '1565958475354345472', '文体活动', 'asdf', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 15:02:56', null, 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565960321192038400', '1565960277839712256', '普通授课', 'sda', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565960718535233536', '1565960678190223360', '普通授课', '3214', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565961253715841024', '1565960678190223360', '普通授课', 'ewrqwer', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565961846287110144', '1565961800267206656', '普通授课', '324', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565963767932653568', '1565963704653189120', '普通授课', '热污染', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565964347266699264', '1565963704653189120', '文体活动', '1324', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565968265241563136', '1565968198954782720', '普通授课', '你好', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565971693661458432', '1565968198954782720', '普通授课', 'qwerqwer', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565973377527713792', '1565973286607785984', '文体活动', '课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-03', '2022-09-03 16:01:51', '2022-09-23 16:01:53', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565976884884410368', '1565976333622841344', '文体活动', '试试', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 16:14:39', '2022-09-30 16:14:42', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1565986419493703680', '1565978194325147648', '开班典礼', '测试2333', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-03', '2022-09-03 16:53:40', '2022-09-24 16:53:40', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566002514401300480', '1566002447514734592', '文体活动', '测', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-03', '2022-09-03 17:57:40', '2022-09-29 17:57:42', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566002660925116416', '1566002447514734592', '普通授课', '日日日 ', '1565531038766206976', '外1', null, '2022-09-22', '2022-09-22 17:58:07', '2022-09-30 17:58:09', null, '日日日', '2', '1303670472780681216', '2', null, '98745622222', '北京供应商');
INSERT INTO `train_class_schedule` VALUES ('1566003460657254400', '1566003404646518784', '文体活动', '是', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-24', '2022-09-24 18:01:26', '2022-09-30 18:01:27', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566604525517803520', '1566604286161457152', '普通授课', '培训测试aaasssss', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 09:00:32', '2022-09-06 11:45:39', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566605527046295552', '1566604773296312320', '文体活动', '测试qqqwwww', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 09:00:39', '2022-09-06 11:30:44', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566609210228215808', '1566609063050088448', '普通授课', '测试aaaaaassssss', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 09:00:14', '2022-09-06 11:30:20', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566609398699266048', '1566609354004762624', '文体活动', '放纷纷', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566610993176514560', '1566610857247510528', '普通授课', 'aassss', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 09:00:17', '2022-09-06 11:30:26', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566696405819592704', '1566696285166243840', '', '', null, '', null, null, null, null, '', null, '1', '', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566710847617765376', '1566707174724472832', '文体活动', '测试课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 16:52:25', null, 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566717672056557568', '1566717238009008128', '普通授课', '课程123', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-05', '2022-09-05 17:19:25', '2022-09-01 17:19:27', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566718816472403968', '1566718730635972608', '文体活动', '测试课程2222', '1555010737095708672', '周老师', '1564138623174053888', null, null, null, 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566720895215603712', '1566720694706900992', '普通授课', '22223', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-17', '2022-09-17 17:32:17', '2022-09-08 17:32:19', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566723090120052736', '1566720694706900992', '普通授课', '12345', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-05', '2022-09-05 17:41:00', '2022-09-17 17:41:01', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566723146629910528', '1566720694706900992', '普通授课', '2345', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 17:41:13', '2022-09-01 17:41:15', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566723246022332416', '1566720694706900992', '普通授课', '4352345', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-05', '2022-09-05 17:41:38', '2022-09-16 17:41:39', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566723446090633216', '1566720694706900992', '普通授课', '4235', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-16', '2022-09-16 17:42:23', '2022-09-02 17:42:24', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566723570841817088', '1566720694706900992', '普通授课', '认为他', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-01', '2022-09-01 17:42:53', '2022-09-09 17:42:55', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566724199521849344', '1566723654019059712', '普通授课', '3452354', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-03', '2022-09-03 17:45:12', '2022-09-09 17:45:14', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1566996512158912512', '1566977138358358016', '普通授课', '测试课程1', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 11:47:29', '2022-09-16 11:47:31', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567022639820705792', '1566991990904721408', '普通授课', '测试课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 13:31:18', '2022-09-23 13:31:20', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567038077187264512', '1567038013823913984', '普通授课', '5636', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 14:32:39', '2022-09-16 14:32:41', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567040492561108992', '1567040436965609472', '普通授课', '787878', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 14:42:15', '2022-09-08 14:42:17', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567041052643299328', '1567040859571097600', '普通授课', '134', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 14:44:28', '2022-09-16 14:44:30', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567072166393024512', '1567042511183155200', '普通授课', '测', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-06', '2022-09-06 16:48:05', '2022-09-16 16:48:08', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567072442810241024', '1567072385281167360', '普通授课', '3②台湾', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-05', '2022-09-05 16:49:12', '2022-09-15 16:49:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567352259845689344', '1567352159291445248', '开班典礼', '金额超过和报告1', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 11:21:03', '2022-09-30 11:21:06', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567353704305266688', '1567353659631734784', '普通授课', '34', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 11:26:51', '2022-09-24 11:26:53', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567355035359252480', '1567354977431719936', '普通授课', '请问 ', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 11:32:08', '2022-09-15 11:32:10', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567355373130747904', '1567355270907170816', '互动教学', '324324', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-07', '2022-09-07 11:33:27', '2022-09-23 11:33:29', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567356587801186304', '1567356534881652736', '普通授课', '111', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 11:38:17', '2022-09-30 11:38:19', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1567397766102126592', '1567397705725120512', '文体活动', '0907测试结算001', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 14:21:54', '2022-09-30 14:21:57', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1568111297818660864', '1567813857320243200', '普通授课', '测试课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-09', '2022-09-09 13:37:15', '2022-09-16 13:37:16', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1569509669871947776', '1569503258286886912', '普通授课', '测试课程20220913', '1565531038766206976', '外1', '1564138623174053888', '2022-09-12', '2022-09-12 10:13:45', '2022-09-15 10:13:48', 'A008', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1569631098865061888', '1569630027946004480', '互动教学', '123', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-13', '2022-09-13 18:15:48', '2022-09-21 01:30:55', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1569633517715984384', '1569633211422740480', '文体活动', '2022年内训师评选', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-14', '2022-09-14 08:00:13', '2022-09-15 18:30:32', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1569884337657221120', '1569884248276602880', '文体活动', '2022年课程表', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-14', '2022-09-14 11:02:36', '2022-09-14 14:02:39', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1569939550573301760', '1569938643886411776', '互动教学', '课程表1', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-14', '2022-09-14 14:39:25', '2022-09-14 15:30:20', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1569954948588900352', '1569954857891270656', '文体活动', '课表1', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-14', '2022-09-14 15:43:13', '2022-09-15 15:43:16', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1569961170939547648', '1569961112236068864', '文体活动', '2222', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-14', '2022-09-14 16:07:57', '2022-09-30 16:08:00', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570226136473014272', '1570226030914965504', '普通授课', '高中英语', '1555010737095708672', '周老师', '1567767144270270464', '2022-09-15', '2022-09-15 09:40:50', '2022-09-16 09:40:52', '郑州1001', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570232383758798848', '1570226030914965504', '文体活动', '语文', '1555010737095708672', '周老师', null, '2022-09-15', '2022-09-15 10:05:13', '2022-09-16 10:05:15', null, '培训中心外501号院', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570233288159793152', '1570226030914965504', '普通授课', '32', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 10:09:18', '2022-09-16 10:09:20', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570233351162433536', '1570226030914965504', '普通授课', '英语一', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 10:09:30', '2022-09-17 10:09:32', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570233437187608576', '1570226030914965504', '普通授课', '3232323243534', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-12', '2022-09-12 10:09:54', '2022-09-15 10:09:57', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570233482356068352', '1570226030914965504', '普通授课', '英语二', '1570236817620471808', '李老师001', '1564138623174053888', '2022-09-14', '2022-09-14 10:10:05', '2022-09-16 10:10:07', 'A008', null, '1', '1303670472780681216', '2', null, '1570246814479814656', '郑州金水区供应商001');
INSERT INTO `train_class_schedule` VALUES ('1570250975426514944', '1570250910679044096', '文体活动', '11', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 11:19:33', '2022-09-29 11:19:35', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570297670742970368', '1570297537271828480', '普通授课', '课程一', '1555010737095708672', '周老师', '1567767144270270464', '2022-09-15', '2022-09-15 14:24:53', '2022-09-15 23:24:57', '郑州1001', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570298409347321856', '1570297537271828480', '开班典礼', '课程二', '1570236817620471808', '李老师001', '1567767144270270464', '2022-09-16', '2022-09-16 14:27:55', '2022-09-16 23:27:57', '郑州1001', null, '1', '1303670515768102912', '2', null, '1570246814479814656', '郑州金水区供应商001');
INSERT INTO `train_class_schedule` VALUES ('1570314445886984192', '1570314392527048704', '普通授课', '手上', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 15:31:46', '2022-09-30 15:31:48', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570329333111853056', '1570329270365065216', '普通授课', '测试', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-14', '2022-09-14 16:30:54', '2022-09-24 16:30:55', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570337354982494208', '1570335942680645632', '普通授课', '1', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 17:02:28', '2022-09-24 17:02:30', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570337419742547968', '1570335942680645632', '普通授课', '2', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 17:02:59', '2022-09-15 17:03:01', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570344792813080576', '1570344722680123392', '文体活动', '测试课程以', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-13', '2022-09-13 17:32:18', '2022-09-16 17:32:22', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570348330070970368', '1570348192174837760', '普通授课', '叽叽叽叽', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 17:46:21', '2022-09-15 17:46:26', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570349678791364608', '1570349627503415296', '普通授课', '5', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 17:51:47', '2022-09-16 17:51:48', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570351092884180992', '1570351035338330112', '文体活动', '是', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-15', '2022-09-15 17:57:22', '2022-09-17 17:57:25', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570584471206498304', '1570339436661706752', '普通授课', 'errrrr', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-16', '2022-09-16 09:24:39', '2022-09-23 09:24:39', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570584725586841600', '1570339436661706752', '开班典礼', 'gggg', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-16', '2022-09-16 09:25:40', '2022-09-23 09:25:42', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1570649410445119488', '1570339435038511104', '普通授课', 'sssddd', '1567338866929700864', '本地1', '1564138623174053888', '2022-09-16', '2022-09-16 13:42:48', '2022-09-17 13:42:49', 'A008', null, '1', '1303670472780681216', '2', null, '222222346545', '周口供应商');
INSERT INTO `train_class_schedule` VALUES ('1570693860273819648', '1570693801251573760', '文体活动', 'ss ', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-16', '2022-09-16 16:39:24', '2022-09-30 16:39:25', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1571700742752964608', '1571700501903446016', '文体活动', 'sss', '1567338866929700864', '本地1', null, '2022-09-19', '2022-09-19 11:19:42', '2022-09-24 11:19:44', null, 'dd', '2', '1303670771951996928', '2', null, '222222346545', '周口供应商');
INSERT INTO `train_class_schedule` VALUES ('1571736800504975360', '1571736395163242496', '文体活动', 'ddd', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-19', '2022-09-19 13:43:38', '2022-09-30 13:43:40', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1571748908638539776', '1571748491305291776', '文体活动', 'sss', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-19', '2022-09-19 14:31:47', '2022-09-29 14:31:49', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1571752533767098368', '1571748491305291776', '文体活动', 's33', '1555010737095708672', '周老师', '1570609322549972992', '2022-09-02', '2022-09-02 14:46:10', '2022-09-29 14:46:13', '2楼会议室1002', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572103485791539200', '1572103420964376576', '文体活动', '七七七', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-20', '2022-09-20 14:00:46', '2022-09-30 14:00:48', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572146703476330496', '1572146637869027328', '普通授课', '1', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 16:52:31', '2022-09-23 16:52:33', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572161441048432640', '1572161388133093376', '文体活动', '撒旦撒', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-20', '2022-09-20 17:51:03', '2022-09-30 17:51:05', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572403462937907200', '1572032863921115136', '普通授课', '1234', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-14', '2022-09-14 09:52:43', '2022-09-23 09:52:45', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572406401022693376', '1572406044859174912', '普通授课', '数学课', '1567338866929700864', '本地1', '1564138623174053888', '2022-09-21', '2022-09-21 13:00:43', '2022-09-21 15:03:57', 'A008', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1572406672146698240', '1572406044859174912', '普通授课', '化学课', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:00:07', '2022-09-21 18:00:15', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572410409095401472', '1572408168884080640', '开班典礼', '学员报到', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 10:11:38', '2022-09-22 10:13:47', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572417198243319808', '1571698237209972736', '普通授课', '123', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-07', '2022-09-07 10:47:18', '2022-09-23 10:47:21', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572463188023316480', '1572408168884080640', '开班典礼', '开班典礼', '1570236817620471808', '李老师001', null, '2022-09-21', '2022-09-21 13:00:20', '2022-09-22 13:30:24', null, '金水区放松放松的风格是懂法守法三法第三方三房', '2', '1303670515768102912', '2', null, '1570246814479814656', '郑州金水区供应商00155');
INSERT INTO `train_class_schedule` VALUES ('1572508124621967360', '1572508066103037952', '文体活动', '搜索', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 16:48:38', '2022-09-30 16:48:40', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572509634395246592', '1572509569505169408', '普通授课', '大跌', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 16:54:38', '2022-09-30 16:54:41', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572510876731314176', '1572510819634253824', '普通授课', '试试试', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 16:59:35', '2022-09-30 16:59:36', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572513256373882880', '1572513200975515648', '文体活动', '测试审核===》003', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 17:09:01', '2022-09-30 17:09:04', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572513679507853312', '1572513625858510848', '文体活动', '测试审核===》一个人', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 17:10:43', '2022-09-30 17:10:45', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572514186603401216', '1571698237209972736', '普通授课', 'asdf', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 17:12:25', '2022-09-21 19:45:28', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572515205370482688', '1572515153289809920', '开班典礼', '搜索', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:16:48', '2022-09-30 17:16:49', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572518418979098624', '1572518361621991424', '文体活动', '搜索是', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:29:34', '2022-09-30 17:29:35', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572520085971668992', '1572520001989120000', '文体活动', '搜索', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:36:11', '2022-09-30 17:36:13', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572520983443673088', '1572520923607732224', '文体活动', '搜索', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:39:45', '2022-09-30 17:39:46', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572766561914195968', '1572766217247264768', '普通授课', '测试签到', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 10:45:27', '2022-09-22 12:00:56', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572766751467376640', '1572766217247264768', '普通授课', '测试签到2', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 13:00:07', '2022-09-22 17:00:14', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572776794455674880', '1572776695600123904', '普通授课', '课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 10:36:10', '2022-09-30 10:36:12', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572796250804326400', '1572796033749094400', '普通授课', '上午课1', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-23', '2022-09-23 07:00:04', '2022-09-23 08:30:20', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572796404848529408', '1572796033749094400', '普通授课', '上午课2', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-23', '2022-09-23 09:00:51', '2022-09-23 11:00:00', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572796606032515072', '1572796033749094400', '普通授课', '下午1', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-23', '2022-09-23 13:00:00', '2022-09-23 14:00:00', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572796717022187520', '1572796033749094400', '普通授课', '下午2', '1555010737095708672', '周老师', '1567767144270270464', '2022-09-23', '2022-09-23 15:00:00', '2022-09-23 17:00:00', '郑州1001', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572796822315995136', '1572796033749094400', '普通授课', '晚上', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-23', '2022-09-23 19:00:00', '2022-09-23 20:00:00', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572797511935070208', '1572797449381220352', '普通授课', '新课教学', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-14', '2022-09-14 11:58:34', '2022-09-23 11:58:36', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572825058055950336', '1572824712692764672', '普通授课', '测试课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 14:00:12', '2022-09-22 15:00:23', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572828020249595904', '1572797449381220352', '普通授课', '新课教学', '1570236817620471808', '李老师001', '1564138623174053888', '2022-09-16', '2022-09-16 13:58:00', '2022-09-23 13:58:01', 'A008', null, '1', '1303670472780681216', '2', null, '1570246814479814656', '郑州金水区供应商00155');
INSERT INTO `train_class_schedule` VALUES ('1572835882686353408', '1572824712692764672', '文体活动', '课程1', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-22', '2022-09-22 14:30:52', '2022-09-22 14:30:54', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572840792421175296', '1572840721512271872', '文体活动', '123', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 14:50:31', '2022-09-25 14:50:33', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572865415141527552', '1572842240676597760', '普通授课', '开班典礼', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 16:28:23', '2022-09-23 16:28:25', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572869902560268288', '1572869789519581184', '普通授课', 'bencei', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 16:46:04', '2022-09-23 16:46:06', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572870786803437568', '1572870717807136768', '普通授课', '复古百搭复古风大港不好', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 16:49:45', '2022-09-23 16:49:47', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572870788162392064', '1572870717807136768', '普通授课', '复古百搭复古风大港不好', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 16:49:45', '2022-09-23 16:49:47', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572875031531360256', '1572874824055918592', '普通授课', '撒撒撒', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:06:35', '2022-09-29 17:06:37', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572875728964423680', '1572875655060787200', '普通授课', '刚回家看他很健康', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-21', '2022-09-21 17:09:24', '2022-09-23 17:09:25', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572876413420310528', '1572876333464293376', '文体活动', 'ghjnmghj ', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 17:12:08', '2022-09-24 17:12:09', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572876957803220992', '1572876886546190336', '普通授课', '78iol9i', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-23', '2022-09-23 17:14:15', '2022-09-24 17:14:17', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572877682876747776', '1572877572822405120', '文体活动', 'tyujtyujky', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-21', '2022-09-21 17:17:09', '2022-09-24 17:17:11', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572878486689943552', '1572878373611507712', '文体活动', '6 tyhjrtjrtjgjrhjrgy', '1555010737095708672', '周老师', '1564138623174053888', '2023-08-17', '2023-08-17 17:20:09', '2023-09-24 17:20:18', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572879008692047872', '1572878780698071040', '文体活动', '集中培训班', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-23', '2022-09-23 08:00:05', '2022-09-23 09:00:16', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572879282613653504', '1572879202766688256', '普通授课', 'rfyhrtyht', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-22', '2022-09-22 17:23:31', '2022-09-23 17:23:33', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572880001861292032', '1572879924723847168', '普通授课', '6ytu', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 17:26:22', '2022-09-23 17:26:25', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572883270809554944', '1572883200882118656', '普通授课', '儿童个人太', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-08', '2022-09-08 17:39:20', '2022-09-30 17:39:22', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572885247106879488', '1572885174935490560', '文体活动', 'ertgert', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 17:47:12', '2022-09-23 17:47:15', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572885673881505792', '1572885613240258560', '文体活动', 'tyuktyuk', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-22', '2022-09-22 17:48:55', '2022-09-24 17:48:57', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572887431114526720', '1572887280887140352', '互动教学', '课程内容1', '1570236817620471808', '李老师001', '1565538098622894080', '2022-09-22', '2022-09-22 17:55:38', '2022-09-23 17:55:41', 'A009', null, '1', '1303670559304978432', '2', null, '222222346545', '周口供应商');
INSERT INTO `train_class_schedule` VALUES ('1572887596177166336', '1572887280887140352', '班级测验', '我的课程表', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-25', '2022-09-25 17:56:11', '2022-09-26 17:56:13', 'A009', null, '1', '1303670652116537344', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1572889574944935936', '1572889486155714560', '文体活动', '去啊点钱微风', '1555010737095708672', '周老师', null, '2022-09-22', '2022-09-22 18:04:22', '2022-09-23 18:04:24', null, '大是大非上的', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1573151643812368384', '1573151458042449920', '开班典礼', '学员报到', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-23', '2022-09-23 11:25:39', '2022-09-23 11:45:43', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1573151766336376832', '1573151458042449920', '开班典礼', '开班典礼', '1570236817620471808', '李老师001', '1564138623174053888', '2022-09-23', '2022-09-23 11:26:05', '2022-09-23 11:45:07', 'A008', null, '1', '1303670515768102912', '2', null, '1572853287001133056', '杨金路001');
INSERT INTO `train_class_schedule` VALUES ('1574243342252904448', '1574243202679050240', '普通授课', 'aaaaa', '1570236817620471808', '李老师001', '1565538098622894080', '2022-09-26', '2022-09-26 11:43:45', '2022-09-30 11:43:50', 'A009', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1574243470875430912', '1574243202679050240', '普通授课', 'bbbb', '1567338866929700864', '本地1', '1564138623174053888', '2022-09-27', '2022-09-27 11:44:03', '2022-09-28 11:44:06', 'A008', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1574245011187437568', '1574244875245850624', '普通授课', 'eee', '1570236817620471808', '李老师001', '1564138623174053888', '2022-09-26', '2022-09-26 11:50:28', '2022-09-27 11:50:28', 'A008', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1574245106528161792', '1574244875245850624', '普通授课', 'ttt', '1567338866929700864', '本地1', '1564138623174053888', '2022-09-26', '2022-09-26 11:50:50', '2022-09-27 11:50:50', 'A008', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1574650638871171072', '1574650579148476416', '普通授课', '342', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-27', '2022-09-27 14:42:14', '2022-09-28 14:42:15', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1574668997704683520', '1574668938376253440', '普通授课', '234', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-26', '2022-09-26 15:55:11', '2022-09-29 15:55:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1574673910971109376', '1574673833242267648', '文体活动', '测试', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-26', '2022-09-26 16:14:40', '2022-09-28 16:14:44', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1574688426530312192', '1574688374713880576', '互动教学', '撒旦发生', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-27', '2022-09-27 17:12:24', '2022-09-30 17:12:26', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1574998047287545856', '1574679042467172352', '普通授课', '1', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-27', '2022-09-27 13:42:42', '2022-09-29 13:42:44', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1574999171621064704', '1574690990105694208', '普通授课', '134', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-27', '2022-09-27 13:47:10', '2022-09-29 13:47:11', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575322944933072896', '1575322855934136320', '普通授课', '测试课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-28', '2022-09-28 11:13:42', '2022-09-30 11:13:46', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575325460810829824', '1575325299946688512', '文体活动', '第一节课', '1555010737095708672', '周老师', '1567767144270270464', '2022-09-29', '2022-09-29 11:23:32', '2022-09-29 12:23:35', '郑州1001', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575325600896389120', '1575325299946688512', '互动教学', '第二节课', '1570236817620471808', '李老师001', '1564138623174053888', '2022-09-29', '2022-09-29 14:00:00', '2022-09-29 16:00:07', 'A008', null, '1', '1303670559304978432', '2', null, '222222346545', '周口供应商');
INSERT INTO `train_class_schedule` VALUES ('1575327738078826496', '1575327504024080384', '开班典礼', '第一节课', '1567338866929700864', '本地1', null, '2022-09-29', '2022-09-29 11:32:08', '2022-09-29 12:45:11', null, '3楼会议室', '2', '1303670515768102912', '2', null, '98745622222', '北京供应商22');
INSERT INTO `train_class_schedule` VALUES ('1575364877017550848', '1575364705646678016', '普通授课', '第一课', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-29', '2022-09-29 14:00:01', '2022-09-29 15:00:03', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575364993979912192', '1575364705646678016', '开班典礼', '第二课', '1570236961212469248', '李老师02', null, '2022-09-29', '2022-09-29 16:00:45', '2022-09-29 17:00:49', null, '健康路105号', '2', '1303670515768102912', '2', null, '1570246814479814656', '郑州金水区供应商001');
INSERT INTO `train_class_schedule` VALUES ('1575399278002704384', '1575324406564130816', '文体活动', 'hyf', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-15', '2022-09-15 16:16:45', '2022-09-29 16:16:47', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575407586944094208', '1575407526655168512', '普通授课', '15', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-29', '2022-09-29 16:50:06', '2022-09-29 16:50:07', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575429082504630272', '1575429026724581376', '普通授课', '123', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-29', '2022-09-29 18:15:31', '2022-09-29 18:15:32', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575679772644741120', '1575679697537339392', '文体活动', '大水发撒', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-29', '2022-09-29 10:51:40', '2022-09-30 10:51:41', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575685859896856576', '1575685803575742464', '普通授课', '2342', '1555010737095708672', '周老师', '1565538098622894080', '2022-09-29', '2022-09-29 11:15:50', '2022-09-30 11:15:51', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1575692028757544960', '1575691944053575680', '文体活动', '3333', '1555010737095708672', '周老师', '1564138623174053888', '2022-09-28', '2022-09-28 11:40:13', '2022-09-30 11:40:15', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1578925187435466752', '1578925079021096960', '普通授课', '连解释的', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-09', '2022-10-09 09:47:43', '2022-10-27 09:47:46', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579011208068075520', '1579001547617079296', '普通授课', '英语', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-09', '2022-10-09 15:29:36', '2022-10-10 15:29:38', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579282695022841856', '1579281614876315648', '文体活动', '看坎坎坷坷', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-10', '2022-10-10 09:28:19', '2022-10-22 09:28:21', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579283168882724864', '1579283027245273088', '普通授课', '全不选', '1567338866929700864', '本地1', '1565538098622894080', '2022-10-10', '2022-10-10 09:30:07', '2022-10-23 09:30:09', 'A009', null, '1', '1303670472780681216', '2', null, '12345679899', '郑州供应商1');
INSERT INTO `train_class_schedule` VALUES ('1579283889938108416', '1579283811680784384', '分组座谈', '涩娃儿呃', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-10', '2022-10-10 09:33:05', '2022-10-22 09:33:07', 'A009', null, '1', '1303670608965537792', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579284556211687424', '1579284493464899584', '文体活动', '饿434', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-10', '2022-10-10 09:35:45', '2022-10-22 09:35:47', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579341156754526208', '1579001547617079296', '分组座谈', '外聘讲师课堂', '1570236961212469248', '李老师02', '1567767144270270464', '2022-10-10', '2022-10-10 13:20:36', '2022-10-10 14:20:01', '郑州1001', null, '1', '1303670608965537792', '2', null, '1570246814479814656', '郑州金水区供应商001');
INSERT INTO `train_class_schedule` VALUES ('1579359931667189760', '1579359154106142720', '普通授课', 'dsssadasd', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-11', '2022-10-11 14:35:06', '2022-10-11 15:45:07', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579654846959718400', '1579654776772235264', '普通授课', 'hhhhhh', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-11', '2022-10-11 10:07:09', '2022-10-20 10:07:11', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579712970139766784', '1579712896307433472', '普通授课', 'sdfgrs', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-11', '2022-10-11 13:58:07', '2022-10-27 13:58:09', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579713788322648064', '1579713717669597184', '普通授课', 'koko', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-11', '2022-10-11 14:01:23', '2022-10-20 14:01:25', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579714697509343232', '1579714620262846464', '普通授课', 'ggggg', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-11', '2022-10-11 14:04:58', '2022-10-27 14:04:59', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579716227981512704', '1579716155344556032', '普通授课', 'sadcasdcf', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-11', '2022-10-11 14:11:04', '2022-10-27 14:11:06', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1579723511948251136', '1579723260835270656', '文体活动', '10月份第一节课', '1570236817620471808', '李老师001', '1565538098622894080', '2022-10-11', '2022-10-11 14:39:41', '2022-10-11 15:39:43', 'A009', null, '1', '1303670771951996928', '2', null, '98745622222', '北京供应商22');
INSERT INTO `train_class_schedule` VALUES ('1579763761080832000', '1579763183424507904', '开班典礼', '课程名称', '1570236817620471808', '李老师001', '1565538098622894080', '2022-10-11', '2022-10-11 17:17:58', '2022-10-11 19:18:00', 'A009', null, '1', '1303670515768102912', '2', null, '1570589823574609920', '2231166');
INSERT INTO `train_class_schedule` VALUES ('1580011237016735744', '1575044677126721536', '普通授课', '11', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-14', '2022-10-14 09:43:09', '2022-10-15 09:43:11', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580034990861848576', '1579760602010750976', '文体活动', '111', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-12', '2022-10-12 11:17:38', '2022-10-12 13:17:40', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580075339177136128', '1580069013080379392', '普通授课', '2134', '1567338866929700864', '本地1', '1564138623174053888', '2022-10-11', '2022-10-11 13:57:44', '2022-10-20 13:57:50', 'A008', null, '1', '1303670472780681216', '2', null, '1580075100462518272', '1357');
INSERT INTO `train_class_schedule` VALUES ('1580081379478212608', '1580081304689577984', '普通授课', '开学第一课', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-12', '2022-10-12 14:22:02', '2022-10-14 14:22:04', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580091462438227968', '1580091399771131904', '开班典礼', '第一课', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-12', '2022-10-12 15:02:08', '2022-10-12 15:02:10', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580091519103275008', '1580091399771131904', '文体活动', '第二课', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-13', '2022-10-13 15:02:21', '2022-10-13 15:02:23', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580091660413571072', '1580091399771131904', '分组座谈', '第三课', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-15', '2022-10-15 15:02:54', '2022-10-15 15:02:56', 'A009', null, '1', '1303670608965537792', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580097227509075968', '1580097115676348416', '开班典礼', '新增课程', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-12', '2022-10-12 15:25:01', '2022-10-30 15:25:03', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580105093544546304', '1580105008492449792', '文体活动', 'dsdd', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-12', '2022-10-12 15:56:18', '2022-10-29 15:56:20', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580431533859278848', '1580431304107888640', '普通授课', '第一节公开课', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-13', '2022-10-13 13:33:19', '2022-10-13 13:50:00', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580448070791991296', '1580447986499063808', '普通授课', 'Java', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-13', '2022-10-13 14:39:11', '2022-10-14 14:39:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580454872447324160', '1580454783322558464', '普通授课', '外部培训01', '1570236961212469248', '李老师02', '1564138623174053888', '2022-10-13', '2022-10-13 15:06:08', '2022-10-14 15:06:10', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1580789909424312320', '1580770390802829312', '普通授课', '10-14课程10-14课程10-14课', '1567337225455276032', '郑州李讲师', null, '2022-10-14', '2022-10-14 13:17:08', '2022-10-14 15:17:00', null, '金水区杨金路', '2', '1303670472780681216', '2', null, '1572853721715576832', '郑州市级供应商001');
INSERT INTO `train_class_schedule` VALUES ('1580793706649358336', '1580770390802829312', '文体活动', '10-14第二课', '1567337225455276032', '郑州李讲师', '1570609322549972992', '2022-10-14', '2022-10-14 13:32:23', '2022-10-14 14:32:01', '2楼会议室1002', null, '1', '1303670771951996928', '2', null, '1572853721715576832', '郑州市级供应商001');
INSERT INTO `train_class_schedule` VALUES ('1580803835155320832', '1580803715470856192', '普通授课', '培训外的课程', '1555010737095708672', '周老师', null, '2022-10-14', '2022-10-14 14:12:45', '2022-10-15 14:12:47', null, '外地', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580804060557217792', '1580803715470856192', '普通授课', '培训中心内的课程', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-14', '2022-10-14 14:13:09', '2022-10-30 14:13:43', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580813028318908416', '1580812952192290816', '普通授课', '外', '1555010737095708672', '周老师', null, '2022-10-14', '2022-10-14 14:49:18', '2022-10-23 14:49:20', null, '歪歪哇哇哇哇哇哇哇哇哇哇哇哇哇哇', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580813092491759616', '1580812952192290816', '普通授课', '内', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-14', '2022-10-14 14:49:37', '2022-10-30 14:49:38', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580821840392228864', '1580821763359641600', '文体活动', '外', '1555010737095708672', '周老师', null, '2022-10-14', '2022-10-14 15:24:19', '2022-10-30 15:24:20', null, '嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1580821902790889472', '1580821763359641600', '文体活动', '内', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-14', '2022-10-14 15:24:38', '2022-10-30 15:24:39', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1581920140138778624', '1581920070244896768', '普通授课', 'dfdsa', '1555010737095708672', '周老师', '1565538098622894080', '2022-10-17', '2022-10-17 16:08:35', '2022-10-31 16:08:37', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1581922619966492672', '1581922527133962240', '普通授课', 'dsfdsf', '1555010737095708672', '周老师', '1564138623174053888', '2022-10-17', '2022-10-17 16:18:21', '2022-10-31 16:18:23', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1582675866230591488', '1582675574806155264', '普通授课', '开学第一课开学第一课开学第一课开学第一课', '1582662126324027392', '李老师', null, '2022-10-19', '2022-10-19 18:00:14', '2022-10-19 18:15:18', null, '第二阶梯第二阶梯第二阶梯第二阶梯第二阶梯第二阶梯教室内', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1582686323762925568', '1582686163125276672', '普通授课', '第二期02', '1582662126324027392', '李老师', null, '2022-10-19', '2022-10-19 18:00:59', '2022-10-19 20:15:03', null, '阶梯教室002', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583293419411869696', '1583293356560224256', '普通授课', '1', '1582662126324027392', '李老师', '1564138623174053888', '2022-10-20', '2022-10-20 11:05:34', '2022-10-22 11:05:35', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583302466919862272', '1583297332093521920', '普通授课', '1', '1582662126324027392', '李老师', '1564138623174053888', '2022-10-20', '2022-10-20 11:41:32', '2022-10-22 11:41:33', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583313905688645632', '1583289626242715648', '普通授课', '1', '1582662126324027392', '李老师', '1564138623174053888', '2022-10-20', '2022-10-20 12:26:58', '2022-10-22 12:27:00', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583331281234694144', '1583317513494728704', '普通授课', '金融讲学新课开讲', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-10-21', '2022-10-21 13:35:58', '2022-10-21 13:46:00', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583348171965337600', '1583346873849221120', '文体活动', '课程表1', '1582666858753036288', '陆老师勿用', '1567767144270270464', '2022-10-21', '2022-10-21 14:42:53', '2022-10-21 15:42:55', '郑州1001', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583348291817574400', '1583346873849221120', '开班典礼', '课程表2', '1583286950952046592', '省老师', '1567767144270270464', '2022-10-21', '2022-10-21 16:43:25', '2022-10-21 17:43:30', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583369361178103808', '1583369261261393920', '开班典礼', 'erwerw', '1570236961212469248', '李老师02', '1565538098622894080', '2022-10-21', '2022-10-21 16:07:19', '2022-10-30 16:07:21', 'A009', null, '1', '1303670515768102912', '2', null, '1582646957980127232', '省级高级供应商');
INSERT INTO `train_class_schedule` VALUES ('1583373169232842752', '1583372859424772096', '互动教学', 'ceshi ', '1583286950952046592', '省老师', '1565538098622894080', '2022-10-21', '2022-10-21 16:22:24', '2022-10-31 16:22:26', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583377629938061312', '1583377571393966080', '文体活动', 'dsfas', '1583286950952046592', '省老师', '1564138623174053888', '2022-10-21', '2022-10-21 16:40:11', '2022-10-31 16:40:12', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583392217345691648', '1583392110638403584', '普通授课', '1001课程', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-10-21', '2022-10-21 17:38:09', '2022-10-21 17:45:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583683488178114560', '1583683407156744192', '参观教学', '测试', '1583286950952046592', '省老师', '1565538098622894080', '2022-10-22', '2022-10-22 12:55:31', '2022-10-29 12:55:33', 'A009', null, '1', '1303670693405265920', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583722254959775744', '1583722097811787776', '开班典礼', '课程1', '1583286950952046592', '省老师', '1567767144270270464', '2022-10-22', '2022-10-22 15:29:20', '2022-10-22 16:29:25', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583722406881660928', '1583722097811787776', '开班典礼', '课程2', '1567337225455276032', '郑州李讲师', '1567767144270270464', '2022-10-22', '2022-10-22 16:29:51', '2022-10-22 17:29:57', '郑州1001', null, '1', '1303670515768102912', '2', null, '1582646957980127232', '省级高级供应商');
INSERT INTO `train_class_schedule` VALUES ('1583732743915835392', '1583732664534437888', '开班典礼', '111', '1583368171707043840', '王涵测试', '1567767144270270464', '2022-10-22', '2022-10-22 16:11:11', '2022-10-22 16:11:13', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583739604832489472', '1583739434711519232', '文体活动', '课程1', '1583368171707043840', '王涵测试', '1567767144270270464', '2022-10-22', '2022-10-22 16:38:16', '2022-10-22 17:45:21', '郑州1001', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1583739726207258624', '1583739434711519232', '文体活动', '课程2', '1567337225455276032', '郑州李讲师', '1567767144270270464', '2022-10-22', '2022-10-22 18:38:46', '2022-10-22 19:45:55', '郑州1001', null, '1', '1303670771951996928', '2', null, '1582646957980127232', '省级高级供应商');
INSERT INTO `train_class_schedule` VALUES ('1584384138734080000', '1584384076243144704', '文体活动', '111', '1583286950952046592', '省老师', '1565538098622894080', '2022-10-24', '2022-10-24 11:19:39', '2022-10-24 11:19:41', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1584444983673491456', '1583413010712629248', '普通授课', '开堂第一课001', '1583286950952046592', '省老师', '1564138623174053888', '2022-10-24', '2022-10-24 14:21:00', '2022-10-24 20:21:04', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1584445096571572224', '1583413010712629248', '文体活动', '开堂第一课002', '1570236817620471808', '李老师001', '1565538098622894080', '2022-10-25', '2022-10-25 15:21:46', '2022-10-25 18:21:48', 'A009', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1584732561974890496', '1584732496656994304', '文体活动', '顶顶顶', '1583286950952046592', '省老师', '1564138623174053888', '2022-10-25', '2022-10-25 10:24:10', '2022-10-30 10:24:12', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1584805692726972416', '1584515014952357888', '开班典礼', '可变', '1583286950952046592', '省老师', '1564138623174053888', '2022-10-25', '2022-10-25 15:14:47', '2022-10-30 15:14:49', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1584875517633499136', '1584875392047648768', '文体活动', '的地方', '1583287459507212288', '郑州老师', '1564138623174053888', '2022-10-25', '2022-10-25 19:52:01', '2022-10-30 19:52:03', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585087213392236544', '1585087041731956736', '文体活动', '课程1', '1583286950952046592', '省老师', '1565538098622894080', '2022-10-26', '2022-10-26 09:00:24', '2022-10-26 09:45:25', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585183611420807168', '1585183526750392320', '文体活动', '323', '1583286950952046592', '省老师', '1565538098622894080', '2022-10-26', '2022-10-26 16:16:29', '2022-10-30 16:16:31', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585183619159298048', '1585183526750392320', '文体活动', '323', '1583286950952046592', '省老师', '1565538098622894080', '2022-10-26', '2022-10-26 16:16:29', '2022-10-30 16:16:31', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585186322304339968', '1585183499852320768', '文体活动', '课程1', '1583368171707043840', '王涵测试', '1565538098622894080', '2022-10-26', '2022-10-26 16:27:13', '2022-10-28 16:27:17', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585256956313079808', '1584875379850612736', '文体活动', '外屏将是', '1567337225455276032', '郑州李讲师', '1565538098622894080', '2022-10-26', '2022-10-26 18:07:51', '2022-10-26 20:00:22', 'A009', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1585281203022467072', '1585280589643255808', '普通授课', '001001001001第二课', '1583286950952046592', '省老师', '1564138623174053888', '2022-10-26', '2022-10-26 22:00:14', '2022-10-26 23:45:21', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585459966779723776', '1585459813435969536', '文体活动', '课程表1', '1583286950952046592', '省老师', '1564138623174053888', '2022-10-27', '2022-10-27 10:00:17', '2022-10-27 11:00:22', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585460116164055040', '1585459813435969536', '分组座谈', '课程2', '1583287459507212288', '郑州老师', '1567767144270270464', '2022-10-27', '2022-10-27 13:00:59', '2022-10-27 14:00:06', '郑州1001', null, '1', '1303670608965537792', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585460241775071232', '1585459813435969536', '班级测验', '课程3', '1583287459507212288', '郑州老师', '1567767144270270464', '2022-10-27', '2022-10-27 15:00:30', '2022-10-27 16:00:37', '郑州1001', null, '1', '1303670652116537344', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585520522958082048', '1585278127179960320', '普通授课', '课程00100', '1570236817620471808', '李老师001', '1564138623174053888', '2022-10-27', '2022-10-27 14:00:06', '2022-10-27 17:35:09', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1585524913945579520', '1585282067011342336', '普通授课', '测试签到状态', '1583287459507212288', '郑州老师', '1564138623174053888', '2022-10-27', '2022-10-27 16:00:24', '2022-10-27 23:52:35', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585525108829720576', '1585282067011342336', '开班典礼', '第二场签到状态数据课程', '1570236817620471808', '李老师001', '1567767144270270464', '2022-10-28', '2022-10-28 14:53:07', '2022-10-28 19:53:12', '郑州1001', null, '1', '1303670515768102912', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1585850613722386432', '1585850472554696704', '开班典礼', '第一节课', '1583286950952046592', '省老师', '1567767144270270464', '2022-10-28', '2022-10-28 14:00:41', '2022-10-28 15:00:51', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585850754630029312', '1585850472554696704', '分组座谈', '第二节课', '1583368171707043840', '王涵测试', '1564138623174053888', '2022-10-28', '2022-10-28 16:00:11', '2022-10-28 17:00:23', 'A008', null, '1', '1303670608965537792', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585850924545478656', '1585850472554696704', '普通授课', '第三节课', '1567338866929700864', '本地1', '1567767144270270464', '2022-10-29', '2022-10-29 09:00:45', '2022-10-29 10:00:56', '郑州1001', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1585881300064145408', '1585453051727187968', '普通授课', '测试课程1028-1029', '1555010737095708672', '张磊', '1564138623174053888', '2022-10-28', '2022-10-28 14:28:38', '2022-10-28 17:45:40', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585903932515946496', '1585836831126196224', '普通授课', '测试课程一', '1555010737095708672', '张磊', '1564138623174053888', '2022-10-28', '2022-10-28 09:57:00', '2022-10-28 11:58:01', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1585904027395297280', '1585836831126196224', '普通授课', '测试二', '1555010737095708672', '张磊', '1564138623174053888', '2022-10-28', '2022-10-28 15:59:05', '2022-10-28 16:59:01', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1586564842112815104', '1586564275265212416', '普通授课', '测试课程1030', '1567337225455276032', '郑州李讲师', '1564138623174053888', '2022-10-29', '2022-10-29 11:45:04', '2022-10-31 11:45:06', 'A008', null, '1', '1303670472780681216', '2', null, '1586564161255641088', '第一供应商');
INSERT INTO `train_class_schedule` VALUES ('1586627986101243904', '1586564275265212416', '普通授课', '测试课程二', '1567338866929700864', '本地1', '1564138623174053888', '2022-10-28', '2022-10-28 15:55:25', '2022-10-30 16:55:01', 'A008', null, '1', '1303670472780681216', '2', null, '1582646957980127232', '省级高级供应商');
INSERT INTO `train_class_schedule` VALUES ('1586652131312668672', '1586564275265212416', '普通授课', '丫丫', '1570236817620471808', '李老师001', '1564138623174053888', '2022-10-28', '2022-10-28 17:31:48', '2022-10-29 17:31:51', 'A008', null, '1', '1303670472780681216', '2', null, '1586564161255641088', '第一供应商');
INSERT INTO `train_class_schedule` VALUES ('1586964882539024384', '1586964413733277696', '文体活动', '课程1', '1555010737095708672', '张磊', '1564138623174053888', '2022-10-31', '2022-10-31 14:14:29', '2022-10-31 15:14:32', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1586965006363267072', '1586964413733277696', '互动教学', '课程2', '1567337225455276032', '郑州李讲师', '1565538098622894080', '2022-10-31', '2022-10-31 16:15:55', '2022-10-31 17:15:01', 'A009', null, '1', '1303670559304978432', '2', null, '1586564161255641088', '第一供应商');
INSERT INTO `train_class_schedule` VALUES ('1586969321387724800', '1586969194119958528', '文体活动', '得瑟得瑟', '1555010737095708672', '张磊', '1565538098622894080', '2022-10-31', '2022-10-31 14:32:07', '2022-10-31 23:45:10', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1586988755657560064', '1585926378702901248', '文体活动', '课程1', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-10-31', '2022-10-31 15:00:18', '2022-10-31 16:00:26', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1586989176543383552', '1585922092946296832', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-10-26', '2022-10-26 15:51:04', '2022-10-27 15:51:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1587255746549125120', '1587255585643040768', '文体活动', '课程内容', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-01', '2022-11-01 09:30:25', '2022-11-27 09:30:27', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1587268793959321600', '1587268699407126528', '互动教学', '解放军扩大飞机开裆裤酷酷酷酷酷酷酷酷酷顶', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-01', '2022-11-01 10:22:17', '2022-11-30 10:22:18', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1587758958284771328', '1587758825031733248', '开班典礼', 'eee', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-02', '2022-11-02 18:49:59', '2022-11-04 18:50:00', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1587759298757398528', '1587759227248709632', '开班典礼', 'fff', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-02', '2022-11-02 18:51:22', '2022-11-27 18:51:24', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1588043685726130176', '1588043345773596672', '文体活动', '课程1', '1570236817620471808', '李老师001', '1567767144270270464', '2022-11-03', '2022-11-03 14:00:33', '2022-11-03 15:30:40', '郑州1001', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1588056400020508672', '1588056226653147136', '普通授课', '上午第一课', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-03', '2022-11-03 10:00:34', '2022-11-03 10:45:38', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1588056531990089728', '1588056226653147136', '文体活动', '下午第二课', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-03', '2022-11-03 15:30:15', '2022-11-03 15:45:24', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1588056671438114816', '1588056226653147136', '互动教学', '晚上晚自习', '1570236817620471808', '李老师001', '1565538098622894080', '2022-11-03', '2022-11-03 20:30:50', '2022-11-03 21:30:56', 'A009', null, '1', '1303670559304978432', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1588060468440862720', '1588059480422223872', '文体活动', '课程1', '1567337225455276032', '郑州李讲师', '1564138623174053888', '2022-11-03', '2022-11-03 15:00:47', '2022-11-03 16:00:53', 'A008', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1588072847543242752', '1588072776831471616', '普通授课', '测试课程', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-02', '2022-11-02 15:37:19', '2022-11-04 15:37:20', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1588729157167222784', '1588729101563334656', '文体活动', '问问', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-05', '2022-11-05 11:05:15', '2022-11-30 11:05:17', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1588733104833564672', '1588733053633695744', '文体活动', '34', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-05', '2022-11-05 11:20:56', '2022-11-25 11:20:58', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1588733456970551296', '1588733407918166016', '文体活动', '十大', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-05', '2022-11-05 11:22:21', '2022-11-27 11:22:22', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589098562308935680', '1589098507447439360', '普通授课', '请问', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-06', '2022-11-06 11:33:08', '2022-11-30 11:33:09', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589439388062978048', '1589438485390036992', '普通授课', '课程表1', '1583287459507212288', '郑州老师', '1565538098622894080', '2022-11-07', '2022-11-07 10:30:09', '2022-11-07 11:00:15', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589439545114497024', '1589438485390036992', '普通授课', '课程表二', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-07', '2022-11-07 14:00:52', '2022-11-07 15:00:59', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589455354964611072', '1589455280243085312', '普通授课', '测试课程', '1583368171707043840', '王涵测试', '1564138623174053888', '2022-11-06', '2022-11-06 11:10:52', '2022-11-08 11:10:55', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589463866750930944', '1589461007993016320', '普通授课', '1', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-06', '2022-11-06 11:44:44', '2022-11-08 11:44:46', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589527240402669568', '1589527113264926720', '文体活动', '课程表1', '1583287459507212288', '郑州老师', '1564138623174053888', '2022-11-07', '2022-11-07 15:56:18', '2022-11-07 16:30:21', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589549254395957248', '1589549121218416640', '普通授课', '课程1', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-07', '2022-11-07 17:00:46', '2022-11-07 18:00:51', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589849401852039168', '1589849256125140992', '文体活动', '课程1', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-08', '2022-11-08 14:00:26', '2022-11-08 15:00:34', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1589849553845227520', '1589849256125140992', '文体活动', '课程2', '1567337225455276032', '郑州李讲师', '1564138623174053888', '2022-11-08', '2022-11-08 15:00:59', '2022-11-08 16:00:09', 'A008', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1589916179273748480', '1589916039288852480', '普通授课', '课程1', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-08', '2022-11-08 17:00:54', '2022-11-08 18:00:59', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1590543956020695040', '1590543802567888896', '文体活动', '课程1', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-10', '2022-11-10 11:30:16', '2022-11-10 12:00:25', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1590544125223112704', '1590543802567888896', '文体活动', '课程2', '1567337225455276032', '郑州李讲师', '1564138623174053888', '2022-11-10', '2022-11-10 13:00:05', '2022-11-10 14:00:10', 'A008', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1590544236703518720', '1590543802567888896', '文体活动', '课程3', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-10', '2022-11-10 15:00:33', '2022-11-10 16:00:38', 'A008', null, '1', '1303670771951996928', '2', null, '1582646957980127232', '省级高级供应商');
INSERT INTO `train_class_schedule` VALUES ('1590573158849712128', '1590573038678708224', '文体活动', '课程1', '1555010737095708672', '张磊', '1565538098622894080', '2022-11-10', '2022-11-10 13:00:26', '2022-11-10 14:00:32', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1590573298067050496', '1590573038678708224', '文体活动', '课程2', '1567337225455276032', '郑州李讲师', '1565538098622894080', '2022-11-10', '2022-11-10 15:00:55', '2022-11-10 16:00:01', 'A009', null, '1', '1303670771951996928', '2', null, '1586564161255641088', '第一供应商');
INSERT INTO `train_class_schedule` VALUES ('1590598474724937728', '1590598103071854592', '互动教学', '课程2', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-10', '2022-11-10 14:00:03', '2022-11-10 15:45:16', 'A008', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1590602084003221504', '1590602024376995840', '普通授课', '1', '1555010737095708672', '张磊', '1564138623174053888', '2022-11-09', '2022-11-09 15:07:35', '2022-11-11 15:07:37', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1590625929070252032', '1590625766897487872', '开班典礼', '课程1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-11', '2022-11-11 08:00:58', '2022-11-11 09:00:14', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1590639380790382592', '1590639322640551936', '文体活动', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-09', '2022-11-09 17:35:47', '2022-11-11 17:35:49', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1591966568638713856', '1591966465936986112', '普通授课', '123', '1567337225455276032', '郑州李讲师', '1564138623174053888', '2022-11-13', '2022-11-13 09:29:25', '2022-11-15 09:29:27', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1591966808347381760', '1591966612427247616', '普通授课', '课程1', '1583286950952046592', '省老师', '1567767144270270464', '2022-11-14', '2022-11-14 10:00:59', '2022-11-14 10:15:08', '郑州1001', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1591975906862305280', '1591972857506828288', '普通授课', '第一讲100', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-14', '2022-11-14 11:45:33', '2022-11-14 13:00:42', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1591976543213719552', '1591972857506828288', '普通授课', '第二讲101', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-14', '2022-11-14 16:08:33', '2022-11-14 18:00:40', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1591993172635029504', '1591992260067725312', '普通授课', '金融知识培训', '1591992533590872064', '高志远', '1564138623174053888', '2022-11-14', '2022-11-14 12:15:02', '2022-11-14 12:30:08', 'A008', null, '1', '1303670472780681216', '2', null, '1591992721109815296', '地市供应商');
INSERT INTO `train_class_schedule` VALUES ('1592025112947855360', '1592024972526751744', '文体活动', '111', '1583286950952046592', '省老师', '1565538098622894080', '2022-11-01', '2022-11-01 13:21:54', '2022-11-01 14:21:56', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592028086612922368', '1592027379281301504', '普通授课', '测试培训', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-14', '2022-11-14 13:45:54', '2022-11-14 14:00:59', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592030900902825984', '1592030599865044992', '文体活动', '课程', '1570236961212469248', '李老师02', '1564138623174053888', '2022-11-14', '2022-11-14 13:00:20', '2022-11-14 14:00:05', 'A008', null, '1', '1303670771951996928', '2', null, '1570246814479814656', '郑州金水区供应商001');
INSERT INTO `train_class_schedule` VALUES ('1592033043906957312', '1592032895428595712', '普通授课', '1', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-14', '2022-11-14 13:53:40', '2022-11-14 14:45:42', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592048969570193408', '1592048661980909568', '普通授课', '金融第三讲102', '1567337225455276032', '郑州李讲师', '1564138623174053888', '2022-11-14', '2022-11-14 16:45:22', '2022-11-14 17:45:26', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1592049109047578624', '1592048661980909568', '文体活动', '金融第四讲', '1582666858753036288', '陆老师勿用', '1570609322549972992', '2022-11-14', '2022-11-14 17:00:17', '2022-11-14 17:45:30', '2楼会议室1002', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592057847699607552', '1592057692325810176', '普通授课', '金融课程', '1592055082256568320', '高志远', '1564138623174053888', '2022-11-14', '2022-11-14 15:45:05', '2022-11-14 16:00:15', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592066760209731584', '1592066677061849088', '普通授课', '11', '1592055082256568320', '高志远', '1564138623174053888', '2022-11-14', '2022-11-14 16:15:36', '2022-11-14 16:30:42', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592347947650125824', '1592347795233312768', '普通授课', '111', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-15', '2022-11-15 10:44:46', '2022-11-15 10:45:48', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592356255811375104', '1592356114652073984', '普通授课', '课程1', '1592077733855367168', '高老师', '1564138623174053888', '2022-11-15', '2022-11-15 11:30:50', '2022-11-15 11:45:56', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592356361306509312', '1592356114652073984', '普通授课', '课程2', '1592037025505218560', '张晓慧', '1564138623174053888', '2022-11-15', '2022-11-15 12:00:19', '2022-11-15 12:30:24', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592437081198694400', '1592385355917692928', '普通授课', '1115', '1583368171707043840', '王涵测试', '1564138623174053888', '2022-11-14', '2022-11-14 16:39:07', '2022-11-16 16:39:10', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592712906200453120', '1592712846490341376', '文体活动', '撒旦发生', '1585921881540792320', '郑州的老师', '1565538098622894080', '2022-11-16', '2022-11-16 10:55:14', '2022-11-24 10:55:15', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592721003094609920', '1592720948858064896', '文体活动', '123', '1585921881540792320', '郑州的老师', '1565538098622894080', '2022-11-16', '2022-11-16 11:27:24', '2022-11-30 11:27:26', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592790134472970240', '1592783387914014720', '开班典礼', '1116-金融讲堂-01', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-16', '2022-11-16 17:45:46', '2022-11-17 16:00:58', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1592790585490673664', '1592783387914014720', '普通授课', '1116-外聘讲师课堂-01', '1567337225455276032', '郑州李讲师', '1565538098622894080', '2022-11-16', '2022-11-16 18:03:36', '2022-11-16 19:03:42', 'A009', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1592817592849010688', '1592817481695760384', '普通授课', '000001', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-16', '2022-11-16 17:51:05', '2022-11-16 21:51:11', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593055933301395456', '1593055771002802176', '普通授课', '1117-第一课', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-17', '2022-11-17 11:45:08', '2022-11-17 12:45:19', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593074761360084992', '1593074623937908736', '文体活动', '1117-第二讲', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-17', '2022-11-17 12:00:56', '2022-11-17 14:30:04', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593074998468284416', '1593074623937908736', '文体活动', '1118-0001课程', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-18', '2022-11-18 10:53:51', '2022-11-18 12:53:52', 'A008', null, '1', '1303670771951996928', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1593123247312998400', '1585921029040115712', '普通授课', '测试地理位置', '1582666858753036288', '陆老师勿用', '1567767144270270464', '2022-11-17', '2022-11-17 14:05:35', '2022-11-17 21:00:39', '郑州1001', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593133960349749248', '1593133878619541504', '普通授课', '课程1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-17', '2022-11-17 14:48:16', '2022-11-18 14:48:18', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593156267260645376', '1593156130685718528', '普通授课', '1', '1592055082256568320', '高志远', '1567767144270270464', '2022-11-17', '2022-11-17 16:16:49', '2022-11-17 16:17:06', '郑州1001', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593163960876666880', '1593163290295537664', '普通授课', '11-17-第三讲03', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-17', '2022-11-17 18:47:26', '2022-11-17 22:47:33', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593195115483107328', '1593195024294744064', '普通授课', '课程2', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-17', '2022-11-17 18:51:21', '2022-11-18 18:51:23', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593493363947081728', '1593493000393199616', '普通授课', '1118课程001', '1570236961212469248', '李老师02', '1564138623174053888', '2022-11-18', '2022-11-18 15:30:00', '2022-11-18 17:45:19', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1593493950625353728', '1593493864797310976', '开班典礼', '课表111', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-18', '2022-11-18 14:38:45', '2022-11-30 14:38:47', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593497256055672832', '1593497104381251584', '文体活动', '231', '1583368171707043840', '王涵测试', '1564138623174053888', '2022-11-18', '2022-11-18 14:51:42', '2022-11-18 15:00:44', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593498782719414272', '1593497442869972992', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-17', '2022-11-17 14:58:04', '2022-11-19 14:58:05', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593499493934960640', '1593499312577449984', '普通授课', '1118课程1002', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-18', '2022-11-18 16:00:41', '2022-11-18 17:00:45', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1593575502424182784', '1593575269023748096', '普通授课', '测试整体缴费流程', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-18', '2022-11-18 20:02:23', '2022-11-24 20:02:25', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593803073304793088', '1593802731448045568', '普通授课', '1119课程第一讲001', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-19', '2022-11-19 12:00:13', '2022-11-19 14:30:19', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1593803216733212672', '1593802731448045568', '文体活动', '1119-课程第二讲002', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-19', '2022-11-19 15:15:34', '2022-11-19 16:15:43', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593807403676209152', '1592401367887122432', '文体活动', '1119-课程第三讲', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-19', '2022-11-19 15:24:04', '2022-11-19 16:00:11', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593815504806612992', '1593815430726815744', '文体活动', '课程11', '1585921881540792320', '郑州的老师', '1565538098622894080', '2022-11-19', '2022-11-19 11:56:32', '2022-11-29 11:56:34', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593838097152479232', '1593838036792250368', '普通授课', '啊啊啊', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-19', '2022-11-19 13:26:20', '2022-11-20 13:26:22', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593838954023620608', '1593838490360090624', '普通授课', '1119-课程第三讲1003', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-19', '2022-11-19 15:30:36', '2022-11-19 18:30:41', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593841553690988544', '1593841368902537216', '普通授课', '1', '1567338866929700864', '本地1', '1564138623174053888', '2022-11-19', '2022-11-19 13:39:42', '2022-11-19 20:45:44', 'A008', null, '1', '1303670472780681216', '2', null, '1582646957980127232', '省级高级供应商');
INSERT INTO `train_class_schedule` VALUES ('1593852350781591552', '1593852295790071808', '文体活动', '大水发', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-19', '2022-11-19 14:22:59', '2022-11-30 14:23:00', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1593927254092681216', '1593927114980200448', '普通授课', '11101', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-19', '2022-11-19 20:20:21', '2022-11-19 20:30:26', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594222457647140864', '1594222226587127808', '普通授课', '1120课程1001', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-20', '2022-11-20 16:00:32', '2022-11-20 18:45:39', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594222677688717312', '1594222226587127808', '普通授课', '1120课程1002外聘讲师', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-20', '2022-11-20 19:45:04', '2022-11-20 20:00:18', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1594242100789121024', '1594241800200130560', '普通授课', '1120-课程第三讲', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-20', '2022-11-20 18:15:33', '2022-11-20 20:15:42', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1594244486073028608', '1594244407400468480', '普通授课', '测试', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-19', '2022-11-19 16:21:09', '2022-11-21 16:21:11', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594502306903232512', '1594501807982383104', '普通授课', '课程1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-21', '2022-11-21 09:25:34', '2022-11-21 10:45:40', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594503940349759488', '1594503793733668864', '文体活动', '课程1', '1583287459507212288', '郑州老师', '1565538098622894080', '2022-11-21', '2022-11-21 09:32:03', '2022-11-22 09:32:06', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594504317006647296', '1594504240024391680', '开班典礼', '课程1', '1583286950952046592', '省老师', '1565538098622894080', '2022-11-21', '2022-11-21 09:33:37', '2022-11-23 09:33:40', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594524815983775744', '1594523997104640000', '普通授课', '测试课程', '1592077733855367168', '高老师', '1564138623174053888', '2022-11-21', '2022-11-21 11:45:24', '2022-11-21 12:15:30', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594558022879940608', '1594530952930004992', '普通授课', '金融知识1', '1592077733855367168', '高老师', '1564138623174053888', '2022-11-21', '2022-11-21 13:30:43', '2022-11-21 13:45:04', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594562463783849984', '1594562352714485760', '文体活动', '课程11', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-21', '2022-11-21 08:15:32', '2022-11-21 10:45:42', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594562601709342720', '1594562352714485760', '互动教学', '222', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-21', '2022-11-21 13:30:05', '2022-11-21 15:45:13', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594562694474764288', '1594562352714485760', '班级测验', '333', '1582666858753036288', '陆老师勿用', '1567767144270270464', '2022-11-21', '2022-11-21 20:00:30', '2022-11-21 22:30:35', '郑州1001', null, '1', '1303670652116537344', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594565793578881024', '1594565664650170368', '文体活动', '8.30', '1582666858753036288', '陆老师勿用', '1567767144270270464', '2022-11-21', '2022-11-21 08:30:45', '2022-11-21 10:45:52', '郑州1001', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594565937305096192', '1594565664650170368', '文体活动', '12.15', '1583286950952046592', '省老师', '1565538098622894080', '2022-11-21', '2022-11-21 12:15:16', '2022-11-21 14:45:26', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594566088962740224', '1594565664650170368', '分组座谈', '16.45', '1583287459507212288', '郑州老师', '1565538098622894080', '2022-11-21', '2022-11-21 16:45:54', '2022-11-21 19:45:01', 'A009', null, '1', '1303670608965537792', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594569486650970112', '1594569101844549632', '开班典礼', '8', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-21', '2022-11-21 08:00:08', '2022-11-21 09:45:15', 'A008', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594569882664570880', '1594569101844549632', '互动教学', '14：30', '1583286950952046592', '省老师', '1565538098622894080', '2022-11-21', '2022-11-21 14:30:03', '2022-11-21 16:45:10', 'A009', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594570021105963008', '1594569101844549632', '开班典礼', '20.45', '1583287459507212288', '郑州老师', '1567767144270270464', '2022-11-21', '2022-11-21 20:45:33', '2022-11-21 22:45:41', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594572056400367616', '1594571954189373440', '文体活动', '8', '1583286950952046592', '省老师', '1565538098622894080', '2022-11-21', '2022-11-21 08:30:40', '2022-11-21 09:45:50', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594572167788498944', '1594571954189373440', '互动教学', '20', '1583287459507212288', '郑州老师', '1567767144270270464', '2022-11-21', '2022-11-21 20:30:08', '2022-11-21 21:45:13', '郑州1001', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594572276429361152', '1594571954189373440', '开班典礼', '14', '1583368171707043840', '王涵测试', '1565538098622894080', '2022-11-14', '2022-11-14 14:15:33', '2022-11-21 16:30:39', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594572650112487424', '1594571954189373440', '开班典礼', '12', '1583400561250799616', '测试导入', '1567767144270270464', '2022-11-21', '2022-11-21 12:00:04', '2022-11-21 13:45:11', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594586224419540992', '1594586018877673472', '普通授课', '1121-课程第一颗', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-21', '2022-11-21 17:45:47', '2022-11-21 18:16:00', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594586587537215488', '1594586018877673472', '普通授课', '1121-课程DDIERJ第二讲', '1570236817620471808', '李老师001', '1565538098622894080', '2022-11-21', '2022-11-21 21:00:22', '2022-11-21 22:30:30', 'A009', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1594597967384416256', '1594597850510135296', '上机操作', '1', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-21', '2022-11-21 15:45:40', '2022-11-21 16:00:41', 'A008', null, '1', '1303670734673022976', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1594874339755429888', '1594874152140017664', '普通授课', '测试课程1122-第一讲', '1570236817620471808', '李老师001', '1564138623174053888', '2022-11-22', '2022-11-22 13:00:41', '2022-11-22 15:00:50', 'A008', null, '1', '1303670472780681216', '2', null, '1580121127580209152', '国基路52号');
INSERT INTO `train_class_schedule` VALUES ('1595258294505705472', '1595258235898695680', '普通授课', '212', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-23', '2022-11-23 11:29:42', '2022-11-25 11:29:44', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595284817912664064', '1595284725910605824', '普通授课', '1123', '1583286950952046592', '省老师', '1594986488129523712', '2022-11-22', '2022-11-22 13:15:02', '2022-11-24 13:15:04', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595285997128650752', '1595285927368986624', '普通授课', '1123', '1583368171707043840', '王涵测试', '1594986488129523712', '2022-11-22', '2022-11-22 13:19:46', '2022-11-24 13:19:48', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595287636782747648', '1595287546621988864', '普通授课', '112325', '1583286950952046592', '省老师', '1594986488129523712', '2022-11-22', '2022-11-22 13:26:16', '2022-11-24 13:26:17', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595288612545630208', '1595288527829078016', '参观教学', '1324', '1583368171707043840', '王涵测试', '1594986488129523712', '2022-11-22', '2022-11-22 13:30:08', '2022-11-24 13:30:10', '101', null, '1', '1303670693405265920', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595290833123414016', '1595290765951635456', '上机操作', '1', '1583400561250799616', '测试导入', '1594986488129523712', '2022-11-22', '2022-11-22 13:38:59', '2022-11-24 13:39:01', '101', null, '1', '1303670734673022976', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595291824220672000', '1594982368521883648', '普通授课', '1', '1583368171707043840', '王涵测试', '1594986488129523712', '2022-11-22', '2022-11-22 13:42:54', '2022-11-24 13:42:56', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595293211721601024', '1595293028619259904', '文体活动', '1123-培训班课程-第一讲01', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-23', '2022-11-23 18:00:15', '2022-11-23 19:45:23', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595294167343435776', '1595294082480082944', '普通授课', '1', '1583286950952046592', '省老师', '1594986488129523712', '2022-11-22', '2022-11-22 13:52:11', '2022-11-24 13:52:13', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595296449049006080', '1595296314990661632', '普通授课', '1400', '1583286950952046592', '省老师', '1594986488129523712', '2022-11-22', '2022-11-22 14:01:08', '2022-11-24 14:01:10', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595297661886533632', '1595297568395497472', '普通授课', '1406', '1583286950952046592', '省老师', '1594986488129523712', '2022-11-22', '2022-11-22 14:06:01', '2022-11-24 14:06:03', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595306256673935360', '1595306199023226880', '文体活动', '啥放电', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-15', '2022-11-15 14:40:17', '2022-11-22 14:40:19', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595306575667531776', '1595306464161959936', '普通授课', '1', '1583287459507212288', '郑州老师', '1594986488129523712', '2022-11-23', '2022-11-23 16:41:22', '2022-11-23 19:00:28', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595306961778380800', '1595306897458728960', '文体活动', '问额', '1583287459507212288', '郑州老师', '1565538098622894080', '2022-11-22', '2022-11-22 14:43:03', '2022-11-29 14:43:05', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595322689155895296', '1595322590518448128', '普通授课', '1', '1583287459507212288', '郑州老师', '1594986488129523712', '2022-11-23', '2022-11-23 15:45:26', '2022-11-23 17:45:28', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595338168553574400', '1594539630882066432', '普通授课', '1', '1583286950952046592', '省老师', '1594986488129523712', '2022-11-23', '2022-11-23 17:15:44', '2022-11-23 19:00:47', '101', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595344916421152768', '1595344829099937792', '普通授课', '1111', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-23', '2022-11-23 17:13:53', '2022-11-23 17:30:54', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1595346658969915392', '1595346555282526208', '普通授课', '111', '1583287459507212288', '郑州老师', '1564138623174053888', '2022-11-23', '2022-11-23 17:20:46', '2022-11-23 17:30:48', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596033960012550144', '1596033829854908416', '普通授课', '111', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-25', '2022-11-25 14:51:42', '2022-11-25 15:00:47', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596328088256516096', '1596328011639164928', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-26', '2022-11-26 10:20:37', '2022-11-26 10:25:00', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596331042787168256', '1596330952991313920', '普通授课', '111', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-26', '2022-11-26 10:32:24', '2022-11-26 10:45:26', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596346812694925312', '1596346735863664640', '文体活动', '烦烦烦', '1582666858753036288', '陆老师勿用', '1565538098622894080', '2022-11-26', '2022-11-26 11:35:01', '2022-11-27 11:35:04', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596346891367485440', '1596346735863664640', '开班典礼', '顶顶顶', '1583286950952046592', '省老师', '1567767144270270464', '2022-11-26', '2022-11-26 11:35:22', '2022-11-27 11:35:23', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596385749010354176', '1596385685659586560', '文体活动', '得到', '1583286950952046592', '省老师', '1565538098622894080', '2022-11-26', '2022-11-26 14:09:45', '2022-11-27 14:09:47', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596385833299087360', '1596385685659586560', '开班典礼', '顶顶顶', '1592077733855367168', '高老师', '1567767144270270464', '2022-11-26', '2022-11-26 14:10:03', '2022-11-30 14:10:04', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596496894148874240', '1596496831796350976', '普通授课', '1', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-25', '2022-11-25 21:31:28', '2022-11-27 21:31:30', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596498574961676288', '1596498438508384256', '普通授课', '课程1 ', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-26', '2022-11-26 21:38:10', '2022-11-27 21:38:12', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596498642880040960', '1596498438508384256', '互动教学', '课程2', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-26', '2022-11-26 21:38:24', '2022-11-27 21:38:26', 'A008', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596498759615909888', '1596498438508384256', '文体活动', '课程3', '1583400561250799616', '测试导入', '1567767144270270464', '2022-11-26', '2022-11-26 21:38:47', '2022-11-27 21:38:49', '郑州1001', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596498837533495296', '1596498438508384256', '普通授课', '课程4', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-26', '2022-11-26 21:39:09', '2022-11-27 21:39:11', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596670930875191296', '1596670850063536128', '文体活动', '嘎嘎嘎', '1592077733855367168', '高老师', '1565538098622894080', '2022-11-27', '2022-11-27 09:02:58', '2022-11-28 09:03:01', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596670994058186752', '1596670850063536128', '开班典礼', '哈哈哈', '1592055082256568320', '高志远', '1565538098622894080', '2022-11-27', '2022-11-27 09:03:14', '2022-11-29 09:03:16', 'A009', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596671062182072320', '1596670850063536128', '互动教学', '急急急', '1583368171707043840', '王涵测试', '1567767144270270464', '2022-11-27', '2022-11-27 09:03:30', '2022-11-29 09:03:31', '郑州1001', null, '1', '1303670559304978432', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596745832663748608', '1596745761951977472', '文体活动', '11', '1592077733855367168', '高老师', '1564138623174053888', '2022-11-27', '2022-11-27 14:00:37', '2022-11-28 14:00:38', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596745909385957376', '1596745761951977472', '开班典礼', '22', '1592055082256568320', '高志远', '1567767144270270464', '2022-11-27', '2022-11-27 14:00:51', '2022-11-28 14:00:53', '郑州1001', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596745980521353216', '1596745761951977472', '开班典礼', '333', '1583368171707043840', '王涵测试', '1570609322549972992', '2022-11-27', '2022-11-27 14:01:12', '2022-11-30 14:01:14', '2楼会议室1002', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596788483203141632', '1596788426072526848', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-26', '2022-11-26 16:50:09', '2022-11-28 16:50:10', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1596789969828057088', '1596789911623700480', '文体活动', '范德萨', '1596789614633422848', '黎利伯导师', '1565538098622894080', '2022-11-27', '2022-11-27 16:56:01', '2022-11-28 16:56:02', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597123424478695424', '1597123371915677696', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-27', '2022-11-27 15:01:05', '2022-11-29 15:01:07', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597129893861265408', '1597129836160225280', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-27', '2022-11-27 15:26:46', '2022-11-29 15:26:48', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597135778658521088', '1597135726384910336', '普通授课', '1', '1582666858753036288', '陆老师勿用', '1564138623174053888', '2022-11-27', '2022-11-27 15:50:11', '2022-11-30 15:50:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597146461890547712', '1597146387521343488', '普通授课', '课程2', '1582666858753036288', '陆老师勿用', null, '2022-11-28', '2022-11-28 16:32:33', '2022-11-30 16:32:34', null, '花半里', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597176621029265408', '1596689079976726528', '普通授课', '111', '1592055082256568320', '高志远', null, '2022-12-08', '2022-12-08 15:00:06', '2022-12-08 16:00:09', null, '1111', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597505324212948992', '1597505217669238784', '普通授课', '课程1', '1583286950952046592', '省老师', null, '2022-11-29', '2022-11-29 16:18:29', '2022-12-08 16:18:31', null, '场地2', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597515276071604224', '1597515216793505792', '文体活动', '一样', '1592055082256568320', '高志远', '1565538098622894080', '2022-11-29', '2022-11-29 16:58:08', '2022-11-30 16:58:10', 'A009', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597555024437841920', '1597552958424354816', '普通授课', '测试签到1129', '1583286950952046592', '省老师', '1564138623174053888', '2022-11-29', '2022-11-29 19:35:37', '2022-12-01 19:35:41', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597556823949447168', '1597556737949437952', '普通授课', '测试签到', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-29', '2022-11-29 19:43:10', '2022-12-02 19:43:12', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597557833468088320', '1597557770041823232', '普通授课', '1', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-11-29', '2022-11-29 19:47:14', '2022-12-02 19:47:15', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597559808263852032', '1597559736184737792', '普通授课', '1', '1583287459507212288', '郑州老师', '1564138623174053888', '2022-11-29', '2022-11-29 19:55:03', '2022-12-02 19:55:05', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597757371495616512', '1597757293041160192', '普通授课', '1', '1583400561250799616', '测试导入', '1564138623174053888', '2022-11-29', '2022-11-29 09:00:04', '2022-12-02 09:00:06', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597774022169464832', '1597773952061673472', '普通授课', '得到', '1592037025505218560', '张晓慧', '1564138623174053888', '2022-11-30', '2022-11-30 10:06:15', '2022-11-30 11:00:19', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597789562019647488', '1597789475835088896', '文体活动', '打发士大夫', '1592055082256568320', '高志远', '1564138623174053888', '2022-11-30', '2022-11-30 11:07:57', '2023-11-01 11:07:59', 'A008', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1597791821025644544', '1597791737093427200', '普通授课', '方法', '1592077733855367168', '高老师', null, '2022-11-30', '2022-11-30 11:16:57', '2023-11-10 11:16:58', null, '方法', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598508963748515840', '1597161124694986752', '普通授课', '课程1', '1582666858753036288', '陆老师勿用', null, '2022-12-02', '2022-12-02 10:46:22', '2022-12-02 18:45:24', null, '场地1', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598521723756613632', '1598521650104635392', '文体活动', '培训1', '1582666858753036288', '陆老师勿用', null, '2022-12-02', '2022-12-02 11:37:22', '2022-12-03 11:37:24', null, '1231', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598521785618403328', '1598521650104635392', '文体活动', '22222', '1583286950952046592', '省老师', null, '2022-12-02', '2022-12-02 11:37:38', '2022-12-03 11:37:40', null, '22', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598521850747555840', '1598521650104635392', '班级测验', '21312', '1583287459507212288', '郑州老师', null, '2022-12-02', '2022-12-02 11:37:53', '2022-12-04 11:37:55', null, '2132', '2', '1303670652116537344', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598521935329890304', '1598521650104635392', '开班典礼', '日日日日日', '1592037025505218560', '张晓慧', null, '2022-12-02', '2022-12-02 11:38:09', '2022-12-03 11:38:11', null, '日日日', '2', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598522172719108096', '1598522109934571520', '普通授课', '1', '1585921881540792320', '郑州的老师', '1564138623174053888', '2022-12-02', '2022-12-02 11:39:11', '2022-12-04 11:39:13', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1598951280540258304', '1598951182674563072', '文体活动', '课程1', '1585921881540792320', '郑州的老师', null, '2022-12-03', '2022-12-03 16:04:08', '2022-12-03 17:00:11', null, '场地1', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1599662515690803200', '1599662455414460416', '普通授课', '1', '1585921881540792320', '郑州的老师', '1565538098622894080', '2022-12-08', '2022-12-08 15:10:28', '2022-12-09 15:10:31', 'A009', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1602181274267684864', '1602170576401731584', '文体活动', '十点四十', '1567338866929700864', '本地1', null, '2022-12-12', '2022-12-12 13:59:04', '2022-12-13 13:59:05', null, '得到', '2', '1303670771951996928', '2', null, '1591978213070999552', '高供应商');
INSERT INTO `train_class_schedule` VALUES ('1602186408829784064', '1602170576401731584', '文体活动', '11', null, '', null, '2022-12-12', '2022-12-12 14:19:32', '2022-12-14 14:19:33', null, '111', '2', '1303670771951996928', '2', '', null, null);
INSERT INTO `train_class_schedule` VALUES ('1602187219144151040', '1602170576401731584', '普通授课', '123', null, '柔柔弱弱', null, '2022-12-12', '2022-12-12 14:22:35', '2022-12-13 14:22:37', null, '2131', '2', '1303670472780681216', '2', '柔柔弱弱', null, null);
INSERT INTO `train_class_schedule` VALUES ('1607634263195389952', '1607634115245510656', '文体活动', '打发打发', '1592037025505218560', '张晓慧', null, '2022-12-27', '2022-12-27 15:07:22', '2022-12-28 15:07:24', null, '对的', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1610175334605524992', '1610175243224223744', '普通授课', '对的', '1583286950952046592', '省老师', null, '2023-01-03', '2023-01-03 15:24:34', '2023-01-31 15:24:35', null, '时代的', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1610175850341339136', '1610175794691313664', '普通授课', '的方法', '1583368171707043840', '王涵测试', null, '2023-01-03', '2023-01-03 15:26:45', '2023-01-31 15:26:46', null, '方法', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1610464524031365120', '1610464458696691712', '文体活动', '是硕士', '1592055082256568320', '高志远', null, '2023-01-04', '2023-01-04 10:33:47', '2023-01-06 10:33:49', null, '是硕士', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1610829394023157760', '1610829322136981504', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1610831003230801920', '1610830975682613248', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1610832747268542464', '1610832720240447488', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1611169155002798080', '1611169111981821952', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1611208211942215680', '1611208176332574720', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1611245713818259456', '1611245681211740160', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1611989678960021504', '1611989569824231424', '普通授课', '试试', '1583286950952046592', '省老师', null, '2023-01-08', '2023-01-08 15:34:13', '2023-01-29 15:34:15', null, '是硕士', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612263711345610752', '1612263653086728192', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612324461711855616', '1612324397706776576', '文体活动', '123', '1592037025505218560', '张晓慧', null, '2023-01-09', '2023-01-09 13:44:33', '2023-01-10 13:44:34', null, '123', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612367611381813248', '1612367512480124928', '普通授课', '1111', '1583286950952046592', '省老师', '1601102700597088256', '2023-01-09', '2023-01-09 16:35:55', '2023-01-09 16:45:56', '3', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612402285269356544', '1612402197872644096', '文体活动', '12312', '1583368171707043840', '王涵测试', '1601102781710733312', '2023-01-09', '2023-01-09 18:53:44', '2023-01-09 19:00:46', '2', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612708334010503168', '1612708278364672000', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612710603577757696', '1612710059157098496', '文体活动', '1234', '1583286950952046592', '省老师', '1601102700597088256', '2023-01-10', '2023-01-10 15:00:49', '2023-01-10 15:18:58', '3', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1612767995090833408', '1612767792682110976', '普通授课', '巍峨', '1583287459507212288', '郑州老师', null, '2023-01-10', '2023-01-10 19:07:00', '2023-01-11 19:07:01', null, '二恶而', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1613017428219006976', '1613015858672701440', '文体活动', '测', '1592037025505218560', '张晓慧', null, '2023-01-11', '2023-01-11 11:38:10', '2023-01-12 11:38:11', null, '是硕士', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1613049364253642752', '1613049308599422976', '文体活动', '得到', '1592055082256568320', '高志远', '1601102700597088256', '2023-01-11', '2023-01-11 13:45:04', '2023-01-13 13:45:05', '3', null, '1', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1613064524842274816', '1613064326346838016', '普通授课', '111', null, '李昊杰', '1594986488129523712', '2023-01-01', '2023-01-01 15:00:00', '2023-01-01 17:00:00', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1613342801016262656', '1613342717457338368', '文体活动', '12341', null, '12313', '1601102781710733312', '2023-01-12', '2023-01-12 09:11:00', '2023-01-12 09:11:02', '2', null, '1', '1303670771951996928', '3', '12313', null, null);
INSERT INTO `train_class_schedule` VALUES ('1613804643526250496', '1613804407424684032', '文体活动', '123', null, '1231', '1601102700597088256', '2023-01-13', '2023-01-13 15:46:10', '2023-01-13 16:00:12', '3', null, '1', '1303670771951996928', '3', '1231', null, null);
INSERT INTO `train_class_schedule` VALUES ('1613808403061280768', '1613808331804250112', '普通授课', '123', null, '1231', '1601102700597088256', '2023-01-13', '2023-01-13 16:01:11', '2023-01-13 16:30:13', '3', null, '1', '1303670472780681216', '3', '1231', null, null);
INSERT INTO `train_class_schedule` VALUES ('1613814371581038592', '1613814276676521984', '文体活动', '123', null, '123', '1601102700597088256', '2023-01-13', '2023-01-13 16:24:47', '2023-01-13 16:30:50', '3', null, '1', '1303670771951996928', '3', '123', null, null);
INSERT INTO `train_class_schedule` VALUES ('1614180723479154688', '1614180571775373312', '普通授课', '1111111', null, '121', '1567767144270270464', '2023-01-14', '2023-01-14 16:40:28', '2023-01-14 16:45:30', '郑州1001', null, '1', '1303670472780681216', '3', '121', null, null);
INSERT INTO `train_class_schedule` VALUES ('1619874739428397056', '1619874679139471360', '普通授课', '是硕士', '1585921881540792320', '郑州的老师', null, '2023-01-30', '2023-01-30 09:46:39', '2023-01-31 09:46:41', null, '我问问', '2', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1619926408035962880', '1619924506997035008', '文体活动', '课程1', '1582666858753036288', '陆老师勿用', null, '2023-01-30', '2023-01-30 13:11:57', '2023-01-31 13:11:59', null, '场地1', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1620323107267022848', '1620322963117182976', '文体活动', '123', null, '123', '1601102781710733312', '2023-01-31', '2023-01-31 15:28:16', '2023-01-31 15:30:18', '2', null, '1', '1303670771951996928', '3', '123', null, null);
INSERT INTO `train_class_schedule` VALUES ('1620324227934720000', '1620324158833561600', '文体活动', '1212', null, '1212', '1601102700597088256', '2023-01-31', '2023-01-31 15:32:46', '2023-01-31 15:45:48', '3', null, '1', '1303670771951996928', '3', '1212', null, null);
INSERT INTO `train_class_schedule` VALUES ('1620327266410172416', '1620327161489657856', '普通授课', '12', null, '2131', '1601102781710733312', '2023-01-31', '2023-01-31 15:44:41', '2023-01-31 16:44:43', '2', null, '1', '1303670472780681216', '3', '2131', null, null);
INSERT INTO `train_class_schedule` VALUES ('1620598695655510016', '1620598592655986688', '普通授课', '测试支付的课程内容', '1583368171707043840', '王涵测试', '1564138623174053888', '2023-02-01', '2023-02-01 09:43:20', '2023-02-03 09:43:22', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1620613993792147456', '1620613930487517184', '普通授课', '测', '1583368171707043840', '王涵测试', '1601102781710733312', '2023-02-01', '2023-02-01 10:44:11', '2023-02-02 10:44:13', '2', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1623944944416854016', '1623944808060030976', '文体活动', '士大夫', '1585921881540792320', '郑州的老师', null, '2023-02-10', '2023-02-10 15:20:03', '2023-02-11 15:20:04', null, '的撒法', '2', '1303670771951996928', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1638710579550097408', '1638710381205655552', '普通授课', '课程', null, '', null, '2023-03-22', '2023-03-22 09:13:06', '2023-03-24 09:13:08', null, '课程', '2', '1303670472780681216', '3', '', null, null);
INSERT INTO `train_class_schedule` VALUES ('1640981599770251264', '1640981421491359744', '普通授课', '培训启动会', '1583368171707043840', '王涵', '1564138623174053888', '2023-03-31', '2023-03-31 09:00:31', '2023-03-31 12:00:38', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1640981777113812992', '1640981421491359744', '普通授课', '员工能力提升课程1', '1592055082256568320', '高志远', '1564138623174053888', '2023-04-01', '2023-04-01 08:00:14', '2023-04-01 10:00:21', 'A008', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1640984027760562176', '1640983724587880448', '普通授课', '快速了解和熟悉Vue.js 基础知识', '1592037025505218560', '张晓慧', '1601102781710733312', '2023-03-31', '2023-03-31 09:00:15', '2023-03-31 16:30:22', '2', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1640984189740388352', '1640983724587880448', '普通授课', '快速熟悉 ES6', '1583286950952046592', '省老师', '1601102781710733312', '2023-04-02', '2023-04-02 14:00:50', '2023-04-02 17:45:57', '2', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1640984292958015488', '1640983724587880448', '普通授课', '深入实战来了解 SPA 项目搭建', '1585921881540792320', '郑州的老师', '1601102781710733312', '2023-04-05', '2023-04-05 15:48:22', '2023-04-06 15:48:26', '2', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1673179082382249984', '1673178905432952832', '开班典礼', '123', '1583286950952046592', '省老师', '1601102463518248960', '2023-06-26', '2023-06-26 11:59:00', '2023-06-30 11:59:01', '1', null, '1', '1303670515768102912', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1673266956175806464', '1673178905432952832', '普通授课', '123', null, '132132', null, '2023-06-26', '2023-06-26 17:19:00', '2023-06-26 17:30:00', null, '132', '2', null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1673266956804952064', '1673178905432952832', '参观教学', 'eee', null, '132132', null, '2023-06-26', '2023-06-26 17:19:00', '2023-06-26 17:30:00', null, '三楼机房', '2', null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1673933066176958464', '1673933013370671104', '普通授课', '13', '1583286950952046592', '省老师', '1601102700597088256', '2023-06-28', '2023-06-28 13:55:10', '2023-06-29 13:55:11', '3', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1689904043280961536', '1689903076166733824', '普通授课', 'ceshi', null, 'lilu', '1567767144270270464', '2022-09-01', '2022-09-01 15:35:58', '2022-09-01 16:36:01', null, null, null, null, null, null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1691378171586416640', '1691377993613709312', '普通授课', '语文课程', '1583368171707043840', '王涵', '1570609322549972992', '2023-08-15', '2023-08-15 09:00:26', '2023-08-15 11:30:33', '2楼会议室1002', null, '1', '1303670472780681216', '1', null, null, null);
INSERT INTO `train_class_schedule` VALUES ('1691386112246943744', '1691385882579439616', '普通授课', '线上语文课程', '1583368171707043840', '王涵', null, '2023-08-15', '2023-08-15 09:00:58', '2023-08-15 10:45:04', null, '2号楼3层302', '2', '1303670472780681216', '1', null, null, null);

-- ----------------------------
-- Table structure for train_class_settlement
-- ----------------------------
DROP TABLE IF EXISTS `train_class_settlement`;
CREATE TABLE `train_class_settlement` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_type` bigint(20) DEFAULT NULL COMMENT '1 集中 2 在线 3 周培训班',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `name` varchar(20) DEFAULT NULL COMMENT '费用名称',
  `money` bigint(20) DEFAULT NULL COMMENT '费用金额（分）',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、收入。2、支出。',
  `target` varchar(20) DEFAULT NULL COMMENT '收入对象、支出对象',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `appendix` json DEFAULT NULL COMMENT '附件',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班费用结算';

-- ----------------------------
-- Records of train_class_settlement
-- ----------------------------
INSERT INTO `train_class_settlement` VALUES ('130440394975556148', null, '1691377993613709312', '住宿费', '0', '1', null, null, '2023-09-25 08:49:49', null);
INSERT INTO `train_class_settlement` VALUES ('130440395285911318', null, '1691377993613709312', '线上就餐', '0', '1', null, null, '2023-09-25 08:49:49', null);
INSERT INTO `train_class_settlement` VALUES ('794574675480675806', null, '128045312767044786', '住宿费', '0', '1', null, null, '2023-10-07 15:10:52', null);
INSERT INTO `train_class_settlement` VALUES ('794574712465391841', null, '128045312767044786', '线上就餐', '0', '1', null, null, '2023-10-07 15:10:52', null);
INSERT INTO `train_class_settlement` VALUES ('1567391387220054016', '1', '1567356534881652736', '讲师费用', '100000', '1', null, null, '2022-09-07 13:56:42', null);
INSERT INTO `train_class_settlement` VALUES ('1567391416588570624', '1', '1567356534881652736', '讲师费用', '100000', '2', null, null, '2022-09-07 13:56:49', null);
INSERT INTO `train_class_settlement` VALUES ('1567398444228808704', '1', '1567397705725120512', '讲师费用', '100000', '1', null, null, '2022-09-07 14:24:45', null);
INSERT INTO `train_class_settlement` VALUES ('1567398444228808705', '1', '1567397705725120512', '讲师费用', '100000', '2', null, null, '2022-09-07 14:24:45', null);
INSERT INTO `train_class_settlement` VALUES ('1567422131485151232', '1', '1567421460673335296', '讲师费用', '200000', '1', null, null, '2022-09-07 15:58:52', null);
INSERT INTO `train_class_settlement` VALUES ('1567422131485151233', '1', '1567421460673335296', '讲师费用', '200000', '2', null, null, '2022-09-07 15:58:52', null);
INSERT INTO `train_class_settlement` VALUES ('1583290227793989632', '1', '1582686163125276672', '讲师费用', '10000', '1', null, null, '2022-10-21 10:53:01', null);
INSERT INTO `train_class_settlement` VALUES ('1583290227793989633', '1', '1582686163125276672', '讲师费用', '10000', '2', null, null, '2022-10-21 10:53:01', null);
INSERT INTO `train_class_settlement` VALUES ('1585271536745582592', '1', '1583372859424772096', '讲师费用', '12345621', '1', '1201', '3232', '2022-10-26 22:06:02', '[{\"name\": \"1019第一期1019第一期1019第一期1019第一期01.png\", \"path\": \"/train/2022/10/26/9273240e6d454990af300da16c2938e9.png\", \"size\": 4.58984375, \"suffix\": \".png\"}]');
INSERT INTO `train_class_settlement` VALUES ('1585271536745582593', '1', '1583372859424772096', '讲师费用', '12000025', '2', null, null, '2022-10-26 22:06:02', null);
INSERT INTO `train_class_settlement` VALUES ('1589431012574760960', '1', '1588059480422223872', '餐费', '500000', '1', null, null, '2022-11-07 09:34:18', null);
INSERT INTO `train_class_settlement` VALUES ('1589431012578955264', '1', '1588059480422223872', '住宿费', '1000000', '1', null, null, '2022-11-07 09:34:18', null);
INSERT INTO `train_class_settlement` VALUES ('1589431012583149568', '1', '1588059480422223872', '住宿费', '1000000', '2', null, null, '2022-11-07 09:34:18', null);
INSERT INTO `train_class_settlement` VALUES ('1589431012583149569', '1', '1588059480422223872', '餐费', '500000', '2', null, null, '2022-11-07 09:34:18', null);
INSERT INTO `train_class_settlement` VALUES ('1592024069363077120', '1', '1591992260067725312', '餐费', '10000', '1', null, null, '2022-11-14 13:18:11', null);
INSERT INTO `train_class_settlement` VALUES ('1592024069363077121', '1', '1591992260067725312', '餐费', '10000', '2', null, null, '2022-11-14 13:18:11', null);
INSERT INTO `train_class_settlement` VALUES ('1592074025104969728', '1', '1592066677061849088', '培训费', '200000', '1', null, null, '2022-11-14 16:36:42', null);
INSERT INTO `train_class_settlement` VALUES ('1592074025104969729', '1', '1592066677061849088', '培训费', '200000', '2', null, null, '2022-11-14 16:36:42', null);
INSERT INTO `train_class_settlement` VALUES ('1592385295247085568', '1', '1591972857506828288', '住宿费', '560024', '1', null, null, '2022-11-15 13:13:34', null);
INSERT INTO `train_class_settlement` VALUES ('1592385295247085569', '1', '1591972857506828288', '培训费', '200025', '1', null, null, '2022-11-15 13:13:34', null);
INSERT INTO `train_class_settlement` VALUES ('1592385295247085570', '1', '1591972857506828288', '讲师费用', '160056', '1', '教师费用结算，-收入对象教师', '教师费用结算，教师费用结算，教师费用结算，教师费用结算，教师费用结算，教师费用结算，', '2022-11-15 13:13:34', '[{\"name\": \"11月金融投资讲堂第一期.png\", \"path\": \"/train/2022/11/15/34fe8a3447da42a1a13d581d890d8df7.png\", \"size\": 4.8173828125, \"suffix\": \".png\"}, {\"name\": \"郑州市级十月份金融培训第一期002.png\", \"path\": \"/train/2022/11/15/0ff72507457c453fa3ce5dd59bef1426.png\", \"size\": 5.06640625, \"suffix\": \".png\"}, {\"name\": \"投资第三期App测试1001.png\", \"path\": \"/train/2022/11/15/fc35207421f4409e94ca202cf9a1a4fc.png\", \"size\": 4.80078125, \"suffix\": \".png\"}, {\"name\": \"人员签到.png\", \"path\": \"/train/2022/11/15/961f07315619440392c8935514e0713a.png\", \"size\": 6.4296875, \"suffix\": \".png\"}, {\"name\": \"2022郑州金融培训2.png\", \"path\": \"/train/2022/11/15/909be7bd228447f48f8be19176d3fa73.png\", \"size\": 4.7021484375, \"suffix\": \".png\"}]');
INSERT INTO `train_class_settlement` VALUES ('1592385295247085571', '1', '1591972857506828288', '住宿费', '55500', '2', null, null, '2022-11-15 13:13:34', null);
INSERT INTO `train_class_settlement` VALUES ('1592385295247085572', '1', '1591972857506828288', '培训费', '54100', '2', null, null, '2022-11-15 13:13:34', null);
INSERT INTO `train_class_settlement` VALUES ('1592385295247085573', '1', '1591972857506828288', '讲师费用', '160056', '2', null, null, '2022-11-15 13:13:34', '[{\"name\": \"人员签到.png\", \"path\": \"/train/2022/11/15/83d45bd20aeb447288d4523755c598d1.png\", \"size\": 6.4296875, \"suffix\": \".png\"}]');
INSERT INTO `train_class_settlement` VALUES ('1594506183560007680', '2', '1592065253888364544', '讲师费用', '20000', '1', null, null, '2022-11-21 09:41:13', null);
INSERT INTO `train_class_settlement` VALUES ('1594506183560007681', '2', '1592065253888364544', '讲师费用', '20000', '2', null, null, '2022-11-21 09:41:13', null);
INSERT INTO `train_class_settlement` VALUES ('1594576625608036352', '1', '1594222226587127808', '培训费', '50000', '1', null, null, '2022-11-21 14:21:08', null);
INSERT INTO `train_class_settlement` VALUES ('1594576625608036353', '1', '1594222226587127808', '培训费', '50000', '2', null, null, '2022-11-21 14:21:08', null);
INSERT INTO `train_class_settlement` VALUES ('1596446212519759872', '1', '1596328011639164928', '线上餐费', '1200', '1', null, null, '2022-11-26 18:10:12', null);
INSERT INTO `train_class_settlement` VALUES ('1596446212519759873', '1', '1596328011639164928', '讲师费用', '1200', '1', null, null, '2022-11-26 18:10:12', null);
INSERT INTO `train_class_settlement` VALUES ('1596446212519759874', '1', '1596328011639164928', '讲师费用', '100', '2', null, null, '2022-11-26 18:10:12', null);
INSERT INTO `train_class_settlement` VALUES ('1596446212519759875', '1', '1596328011639164928', '线上餐费', '100', '2', null, null, '2022-11-26 18:10:12', null);
INSERT INTO `train_class_settlement` VALUES ('1596466061564317696', '1', '1594874152140017664', '讲师费用', '1000', '1', null, null, '2022-11-26 19:29:05', null);
INSERT INTO `train_class_settlement` VALUES ('1596466061564317697', '1', '1594874152140017664', '讲师费用', '1000', '2', null, null, '2022-11-26 19:29:05', null);
INSERT INTO `train_class_settlement` VALUES ('1673267674429394944', null, '1673178905432952832', '住宿费', '0', '1', null, null, '2023-06-26 17:51:16', null);
INSERT INTO `train_class_settlement` VALUES ('1673267676715290624', null, '1673178905432952832', '线上就餐', '0', '1', null, null, '2023-06-26 17:51:17', null);
INSERT INTO `train_class_settlement` VALUES ('1689183196224294912', null, '1640983724587880448', '住宿费', '0', '1', null, null, '2023-08-09 15:53:52', null);
INSERT INTO `train_class_settlement` VALUES ('1689183196517896192', null, '1640983724587880448', '线上就餐', '5000', '1', null, null, '2023-08-09 15:53:52', null);

-- ----------------------------
-- Table structure for train_class_settlement_log
-- ----------------------------
DROP TABLE IF EXISTS `train_class_settlement_log`;
CREATE TABLE `train_class_settlement_log` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `name` varchar(20) DEFAULT NULL COMMENT '费用名称',
  `money` bigint(20) DEFAULT NULL COMMENT '费用金额（分）',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、收入。2、支出。',
  `target` varchar(20) DEFAULT NULL COMMENT '收入对象、支出对象',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '操作人Id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '操作人姓名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班费用结算记录';

-- ----------------------------
-- Records of train_class_settlement_log
-- ----------------------------

-- ----------------------------
-- Table structure for train_class_sms_push
-- ----------------------------
DROP TABLE IF EXISTS `train_class_sms_push`;
CREATE TABLE `train_class_sms_push` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `class_id` bigint(255) DEFAULT NULL COMMENT '班级id',
  `content` varchar(255) DEFAULT NULL COMMENT '推送模板内容',
  `by_creation_user_id` bigint(255) DEFAULT NULL COMMENT '被推送人id',
  `by_push_name` varchar(255) DEFAULT NULL COMMENT '被推送人姓名',
  `creation_user_id` bigint(255) DEFAULT NULL COMMENT '创建人id ',
  `creation_time` datetime DEFAULT NULL COMMENT '创建时间   ',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_class_sms_push
-- ----------------------------

-- ----------------------------
-- Table structure for train_class_supplier_evaluate
-- ----------------------------
DROP TABLE IF EXISTS `train_class_supplier_evaluate`;
CREATE TABLE `train_class_supplier_evaluate` (
  `id` bigint(20) NOT NULL COMMENT 'id id',
  `CREATED_BY` bigint(20) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(20) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `score` int(5) DEFAULT NULL COMMENT '评分',
  `supplier_id` bigint(20) DEFAULT NULL COMMENT '供应商id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT=' 供应商评价表';

-- ----------------------------
-- Records of train_class_supplier_evaluate
-- ----------------------------
INSERT INTO `train_class_supplier_evaluate` VALUES ('1586653278698082304', '1562314510612697088', '2022-10-30 17:36:36', null, null, '1586564275265212416', '7000', '1582646957980127232');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1586653284251340800', '1562314510612697088', '2022-10-30 17:36:37', null, null, '1586564275265212416', '7000', '1586564161255641088');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1586995298645970944', '1570604410206294016', '2022-10-31 16:15:39', null, null, '1586964413733277696', '10000', '1586564161255641088');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1588380552367575040', '1569970196410667008', '2022-11-04 12:00:09', null, null, '1588056226653147136', '7000', '1580121127580209152');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1588728885443432448', '1', '2022-11-05 11:04:18', null, null, '1583413010712629248', '10000', '1580121127580209152');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1591956309345964032', '1590543166828843008', '2022-11-14 08:48:56', null, null, '1590573038678708224', '10000', '1586564161255641088');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1591956761907171328', '1590543166828843008', '2022-11-14 08:50:44', null, null, '1589849256125140992', '10000', '1580121127580209152');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1591969120713314304', '1562314510612697088', '2022-11-14 09:39:51', null, null, '1591966465936986112', '5000', '1580121127580209152');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1592022494401925120', '1', '2022-11-14 13:11:56', null, null, '1591992260067725312', '10000', '1591992721109815296');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1592022682671648768', '1592015564824514560', '2022-11-14 13:12:41', null, null, '1585278127179960320', '8000', '1580121127580209152');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1592023514796396544', '1592015564824514560', '2022-11-14 13:15:59', null, null, '1579001547617079296', '10000', '1570246814479814656');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1592451663015317504', '1569970196410667008', '2022-11-15 17:37:17', null, null, '1592048661980909568', '5000', '1580121127580209152');
INSERT INTO `train_class_supplier_evaluate` VALUES ('1595231648776065024', '1590543166828843008', '2022-11-23 09:43:58', null, null, '1594874152140017664', '10000', '1580121127580209152');

-- ----------------------------
-- Table structure for train_class_supplier_evaluate_option
-- ----------------------------
DROP TABLE IF EXISTS `train_class_supplier_evaluate_option`;
CREATE TABLE `train_class_supplier_evaluate_option` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `CREATED_BY` bigint(20) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(20) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `evaluate_id` bigint(20) DEFAULT NULL COMMENT '供应商评价表id',
  `option_id` bigint(20) DEFAULT NULL COMMENT '选项id（字典值）',
  `score` int(11) DEFAULT NULL COMMENT '选项评分（为星星选项）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='供应商评价项 ';

-- ----------------------------
-- Records of train_class_supplier_evaluate_option
-- ----------------------------
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653278698082305', '1562314510612697088', '2022-10-30 17:36:35', null, null, '1586653278698082304', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653279650189312', '1562314510612697088', '2022-10-30 17:36:35', null, null, '1586653278698082304', '1567707811318730752', '4');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653280619073536', '1562314510612697088', '2022-10-30 17:36:35', null, null, '1586653278698082304', '1567707843015086080', '3');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653281659260928', '1562314510612697088', '2022-10-30 17:36:36', null, null, '1586653278698082304', '1567707874547863552', '2');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653284251340801', '1562314510612697088', '2022-10-30 17:36:36', null, null, '1586653284251340800', '1567707770617204736', '2');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653285262168064', '1562314510612697088', '2022-10-30 17:36:36', null, null, '1586653284251340800', '1567707811318730752', '3');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653286298161152', '1562314510612697088', '2022-10-30 17:36:37', null, null, '1586653284251340800', '1567707843015086080', '4');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586653287262851072', '1562314510612697088', '2022-10-30 17:36:37', null, null, '1586653284251340800', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586995298645970945', '1570604410206294016', '2022-10-31 16:15:39', null, null, '1586995298645970944', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586995298700496896', '1570604410206294016', '2022-10-31 16:15:39', null, null, '1586995298645970944', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586995298750828544', '1570604410206294016', '2022-10-31 16:15:39', null, null, '1586995298645970944', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1586995298796965888', '1570604410206294016', '2022-10-31 16:15:39', null, null, '1586995298645970944', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588380552367575041', '1569970196410667008', '2022-11-04 12:00:09', null, null, '1588380552367575040', '1567707770617204736', '2');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588380552430489600', '1569970196410667008', '2022-11-04 12:00:09', null, null, '1588380552367575040', '1567707811318730752', '3');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588380552485015552', '1569970196410667008', '2022-11-04 12:00:09', null, null, '1588380552367575040', '1567707843015086080', '4');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588380552531152896', '1569970196410667008', '2022-11-04 12:00:09', null, null, '1588380552367575040', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588728885443432449', '1', '2022-11-05 11:04:18', null, null, '1588728885443432448', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588728885976109056', '1', '2022-11-05 11:04:18', null, null, '1588728885443432448', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588728886181629952', '1', '2022-11-05 11:04:18', null, null, '1588728885443432448', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1588728886361985024', '1', '2022-11-05 11:04:18', null, null, '1588728885443432448', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956309345964033', '1590543166828843008', '2022-11-14 08:48:56', null, null, '1591956309345964032', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956309413072896', '1590543166828843008', '2022-11-14 08:48:56', null, null, '1591956309345964032', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956309475987456', '1590543166828843008', '2022-11-14 08:48:56', null, null, '1591956309345964032', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956309534707712', '1590543166828843008', '2022-11-14 08:48:56', null, null, '1591956309345964032', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956761907171329', '1590543166828843008', '2022-11-14 08:50:44', null, null, '1591956761907171328', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956761965891584', '1590543166828843008', '2022-11-14 08:50:44', null, null, '1591956761907171328', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956762020417536', '1590543166828843008', '2022-11-14 08:50:44', null, null, '1591956761907171328', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591956762074943488', '1590543166828843008', '2022-11-14 08:50:44', null, null, '1591956761907171328', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591969120713314305', '1562314510612697088', '2022-11-14 09:39:50', null, null, '1591969120713314304', '1567707770617204736', '1');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591969121782861824', '1562314510612697088', '2022-11-14 09:39:51', null, null, '1591969120713314304', '1567707811318730752', '2');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591969122919518208', '1562314510612697088', '2022-11-14 09:39:51', null, null, '1591969120713314304', '1567707843015086080', '3');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1591969123976482816', '1562314510612697088', '2022-11-14 09:39:51', null, null, '1591969120713314304', '1567707874547863552', '4');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022494401925121', '1', '2022-11-14 13:11:56', null, null, '1592022494401925120', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022494456451072', '1', '2022-11-14 13:11:56', null, null, '1592022494401925120', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022494536142848', '1', '2022-11-14 13:11:56', null, null, '1592022494401925120', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022494586474496', '1', '2022-11-14 13:11:56', null, null, '1592022494401925120', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022682671648769', '1592015564824514560', '2022-11-14 13:12:41', null, null, '1592022682671648768', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022682730369024', '1592015564824514560', '2022-11-14 13:12:41', null, null, '1592022682671648768', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022682776506368', '1592015564824514560', '2022-11-14 13:12:41', null, null, '1592022682671648768', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592022682822643712', '1592015564824514560', '2022-11-14 13:12:41', null, null, '1592022682671648768', '1567707874547863552', '1');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592023514796396545', '1592015564824514560', '2022-11-14 13:15:59', null, null, '1592023514796396544', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592023514846728192', '1592015564824514560', '2022-11-14 13:15:59', null, null, '1592023514796396544', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592023514901254144', '1592015564824514560', '2022-11-14 13:15:59', null, null, '1592023514796396544', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592023514947391488', '1592015564824514560', '2022-11-14 13:15:59', null, null, '1592023514796396544', '1567707874547863552', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592451663015317505', '1569970196410667008', '2022-11-15 17:37:17', null, null, '1592451663015317504', '1567707770617204736', '1');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592451663069843456', '1569970196410667008', '2022-11-15 17:37:17', null, null, '1592451663015317504', '1567707811318730752', '2');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592451663120175104', '1569970196410667008', '2022-11-15 17:37:17', null, null, '1592451663015317504', '1567707843015086080', '3');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1592451663170506752', '1569970196410667008', '2022-11-15 17:37:17', null, null, '1592451663015317504', '1567707874547863552', '4');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1595231648776065025', '1590543166828843008', '2022-11-23 09:43:58', null, null, '1595231648776065024', '1567707770617204736', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1595231648830590976', '1590543166828843008', '2022-11-23 09:43:58', null, null, '1595231648776065024', '1567707811318730752', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1595231648880922624', '1590543166828843008', '2022-11-23 09:43:58', null, null, '1595231648776065024', '1567707843015086080', '5');
INSERT INTO `train_class_supplier_evaluate_option` VALUES ('1595231648931254272', '1590543166828843008', '2022-11-23 09:43:58', null, null, '1595231648776065024', '1567707874547863552', '5');

-- ----------------------------
-- Table structure for train_class_supplier_temp
-- ----------------------------
DROP TABLE IF EXISTS `train_class_supplier_temp`;
CREATE TABLE `train_class_supplier_temp` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `train_trainer_id` bigint(19) DEFAULT NULL COMMENT '临时讲师 临时讲师ID',
  `schedual_id` bigint(19) DEFAULT NULL COMMENT '课程表ID 培训班课程表ID',
  `created_by` bigint(19) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` bigint(19) DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `suplier_id` bigint(19) DEFAULT NULL COMMENT '供应商id 供应商id',
  `suplier_name` varchar(32) DEFAULT NULL COMMENT '供应商名字 供应商名字',
  `train_trainer_name` varchar(32) DEFAULT NULL COMMENT '临时讲师名字 临时讲师名字',
  `schedual_name` varchar(32) DEFAULT NULL COMMENT '课程表名字 课程表名字',
  `class_id` bigint(19) DEFAULT NULL COMMENT '培训班id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班供应商与临时讲师 ';

-- ----------------------------
-- Records of train_class_supplier_temp
-- ----------------------------
INSERT INTO `train_class_supplier_temp` VALUES ('1565900793431855104', '1565531038766206976', '1565900793423466496', '1564191182190415872', '2022-09-03 11:13:37', null, null, null, null, '外1', '包v村11', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1565906711703851008', '1565531038766206976', '1565906711695462400', '1564191182190415872', '2022-09-03 11:37:08', null, null, null, null, '外1', '课程名称课程名称', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1565909361774170112', '1565531038766206976', '1565909361765781504', '1564191182190415872', '2022-09-03 11:47:40', null, null, '98745622222', '北京供应商22', '外1', '北京供应商23', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1565939532715659264', '1565531038766206976', '1565939532711464960', '1564191182190415872', '2022-09-03 13:47:33', null, null, '222222346545', '周口供应商', '外1', '111111111111', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1565943036809187328', '1565531038766206976', '1565943036804993024', '1564191182190415872', '2022-09-03 14:01:28', null, null, '98745622222', '北京供应商22', '外1', '北京供应商23', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1566002660933505024', '1565531038766206976', '1566002660925116416', '1564191182190415872', '2022-09-08 17:58:24', null, null, '98745622222', '北京供应商22', '外1', '北京供应商23', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1569512341094141952', '1565531038766206976', '1569512341085753344', '1562314510612697088', '2022-09-13 10:24:37', null, null, '12345679899', '郑州供应商1', '外1', '测试课程20220913', null);
INSERT INTO `train_class_supplier_temp` VALUES ('1569513718386135040', '1565531038766206976', '1569513718373552128', '1562314510612697088', '2022-09-13 10:30:05', null, null, '12345679899', '郑州供应商1', '外1', '测试课程20220913', '1569503258286886912');
INSERT INTO `train_class_supplier_temp` VALUES ('1570248239159054336', '1570236817620471808', '1570248239133888512', '1569970196410667008', '2022-09-15 11:08:49', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '英语二', '1570226030914965504');
INSERT INTO `train_class_supplier_temp` VALUES ('1570248418083868672', '1570236817620471808', '1570248418054508544', '1569970196410667008', '2022-09-15 11:09:31', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '英语二', '1570226030914965504');
INSERT INTO `train_class_supplier_temp` VALUES ('1570298409355710464', '1570236817620471808', '1570298409347321856', '1569970196410667008', '2022-09-15 14:28:10', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '课程二', '1570297537271828480');
INSERT INTO `train_class_supplier_temp` VALUES ('1570649410914881536', '1567338866929700864', '1570649410445119488', '1', '2022-09-16 13:42:55', null, null, '222222346545', '周口供应商', '本地1', 'sssddd', '1570339435038511104');
INSERT INTO `train_class_supplier_temp` VALUES ('1571700742761353216', '1567338866929700864', '1571700742752964608', '1', '2022-09-19 11:20:33', null, null, '222222346545', '周口供应商', '本地1', 'sss', '1571700501903446016');
INSERT INTO `train_class_supplier_temp` VALUES ('1572415252186927104', '1567338866929700864', '1572415251733942272', '1', '2022-09-21 10:39:45', null, null, '12345679899', '郑州供应商1', '本地1', '数学课', '1572406044859174912');
INSERT INTO `train_class_supplier_temp` VALUES ('1572415547092635648', '1567338866929700864', '1572415546589319168', '1', '2022-09-21 10:40:55', null, null, '12345679899', '郑州供应商1', '本地1', '数学课', '1572406044859174912');
INSERT INTO `train_class_supplier_temp` VALUES ('1572463188048482304', '1570236817620471808', '1572463188023316480', '1569970196410667008', '2022-09-21 13:50:14', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '开班典礼', '1572408168884080640');
INSERT INTO `train_class_supplier_temp` VALUES ('1572828020295733248', '1570236817620471808', '1572828020249595904', '1569970196410667008', '2022-09-22 13:59:56', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '新课教学', '1572797449381220352');
INSERT INTO `train_class_supplier_temp` VALUES ('1572837254253121536', '1570236817620471808', '1572837254206984192', '1569970196410667008', '2022-09-22 14:36:38', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '新课教育', '1572828433468231680');
INSERT INTO `train_class_supplier_temp` VALUES ('1572838003682971648', '1570236817620471808', '1572838003653611520', '1569970196410667008', '2022-09-22 14:39:37', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '教学第一课', '1572837903887896576');
INSERT INTO `train_class_supplier_temp` VALUES ('1572842530402340864', '1570236817620471808', '1572842530393952256', '1569970196410667008', '2022-09-22 14:57:36', null, null, '1570246814479814656', '培训班供应商2', '李老师001', '第一课', '1572842240676597760');
INSERT INTO `train_class_supplier_temp` VALUES ('1572887431122915328', '1570236817620471808', '1572887431114526720', '1570604410206294016', '2022-09-22 17:56:01', null, null, '222222346545', '周口供应商', '李老师001', '课程内容1', '1572887280887140352');
INSERT INTO `train_class_supplier_temp` VALUES ('1573151766365736960', '1570236817620471808', '1573151766336376832', '1569970196410667008', '2022-09-23 11:26:24', null, null, '1572853287001133056', '培训班供应商1', '李老师001', '开班典礼', '1573151458042449920');
INSERT INTO `train_class_supplier_temp` VALUES ('1574243471311638528', '1567338866929700864', '1574243470875430912', '1', '2022-09-26 11:44:26', null, null, '12345679899', '郑州供应商1', '本地1', 'bbbb', '1574243202679050240');
INSERT INTO `train_class_supplier_temp` VALUES ('1574243499853877248', '1570236817620471808', '1574243499438641152', '1', '2022-09-26 11:44:33', null, null, '12345679899', '郑州供应商1', '李老师001', 'aaaaa', '1574243202679050240');
INSERT INTO `train_class_supplier_temp` VALUES ('1574245106951786496', '1567338866929700864', '1574245106528161792', '1', '2022-09-26 11:50:56', null, null, '12345679899', '郑州供应商1', '本地1', 'ttt', '1574244875245850624');
INSERT INTO `train_class_supplier_temp` VALUES ('1574246084203646976', '1570236817620471808', '1574246083729690624', '1', '2022-09-26 11:54:49', null, null, '12345679899', '郑州供应商1', '李老师001', 'eee', '1574244875245850624');
INSERT INTO `train_class_supplier_temp` VALUES ('1575325600942526464', '1570236817620471808', '1575325600896389120', '1570604410206294016', '2022-09-29 11:24:26', null, null, '222222346545', '周口供应商', '李老师001', '第二节课', '1575325299946688512');
INSERT INTO `train_class_supplier_temp` VALUES ('1575327738124963840', '1567338866929700864', '1575327738078826496', '1570604410206294016', '2022-09-29 11:32:56', null, null, '98745622222', '北京供应商22', '本地1', '第一节课', '1575327504024080384');
INSERT INTO `train_class_supplier_temp` VALUES ('1575365193725251584', '1570236961212469248', '1575365193695891456', '1569970196410667008', '2022-09-29 14:01:46', null, null, '1570246814479814656', '培训班供应商2', '李老师02', '第二课', '1575364705646678016');
INSERT INTO `train_class_supplier_temp` VALUES ('1579283169335709696', '1567338866929700864', '1579283168882724864', '1', '2022-10-10 09:30:24', null, null, '12345679899', '郑州供应商1', '本地1', '全不选', '1579283027245273088');
INSERT INTO `train_class_supplier_temp` VALUES ('1579341156783886336', '1570236961212469248', '1579341156754526208', '1569970196410667008', '2022-10-10 13:20:49', null, null, '1570246814479814656', '培训班供应商2', '李老师02', '外聘讲师课堂', '1579001547617079296');
INSERT INTO `train_class_supplier_temp` VALUES ('1579723511960834048', '1570236817620471808', '1579723511948251136', '1570604410206294016', '2022-10-11 14:40:10', null, null, '98745622222', '北京供应商22', '李老师001', '10月份第一节课', '1579723260835270656');
INSERT INTO `train_class_supplier_temp` VALUES ('1579763761110192128', '1570236817620471808', '1579763761080832000', '1570604410206294016', '2022-10-11 17:20:06', null, null, '1570589823574609920', '2231166', '李老师001', '课程名称', '1579763183424507904');
INSERT INTO `train_class_supplier_temp` VALUES ('1580075339676258304', '1567338866929700864', '1580075339177136128', '1562314510612697088', '2022-10-12 13:58:12', null, null, '1580075100462518272', '1357', '本地1', '2134', '1580069013080379392');
INSERT INTO `train_class_supplier_temp` VALUES ('1580454872459907072', '1570236961212469248', '1580454872447324160', '1569970196410667008', '2022-10-13 15:06:20', null, null, '1580121127580209152', '国基路52号', '李老师02', '外部培训01', '1580454783322558464');
INSERT INTO `train_class_supplier_temp` VALUES ('1580792824541089792', '1567337225455276032', '1580792824532701184', '1569970621243330560', '2022-10-14 13:29:14', null, null, '1572853721715576832', '郑州市级供应商001', '郑州李讲师', '10-14课程10-14课程10-14课', '1580770390802829312');
INSERT INTO `train_class_supplier_temp` VALUES ('1580793706695495680', '1567337225455276032', '1580793706649358336', '1569970621243330560', '2022-10-14 13:32:44', null, null, '1572853721715576832', '郑州市级供应商001', '郑州李讲师', '10-14第二课', '1580770390802829312');
INSERT INTO `train_class_supplier_temp` VALUES ('1583369361631088640', '1570236961212469248', '1583369361178103808', '1', '2022-10-21 16:07:28', null, null, '1582646957980127232', '省级高级供应商', '李老师02', 'erwerw', '1583369261261393920');
INSERT INTO `train_class_supplier_temp` VALUES ('1583722406898438144', '1567337225455276032', '1583722406881660928', '1570604410206294016', '2022-10-22 15:30:21', null, null, '1582646957980127232', '省级高级供应商', '郑州李讲师', '课程2', '1583722097811787776');
INSERT INTO `train_class_supplier_temp` VALUES ('1583739726228230144', '1567337225455276032', '1583739726207258624', '1570604410206294016', '2022-10-22 16:39:10', null, null, '1582646957980127232', '省级高级供应商', '郑州李讲师', '课程2', '1583739434711519232');
INSERT INTO `train_class_supplier_temp` VALUES ('1584445096588349440', '1570236817620471808', '1584445096571572224', '1569970196410667008', '2022-10-24 15:22:03', null, null, '1580121127580209152', '国基路52号', '李老师001', '开堂第一课002', '1583413010712629248');
INSERT INTO `train_class_supplier_temp` VALUES ('1585256956334051328', '1567337225455276032', '1585256956313079808', '1569970196410667008', '2022-10-26 21:08:06', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '外屏将是', '1584875379850612736');
INSERT INTO `train_class_supplier_temp` VALUES ('1585520522979053568', '1570236817620471808', '1585520522958082048', '1569970196410667008', '2022-10-27 14:35:25', null, null, '1580121127580209152', '国基路52号', '李老师001', '课程00100', '1585278127179960320');
INSERT INTO `train_class_supplier_temp` VALUES ('1585525334248394752', '1570236817620471808', '1585525334231617536', '1569970196410667008', '2022-10-27 14:54:32', null, null, '1580121127580209152', '国基路52号', '李老师001', '第二场签到状态数据课程', '1585282067011342336');
INSERT INTO `train_class_supplier_temp` VALUES ('1585850924558061568', '1567338866929700864', '1585850924545478656', '1570604410206294016', '2022-10-28 12:28:19', null, null, '1580121127580209152', '国基路52号', '本地1', '第三节课', '1585850472554696704');
INSERT INTO `train_class_supplier_temp` VALUES ('1586564843513712640', '1567337225455276032', '1586564842112815104', '1562314510612697088', '2022-10-30 11:45:10', null, null, '1586564161255641088', '第一供应商', '郑州李讲师', '测试课程1030', '1586564275265212416');
INSERT INTO `train_class_supplier_temp` VALUES ('1586627986466148352', '1567338866929700864', '1586627986101243904', '1562314510612697088', '2022-10-30 15:56:05', null, null, '1582646957980127232', '省级高级供应商', '本地1', '测试课程二', '1586564275265212416');
INSERT INTO `train_class_supplier_temp` VALUES ('1586652131690156032', '1570236817620471808', '1586652131312668672', '1562314510612697088', '2022-10-30 17:32:01', null, null, '1586564161255641088', '第一供应商', '李老师001', '丫丫', '1586564275265212416');
INSERT INTO `train_class_supplier_temp` VALUES ('1586965006380044288', '1567337225455276032', '1586965006363267072', '1570604410206294016', '2022-10-31 14:15:17', null, null, '1586564161255641088', '第一供应商', '郑州李讲师', '课程2', '1586964413733277696');
INSERT INTO `train_class_supplier_temp` VALUES ('1588043685742907392', '1570236817620471808', '1588043685726130176', '1570604410206294016', '2022-11-03 13:41:34', null, null, '1580121127580209152', '国基路52号', '李老师001', '课程1', '1588043345773596672');
INSERT INTO `train_class_supplier_temp` VALUES ('1588056671459086336', '1570236817620471808', '1588056671438114816', '1569970196410667008', '2022-11-03 14:33:10', null, null, '1580121127580209152', '国基路52号', '李老师001', '晚上晚自习', '1588056226653147136');
INSERT INTO `train_class_supplier_temp` VALUES ('1588060468461834240', '1567337225455276032', '1588060468440862720', '1570604410206294016', '2022-11-03 14:48:15', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '课程1', '1588059480422223872');
INSERT INTO `train_class_supplier_temp` VALUES ('1589849554226909184', '1567337225455276032', '1589849553845227520', '1570604410206294016', '2022-11-08 13:17:26', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '课程2', '1589849256125140992');
INSERT INTO `train_class_supplier_temp` VALUES ('1590544125600600064', '1567337225455276032', '1590544125223112704', '1590543166828843008', '2022-11-10 11:17:25', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '课程2', '1590543802567888896');
INSERT INTO `train_class_supplier_temp` VALUES ('1590544237143920640', '1570236817620471808', '1590544236703518720', '1590543166828843008', '2022-11-10 11:17:52', null, null, '1582646957980127232', '省级高级供应商', '李老师001', '课程3', '1590543802567888896');
INSERT INTO `train_class_supplier_temp` VALUES ('1590573298511646720', '1567337225455276032', '1590573298067050496', '1590543166828843008', '2022-11-10 13:13:20', null, null, '1586564161255641088', '第一供应商', '郑州李讲师', '课程2', '1590573038678708224');
INSERT INTO `train_class_supplier_temp` VALUES ('1591966626499137536', '1567337225455276032', '1591966626096484352', '1562314510612697088', '2022-11-14 09:29:56', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '123', '1591966465936986112');
INSERT INTO `train_class_supplier_temp` VALUES ('1591993172651806720', '1591992533590872064', '1591993172635029504', '1591989473527336960', '2022-11-14 11:15:25', null, null, '1591992721109815296', '地市供应商', '高志远', '金融知识培训', '1591992260067725312');
INSERT INTO `train_class_supplier_temp` VALUES ('1592030900919603200', '1570236961212469248', '1592030900902825984', '1592015564824514560', '2022-11-14 13:45:20', null, null, '1570246814479814656', '培训班供应商2', '李老师02', '课程', '1592030599865044992');
INSERT INTO `train_class_supplier_temp` VALUES ('1592048969586970624', '1567337225455276032', '1592048969570193408', '1569970196410667008', '2022-11-14 14:57:08', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '金融第三讲102', '1592048661980909568');
INSERT INTO `train_class_supplier_temp` VALUES ('1592790585960435712', '1567337225455276032', '1592790585490673664', '1569970196410667008', '2022-11-16 16:04:03', null, null, '1580121127580209152', '国基路52号', '郑州李讲师', '1116-外聘讲师课堂-01', '1592783387914014720');
INSERT INTO `train_class_supplier_temp` VALUES ('1592812345132978176', '1570236817620471808', '1592812344667410432', '1569970196410667008', '2022-11-16 17:30:31', null, null, '1580121127580209152', '国基路52号', '李老师001', '1116-金融第二课', '1592811842428866560');
INSERT INTO `train_class_supplier_temp` VALUES ('1592812345225252864', '1570236817620471808', '1592812344768073728', '1569970196410667008', '2022-11-16 17:30:31', null, null, '1580121127580209152', '国基路52号', '李老师001', '1116-金融第二课', '1592811842428866560');
INSERT INTO `train_class_supplier_temp` VALUES ('1593074998900297728', '1570236817620471808', '1593074998468284416', '1569970196410667008', '2022-11-17 10:54:12', null, null, '1580121127580209152', '国基路52号', '李老师001', '1118-0001课程', '1593074623937908736');
INSERT INTO `train_class_supplier_temp` VALUES ('1593493363963858944', '1570236961212469248', '1593493363947081728', '1569970196410667008', '2022-11-18 14:36:38', null, null, '1580121127580209152', '国基路52号', '李老师02', '1118课程001', '1593493000393199616');
INSERT INTO `train_class_supplier_temp` VALUES ('1593499493951737856', '1570236817620471808', '1593499493934960640', '1569970196410667008', '2022-11-18 15:01:00', null, null, '1580121127580209152', '国基路52号', '李老师001', '1118课程1002', '1593499312577449984');
INSERT INTO `train_class_supplier_temp` VALUES ('1593803073736806400', '1570236817620471808', '1593803073304793088', '1569970196410667008', '2022-11-19 11:07:19', null, null, '1580121127580209152', '国基路52号', '李老师001', '1119课程第一讲001', '1593802731448045568');
INSERT INTO `train_class_supplier_temp` VALUES ('1593841554106224640', '1567338866929700864', '1593841553690988544', '1561995446459699200', '2022-11-19 13:40:13', null, null, '1582646957980127232', '省级高级供应商', '本地1', '1', '1593841368902537216');
INSERT INTO `train_class_supplier_temp` VALUES ('1594222678145896448', '1570236817620471808', '1594222677688717312', '1569970196410667008', '2022-11-20 14:54:40', null, null, '1580121127580209152', '国基路52号', '李老师001', '1120课程1002外聘讲师', '1594222226587127808');
INSERT INTO `train_class_supplier_temp` VALUES ('1594242101200162816', '1570236817620471808', '1594242100789121024', '1569970196410667008', '2022-11-20 16:11:51', null, null, '1580121127580209152', '国基路52号', '李老师001', '1120-课程第三讲', '1594241800200130560');
INSERT INTO `train_class_supplier_temp` VALUES ('1594586588380270592', '1570236817620471808', '1594586587537215488', '1569970196410667008', '2022-11-21 15:00:43', null, null, '1580121127580209152', '国基路52号', '李老师001', '1121-课程DDIERJ第二讲', '1594586018877673472');
INSERT INTO `train_class_supplier_temp` VALUES ('1594874340158083072', '1570236817620471808', '1594874339755429888', '1569970196410667008', '2022-11-22 10:04:09', null, null, '1580121127580209152', '国基路52号', '李老师001', '测试课程1122-第一讲', '1594874152140017664');
INSERT INTO `train_class_supplier_temp` VALUES ('1602181274661949440', '1567338866929700864', '1602181274267684864', '1', '2022-12-12 13:59:18', null, null, '1591978213070999552', '高供应商', '本地1', '十点四十', '1602170576401731584');

-- ----------------------------
-- Table structure for train_class_teacher
-- ----------------------------
DROP TABLE IF EXISTS `train_class_teacher`;
CREATE TABLE `train_class_teacher` (
  `id` bigint(20) NOT NULL,
  `sys_user_id` bigint(20) DEFAULT NULL,
  `train_user_id` bigint(20) DEFAULT NULL,
  `user_type` int(2) DEFAULT NULL COMMENT '人员类型 1班主任',
  `is_del` int(2) DEFAULT NULL COMMENT '是否删除 1是 0否',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='班主任表';

-- ----------------------------
-- Records of train_class_teacher
-- ----------------------------
INSERT INTO `train_class_teacher` VALUES ('1567097188008464384', '1567097186544652288', '1567097187236712448', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567097855196401664', '1567046004463767552', '1567097854558867456', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567331404763762688', '1567097186544652288', '1567097187236712448', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567331738110267392', '1567097186544652288', '1567331737296572416', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567332686471761920', '1567097186544652288', '1567332685687427072', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567332976327528448', '1567097186544652288', '1567332975589330944', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567333164785995776', '1567097186544652288', '1567333163842277376', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567336055642918912', '1567097186544652288', '1567333163842277376', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1567337244228980736', '1567097186544652288', '1567337243285262336', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1570252962461257728', '1570252962385760256', '1570252962423508992', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1570254194198319104', '1570254194076684288', '1570254194114433024', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1570254300456816640', '1570254300322598912', '1570254300393902080', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1570292573849915392', '1', '1564137446730502144', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1570300884318031872', '1570300883655331840', '1564137446730502144', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1571748190833741824', '1570300883655331840', '1564137446730502144', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1571750261347717120', '1570604410206294016', '1571750260521439232', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1571750984538001408', '1570604410206294016', '1571750260521439232', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1571751350591688704', '1570604410206294016', '1571750260521439232', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1571752003498020864', '1570604410206294016', '1571750260521439232', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1571752225418645504', '1570604410206294016', '1571750260521439232', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1572826734619922432', '1570585310226681856', '1572826733831393280', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1572831844670509056', '1570585310226681856', '1572826733831393280', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1572832093325627392', '1567097186544652288', '1567337243285262336', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1574656123804454912', '1574656123749928960', '1574656123775094784', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1574656535475392512', '1574656535316008960', '1574656535395700736', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1575733659774881792', '1575733659405783040', '1575733659590332416', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1575734155021520896', '1575734154631450624', '1575734154828582912', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1575742080666439680', '1575742080326701056', '1575742080498667520', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1575742396883406848', '1575742396539473920', '1575742396715634688', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1578618869923319808', '1578618868123963392', '1578618869008961536', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1579362188177575936', '1579362188047552512', '1579362188123049984', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1579367843789672448', '1579367842099367936', '1579367842850148352', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1579648907384852480', '1569970196410667008', '1574656123775094784', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1580794158031966208', '1579374510346473472', '1579374510346473472', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1581886588613431296', '1581886588231749632', '1581886588420493312', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1581888248693788672', '1581888248303718400', '1581888248500850688', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1582642133632946176', '1582642133561643008', '1582642133595197440', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1589868518952800256', '1589868517749035008', '1589868518332043264', '1', '1');
INSERT INTO `train_class_teacher` VALUES ('1589874440647348224', '1589868518332043264', '1589868518332043264', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1589902008935124992', '1589901920624054272', '1589902008373088256', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1589904364326227968', '1589902463861919744', '1589904363642556416', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1589912015479115776', '1589912012547297280', '1589912013692342272', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1590648570699190272', '1590648570632081408', '1590648570665635840', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1592003226473992192', '1591989473527336960', '1591989767631933440', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1592015564941955072', '1592015564824514560', '1592015564858068992', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1592720780402233344', '1583286076276084736', '1592720777000652800', '1', '0');
INSERT INTO `train_class_teacher` VALUES ('1641314322430955520', '1327473526785052672', '1591967614425501696', '1', '0');

-- ----------------------------
-- Table structure for train_class_tool
-- ----------------------------
DROP TABLE IF EXISTS `train_class_tool`;
CREATE TABLE `train_class_tool` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `TRAIN_CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班ID',
  `TOOL_ID` bigint(19) DEFAULT NULL COMMENT '工具ID'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='培训班工具包 ';

-- ----------------------------
-- Records of train_class_tool
-- ----------------------------
INSERT INTO `train_class_tool` VALUES ('1564878604972724224', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564878605945802752', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564879040630886400', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564879041469747200', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564879348702515200', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564879405677940736', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564879850651652096', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564879874278166528', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564880257859850240', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564880293641457664', '1564865174085701632', null);
INSERT INTO `train_class_tool` VALUES ('1564881387977314304', '1564865174085701632', '6');
INSERT INTO `train_class_tool` VALUES ('1564881388723900416', '1564865174085701632', '12');
INSERT INTO `train_class_tool` VALUES ('1564882513220997120', '1564865174085701632', '8');
INSERT INTO `train_class_tool` VALUES ('1564886228862636032', '1564865174085701632', '5');
INSERT INTO `train_class_tool` VALUES ('1564886229500170240', '1564865174085701632', '7');
INSERT INTO `train_class_tool` VALUES ('1564886753033195520', '1564865174085701632', '4');
INSERT INTO `train_class_tool` VALUES ('1564886753813336064', '1564865174085701632', '6');
INSERT INTO `train_class_tool` VALUES ('1564886754446675968', '1564865174085701632', '8');
INSERT INTO `train_class_tool` VALUES ('1564886755147124736', '1564865174085701632', '9');
INSERT INTO `train_class_tool` VALUES ('1564886755742715904', '1564865174085701632', '10');
INSERT INTO `train_class_tool` VALUES ('1564886756413804544', '1564865174085701632', '11');
INSERT INTO `train_class_tool` VALUES ('1564886862194151424', '1564824127922114560', '4');
INSERT INTO `train_class_tool` VALUES ('1564886862764576768', '1564824127922114560', '5');
INSERT INTO `train_class_tool` VALUES ('1564886863330807808', '1564824127922114560', '6');
INSERT INTO `train_class_tool` VALUES ('1564886863918010368', '1564824127922114560', '7');
INSERT INTO `train_class_tool` VALUES ('1564886864555544576', '1564824127922114560', '8');
INSERT INTO `train_class_tool` VALUES ('1564886865222438912', '1564824127922114560', '9');
INSERT INTO `train_class_tool` VALUES ('1564886865843195904', '1564824127922114560', '10');
INSERT INTO `train_class_tool` VALUES ('1564886866497507328', '1564824127922114560', '11');
INSERT INTO `train_class_tool` VALUES ('1564886867080515584', '1564824127922114560', '12');
INSERT INTO `train_class_tool` VALUES ('1564887965883305984', '1564824127922114560', '5');
INSERT INTO `train_class_tool` VALUES ('1564887966583754752', '1564824127922114560', '7');
INSERT INTO `train_class_tool` VALUES ('1564887967200317440', '1564824127922114560', '9');
INSERT INTO `train_class_tool` VALUES ('1564887967883988992', '1564824127922114560', '11');
INSERT INTO `train_class_tool` VALUES ('1564892972556881920', '1564459315396481024', '4');
INSERT INTO `train_class_tool` VALUES ('1564990320666611712', '1562350332300890112', '12');
INSERT INTO `train_class_tool` VALUES ('1564990576808562688', '1562350332300890112', '4');
INSERT INTO `train_class_tool` VALUES ('1565167498637217792', '1', '4');
INSERT INTO `train_class_tool` VALUES ('1565171059383209984', '1', '14');
INSERT INTO `train_class_tool` VALUES ('1565510504020054016', '1565287753661419520', '7');
INSERT INTO `train_class_tool` VALUES ('1565541290563735552', '1', '7');
INSERT INTO `train_class_tool` VALUES ('1566009742252445696', '1566003404646518784', '4');
INSERT INTO `train_class_tool` VALUES ('1566009742474743808', '1566003404646518784', '5');
INSERT INTO `train_class_tool` VALUES ('1566009742709624832', '1566003404646518784', '6');
INSERT INTO `train_class_tool` VALUES ('1566009742969671680', '1566003404646518784', '7');
INSERT INTO `train_class_tool` VALUES ('1566009743187775488', '1566003404646518784', '8');
INSERT INTO `train_class_tool` VALUES ('1566009743418462208', '1566003404646518784', '9');
INSERT INTO `train_class_tool` VALUES ('1566009743649148928', '1566003404646518784', '10');
INSERT INTO `train_class_tool` VALUES ('1566009743854669824', '1566003404646518784', '11');
INSERT INTO `train_class_tool` VALUES ('1566009744093745152', '1566003404646518784', '12');
INSERT INTO `train_class_tool` VALUES ('1566972828606140416', '1566963572028870656', '4');
INSERT INTO `train_class_tool` VALUES ('1566972829046542336', '1566963572028870656', '5');
INSERT INTO `train_class_tool` VALUES ('1566972829537275904', '1566963572028870656', '6');
INSERT INTO `train_class_tool` VALUES ('1566972829822488576', '1566963572028870656', '7');
INSERT INTO `train_class_tool` VALUES ('1566972830040592384', '1566963572028870656', '8');
INSERT INTO `train_class_tool` VALUES ('1566972830317416448', '1566963572028870656', '9');
INSERT INTO `train_class_tool` VALUES ('1566972830749429760', '1566963572028870656', '10');
INSERT INTO `train_class_tool` VALUES ('1566972830967533568', '1566963572028870656', '11');
INSERT INTO `train_class_tool` VALUES ('1566972832255184896', '1566963572028870656', '12');
INSERT INTO `train_class_tool` VALUES ('1567077742724386816', '1567072385281167360', '4');
INSERT INTO `train_class_tool` VALUES ('1567077846923481088', '1564137571225833472', '10');
INSERT INTO `train_class_tool` VALUES ('1567077851587547136', '1564137571225833472', '11');
INSERT INTO `train_class_tool` VALUES ('1567424137788526592', '1567421460673335296', '8');
INSERT INTO `train_class_tool` VALUES ('1567453306509463552', '1564459315396481024', '10');
INSERT INTO `train_class_tool` VALUES ('1569496447659937792', '1567354977431719936', '5');
INSERT INTO `train_class_tool` VALUES ('1569500205731155968', '1564137571225833472', '5');
INSERT INTO `train_class_tool` VALUES ('1569515717722771456', '1567813857320243200', '4');
INSERT INTO `train_class_tool` VALUES ('1569515717932486656', '1567813857320243200', '5');
INSERT INTO `train_class_tool` VALUES ('1569515718133813248', '1567813857320243200', '6');
INSERT INTO `train_class_tool` VALUES ('1569515718356111360', '1567813857320243200', '7');
INSERT INTO `train_class_tool` VALUES ('1569515718574215168', '1567813857320243200', '8');
INSERT INTO `train_class_tool` VALUES ('1569515718771347456', '1567813857320243200', '9');
INSERT INTO `train_class_tool` VALUES ('1569515718960091136', '1567813857320243200', '10');
INSERT INTO `train_class_tool` VALUES ('1569515719174000640', '1567813857320243200', '11');
INSERT INTO `train_class_tool` VALUES ('1569515719429853184', '1567813857320243200', '12');
INSERT INTO `train_class_tool` VALUES ('1569521034795814912', '1564459315396481024', '7');
INSERT INTO `train_class_tool` VALUES ('1569522149364994048', '1564459315396481024', '5');
INSERT INTO `train_class_tool` VALUES ('1569631758612303872', '1567354977431719936', '4');
INSERT INTO `train_class_tool` VALUES ('1569631758671024128', '1567354977431719936', '6');
INSERT INTO `train_class_tool` VALUES ('1569631758700384256', '1567354977431719936', '7');
INSERT INTO `train_class_tool` VALUES ('1569631758754910208', '1567354977431719936', '8');
INSERT INTO `train_class_tool` VALUES ('1569631758801047552', '1567354977431719936', '9');
INSERT INTO `train_class_tool` VALUES ('1569631758851379200', '1567354977431719936', '10');
INSERT INTO `train_class_tool` VALUES ('1569631758884933632', '1567354977431719936', '11');
INSERT INTO `train_class_tool` VALUES ('1569631758931070976', '1567354977431719936', '12');
INSERT INTO `train_class_tool` VALUES ('1570258377253195776', '1570226030914965504', '4');
INSERT INTO `train_class_tool` VALUES ('1570258377316110336', '1570226030914965504', '5');
INSERT INTO `train_class_tool` VALUES ('1570258377387413504', '1570226030914965504', '6');
INSERT INTO `train_class_tool` VALUES ('1570258377462910976', '1570226030914965504', '7');
INSERT INTO `train_class_tool` VALUES ('1570258377538408448', '1570226030914965504', '8');
INSERT INTO `train_class_tool` VALUES ('1570258377630683136', '1570226030914965504', '9');
INSERT INTO `train_class_tool` VALUES ('1570258377727152128', '1570226030914965504', '10');
INSERT INTO `train_class_tool` VALUES ('1570258377802649600', '1570226030914965504', '11');
INSERT INTO `train_class_tool` VALUES ('1570258377878147072', '1570226030914965504', '12');
INSERT INTO `train_class_tool` VALUES ('1570298978610843648', '1570297537271828480', '4');
INSERT INTO `train_class_tool` VALUES ('1570298978694729728', '1570297537271828480', '5');
INSERT INTO `train_class_tool` VALUES ('1570298978745061376', '1570297537271828480', '6');
INSERT INTO `train_class_tool` VALUES ('1570298978803781632', '1570297537271828480', '7');
INSERT INTO `train_class_tool` VALUES ('1570298978858307584', '1570297537271828480', '8');
INSERT INTO `train_class_tool` VALUES ('1570298978933805056', '1570297537271828480', '9');
INSERT INTO `train_class_tool` VALUES ('1570298979009302528', '1570297537271828480', '10');
INSERT INTO `train_class_tool` VALUES ('1570298979084800000', '1570297537271828480', '11');
INSERT INTO `train_class_tool` VALUES ('1570298979139325952', '1570297537271828480', '12');
INSERT INTO `train_class_tool` VALUES ('1570299755433693184', '1570297537271828480', null);
INSERT INTO `train_class_tool` VALUES ('1570327214375964672', '1569961112236068864', '5');
INSERT INTO `train_class_tool` VALUES ('1570327346131636224', '1569961112236068864', '9');
INSERT INTO `train_class_tool` VALUES ('1570327361470205952', '1569961112236068864', '8');
INSERT INTO `train_class_tool` VALUES ('1570327380378128384', '1569961112236068864', '4');
INSERT INTO `train_class_tool` VALUES ('1570327381007273984', '1569961112236068864', '6');
INSERT INTO `train_class_tool` VALUES ('1570327381275709440', '1569961112236068864', '7');
INSERT INTO `train_class_tool` VALUES ('1570327381544144896', '1569961112236068864', '10');
INSERT INTO `train_class_tool` VALUES ('1570327381799997440', '1569961112236068864', '11');
INSERT INTO `train_class_tool` VALUES ('1570327382194262016', '1569961112236068864', '12');
INSERT INTO `train_class_tool` VALUES ('1570343360252743680', '1570250910679044096', '4');
INSERT INTO `train_class_tool` VALUES ('1570343361179684864', '1570250910679044096', '5');
INSERT INTO `train_class_tool` VALUES ('1570343362039517184', '1570250910679044096', '6');
INSERT INTO `train_class_tool` VALUES ('1570343362240843776', '1570250910679044096', '7');
INSERT INTO `train_class_tool` VALUES ('1570343362446364672', '1570250910679044096', '8');
INSERT INTO `train_class_tool` VALUES ('1570343362656079872', '1570250910679044096', '9');
INSERT INTO `train_class_tool` VALUES ('1570343362874183680', '1570250910679044096', '10');
INSERT INTO `train_class_tool` VALUES ('1570343363096481792', '1570250910679044096', '11');
INSERT INTO `train_class_tool` VALUES ('1570343363302002688', '1570250910679044096', '12');
INSERT INTO `train_class_tool` VALUES ('1570347540946227200', '1570344722680123392', '4');
INSERT INTO `train_class_tool` VALUES ('1570347541709590528', '1570344722680123392', '5');
INSERT INTO `train_class_tool` VALUES ('1570347542456176640', '1570344722680123392', '6');
INSERT INTO `train_class_tool` VALUES ('1570347543123070976', '1570344722680123392', '7');
INSERT INTO `train_class_tool` VALUES ('1570347543764799488', '1570344722680123392', '8');
INSERT INTO `train_class_tool` VALUES ('1570347544444276736', '1570344722680123392', '9');
INSERT INTO `train_class_tool` VALUES ('1570347545295720448', '1570344722680123392', '10');
INSERT INTO `train_class_tool` VALUES ('1570347545979392000', '1570344722680123392', '11');
INSERT INTO `train_class_tool` VALUES ('1570347546738561024', '1570344722680123392', '12');
INSERT INTO `train_class_tool` VALUES ('1570348812306878464', '1570348192174837760', '4');
INSERT INTO `train_class_tool` VALUES ('1570349482778955776', '1570348192174837760', '5');
INSERT INTO `train_class_tool` VALUES ('1570349483395518464', '1570348192174837760', '6');
INSERT INTO `train_class_tool` VALUES ('1570349483982721024', '1570348192174837760', '7');
INSERT INTO `train_class_tool` VALUES ('1570349484595089408', '1570348192174837760', '8');
INSERT INTO `train_class_tool` VALUES ('1570349485173903360', '1570348192174837760', '9');
INSERT INTO `train_class_tool` VALUES ('1570349485815631872', '1570348192174837760', '10');
INSERT INTO `train_class_tool` VALUES ('1570349486469943296', '1570348192174837760', '11');
INSERT INTO `train_class_tool` VALUES ('1570349487136837632', '1570348192174837760', '12');
INSERT INTO `train_class_tool` VALUES ('1570587629362221056', '1570349627503415296', '4');
INSERT INTO `train_class_tool` VALUES ('1570587629597102080', '1570349627503415296', '7');
INSERT INTO `train_class_tool` VALUES ('1570620839773212672', '1570339436661706752', '8');
INSERT INTO `train_class_tool` VALUES ('1570652346290147328', '1570339435038511104', '8');
INSERT INTO `train_class_tool` VALUES ('1571678526929768448', '1565265070819250176', '10');
INSERT INTO `train_class_tool` VALUES ('1571679506010345472', '1562350332300890112', '10');
INSERT INTO `train_class_tool` VALUES ('1571692493689458688', '1570693801251573760', '9');
INSERT INTO `train_class_tool` VALUES ('1571692636107051008', '1570339436661706752', '9');
INSERT INTO `train_class_tool` VALUES ('1571696305162555392', '1570339435038511104', '4');
INSERT INTO `train_class_tool` VALUES ('1571696305418407936', '1570339435038511104', '5');
INSERT INTO `train_class_tool` VALUES ('1571696305653288960', '1570339435038511104', '6');
INSERT INTO `train_class_tool` VALUES ('1571696305917530112', '1570339435038511104', '7');
INSERT INTO `train_class_tool` VALUES ('1571696306160799744', '1570339435038511104', '9');
INSERT INTO `train_class_tool` VALUES ('1571696306391486464', '1570339435038511104', '10');
INSERT INTO `train_class_tool` VALUES ('1571696306680893440', '1570339435038511104', '11');
INSERT INTO `train_class_tool` VALUES ('1571696306932551680', '1570339435038511104', '12');
INSERT INTO `train_class_tool` VALUES ('1571741992566788096', '1570693801251573760', '7');
INSERT INTO `train_class_tool` VALUES ('1572063332796600320', '1571736395163242496', '5');
INSERT INTO `train_class_tool` VALUES ('1572102495726080000', '1570693801251573760', '5');
INSERT INTO `train_class_tool` VALUES ('1572119951320420352', '1571736395163242496', '4');
INSERT INTO `train_class_tool` VALUES ('1572119952578711552', '1571736395163242496', '6');
INSERT INTO `train_class_tool` VALUES ('1572119952821981184', '1571736395163242496', '7');
INSERT INTO `train_class_tool` VALUES ('1572119953069445120', '1571736395163242496', '8');
INSERT INTO `train_class_tool` VALUES ('1572119953300131840', '1571736395163242496', '9');
INSERT INTO `train_class_tool` VALUES ('1572119953526624256', '1571736395163242496', '10');
INSERT INTO `train_class_tool` VALUES ('1572119953753116672', '1571736395163242496', '11');
INSERT INTO `train_class_tool` VALUES ('1572119954105438208', '1571736395163242496', '12');
INSERT INTO `train_class_tool` VALUES ('1572158748640808960', '1572103420964376576', '4');
INSERT INTO `train_class_tool` VALUES ('1572158748867301376', '1572103420964376576', '5');
INSERT INTO `train_class_tool` VALUES ('1572158749102182400', '1572103420964376576', '6');
INSERT INTO `train_class_tool` VALUES ('1572158749362229248', '1572103420964376576', '7');
INSERT INTO `train_class_tool` VALUES ('1572158749584527360', '1572103420964376576', '8');
INSERT INTO `train_class_tool` VALUES ('1572158749806825472', '1572103420964376576', '9');
INSERT INTO `train_class_tool` VALUES ('1572158750033317888', '1572103420964376576', '10');
INSERT INTO `train_class_tool` VALUES ('1572158750255616000', '1572103420964376576', '11');
INSERT INTO `train_class_tool` VALUES ('1572158750477914112', '1572103420964376576', '12');
INSERT INTO `train_class_tool` VALUES ('1572163738797215744', '1572161388133093376', '9');
INSERT INTO `train_class_tool` VALUES ('1572422741775224832', '1572406044859174912', '10');
INSERT INTO `train_class_tool` VALUES ('1572422742463090688', '1572406044859174912', '11');
INSERT INTO `train_class_tool` VALUES ('1572422743083847680', '1572406044859174912', '12');
INSERT INTO `train_class_tool` VALUES ('1572433262041763840', '1572146637869027328', '9');
INSERT INTO `train_class_tool` VALUES ('1572433262750601216', '1572146637869027328', '12');
INSERT INTO `train_class_tool` VALUES ('1572460603497385984', '1572406044859174912', '9');
INSERT INTO `train_class_tool` VALUES ('1572484671567171584', '1572408168884080640', null);
INSERT INTO `train_class_tool` VALUES ('1572484680203243520', '1572408168884080640', null);
INSERT INTO `train_class_tool` VALUES ('1572516029622521856', '1572515153289809920', '7');
INSERT INTO `train_class_tool` VALUES ('1572756409039327232', '1572520923607732224', '12');
INSERT INTO `train_class_tool` VALUES ('1572762142598369280', '1572520001989120000', '12');
INSERT INTO `train_class_tool` VALUES ('1572793989030088704', '1572776695600123904', '6');
INSERT INTO `train_class_tool` VALUES ('1572850609256796160', '1572797449381220352', '4');
INSERT INTO `train_class_tool` VALUES ('1572850609307127808', '1572797449381220352', '5');
INSERT INTO `train_class_tool` VALUES ('1572850609357459456', '1572797449381220352', '6');
INSERT INTO `train_class_tool` VALUES ('1572850609428762624', '1572797449381220352', '7');
INSERT INTO `train_class_tool` VALUES ('1572850609495871488', '1572797449381220352', '8');
INSERT INTO `train_class_tool` VALUES ('1572850609562980352', '1572797449381220352', '9');
INSERT INTO `train_class_tool` VALUES ('1572850609617506304', '1572797449381220352', '10');
INSERT INTO `train_class_tool` VALUES ('1572850609693003776', '1572797449381220352', '11');
INSERT INTO `train_class_tool` VALUES ('1572850609760112640', '1572797449381220352', '12');
INSERT INTO `train_class_tool` VALUES ('1572879363760852992', '1572878780698071040', '4');
INSERT INTO `train_class_tool` VALUES ('1572879363806990336', '1572878780698071040', '5');
INSERT INTO `train_class_tool` VALUES ('1572879363827961856', '1572878780698071040', '6');
INSERT INTO `train_class_tool` VALUES ('1572879363848933376', '1572878780698071040', '7');
INSERT INTO `train_class_tool` VALUES ('1572879363869904896', '1572878780698071040', '8');
INSERT INTO `train_class_tool` VALUES ('1572879363907653632', '1572878780698071040', '9');
INSERT INTO `train_class_tool` VALUES ('1572879363928625152', '1572878780698071040', '10');
INSERT INTO `train_class_tool` VALUES ('1572879363945402368', '1572878780698071040', '11');
INSERT INTO `train_class_tool` VALUES ('1572879363970568192', '1572878780698071040', '12');
INSERT INTO `train_class_tool` VALUES ('1572889236204556288', '1572885613240258560', '5');
INSERT INTO `train_class_tool` VALUES ('1572889236238110720', '1572885613240258560', '7');
INSERT INTO `train_class_tool` VALUES ('1572889236284248064', '1572885613240258560', '10');
INSERT INTO `train_class_tool` VALUES ('1573123393769836544', '1572889486155714560', '5');
INSERT INTO `train_class_tool` VALUES ('1573123393811779584', '1572889486155714560', '7');
INSERT INTO `train_class_tool` VALUES ('1573123393853722624', '1572889486155714560', '10');
INSERT INTO `train_class_tool` VALUES ('1573194931164549120', '1573151458042449920', '5');
INSERT INTO `train_class_tool` VALUES ('1573194931219075072', '1573151458042449920', '7');
INSERT INTO `train_class_tool` VALUES ('1573194931290378240', '1573151458042449920', '10');
INSERT INTO `train_class_tool` VALUES ('1573226876409876480', '1573151458042449920', '6');
INSERT INTO `train_class_tool` VALUES ('1574285156221587456', '1574243202679050240', '5');
INSERT INTO `train_class_tool` VALUES ('1574285157089808384', '1574243202679050240', '5');
INSERT INTO `train_class_tool` VALUES ('1574600775701762048', '1573151458042449920', null);
INSERT INTO `train_class_tool` VALUES ('1574600785902309376', '1573151458042449920', null);
INSERT INTO `train_class_tool` VALUES ('1574647921373220864', '1572842240676597760', '4');
INSERT INTO `train_class_tool` VALUES ('1574647921406775296', '1572842240676597760', '5');
INSERT INTO `train_class_tool` VALUES ('1574647921461301248', '1572842240676597760', '6');
INSERT INTO `train_class_tool` VALUES ('1574647921511632896', '1572842240676597760', '7');
INSERT INTO `train_class_tool` VALUES ('1574647921587130368', '1572842240676597760', '8');
INSERT INTO `train_class_tool` VALUES ('1574647921637462016', '1572842240676597760', '9');
INSERT INTO `train_class_tool` VALUES ('1574647921687793664', '1572842240676597760', '10');
INSERT INTO `train_class_tool` VALUES ('1574647921738125312', '1572842240676597760', '11');
INSERT INTO `train_class_tool` VALUES ('1574647921809428480', '1572842240676597760', '12');
INSERT INTO `train_class_tool` VALUES ('1574665921035898880', '1574650579148476416', '4');
INSERT INTO `train_class_tool` VALUES ('1574665921094619136', '1574650579148476416', '5');
INSERT INTO `train_class_tool` VALUES ('1574665921149145088', '1574650579148476416', '6');
INSERT INTO `train_class_tool` VALUES ('1574665921203671040', '1574650579148476416', '7');
INSERT INTO `train_class_tool` VALUES ('1574665921233031168', '1574650579148476416', '8');
INSERT INTO `train_class_tool` VALUES ('1574665921291751424', '1574650579148476416', '9');
INSERT INTO `train_class_tool` VALUES ('1574665921363054592', '1574650579148476416', '10');
INSERT INTO `train_class_tool` VALUES ('1574665921434357760', '1574650579148476416', '11');
INSERT INTO `train_class_tool` VALUES ('1574665921493078016', '1574650579148476416', '12');
INSERT INTO `train_class_tool` VALUES ('1574665929944600576', '1574650579148476416', null);
INSERT INTO `train_class_tool` VALUES ('1575001539527970816', '1574690990105694208', '5');
INSERT INTO `train_class_tool` VALUES ('1575316521071284224', '1574673833242267648', '5');
INSERT INTO `train_class_tool` VALUES ('1575316712725811200', '1574668938376253440', '7');
INSERT INTO `train_class_tool` VALUES ('1575316709785604096', '1574668938376253440', '7');
INSERT INTO `train_class_tool` VALUES ('1575316705670991872', '1574668938376253440', '7');
INSERT INTO `train_class_tool` VALUES ('1575316799212359680', '1574668938376253440', '10');
INSERT INTO `train_class_tool` VALUES ('1575326049909215232', '1575325299946688512', '4');
INSERT INTO `train_class_tool` VALUES ('1575326049963741184', '1575325299946688512', '5');
INSERT INTO `train_class_tool` VALUES ('1575326050035044352', '1575325299946688512', '6');
INSERT INTO `train_class_tool` VALUES ('1575326050085376000', '1575325299946688512', '7');
INSERT INTO `train_class_tool` VALUES ('1575326050156679168', '1575325299946688512', '8');
INSERT INTO `train_class_tool` VALUES ('1575326050227982336', '1575325299946688512', '9');
INSERT INTO `train_class_tool` VALUES ('1575326050299285504', '1575325299946688512', '10');
INSERT INTO `train_class_tool` VALUES ('1575326050349617152', '1575325299946688512', '11');
INSERT INTO `train_class_tool` VALUES ('1575326050416726016', '1575325299946688512', '12');
INSERT INTO `train_class_tool` VALUES ('1575374257624584192', '1575364705646678016', '4');
INSERT INTO `train_class_tool` VALUES ('1575374257658138624', '1575364705646678016', '5');
INSERT INTO `train_class_tool` VALUES ('1575374257687498752', '1575364705646678016', '6');
INSERT INTO `train_class_tool` VALUES ('1575374257716858880', '1575364705646678016', '7');
INSERT INTO `train_class_tool` VALUES ('1575374257767190528', '1575364705646678016', '8');
INSERT INTO `train_class_tool` VALUES ('1575374257813327872', '1575364705646678016', '9');
INSERT INTO `train_class_tool` VALUES ('1575374257863659520', '1575364705646678016', '10');
INSERT INTO `train_class_tool` VALUES ('1575374257913991168', '1575364705646678016', '11');
INSERT INTO `train_class_tool` VALUES ('1575374257960128512', '1575364705646678016', '12');
INSERT INTO `train_class_tool` VALUES ('1575389424559198208', '1575364705646678016', null);
INSERT INTO `train_class_tool` VALUES ('1575410396829978624', '1575407526655168512', '6');
INSERT INTO `train_class_tool` VALUES ('1575411733491748864', '1575407526655168512', '4');
INSERT INTO `train_class_tool` VALUES ('1575411733709852672', '1575407526655168512', '5');
INSERT INTO `train_class_tool` VALUES ('1575411733919567872', '1575407526655168512', '7');
INSERT INTO `train_class_tool` VALUES ('1575411734146060288', '1575407526655168512', '8');
INSERT INTO `train_class_tool` VALUES ('1575411734368358400', '1575407526655168512', '9');
INSERT INTO `train_class_tool` VALUES ('1575411734649376768', '1575407526655168512', '10');
INSERT INTO `train_class_tool` VALUES ('1575411734863286272', '1575407526655168512', '11');
INSERT INTO `train_class_tool` VALUES ('1575411735068807168', '1575407526655168512', '12');
INSERT INTO `train_class_tool` VALUES ('1575429398348304384', '1575429026724581376', '6');
INSERT INTO `train_class_tool` VALUES ('1575692607240146944', '1575691944053575680', '6');
INSERT INTO `train_class_tool` VALUES ('1575727592357629952', '1575691944053575680', '10');
INSERT INTO `train_class_tool` VALUES ('1578569572661989376', '1575691944053575680', '5');
INSERT INTO `train_class_tool` VALUES ('1578655982588923904', '1575691944053575680', '7');
INSERT INTO `train_class_tool` VALUES ('1578925610602991616', '1578925079021096960', '6');
INSERT INTO `train_class_tool` VALUES ('1578925905173155840', '1578925079021096960', '10');
INSERT INTO `train_class_tool` VALUES ('1578977753091411968', '1578925079021096960', '4');
INSERT INTO `train_class_tool` VALUES ('1578977754567806976', '1578925079021096960', '5');
INSERT INTO `train_class_tool` VALUES ('1578977755331170304', '1578925079021096960', '7');
INSERT INTO `train_class_tool` VALUES ('1578977756027424768', '1578925079021096960', '8');
INSERT INTO `train_class_tool` VALUES ('1578977756719484928', '1578925079021096960', '9');
INSERT INTO `train_class_tool` VALUES ('1578977757344436224', '1578925079021096960', '11');
INSERT INTO `train_class_tool` VALUES ('1578977758028107776', '1578925079021096960', '12');
INSERT INTO `train_class_tool` VALUES ('1579283302920097792', '1579283027245273088', '6');
INSERT INTO `train_class_tool` VALUES ('1579284015859503104', '1579283811680784384', '6');
INSERT INTO `train_class_tool` VALUES ('1579284665800462336', '1579284493464899584', '6');
INSERT INTO `train_class_tool` VALUES ('1579289701414735872', '1579284493464899584', '4');
INSERT INTO `train_class_tool` VALUES ('1579299511501721600', '1579284493464899584', '5');
INSERT INTO `train_class_tool` VALUES ('1579307347099127808', '1579281614876315648', '10');
INSERT INTO `train_class_tool` VALUES ('1579341499756318720', '1579001547617079296', '6');
INSERT INTO `train_class_tool` VALUES ('1579357705607450624', '1579001547617079296', '4');
INSERT INTO `train_class_tool` VALUES ('1579357705863303168', '1579001547617079296', '5');
INSERT INTO `train_class_tool` VALUES ('1579357706064629760', '1579001547617079296', '7');
INSERT INTO `train_class_tool` VALUES ('1579357706270150656', '1579001547617079296', '8');
INSERT INTO `train_class_tool` VALUES ('1579357706521808896', '1579001547617079296', '9');
INSERT INTO `train_class_tool` VALUES ('1579357706735718400', '1579001547617079296', '10');
INSERT INTO `train_class_tool` VALUES ('1579357706958016512', '1579001547617079296', '11');
INSERT INTO `train_class_tool` VALUES ('1579357707159343104', '1579001547617079296', '12');
INSERT INTO `train_class_tool` VALUES ('1579654942187196416', '1579654776772235264', '6');
INSERT INTO `train_class_tool` VALUES ('1579713106366566400', '1579712896307433472', '6');
INSERT INTO `train_class_tool` VALUES ('1579713897122893824', '1579713717669597184', '6');
INSERT INTO `train_class_tool` VALUES ('1579714796293591040', '1579714620262846464', '6');
INSERT INTO `train_class_tool` VALUES ('1579716328825163776', '1579716155344556032', '6');
INSERT INTO `train_class_tool` VALUES ('1579725015065169920', '1579723260835270656', '6');
INSERT INTO `train_class_tool` VALUES ('1579727643107004416', '1579723260835270656', '4');
INSERT INTO `train_class_tool` VALUES ('1579727643136364544', '1579723260835270656', '5');
INSERT INTO `train_class_tool` VALUES ('1579727643266387968', '1579723260835270656', '7');
INSERT INTO `train_class_tool` VALUES ('1579727643308331008', '1579723260835270656', '8');
INSERT INTO `train_class_tool` VALUES ('1579727643375439872', '1579723260835270656', '9');
INSERT INTO `train_class_tool` VALUES ('1579727643421577216', '1579723260835270656', '10');
INSERT INTO `train_class_tool` VALUES ('1579727643463520256', '1579723260835270656', '11');
INSERT INTO `train_class_tool` VALUES ('1579727643513851904', '1579723260835270656', '12');
INSERT INTO `train_class_tool` VALUES ('1580093716939542528', '1580091399771131904', '4');
INSERT INTO `train_class_tool` VALUES ('1580093717002457088', '1580091399771131904', '5');
INSERT INTO `train_class_tool` VALUES ('1580093717073760256', '1580091399771131904', '7');
INSERT INTO `train_class_tool` VALUES ('1580093717149257728', '1580091399771131904', '8');
INSERT INTO `train_class_tool` VALUES ('1580093717220560896', '1580091399771131904', '9');
INSERT INTO `train_class_tool` VALUES ('1580093717275086848', '1580091399771131904', '10');
INSERT INTO `train_class_tool` VALUES ('1580093717354778624', '1580091399771131904', '11');
INSERT INTO `train_class_tool` VALUES ('1580093717430276096', '1580091399771131904', '12');
INSERT INTO `train_class_tool` VALUES ('1580114510201622528', '1580081304689577984', '4');
INSERT INTO `train_class_tool` VALUES ('1580114510239371264', '1580081304689577984', '5');
INSERT INTO `train_class_tool` VALUES ('1580114510289702912', '1580081304689577984', '7');
INSERT INTO `train_class_tool` VALUES ('1580114510327451648', '1580081304689577984', '8');
INSERT INTO `train_class_tool` VALUES ('1580114510381977600', '1580081304689577984', '9');
INSERT INTO `train_class_tool` VALUES ('1580114510432309248', '1580081304689577984', '10');
INSERT INTO `train_class_tool` VALUES ('1580114510486835200', '1580081304689577984', '11');
INSERT INTO `train_class_tool` VALUES ('1580114510537166848', '1580081304689577984', '12');
INSERT INTO `train_class_tool` VALUES ('1580376194103250944', '1580097115676348416', '5');
INSERT INTO `train_class_tool` VALUES ('1580444387048034304', '1580431304107888640', '12');
INSERT INTO `train_class_tool` VALUES ('1580444521664221184', '1580097115676348416', '12');
INSERT INTO `train_class_tool` VALUES ('1580455358604906496', '1580431304107888640', '7');
INSERT INTO `train_class_tool` VALUES ('1580488971228680192', '1580431304107888640', '5');
INSERT INTO `train_class_tool` VALUES ('1580739807045357568', '1580447986499063808', '7');
INSERT INTO `train_class_tool` VALUES ('1580798292512608256', '1580770390802829312', '7');
INSERT INTO `train_class_tool` VALUES ('1580798850959020032', '1580770390802829312', null);
INSERT INTO `train_class_tool` VALUES ('1580798870877769728', '1580770390802829312', '5');
INSERT INTO `train_class_tool` VALUES ('1580827092969459712', '1580770390802829312', '8');
INSERT INTO `train_class_tool` VALUES ('1580828892967604224', '1580821763359641600', '8');
INSERT INTO `train_class_tool` VALUES ('1581832433404350464', '1580803715470856192', '5');
INSERT INTO `train_class_tool` VALUES ('1581911463889604608', '1580821763359641600', '12');
INSERT INTO `train_class_tool` VALUES ('1581920229032857600', '1581920070244896768', '12');
INSERT INTO `train_class_tool` VALUES ('1581922693249372160', '1581922527133962240', '12');
INSERT INTO `train_class_tool` VALUES ('1581927983638253568', '1580821763359641600', '5');
INSERT INTO `train_class_tool` VALUES ('1582186913748619264', '1580803715470856192', '4');
INSERT INTO `train_class_tool` VALUES ('1582186914390347776', '1580803715470856192', '7');
INSERT INTO `train_class_tool` VALUES ('1582186915036270592', '1580803715470856192', '8');
INSERT INTO `train_class_tool` VALUES ('1582186915661221888', '1580803715470856192', '9');
INSERT INTO `train_class_tool` VALUES ('1582186916311339008', '1580803715470856192', '10');
INSERT INTO `train_class_tool` VALUES ('1582186916986621952', '1580803715470856192', '11');
INSERT INTO `train_class_tool` VALUES ('1582186917594796032', '1580803715470856192', '12');
INSERT INTO `train_class_tool` VALUES ('1582206333980119040', '1580821763359641600', null);
INSERT INTO `train_class_tool` VALUES ('1582206411667017728', '1580821763359641600', '10');
INSERT INTO `train_class_tool` VALUES ('1582212672877891584', '1580812952192290816', '10');
INSERT INTO `train_class_tool` VALUES ('1582690176243732480', '1582686163125276672', '4');
INSERT INTO `train_class_tool` VALUES ('1582690176289869824', '1582686163125276672', '5');
INSERT INTO `train_class_tool` VALUES ('1582690176319229952', '1582686163125276672', '7');
INSERT INTO `train_class_tool` VALUES ('1582690176352784384', '1582686163125276672', '8');
INSERT INTO `train_class_tool` VALUES ('1582690176382144512', '1582686163125276672', '9');
INSERT INTO `train_class_tool` VALUES ('1582690176411504640', '1582686163125276672', '10');
INSERT INTO `train_class_tool` VALUES ('1582690176445059072', '1582686163125276672', '11');
INSERT INTO `train_class_tool` VALUES ('1582690176474419200', '1582686163125276672', '12');
INSERT INTO `train_class_tool` VALUES ('1582944594906189824', '1582675574806155264', '7');
INSERT INTO `train_class_tool` VALUES ('1583291781028646912', '1582675574806155264', '12');
INSERT INTO `train_class_tool` VALUES ('1583356346076631040', '1583346873849221120', '4');
INSERT INTO `train_class_tool` VALUES ('1583356346114379776', '1583346873849221120', '5');
INSERT INTO `train_class_tool` VALUES ('1583356346143739904', '1583346873849221120', '7');
INSERT INTO `train_class_tool` VALUES ('1583356346173100032', '1583346873849221120', '8');
INSERT INTO `train_class_tool` VALUES ('1583356346202460160', '1583346873849221120', '9');
INSERT INTO `train_class_tool` VALUES ('1583356346231820288', '1583346873849221120', '10');
INSERT INTO `train_class_tool` VALUES ('1583356346261180416', '1583346873849221120', '11');
INSERT INTO `train_class_tool` VALUES ('1583356346290540544', '1583346873849221120', '12');
INSERT INTO `train_class_tool` VALUES ('1583363693826150400', '1583317513494728704', '4');
INSERT INTO `train_class_tool` VALUES ('1583363693863899136', '1583317513494728704', '5');
INSERT INTO `train_class_tool` VALUES ('1583363693897453568', '1583317513494728704', '7');
INSERT INTO `train_class_tool` VALUES ('1583363693931008000', '1583317513494728704', '8');
INSERT INTO `train_class_tool` VALUES ('1583363693964562432', '1583317513494728704', '9');
INSERT INTO `train_class_tool` VALUES ('1583363693993922560', '1583317513494728704', '10');
INSERT INTO `train_class_tool` VALUES ('1583363694023282688', '1583317513494728704', '11');
INSERT INTO `train_class_tool` VALUES ('1583363694052642816', '1583317513494728704', '12');
INSERT INTO `train_class_tool` VALUES ('1583682735417987072', '1583392110638403584', '5');
INSERT INTO `train_class_tool` VALUES ('1583683869616508928', '1583683407156744192', '5');
INSERT INTO `train_class_tool` VALUES ('1583705292296818688', '1583683407156744192', '4');
INSERT INTO `train_class_tool` VALUES ('1583705292896604160', '1583683407156744192', '7');
INSERT INTO `train_class_tool` VALUES ('1583705293550915584', '1583683407156744192', '8');
INSERT INTO `train_class_tool` VALUES ('1583705294142312448', '1583683407156744192', '9');
INSERT INTO `train_class_tool` VALUES ('1583705294775652352', '1583683407156744192', '10');
INSERT INTO `train_class_tool` VALUES ('1583705295408992256', '1583683407156744192', '11');
INSERT INTO `train_class_tool` VALUES ('1583705296059109376', '1583683407156744192', '12');
INSERT INTO `train_class_tool` VALUES ('1583705296927330304', '1583683407156744192', '4');
INSERT INTO `train_class_tool` VALUES ('1583705297594224640', '1583683407156744192', '7');
INSERT INTO `train_class_tool` VALUES ('1583705298265313280', '1583683407156744192', '8');
INSERT INTO `train_class_tool` VALUES ('1583705298919624704', '1583683407156744192', '9');
INSERT INTO `train_class_tool` VALUES ('1583705299582324736', '1583683407156744192', '10');
INSERT INTO `train_class_tool` VALUES ('1583705300219858944', '1583683407156744192', '11');
INSERT INTO `train_class_tool` VALUES ('1583705300882558976', '1583683407156744192', '12');
INSERT INTO `train_class_tool` VALUES ('1583722848025972736', '1583722097811787776', '4');
INSERT INTO `train_class_tool` VALUES ('1583722848059527168', '1583722097811787776', '5');
INSERT INTO `train_class_tool` VALUES ('1583722848088887296', '1583722097811787776', '7');
INSERT INTO `train_class_tool` VALUES ('1583722848118247424', '1583722097811787776', '8');
INSERT INTO `train_class_tool` VALUES ('1583722848143413248', '1583722097811787776', '9');
INSERT INTO `train_class_tool` VALUES ('1583722848172773376', '1583722097811787776', '10');
INSERT INTO `train_class_tool` VALUES ('1583722848202133504', '1583722097811787776', '11');
INSERT INTO `train_class_tool` VALUES ('1583722848231493632', '1583722097811787776', '12');
INSERT INTO `train_class_tool` VALUES ('1583732776824344576', '1583392110638403584', '7');
INSERT INTO `train_class_tool` VALUES ('1583741806162612224', '1583739434711519232', '4');
INSERT INTO `train_class_tool` VALUES ('1583741806204555264', '1583739434711519232', '5');
INSERT INTO `train_class_tool` VALUES ('1583741806238109696', '1583739434711519232', '7');
INSERT INTO `train_class_tool` VALUES ('1583741806267469824', '1583739434711519232', '8');
INSERT INTO `train_class_tool` VALUES ('1583741806305218560', '1583739434711519232', '9');
INSERT INTO `train_class_tool` VALUES ('1583741806334578688', '1583739434711519232', '10');
INSERT INTO `train_class_tool` VALUES ('1583741806372327424', '1583739434711519232', '11');
INSERT INTO `train_class_tool` VALUES ('1583741806401687552', '1583739434711519232', '12');
INSERT INTO `train_class_tool` VALUES ('1584426374108680192', '1583392110638403584', '12');
INSERT INTO `train_class_tool` VALUES ('1584518776664231936', '1583413010712629248', '11');
INSERT INTO `train_class_tool` VALUES ('1584743522010009600', '1583392110638403584', '10');
INSERT INTO `train_class_tool` VALUES ('1584801288028295168', '1583413010712629248', '10');
INSERT INTO `train_class_tool` VALUES ('1584806102623719424', '1584515014952357888', '10');
INSERT INTO `train_class_tool` VALUES ('1584806107199705088', '1584515014952357888', '10');
INSERT INTO `train_class_tool` VALUES ('1584810518584102912', '1583413010712629248', '4');
INSERT INTO `train_class_tool` VALUES ('1584810519192276992', '1583413010712629248', '5');
INSERT INTO `train_class_tool` VALUES ('1584811989505544192', '1584515014952357888', '5');
INSERT INTO `train_class_tool` VALUES ('1585184665038360576', '1585183526750392320', '4');
INSERT INTO `train_class_tool` VALUES ('1585462982538825728', '1585459813435969536', '5');
INSERT INTO `train_class_tool` VALUES ('1585462982576574464', '1585459813435969536', '7');
INSERT INTO `train_class_tool` VALUES ('1585462982605934592', '1585459813435969536', '10');
INSERT INTO `train_class_tool` VALUES ('1585530618601672704', '1585278127179960320', '10');
INSERT INTO `train_class_tool` VALUES ('1585542468282224640', '1585278127179960320', '5');
INSERT INTO `train_class_tool` VALUES ('1585550603164192768', '1585282067011342336', '10');
INSERT INTO `train_class_tool` VALUES ('1585833254295048192', '1584732496656994304', '5');
INSERT INTO `train_class_tool` VALUES ('1585895170669416448', '1585850472554696704', '5');
INSERT INTO `train_class_tool` VALUES ('1585911133510963200', '1585836831126196224', '10');
INSERT INTO `train_class_tool` VALUES ('1586924476250066944', '1585280589643255808', '11');
INSERT INTO `train_class_tool` VALUES ('1586965301587742720', '1586964413733277696', '5');
INSERT INTO `train_class_tool` VALUES ('1586970419443929088', '1586969194119958528', '11');
INSERT INTO `train_class_tool` VALUES ('1587028254236217344', '1585087041731956736', '11');
INSERT INTO `train_class_tool` VALUES ('1587063048357679104', '1586969194119958528', '4');
INSERT INTO `train_class_tool` VALUES ('1587285616683520000', '1586969194119958528', '10');
INSERT INTO `train_class_tool` VALUES ('1587303192155262976', '1586969194119958528', '5');
INSERT INTO `train_class_tool` VALUES ('1587987919262584832', '1586969194119958528', '7');
INSERT INTO `train_class_tool` VALUES ('1587987919891730432', '1586969194119958528', '8');
INSERT INTO `train_class_tool` VALUES ('1587987920533458944', '1586969194119958528', '9');
INSERT INTO `train_class_tool` VALUES ('1587987921212936192', '1586969194119958528', '12');
INSERT INTO `train_class_tool` VALUES ('1588061986841825280', '1588056226653147136', '10');
INSERT INTO `train_class_tool` VALUES ('1588070975952523264', '1587268699407126528', '9');
INSERT INTO `train_class_tool` VALUES ('1588080034265042944', '1587268699407126528', '12');
INSERT INTO `train_class_tool` VALUES ('1588084744866893824', '1587268699407126528', '4');
INSERT INTO `train_class_tool` VALUES ('1588086104521838592', '1588072776831471616', '9');
INSERT INTO `train_class_tool` VALUES ('1588728592454520832', '1588043345773596672', '5');
INSERT INTO `train_class_tool` VALUES ('1588729699377483776', '1588729101563334656', '5');
INSERT INTO `train_class_tool` VALUES ('1588733601204277248', '1588733407918166016', '5');
INSERT INTO `train_class_tool` VALUES ('1588741873474867200', '1588733407918166016', '4');
INSERT INTO `train_class_tool` VALUES ('1588741873671999488', '1588733407918166016', '7');
INSERT INTO `train_class_tool` VALUES ('1588741873860743168', '1588733407918166016', '8');
INSERT INTO `train_class_tool` VALUES ('1588741874070458368', '1588733407918166016', '9');
INSERT INTO `train_class_tool` VALUES ('1588741874980622336', '1588733407918166016', '10');
INSERT INTO `train_class_tool` VALUES ('1588741875240669184', '1588733407918166016', '11');
INSERT INTO `train_class_tool` VALUES ('1588741875450384384', '1588733407918166016', '12');
INSERT INTO `train_class_tool` VALUES ('1589098706819485696', '1589098507447439360', '5');
INSERT INTO `train_class_tool` VALUES ('1589860989103378432', '1589849256125140992', '12');
INSERT INTO `train_class_tool` VALUES ('1589918918183620608', '1589916039288852480', '10');
INSERT INTO `train_class_tool` VALUES ('1590252942122946560', '1589849256125140992', '5');
INSERT INTO `train_class_tool` VALUES ('1590523156521684992', '1589455280243085312', '5');
INSERT INTO `train_class_tool` VALUES ('1591993508183543808', '1591992260067725312', '4');
INSERT INTO `train_class_tool` VALUES ('1591993508225486848', '1591992260067725312', '5');
INSERT INTO `train_class_tool` VALUES ('1591993508263235584', '1591992260067725312', '7');
INSERT INTO `train_class_tool` VALUES ('1591993508296790016', '1591992260067725312', '8');
INSERT INTO `train_class_tool` VALUES ('1591993508330344448', '1591992260067725312', '9');
INSERT INTO `train_class_tool` VALUES ('1591993508468756480', '1591992260067725312', '10');
INSERT INTO `train_class_tool` VALUES ('1591993508502310912', '1591992260067725312', '11');
INSERT INTO `train_class_tool` VALUES ('1591993508535865344', '1591992260067725312', '12');
INSERT INTO `train_class_tool` VALUES ('1591995057311977472', '1591972857506828288', '5');
INSERT INTO `train_class_tool` VALUES ('1591995057349726208', '1591972857506828288', '10');
INSERT INTO `train_class_tool` VALUES ('1592024266021408768', '1591972857506828288', '4');
INSERT INTO `train_class_tool` VALUES ('1592024266059157504', '1591972857506828288', '7');
INSERT INTO `train_class_tool` VALUES ('1592024266096906240', '1591972857506828288', '8');
INSERT INTO `train_class_tool` VALUES ('1592024266134654976', '1591972857506828288', '9');
INSERT INTO `train_class_tool` VALUES ('1592024266247901184', '1591972857506828288', '11');
INSERT INTO `train_class_tool` VALUES ('1592024266281455616', '1591972857506828288', '12');
INSERT INTO `train_class_tool` VALUES ('1592028937020641280', '1592027379281301504', '5');
INSERT INTO `train_class_tool` VALUES ('1592066888698040320', '1592066677061849088', '5');
INSERT INTO `train_class_tool` VALUES ('1592067713050742784', '1592066677061849088', '10');
INSERT INTO `train_class_tool` VALUES ('1592067713092685824', '1592066677061849088', '11');
INSERT INTO `train_class_tool` VALUES ('1592067713126240256', '1592066677061849088', '12');
INSERT INTO `train_class_tool` VALUES ('1592089693393129472', '1592030599865044992', '10');
INSERT INTO `train_class_tool` VALUES ('1592107961478680576', '1592030599865044992', '5');
INSERT INTO `train_class_tool` VALUES ('1592111125292519424', '1592048661980909568', '5');
INSERT INTO `train_class_tool` VALUES ('1592114896462548992', '1590543802567888896', '5');
INSERT INTO `train_class_tool` VALUES ('1592349177130651648', '1592347795233312768', '10');
INSERT INTO `train_class_tool` VALUES ('1592356546556334080', '1592356114652073984', '4');
INSERT INTO `train_class_tool` VALUES ('1592356546602471424', '1592356114652073984', '5');
INSERT INTO `train_class_tool` VALUES ('1592356546640220160', '1592356114652073984', '7');
INSERT INTO `train_class_tool` VALUES ('1592356546673774592', '1592356114652073984', '12');
INSERT INTO `train_class_tool` VALUES ('1592418054678122496', '1592347795233312768', '5');
INSERT INTO `train_class_tool` VALUES ('1592437259808935936', '1592385355917692928', '5');
INSERT INTO `train_class_tool` VALUES ('1592447911810174976', '1592385355917692928', '7');
INSERT INTO `train_class_tool` VALUES ('1592449685551976448', '1592347795233312768', '7');
INSERT INTO `train_class_tool` VALUES ('1593165489008414720', '1585921029040115712', '4');
INSERT INTO `train_class_tool` VALUES ('1593165489650143232', '1585921029040115712', '5');
INSERT INTO `train_class_tool` VALUES ('1593165490317037568', '1585921029040115712', '7');
INSERT INTO `train_class_tool` VALUES ('1593165490933600256', '1585921029040115712', '8');
INSERT INTO `train_class_tool` VALUES ('1593165491537580032', '1585921029040115712', '9');
INSERT INTO `train_class_tool` VALUES ('1593165493878001664', '1585921029040115712', '10');
INSERT INTO `train_class_tool` VALUES ('1593165494519730176', '1585921029040115712', '11');
INSERT INTO `train_class_tool` VALUES ('1593165495165652992', '1585921029040115712', '12');
INSERT INTO `train_class_tool` VALUES ('1593166612800868352', '1593133878619541504', '4');
INSERT INTO `train_class_tool` VALUES ('1593166613438402560', '1593133878619541504', '5');
INSERT INTO `train_class_tool` VALUES ('1593166614075936768', '1593133878619541504', '7');
INSERT INTO `train_class_tool` VALUES ('1593166614747025408', '1593133878619541504', '8');
INSERT INTO `train_class_tool` VALUES ('1593166615422308352', '1593133878619541504', '9');
INSERT INTO `train_class_tool` VALUES ('1593166617569792000', '1593133878619541504', '10');
INSERT INTO `train_class_tool` VALUES ('1593166618211520512', '1593133878619541504', '11');
INSERT INTO `train_class_tool` VALUES ('1593166618865831936', '1593133878619541504', '12');
INSERT INTO `train_class_tool` VALUES ('1593166766773768192', '1593074623937908736', '4');
INSERT INTO `train_class_tool` VALUES ('1593166767402913792', '1593074623937908736', '5');
INSERT INTO `train_class_tool` VALUES ('1593166768036253696', '1593074623937908736', '7');
INSERT INTO `train_class_tool` VALUES ('1593166768682176512', '1593074623937908736', '8');
INSERT INTO `train_class_tool` VALUES ('1593166769319710720', '1593074623937908736', '9');
INSERT INTO `train_class_tool` VALUES ('1593166771496554496', '1593074623937908736', '10');
INSERT INTO `train_class_tool` VALUES ('1593166772155060224', '1593074623937908736', '11');
INSERT INTO `train_class_tool` VALUES ('1593166772780011520', '1593074623937908736', '12');
INSERT INTO `train_class_tool` VALUES ('1593166858285092864', '1593055771002802176', '4');
INSERT INTO `train_class_tool` VALUES ('1593166858947792896', '1593055771002802176', '5');
INSERT INTO `train_class_tool` VALUES ('1593166859564355584', '1593055771002802176', '7');
INSERT INTO `train_class_tool` VALUES ('1593166860277387264', '1593055771002802176', '8');
INSERT INTO `train_class_tool` VALUES ('1593166860923310080', '1593055771002802176', '9');
INSERT INTO `train_class_tool` VALUES ('1593166863045627904', '1593055771002802176', '10');
INSERT INTO `train_class_tool` VALUES ('1593166863695745024', '1593055771002802176', '11');
INSERT INTO `train_class_tool` VALUES ('1593166864329084928', '1593055771002802176', '12');
INSERT INTO `train_class_tool` VALUES ('1593195325626126336', '1593195024294744064', '5');
INSERT INTO `train_class_tool` VALUES ('1593195326246883328', '1593195024294744064', '7');
INSERT INTO `train_class_tool` VALUES ('1593494116572991488', '1593493864797310976', '5');
INSERT INTO `train_class_tool` VALUES ('1593498987288203264', '1593497104381251584', '4');
INSERT INTO `train_class_tool` VALUES ('1593498987971874816', '1593497104381251584', '5');
INSERT INTO `train_class_tool` VALUES ('1593498988756209664', '1593497104381251584', '7');
INSERT INTO `train_class_tool` VALUES ('1593498989423104000', '1593497104381251584', '8');
INSERT INTO `train_class_tool` VALUES ('1593498990064832512', '1593497104381251584', '9');
INSERT INTO `train_class_tool` VALUES ('1593498992325562368', '1593497104381251584', '10');
INSERT INTO `train_class_tool` VALUES ('1593498992988262400', '1593497104381251584', '11');
INSERT INTO `train_class_tool` VALUES ('1593498993583853568', '1593497104381251584', '12');
INSERT INTO `train_class_tool` VALUES ('1593503376593784832', '1593499312577449984', '5');
INSERT INTO `train_class_tool` VALUES ('1593789013641269248', '1593493864797310976', '4');
INSERT INTO `train_class_tool` VALUES ('1593789013683212288', '1593493864797310976', '7');
INSERT INTO `train_class_tool` VALUES ('1593789013720961024', '1593493864797310976', '8');
INSERT INTO `train_class_tool` VALUES ('1593789013762904064', '1593493864797310976', '9');
INSERT INTO `train_class_tool` VALUES ('1593789013918093312', '1593493864797310976', '10');
INSERT INTO `train_class_tool` VALUES ('1593789013960036352', '1593493864797310976', '11');
INSERT INTO `train_class_tool` VALUES ('1593789013997785088', '1593493864797310976', '12');
INSERT INTO `train_class_tool` VALUES ('1593842842952929280', '1593841368902537216', '5');
INSERT INTO `train_class_tool` VALUES ('1594214759660654592', '1593841368902537216', '7');
INSERT INTO `train_class_tool` VALUES ('1594511284899024896', '1594241800200130560', '4');
INSERT INTO `train_class_tool` VALUES ('1594511284936773632', '1594241800200130560', '5');
INSERT INTO `train_class_tool` VALUES ('1594511284970328064', '1594241800200130560', '7');
INSERT INTO `train_class_tool` VALUES ('1594511284999688192', '1594241800200130560', '8');
INSERT INTO `train_class_tool` VALUES ('1594511285029048320', '1594241800200130560', '9');
INSERT INTO `train_class_tool` VALUES ('1594511285146488832', '1594241800200130560', '10');
INSERT INTO `train_class_tool` VALUES ('1594511285180043264', '1594241800200130560', '11');
INSERT INTO `train_class_tool` VALUES ('1594511285213597696', '1594241800200130560', '12');
INSERT INTO `train_class_tool` VALUES ('1594511636968902656', '1594244407400468480', '5');
INSERT INTO `train_class_tool` VALUES ('1594558557196521472', '1594530952930004992', '4');
INSERT INTO `train_class_tool` VALUES ('1594558557242658816', '1594530952930004992', '5');
INSERT INTO `train_class_tool` VALUES ('1594558557276213248', '1594530952930004992', '7');
INSERT INTO `train_class_tool` VALUES ('1594558557313961984', '1594530952930004992', '8');
INSERT INTO `train_class_tool` VALUES ('1594558557351710720', '1594530952930004992', '9');
INSERT INTO `train_class_tool` VALUES ('1594558557490122752', '1594530952930004992', '10');
INSERT INTO `train_class_tool` VALUES ('1594558557532065792', '1594530952930004992', '11');
INSERT INTO `train_class_tool` VALUES ('1594558557565620224', '1594530952930004992', '12');
INSERT INTO `train_class_tool` VALUES ('1594563278498041856', '1594562352714485760', '4');
INSERT INTO `train_class_tool` VALUES ('1594563278544179200', '1594562352714485760', '5');
INSERT INTO `train_class_tool` VALUES ('1594563278581927936', '1594562352714485760', '7');
INSERT INTO `train_class_tool` VALUES ('1594563278619676672', '1594562352714485760', '8');
INSERT INTO `train_class_tool` VALUES ('1594563280033157120', '1594562352714485760', '9');
INSERT INTO `train_class_tool` VALUES ('1594563281631186944', '1594562352714485760', '10');
INSERT INTO `train_class_tool` VALUES ('1594563281668935680', '1594562352714485760', '11');
INSERT INTO `train_class_tool` VALUES ('1594563281706684416', '1594562352714485760', '12');
INSERT INTO `train_class_tool` VALUES ('1594568249444536320', '1594501807982383104', '4');
INSERT INTO `train_class_tool` VALUES ('1594572303646199808', '1594569101844549632', '4');
INSERT INTO `train_class_tool` VALUES ('1594587485332180992', '1594586018877673472', '10');
INSERT INTO `train_class_tool` VALUES ('1594588305834512384', '1594586018877673472', '6');
INSERT INTO `train_class_tool` VALUES ('1594589244213563392', '1594586018877673472', '5');
INSERT INTO `train_class_tool` VALUES ('1594589245115338752', '1594586018877673472', '7');
INSERT INTO `train_class_tool` VALUES ('1594589246193274880', '1594586018877673472', '8');
INSERT INTO `train_class_tool` VALUES ('1594589247258628096', '1594586018877673472', '9');
INSERT INTO `train_class_tool` VALUES ('1594589251184496640', '1594586018877673472', '11');
INSERT INTO `train_class_tool` VALUES ('1594589252501508096', '1594586018877673472', '12');
INSERT INTO `train_class_tool` VALUES ('1594589295870611456', '1594571954189373440', '5');
INSERT INTO `train_class_tool` VALUES ('1594589297451864064', '1594571954189373440', '6');
INSERT INTO `train_class_tool` VALUES ('1594589298018095104', '1594571954189373440', '7');
INSERT INTO `train_class_tool` VALUES ('1594589298584326144', '1594571954189373440', '8');
INSERT INTO `train_class_tool` VALUES ('1594589299146362880', '1594571954189373440', '9');
INSERT INTO `train_class_tool` VALUES ('1594589301209960448', '1594571954189373440', '10');
INSERT INTO `train_class_tool` VALUES ('1594589301767802880', '1594571954189373440', '11');
INSERT INTO `train_class_tool` VALUES ('1594589302350811136', '1594571954189373440', '12');
INSERT INTO `train_class_tool` VALUES ('1594590351044251648', '1594565664650170368', '10');
INSERT INTO `train_class_tool` VALUES ('1594638369902694400', '1594569101844549632', '9');
INSERT INTO `train_class_tool` VALUES ('1594638422138556416', '1594523997104640000', '9');
INSERT INTO `train_class_tool` VALUES ('1595251176071368704', '1594597850510135296', '5');
INSERT INTO `train_class_tool` VALUES ('1595251176721485824', '1594597850510135296', '6');
INSERT INTO `train_class_tool` VALUES ('1595251177329659904', '1594597850510135296', '7');
INSERT INTO `train_class_tool` VALUES ('1595251177979777024', '1594597850510135296', '8');
INSERT INTO `train_class_tool` VALUES ('1595251178671837184', '1594597850510135296', '9');
INSERT INTO `train_class_tool` VALUES ('1595251180970315776', '1594597850510135296', '10');
INSERT INTO `train_class_tool` VALUES ('1595251181704318976', '1594597850510135296', '11');
INSERT INTO `train_class_tool` VALUES ('1595251182413156352', '1594597850510135296', '12');
INSERT INTO `train_class_tool` VALUES ('1595695447505244160', '1595344829099937792', '5');
INSERT INTO `train_class_tool` VALUES ('1596347182833864704', '1596346735863664640', '5');
INSERT INTO `train_class_tool` VALUES ('1596347183035191296', '1596346735863664640', '6');
INSERT INTO `train_class_tool` VALUES ('1596347183207157760', '1596346735863664640', '7');
INSERT INTO `train_class_tool` VALUES ('1596347183374929920', '1596346735863664640', '8');
INSERT INTO `train_class_tool` VALUES ('1596347183576256512', '1596346735863664640', '9');
INSERT INTO `train_class_tool` VALUES ('1596347184410923008', '1596346735863664640', '10');
INSERT INTO `train_class_tool` VALUES ('1596347184645804032', '1596346735863664640', '11');
INSERT INTO `train_class_tool` VALUES ('1596347184821964800', '1596346735863664640', '12');
INSERT INTO `train_class_tool` VALUES ('1596386173658468352', '1596385685659586560', '5');
INSERT INTO `train_class_tool` VALUES ('1596420479898488832', '1596385685659586560', '6');
INSERT INTO `train_class_tool` VALUES ('1596439043716026368', '1596385685659586560', '12');
INSERT INTO `train_class_tool` VALUES ('1596464696838459392', '1596385685659586560', '7');
INSERT INTO `train_class_tool` VALUES ('1596496817472802816', '1594982368521883648', '5');
INSERT INTO `train_class_tool` VALUES ('1596498945356468224', '1596498438508384256', '5');
INSERT INTO `train_class_tool` VALUES ('1596671367607095296', '1596670850063536128', '5');
INSERT INTO `train_class_tool` VALUES ('1596746248914866176', '1596745761951977472', '5');
INSERT INTO `train_class_tool` VALUES ('1596749889570738176', '1596670850063536128', '12');
INSERT INTO `train_class_tool` VALUES ('1596790067890884608', '1596789911623700480', '5');
INSERT INTO `train_class_tool` VALUES ('1596799747123974144', '1596330952991313920', '6');
INSERT INTO `train_class_tool` VALUES ('1596801249972457472', '1596498438508384256', '6');
INSERT INTO `train_class_tool` VALUES ('1597045762989101056', '1596788426072526848', '5');
INSERT INTO `train_class_tool` VALUES ('1597852121208852480', '1597146387521343488', '10');
INSERT INTO `train_class_tool` VALUES ('1597852121242406912', '1597146387521343488', '5');
INSERT INTO `train_class_tool` VALUES ('1597852121275961344', '1597146387521343488', '7');
INSERT INTO `train_class_tool` VALUES ('1597852121309515776', '1597146387521343488', '8');
INSERT INTO `train_class_tool` VALUES ('1597852121338875904', '1597146387521343488', '9');
INSERT INTO `train_class_tool` VALUES ('1597852121439539200', '1597146387521343488', '6');
INSERT INTO `train_class_tool` VALUES ('1597852121468899328', '1597146387521343488', '11');
INSERT INTO `train_class_tool` VALUES ('1597852121498259456', '1597146387521343488', '12');
INSERT INTO `train_class_tool` VALUES ('1598522154167701504', '1598521650104635392', '5');
INSERT INTO `train_class_tool` VALUES ('1598953976336879616', '1598951182674563072', '5');
INSERT INTO `train_class_tool` VALUES ('1598953976378822656', '1598951182674563072', '6');
INSERT INTO `train_class_tool` VALUES ('1602139488514084864', '1598521650104635392', '10');
INSERT INTO `train_class_tool` VALUES ('1605048537677172736', '1598521650104635392', '9');
INSERT INTO `train_class_tool` VALUES ('1610198275456110592', '1610175794691313664', '5');
INSERT INTO `train_class_tool` VALUES ('1610198275498053632', '1610175794691313664', '6');
INSERT INTO `train_class_tool` VALUES ('1610198275531608064', '1610175794691313664', '7');
INSERT INTO `train_class_tool` VALUES ('1610198275565162496', '1610175794691313664', '8');
INSERT INTO `train_class_tool` VALUES ('1610198275598716928', '1610175794691313664', '9');
INSERT INTO `train_class_tool` VALUES ('1610198275779072000', '1610175794691313664', '10');
INSERT INTO `train_class_tool` VALUES ('1610198275812626432', '1610175794691313664', '11');
INSERT INTO `train_class_tool` VALUES ('1610198275841986560', '1610175794691313664', '12');
INSERT INTO `train_class_tool` VALUES ('1642788877917884416', '1640983724587880448', '13');
INSERT INTO `train_class_tool` VALUES ('1643884460799823872', '1640983724587880448', '5');
INSERT INTO `train_class_tool` VALUES ('1643889312934268928', '1640983724587880448', '6');
INSERT INTO `train_class_tool` VALUES ('1673179215417184256', '1673178905432952832', '5');
INSERT INTO `train_class_tool` VALUES ('1673179216088272896', '1673178905432952832', '6');
INSERT INTO `train_class_tool` VALUES ('1673179216788721664', '1673178905432952832', '7');
INSERT INTO `train_class_tool` VALUES ('1673179217560473600', '1673178905432952832', '8');
INSERT INTO `train_class_tool` VALUES ('1673179218206396416', '1673178905432952832', '9');
INSERT INTO `train_class_tool` VALUES ('1673179220601344000', '1673178905432952832', '10');
INSERT INTO `train_class_tool` VALUES ('1673179221247266816', '1673178905432952832', '11');
INSERT INTO `train_class_tool` VALUES ('1673179221876412416', '1673178905432952832', '12');
INSERT INTO `train_class_tool` VALUES ('1673179222551695360', '1673178905432952832', '5');
INSERT INTO `train_class_tool` VALUES ('1673179222526529536', '1673178905432952832', '13');
INSERT INTO `train_class_tool` VALUES ('1673179223222784000', '1673178905432952832', '6');
INSERT INTO `train_class_tool` VALUES ('1673179223881289728', '1673178905432952832', '7');
INSERT INTO `train_class_tool` VALUES ('1673179224569155584', '1673178905432952832', '8');
INSERT INTO `train_class_tool` VALUES ('1673179225227661312', '1673178905432952832', '9');
INSERT INTO `train_class_tool` VALUES ('1673179227446448128', '1673178905432952832', '10');
INSERT INTO `train_class_tool` VALUES ('1673179228134313984', '1673178905432952832', '11');
INSERT INTO `train_class_tool` VALUES ('1673179228784431104', '1673178905432952832', '12');
INSERT INTO `train_class_tool` VALUES ('1673179229539405824', '1673178905432952832', '13');
INSERT INTO `train_class_tool` VALUES ('1689906061542297600', '1689903076166733824', '5');
INSERT INTO `train_class_tool` VALUES ('1689906062192414720', '1689903076166733824', '6');
INSERT INTO `train_class_tool` VALUES ('1691378976305582080', '1691377993613709312', '5');
INSERT INTO `train_class_tool` VALUES ('1691378976926339072', '1691377993613709312', '6');
INSERT INTO `train_class_tool` VALUES ('1691386650455838720', '1691385882579439616', '5');
INSERT INTO `train_class_tool` VALUES ('1691386651114344448', '1691385882579439616', '6');
INSERT INTO `train_class_tool` VALUES ('127051940562756985', '127050043999518848', '6');
INSERT INTO `train_class_tool` VALUES ('128034155274998794', '127931103763926586', '11');
INSERT INTO `train_class_tool` VALUES ('128127069688702871', '127931103763926586', '6');
INSERT INTO `train_class_tool` VALUES ('128139291351038881', '127931103763926586', '7');
INSERT INTO `train_class_tool` VALUES ('130668761422118752', '127931103763926586', '5');

-- ----------------------------
-- Table structure for train_class_trainer_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_class_trainer_appraise`;
CREATE TABLE `train_class_trainer_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师名',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  `train_class_appraise_list_id` varchar(20) DEFAULT NULL COMMENT '评论计划id',
  `appraise_num` int(11) DEFAULT NULL COMMENT '评论次数',
  `user_appraise_id` bigint(20) DEFAULT NULL COMMENT '用户评价id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户讲师评价项';

-- ----------------------------
-- Records of train_class_trainer_appraise
-- ----------------------------
INSERT INTO `train_class_trainer_appraise` VALUES ('1588732272767537152', '1588729101563334656', null, null, '1572825817233362944', '灿', '1588731769568497666', '僵尸讲的怎么样', '12', '1588731769279090688', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1588735279714406400', '1588733407918166016', null, null, '1572825817233362944', '灿', '1588734809667145730', '僵尸讲的怎么样', '12', '1588734808689872896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1588823610917785600', '1588733407918166016', null, null, '1574656123775094784', '李露露', '1588735416515825672', '僵尸讲的怎么样', '15', '1588734808689872896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589104477888188416', '1589098507447439360', null, null, '1574656123775094784', '李露露', '1589101563224395776', '僵尸讲的怎么样', '12', '1589101563115343872', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589104477888188423', '1589098507447439360', null, null, '1574656123775094784', '李露露', '1589101563320864771', '讲师教的怎么样子', '14', '1589101563115343872', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589105061840162816', '1589098507447439360', null, null, '1567097186544652288', '何云凡', '1589101563224395776', '僵尸讲的怎么样', '6', '1589101563115343872', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589105061840162820', '1589098507447439360', null, null, '1567097186544652288', '何云凡', '1589101563320864771', '讲师教的怎么样子', '12', '1589101563115343872', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589470824103022592', '1588729101563334656', null, null, '1567097186544652288', '何云凡', '1588731769568497666', '僵尸讲的怎么样', '12', '1588731769279090688', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589498189424234496', '1588729101563334656', null, null, '1567097186544652288', '何云凡', '1589497910402355200', '僵尸讲的怎么样', '12', '1589497910297497600', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589498290838310913', '1588729101563334656', null, null, '1567097186544652288', '何云凡', '1589497910494629891', '讲师教的怎么样子', '14', '1589497910297497600', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589501022533980160', '1588729101563334656', null, null, '1574656123775094784', '李露露', '1589497910402355200', '僵尸讲的怎么样', '12', '1589497910297497600', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1589501022533980164', '1588729101563334656', null, null, '1574656123775094784', '李露露', '1589497910494629891', '讲师教的怎么样子', '10', '1589497910297497600', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1591999162491211776', '1591972857506828288', null, null, '1574653861665312768', '李露', '1591998948099362821', '讲师评价', '8', '1591998699687514112', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1591999162491211780', null, null, null, '1574653861665312768', '李露', '1591998948099362816', '请对楚序平老师授课情况进行评价？', '9', '1591998699687514112', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592033733022715904', '1592027379281301504', null, null, '1591989767631933440', '高郑州', '1592029085880684544', '讲师星级评价项目', '15', '1592029085859713024', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592034738145726464', '1591972857506828288', null, null, '1574653861665312768', '李露', '1591998948099362821', '讲师评价', '11', '1591998699687514112', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592034738145726468', null, null, null, '1574653861665312768', '李露', '1591998948099362816', '请对楚序平老师授课情况进行评价？', '9', '1591998699687514112', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592069488902279168', '1592066677061849088', null, null, '1591967614425501696', '高志远', '1592067010504822784', '讲师星级评价项目', '15', '1592067010479656960', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592358530399211520', '1592356114652073984', null, null, '1592077522693132288', '高老师', '1592358453978992640', '讲师星级评价项目', '15', '1592358453949632512', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592422536778485760', '1592048661980909568', null, null, '1574653861665312768', '李露', '1592417620576047104', '僵尸讲的怎么样', '2', '1592417620546686976', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1592422536778485764', '1592048661980909568', null, null, '1574653861665312768', '李露', '1592417620580241411', '讲师教的怎么样子', '4', '1592417620546686976', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547136', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547140', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547144', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547148', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '25', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547158', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547161', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '9', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593487876547547168', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362176', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362180', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362184', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362188', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '25', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362198', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362201', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488109373362208', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675392', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675396', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '20', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675402', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675406', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675414', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '8', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675417', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '8', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593488527247675424', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131456', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131460', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131464', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '25', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131470', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131478', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131481', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593491195626131488', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307136', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307140', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307144', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '25', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307150', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307158', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307161', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496013497307168', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859648', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859652', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859656', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859660', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '18', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859670', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '7', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859673', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593496432520859680', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593501093587980288', '1593493864797310976', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1593500810120138755', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试A测试评价》', '15', '1593500809293860864', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593501093592174595', '1593493864797310976', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1593500810023669763', '请对课程讲师进行评价   —陆老师勿用《十月测试A测试评价》', '15', '1593500809293860864', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593501093592174599', '1593493864797310976', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1593500809935589381', '请对课程内容进行评价   —陆老师勿用《十月测试A测试评价》', '15', '1593500809293860864', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593501093592174603', '1593493864797310976', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1593500809843314688', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试A测试评价》', '25', '1593500809293860864', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593501093592174613', '1593493864797310976', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1593500810401157122', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试A测试评价》', '8', '1593500809293860864', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593501093592174616', '1593493864797310976', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1593500810304688131', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试A测试评价》', '10', '1593500809293860864', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936775499776', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195459667693571', '请对楚序平老师授课情况进行评价？   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936775499780', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195459562835971', '请对课程讲师进行评价   —陆老师勿用《十月测试AAA》', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936775499784', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195459470561285', '请对课程内容进行评价   —陆老师勿用《十月测试AAA》', '14', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936775499788', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195459369897984', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《十月测试AAA》', '25', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936779694084', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195460087123970', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《十月测试AAA》', '10', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936779694087', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195459994849283', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《十月测试AAA》', '9', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593557936779694094', '1593195024294744064', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1593195460275867651', '您对该讲师的整体感受   —陆老师勿用《十月测试AAA》', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593843155210473472', '1593841368902537216', '1567338866929700864', '本地1', '1579374510346473472', '李昊杰', '1593842989925535747', '请对楚序平老师授课情况进行评价？   —本地1《测试供应商评价》', '15', '1593842989036343296', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593843155210473476', '1593841368902537216', '1567338866929700864', '本地1', '1579374510346473472', '李昊杰', '1593842989824872451', '请对课程讲师进行评价   —本地1《测试供应商评价》', '15', '1593842989036343296', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593843155210473480', '1593841368902537216', '1567338866929700864', '本地1', '1579374510346473472', '李昊杰', '1593842989724209157', '请对课程内容进行评价   —本地1《测试供应商评价》', '15', '1593842989036343296', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593843155210473484', '1593841368902537216', '1567338866929700864', '本地1', '1579374510346473472', '李昊杰', '1593842989619351552', '您对培训中心教育培训保障工作作何评价   —本地1《测试供应商评价》', '25', '1593842989036343296', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593843155210473494', '1593841368902537216', '1567338866929700864', '本地1', '1579374510346473472', '李昊杰', '1593842990223331330', '请对新冠肺炎疫情防控工作情况加以评价   —本地1《测试供应商评价》', '10', '1593842989036343296', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1593843155210473497', '1593841368902537216', '1567338866929700864', '本地1', '1579374510346473472', '李昊杰', '1593842990126862339', '您对该讲师的课堂呈现感受如何：   —本地1《测试供应商评价》', '10', '1593842989036343296', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596349796673785856', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596347825522872320', '僵尸讲的怎么样   —陆老师勿用《测试培训报告导出》', '12', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596349796673785860', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596347825623535619', '讲师教的怎么样子   —陆老师勿用《测试培训报告导出》', '16', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596349885236514816', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596347825522872320', '僵尸讲的怎么样   —陆老师勿用《测试培训报告导出》', '15', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596349885236514820', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596347825623535619', '讲师教的怎么样子   —陆老师勿用《测试培训报告导出》', '20', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596350095014629376', '1596346735863664640', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596348024328687619', '请对楚序平老师授课情况进行评价？   —省老师《测试培训报告导出》', '9', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596350095014629380', '1596346735863664640', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596348024060252163', '请对课程讲师进行评价   —省老师《测试培训报告导出》', '9', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596350095014629384', '1596346735863664640', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596348023947005957', '请对课程内容进行评价   —省老师《测试培训报告导出》', '9', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596350095014629388', '1596346735863664640', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596348023879897088', '您对培训中心教育培训保障工作作何评价   —省老师《测试培训报告导出》', '15', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596350095014629394', '1596346735863664640', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596348024567762946', '请对新冠肺炎疫情防控工作情况加以评价   —省老师《测试培训报告导出》', '6', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596350095014629397', '1596346735863664640', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596348024504848387', '您对该讲师的课堂呈现感受如何：   —省老师《测试培训报告导出》', '6', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351121658613760', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1596347825522872320', '僵尸讲的怎么样   —陆老师勿用《测试培训报告导出》', '3', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351121658613772', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1596347825623535619', '讲师教的怎么样子   —陆老师勿用《测试培训报告导出》', '3', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351311266320384', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1596347825522872320', '僵尸讲的怎么样   —陆老师勿用《测试培训报告导出》', '6', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351311266320396', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1574653861665312768', '李露', '1596347825623535619', '讲师教的怎么样子   —陆老师勿用《测试培训报告导出》', '8', '1596347825413820416', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351534331990016', '1596346735863664640', '1583286950952046592', '省老师', '1574653861665312768', '李露', '1596348023947005957', '请对课程内容进行评价   —省老师《测试培训报告导出》', '12', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351534331990020', '1596346735863664640', '1583286950952046592', '省老师', '1574653861665312768', '李露', '1596348023879897088', '您对培训中心教育培训保障工作作何评价   —省老师《测试培训报告导出》', '20', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351534331990026', '1596346735863664640', '1583286950952046592', '省老师', '1574653861665312768', '李露', '1596348024328687619', '请对楚序平老师授课情况进行评价？   —省老师《测试培训报告导出》', '12', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351534331990030', '1596346735863664640', '1583286950952046592', '省老师', '1574653861665312768', '李露', '1596348024060252163', '请对课程讲师进行评价   —省老师《测试培训报告导出》', '12', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351534331990038', '1596346735863664640', '1583286950952046592', '省老师', '1574653861665312768', '李露', '1596348024567762946', '请对新冠肺炎疫情防控工作情况加以评价   —省老师《测试培训报告导出》', '8', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596351534331990041', '1596346735863664640', '1583286950952046592', '省老师', '1574653861665312768', '李露', '1596348024504848387', '您对该讲师的课堂呈现感受如何：   —省老师《测试培训报告导出》', '8', '1596348023653404672', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596407933950889987', '1596385685659586560', '1592077733855367168', '高老师', '1574653861665312768', '李露', '1596407388397768704', '讲师1   —高老师《测试培训报告导出第二次》', '8', '1596407388267745280', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596674850297090054', '1596670850063536128', null, null, '1574653861665312768', '李露', '1596673054254174208', '讲师1', '8', '1596673054090596352', null, null);
INSERT INTO `train_class_trainer_appraise` VALUES ('1596694554155814917', '1596670850063536128', null, null, '1574653861665312768', '李露', '1596671955065507840', '讲师1', '9', '1596671954943873024', null, '1596693752934699008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596706440637190147', '1596670850063536128', '1583368171707043840', '王涵测试', '1574653861665312768', '李露', '1596702933133692928', '讲师1   —王涵测试《测试评估计划1》', '9', '1596702933012058112', null, '1596706440423280640');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596707081711390723', '1596670850063536128', '1583368171707043840', '王涵测试', '1574653861665312768', '李露', '1596702933133692928', '讲师1   —王涵测试《测试评估计划1》', '9', '1596702933012058112', null, '1596707081522647040');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596743392606425091', '1596670850063536128', '1583368171707043840', '王涵测试', '1567097186544652288', '何云凡', '1596702933133692928', '讲师1   —王涵测试《测试评估计划1》', '10', '1596702933012058112', null, '1596743392417681408');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596743768869048323', '1596670850063536128', '1583368171707043840', '王涵测试', '1567097186544652288', '何云凡', '1596702933133692928', '讲师1   —王涵测试《测试评估计划1》', '8', '1596702933012058112', null, '1596743768676110336');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596747263164682243', '1596745761951977472', null, null, '1567097186544652288', '何云凡', '1596746360877617152', '讲师1', '10', '1596746360764370944', null, '1596747262959161344');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596747342755794947', '1596745761951977472', null, null, '1567097186544652288', '何云凡', '1596746360877617152', '讲师1', '8', '1596746360764370944', null, '1596747342562856960');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596748038464999427', '1596745761951977472', null, null, '1574653861665312768', '李露', '1596746360877617152', '讲师1', '4', '1596746360764370944', null, '1596748038276255744');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596753174293778435', '1596745761951977472', null, null, '1574653861665312768', '李露', '1596746360877617152', '讲师1', '4', '1596746360764370944', null, '1596753174092451840');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539200', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《测试消息提醒》', '25', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539206', '1596498438508384256', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —省老师《测试消息提醒》', '20', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539212', '1596498438508384256', '1583400561250799616', '测试导入', '1567097186544652288', '何云凡', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —测试导入《测试消息提醒》', '15', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539218', '1596498438508384256', '1585921881540792320', '郑州的老师', '1567097186544652288', '何云凡', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —郑州的老师《测试消息提醒》', '10', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539224', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —陆老师勿用《测试消息提醒》', '15', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539228', '1596498438508384256', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —省老师《测试消息提醒》', '12', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539232', '1596498438508384256', '1583400561250799616', '测试导入', '1567097186544652288', '何云凡', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —测试导入《测试消息提醒》', '9', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539236', '1596498438508384256', '1585921881540792320', '郑州的老师', '1567097186544652288', '何云凡', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —郑州的老师《测试消息提醒》', '6', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539240', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596499092719144963', '请对课程讲师进行评价   —陆老师勿用《测试消息提醒》', '15', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539244', '1596498438508384256', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596499092719144963', '请对课程讲师进行评价   —省老师《测试消息提醒》', '12', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539248', '1596498438508384256', '1583400561250799616', '测试导入', '1567097186544652288', '何云凡', '1596499092719144963', '请对课程讲师进行评价   —测试导入《测试消息提醒》', '9', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539252', '1596498438508384256', '1585921881540792320', '郑州的老师', '1567097186544652288', '何云凡', '1596499092719144963', '请对课程讲师进行评价   —郑州的老师《测试消息提醒》', '6', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539256', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1567097186544652288', '何云凡', '1596499092710756357', '请对课程内容进行评价   —陆老师勿用《测试消息提醒》', '15', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539260', '1596498438508384256', '1583286950952046592', '省老师', '1567097186544652288', '何云凡', '1596499092710756357', '请对课程内容进行评价   —省老师《测试消息提醒》', '12', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539264', '1596498438508384256', '1583400561250799616', '测试导入', '1567097186544652288', '何云凡', '1596499092710756357', '请对课程内容进行评价   —测试导入《测试消息提醒》', '9', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539268', '1596498438508384256', '1585921881540792320', '郑州的老师', '1567097186544652288', '何云凡', '1596499092710756357', '请对课程内容进行评价   —郑州的老师《测试消息提醒》', '6', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539276', '1596498438508384256', null, null, '1567097186544652288', '何云凡', '1596499092740116482', '请对新冠肺炎疫情防控工作情况加以评价', '3', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596775692639539279', '1596498438508384256', null, null, '1567097186544652288', '何云凡', '1596499092731727875', '您对该讲师的课堂呈现感受如何：', '3', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596791010208387078', '1596789911623700480', '1596789614633422848', '黎利伯导师', '1567097186544652288', '何云凡', '1596790161667133440', '讲师1   —黎利伯导师《1127 给黎利伯倒是评价》', '10', '1596790161553887232', null, '1596791009998671872');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596793598471442438', '1596789911623700480', '1596789614633422848', '黎利伯导师', '1567097186544652288', '何云凡', '1596790161667133440', '讲师1   —黎利伯导师《1127 给黎利伯倒是评价》', '6', '1596790161553887232', null, '1596793598249144320');
INSERT INTO `train_class_trainer_appraise` VALUES ('1596796894489743363', '1596789911623700480', '1596789614633422848', '黎利伯导师', '1574653861665312768', '李露', '1596790161667133440', '讲师1   —黎利伯导师《1127 给黎利伯倒是评价》', '4', '1596790161553887232', null, '1596796894300999680');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597111055576862720', '1596346735863664640', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596348023879897088', '您对培训中心教育培训保障工作作何评价   —省老师《测试培训报告导出》', '25', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597111055576862726', '1596346735863664640', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596348024328687619', '请对楚序平老师授课情况进行评价？   —省老师《测试培训报告导出》', '15', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597111055576862730', '1596346735863664640', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596348024060252163', '请对课程讲师进行评价   —省老师《测试培训报告导出》', '15', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597111055576862734', '1596346735863664640', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596348023947005957', '请对课程内容进行评价   —省老师《测试培训报告导出》', '15', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597111055576862738', '1596346735863664640', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596348024567762946', '请对新冠肺炎疫情防控工作情况加以评价   —省老师《测试培训报告导出》', '10', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597111055576862741', '1596346735863664640', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596348024504848387', '您对该讲师的课堂呈现感受如何：   —省老师《测试培训报告导出》', '10', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597120639079157760', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596347825522872320', '僵尸讲的怎么样   —陆老师勿用《测试培训报告导出》', '15', '1596347825413820416', null, '1597120638726836224');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597120639079157764', '1596346735863664640', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596347825623535619', '讲师教的怎么样子   —陆老师勿用《测试培训报告导出》', '20', '1596347825413820416', null, '1597120638726836224');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486336', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —陆老师勿用《测试消息提醒》', '14', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486340', '1596498438508384256', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —省老师《测试消息提醒》', '14', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486344', '1596498438508384256', '1583400561250799616', '测试导入', '1565939234546782208', '王涵', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —测试导入《测试消息提醒》', '13', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486348', '1596498438508384256', '1585921881540792320', '郑州的老师', '1565939234546782208', '王涵', '1596499092723339267', '请对楚序平老师授课情况进行评价？   —郑州的老师《测试消息提醒》', '11', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486352', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596499092719144963', '请对课程讲师进行评价   —陆老师勿用《测试消息提醒》', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486356', '1596498438508384256', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596499092719144963', '请对课程讲师进行评价   —省老师《测试消息提醒》', '8', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486360', '1596498438508384256', '1583400561250799616', '测试导入', '1565939234546782208', '王涵', '1596499092719144963', '请对课程讲师进行评价   —测试导入《测试消息提醒》', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486364', '1596498438508384256', '1585921881540792320', '郑州的老师', '1565939234546782208', '王涵', '1596499092719144963', '请对课程讲师进行评价   —郑州的老师《测试消息提醒》', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486368', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596499092710756357', '请对课程内容进行评价   —陆老师勿用《测试消息提醒》', '7', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486372', '1596498438508384256', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596499092710756357', '请对课程内容进行评价   —省老师《测试消息提醒》', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486376', '1596498438508384256', '1583400561250799616', '测试导入', '1565939234546782208', '王涵', '1596499092710756357', '请对课程内容进行评价   —测试导入《测试消息提醒》', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486380', '1596498438508384256', '1585921881540792320', '郑州的老师', '1565939234546782208', '王涵', '1596499092710756357', '请对课程内容进行评价   —郑州的老师《测试消息提醒》', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486384', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —陆老师勿用《测试消息提醒》', '15', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486390', '1596498438508384256', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —省老师《测试消息提醒》', '15', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486396', '1596498438508384256', '1583400561250799616', '测试导入', '1565939234546782208', '王涵', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —测试导入《测试消息提醒》', '17', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486402', '1596498438508384256', '1585921881540792320', '郑州的老师', '1565939234546782208', '王涵', '1596499092706562048', '您对培训中心教育培训保障工作作何评价   —郑州的老师《测试消息提醒》', '16', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486408', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596499092740116482', '请对新冠肺炎疫情防控工作情况加以评价   —陆老师勿用《测试消息提醒》', '6', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486411', '1596498438508384256', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596499092740116482', '请对新冠肺炎疫情防控工作情况加以评价   —省老师《测试消息提醒》', '8', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486414', '1596498438508384256', '1583400561250799616', '测试导入', '1565939234546782208', '王涵', '1596499092740116482', '请对新冠肺炎疫情防控工作情况加以评价   —测试导入《测试消息提醒》', '8', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486417', '1596498438508384256', '1585921881540792320', '郑州的老师', '1565939234546782208', '王涵', '1596499092740116482', '请对新冠肺炎疫情防控工作情况加以评价   —郑州的老师《测试消息提醒》', '7', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486420', '1596498438508384256', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1596499092731727875', '您对该讲师的课堂呈现感受如何：   —陆老师勿用《测试消息提醒》', '6', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486423', '1596498438508384256', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1596499092731727875', '您对该讲师的课堂呈现感受如何：   —省老师《测试消息提醒》', '6', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486426', '1596498438508384256', '1583400561250799616', '测试导入', '1565939234546782208', '王涵', '1596499092731727875', '您对该讲师的课堂呈现感受如何：   —测试导入《测试消息提醒》', '6', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1597502597961486429', '1596498438508384256', '1585921881540792320', '郑州的老师', '1565939234546782208', '王涵', '1596499092731727875', '您对该讲师的课堂呈现感受如何：   —郑州的老师《测试消息提醒》', '6', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598524843307962368', '1598521650104635392', '1582666858753036288', '陆老师勿用', '1565939234546782208', '王涵', '1598522816079204352', '讲师1   —陆老师勿用《1202 培训报告打印》', '10', '1598522815592665088', null, '1598524843085664256');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598524843307962371', '1598521650104635392', '1583286950952046592', '省老师', '1565939234546782208', '王涵', '1598522816079204352', '讲师1   —省老师《1202 培训报告打印》', '8', '1598522815592665088', null, '1598524843085664256');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598524843307962374', '1598521650104635392', '1583287459507212288', '郑州老师', '1565939234546782208', '王涵', '1598522816079204352', '讲师1   —郑州老师《1202 培训报告打印》', '6', '1598522815592665088', null, '1598524843085664256');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598524843307962377', '1598521650104635392', '1592037025505218560', '张晓慧', '1565939234546782208', '王涵', '1598522816079204352', '讲师1   —张晓慧《1202 培训报告打印》', '4', '1598522815592665088', null, '1598524843085664256');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598526122411298816', '1598521650104635392', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —陆老师勿用《1202 培训报告打印》', '2', '1598522815592665088', null, '1598526122272886784');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598526122411298819', '1598521650104635392', '1583286950952046592', '省老师', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —省老师《1202 培训报告打印》', '4', '1598522815592665088', null, '1598526122272886784');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598526122411298822', '1598521650104635392', '1583287459507212288', '郑州老师', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —郑州老师《1202 培训报告打印》', '6', '1598522815592665088', null, '1598526122272886784');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598526122411298825', '1598521650104635392', '1592037025505218560', '张晓慧', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —张晓慧《1202 培训报告打印》', '8', '1598522815592665088', null, '1598526122272886784');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598554108275593216', '1598521650104635392', '1582666858753036288', '陆老师勿用', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —陆老师勿用《1202 培训报告打印》', '6', '1598522815592665088', null, '1598554108116209664');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598554108275593219', '1598521650104635392', '1583286950952046592', '省老师', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —省老师《1202 培训报告打印》', '8', '1598522815592665088', null, '1598554108116209664');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598554108275593222', '1598521650104635392', '1583287459507212288', '郑州老师', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —郑州老师《1202 培训报告打印》', '10', '1598522815592665088', null, '1598554108116209664');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598554108275593225', '1598521650104635392', '1592037025505218560', '张晓慧', '1555010577007513600', '张磊', '1598522816079204352', '讲师1   —张晓慧《1202 培训报告打印》', '10', '1598522815592665088', null, '1598554108116209664');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598955275325411328', '1598951182674563072', '1585921881540792320', '郑州的老师', '1555010577007513600', '张磊', '1598954088341573635', '请对楚序平老师授课情况进行评价？   —郑州的老师《123培训班》', '12', '1598954088291241984', null, '1598955275275079680');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598955275325411332', '1598951182674563072', '1585921881540792320', '郑州的老师', '1555010577007513600', '张磊', '1598954088333185027', '请对课程讲师进行评价   —郑州的老师《123培训班》', '12', '1598954088291241984', null, '1598955275275079680');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598955275325411336', '1598951182674563072', '1585921881540792320', '郑州的老师', '1555010577007513600', '张磊', '1598954088324796421', '请对课程内容进行评价   —郑州的老师《123培训班》', '12', '1598954088291241984', null, '1598955275275079680');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598955275325411340', '1598951182674563072', '1585921881540792320', '郑州的老师', '1555010577007513600', '张磊', '1598954088316407808', '您对培训中心教育培训保障工作作何评价   —郑州的老师《123培训班》', '23', '1598954088291241984', null, '1598955275275079680');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598955275325411346', '1598951182674563072', '1585921881540792320', '郑州的老师', '1555010577007513600', '张磊', '1598954088362545154', '请对新冠肺炎疫情防控工作情况加以评价   —郑州的老师《123培训班》', '10', '1598954088291241984', null, '1598955275275079680');
INSERT INTO `train_class_trainer_appraise` VALUES ('1598955275325411349', '1598951182674563072', '1585921881540792320', '郑州的老师', '1555010577007513600', '张磊', '1598954088358350851', '您对该讲师的课堂呈现感受如何：   —郑州的老师《123培训班》', '10', '1598954088291241984', null, '1598955275275079680');

-- ----------------------------
-- Table structure for train_class_trainer_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_class_trainer_appraise_option`;
CREATE TABLE `train_class_trainer_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_appraise_id` bigint(20) DEFAULT NULL COMMENT '讲师评价项id',
  `appraise_option_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(10) DEFAULT '-1' COMMENT '评分',
  `content` varchar(200) DEFAULT NULL COMMENT '评价内容',
  `teacher_id` bigint(20) DEFAULT NULL COMMENT '教师id',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父类id 本次评价id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='讲师评价项内容';

-- ----------------------------
-- Records of train_class_trainer_appraise_option
-- ----------------------------
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895681', '1573155012027224081', '1573155012027224083', '请对楚序平老师授课情况进行评价？', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895682', '1573155012027224081', '1573155012027224084', '请对楚序平老师授课情况进行评价？', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895683', '1573155012027224081', '1573155012027224085', '请对楚序平老师授课情况进行评价？', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895685', '1573155012027224076', '1573155012027224079', '请对课程讲师进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895686', '1573155012027224076', '1573155012027224080', '请对课程讲师进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895687', '1573155012027224076', '1573155012027224078', '请对课程讲师进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895689', '1573155012027224071', '1573155012027224073', '请对课程内容进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895690', '1573155012027224071', '1573155012027224074', '请对课程内容进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895691', '1573155012027224071', '1573155012027224075', '请对课程内容进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895693', '1573155012027224064', '1573155012027224066', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895694', '1573155012027224064', '1573155012027224067', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895695', '1573155012027224064', '1573155012027224068', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895696', '1573155012027224064', '1573155012027224069', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895697', '1573155012027224064', '1573155012027224070', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895703', '1573155012027224095', '1573155012027224097', '请对新冠肺炎疫情防控工作情况加以评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895704', '1573155012027224095', '1573155012027224098', '请对新冠肺炎疫情防控工作情况加以评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895706', '1573155012027224091', '1573155012027224093', '您对该讲师的课堂呈现感受如何：', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895707', '1573155012027224091', '1573155012027224094', '您对该讲师的课堂呈现感受如何：', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573218033453895713', '1573155012027224104', '1573155012027224106', '您对该讲师的整体感受', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573228408580739073', '1573155389346811904', '1573155389346811906', '讲师评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1573228476562018305', '1573155389346811904', '1573155389346811906', '讲师评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858816', '1575328174991085571', '1575328174999474176', '讲师的教学准备和教学态度', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858817', '1575328174991085571', '1575328174999474177', '讲师的知识底蕴和授课表达', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858818', '1575328174991085571', '1575328174999474178', '授课讲师的综合评分', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858820', '1575328174978502659', '1575328174991085569', '讲师的知识底蕴和实战经验', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858821', '1575328174978502659', '1575328174991085570', '讲师的授课表达', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858822', '1575328174978502659', '1575328174991085568', '对授课讲师进行打分', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858824', '1575328174970114053', '1575328174978502656', '课程框架清晰合理、层次分明', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858825', '1575328174970114053', '1575328174978502657', '讲师的知识底蕴和实战经验', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858826', '1575328174970114053', '1575328174978502658', '对课程整体进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858828', '1575328174961725440', '1575328174970114048', '培训管理', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858829', '1575328174961725440', '1575328174970114049', '会场服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858830', '1575328174961725440', '1575328174970114050', '前台服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858831', '1575328174961725440', '1575328174970114051', '就餐服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858832', '1575328174961725440', '1575328174970114052', '客房服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858834', '1575328175012057091', '1575328175020445696', '讲师的知识底蕴和实战经验', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858835', '1575328175012057091', '1575328175020445697', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858841', '1575328175020445698', '1575328175028834304', '高度重视  预案完备', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575328669549858842', '1575328175020445698', '1575328175028834305', '措施得当  流程明晰', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433793', '1575328174991085571', '1575328174999474176', '讲师的教学准备和教学态度', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433794', '1575328174991085571', '1575328174999474177', '讲师的知识底蕴和授课表达', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433795', '1575328174991085571', '1575328174999474178', '授课讲师的综合评分', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433797', '1575328174978502659', '1575328174991085569', '讲师的知识底蕴和实战经验', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433798', '1575328174978502659', '1575328174991085570', '讲师的授课表达', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433799', '1575328174978502659', '1575328174991085568', '对授课讲师进行打分', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433801', '1575328174970114053', '1575328174978502656', '课程框架清晰合理、层次分明', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433802', '1575328174970114053', '1575328174978502657', '讲师的知识底蕴和实战经验', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433803', '1575328174970114053', '1575328174978502658', '对课程整体进行评价', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433805', '1575328174961725440', '1575328174970114048', '培训管理', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433806', '1575328174961725440', '1575328174970114049', '会场服务', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433807', '1575328174961725440', '1575328174970114050', '前台服务', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433808', '1575328174961725440', '1575328174970114051', '就餐服务', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433809', '1575328174961725440', '1575328174970114052', '客房服务', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433811', '1575328175012057091', '1575328175020445696', '讲师的知识底蕴和实战经验', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433812', '1575328175012057091', '1575328175020445697', '讲师的授课表达、气氛调动、进度控制能力', '0', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433818', '1575328175020445698', '1575328175028834304', '高度重视  预案完备', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329462038433819', '1575328175020445698', '1575328175028834305', '措施得当  流程明晰', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115201', '1575329271419899906', '1575329271428288512', '高度重视  预案完备', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115202', '1575329271419899906', '1575329271428288513', '措施得当  流程明晰', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115204', '1575329271419899906', '1575329271428288512', '高度重视  预案完备', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115205', '1575329271419899906', '1575329271428288513', '措施得当  流程明晰', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115207', '1575329271407316992', '1575329271419899904', '讲师的知识底蕴和实战经验', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115208', '1575329271407316992', '1575329271419899905', '讲师的授课表达、气氛调动、进度控制能力', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115210', '1575329271407316992', '1575329271419899904', '讲师的知识底蕴和实战经验', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1575329824120115211', '1575329271407316992', '1575329271419899905', '讲师的授课表达、气氛调动、进度控制能力', '1', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132161', '1578994439794331651', '1578994439894994944', '讲师的教学准备和教学态度', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132162', '1578994439794331651', '1578994439894994945', '讲师的知识底蕴和授课表达', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132163', '1578994439794331651', '1578994439894994946', '授课讲师的综合评分', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132165', '1578994439689474051', '1578994439794331649', '讲师的知识底蕴和实战经验', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132166', '1578994439689474051', '1578994439794331650', '讲师的授课表达', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132167', '1578994439689474051', '1578994439794331648', '对授课讲师进行打分', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132169', '1578994439576227845', '1578994439689474048', '课程框架清晰合理、层次分明', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132170', '1578994439576227845', '1578994439689474049', '讲师的知识底蕴和实战经验', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132171', '1578994439576227845', '1578994439689474050', '对课程整体进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132173', '1578994439479758848', '1578994439576227840', '培训管理', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132174', '1578994439479758848', '1578994439576227841', '会场服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132175', '1578994439479758848', '1578994439576227842', '前台服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132176', '1578994439479758848', '1578994439576227843', '就餐服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471287132177', '1578994439479758848', '1578994439576227844', '客房服务', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471291326464', '1578994440100515842', '1578994440205373440', '高度重视  预案完备', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471291326465', '1578994440100515842', '1578994440205373441', '措施得当  流程明晰', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471291326467', '1578994440004046851', '1578994440100515840', '讲师的知识底蕴和实战经验', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579026471291326468', '1578994440004046851', '1578994440100515841', '讲师的授课表达、气氛调动、进度控制能力', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579723885216141313', '1579360392239517698', '1579360392243712000', '高度重视  预案完备', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579723885216141314', '1579360392239517698', '1579360392243712001', '措施得当  流程明晰', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579723885216141316', '1579360392235323392', '1579360392239517696', '讲师的知识底蕴和实战经验', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1579723885216141317', '1579360392235323392', '1579360392239517697', '讲师的授课表达、气氛调动、进度控制能力', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1580114813042954241', '1580114702942474240', '1580114702950862848', '讲师的知识底蕴和实战经验丰富', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1580114813042954242', '1580114702942474240', '1580114702950862849', '讲师的授课表达', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1580114813042954243', '1580114702942474240', '1580114702950862850', '讲师的进度控制能力，学员接受程度', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1581931198786179073', '1581928327889948672', '1581928327889948673', '该老师语言是否得体?111', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1581931198786179074', '1581928327889948672', '1581928327889948674', '该老师行为是否得体?222', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1581931198786179075', '1581928327889948672', '1581928327889948675', '该老师是否具备良好的素质?333', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1582200343553511425', '1582200249001316352', '1582200249001316353', '该老师语言是否得体?11', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1582200343553511426', '1582200249001316352', '1582200249001316354', '该老师行为是否得体?22', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1582200343553511427', '1582200249001316352', '1582200249001316355', '该老师是否具备良好的素质?333', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645313', '1573155012027224076', '1573155012027224079', '请对课程讲师进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645314', '1573155012027224076', '1573155012027224080', '请对课程讲师进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645315', '1573155012027224076', '1573155012027224078', '请对课程讲师进行评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645317', '1573155012027224071', '1573155012027224073', '请对课程内容进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645318', '1573155012027224071', '1573155012027224074', '请对课程内容进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645319', '1573155012027224071', '1573155012027224075', '请对课程内容进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645321', '1573155012027224064', '1573155012027224066', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645322', '1573155012027224064', '1573155012027224067', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645323', '1573155012027224064', '1573155012027224068', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645324', '1573155012027224064', '1573155012027224069', '您对培训中心教育培训保障工作作何评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645325', '1573155012027224064', '1573155012027224070', '您对培训中心教育培训保障工作作何评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645327', '1573155012027224081', '1573155012027224083', '请对楚序平老师授课情况进行评价？', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645328', '1573155012027224081', '1573155012027224084', '请对楚序平老师授课情况进行评价？', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645329', '1573155012027224081', '1573155012027224085', '请对楚序平老师授课情况进行评价？', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645335', '1573155012027224095', '1573155012027224097', '请对新冠肺炎疫情防控工作情况加以评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645336', '1573155012027224095', '1573155012027224098', '请对新冠肺炎疫情防控工作情况加以评价', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645338', '1573155012027224091', '1573155012027224093', '您对该讲师的课堂呈现感受如何：', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645339', '1573155012027224091', '1573155012027224094', '您对该讲师的课堂呈现感受如何：', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583104183861645345', '1573155012027224104', '1573155012027224106', '您对该讲师的整体感受', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449025', '1583367069028716547', '1583367069037105152', '讲师的教学准备和教学态度', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449026', '1583367069028716547', '1583367069037105153', '讲师的知识底蕴和授课表达', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449027', '1583367069028716547', '1583367069037105154', '授课讲师的综合评分', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449029', '1583367069020327939', '1583367069028716545', '讲师的知识底蕴和实战经验', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449030', '1583367069020327939', '1583367069028716546', '讲师的授课表达', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449031', '1583367069020327939', '1583367069028716544', '对授课讲师进行打分', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449033', '1583367069016133637', '1583367069020327936', '课程框架清晰合理、层次分明', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449034', '1583367069016133637', '1583367069020327937', '讲师的知识底蕴和实战经验', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449035', '1583367069016133637', '1583367069020327938', '对课程整体进行评价', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449037', '1583367069007745024', '1583367069016133632', '培训管理', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449038', '1583367069007745024', '1583367069016133633', '会场服务', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449039', '1583367069007745024', '1583367069016133634', '前台服务', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449040', '1583367069007745024', '1583367069016133635', '就餐服务', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449041', '1583367069007745024', '1583367069016133636', '客房服务', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449043', '1583367069049688066', '1583367069053882368', '高度重视  预案完备', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449044', '1583367069049688066', '1583367069053882369', '措施得当  流程明晰', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449046', '1583367069045493763', '1583367069049688064', '讲师的知识底蕴和实战经验', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1583367623704449047', '1583367069045493763', '1583367069049688065', '讲师的授课表达、气氛调动、进度控制能力', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1584363871580327937', '1583683976768393216', '1583683976856473600', '讲师的知识底蕴和实战经验丰富', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1584363871580327938', '1583683976768393216', '1583683976856473601', '讲师的授课表达', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1584363871580327939', '1583683976768393216', '1583683976856473602', '讲师的进度控制能力，学员接受程度', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1584370455177990145', '1584369612479401986', '1584369612584259584', '讲的生动', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1584370455177990146', '1584369612479401986', '1584369612584259585', '讲的疼', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1584370455177990147', '1584369612479401986', '1584369612584259586', '讲的难吃', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1587289772383145985', '1583743261510602752', '1583743261523185664', '讲师的知识底蕴和实战经验丰富', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1587289772383145986', '1583743261510602752', '1583743261523185665', '讲师的授课表达', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1587289772383145987', '1583743261510602752', '1583743261523185666', '讲师的进度控制能力，学员接受程度', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588732272767537153', '1588731769568497666', '1588731769706909696', '讲的生动', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588732272767537154', '1588731769568497666', '1588731769706909697', '讲的疼', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588732272767537155', '1588731769568497666', '1588731769706909698', '讲的难吃', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588735279714406401', '1588734809667145730', '1588734809801363456', '讲的生动', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588735279714406402', '1588734809667145730', '1588734809801363457', '讲的疼', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588735279714406403', '1588734809667145730', '1588734809801363458', '讲的难吃', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588823610917785601', '1588735416515825672', '1588735416515825674', '讲的生动', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588823610917785602', '1588735416515825672', '1588735416515825675', '讲的疼', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1588823610917785603', '1588735416515825672', '1588735416515825676', '讲的难吃', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188417', '1589101563224395776', '1589101563320864768', '讲的生动', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188418', '1589101563224395776', '1589101563320864769', '讲的疼', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188419', '1589101563224395776', '1589101563320864770', '讲的难吃', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188424', '1589101563320864771', '1589101563404750848', '听不懂', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188425', '1589101563320864771', '1589101563404750849', '方言成都', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188426', '1589101563320864771', '1589101563404750850', '爱睡觉', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589104477888188427', '1589101563320864771', '1589101563404750851', '爱大人', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162817', '1589101563224395776', '1589101563320864768', '讲的生动', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162818', '1589101563224395776', '1589101563320864769', '讲的疼', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162819', '1589101563224395776', '1589101563320864770', '讲的难吃', '2', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162821', '1589101563320864771', '1589101563404750848', '听不懂', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162822', '1589101563320864771', '1589101563404750849', '方言成都', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162823', '1589101563320864771', '1589101563404750850', '爱睡觉', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589105061840162824', '1589101563320864771', '1589101563404750851', '爱大人', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589470824103022593', '1588731769568497666', '1588731769706909696', '讲的生动', '5', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589470824103022594', '1588731769568497666', '1588731769706909697', '讲的疼', '3', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589470824103022595', '1588731769568497666', '1588731769706909698', '讲的难吃', '4', null, null, null);
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498242377322496', '1589497910402355200', '1589497910494629888', '讲的生动', '5', null, null, '1589498189424234496');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498267627032576', '1589497910402355200', '1589497910494629889', '讲的疼', '4', null, null, '1589498189424234496');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498290838310912', '1589497910402355200', '1589497910494629890', '讲的难吃', '3', null, null, '1589498189424234496');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498290838310914', '1589497910494629891', '1589497910595293184', '听不懂', '5', null, null, '1589498290838310913');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498290838310915', '1589497910494629891', '1589497910595293185', '方言成都', '4', null, null, '1589498290838310913');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498290838310916', '1589497910494629891', '1589497910595293186', '爱睡觉', '3', null, null, '1589498290838310913');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589498290838310917', '1589497910494629891', '1589497910595293187', '爱大人', '2', null, null, '1589498290838310913');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980161', '1589497910402355200', '1589497910494629888', '讲的生动', '5', null, null, '1589501022533980160');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980162', '1589497910402355200', '1589497910494629889', '讲的疼', '4', null, null, '1589501022533980160');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980163', '1589497910402355200', '1589497910494629890', '讲的难吃', '3', null, null, '1589501022533980160');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980165', '1589497910494629891', '1589497910595293184', '听不懂', '1', null, null, '1589501022533980164');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980166', '1589497910494629891', '1589497910595293185', '方言成都', '2', null, null, '1589501022533980164');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980167', '1589497910494629891', '1589497910595293186', '爱睡觉', '3', null, null, '1589501022533980164');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1589501022533980168', '1589497910494629891', '1589497910595293187', '爱大人', '4', null, null, '1589501022533980164');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1591999162491211777', '1591998948099362821', '1591998948099362823', '该老师语言是否得体?12', '3', null, null, '1591999162491211776');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1591999162491211778', '1591998948099362821', '1591998948099362824', '该老师行为是否得体?23', '2', null, null, '1591999162491211776');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1591999162491211779', '1591998948099362821', '1591998948099362825', '该老师是否具备良好的素质?34', '3', null, null, '1591999162491211776');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1591999162491211781', '1591998948099362816', '1591998948099362818', '讲师的教学准备和教学态度', '3', null, null, '1591999162491211780');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1591999162491211782', '1591998948099362816', '1591998948099362819', '讲师的知识底蕴和授课表达', '3', null, null, '1591999162491211780');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1591999162491211783', '1591998948099362816', '1591998948099362820', '授课讲师的综合评分', '3', null, null, '1591999162491211780');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592033733022715905', '1592029085880684544', '1592029085889073152', '讲师的知识底蕴和实战经验丰富', '5', null, null, '1592033733022715904');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592033733022715906', '1592029085880684544', '1592029085889073153', '讲师的授课表达', '5', null, null, '1592033733022715904');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592033733022715907', '1592029085880684544', '1592029085889073154', '讲师的进度控制能力，学员接受程度', '5', null, null, '1592033733022715904');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592034738145726465', '1591998948099362821', '1591998948099362823', '该老师语言是否得体?12', '4', null, null, '1592034738145726464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592034738145726466', '1591998948099362821', '1591998948099362824', '该老师行为是否得体?23', '3', null, null, '1592034738145726464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592034738145726467', '1591998948099362821', '1591998948099362825', '该老师是否具备良好的素质?34', '4', null, null, '1592034738145726464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592034738145726469', '1591998948099362816', '1591998948099362818', '讲师的教学准备和教学态度', '4', null, null, '1592034738145726468');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592034738145726470', '1591998948099362816', '1591998948099362819', '讲师的知识底蕴和授课表达', '2', null, null, '1592034738145726468');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592034738145726471', '1591998948099362816', '1591998948099362820', '授课讲师的综合评分', '3', null, null, '1592034738145726468');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592069488902279169', '1592067010504822784', '1592067010509017088', '讲师的知识底蕴和实战经验丰富', '5', null, null, '1592069488902279168');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592069488902279170', '1592067010504822784', '1592067010509017089', '讲师的授课表达', '5', null, null, '1592069488902279168');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592069488902279171', '1592067010504822784', '1592067010509017090', '讲师的进度控制能力，学员接受程度', '5', null, null, '1592069488902279168');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592358530399211521', '1592358453978992640', '1592358453987381248', '讲师的知识底蕴和实战经验丰富', '5', null, null, '1592358530399211520');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592358530399211522', '1592358453978992640', '1592358453987381249', '讲师的授课表达', '5', null, null, '1592358530399211520');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592358530399211523', '1592358453978992640', '1592358453987381250', '讲师的进度控制能力，学员接受程度', '5', null, null, '1592358530399211520');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485761', '1592417620576047104', '1592417620580241408', '讲的生动', '1', null, null, '1592422536778485760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485762', '1592417620576047104', '1592417620580241409', '讲的疼', '1', null, null, '1592422536778485760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485763', '1592417620576047104', '1592417620580241410', '讲的难吃', '0', null, null, '1592422536778485760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485765', '1592417620580241411', '1592417620588630016', '听不懂', '1', null, null, '1592422536778485764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485766', '1592417620580241411', '1592417620588630017', '方言成都', '1', null, null, '1592422536778485764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485767', '1592417620580241411', '1592417620588630018', '爱睡觉', '1', null, null, '1592422536778485764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1592422536778485768', '1592417620580241411', '1592417620588630019', '爱大人', '1', null, null, '1592422536778485764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547137', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '5', null, null, '1593487876547547136');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547138', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '5', null, null, '1593487876547547136');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547139', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '5', null, null, '1593487876547547136');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547141', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '5', null, null, '1593487876547547140');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547142', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '5', null, null, '1593487876547547140');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547143', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '5', null, null, '1593487876547547140');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547145', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '5', null, null, '1593487876547547144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547146', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '5', null, null, '1593487876547547144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547147', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '5', null, null, '1593487876547547144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547149', '1593195459369897984', '1593195459470561280', '培训管理', '5', null, null, '1593487876547547148');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547150', '1593195459369897984', '1593195459470561281', '会场服务', '5', null, null, '1593487876547547148');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547151', '1593195459369897984', '1593195459470561282', '前台服务', '5', null, null, '1593487876547547148');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547152', '1593195459369897984', '1593195459470561283', '就餐服务', '5', null, null, '1593487876547547148');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547153', '1593195459369897984', '1593195459470561284', '客房服务', '5', null, null, '1593487876547547148');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547159', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '5', null, null, '1593487876547547158');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547160', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '5', null, null, '1593487876547547158');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547162', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '5', null, null, '1593487876547547161');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547163', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '4', null, null, '1593487876547547161');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593487876547547169', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '5', null, null, '1593487876547547168');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362177', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '5', null, null, '1593488109373362176');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362178', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '5', null, null, '1593488109373362176');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362179', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '5', null, null, '1593488109373362176');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362181', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '5', null, null, '1593488109373362180');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362182', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '5', null, null, '1593488109373362180');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362183', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '5', null, null, '1593488109373362180');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362185', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '5', null, null, '1593488109373362184');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362186', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '5', null, null, '1593488109373362184');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362187', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '5', null, null, '1593488109373362184');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362189', '1593195459369897984', '1593195459470561280', '培训管理', '5', null, null, '1593488109373362188');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362190', '1593195459369897984', '1593195459470561281', '会场服务', '5', null, null, '1593488109373362188');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362191', '1593195459369897984', '1593195459470561282', '前台服务', '5', null, null, '1593488109373362188');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362192', '1593195459369897984', '1593195459470561283', '就餐服务', '5', null, null, '1593488109373362188');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362193', '1593195459369897984', '1593195459470561284', '客房服务', '5', null, null, '1593488109373362188');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362199', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '5', null, null, '1593488109373362198');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362200', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '5', null, null, '1593488109373362198');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362202', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '5', null, null, '1593488109373362201');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362203', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1593488109373362201');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488109373362209', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '5', null, null, '1593488109373362208');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675393', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '4', null, null, '1593488527247675392');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675394', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '4', null, null, '1593488527247675392');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675395', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '4', null, null, '1593488527247675392');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675397', '1593195459369897984', '1593195459470561280', '培训管理', '4', null, null, '1593488527247675396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675398', '1593195459369897984', '1593195459470561281', '会场服务', '4', null, null, '1593488527247675396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675399', '1593195459369897984', '1593195459470561282', '前台服务', '4', null, null, '1593488527247675396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675400', '1593195459369897984', '1593195459470561283', '就餐服务', '4', null, null, '1593488527247675396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675401', '1593195459369897984', '1593195459470561284', '客房服务', '4', null, null, '1593488527247675396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675403', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '4', null, null, '1593488527247675402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675404', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '4', null, null, '1593488527247675402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675405', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '4', null, null, '1593488527247675402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675407', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '4', null, null, '1593488527247675406');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675408', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '4', null, null, '1593488527247675406');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675409', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '4', null, null, '1593488527247675406');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675415', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '4', null, null, '1593488527247675414');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675416', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '4', null, null, '1593488527247675414');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675418', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '4', null, null, '1593488527247675417');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675419', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '4', null, null, '1593488527247675417');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593488527247675425', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '4', null, null, '1593488527247675424');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131457', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '5', null, null, '1593491195626131456');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131458', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '5', null, null, '1593491195626131456');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131459', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '5', null, null, '1593491195626131456');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131461', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '5', null, null, '1593491195626131460');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131462', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '5', null, null, '1593491195626131460');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131463', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '5', null, null, '1593491195626131460');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131465', '1593195459369897984', '1593195459470561280', '培训管理', '5', null, null, '1593491195626131464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131466', '1593195459369897984', '1593195459470561281', '会场服务', '5', null, null, '1593491195626131464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131467', '1593195459369897984', '1593195459470561282', '前台服务', '5', null, null, '1593491195626131464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131468', '1593195459369897984', '1593195459470561283', '就餐服务', '5', null, null, '1593491195626131464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131469', '1593195459369897984', '1593195459470561284', '客房服务', '5', null, null, '1593491195626131464');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131471', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '5', null, null, '1593491195626131470');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131472', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '5', null, null, '1593491195626131470');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131473', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '5', null, null, '1593491195626131470');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131479', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '5', null, null, '1593491195626131478');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131480', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '5', null, null, '1593491195626131478');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131482', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '5', null, null, '1593491195626131481');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131483', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1593491195626131481');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593491195626131489', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '5', null, null, '1593491195626131488');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307137', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '5', null, null, '1593496013497307136');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307138', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '5', null, null, '1593496013497307136');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307139', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '5', null, null, '1593496013497307136');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307141', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '5', null, null, '1593496013497307140');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307142', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '5', null, null, '1593496013497307140');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307143', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '5', null, null, '1593496013497307140');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307145', '1593195459369897984', '1593195459470561280', '培训管理', '5', null, null, '1593496013497307144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307146', '1593195459369897984', '1593195459470561281', '会场服务', '5', null, null, '1593496013497307144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307147', '1593195459369897984', '1593195459470561282', '前台服务', '5', null, null, '1593496013497307144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307148', '1593195459369897984', '1593195459470561283', '就餐服务', '5', null, null, '1593496013497307144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307149', '1593195459369897984', '1593195459470561284', '客房服务', '5', null, null, '1593496013497307144');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307151', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '5', null, null, '1593496013497307150');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307152', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '5', null, null, '1593496013497307150');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307153', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '5', null, null, '1593496013497307150');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307159', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '5', null, null, '1593496013497307158');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307160', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '5', null, null, '1593496013497307158');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307162', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '5', null, null, '1593496013497307161');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307163', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1593496013497307161');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496013497307169', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '5', null, null, '1593496013497307168');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859649', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '4', null, null, '1593496432520859648');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859650', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '4', null, null, '1593496432520859648');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859651', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '4', null, null, '1593496432520859648');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859653', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '4', null, null, '1593496432520859652');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859654', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '4', null, null, '1593496432520859652');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859655', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '4', null, null, '1593496432520859652');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859657', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '4', null, null, '1593496432520859656');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859658', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '4', null, null, '1593496432520859656');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859659', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '4', null, null, '1593496432520859656');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859661', '1593195459369897984', '1593195459470561280', '培训管理', '4', null, null, '1593496432520859660');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859662', '1593195459369897984', '1593195459470561281', '会场服务', '4', null, null, '1593496432520859660');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859663', '1593195459369897984', '1593195459470561282', '前台服务', '4', null, null, '1593496432520859660');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859664', '1593195459369897984', '1593195459470561283', '就餐服务', '3', null, null, '1593496432520859660');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859665', '1593195459369897984', '1593195459470561284', '客房服务', '3', null, null, '1593496432520859660');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859671', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '4', null, null, '1593496432520859670');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859672', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '3', null, null, '1593496432520859670');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859674', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '5', null, null, '1593496432520859673');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859675', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1593496432520859673');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593496432520859681', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '5', null, null, '1593496432520859680');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174592', '1593500810120138755', '1593500810212413440', '讲师的教学准备和教学态度', '5', null, null, '1593501093587980288');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174593', '1593500810120138755', '1593500810212413441', '讲师的知识底蕴和授课表达', '5', null, null, '1593501093587980288');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174594', '1593500810120138755', '1593500810212413442', '授课讲师的综合评分', '5', null, null, '1593501093587980288');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174596', '1593500810023669763', '1593500810120138753', '讲师的知识底蕴和实战经验', '5', null, null, '1593501093592174595');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174597', '1593500810023669763', '1593500810120138754', '讲师的授课表达', '5', null, null, '1593501093592174595');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174598', '1593500810023669763', '1593500810120138752', '对授课讲师进行打分', '5', null, null, '1593501093592174595');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174600', '1593500809935589381', '1593500810023669760', '课程框架清晰合理、层次分明', '5', null, null, '1593501093592174599');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174601', '1593500809935589381', '1593500810023669761', '讲师的知识底蕴和实战经验', '5', null, null, '1593501093592174599');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174602', '1593500809935589381', '1593500810023669762', '对课程整体进行评价', '5', null, null, '1593501093592174599');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174604', '1593500809843314688', '1593500809935589376', '培训管理', '5', null, null, '1593501093592174603');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174605', '1593500809843314688', '1593500809935589377', '会场服务', '5', null, null, '1593501093592174603');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174606', '1593500809843314688', '1593500809935589378', '前台服务', '5', null, null, '1593501093592174603');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174607', '1593500809843314688', '1593500809935589379', '就餐服务', '5', null, null, '1593501093592174603');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174608', '1593500809843314688', '1593500809935589380', '客房服务', '5', null, null, '1593501093592174603');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174614', '1593500810401157122', '1593500810485043200', '高度重视  预案完备', '3', null, null, '1593501093592174613');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174615', '1593500810401157122', '1593500810485043201', '措施得当  流程明晰', '5', null, null, '1593501093592174613');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174617', '1593500810304688131', '1593500810401157120', '讲师的知识底蕴和实战经验', '5', null, null, '1593501093592174616');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593501093592174618', '1593500810304688131', '1593500810401157121', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1593501093592174616');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499777', '1593195459667693571', '1593195459810299904', '讲师的教学准备和教学态度', '5', null, null, '1593557936775499776');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499778', '1593195459667693571', '1593195459810299905', '讲师的知识底蕴和授课表达', '5', null, null, '1593557936775499776');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499779', '1593195459667693571', '1593195459810299906', '授课讲师的综合评分', '5', null, null, '1593557936775499776');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499781', '1593195459562835971', '1593195459667693569', '讲师的知识底蕴和实战经验', '5', null, null, '1593557936775499780');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499782', '1593195459562835971', '1593195459667693570', '讲师的授课表达', '5', null, null, '1593557936775499780');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499783', '1593195459562835971', '1593195459667693568', '对授课讲师进行打分', '5', null, null, '1593557936775499780');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499785', '1593195459470561285', '1593195459562835968', '课程框架清晰合理、层次分明', '5', null, null, '1593557936775499784');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499786', '1593195459470561285', '1593195459562835969', '讲师的知识底蕴和实战经验', '4', null, null, '1593557936775499784');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499787', '1593195459470561285', '1593195459562835970', '对课程整体进行评价', '5', null, null, '1593557936775499784');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499789', '1593195459369897984', '1593195459470561280', '培训管理', '5', null, null, '1593557936775499788');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499790', '1593195459369897984', '1593195459470561281', '会场服务', '5', null, null, '1593557936775499788');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499791', '1593195459369897984', '1593195459470561282', '前台服务', '5', null, null, '1593557936775499788');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499792', '1593195459369897984', '1593195459470561283', '就餐服务', '5', null, null, '1593557936775499788');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936775499793', '1593195459369897984', '1593195459470561284', '客房服务', '5', null, null, '1593557936775499788');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936779694085', '1593195460087123970', '1593195460183592960', '高度重视  预案完备', '5', null, null, '1593557936779694084');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936779694086', '1593195460087123970', '1593195460183592961', '措施得当  流程明晰', '5', null, null, '1593557936779694084');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936779694088', '1593195459994849283', '1593195460087123968', '讲师的知识底蕴和实战经验', '5', null, null, '1593557936779694087');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936779694089', '1593195459994849283', '1593195460087123969', '讲师的授课表达、气氛调动、进度控制能力', '4', null, null, '1593557936779694087');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593557936779694095', '1593195460275867651', '1593195460368142336', '综合本次讲师授课表现，可评', '5', null, null, '1593557936779694094');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473473', '1593842989925535747', '1593842990017810432', '讲师的教学准备和教学态度', '5', null, null, '1593843155210473472');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473474', '1593842989925535747', '1593842990017810433', '讲师的知识底蕴和授课表达', '5', null, null, '1593843155210473472');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473475', '1593842989925535747', '1593842990017810434', '授课讲师的综合评分', '5', null, null, '1593843155210473472');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473477', '1593842989824872451', '1593842989925535745', '讲师的知识底蕴和实战经验', '5', null, null, '1593843155210473476');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473478', '1593842989824872451', '1593842989925535746', '讲师的授课表达', '5', null, null, '1593843155210473476');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473479', '1593842989824872451', '1593842989925535744', '对授课讲师进行打分', '5', null, null, '1593843155210473476');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473481', '1593842989724209157', '1593842989824872448', '课程框架清晰合理、层次分明', '5', null, null, '1593843155210473480');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473482', '1593842989724209157', '1593842989824872449', '讲师的知识底蕴和实战经验', '5', null, null, '1593843155210473480');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473483', '1593842989724209157', '1593842989824872450', '对课程整体进行评价', '5', null, null, '1593843155210473480');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473485', '1593842989619351552', '1593842989724209152', '培训管理', '5', null, null, '1593843155210473484');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473486', '1593842989619351552', '1593842989724209153', '会场服务', '5', null, null, '1593843155210473484');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473487', '1593842989619351552', '1593842989724209154', '前台服务', '5', null, null, '1593843155210473484');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473488', '1593842989619351552', '1593842989724209155', '就餐服务', '5', null, null, '1593843155210473484');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473489', '1593842989619351552', '1593842989724209156', '客房服务', '5', null, null, '1593843155210473484');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473495', '1593842990223331330', '1593842990319800320', '高度重视  预案完备', '5', null, null, '1593843155210473494');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473496', '1593842990223331330', '1593842990319800321', '措施得当  流程明晰', '5', null, null, '1593843155210473494');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473498', '1593842990126862339', '1593842990223331328', '讲师的知识底蕴和实战经验', '5', null, null, '1593843155210473497');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1593843155210473499', '1593842990126862339', '1593842990223331329', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1593843155210473497');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785857', '1596347825522872320', '1596347825623535616', '讲的生动', '4', null, null, '1596349796673785856');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785858', '1596347825522872320', '1596347825623535617', '讲的疼', '3', null, null, '1596349796673785856');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785859', '1596347825522872320', '1596347825623535618', '讲的难吃', '5', null, null, '1596349796673785856');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785861', '1596347825623535619', '1596347825699033088', '听不懂', '4', null, null, '1596349796673785860');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785862', '1596347825623535619', '1596347825699033089', '方言成都', '3', null, null, '1596349796673785860');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785863', '1596347825623535619', '1596347825699033090', '爱睡觉', '5', null, null, '1596349796673785860');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349796673785864', '1596347825623535619', '1596347825699033091', '爱大人', '4', null, null, '1596349796673785860');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514817', '1596347825522872320', '1596347825623535616', '讲的生动', '5', null, null, '1596349885236514816');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514818', '1596347825522872320', '1596347825623535617', '讲的疼', '5', null, null, '1596349885236514816');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514819', '1596347825522872320', '1596347825623535618', '讲的难吃', '5', null, null, '1596349885236514816');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514821', '1596347825623535619', '1596347825699033088', '听不懂', '5', null, null, '1596349885236514820');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514822', '1596347825623535619', '1596347825699033089', '方言成都', '5', null, null, '1596349885236514820');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514823', '1596347825623535619', '1596347825699033090', '爱睡觉', '5', null, null, '1596349885236514820');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596349885236514824', '1596347825623535619', '1596347825699033091', '爱大人', '5', null, null, '1596349885236514820');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629377', '1596348024328687619', '1596348024395796480', '讲师的教学准备和教学态度', '3', null, null, '1596350095014629376');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629378', '1596348024328687619', '1596348024395796481', '讲师的知识底蕴和授课表达', '4', null, null, '1596350095014629376');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629379', '1596348024328687619', '1596348024395796482', '授课讲师的综合评分', '2', null, null, '1596350095014629376');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629381', '1596348024060252163', '1596348024328687617', '讲师的知识底蕴和实战经验', '3', null, null, '1596350095014629380');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629382', '1596348024060252163', '1596348024328687618', '讲师的授课表达', '4', null, null, '1596350095014629380');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629383', '1596348024060252163', '1596348024328687616', '对授课讲师进行打分', '2', null, null, '1596350095014629380');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629385', '1596348023947005957', '1596348024060252160', '课程框架清晰合理、层次分明', '3', null, null, '1596350095014629384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629386', '1596348023947005957', '1596348024060252161', '讲师的知识底蕴和实战经验', '2', null, null, '1596350095014629384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629387', '1596348023947005957', '1596348024060252162', '对课程整体进行评价', '4', null, null, '1596350095014629384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629389', '1596348023879897088', '1596348023947005952', '培训管理', '3', null, null, '1596350095014629388');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629390', '1596348023879897088', '1596348023947005953', '会场服务', '2', null, null, '1596350095014629388');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629391', '1596348023879897088', '1596348023947005954', '前台服务', '4', null, null, '1596350095014629388');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629392', '1596348023879897088', '1596348023947005955', '就餐服务', '2', null, null, '1596350095014629388');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629393', '1596348023879897088', '1596348023947005956', '客房服务', '4', null, null, '1596350095014629388');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629395', '1596348024567762946', '1596348024639066112', '高度重视  预案完备', '2', null, null, '1596350095014629394');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629396', '1596348024567762946', '1596348024639066113', '措施得当  流程明晰', '4', null, null, '1596350095014629394');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629398', '1596348024504848387', '1596348024567762944', '讲师的知识底蕴和实战经验', '4', null, null, '1596350095014629397');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596350095014629399', '1596348024504848387', '1596348024567762945', '讲师的授课表达、气氛调动、进度控制能力', '2', null, null, '1596350095014629397');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613761', '1596347825522872320', '1596347825623535616', '讲的生动', '1', null, null, '1596351121658613760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613762', '1596347825522872320', '1596347825623535617', '讲的疼', '1', null, null, '1596351121658613760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613763', '1596347825522872320', '1596347825623535618', '讲的难吃', '1', null, null, '1596351121658613760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613773', '1596347825623535619', '1596347825699033088', '听不懂', '0', null, null, '1596351121658613772');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613774', '1596347825623535619', '1596347825699033089', '方言成都', '1', null, null, '1596351121658613772');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613775', '1596347825623535619', '1596347825699033090', '爱睡觉', '1', null, null, '1596351121658613772');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351121658613776', '1596347825623535619', '1596347825699033091', '爱大人', '1', null, null, '1596351121658613772');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320385', '1596347825522872320', '1596347825623535616', '讲的生动', '2', null, null, '1596351311266320384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320386', '1596347825522872320', '1596347825623535617', '讲的疼', '3', null, null, '1596351311266320384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320387', '1596347825522872320', '1596347825623535618', '讲的难吃', '1', null, null, '1596351311266320384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320397', '1596347825623535619', '1596347825699033088', '听不懂', '3', null, null, '1596351311266320396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320398', '1596347825623535619', '1596347825699033089', '方言成都', '1', null, null, '1596351311266320396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320399', '1596347825623535619', '1596347825699033090', '爱睡觉', '2', null, null, '1596351311266320396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351311266320400', '1596347825623535619', '1596347825699033091', '爱大人', '2', null, null, '1596351311266320396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990017', '1596348023947005957', '1596348024060252160', '课程框架清晰合理、层次分明', '4', null, null, '1596351534331990016');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990018', '1596348023947005957', '1596348024060252161', '讲师的知识底蕴和实战经验', '4', null, null, '1596351534331990016');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990019', '1596348023947005957', '1596348024060252162', '对课程整体进行评价', '4', null, null, '1596351534331990016');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990021', '1596348023879897088', '1596348023947005952', '培训管理', '4', null, null, '1596351534331990020');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990022', '1596348023879897088', '1596348023947005953', '会场服务', '5', null, null, '1596351534331990020');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990023', '1596348023879897088', '1596348023947005954', '前台服务', '3', null, null, '1596351534331990020');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990024', '1596348023879897088', '1596348023947005955', '就餐服务', '3', null, null, '1596351534331990020');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990025', '1596348023879897088', '1596348023947005956', '客房服务', '5', null, null, '1596351534331990020');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990027', '1596348024328687619', '1596348024395796480', '讲师的教学准备和教学态度', '3', null, null, '1596351534331990026');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990028', '1596348024328687619', '1596348024395796481', '讲师的知识底蕴和授课表达', '5', null, null, '1596351534331990026');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990029', '1596348024328687619', '1596348024395796482', '授课讲师的综合评分', '4', null, null, '1596351534331990026');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990031', '1596348024060252163', '1596348024328687617', '讲师的知识底蕴和实战经验', '3', null, null, '1596351534331990030');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990032', '1596348024060252163', '1596348024328687618', '讲师的授课表达', '5', null, null, '1596351534331990030');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990033', '1596348024060252163', '1596348024328687616', '对授课讲师进行打分', '4', null, null, '1596351534331990030');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990039', '1596348024567762946', '1596348024639066112', '高度重视  预案完备', '3', null, null, '1596351534331990038');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990040', '1596348024567762946', '1596348024639066113', '措施得当  流程明晰', '5', null, null, '1596351534331990038');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990042', '1596348024504848387', '1596348024567762944', '讲师的知识底蕴和实战经验', '3', null, null, '1596351534331990041');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596351534331990043', '1596348024504848387', '1596348024567762945', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1596351534331990041');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596407933950889988', '1596407388397768704', '1596407388494237696', '讲师讲的怎么样', '5', null, null, '1596407933950889987');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596407933950889989', '1596407388397768704', '1596407388494237697', '讲师作业多吗', '3', null, null, '1596407933950889987');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596674850297090055', '1596673054254174208', '1596673054346448896', '讲师讲的怎么样', '3', null, null, '1596674850297090054');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596674850297090056', '1596673054254174208', '1596673054346448897', '讲师作业多吗', '5', null, null, '1596674850297090054');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596694554155814918', '1596671955065507840', '1596671955153588224', '讲师讲的怎么样', '4', null, null, '1596694554155814917');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596694554155814919', '1596671955065507840', '1596671955153588225', '讲师作业多吗', '5', null, null, '1596694554155814917');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596706440637190148', '1596702933133692928', '1596702933242744832', '讲师讲的怎么样', '4', null, null, '1596706440637190147');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596706440637190149', '1596702933133692928', '1596702933242744833', '讲师作业多吗', '5', null, null, '1596706440637190147');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596707081711390724', '1596702933133692928', '1596702933242744832', '讲师讲的怎么样', '4', null, null, '1596707081711390723');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596707081711390725', '1596702933133692928', '1596702933242744833', '讲师作业多吗', '5', null, null, '1596707081711390723');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596743392606425092', '1596702933133692928', '1596702933242744832', '讲师讲的怎么样', '5', null, null, '1596743392606425091');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596743392606425093', '1596702933133692928', '1596702933242744833', '讲师作业多吗', '5', null, null, '1596743392606425091');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596743768869048324', '1596702933133692928', '1596702933242744832', '讲师讲的怎么样', '4', null, null, '1596743768869048323');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596743768869048325', '1596702933133692928', '1596702933242744833', '讲师作业多吗', '4', null, null, '1596743768869048323');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596747263164682244', '1596746360877617152', '1596746360969891840', '讲师讲的怎么样', '5', null, null, '1596747263164682243');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596747263164682245', '1596746360877617152', '1596746360969891841', '讲师作业多吗', '5', null, null, '1596747263164682243');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596747342755794948', '1596746360877617152', '1596746360969891840', '讲师讲的怎么样', '4', null, null, '1596747342755794947');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596747342755794949', '1596746360877617152', '1596746360969891841', '讲师作业多吗', '4', null, null, '1596747342755794947');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596748038464999428', '1596746360877617152', '1596746360969891840', '讲师讲的怎么样', '3', null, null, '1596748038464999427');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596748038464999429', '1596746360877617152', '1596746360969891841', '讲师作业多吗', '1', null, null, '1596748038464999427');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596753174293778436', '1596746360877617152', '1596746360969891840', '讲师讲的怎么样', '2', null, null, '1596753174293778435');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596753174293778437', '1596746360877617152', '1596746360969891841', '讲师作业多吗', '2', null, null, '1596753174293778435');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539201', '1596499092706562048', '1596499092710756352', '培训管理', '5', null, null, '1596775692639539200');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539202', '1596499092706562048', '1596499092710756353', '会场服务', '5', null, null, '1596775692639539200');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539203', '1596499092706562048', '1596499092710756354', '前台服务', '5', null, null, '1596775692639539200');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539204', '1596499092706562048', '1596499092710756355', '就餐服务', '5', null, null, '1596775692639539200');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539205', '1596499092706562048', '1596499092710756356', '客房服务', '5', null, null, '1596775692639539200');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539207', '1596499092706562048', '1596499092710756352', '培训管理', '4', null, null, '1596775692639539206');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539208', '1596499092706562048', '1596499092710756353', '会场服务', '4', null, null, '1596775692639539206');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539209', '1596499092706562048', '1596499092710756354', '前台服务', '4', null, null, '1596775692639539206');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539210', '1596499092706562048', '1596499092710756355', '就餐服务', '4', null, null, '1596775692639539206');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539211', '1596499092706562048', '1596499092710756356', '客房服务', '4', null, null, '1596775692639539206');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539213', '1596499092706562048', '1596499092710756352', '培训管理', '3', null, null, '1596775692639539212');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539214', '1596499092706562048', '1596499092710756353', '会场服务', '3', null, null, '1596775692639539212');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539215', '1596499092706562048', '1596499092710756354', '前台服务', '3', null, null, '1596775692639539212');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539216', '1596499092706562048', '1596499092710756355', '就餐服务', '3', null, null, '1596775692639539212');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539217', '1596499092706562048', '1596499092710756356', '客房服务', '3', null, null, '1596775692639539212');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539219', '1596499092706562048', '1596499092710756352', '培训管理', '2', null, null, '1596775692639539218');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539220', '1596499092706562048', '1596499092710756353', '会场服务', '2', null, null, '1596775692639539218');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539221', '1596499092706562048', '1596499092710756354', '前台服务', '2', null, null, '1596775692639539218');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539222', '1596499092706562048', '1596499092710756355', '就餐服务', '2', null, null, '1596775692639539218');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539223', '1596499092706562048', '1596499092710756356', '客房服务', '2', null, null, '1596775692639539218');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539225', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '5', null, null, '1596775692639539224');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539226', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '5', null, null, '1596775692639539224');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539227', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '5', null, null, '1596775692639539224');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539229', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '4', null, null, '1596775692639539228');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539230', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '4', null, null, '1596775692639539228');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539231', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '4', null, null, '1596775692639539228');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539233', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '3', null, null, '1596775692639539232');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539234', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '3', null, null, '1596775692639539232');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539235', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '3', null, null, '1596775692639539232');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539237', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '2', null, null, '1596775692639539236');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539238', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '2', null, null, '1596775692639539236');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539239', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '2', null, null, '1596775692639539236');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539241', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '5', null, null, '1596775692639539240');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539242', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '5', null, null, '1596775692639539240');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539243', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '5', null, null, '1596775692639539240');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539245', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '4', null, null, '1596775692639539244');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539246', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '4', null, null, '1596775692639539244');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539247', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '4', null, null, '1596775692639539244');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539249', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '3', null, null, '1596775692639539248');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539250', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '3', null, null, '1596775692639539248');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539251', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '3', null, null, '1596775692639539248');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539253', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '2', null, null, '1596775692639539252');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539254', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '2', null, null, '1596775692639539252');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539255', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '2', null, null, '1596775692639539252');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539257', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '5', null, null, '1596775692639539256');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539258', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '5', null, null, '1596775692639539256');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539259', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '5', null, null, '1596775692639539256');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539261', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '4', null, null, '1596775692639539260');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539262', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '4', null, null, '1596775692639539260');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539263', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '4', null, null, '1596775692639539260');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539265', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '3', null, null, '1596775692639539264');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539266', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '3', null, null, '1596775692639539264');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539267', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '3', null, null, '1596775692639539264');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539269', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '2', null, null, '1596775692639539268');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539270', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '2', null, null, '1596775692639539268');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539271', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '2', null, null, '1596775692639539268');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539277', '1596499092740116482', '1596499092744310784', '高度重视  预案完备', '1', null, null, '1596775692639539276');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539278', '1596499092740116482', '1596499092744310785', '措施得当  流程明晰', '2', null, null, '1596775692639539276');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539280', '1596499092731727875', '1596499092740116480', '讲师的知识底蕴和实战经验', '1', null, null, '1596775692639539279');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596775692639539281', '1596499092731727875', '1596499092740116481', '讲师的授课表达、气氛调动、进度控制能力', '2', null, null, '1596775692639539279');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596791010208387079', '1596790161667133440', '1596790161755213824', '讲师讲的怎么样', '5', null, null, '1596791010208387078');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596791010208387080', '1596790161667133440', '1596790161755213825', '讲师作业多吗', '5', null, null, '1596791010208387078');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596793598471442439', '1596790161667133440', '1596790161755213824', '讲师讲的怎么样', '3', null, null, '1596793598471442438');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596793598471442440', '1596790161667133440', '1596790161755213825', '讲师作业多吗', '3', null, null, '1596793598471442438');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596796894489743364', '1596790161667133440', '1596790161755213824', '讲师讲的怎么样', '2', null, null, '1596796894489743363');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1596796894489743365', '1596790161667133440', '1596790161755213825', '讲师作业多吗', '2', null, null, '1596796894489743363');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862721', '1596348023879897088', '1596348023947005952', '培训管理', '5', null, null, '1597111055576862720');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862722', '1596348023879897088', '1596348023947005953', '会场服务', '5', null, null, '1597111055576862720');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862723', '1596348023879897088', '1596348023947005954', '前台服务', '5', null, null, '1597111055576862720');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862724', '1596348023879897088', '1596348023947005955', '就餐服务', '5', null, null, '1597111055576862720');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862725', '1596348023879897088', '1596348023947005956', '客房服务', '5', null, null, '1597111055576862720');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862727', '1596348024328687619', '1596348024395796480', '讲师的教学准备和教学态度', '5', null, null, '1597111055576862726');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862728', '1596348024328687619', '1596348024395796481', '讲师的知识底蕴和授课表达', '5', null, null, '1597111055576862726');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862729', '1596348024328687619', '1596348024395796482', '授课讲师的综合评分', '5', null, null, '1597111055576862726');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862731', '1596348024060252163', '1596348024328687617', '讲师的知识底蕴和实战经验', '5', null, null, '1597111055576862730');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862732', '1596348024060252163', '1596348024328687618', '讲师的授课表达', '5', null, null, '1597111055576862730');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862733', '1596348024060252163', '1596348024328687616', '对授课讲师进行打分', '5', null, null, '1597111055576862730');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862735', '1596348023947005957', '1596348024060252160', '课程框架清晰合理、层次分明', '5', null, null, '1597111055576862734');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862736', '1596348023947005957', '1596348024060252161', '讲师的知识底蕴和实战经验', '5', null, null, '1597111055576862734');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862737', '1596348023947005957', '1596348024060252162', '对课程整体进行评价', '5', null, null, '1597111055576862734');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862739', '1596348024567762946', '1596348024639066112', '高度重视  预案完备', '5', null, null, '1597111055576862738');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862740', '1596348024567762946', '1596348024639066113', '措施得当  流程明晰', '5', null, null, '1597111055576862738');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862742', '1596348024504848387', '1596348024567762944', '讲师的知识底蕴和实战经验', '5', null, null, '1597111055576862741');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597111055576862743', '1596348024504848387', '1596348024567762945', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1597111055576862741');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157761', '1596347825522872320', '1596347825623535616', '讲的生动', '5', null, null, '1597120639079157760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157762', '1596347825522872320', '1596347825623535617', '讲的疼', '5', null, null, '1597120639079157760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157763', '1596347825522872320', '1596347825623535618', '讲的难吃', '5', null, null, '1597120639079157760');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157765', '1596347825623535619', '1596347825699033088', '听不懂', '5', null, null, '1597120639079157764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157766', '1596347825623535619', '1596347825699033089', '方言成都', '5', null, null, '1597120639079157764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157767', '1596347825623535619', '1596347825699033090', '爱睡觉', '5', null, null, '1597120639079157764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597120639079157768', '1596347825623535619', '1596347825699033091', '爱大人', '5', null, null, '1597120639079157764');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486337', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '5', null, null, '1597502597961486336');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486338', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '5', null, null, '1597502597961486336');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486339', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '4', null, null, '1597502597961486336');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486341', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '5', null, null, '1597502597961486340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486342', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '5', null, null, '1597502597961486340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486343', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '4', null, null, '1597502597961486340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486345', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '5', null, null, '1597502597961486344');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486346', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '4', null, null, '1597502597961486344');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486347', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '4', null, null, '1597502597961486344');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486349', '1596499092723339267', '1596499092727533568', '讲师的教学准备和教学态度', '4', null, null, '1597502597961486348');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486350', '1596499092723339267', '1596499092727533569', '讲师的知识底蕴和授课表达', '3', null, null, '1597502597961486348');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486351', '1596499092723339267', '1596499092727533570', '授课讲师的综合评分', '4', null, null, '1597502597961486348');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486353', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486352');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486354', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '3', null, null, '1597502597961486352');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486355', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '3', null, null, '1597502597961486352');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486357', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '2', null, null, '1597502597961486356');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486358', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '3', null, null, '1597502597961486356');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486359', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '3', null, null, '1597502597961486356');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486361', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486360');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486362', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '3', null, null, '1597502597961486360');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486363', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '3', null, null, '1597502597961486360');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486365', '1596499092719144963', '1596499092723339265', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486364');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486366', '1596499092719144963', '1596499092723339266', '讲师的授课表达', '3', null, null, '1597502597961486364');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486367', '1596499092719144963', '1596499092723339264', '对授课讲师进行打分', '3', null, null, '1597502597961486364');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486369', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '3', null, null, '1597502597961486368');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486370', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '2', null, null, '1597502597961486368');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486371', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '2', null, null, '1597502597961486368');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486373', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '3', null, null, '1597502597961486372');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486374', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486372');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486375', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '3', null, null, '1597502597961486372');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486377', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '3', null, null, '1597502597961486376');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486378', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486376');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486379', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '3', null, null, '1597502597961486376');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486381', '1596499092710756357', '1596499092719144960', '课程框架清晰合理、层次分明', '3', null, null, '1597502597961486380');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486382', '1596499092710756357', '1596499092719144961', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486380');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486383', '1596499092710756357', '1596499092719144962', '对课程整体进行评价', '3', null, null, '1597502597961486380');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486385', '1596499092706562048', '1596499092710756352', '培训管理', '3', null, null, '1597502597961486384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486386', '1596499092706562048', '1596499092710756353', '会场服务', '3', null, null, '1597502597961486384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486387', '1596499092706562048', '1596499092710756354', '前台服务', '3', null, null, '1597502597961486384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486388', '1596499092706562048', '1596499092710756355', '就餐服务', '3', null, null, '1597502597961486384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486389', '1596499092706562048', '1596499092710756356', '客房服务', '3', null, null, '1597502597961486384');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486391', '1596499092706562048', '1596499092710756352', '培训管理', '3', null, null, '1597502597961486390');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486392', '1596499092706562048', '1596499092710756353', '会场服务', '3', null, null, '1597502597961486390');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486393', '1596499092706562048', '1596499092710756354', '前台服务', '3', null, null, '1597502597961486390');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486394', '1596499092706562048', '1596499092710756355', '就餐服务', '3', null, null, '1597502597961486390');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486395', '1596499092706562048', '1596499092710756356', '客房服务', '3', null, null, '1597502597961486390');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486397', '1596499092706562048', '1596499092710756352', '培训管理', '4', null, null, '1597502597961486396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486398', '1596499092706562048', '1596499092710756353', '会场服务', '4', null, null, '1597502597961486396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486399', '1596499092706562048', '1596499092710756354', '前台服务', '3', null, null, '1597502597961486396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486400', '1596499092706562048', '1596499092710756355', '就餐服务', '3', null, null, '1597502597961486396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486401', '1596499092706562048', '1596499092710756356', '客房服务', '3', null, null, '1597502597961486396');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486403', '1596499092706562048', '1596499092710756352', '培训管理', '3', null, null, '1597502597961486402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486404', '1596499092706562048', '1596499092710756353', '会场服务', '3', null, null, '1597502597961486402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486405', '1596499092706562048', '1596499092710756354', '前台服务', '3', null, null, '1597502597961486402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486406', '1596499092706562048', '1596499092710756355', '就餐服务', '3', null, null, '1597502597961486402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486407', '1596499092706562048', '1596499092710756356', '客房服务', '4', null, null, '1597502597961486402');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486409', '1596499092740116482', '1596499092744310784', '高度重视  预案完备', '3', null, null, '1597502597961486408');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486410', '1596499092740116482', '1596499092744310785', '措施得当  流程明晰', '3', null, null, '1597502597961486408');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486412', '1596499092740116482', '1596499092744310784', '高度重视  预案完备', '4', null, null, '1597502597961486411');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486413', '1596499092740116482', '1596499092744310785', '措施得当  流程明晰', '4', null, null, '1597502597961486411');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486415', '1596499092740116482', '1596499092744310784', '高度重视  预案完备', '4', null, null, '1597502597961486414');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486416', '1596499092740116482', '1596499092744310785', '措施得当  流程明晰', '4', null, null, '1597502597961486414');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486418', '1596499092740116482', '1596499092744310784', '高度重视  预案完备', '4', null, null, '1597502597961486417');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486419', '1596499092740116482', '1596499092744310785', '措施得当  流程明晰', '3', null, null, '1597502597961486417');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486421', '1596499092731727875', '1596499092740116480', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486420');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486422', '1596499092731727875', '1596499092740116481', '讲师的授课表达、气氛调动、进度控制能力', '3', null, null, '1597502597961486420');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486424', '1596499092731727875', '1596499092740116480', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486423');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486425', '1596499092731727875', '1596499092740116481', '讲师的授课表达、气氛调动、进度控制能力', '3', null, null, '1597502597961486423');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486427', '1596499092731727875', '1596499092740116480', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486426');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486428', '1596499092731727875', '1596499092740116481', '讲师的授课表达、气氛调动、进度控制能力', '3', null, null, '1597502597961486426');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486430', '1596499092731727875', '1596499092740116480', '讲师的知识底蕴和实战经验', '3', null, null, '1597502597961486429');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1597502597961486431', '1596499092731727875', '1596499092740116481', '讲师的授课表达、气氛调动、进度控制能力', '3', null, null, '1597502597961486429');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962369', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '5', null, null, '1598524843307962368');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962370', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '5', null, null, '1598524843307962368');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962372', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '4', null, null, '1598524843307962371');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962373', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '4', null, null, '1598524843307962371');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962375', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '3', null, null, '1598524843307962374');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962376', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '3', null, null, '1598524843307962374');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962378', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '2', null, null, '1598524843307962377');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598524843307962379', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '2', null, null, '1598524843307962377');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298817', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '1', null, null, '1598526122411298816');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298818', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '1', null, null, '1598526122411298816');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298820', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '2', null, null, '1598526122411298819');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298821', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '2', null, null, '1598526122411298819');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298823', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '3', null, null, '1598526122411298822');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298824', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '3', null, null, '1598526122411298822');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298826', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '4', null, null, '1598526122411298825');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598526122411298827', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '4', null, null, '1598526122411298825');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593217', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '3', null, null, '1598554108275593216');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593218', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '3', null, null, '1598554108275593216');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593220', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '4', null, null, '1598554108275593219');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593221', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '4', null, null, '1598554108275593219');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593223', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '5', null, null, '1598554108275593222');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593224', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '5', null, null, '1598554108275593222');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593226', '1598522816079204352', '1598522816158896128', '讲师讲的怎么样', '5', null, null, '1598554108275593225');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598554108275593227', '1598522816079204352', '1598522816158896129', '讲师作业多吗', '5', null, null, '1598554108275593225');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411329', '1598954088341573635', '1598954088349962240', '讲师的教学准备和教学态度', '4', null, null, '1598955275325411328');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411330', '1598954088341573635', '1598954088349962241', '讲师的知识底蕴和授课表达', '4', null, null, '1598955275325411328');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411331', '1598954088341573635', '1598954088349962242', '授课讲师的综合评分', '4', null, null, '1598955275325411328');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411333', '1598954088333185027', '1598954088341573633', '讲师的知识底蕴和实战经验', '4', null, null, '1598955275325411332');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411334', '1598954088333185027', '1598954088341573634', '讲师的授课表达', '4', null, null, '1598955275325411332');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411335', '1598954088333185027', '1598954088341573632', '对授课讲师进行打分', '4', null, null, '1598955275325411332');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411337', '1598954088324796421', '1598954088333185024', '课程框架清晰合理、层次分明', '4', null, null, '1598955275325411336');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411338', '1598954088324796421', '1598954088333185025', '讲师的知识底蕴和实战经验', '4', null, null, '1598955275325411336');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411339', '1598954088324796421', '1598954088333185026', '对课程整体进行评价', '4', null, null, '1598955275325411336');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411341', '1598954088316407808', '1598954088324796416', '培训管理', '5', null, null, '1598955275325411340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411342', '1598954088316407808', '1598954088324796417', '会场服务', '5', null, null, '1598955275325411340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411343', '1598954088316407808', '1598954088324796418', '前台服务', '4', null, null, '1598955275325411340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411344', '1598954088316407808', '1598954088324796419', '就餐服务', '4', null, null, '1598955275325411340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411345', '1598954088316407808', '1598954088324796420', '客房服务', '5', null, null, '1598955275325411340');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411347', '1598954088362545154', '1598954088370933760', '高度重视  预案完备', '5', null, null, '1598955275325411346');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411348', '1598954088362545154', '1598954088370933761', '措施得当  流程明晰', '5', null, null, '1598955275325411346');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411350', '1598954088358350851', '1598954088362545152', '讲师的知识底蕴和实战经验', '5', null, null, '1598955275325411349');
INSERT INTO `train_class_trainer_appraise_option` VALUES ('1598955275325411351', '1598954088358350851', '1598954088362545153', '讲师的授课表达、气氛调动、进度控制能力', '5', null, null, '1598955275325411349');

-- ----------------------------
-- Table structure for train_class_training_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_class_training_appraise`;
CREATE TABLE `train_class_training_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  `train_class_appraise_list_id` varchar(20) DEFAULT NULL COMMENT '评论计划id',
  `appraise_num` int(11) DEFAULT NULL COMMENT '评论次数',
  `user_appraise_id` bigint(20) DEFAULT NULL COMMENT '用户评价id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户培训班评价项';

-- ----------------------------
-- Records of train_class_training_appraise
-- ----------------------------
INSERT INTO `train_class_training_appraise` VALUES ('1573218033453895698', '1571736395163242496', '1567451914025701376', '何神', '1573155012027224086', '讲师课堂呈现（集中，在线，课程）', '15', '1572100961822969856', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1573218033453895708', '1571736395163242496', '1567451914025701376', '何神', '1573155012027224099', '课程内容规划（集中，在线，课程）', '15', '1572100961822969856', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1573218033453895714', '1571736395163242496', '1567451914025701376', '何神', '1573155012027224107', '在本次学习中，您的最大收获是什么？有什么建议？', '4', '1572100961822969856', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1573218033453895716', '1571736395163242496', '1567451914025701376', '何神', '1573155012027224110', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1572100961822969856', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1573218033453895718', '1571736395163242496', '1567451914025701376', '何神', '1573155012027224113', '下次再有此类培训，您最想学习什么课程？', '3', '1572100961822969856', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1573228408580739074', '1571736395163242496', '1569928315261816832', '小石头', '1573155389346811907', null, '4', '1572118873535287296', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1573228476562018306', '1571736395163242496', '1569928315261816832', '小石头', '1573155389346811907', null, '5', '1572118873535287296', '1', null);
INSERT INTO `train_class_training_appraise` VALUES ('1575328669549858836', '1575325299946688512', '1567097186544652288', '何云凡', '1575328174999474179', '讲师课堂呈现（集中，在线，课程）', '14', '1575328174903005184', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1575329462038433813', '1575325299946688512', '1567097186544652288', '何云凡', '1575328174999474179', '讲师课堂呈现（集中，在线，课程）', '0', '1575328174903005184', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1575329824120115212', '1575325299946688512', '1567097186544652288', '何云凡', '1575329271428288514', '在本次学习中，您的最大收获是什么？有什么建议？', '1', '1575329271369568256', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1575329824120115214', '1575325299946688512', '1567097186544652288', '何云凡', '1575329271436677121', '下次再有此类培训，您最想学习什么课程？', '1', '1575329271369568256', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1579026471291326469', '1578925079021096960', '1565939234546782208', '王涵', '1578994439894994947', '讲师课堂呈现（集中，在线，课程）', '12', '1578994438930305024', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1579723885216141318', '1579001547617079296', '1570254194114433024', '李主任002', '1579360392243712002', '在本次学习中，您的最大收获是什么？有什么建议？', '2', '1579360392197574656', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1579723885216141320', '1579001547617079296', '1570254194114433024', '李主任002', '1579360392247906305', '下次再有此类培训，您最想学习什么课程？', '4', '1579360392197574656', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1581931219107581952', '1580821763359641600', '1574656123775094784', '李露露', '1581928327889948676', '课程评价', '8', '1581928327881560064', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1581931266268336128', '1580821763359641600', '1574656123775094784', '李露露', '1581928327889948680', '文本评价', '0', '1581928327881560064', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1582200376499769344', '1580821763359641600', '1574656123775094784', '李露露', '1582200249001316356', '其他评价', '12', '1582200248992927744', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1582200376499769348', '1580821763359641600', '1574656123775094784', '李露露', '1582200249001316360', '文本评价', '0', '1582200248992927744', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1583104183861645330', '1571736395163242496', '1555010577007513600', '周老师', '1573155012027224086', '讲师课堂呈现（集中，在线，课程）', '15', '1572100961822969856', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1583104183861645340', '1571736395163242496', '1555010577007513600', '周老师', '1573155012027224099', '课程内容规划（集中，在线，课程）', '14', '1572100961822969856', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1583104183861645346', '1571736395163242496', '1555010577007513600', '周老师', '1573155012027224110', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1572100961822969856', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1583104183861645348', '1571736395163242496', '1555010577007513600', '周老师', '1573155012027224107', '在本次学习中，您的最大收获是什么？有什么建议？', '4', '1572100961822969856', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1583104183861645350', '1571736395163242496', '1555010577007513600', '周老师', '1573155012027224113', '下次再有此类培训，您最想学习什么课程？', '4', '1572100961822969856', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1583367623704449048', '1583317513494728704', '1574653861665312768', '李露', '1583367069037105155', '讲师课堂呈现（集中，在线，课程）', '12', '1583367068982579200', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1584370455177990148', '1583683407156744192', '1567097186544652288', '何云凡', '1584369612303241216', '其他怎么么样', '6', '1584369611766370304', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1584370455177990151', '1583683407156744192', '1567097186544652288', '何云凡', '1584369612399710210', '文本评价怎么样', '0', '1584369611766370304', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1588732272767537156', '1588729101563334656', '1572825817233362944', '灿', '1588731769413308416', '其他怎么么样', '3', '1588731769279090688', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1588732272767537159', '1588729101563334656', '1572825817233362944', '灿', '1588731769497194498', '文本评价怎么样', '0', '1588731769279090688', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1588735279714406404', '1588733407918166016', '1572825817233362944', '灿', '1588734808874422272', '其他怎么么样', '3', '1588734808689872896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1588735279714406407', '1588733407918166016', '1572825817233362944', '灿', '1588734809205772290', '文本评价怎么样', '0', '1588734808689872896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1588823610917785604', '1588733407918166016', '1574656123775094784', '李露露', '1588735416515825664', '其他怎么么样', '10', '1588734808689872896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1588823610917785607', '1588733407918166016', '1574656123775094784', '李露露', '1588735416515825668', '文本评价怎么样', '0', '1588734808689872896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589104477888188420', '1589098507447439360', '1574656123775094784', '李露露', '1589101563404750852', '其他怎么么样', '9', '1589101563115343872', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589104477888188428', '1589098507447439360', '1574656123775094784', '李露露', '1589101563484442626', '其他怎么样222222', '14', '1589101563115343872', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589104477888188433', '1589098507447439360', '1574656123775094784', '李露露', '1589101563606077441', '文本评价怎么样', '0', '1589101563115343872', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589105061840162825', '1589098507447439360', '1567097186544652288', '何云凡', '1589101563484442626', '其他怎么样222222', '16', '1589101563115343872', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589105061840162830', '1589098507447439360', '1567097186544652288', '何云凡', '1589101563404750852', '其他怎么么样', '10', '1589101563115343872', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589105061840162833', '1589098507447439360', '1567097186544652288', '何云凡', '1589101563606077441', '文本评价怎么样', '0', '1589101563115343872', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589470824103022596', '1588729101563334656', '1567097186544652288', '何云凡', '1588731769413308416', '其他怎么么样', '10', '1588731769279090688', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589470824103022599', '1588729101563334656', '1567097186544652288', '何云凡', '1588731769497194498', '文本评价怎么样', '0', '1588731769279090688', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589498290838310918', '1588729101563334656', '1567097186544652288', '何云凡', '1589497910729510914', '其他怎么样222222', '14', '1589497910297497600', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589498290838310923', '1588729101563334656', '1567097186544652288', '何云凡', '1589497910595293188', '其他怎么么样', '9', '1589497910297497600', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589498290838310926', '1588729101563334656', '1567097186544652288', '何云凡', '1589497910825979908', '文本评价怎么样', '0', '1589497910297497600', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589501022533980169', '1588729101563334656', '1574656123775094784', '李露露', '1589497910729510914', '其他怎么样222222', '20', '1589497910297497600', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589501022533980174', '1588729101563334656', '1574656123775094784', '李露露', '1589497910595293188', '其他怎么么样', '4', '1589497910297497600', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1589501022533980177', '1588729101563334656', '1574656123775094784', '李露露', '1589497910825979908', '文本评价怎么样', '0', '1589497910297497600', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1591999162491211784', '1591972857506828288', '1574653861665312768', '李露', '1591998948099362826', '课程评价', '10', '1591998699687514112', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1591999162491211788', '1591972857506828288', '1574653861665312768', '李露', '1591998948099362831', '文本评价', '0', '1591998699687514112', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1591999162491211790', null, '1574653861665312768', '李露', '1591998948099362834', '文本内容评级爱选哪个', '0', '1591998699687514112', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1592034738145726472', '1591972857506828288', '1574653861665312768', '李露', '1591998948099362826', '课程评价', '12', '1591998699687514112', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1592034738145726476', '1591972857506828288', '1574653861665312768', '李露', '1591998948099362831', '文本评价', '0', '1591998699687514112', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1592034738145726478', null, '1574653861665312768', '李露', '1591998948099362834', '文本内容评级爱选哪个', '0', '1591998699687514112', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1592422536778485769', '1592048661980909568', '1574653861665312768', '李露', '1592417620601212930', '其他怎么样222222', '10', '1592417620546686976', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1592422536778485774', '1592048661980909568', '1574653861665312768', '李露', '1592417620588630020', '其他怎么么样', '2', '1592417620546686976', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1592422536778485777', '1592048661980909568', '1574653861665312768', '李露', '1592417620592824322', '文本评价怎么样', '0', '1592417620546686976', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593487876547547154', '1593195024294744064', '1565939234546782208', '王涵', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593487876547547164', '1593195024294744064', '1565939234546782208', '王涵', '1593195460183592962', '课程内容规划（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593487876547547170', '1593195024294744064', '1565939234546782208', '王涵', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593487876547547172', '1593195024294744064', '1565939234546782208', '王涵', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593487876547547174', '1593195024294744064', '1565939234546782208', '王涵', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488109373362194', '1593195024294744064', '1565939234546782208', '王涵', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488109373362204', '1593195024294744064', '1565939234546782208', '王涵', '1593195460183592962', '课程内容规划（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488109373362210', '1593195024294744064', '1565939234546782208', '王涵', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488109373362212', '1593195024294744064', '1565939234546782208', '王涵', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488109373362214', '1593195024294744064', '1565939234546782208', '王涵', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488527247675410', '1593195024294744064', '1565939234546782208', '王涵', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488527247675420', '1593195024294744064', '1565939234546782208', '王涵', '1593195460183592962', '课程内容规划（集中，在线，课程）', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488527247675426', '1593195024294744064', '1565939234546782208', '王涵', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488527247675428', '1593195024294744064', '1565939234546782208', '王涵', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593488527247675430', '1593195024294744064', '1565939234546782208', '王涵', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593491195626131474', '1593195024294744064', '1565939234546782208', '王涵', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593491195626131484', '1593195024294744064', '1565939234546782208', '王涵', '1593195460183592962', '课程内容规划（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593491195626131490', '1593195024294744064', '1565939234546782208', '王涵', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593491195626131492', '1593195024294744064', '1565939234546782208', '王涵', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593491195626131494', '1593195024294744064', '1565939234546782208', '王涵', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496013497307154', '1593195024294744064', '1565939234546782208', '王涵', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496013497307164', '1593195024294744064', '1565939234546782208', '王涵', '1593195460183592962', '课程内容规划（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496013497307170', '1593195024294744064', '1565939234546782208', '王涵', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496013497307172', '1593195024294744064', '1565939234546782208', '王涵', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496013497307174', '1593195024294744064', '1565939234546782208', '王涵', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496432520859666', '1593195024294744064', '1565939234546782208', '王涵', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '12', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496432520859676', '1593195024294744064', '1565939234546782208', '王涵', '1593195460183592962', '课程内容规划（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496432520859682', '1593195024294744064', '1565939234546782208', '王涵', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496432520859684', '1593195024294744064', '1565939234546782208', '王涵', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593496432520859686', '1593195024294744064', '1565939234546782208', '王涵', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593501093592174609', '1593493864797310976', '1555010577007513600', '张磊', '1593500810212413443', '讲师课堂呈现（集中，在线，课程）', '11', '1593500809293860864', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593557936779694080', '1593195024294744064', '1574653861665312768', '李露', '1593195459810299907', '讲师课堂呈现（集中，在线，课程）', '14', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593557936779694090', '1593195024294744064', '1574653861665312768', '李露', '1593195460183592962', '课程内容规划（集中，在线，课程）', '15', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593557936779694096', '1593195024294744064', '1574653861665312768', '李露', '1593195460368142337', '在本次学习中，您的最大收获是什么？有什么建议？', '5', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593557936779694098', '1593195024294744064', '1574653861665312768', '李露', '1593195460464611329', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593557936779694100', '1593195024294744064', '1574653861665312768', '李露', '1593195460556886017', '下次再有此类培训，您最想学习什么课程？', '4', '1593195458858192896', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1593843155210473490', '1593841368902537216', '1579374510346473472', '李昊杰', '1593842990017810435', '讲师课堂呈现（集中，在线，课程）', '15', '1593842989036343296', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596349796673785865', '1596346735863664640', '1567097186544652288', '何云凡', '1596347825799696386', '其他怎么样222222', '16', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596349796673785870', '1596346735863664640', '1567097186544652288', '何云凡', '1596347825699033092', '其他怎么么样', '8', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596349796673785873', '1596346735863664640', '1567097186544652288', '何云凡', '1596347825900359684', '文本评价怎么样', '0', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596349885236514825', '1596346735863664640', '1567097186544652288', '何云凡', '1596347825799696386', '其他怎么样222222', '20', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596349885236514830', '1596346735863664640', '1567097186544652288', '何云凡', '1596347825699033092', '其他怎么么样', '10', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596349885236514833', '1596346735863664640', '1567097186544652288', '何云凡', '1596347825900359684', '文本评价怎么样', '0', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596350095014629400', '1596346735863664640', '1567097186544652288', '何云凡', '1596348024395796483', '讲师课堂呈现（集中，在线，课程）', '9', '1596348023653404672', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351121658613764', '1596346735863664640', '1574653861665312768', '李露', '1596347825799696386', '其他怎么样222222', '3', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351121658613769', '1596346735863664640', '1574653861665312768', '李露', '1596347825699033092', '其他怎么么样', '1', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351121658613777', '1596346735863664640', '1574653861665312768', '李露', '1596347825900359684', '文本评价怎么样', '0', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351311266320388', '1596346735863664640', '1574653861665312768', '李露', '1596347825799696386', '其他怎么样222222', '8', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351311266320393', '1596346735863664640', '1574653861665312768', '李露', '1596347825699033092', '其他怎么么样', '4', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351311266320401', '1596346735863664640', '1574653861665312768', '李露', '1596347825900359684', '文本评价怎么样', '0', '1596347825413820416', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596351534331990034', '1596346735863664640', '1574653861665312768', '李露', '1596348024395796483', '讲师课堂呈现（集中，在线，课程）', '12', '1596348023653404672', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596407933950889984', '1596385685659586560', '1574653861665312768', '李露', '1596407388594900994', '文本1', '0', '1596407388267745280', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596407933950889990', '1596385685659586560', '1574653861665312768', '李露', '1596407388494237698', '其他1', '4', '1596407388267745280', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596674850297090048', '1596670850063536128', '1574653861665312768', '李露', '1596673054346448898', '其他1', '7', '1596673054090596352', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596674850297090051', '1596670850063536128', '1574653861665312768', '李露', '1596673054430334978', '文本1', '0', '1596673054090596352', null, null);
INSERT INTO `train_class_training_appraise` VALUES ('1596693849101701120', '1596670850063536128', '1574653861665312768', '李露', '1596671955153588226', '其他1', '7', '1596671954943873024', null, '1596693752934699008');
INSERT INTO `train_class_training_appraise` VALUES ('1596694554155814914', '1596670850063536128', '1574653861665312768', '李露', '1596671955245862914', '文本1', '0', '1596671954943873024', null, '1596693752934699008');
INSERT INTO `train_class_training_appraise` VALUES ('1596706440637190144', '1596670850063536128', '1574653861665312768', '李露', '1596702933309853698', '文本1', '0', '1596702933012058112', null, '1596706440423280640');
INSERT INTO `train_class_training_appraise` VALUES ('1596706440637190150', '1596670850063536128', '1574653861665312768', '李露', '1596702933242744834', '其他1', '3', '1596702933012058112', null, '1596706440423280640');
INSERT INTO `train_class_training_appraise` VALUES ('1596707081711390720', '1596670850063536128', '1574653861665312768', '李露', '1596702933309853698', '文本1', '0', '1596702933012058112', null, '1596707081522647040');
INSERT INTO `train_class_training_appraise` VALUES ('1596707081711390726', '1596670850063536128', '1574653861665312768', '李露', '1596702933242744834', '其他1', '3', '1596702933012058112', null, '1596707081522647040');
INSERT INTO `train_class_training_appraise` VALUES ('1596743392606425088', '1596670850063536128', '1567097186544652288', '何云凡', '1596702933309853698', '文本1', '0', '1596702933012058112', null, '1596743392417681408');
INSERT INTO `train_class_training_appraise` VALUES ('1596743392606425094', '1596670850063536128', '1567097186544652288', '何云凡', '1596702933242744834', '其他1', '10', '1596702933012058112', null, '1596743392417681408');
INSERT INTO `train_class_training_appraise` VALUES ('1596743768869048320', '1596670850063536128', '1567097186544652288', '何云凡', '1596702933309853698', '文本1', '0', '1596702933012058112', null, '1596743768676110336');
INSERT INTO `train_class_training_appraise` VALUES ('1596743768869048326', '1596670850063536128', '1567097186544652288', '何云凡', '1596702933242744834', '其他1', '8', '1596702933012058112', null, '1596743768676110336');
INSERT INTO `train_class_training_appraise` VALUES ('1596747263164682240', '1596745761951977472', '1567097186544652288', '何云凡', '1596746361053777922', '文本1', '0', '1596746360764370944', null, '1596747262959161344');
INSERT INTO `train_class_training_appraise` VALUES ('1596747263164682246', '1596745761951977472', '1567097186544652288', '何云凡', '1596746360969891842', '其他1', '10', '1596746360764370944', null, '1596747262959161344');
INSERT INTO `train_class_training_appraise` VALUES ('1596747342755794944', '1596745761951977472', '1567097186544652288', '何云凡', '1596746361053777922', '文本1', '0', '1596746360764370944', null, '1596747342562856960');
INSERT INTO `train_class_training_appraise` VALUES ('1596747342755794950', '1596745761951977472', '1567097186544652288', '何云凡', '1596746360969891842', '其他1', '8', '1596746360764370944', null, '1596747342562856960');
INSERT INTO `train_class_training_appraise` VALUES ('1596748038464999424', '1596745761951977472', '1574653861665312768', '李露', '1596746361053777922', '文本1', '0', '1596746360764370944', null, '1596748038276255744');
INSERT INTO `train_class_training_appraise` VALUES ('1596748038464999430', '1596745761951977472', '1574653861665312768', '李露', '1596746360969891842', '其他1', '4', '1596746360764370944', null, '1596748038276255744');
INSERT INTO `train_class_training_appraise` VALUES ('1596753174293778432', '1596745761951977472', '1574653861665312768', '李露', '1596746361053777922', '文本1', '0', '1596746360764370944', null, '1596753174092451840');
INSERT INTO `train_class_training_appraise` VALUES ('1596753174293778438', '1596745761951977472', '1574653861665312768', '李露', '1596746360969891842', '其他1', '4', '1596746360764370944', null, '1596753174092451840');
INSERT INTO `train_class_training_appraise` VALUES ('1596775692639539272', '1596498438508384256', '1567097186544652288', '何云凡', '1596499092727533571', '讲师课堂呈现（集中，在线，课程）', '6', '1596499092681396224', null, '1596775692442406912');
INSERT INTO `train_class_training_appraise` VALUES ('1596791010208387072', '1596789911623700480', '1567097186544652288', '何云凡', '1596790161755213826', '其他1', '8', '1596790161553887232', null, '1596791009998671872');
INSERT INTO `train_class_training_appraise` VALUES ('1596791010208387075', '1596789911623700480', '1567097186544652288', '何云凡', '1596790161839099906', '文本1', '0', '1596790161553887232', null, '1596791009998671872');
INSERT INTO `train_class_training_appraise` VALUES ('1596793598471442432', '1596789911623700480', '1567097186544652288', '何云凡', '1596790161755213826', '其他1', '10', '1596790161553887232', null, '1596793598249144320');
INSERT INTO `train_class_training_appraise` VALUES ('1596793598471442435', '1596789911623700480', '1567097186544652288', '何云凡', '1596790161839099906', '文本1', '0', '1596790161553887232', null, '1596793598249144320');
INSERT INTO `train_class_training_appraise` VALUES ('1596796894489743360', '1596789911623700480', '1574653861665312768', '李露', '1596790161839099906', '文本1', '0', '1596790161553887232', null, '1596796894300999680');
INSERT INTO `train_class_training_appraise` VALUES ('1596796894489743366', '1596789911623700480', '1574653861665312768', '李露', '1596790161755213826', '其他1', '10', '1596790161553887232', null, '1596796894300999680');
INSERT INTO `train_class_training_appraise` VALUES ('1597111055576862744', '1596346735863664640', '1565939234546782208', '王涵', '1596348024395796483', '讲师课堂呈现（集中，在线，课程）', '15', '1596348023653404672', null, '1597111055379730432');
INSERT INTO `train_class_training_appraise` VALUES ('1597120639079157769', '1596346735863664640', '1565939234546782208', '王涵', '1596347825799696386', '其他怎么样222222', '20', '1596347825413820416', null, '1597120638726836224');
INSERT INTO `train_class_training_appraise` VALUES ('1597120639079157774', '1596346735863664640', '1565939234546782208', '王涵', '1596347825699033092', '其他怎么么样', '10', '1596347825413820416', null, '1597120638726836224');
INSERT INTO `train_class_training_appraise` VALUES ('1597120639079157777', '1596346735863664640', '1565939234546782208', '王涵', '1596347825900359684', '文本评价怎么样', '0', '1596347825413820416', null, '1597120638726836224');
INSERT INTO `train_class_training_appraise` VALUES ('1597502597961486432', '1596498438508384256', '1565939234546782208', '王涵', '1596499092727533571', '讲师课堂呈现（集中，在线，课程）', '9', '1596499092681396224', null, '1597502597722411008');
INSERT INTO `train_class_training_appraise` VALUES ('1598524843307962380', '1598521650104635392', '1565939234546782208', '王涵', '1598522816158896130', '其他1', '2', '1598522815592665088', null, '1598524843085664256');
INSERT INTO `train_class_training_appraise` VALUES ('1598524843307962383', '1598521650104635392', '1565939234546782208', '王涵', '1598522817303941122', '文本1', '0', '1598522815592665088', null, '1598524843085664256');
INSERT INTO `train_class_training_appraise` VALUES ('1598526122411298828', '1598521650104635392', '1555010577007513600', '张磊', '1598522816158896130', '其他1', '10', '1598522815592665088', null, '1598526122272886784');
INSERT INTO `train_class_training_appraise` VALUES ('1598526122411298831', '1598521650104635392', '1555010577007513600', '张磊', '1598522817303941122', '文本1', '0', '1598522815592665088', null, '1598526122272886784');
INSERT INTO `train_class_training_appraise` VALUES ('1598554108275593228', '1598521650104635392', '1555010577007513600', '张磊', '1598522816158896130', '其他1', '4', '1598522815592665088', null, '1598554108116209664');
INSERT INTO `train_class_training_appraise` VALUES ('1598554108275593231', '1598521650104635392', '1555010577007513600', '张磊', '1598522817303941122', '文本1', '0', '1598522815592665088', null, '1598554108116209664');
INSERT INTO `train_class_training_appraise` VALUES ('1598955275325411352', '1598951182674563072', '1555010577007513600', '张磊', '1598954088349962243', '讲师课堂呈现（集中，在线，课程）', '15', '1598954088291241984', null, '1598955275275079680');
INSERT INTO `train_class_training_appraise` VALUES ('1643892891552190464', null, '1555010577007513600', '张磊', '1643892733942829056', '讲师评价1', '10', '1643892230391468032', null, '1643892891506053120');

-- ----------------------------
-- Table structure for train_class_training_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_class_training_appraise_option`;
CREATE TABLE `train_class_training_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `training_appraise_id` bigint(20) DEFAULT NULL COMMENT '培训班评价项id',
  `appraise_option_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(10) DEFAULT '-1' COMMENT '评分',
  `content` varchar(200) DEFAULT NULL COMMENT '评价内容',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父类id 本次评价id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户培训班评价项内容';

-- ----------------------------
-- Records of train_class_training_appraise_option
-- ----------------------------
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895699', '1573155012027224086', '1573155012027224088', '讲师课堂呈现（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895700', '1573155012027224086', '1573155012027224089', '讲师课堂呈现（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895701', '1573155012027224086', '1573155012027224090', '讲师课堂呈现（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895709', '1573155012027224099', '1573155012027224101', '课程内容规划（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895710', '1573155012027224099', '1573155012027224102', '课程内容规划（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895711', '1573155012027224099', '1573155012027224103', '课程内容规划（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895715', '1573155012027224107', '1573155012027224109', '在本次学习中，您的最大收获是什么？有什么建议？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895717', '1573155012027224110', '1573155012027224112', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573218033453895719', '1573155012027224113', '1573155012027224115', '下次再有此类培训，您最想学习什么课程？', '3', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573228408580739075', '1573155389346811907', '1573155389346811909', null, '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1573228476562018307', '1573155389346811907', '1573155389346811909', null, '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575328669549858837', '1575328174999474179', '1575328175012057088', '讲师的知识底蕴和实战经验？', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575328669549858838', '1575328174999474179', '1575328175012057089', '讲师的知识底蕴和实战经验？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575328669549858839', '1575328174999474179', '1575328175012057090', '综合本次老师授课表现，可评', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575329462038433814', '1575328174999474179', '1575328175012057088', '讲师的知识底蕴和实战经验？', '0', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575329462038433815', '1575328174999474179', '1575328175012057089', '讲师的知识底蕴和实战经验？', '0', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575329462038433816', '1575328174999474179', '1575328175012057090', '综合本次老师授课表现，可评', '0', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575329824120115213', '1575329271428288514', '1575329271436677120', '您的回答', '1', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1575329824120115215', '1575329271436677121', '1575329271445065728', '您的回答', '1', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1579026471291326470', '1578994439894994947', '1578994440004046848', '讲师的知识底蕴和实战经验？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1579026471291326471', '1578994439894994947', '1578994440004046849', '讲师的知识底蕴和实战经验？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1579026471291326472', '1578994439894994947', '1578994440004046850', '综合本次老师授课表现，可评', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1579723885216141319', '1579360392243712002', '1579360392247906304', '您的回答', '2', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1579723885216141321', '1579360392247906305', '1579360392252100608', '您的回答', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1581931255048572928', '1581928327889948676', '1581928327889948677', '课程是否生动有趣?4444', '3', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1581931255048572929', '1581928327889948676', '1581928327889948678', '5555士大夫大师傅但是', '3', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1581931255048572930', '1581928327889948676', '1581928327889948679', '课程是否通俗易懂?55555', '2', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1581931293824913408', '1581928327889948680', '1581928327889948681', '本次学习中你最大的收获是什么？是的分隔符山豆根山豆根山豆根收到', null, 'diyigegegege', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1581931312267268096', '1581928327889948680', '1581928327889948682', '本ui偶i偶哦i哦i哦i哦哦ioio', null, '第二个', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1582200376499769345', '1582200249001316356', '1582200249001316357', '课程是否生动有趣?44', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1582200376499769346', '1582200249001316356', '1582200249001316358', '课程是否安排合理?55', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1582200376499769347', '1582200249001316356', '1582200249001316359', '课程是否通俗易懂?66', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1582200376499769349', '1582200249001316360', '1582200249001316361', '本次学习中你最大的收获是什么？88', null, '士大夫大师傅似的', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645331', '1573155012027224086', '1573155012027224088', '讲师课堂呈现（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645332', '1573155012027224086', '1573155012027224089', '讲师课堂呈现（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645333', '1573155012027224086', '1573155012027224090', '讲师课堂呈现（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645341', '1573155012027224099', '1573155012027224101', '课程内容规划（集中，在线，课程）', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645342', '1573155012027224099', '1573155012027224102', '课程内容规划（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645343', '1573155012027224099', '1573155012027224103', '课程内容规划（集中，在线，课程）', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645347', '1573155012027224110', '1573155012027224112', '您认为在本次办班过程中，我们的服务有哪些亮点或不足？', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645349', '1573155012027224107', '1573155012027224109', '在本次学习中，您的最大收获是什么？有什么建议？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583104183861645351', '1573155012027224113', '1573155012027224115', '下次再有此类培训，您最想学习什么课程？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583367623704449049', '1583367069037105155', '1583367069045493760', '讲师的知识底蕴和实战经验？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583367623704449050', '1583367069037105155', '1583367069045493761', '讲师的知识底蕴和实战经验？', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1583367623704449051', '1583367069037105155', '1583367069045493762', '综合本次老师授课表现，可评', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1584370455177990149', '1584369612303241216', '1584369612399710208', '好看吗', '3', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1584370455177990150', '1584369612303241216', '1584369612399710209', '好吃吗', '3', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1584370455177990152', '1584369612399710210', '1584369612479401984', '文本够用吗', null, '够用够用', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1584370455177990153', '1584369612399710210', '1584369612479401985', '文本需要买吗', null, '不需要买', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588732272767537157', '1588731769413308416', '1588731769497194496', '好看吗', '2', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588732272767537158', '1588731769413308416', '1588731769497194497', '好吃吗', '1', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588732272767537160', '1588731769497194498', '1588731769568497664', '文本够用吗', null, '文本的够用的评价呀', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588732272767537161', '1588731769497194498', '1588731769568497665', '文本需要买吗', null, '文本需要买的评价呀', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588735279714406405', '1588734808874422272', '1588734809205772288', '好看吗', '2', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588735279714406406', '1588734808874422272', '1588734809205772289', '好吃吗', '1', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588735279714406408', '1588734809205772290', '1588734809667145728', '文本够用吗', null, '分呃呃呃', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588735279714406409', '1588734809205772290', '1588734809667145729', '文本需要买吗', null, '涛涛涛涛涛涛涛涛', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588823610917785605', '1588735416515825664', '1588735416515825666', '好看吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588823610917785606', '1588735416515825664', '1588735416515825667', '好吃吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588823610917785608', '1588735416515825668', '1588735416515825670', '文本够用吗', null, '文本11111111111', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1588823610917785609', '1588735416515825668', '1588735416515825671', '文本需要买吗', null, '买2222222222222222', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188421', '1589101563404750852', '1589101563484442624', '好看吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188422', '1589101563404750852', '1589101563484442625', '好吃吗', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188429', '1589101563484442626', '1589101563601883136', '今天饭好吃吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188430', '1589101563484442626', '1589101563601883137', '今天水好喝吗', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188431', '1589101563484442626', '1589101563606077440', '今天的羊肉好吵', '3', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188432', '1589101563484442626', '1589101563601883138', '今天的牛好吃吗', '2', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188434', '1589101563606077441', '1589101563689963520', '文本够用吗', null, '好李', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589104477888188435', '1589101563606077441', '1589101563689963521', '文本需要买吗', null, '需要买啊啊啊啊啊啊啊啊啊', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162826', '1589101563484442626', '1589101563601883136', '今天饭好吃吗', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162827', '1589101563484442626', '1589101563601883137', '今天水好喝吗', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162828', '1589101563484442626', '1589101563606077440', '今天的羊肉好吵', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162829', '1589101563484442626', '1589101563601883138', '今天的牛好吃吗', '4', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162831', '1589101563404750852', '1589101563484442624', '好看吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162832', '1589101563404750852', '1589101563484442625', '好吃吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162834', '1589101563606077441', '1589101563689963520', '文本够用吗', null, '沟通 水水水水水水水水水水水', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589105061840162835', '1589101563606077441', '1589101563689963521', '文本需要买吗', null, '需要买111111111111111', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589470824103022597', '1588731769413308416', '1588731769497194496', '好看吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589470824103022598', '1588731769413308416', '1588731769497194497', '好吃吗', '5', null, null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589470824103022600', '1588731769497194498', '1588731769568497664', '文本够用吗', null, '123', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589470824103022601', '1588731769497194498', '1588731769568497665', '文本需要买吗', null, '456', null);
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310919', '1589497910729510914', '1589497910825979904', '今天饭好吃吗', '5', null, '1589498290838310918');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310920', '1589497910729510914', '1589497910825979905', '今天水好喝吗', '4', null, '1589498290838310918');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310921', '1589497910729510914', '1589497910825979907', '今天的羊肉好吵', '3', null, '1589498290838310918');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310922', '1589497910729510914', '1589497910825979906', '今天的牛好吃吗', '2', null, '1589498290838310918');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310924', '1589497910595293188', '1589497910729510912', '好看吗', '5', null, '1589498290838310923');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310925', '1589497910595293188', '1589497910729510913', '好吃吗', '4', null, '1589498290838310923');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310927', '1589497910825979908', '1589497910922448896', '文本够用吗', null, '12313', '1589498290838310926');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589498290838310928', '1589497910825979908', '1589497910922448897', '文本需要买吗', null, '12313', '1589498290838310926');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980170', '1589497910729510914', '1589497910825979904', '今天饭好吃吗', '5', null, '1589501022533980169');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980171', '1589497910729510914', '1589497910825979905', '今天水好喝吗', '5', null, '1589501022533980169');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980172', '1589497910729510914', '1589497910825979907', '今天的羊肉好吵', '5', null, '1589501022533980169');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980173', '1589497910729510914', '1589497910825979906', '今天的牛好吃吗', '5', null, '1589501022533980169');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980175', '1589497910595293188', '1589497910729510912', '好看吗', '2', null, '1589501022533980174');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980176', '1589497910595293188', '1589497910729510913', '好吃吗', '2', null, '1589501022533980174');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980178', '1589497910825979908', '1589497910922448896', '文本够用吗', null, '够用222222222222222222', '1589501022533980177');
INSERT INTO `train_class_training_appraise_option` VALUES ('1589501022533980179', '1589497910825979908', '1589497910922448897', '文本需要买吗', null, '买22222222222222', '1589501022533980177');
INSERT INTO `train_class_training_appraise_option` VALUES ('1591999162491211785', '1591998948099362826', '1591998948099362828', '课程是否生动有趣?45', '3', null, '1591999162491211784');
INSERT INTO `train_class_training_appraise_option` VALUES ('1591999162491211786', '1591998948099362826', '1591998948099362829', '课程是否安排合理?56', '3', null, '1591999162491211784');
INSERT INTO `train_class_training_appraise_option` VALUES ('1591999162491211787', '1591998948099362826', '1591998948099362830', '课程是否通俗易懂?67', '4', null, '1591999162491211784');
INSERT INTO `train_class_training_appraise_option` VALUES ('1591999162491211789', '1591998948099362831', '1591998948099362833', '本次学习中你最大的收获是什么？78', null, '公司工会实话实话说', '1591999162491211788');
INSERT INTO `train_class_training_appraise_option` VALUES ('1591999162491211791', '1591998948099362834', '1591998948099362836', '测试数据', null, '还是说说你就是就是计时开始快说快说看', '1591999162491211790');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592034738145726473', '1591998948099362826', '1591998948099362828', '课程是否生动有趣?45', '5', null, '1592034738145726472');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592034738145726474', '1591998948099362826', '1591998948099362829', '课程是否安排合理?56', '3', null, '1592034738145726472');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592034738145726475', '1591998948099362826', '1591998948099362830', '课程是否通俗易懂?67', '4', null, '1592034738145726472');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592034738145726477', '1591998948099362831', '1591998948099362833', '本次学习中你最大的收获是什么？78', null, '刚刚好', '1592034738145726476');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592034738145726479', '1591998948099362834', '1591998948099362836', '测试数据', null, 'vvv股份', '1592034738145726478');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485770', '1592417620601212930', '1592417620605407232', '今天饭好吃吗', '2', null, '1592422536778485769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485771', '1592417620601212930', '1592417620605407233', '今天水好喝吗', '4', null, '1592422536778485769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485772', '1592417620601212930', '1592417620605407235', '今天的羊肉好吵', '1', null, '1592422536778485769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485773', '1592417620601212930', '1592417620605407234', '今天的牛好吃吗', '3', null, '1592422536778485769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485775', '1592417620588630020', '1592417620592824320', '好看吗', '1', null, '1592422536778485774');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485776', '1592417620588630020', '1592417620592824321', '好吃吗', '1', null, '1592422536778485774');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485778', '1592417620592824322', '1592417620601212928', '文本够用吗', null, '哈哈', '1592422536778485777');
INSERT INTO `train_class_training_appraise_option` VALUES ('1592422536778485779', '1592417620592824322', '1592417620601212929', '文本需要买吗', null, '也还好', '1592422536778485777');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547155', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '5', null, '1593487876547547154');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547156', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '5', null, '1593487876547547154');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547157', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '5', null, '1593487876547547154');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547165', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '5', null, '1593487876547547164');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547166', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '5', null, '1593487876547547164');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547167', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '5', null, '1593487876547547164');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547171', '1593195460464611329', '1593195460556886016', '您的回答', '5', null, '1593487876547547170');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547173', '1593195460368142337', '1593195460464611328', '您的回答', '4', null, '1593487876547547172');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593487876547547175', '1593195460556886017', '1593195460649160704', '您的回答', '5', null, '1593487876547547174');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362195', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '5', null, '1593488109373362194');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362196', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '5', null, '1593488109373362194');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362197', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '5', null, '1593488109373362194');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362205', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '5', null, '1593488109373362204');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362206', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '5', null, '1593488109373362204');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362207', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '5', null, '1593488109373362204');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362211', '1593195460368142337', '1593195460464611328', '您的回答', '5', null, '1593488109373362210');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362213', '1593195460464611329', '1593195460556886016', '您的回答', '5', null, '1593488109373362212');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488109373362215', '1593195460556886017', '1593195460649160704', '您的回答', '5', null, '1593488109373362214');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675411', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '4', null, '1593488527247675410');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675412', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '4', null, '1593488527247675410');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675413', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '4', null, '1593488527247675410');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675421', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '4', null, '1593488527247675420');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675422', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '4', null, '1593488527247675420');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675423', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '4', null, '1593488527247675420');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675427', '1593195460464611329', '1593195460556886016', '您的回答', '4', null, '1593488527247675426');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675429', '1593195460368142337', '1593195460464611328', '您的回答', '4', null, '1593488527247675428');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593488527247675431', '1593195460556886017', '1593195460649160704', '您的回答', '4', null, '1593488527247675430');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131475', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '5', null, '1593491195626131474');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131476', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '5', null, '1593491195626131474');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131477', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '5', null, '1593491195626131474');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131485', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '5', null, '1593491195626131484');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131486', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '5', null, '1593491195626131484');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131487', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '5', null, '1593491195626131484');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131491', '1593195460464611329', '1593195460556886016', '您的回答', '5', null, '1593491195626131490');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131493', '1593195460368142337', '1593195460464611328', '您的回答', '5', null, '1593491195626131492');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593491195626131495', '1593195460556886017', '1593195460649160704', '您的回答', '5', null, '1593491195626131494');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307155', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '5', null, '1593496013497307154');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307156', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '5', null, '1593496013497307154');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307157', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '5', null, '1593496013497307154');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307165', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '5', null, '1593496013497307164');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307166', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '5', null, '1593496013497307164');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307167', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '5', null, '1593496013497307164');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307171', '1593195460464611329', '1593195460556886016', '您的回答', '5', null, '1593496013497307170');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307173', '1593195460368142337', '1593195460464611328', '您的回答', '5', null, '1593496013497307172');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496013497307175', '1593195460556886017', '1593195460649160704', '您的回答', '5', null, '1593496013497307174');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859667', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '4', null, '1593496432520859666');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859668', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '4', null, '1593496432520859666');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859669', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '4', null, '1593496432520859666');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859677', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '5', null, '1593496432520859676');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859678', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '5', null, '1593496432520859676');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859679', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '5', null, '1593496432520859676');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859683', '1593195460464611329', '1593195460556886016', '您的回答', '5', null, '1593496432520859682');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859685', '1593195460368142337', '1593195460464611328', '您的回答', '5', null, '1593496432520859684');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593496432520859687', '1593195460556886017', '1593195460649160704', '您的回答', '5', null, '1593496432520859686');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593501093592174610', '1593500810212413443', '1593500810304688128', '讲师的知识底蕴和实战经验？', '5', null, '1593501093592174609');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593501093592174611', '1593500810212413443', '1593500810304688129', '讲师的知识底蕴和实战经验？', '2', null, '1593501093592174609');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593501093592174612', '1593500810212413443', '1593500810304688130', '综合本次老师授课表现，可评', '4', null, '1593501093592174609');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694081', '1593195459810299907', '1593195459994849280', '讲师的知识底蕴和实战经验？', '5', null, '1593557936779694080');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694082', '1593195459810299907', '1593195459994849281', '讲师的知识底蕴和实战经验？', '5', null, '1593557936779694080');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694083', '1593195459810299907', '1593195459994849282', '综合本次老师授课表现，可评', '4', null, '1593557936779694080');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694091', '1593195460183592962', '1593195460275867648', '课程框架清晰合理、层次分明？', '5', null, '1593557936779694090');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694092', '1593195460183592962', '1593195460275867649', '课程内容有理论基础、有工具方法？', '5', null, '1593557936779694090');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694093', '1593195460183592962', '1593195460275867650', '课程案例丰富、生动、贴切？', '5', null, '1593557936779694090');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694097', '1593195460368142337', '1593195460464611328', '您的回答', '5', null, '1593557936779694096');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694099', '1593195460464611329', '1593195460556886016', '您的回答', '4', null, '1593557936779694098');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593557936779694101', '1593195460556886017', '1593195460649160704', '您的回答', '4', null, '1593557936779694100');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593843155210473491', '1593842990017810435', '1593842990126862336', '讲师的知识底蕴和实战经验？', '5', null, '1593843155210473490');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593843155210473492', '1593842990017810435', '1593842990126862337', '讲师的知识底蕴和实战经验？', '5', null, '1593843155210473490');
INSERT INTO `train_class_training_appraise_option` VALUES ('1593843155210473493', '1593842990017810435', '1593842990126862338', '综合本次老师授课表现，可评', '5', null, '1593843155210473490');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785866', '1596347825799696386', '1596347825900359680', '今天饭好吃吗', '4', null, '1596349796673785865');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785867', '1596347825799696386', '1596347825900359681', '今天水好喝吗', '5', null, '1596349796673785865');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785868', '1596347825799696386', '1596347825900359683', '今天的羊肉好吵', '4', null, '1596349796673785865');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785869', '1596347825799696386', '1596347825900359682', '今天的牛好吃吗', '3', null, '1596349796673785865');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785871', '1596347825699033092', '1596347825799696384', '好看吗', '5', null, '1596349796673785870');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785872', '1596347825699033092', '1596347825799696385', '好吃吗', '3', null, '1596349796673785870');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785874', '1596347825900359684', '1596347826001022976', '文本够用吗', null, '123', '1596349796673785873');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349796673785875', '1596347825900359684', '1596347826001022977', '文本需要买吗', null, '456', '1596349796673785873');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514826', '1596347825799696386', '1596347825900359680', '今天饭好吃吗', '5', null, '1596349885236514825');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514827', '1596347825799696386', '1596347825900359681', '今天水好喝吗', '5', null, '1596349885236514825');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514828', '1596347825799696386', '1596347825900359683', '今天的羊肉好吵', '5', null, '1596349885236514825');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514829', '1596347825799696386', '1596347825900359682', '今天的牛好吃吗', '5', null, '1596349885236514825');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514831', '1596347825699033092', '1596347825799696384', '好看吗', '5', null, '1596349885236514830');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514832', '1596347825699033092', '1596347825799696385', '好吃吗', '5', null, '1596349885236514830');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514834', '1596347825900359684', '1596347826001022976', '文本够用吗', null, '让他人', '1596349885236514833');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596349885236514835', '1596347825900359684', '1596347826001022977', '文本需要买吗', null, '永远永远永远永远', '1596349885236514833');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596350095014629401', '1596348024395796483', '1596348024504848384', '讲师的知识底蕴和实战经验？', '3', null, '1596350095014629400');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596350095014629402', '1596348024395796483', '1596348024504848385', '讲师的知识底蕴和实战经验？', '2', null, '1596350095014629400');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596350095014629403', '1596348024395796483', '1596348024504848386', '综合本次老师授课表现，可评', '4', null, '1596350095014629400');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613765', '1596347825799696386', '1596347825900359680', '今天饭好吃吗', '1', null, '1596351121658613764');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613766', '1596347825799696386', '1596347825900359681', '今天水好喝吗', '0', null, '1596351121658613764');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613767', '1596347825799696386', '1596347825900359683', '今天的羊肉好吵', '1', null, '1596351121658613764');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613768', '1596347825799696386', '1596347825900359682', '今天的牛好吃吗', '1', null, '1596351121658613764');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613770', '1596347825699033092', '1596347825799696384', '好看吗', '0', null, '1596351121658613769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613771', '1596347825699033092', '1596347825799696385', '好吃吗', '1', null, '1596351121658613769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613778', '1596347825900359684', '1596347826001022976', '文本够用吗', null, '狗得到', '1596351121658613777');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351121658613779', '1596347825900359684', '1596347826001022977', '文本需要买吗', null, '对方的', '1596351121658613777');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320389', '1596347825799696386', '1596347825900359680', '今天饭好吃吗', '1', null, '1596351311266320388');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320390', '1596347825799696386', '1596347825900359681', '今天水好喝吗', '2', null, '1596351311266320388');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320391', '1596347825799696386', '1596347825900359683', '今天的羊肉好吵', '3', null, '1596351311266320388');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320392', '1596347825799696386', '1596347825900359682', '今天的牛好吃吗', '2', null, '1596351311266320388');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320394', '1596347825699033092', '1596347825799696384', '好看吗', '1', null, '1596351311266320393');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320395', '1596347825699033092', '1596347825799696385', '好吃吗', '3', null, '1596351311266320393');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320402', '1596347825900359684', '1596347826001022976', '文本够用吗', null, '涛涛涛涛涛涛涛涛', '1596351311266320401');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351311266320403', '1596347825900359684', '1596347826001022977', '文本需要买吗', null, '有有有有有有有有有有', '1596351311266320401');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351534331990035', '1596348024395796483', '1596348024504848384', '讲师的知识底蕴和实战经验？', '4', null, '1596351534331990034');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351534331990036', '1596348024395796483', '1596348024504848385', '讲师的知识底蕴和实战经验？', '5', null, '1596351534331990034');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596351534331990037', '1596348024395796483', '1596348024504848386', '综合本次老师授课表现，可评', '3', null, '1596351534331990034');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596407933950889985', '1596407388594900994', '1596407388687175680', '文本写的多吗', null, '文本评价的很对呀', '1596407933950889984');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596407933950889986', '1596407388594900994', '1596407388687175681', '文本写的清楚吗', null, '文本讲的很清楚。。。。。。。。', '1596407933950889984');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596407933950889991', '1596407388494237698', '1596407388594900992', '其他住宿好吗', '3', null, '1596407933950889990');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596407933950889992', '1596407388494237698', '1596407388594900993', '其他吃的好吗', '1', null, '1596407933950889990');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596674850297090049', '1596673054346448898', '1596673054430334976', '其他住宿好吗', '4', null, '1596674850297090048');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596674850297090050', '1596673054346448898', '1596673054430334977', '其他吃的好吗', '3', null, '1596674850297090048');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596674850297090052', '1596673054430334978', '1596673054539386880', '文本写的多吗', null, '999', '1596674850297090051');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596674850297090053', '1596673054430334978', '1596673054539386881', '文本写的清楚吗', null, '789', '1596674850297090051');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596694554155814912', '1596671955153588226', '1596671955245862912', '其他住宿好吗', '3', null, '1596693849101701120');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596694554155814913', '1596671955153588226', '1596671955245862913', '其他吃的好吗', '4', null, '1596693849101701120');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596694554155814915', '1596671955245862914', '1596671955329748992', '文本写的多吗', null, '得到', '1596694554155814914');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596694554155814916', '1596671955245862914', '1596671955329748993', '文本写的清楚吗', null, '对方', '1596694554155814914');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596706440637190145', '1596702933309853698', '1596702933439877120', '文本写的多吗', null, '写得好', '1596706440637190144');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596706440637190146', '1596702933309853698', '1596702933439877121', '文本写的清楚吗', null, '清楚', '1596706440637190144');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596706440637190151', '1596702933242744834', '1596702933309853696', '其他住宿好吗', '1', null, '1596706440637190150');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596706440637190152', '1596702933242744834', '1596702933309853697', '其他吃的好吗', '2', null, '1596706440637190150');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596707081711390721', '1596702933309853698', '1596702933439877120', '文本写的多吗', null, '写得好', '1596707081711390720');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596707081711390722', '1596702933309853698', '1596702933439877121', '文本写的清楚吗', null, '清楚', '1596707081711390720');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596707081711390727', '1596702933242744834', '1596702933309853696', '其他住宿好吗', '1', null, '1596707081711390726');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596707081711390728', '1596702933242744834', '1596702933309853697', '其他吃的好吗', '2', null, '1596707081711390726');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743392606425089', '1596702933309853698', '1596702933439877120', '文本写的多吗', null, '多的很', '1596743392606425088');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743392606425090', '1596702933309853698', '1596702933439877121', '文本写的清楚吗', null, '顶顶顶', '1596743392606425088');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743392606425095', '1596702933242744834', '1596702933309853696', '其他住宿好吗', '5', null, '1596743392606425094');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743392606425096', '1596702933242744834', '1596702933309853697', '其他吃的好吗', '5', null, '1596743392606425094');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743768869048321', '1596702933309853698', '1596702933439877120', '文本写的多吗', null, '方法', '1596743768869048320');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743768869048322', '1596702933309853698', '1596702933439877121', '文本写的清楚吗', null, '分割', '1596743768869048320');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743768869048327', '1596702933242744834', '1596702933309853696', '其他住宿好吗', '4', null, '1596743768869048326');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596743768869048328', '1596702933242744834', '1596702933309853697', '其他吃的好吗', '4', null, '1596743768869048326');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747263164682241', '1596746361053777922', '1596746361150246912', '文本写的多吗', null, '多', '1596747263164682240');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747263164682242', '1596746361053777922', '1596746361150246913', '文本写的清楚吗', null, '清楚', '1596747263164682240');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747263164682247', '1596746360969891842', '1596746361053777920', '其他住宿好吗', '5', null, '1596747263164682246');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747263164682248', '1596746360969891842', '1596746361053777921', '其他吃的好吗', '5', null, '1596747263164682246');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747342755794945', '1596746361053777922', '1596746361150246912', '文本写的多吗', null, '342', '1596747342755794944');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747342755794946', '1596746361053777922', '1596746361150246913', '文本写的清楚吗', null, '34', '1596747342755794944');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747342755794951', '1596746360969891842', '1596746361053777920', '其他住宿好吗', '4', null, '1596747342755794950');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596747342755794952', '1596746360969891842', '1596746361053777921', '其他吃的好吗', '4', null, '1596747342755794950');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596748038464999425', '1596746361053777922', '1596746361150246912', '文本写的多吗', null, '多', '1596748038464999424');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596748038464999426', '1596746361053777922', '1596746361150246913', '文本写的清楚吗', null, '清楚', '1596748038464999424');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596748038464999431', '1596746360969891842', '1596746361053777920', '其他住宿好吗', '1', null, '1596748038464999430');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596748038464999432', '1596746360969891842', '1596746361053777921', '其他吃的好吗', '3', null, '1596748038464999430');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596753174293778433', '1596746361053777922', '1596746361150246912', '文本写的多吗', null, '二恶e\'w', '1596753174293778432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596753174293778434', '1596746361053777922', '1596746361150246913', '文本写的清楚吗', null, 'ew热舞 ', '1596753174293778432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596753174293778439', '1596746360969891842', '1596746361053777920', '其他住宿好吗', '2', null, '1596753174293778438');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596753174293778440', '1596746360969891842', '1596746361053777921', '其他吃的好吗', '2', null, '1596753174293778438');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596775692639539273', '1596499092727533571', '1596499092731727872', '讲师的知识底蕴和实战经验？', '1', null, '1596775692639539272');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596775692639539274', '1596499092727533571', '1596499092731727873', '讲师的知识底蕴和实战经验？', '2', null, '1596775692639539272');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596775692639539275', '1596499092727533571', '1596499092731727874', '综合本次老师授课表现，可评', '3', null, '1596775692639539272');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596791010208387073', '1596790161755213826', '1596790161839099904', '其他住宿好吗', '4', null, '1596791010208387072');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596791010208387074', '1596790161755213826', '1596790161839099905', '其他吃的好吗', '4', null, '1596791010208387072');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596791010208387076', '1596790161839099906', '1596790161931374592', '文本写的多吗', null, '465', '1596791010208387075');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596791010208387077', '1596790161839099906', '1596790161931374593', '文本写的清楚吗', null, '798798', '1596791010208387075');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596793598471442433', '1596790161755213826', '1596790161839099904', '其他住宿好吗', '5', null, '1596793598471442432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596793598471442434', '1596790161755213826', '1596790161839099905', '其他吃的好吗', '5', null, '1596793598471442432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596793598471442436', '1596790161839099906', '1596790161931374592', '文本写的多吗', null, '99', '1596793598471442435');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596793598471442437', '1596790161839099906', '1596790161931374593', '文本写的清楚吗', null, '88', '1596793598471442435');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596796894489743361', '1596790161839099906', '1596790161931374592', '文本写的多吗', null, '二五', '1596796894489743360');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596796894489743362', '1596790161839099906', '1596790161931374593', '文本写的清楚吗', null, '委任为', '1596796894489743360');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596796894489743367', '1596790161755213826', '1596790161839099904', '其他住宿好吗', '5', null, '1596796894489743366');
INSERT INTO `train_class_training_appraise_option` VALUES ('1596796894489743368', '1596790161755213826', '1596790161839099905', '其他吃的好吗', '5', null, '1596796894489743366');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597111055576862745', '1596348024395796483', '1596348024504848384', '讲师的知识底蕴和实战经验？', '5', null, '1597111055576862744');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597111055576862746', '1596348024395796483', '1596348024504848385', '讲师的知识底蕴和实战经验？', '5', null, '1597111055576862744');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597111055576862747', '1596348024395796483', '1596348024504848386', '综合本次老师授课表现，可评', '5', null, '1597111055576862744');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157770', '1596347825799696386', '1596347825900359680', '今天饭好吃吗', '5', null, '1597120639079157769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157771', '1596347825799696386', '1596347825900359681', '今天水好喝吗', '5', null, '1597120639079157769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157772', '1596347825799696386', '1596347825900359683', '今天的羊肉好吵', '5', null, '1597120639079157769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157773', '1596347825799696386', '1596347825900359682', '今天的牛好吃吗', '5', null, '1597120639079157769');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157775', '1596347825699033092', '1596347825799696384', '好看吗', '5', null, '1597120639079157774');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157776', '1596347825699033092', '1596347825799696385', '好吃吗', '5', null, '1597120639079157774');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157778', '1596347825900359684', '1596347826001022976', '文本够用吗', null, '不够', '1597120639079157777');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597120639079157779', '1596347825900359684', '1596347826001022977', '文本需要买吗', null, '不需要', '1597120639079157777');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597502597961486433', '1596499092727533571', '1596499092731727872', '讲师的知识底蕴和实战经验？', '3', null, '1597502597961486432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597502597961486434', '1596499092727533571', '1596499092731727873', '讲师的知识底蕴和实战经验？', '3', null, '1597502597961486432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1597502597961486435', '1596499092727533571', '1596499092731727874', '综合本次老师授课表现，可评', '3', null, '1597502597961486432');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598524843307962381', '1598522816158896130', '1598522817303941120', '其他住宿好吗', '1', null, '1598524843307962380');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598524843307962382', '1598522816158896130', '1598522817303941121', '其他吃的好吗', '1', null, '1598524843307962380');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598524843307962384', '1598522817303941122', '1598522817383632896', '文本写的多吗', null, '多多肚兜哦', '1598524843307962383');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598524843307962385', '1598522817303941122', '1598522817383632897', '文本写的清楚吗', null, '清楚啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊', '1598524843307962383');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598526122411298829', '1598522816158896130', '1598522817303941120', '其他住宿好吗', '5', null, '1598526122411298828');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598526122411298830', '1598522816158896130', '1598522817303941121', '其他吃的好吗', '5', null, '1598526122411298828');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598526122411298832', '1598522817303941122', '1598522817383632896', '文本写的多吗', null, '多22222222222222', '1598526122411298831');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598526122411298833', '1598522817303941122', '1598522817383632897', '文本写的清楚吗', null, '清楚2222222222222222', '1598526122411298831');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598554108275593229', '1598522816158896130', '1598522817303941120', '其他住宿好吗', '2', null, '1598554108275593228');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598554108275593230', '1598522816158896130', '1598522817303941121', '其他吃的好吗', '2', null, '1598554108275593228');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598554108275593232', '1598522817303941122', '1598522817383632896', '文本写的多吗', null, '13.46222222222222222222', '1598554108275593231');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598554108275593233', '1598522817303941122', '1598522817383632897', '文本写的清楚吗', null, '清楚的很  13.46', '1598554108275593231');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598955275325411353', '1598954088349962243', '1598954088358350848', '讲师的知识底蕴和实战经验？', '5', null, '1598955275325411352');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598955275325411354', '1598954088349962243', '1598954088358350849', '讲师的知识底蕴和实战经验？', '5', null, '1598955275325411352');
INSERT INTO `train_class_training_appraise_option` VALUES ('1598955275325411355', '1598954088349962243', '1598954088358350850', '综合本次老师授课表现，可评', '5', null, '1598955275325411352');
INSERT INTO `train_class_training_appraise_option` VALUES ('1643892891552190465', '1643892733942829056', '1643892733942829058', '评价1', '5', null, '1643892891552190464');
INSERT INTO `train_class_training_appraise_option` VALUES ('1643892891552190466', '1643892733942829056', '1643892733942829059', '评价2', '5', null, '1643892891552190464');

-- ----------------------------
-- Table structure for train_class_user
-- ----------------------------
DROP TABLE IF EXISTS `train_class_user`;
CREATE TABLE `train_class_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `class_name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `user_id` bigint(20) DEFAULT NULL COMMENT '培训用户',
  `user_name` varchar(20) DEFAULT NULL COMMENT '学员名称',
  `user_code` varchar(20) DEFAULT NULL COMMENT '用户编号/用户名',
  `mobile` varchar(20) DEFAULT NULL COMMENT '联系方式',
  `card_no` varchar(20) DEFAULT NULL COMMENT '身份证号',
  `email` varchar(100) DEFAULT NULL COMMENT '邮箱',
  `video_courseware_id` bigint(20) DEFAULT NULL COMMENT '当前学习课件id',
  `type` smallint(6) DEFAULT NULL COMMENT '是否会务组：1、是。0、否。',
  `room_id` varchar(20) DEFAULT NULL COMMENT '房间号',
  `card_num` varchar(20) DEFAULT NULL COMMENT '一卡通编号',
  `stay_days` int(11) DEFAULT NULL COMMENT '入住天数',
  `check_in_time` datetime DEFAULT NULL COMMENT '报到时间',
  `check_in_address` varchar(50) DEFAULT NULL COMMENT '报到位置',
  `state` smallint(6) DEFAULT NULL COMMENT '学习状态：0、未开始。1、已报名。2、进行中。3、已结束。4、已评价。',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `is_head_teacher` varchar(5) DEFAULT NULL COMMENT '是否是班主任',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班学员';

-- ----------------------------
-- Records of train_class_user
-- ----------------------------
INSERT INTO `train_class_user` VALUES ('128041604213197531', '127931103763926586', '理财培训计划第一季度', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '023479', '15225279244', '411421199507182459', null, null, '0', null, null, '69', '2023-09-22 14:13:43', '河南省郑州市金水区马头岗街145号优客工场', '2', null, '2023-09-22 14:11:50', null);
INSERT INTO `train_class_user` VALUES ('245309787708300262', '127050043999518848', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '1', '2023-09-21 11:25:48', '河南省郑州市金水区经三路56号远洋大厦(经三路)', '3', null, '2023-09-21 10:44:44', null);
INSERT INTO `train_class_user` VALUES ('1568115277298798592', '1570339436661706752', '就餐信息？2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '1', null, '2022-09-09 13:53:11', null);
INSERT INTO `train_class_user` VALUES ('1568122981111173120', '1570339436661706752', '修改次数？1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '1', null, '2022-09-09 14:23:48', null);
INSERT INTO `train_class_user` VALUES ('1568128408850927616', '1570339436661706752', 'sda', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:45:22', null);
INSERT INTO `train_class_user` VALUES ('1568128408855121920', '1568128138439954432', 'sda', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:45:22', null);
INSERT INTO `train_class_user` VALUES ('1568129617221521408', '1568128848183300096', 'sda', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:50:10', null);
INSERT INTO `train_class_user` VALUES ('1568129617225715712', '1568128848183300096', 'sda', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:50:10', null);
INSERT INTO `train_class_user` VALUES ('1568130517210107904', '1568130513623977984', '测试计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:53:44', null);
INSERT INTO `train_class_user` VALUES ('1568130517210107905', '1568130513623977984', '测试计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:53:44', null);
INSERT INTO `train_class_user` VALUES ('1568130886388551680', '1568130883746140160', '测试培训计划测试就餐信息', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:55:12', null);
INSERT INTO `train_class_user` VALUES ('1568130886388551681', '1568130883746140160', '测试培训计划测试就餐信息', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:55:12', null);
INSERT INTO `train_class_user` VALUES ('1568131058640228352', '1568131057151250432', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:55:54', null);
INSERT INTO `train_class_user` VALUES ('1568131058640228353', '1568131057151250432', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:55:54', null);
INSERT INTO `train_class_user` VALUES ('1568131255067873280', '1568131253746667520', '本部111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:56:40', null);
INSERT INTO `train_class_user` VALUES ('1568131255067873281', '1568131253746667520', '本部111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 14:56:40', null);
INSERT INTO `train_class_user` VALUES ('1568134403861909504', '1568134402704281600', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 15:09:11', null);
INSERT INTO `train_class_user` VALUES ('1568134403861909505', '1568134402704281600', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 15:09:11', null);
INSERT INTO `train_class_user` VALUES ('1568153716639535104', '1568153715360272384', '测试培训计划测试就餐信息？123', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, '0', null, null, null, null, null, '0', null, '2022-09-09 16:25:56', null);
INSERT INTO `train_class_user` VALUES ('1568153716639535105', '1568153715360272384', '测试培训计划测试就餐信息？123', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, '0', null, null, null, null, null, '0', null, '2022-09-09 16:25:56', null);
INSERT INTO `train_class_user` VALUES ('1569503259582926848', '1569503258286886912', '测试修改次数', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', '', null, '0', null, null, null, null, null, '0', null, '2022-09-13 09:48:32', null);
INSERT INTO `train_class_user` VALUES ('1569503259582926849', '1569503258286886912', '测试修改次数', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, '0', null, null, null, null, null, '0', null, '2022-09-13 09:48:32', null);
INSERT INTO `train_class_user` VALUES ('1570339436661706752', '1568115123669831680', '就餐信息？2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 13:53:11', null);
INSERT INTO `train_class_user` VALUES ('1570339436661706755', '1572406044859174912', '测试签到', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1564137446730502144', '李昊杰', '202208290001', null, '410581199706059059', '', null, null, null, null, null, null, null, '0', null, '2022-09-09 13:53:11', null);
INSERT INTO `train_class_user` VALUES ('1570378962503340032', '1570349627503415296', '202222222222', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-15 19:48:16', null);
INSERT INTO `train_class_user` VALUES ('1572039706189893632', '1571698237209972736', '郑州的1111831+=', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-20 09:47:28', null);
INSERT INTO `train_class_user` VALUES ('1572039706189893639', '1572406044859174912', '测试签到', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-20 09:47:28', null);
INSERT INTO `train_class_user` VALUES ('1572154523533840384', '1571736395163242496', '郑州的1111831+=', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-09-20 17:23:42', null);
INSERT INTO `train_class_user` VALUES ('1572162135558066176', '1572161388133093376', '这个测试工具包======', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-09-20 17:53:57', null);
INSERT INTO `train_class_user` VALUES ('1572515288631611392', '1571736395163242496', '郑州的1111831+=', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-21 17:17:16', null);
INSERT INTO `train_class_user` VALUES ('1572780718017351680', '1572766217247264768', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 10:51:59', null);
INSERT INTO `train_class_user` VALUES ('1572793051074662400', '1572776695600123904', '线上测试报道，舞动', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '29', '2022-09-22 11:41:01', '', '3', null, '2022-09-22 11:41:00', null);
INSERT INTO `train_class_user` VALUES ('1572828661005029376', '1572766217247264768', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567337243285262336', '何云凡', 'hyf', '18827515416', '412721199408145414', '728889378@qq.com', null, '0', null, null, null, null, null, '1', null, '2022-09-22 14:02:30', null);
INSERT INTO `train_class_user` VALUES ('1572860973084184576', '1572797449381220352', '复测0922-001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 16:10:54', null);
INSERT INTO `train_class_user` VALUES ('1572868475238617088', '1572842240676597760', '新课教学第一课', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 16:40:42', null);
INSERT INTO `train_class_user` VALUES ('1572873760053268480', '1572869789519581184', '本部111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:01:42', null);
INSERT INTO `train_class_user` VALUES ('1572874433390055424', '1572870717807136768', '所上述', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:04:23', null);
INSERT INTO `train_class_user` VALUES ('1572875430342561792', '1572874824055918592', '测试计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:08:20', null);
INSERT INTO `train_class_user` VALUES ('1572875981490884608', '1572875655060787200', '本部111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:10:32', null);
INSERT INTO `train_class_user` VALUES ('1572876675950186496', '1572876333464293376', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:13:17', null);
INSERT INTO `train_class_user` VALUES ('1572877312423235584', '1572876886546190336', '测试计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:15:49', null);
INSERT INTO `train_class_user` VALUES ('1572878034183262208', '1572877572822405120', '本部111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:18:41', null);
INSERT INTO `train_class_user` VALUES ('1572878840294936576', '1572878373611507712', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:21:53', null);
INSERT INTO `train_class_user` VALUES ('1572879532438982656', '1572879202766688256', '的说法是', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:24:39', null);
INSERT INTO `train_class_user` VALUES ('1572880811936583680', '1572879924723847168', '本部111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:29:44', null);
INSERT INTO `train_class_user` VALUES ('1572883628936007680', '1572883200882118656', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:40:55', null);
INSERT INTO `train_class_user` VALUES ('1572885439537352704', '1572885174935490560', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:48:07', null);
INSERT INTO `train_class_user` VALUES ('1572885903880359936', '1572885613240258560', '测试计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 17:49:58', null);
INSERT INTO `train_class_user` VALUES ('1572889817996464128', '1572889486155714560', '测试计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-22 18:05:31', null);
INSERT INTO `train_class_user` VALUES ('1573140778727903232', '1571736395163242496', '郑州的1111831+=', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567451914025701376', '何神', '202209070002', '13298106763', '41112319990816205X', '1048032370@qq.com', null, '0', null, null, null, null, null, '1', null, '2022-09-23 10:42:45', null);
INSERT INTO `train_class_user` VALUES ('1573151458398965760', '1573151458042449920', '金融理财第一期', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', '', null, '0', null, null, null, null, null, '0', null, '2022-09-23 11:25:10', null);
INSERT INTO `train_class_user` VALUES ('1574285642203009024', '1574243202679050240', 'wwwww', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567451914025701376', '何神', '202209070002', '13298106763', '41112319990816205X', '1048032370@qq.com', null, '0', null, null, null, null, null, '1', null, '2022-09-26 14:32:01', null);
INSERT INTO `train_class_user` VALUES ('1574598972763410432', '1574243202679050240', 'wwwww', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-27 11:17:05', null);
INSERT INTO `train_class_user` VALUES ('1574651957971390464', '1574650579148476416', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '111', null, '8', '2022-09-27 15:36:22', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-09-27 14:47:38', null);
INSERT INTO `train_class_user` VALUES ('1574653086104948736', '1574650579148476416', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-09-27 14:52:07', null);
INSERT INTO `train_class_user` VALUES ('1574669369127079936', '1574668938376253440', '测试的计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-27 15:56:49', null);
INSERT INTO `train_class_user` VALUES ('1574674071298379776', '1574673833242267648', '测试1614', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-09-27 16:15:30', null);
INSERT INTO `train_class_user` VALUES ('1574995961309171712', '1574673833242267648', '测试1614', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-09-28 13:34:35', null);
INSERT INTO `train_class_user` VALUES ('1574998289533767680', '1574679042467172352', '0908河南省第一次会议1343', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-09-28 13:43:50', null);
INSERT INTO `train_class_user` VALUES ('1574999310523830272', '1574690990105694208', '0908河南省2次会议1346', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-09-28 13:47:53', null);
INSERT INTO `train_class_user` VALUES ('1575314594812006400', '1575044677126721536', '09-21-1001直接创建的培训班', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574653861665312768', '李露', '202209270005', null, '11010119900307715X', '', null, '1', null, null, null, null, null, '0', null, '2022-09-29 10:40:42', null);
INSERT INTO `train_class_user` VALUES ('1575326531914436608', '1575322855934136320', '20220929', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 11:28:08', null);
INSERT INTO `train_class_user` VALUES ('1575326767055507456', '1575325299946688512', '2022年9月29日培训计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 11:29:04', null);
INSERT INTO `train_class_user` VALUES ('1575329501460697088', '1575322855934136320', '20220929', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 11:39:57', null);
INSERT INTO `train_class_user` VALUES ('1575366492151746560', '1575364705646678016', '投资第三期', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', '1', null, '1', null, null, '1', '1', '2022-09-29 14:06:55', null);
INSERT INTO `train_class_user` VALUES ('1575366772364808192', '1575325299946688512', '2022年9月29日培训计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 14:08:03', null);
INSERT INTO `train_class_user` VALUES ('1575370501054926848', '1575327504024080384', '2022年9月29日培训计划2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 14:22:51', null);
INSERT INTO `train_class_user` VALUES ('1575388995364458496', '1575364705646678016', '投资第三期', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1575324436016533504', '省管理员', '202209290006', '15713872510', '110101199003077870', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 15:36:20', null);
INSERT INTO `train_class_user` VALUES ('1575419873381715968', '1575327504024080384', '2022年9月29日培训计划2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2022-09-29 17:39:02', null);
INSERT INTO `train_class_user` VALUES ('1578982558186737664', '1578925079021096960', '0908河南省第一次会议', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-09 13:35:53', null);
INSERT INTO `train_class_user` VALUES ('1579030382492389376', '1578925079021096960', '0908河南省第一次会议', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-09 16:45:55', null);
INSERT INTO `train_class_user` VALUES ('1579289947658129408', '1579281614876315648', '0908河南省第一次会议', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-10 09:57:21', null);
INSERT INTO `train_class_user` VALUES ('1579339239710134272', '1579283027245273088', '测试湖西岸0', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-10 13:13:12', null);
INSERT INTO `train_class_user` VALUES ('1579352955184877568', '1579283027245273088', '测试湖西岸0', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '13', '2022-10-11 13:41:33', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-10-10 14:07:42', null);
INSERT INTO `train_class_user` VALUES ('1579364876751605760', '1579001547617079296', '投资第三期App测试1001', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-10 14:55:05', null);
INSERT INTO `train_class_user` VALUES ('1579371975397216256', '1579001547617079296', '投资第三期App测试1001', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1570254194114433024', '李主任002', '002', '15748745745', '110101199003079710', null, null, '0', null, null, null, null, null, '1', null, '2022-10-10 15:23:17', null);
INSERT INTO `train_class_user` VALUES ('1579374662436130816', '1579001547617079296', '投资第三期App测试1001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-10 15:33:58', null);
INSERT INTO `train_class_user` VALUES ('1579377648478588928', '1579001547617079296', '投资第三期App测试1001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034020', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2022-10-10 15:45:50', null);
INSERT INTO `train_class_user` VALUES ('1579652969018822656', '1579283811680784384', '单选密钥', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 09:59:52', null);
INSERT INTO `train_class_user` VALUES ('1579653870282477568', '1579283027245273088', '测试湖西岸0', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 10:03:26', null);
INSERT INTO `train_class_user` VALUES ('1579655504844689408', '1579654776772235264', '2022年邮政培训中心培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 10:09:56', null);
INSERT INTO `train_class_user` VALUES ('1579666399389945856', '1579654776772235264', '2022年邮政培训中心培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '9', '2022-10-11 11:00:25', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-10-11 10:53:14', null);
INSERT INTO `train_class_user` VALUES ('1579709844166938624', '1579283811680784384', '单选密钥', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '12', '2022-10-11 13:46:14', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-10-11 13:45:52', null);
INSERT INTO `train_class_user` VALUES ('1579713319177162752', '1579712896307433472', 'popopop', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 13:59:40', null);
INSERT INTO `train_class_user` VALUES ('1579714166921498624', '1579713717669597184', 'hhhhhh', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 14:03:02', null);
INSERT INTO `train_class_user` VALUES ('1579714954116861952', '1579714620262846464', 'oppopjhbnb', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 14:06:10', null);
INSERT INTO `train_class_user` VALUES ('1579716531028365312', '1579716155344556032', 'sdsfsfs', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 14:12:26', null);
INSERT INTO `train_class_user` VALUES ('1579726318155730944', '1579723260835270656', '2022年10月培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-10-11 14:51:19', null);
INSERT INTO `train_class_user` VALUES ('1580081305067065344', '1580081304689577984', '郑州市级十月份金融培训第一期', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '1', null, null, null, null, null, '0', null, '2022-10-12 14:21:54', null);
INSERT INTO `train_class_user` VALUES ('1580106436803956736', '1580091399771131904', '郑州市级十月份金融培训第一期002', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872511', '110101199003075795', null, null, '0', null, null, null, null, null, '1', null, '2022-10-12 16:01:46', null);
INSERT INTO `train_class_user` VALUES ('1580113341156823040', '1580081304689577984', '郑州市级十月份金融培训第一期', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872511', '110101199003075795', null, null, '0', null, null, null, null, null, '1', null, '2022-10-12 16:29:12', null);
INSERT INTO `train_class_user` VALUES ('1580794855557304320', '1580770390802829312', '郑州市级十月份金融培训第一期', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872511', '110101199003075795', null, null, '0', null, null, '0', '2022-10-14 13:44:53', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-10-14 13:37:18', null);
INSERT INTO `train_class_user` VALUES ('1581927790079512576', '1580821763359641600', '郑州测试签到333333', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, null, null, null, '1', null, '2022-10-17 16:39:11', null);
INSERT INTO `train_class_user` VALUES ('1582206941885763584', '1580821763359641600', '郑州测试签到333333', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-18 11:08:26', null);
INSERT INTO `train_class_user` VALUES ('1582212596201820160', '1580812952192290816', '测试签到2222', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-18 11:30:54', null);
INSERT INTO `train_class_user` VALUES ('1582678153502003200', '1582675574806155264', '1019第一期1019第一期1019第一期1019第一期01', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, null, null, null, '1', null, '2022-10-19 18:20:51', null);
INSERT INTO `train_class_user` VALUES ('1582686733005361152', '1582686163125276672', '1019第一期02', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, null, null, null, '1', null, '2022-10-19 18:54:57', null);
INSERT INTO `train_class_user` VALUES ('1583103781804052480', '1582675574806155264', '1019第一期1019第一期1019第一期1019第一期01', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-10-20 22:32:09', null);
INSERT INTO `train_class_user` VALUES ('1583353784812310528', '1583346873849221120', '2022年金融课程培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '10', '2022-10-21 15:06:39', '河南省郑州市金水区明达路1-9号文雅新世界1期', '3', null, '2022-10-21 15:05:34', null);
INSERT INTO `train_class_user` VALUES ('1583367523938734080', '1583317513494728704', '1021第二版数据勿动001', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-21 16:00:10', null);
INSERT INTO `train_class_user` VALUES ('1583376117170049024', '1583289626242715648', '2022年邮政培训中心培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-21 16:34:19', null);
INSERT INTO `train_class_user` VALUES ('1583383168218697728', '1583369261261393920', '2022年邮政培训中心培训', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-21 17:02:20', null);
INSERT INTO `train_class_user` VALUES ('1583723421945171968', '1583722097811787776', '2022年培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '9', '2022-10-22 15:34:44', '河南省郑州市金水区明达路1-9号文雅新世界四期', '3', null, '2022-10-22 15:34:23', null);
INSERT INTO `train_class_user` VALUES ('1583742144370315264', '1583739434711519232', '2022金融培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-10-22 16:48:46', null);
INSERT INTO `train_class_user` VALUES ('1583745187476279296', '1583739434711519232', '2022金融培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2022-10-22 17:00:53', null);
INSERT INTO `train_class_user` VALUES ('1584363737442291712', '1583683407156744192', '1022黎利伯聘雇计划u到处', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, '9', '2022-10-28 14:08:44', '河南省郑州市金水区G30连霍高速57号徐庄安置区2期', '3', null, '2022-10-24 09:58:46', null);
INSERT INTO `train_class_user` VALUES ('1584419039223091200', '1583317513494728704', '1021第二版数据勿动001', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, null, null, null, '1', null, '2022-10-24 13:38:31', null);
INSERT INTO `train_class_user` VALUES ('1584439719847137280', '1583739434711519232', '2022金融培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '9', '2022-10-24 15:22:34', '河南省郑州市金水区花园北路122号冠军轮胎国际', '3', null, '2022-10-24 15:00:41', null);
INSERT INTO `train_class_user` VALUES ('1584441600166203392', '1583739434711519232', '2022金融培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-10-24 15:08:10', null);
INSERT INTO `train_class_user` VALUES ('1584445301199081472', '1583413010712629248', '1021第二版数据勿动03', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1570252962423508992', '李主任001', '001', '15745874547', '11010119900307475X', null, null, '0', null, null, null, null, null, '1', null, '2022-10-24 15:22:52', null);
INSERT INTO `train_class_user` VALUES ('1584448456532037632', '1583722097811787776', '2022年培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-24 15:35:24', null);
INSERT INTO `train_class_user` VALUES ('1584451748075016192', '1583722097811787776', '2022年培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1572825817233362944', '灿', '202209220003', '15038157220', '410181199311272013', null, null, '0', null, null, null, null, null, '1', null, '2022-10-24 15:48:29', null);
INSERT INTO `train_class_user` VALUES ('1584734340103933952', '1584732496656994304', '测试费用', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, '5', '2022-10-25 10:32:47', '', '3', null, '2022-10-25 10:31:25', null);
INSERT INTO `train_class_user` VALUES ('1584805986907066368', '1584515014952357888', '2023新', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '1', '2022-10-25 15:22:21', '河南省郑州市金水区花园北路122号日日鲜蛋糕(柳林店)', '3', null, '2022-10-25 15:16:07', null);
INSERT INTO `train_class_user` VALUES ('1584806338050002944', '1583413010712629248', '1021第二版数据勿动03', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-25 15:17:30', null);
INSERT INTO `train_class_user` VALUES ('1584808292255928320', '1583722097811787776', '2022年培训班', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-25 15:25:16', null);
INSERT INTO `train_class_user` VALUES ('1585169324207902720', '1583683407156744192', '1022黎利伯聘雇计划u到处', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1572825817233362944', '灿', '202209220003', '15038157220', '410181199311272013', null, null, '0', null, null, null, null, null, '1', null, '2022-10-26 15:19:55', null);
INSERT INTO `train_class_user` VALUES ('1585184133452271616', '1585183526750392320', '1026黎利伯测试股', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-26 16:18:46', null);
INSERT INTO `train_class_user` VALUES ('1585462614304100352', '1585459813435969536', '2022年10月底的培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '1', '2022-10-27 10:45:41', '河南省郑州市金水区明达路1-9号文雅新世界四期', '3', null, '2022-10-27 10:45:18', null);
INSERT INTO `train_class_user` VALUES ('1585465029610835968', '1585459813435969536', '2022年10月底的培训', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, '1', '2022-10-27 10:55:45', '河南省郑州市金水区天伦路4号小舞士艺术中心(天伦路店)', '3', null, '2022-10-27 10:54:54', null);
INSERT INTO `train_class_user` VALUES ('1585521131870359552', '1585278127179960320', '测试统计分析数据-lu01勿动', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, '3', '2022-10-27 14:38:38', '河南省郑州市金水区天伦路4号小舞士艺术中心(天伦路店)', '3', null, '2022-10-27 14:37:50', null);
INSERT INTO `train_class_user` VALUES ('1585521332391645184', null, null, '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', null, null, null, null, null, 'qq1@123.com', null, null, null, null, null, null, null, '1', null, '2022-10-27 14:38:38', null);
INSERT INTO `train_class_user` VALUES ('1585527248579072000', '1585282067011342336', '测试统计分析省级本公司数据-lu勿动002', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-10-27 15:02:08', null);
INSERT INTO `train_class_user` VALUES ('1585548349975695360', '1585278127179960320', '测试统计分析数据-lu01勿动', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, '3', '2022-10-27 16:26:37', '河南省郑州市金水区天伦路4号小舞士艺术中心(天伦路店)', '3', null, '2022-10-27 16:25:59', null);
INSERT INTO `train_class_user` VALUES ('1585548508734296064', null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-10-27 16:26:37', null);
INSERT INTO `train_class_user` VALUES ('1585548645829316608', '1585282067011342336', '测试统计分析省级本公司数据-lu勿动002', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, '1', '2022-10-27 16:27:56', '河南省郑州市金水区天伦路4号小舞士艺术中心(天伦路店)', '3', null, '2022-10-27 16:27:10', null);
INSERT INTO `train_class_user` VALUES ('1585548838331092992', null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-10-27 16:27:56', null);
INSERT INTO `train_class_user` VALUES ('1585829008371748864', '1585282067011342336', '测试统计分析省级本公司数据-lu勿动002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-28 11:01:14', null);
INSERT INTO `train_class_user` VALUES ('1585829125178920960', '1585278127179960320', '测试统计分析数据-lu01勿动', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '3', '2022-10-28 11:14:54', '河南省郑州市金水区G30连霍高速57号徐庄安置区2期', '3', null, '2022-10-28 11:01:42', null);
INSERT INTO `train_class_user` VALUES ('1585832447306764288', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-10-28 11:14:53', null);
INSERT INTO `train_class_user` VALUES ('1585832996085305344', '1579712896307433472', 'popopop', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-28 11:17:05', null);
INSERT INTO `train_class_user` VALUES ('1585852944719417344', '1585850472554696704', '2022年10月底的培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '周老师', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-10-28 12:36:20', null);
INSERT INTO `train_class_user` VALUES ('1585876424567427072', '1583369261261393920', '2022年邮政培训中心培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, '9', '2022-10-28 14:10:13', '河南省郑州市金水区G30连霍高速57号徐庄安置区2期', '3', null, '2022-10-28 14:09:40', null);
INSERT INTO `train_class_user` VALUES ('1585876739035369472', '1583346873849221120', '2022年金融课程培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-28 14:10:54', null);
INSERT INTO `train_class_user` VALUES ('1585886507472916480', '1585453051727187968', '2023测试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-10-28 14:49:43', null);
INSERT INTO `train_class_user` VALUES ('1585894969007280128', '1585850472554696704', '2022年10月底的培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-10-28 15:23:20', null);
INSERT INTO `train_class_user` VALUES ('1585912632886562816', '1585836831126196224', '测试费用预算为0000', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', '2002', null, '111', null, null, '3', '11', '2022-10-28 16:33:32', null);
INSERT INTO `train_class_user` VALUES ('1587003262115123200', '1586969194119958528', '再次测试工具包', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, '37', '2022-10-31 16:48:08', '河南省郑州市二七区赣江路163-9-1号孟奇鹏小儿推拿(旗舰店)', '3', null, '2022-10-31 16:47:18', null);
INSERT INTO `train_class_user` VALUES ('1587286467447754752', '1586969194119958528', '再次测试工具包', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '3', null, '2022-11-01 11:32:40', null);
INSERT INTO `train_class_user` VALUES ('1587744182791966720', '1587268699407126528', '单词', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, '29', '2022-11-02 17:51:55', '河南省郑州市二七区赣江路163-9-1号孟奇鹏小儿推拿(旗舰店)', '3', null, '2022-11-02 17:51:28', null);
INSERT INTO `train_class_user` VALUES ('1587760456003620864', '1587758825031733248', '000000000000000', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, '2', '2022-11-02 18:58:47', '河南省郑州市二七区赣江路163-9-1号孟奇鹏小儿推拿(旗舰店)', '3', null, '2022-11-02 18:56:07', null);
INSERT INTO `train_class_user` VALUES ('1587760534227390464', '1587759227248709632', '1111111111111', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075795', null, null, '0', null, null, '2', '2022-11-02 18:58:07', '河南省郑州市二七区赣江路163-9-1号海悦雅居', '3', null, '2022-11-02 18:56:26', null);
INSERT INTO `train_class_user` VALUES ('1587781875894718464', '1587759227248709632', null, '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1564125772657070080', '王宇航', null, null, null, null, null, '1', null, null, null, null, null, '1', null, '2022-11-02 20:21:13', null);
INSERT INTO `train_class_user` VALUES ('1588059413590183936', '1588056226653147136', '1103金融培训班001', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '11010119900307715X', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-03 14:44:04', null);
INSERT INTO `train_class_user` VALUES ('1588089511211044864', '1588072776831471616', '2023测试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-03 16:43:40', null);
INSERT INTO `train_class_user` VALUES ('1588731943627919360', '1588729101563334656', '115评估计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1572825817233362944', '灿', '202209220003', '15038157220', '410181199311272013', null, null, '0', null, null, null, null, null, '1', null, '2022-11-05 11:16:27', null);
INSERT INTO `train_class_user` VALUES ('1588733867785850880', '1588733407918166016', '20221115测试省级', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1572825817233362944', '灿', '202209220003', '15038157220', '410181199311272013', null, null, '0', null, null, '1', '2022-11-05 11:27:10', '', '3', null, '2022-11-05 11:24:06', null);
INSERT INTO `train_class_user` VALUES ('1588823463924207616', '1588733407918166016', '20221115测试省级', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075799', null, null, '0', null, null, null, null, null, '1', null, '2022-11-05 17:20:07', null);
INSERT INTO `train_class_user` VALUES ('1589104197926785024', '1589098507447439360', '测试116导出', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075799', null, null, '0', null, null, null, null, null, '1', null, '2022-11-06 11:55:40', null);
INSERT INTO `train_class_user` VALUES ('1589104751813988352', '1589098507447439360', '测试116导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-06 11:57:52', null);
INSERT INTO `train_class_user` VALUES ('1589470704519221248', '1588729101563334656', '115评估计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 12:12:02', null);
INSERT INTO `train_class_user` VALUES ('1589496539406012416', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 13:54:41', null);
INSERT INTO `train_class_user` VALUES ('1589497073714204672', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-07 13:56:48', null);
INSERT INTO `train_class_user` VALUES ('1589500889478074368', '1588729101563334656', '115评估计划', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1574656123775094784', '李露露', '1001', '15713872510', '110101199003075799', null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 14:11:58', null);
INSERT INTO `train_class_user` VALUES ('1589512332134977536', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, null, null, null, null, null, null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 14:57:26', null);
INSERT INTO `train_class_user` VALUES ('1589513735565873152', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, null, null, null, null, null, null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 15:03:01', null);
INSERT INTO `train_class_user` VALUES ('1589520102737448960', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 15:28:19', null);
INSERT INTO `train_class_user` VALUES ('1589529193539047424', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, null, null, null, null, null, null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 16:04:26', null);
INSERT INTO `train_class_user` VALUES ('1589549918668853248', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, '0', null, null, null, null, null, '1', null, '2022-11-07 17:26:48', null);
INSERT INTO `train_class_user` VALUES ('1589787839002972160', '1589549121218416640', '2022年培训住宿管理', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '1', '2022-11-08 09:49:32', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-08 09:12:12', null);
INSERT INTO `train_class_user` VALUES ('1589789605522182144', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, '1', null, null, null, null, null, '1', null, '2022-11-08 09:19:13', null);
INSERT INTO `train_class_user` VALUES ('1589790695839895552', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, '1', null, null, null, null, null, '1', null, '2022-11-08 09:23:33', null);
INSERT INTO `train_class_user` VALUES ('1589793664715067392', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, '1', null, null, null, null, null, '1', null, '2022-11-08 09:35:21', null);
INSERT INTO `train_class_user` VALUES ('1589794219378216960', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, '1', null, null, null, null, null, '1', null, '2022-11-08 09:37:34', null);
INSERT INTO `train_class_user` VALUES ('1589796076733468672', '1589549121218416640', '2022年培训住宿管理', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589796068487467008', '汪汪', null, null, '410425200008105016', null, null, '1', null, null, null, null, null, '3', '线下住宿', '2022-11-08 09:44:56', null);
INSERT INTO `train_class_user` VALUES ('1589850191555596288', '1589549121218416640', '2022年培训住宿管理', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-08 13:19:59', null);
INSERT INTO `train_class_user` VALUES ('1589851110552768512', '1589849256125140992', '2022年11月7日住宿测试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-11-08 13:23:38', null);
INSERT INTO `train_class_user` VALUES ('1589879351535603712', '1589849256125140992', '2022年11月7日住宿测试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589877695318200320', '周丽丽1', '202211080027', '15838150888', '110101199003076691', null, null, '0', '401', null, '1', null, null, '1', null, '2022-11-08 15:15:51', null);
INSERT INTO `train_class_user` VALUES ('1589882705464659968', '1589549121218416640', '2022年培训住宿管理', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589877695318200320', '周丽丽1', '202211080027', '15838150888', '110101199003076691', null, null, '0', '502', null, '1', null, null, '1', null, '2022-11-08 15:29:11', null);
INSERT INTO `train_class_user` VALUES ('1589889489118040064', '1589549121218416640', '2022年培训住宿管理', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589887987989221376', '王丹丹', '202211080028', '15838150999', '110101198603076594', null, null, '0', '502', null, '1', '2022-11-08 16:21:59', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-08 15:56:08', null);
INSERT INTO `train_class_user` VALUES ('1590165355609853952', '1589098507447439360', '测试116导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1590165343635116032', '王涵', null, null, '410425198905102016', null, null, '0', '401', null, '24', null, null, '1', '线下住宿', '2022-11-09 10:12:19', null);
INSERT INTO `train_class_user` VALUES ('1590171769254318080', '1589098507447439360', '测试116导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1590171760580497408', 'w', null, null, '410425198909103089', null, null, '0', '401', null, '24', null, null, '1', '线下住宿', '2022-11-09 10:37:48', null);
INSERT INTO `train_class_user` VALUES ('1590181907365236736', '1589098507447439360', '测试116导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1590181896380354560', '王涵123', null, null, '421425198906102015', null, null, '0', '402', null, '24', null, null, '1', '线下住宿', '2022-11-09 11:18:06', null);
INSERT INTO `train_class_user` VALUES ('1590183708411957248', '1589098507447439360', '测试116导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1590183699834605568', '忘光光给', null, null, '410425196005106015', null, null, '0', '404', null, '24', null, null, '1', '线下住宿', '2022-11-09 11:25:15', null);
INSERT INTO `train_class_user` VALUES ('1590186250441199616', '1589098507447439360', '测试116导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1590186242115506176', '哈哈在住', null, null, '410425194010250613', null, null, null, '405', null, '24', null, null, '1', '线下住宿', '2022-11-09 11:35:21', null);
INSERT INTO `train_class_user` VALUES ('1590544894378774528', '1590543802567888896', '2022年11月10日培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589887987989221376', '王丹丹', '202211080028', '15838150999', '110101198603076594', null, null, '0', null, null, '1', '2022-11-10 11:22:32', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-10 11:20:29', null);
INSERT INTO `train_class_user` VALUES ('1590545862285725696', '1590543802567888896', '2022年11月10日培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589877695318200320', '周丽丽1', '202211080027', '15838150888', '110101199003076691', null, null, '0', null, null, '1', '2022-11-10 11:27:35', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-10 11:24:20', null);
INSERT INTO `train_class_user` VALUES ('1590552719301677056', '1590543802567888896', '2022年11月10日培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '1', '2022-11-10 11:54:04', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-10 11:51:35', null);
INSERT INTO `train_class_user` VALUES ('1590576061207416832', '1590573038678708224', '2022年培训班新的培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-10 13:24:20', null);
INSERT INTO `train_class_user` VALUES ('1590582130746986496', '1590573038678708224', '2022年培训班新的培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590582122773614592', '王涵', null, null, '410425198908105016', null, null, '0', '407', null, '1', null, null, '1', '线下住宿', '2022-11-10 13:48:26', null);
INSERT INTO `train_class_user` VALUES ('1590586743139209216', '1590573038678708224', '2022年培训班新的培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590586735358775296', '王涵测试', null, null, '410425198605102013', null, null, '0', '407', null, '1', null, null, '1', '线下住宿', '2022-11-10 14:06:46', null);
INSERT INTO `train_class_user` VALUES ('1590587539390074880', '1590573038678708224', '2022年培训班新的培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590587531555115008', '王涵丫', null, null, '410425198908105023', null, null, '0', '501', null, '1', null, null, '1', '线下住宿', '2022-11-10 14:09:56', null);
INSERT INTO `train_class_user` VALUES ('1590610351127400448', '1590573038678708224', '2022年培训班新的培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590610341195288576', '王涵我', null, null, '410425198608105016', null, null, '0', '502', null, '1', null, null, '1', '线下住宿', '2022-11-10 15:40:34', null);
INSERT INTO `train_class_user` VALUES ('1590619798973321216', '1590598103071854592', '培训住宿', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-11-10 16:18:08', null);
INSERT INTO `train_class_user` VALUES ('1590621510572314624', '1590602024376995840', '呀拉索', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589877695318200320', '周丽丽1', '202211080027', '15838150888', '110101199003076691', null, null, '0', null, null, '1', '2022-11-10 16:26:39', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-10 16:24:56', null);
INSERT INTO `train_class_user` VALUES ('1590622998229028864', '1590602024376995840', '呀拉索', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '407', null, '1', null, null, '1', null, '2022-11-10 16:30:50', null);
INSERT INTO `train_class_user` VALUES ('1590624003972796416', '1590598103071854592', '培训住宿', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '1', '2022-11-10 16:35:04', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-10 16:34:50', null);
INSERT INTO `train_class_user` VALUES ('1590624897456017408', '1590598103071854592', '培训住宿', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589877695318200320', '周丽丽1', '202211080027', '15838150888', '110101199003076691', null, null, '0', null, null, null, null, null, '1', null, '2022-11-10 16:38:23', null);
INSERT INTO `train_class_user` VALUES ('1590634424372957184', '1590625766897487872', '2022年12月培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589887987989221376', '王丹丹', '202211080028', '15838150999', '110101198603076594', null, null, '0', '604', null, '1', '2022-11-10 17:27:35', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-10 17:16:15', null);
INSERT INTO `train_class_user` VALUES ('1590635980199694336', '1590625766897487872', '2022年12月培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '604', null, '1', '2022-11-10 17:25:59', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-10 17:22:25', null);
INSERT INTO `train_class_user` VALUES ('1590637802188574720', '1590625766897487872', '2022年12月培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589877695318200320', '周丽丽1', '202211080027', '15838150888', '110101199003076691', null, null, '0', null, null, null, null, null, '1', null, '2022-11-10 17:29:40', null);
INSERT INTO `train_class_user` VALUES ('1590878289793257472', '1590625766897487872', '2022年12月培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1590639495596871680', '刘芳芳', '202211100038', '15838150111', '110101198603074126', null, null, '0', null, null, null, null, null, '1', null, '2022-11-11 09:25:17', null);
INSERT INTO `train_class_user` VALUES ('1590949865129644032', '1590573038678708224', '2022年培训班新的培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590949853146517504', '王涵', null, null, '410425199808105078', null, null, '0', '404', null, '1', null, null, '1', '线下住宿', '2022-11-11 14:09:41', null);
INSERT INTO `train_class_user` VALUES ('1590952674499629056', '1590602024376995840', '呀拉索', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590952665850974208', '往往玩', null, null, '410425198906103012', null, null, null, '401', null, '1', null, null, '1', '线下住宿', '2022-11-11 14:20:51', null);
INSERT INTO `train_class_user` VALUES ('1591974211390410752', '1591966612427247616', '2022培训中心集中培训测试', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '202211140046', '15225279244', '411421199507182459', null, null, '0', null, null, '0', '2022-11-14 10:03:48', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-14 10:00:04', null);
INSERT INTO `train_class_user` VALUES ('1591988811422896128', '1591972857506828288', '11月金融投资讲堂第一期', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '0', '2022-11-14 11:04:50', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-14 10:58:05', null);
INSERT INTO `train_class_user` VALUES ('1591993032109068288', '1591972857506828288', '11月金融投资讲堂第一期', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589887987989221376', '王丹丹', '202211080028', '15838150999', '110101198603076594', null, null, '0', null, null, null, null, null, '1', null, '2022-11-14 11:14:51', null);
INSERT INTO `train_class_user` VALUES ('1591996102322819072', '1591992260067725312', '2022郑州地市培训', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '202211140046', '15225279244', '411421199507182459', null, null, '0', null, null, null, null, null, '1', null, '2022-11-14 11:27:03', null);
INSERT INTO `train_class_user` VALUES ('1592000680313360384', '1591992260067725312', '2022郑州地市培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1589887987989221376', '王丹丹', '202211080028', '15838150999', '110101198603076594', null, null, '0', null, null, null, null, null, '1', null, '2022-11-14 11:45:15', null);
INSERT INTO `train_class_user` VALUES ('1592001721167646720', '1591992260067725312', '2022郑州地市培训', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1366299958692679680', '001007047', '运营管理部', '1591989767631933440', '高郑州', '202211140047', '15225279266', '350781196403073380', null, null, '0', null, null, null, null, null, '1', null, '2022-11-14 11:49:23', null);
INSERT INTO `train_class_user` VALUES ('1592028835040333824', '1592027379281301504', '2022郑州金融培训', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1366299958692679680', '001007047', '运营管理部', '1591989767631933440', '高郑州', 'gzy001', '15225279266', '350781196403073380', null, null, '0', null, null, null, null, null, '1', null, '2022-11-14 13:37:07', null);
INSERT INTO `train_class_user` VALUES ('1592035455493345280', '1592032895428595712', '2022郑州金融培训2', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1366299958692679680', '001007047', '运营管理部', '1591989767631933440', '高郑州', 'gzy001', '15225279266', '350781196403073380', null, null, '0', null, null, '0', '2022-11-14 14:06:55', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-14 14:03:26', null);
INSERT INTO `train_class_user` VALUES ('1592060850733191168', '1592057692325810176', '2022年金融课程培训班-省', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '202211140046', '15225279244', '411421199507182459', null, null, '0', null, null, '0', '2022-11-14 15:44:43', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-14 15:44:21', null);
INSERT INTO `train_class_user` VALUES ('1592066459968868352', '1592065253888364544', '11月金融投资讲堂第一期02', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', '1567345269778026496', '0', null, null, null, '2022-11-14 16:07:34', null, '3', null, '2022-11-14 16:06:38', null);
INSERT INTO `train_class_user` VALUES ('1592068747890397184', '1592066677061849088', '2022年金融课程培训班(2)', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '202211140046', '15225279244', '411421199507182459', null, null, '0', null, null, '0', '2022-11-14 16:16:34', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-14 16:15:43', null);
INSERT INTO `train_class_user` VALUES ('1592109674386296832', '1592030599865044992', '2022年培训班APP班主任', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-14 18:58:22', null);
INSERT INTO `train_class_user` VALUES ('1592114100761137152', '1592048661980909568', '11月金融投资讲堂第一期', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-14 19:15:57', null);
INSERT INTO `train_class_user` VALUES ('1592349020850884608', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '3', null, '2022-11-15 10:49:26', null);
INSERT INTO `train_class_user` VALUES ('1592357141287669760', '1592356114652073984', '2022集中培训', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1592077522693132288', '高老师', '202211140053', '15225279234', '350781196403075300', null, null, '0', null, null, null, null, null, '1', null, '2022-11-15 11:21:42', null);
INSERT INTO `train_class_user` VALUES ('1592418134655111168', '1592048661980909568', '11月金融投资讲堂第一期', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-15 15:24:04', null);
INSERT INTO `train_class_user` VALUES ('1592449589254950912', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-15 17:29:04', null);
INSERT INTO `train_class_user` VALUES ('1592799627286024192', '1592783387914014720', '11月金融投资讲堂第一期1116-03', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-16 16:39:59', null);
INSERT INTO `train_class_user` VALUES ('1592818078897541120', '1592817481695760384', '11月金融第二讲-勿动', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-16 17:53:18', null);
INSERT INTO `train_class_user` VALUES ('1593070174020440064', '1593055771002802176', '11月金融第二讲=1117-01', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-17 10:35:02', null);
INSERT INTO `train_class_user` VALUES ('1593075422009102336', '1593074623937908736', '金融第二讲-1117-02', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', '401', null, '2', '2022-11-17 11:47:48', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-17 10:55:53', null);
INSERT INTO `train_class_user` VALUES ('1593088485210853376', null, null, '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', null, null, null, null, null, 'qq1@123.com', null, null, null, null, null, null, null, '1', null, '2022-11-17 11:47:48', null);
INSERT INTO `train_class_user` VALUES ('1593117795401469952', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1592077522693132288', '高老师', null, '15225279234', '350781196403075300', null, null, '0', '402', null, '2', null, null, '1', '线下住宿', '2022-11-17 13:44:16', null);
INSERT INTO `train_class_user` VALUES ('1593122540132372480', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1591989767631933440', '高郑州', null, '15225279266', '350781196403073380', null, null, '0', '402', null, '2', null, null, '1', '线下住宿', '2022-11-17 14:03:07', null);
INSERT INTO `train_class_user` VALUES ('1593123737501306880', '1585921029040115712', '2023测试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-17 14:07:53', null);
INSERT INTO `train_class_user` VALUES ('1593127105347063808', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593126345620197376', 'lilu', null, '15784514784', '110101199003079120', null, null, '0', '401', null, '2', null, null, '1', '线下住宿', '2022-11-17 14:21:15', null);
INSERT INTO `train_class_user` VALUES ('1593130577194782720', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593130018354106368', '李婷', '202211170056', '15713872555', '110101199003075488', null, null, '0', null, null, '2', '2022-11-17 15:21:20', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-17 14:35:04', null);
INSERT INTO `train_class_user` VALUES ('1593134311354273792', '1593133878619541504', '集中1次', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '0', '2022-11-17 14:50:10', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-17 14:49:54', null);
INSERT INTO `train_class_user` VALUES ('1593142217353072640', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-17 15:21:18', null);
INSERT INTO `train_class_user` VALUES ('1593147547575259136', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590949853146517504', '王涵', '202211110044', '15713872544', '110101199003070409', null, null, '0', null, null, null, null, null, '1', null, '2022-11-17 15:42:30', null);
INSERT INTO `train_class_user` VALUES ('1593164374225326080', '1593163290295537664', '测试住宿结束四小时内状态数据', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '1', '2022-11-17 17:04:23', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-17 16:49:22', null);
INSERT INTO `train_class_user` VALUES ('1593168153863655424', null, null, '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', null, null, null, null, null, 'qq1@123.com', null, null, null, null, null, null, null, '1', null, '2022-11-17 17:04:22', null);
INSERT INTO `train_class_user` VALUES ('1593172982300282880', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593172328945160192', '李厅', '202211170057', '15713872566', '110101199003075349', null, null, '0', null, null, null, null, null, '1', null, '2022-11-17 17:23:36', null);
INSERT INTO `train_class_user` VALUES ('1593203307592159232', '1593195024294744064', '十月测试AAA', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-17 19:24:04', null);
INSERT INTO `train_class_user` VALUES ('1593447347780718592', '1590543802567888896', '2022年11月10日培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1593447338142208000', '测试', null, null, '11010119900307213X', null, null, '0', '403', null, '6', null, null, '1', '线下住宿', '2022-11-18 11:33:47', null);
INSERT INTO `train_class_user` VALUES ('1593449848911302656', '1593055771002802176', '11月金融第二讲=1117-01', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593449838584926208', '王安石', null, null, '110101199003076894', null, null, '0', '501', null, '2', null, null, '1', '线下住宿', '2022-11-18 11:43:44', null);
INSERT INTO `train_class_user` VALUES ('1593454361617502208', '1592720948858064896', '郑州的188888888888888', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '1593454348137009152', '王亚', null, null, '110101199003078515', null, null, '0', '406', null, '13', null, null, '1', '线下住宿', '2022-11-18 12:01:39', null);
INSERT INTO `train_class_user` VALUES ('1593479087979106304', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593478742355873792', 'YY', null, null, '110101199003073116', null, null, '0', '501', null, '15', null, null, '1', '线下住宿', '2022-11-18 13:39:55', null);
INSERT INTO `train_class_user` VALUES ('1593479591580798976', '1592720948858064896', '郑州的188888888888888', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '1593479582902784000', '王王2', null, null, '110101199003072412', null, null, '0', '502', null, '13', null, null, '1', '线下住宿', '2022-11-18 13:41:55', null);
INSERT INTO `train_class_user` VALUES ('1593482834436296704', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593482825254965248', 'aaa', null, null, '110101199003078734', null, null, '0', '502', null, '15', null, null, '1', '线下住宿', '2022-11-18 13:54:48', null);
INSERT INTO `train_class_user` VALUES ('1593489513253048320', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593489505036406784', 'ee', null, null, '110101199003079518', null, null, '0', '404', null, '15', null, null, '1', '线下住宿', '2022-11-18 14:21:20', null);
INSERT INTO `train_class_user` VALUES ('1593491715854045184', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593491703745089536', '11', null, null, '11010120110307989X', null, null, '0', '405', null, '15', null, null, '1', '线下住宿', '2022-11-18 14:30:05', null);
INSERT INTO `train_class_user` VALUES ('1593496873375764480', '1593493864797310976', '十月测试A测试评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-11-18 14:50:36', null);
INSERT INTO `train_class_user` VALUES ('1593499676341047296', '1593499312577449984', '金融第二讲1118-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593130018354106368', '李婷', '202211170056', '15713872555', '110101199003075488', null, null, '0', null, null, null, null, null, '1', null, '2022-11-18 15:01:44', null);
INSERT INTO `train_class_user` VALUES ('1593499882847604736', '1593499312577449984', '金融第二讲1118-1002', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-18 15:02:33', null);
INSERT INTO `train_class_user` VALUES ('1593502642338926592', '1593499312577449984', '金融第二讲1118-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1590639495596871680', '刘芳芳', '202211100038', '15838150111', '110101198603074126', null, null, '0', '407', null, '0', null, null, '1', null, '2022-11-18 15:13:31', null);
INSERT INTO `train_class_user` VALUES ('1593509726832955392', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593509718448541696', '77y', null, null, '110101200003079396', null, null, '0', '407', null, '15', null, null, '1', '线下住宿', '2022-11-18 15:41:40', null);
INSERT INTO `train_class_user` VALUES ('1593516941719506944', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1593516895204675584', 'dd', null, null, '150102199003076898', null, null, '0', '601', null, '29', null, null, '1', '线下住宿', '2022-11-18 16:10:20', null);
INSERT INTO `train_class_user` VALUES ('1593532201843167232', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593532185497964544', '11', null, null, '110101201103072137', null, null, '0', '300', null, '15', null, null, '1', '线下住宿', '2022-11-18 17:10:58', null);
INSERT INTO `train_class_user` VALUES ('1593557776318205952', '1593195024294744064', '十月测试AAA', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-18 18:52:37', null);
INSERT INTO `train_class_user` VALUES ('1593565446735532032', '1593074623937908736', '金融第二讲-1117-02', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '1', '2022-11-18 19:24:11', '河南省郑州市金水区马头岗街119号卡吉诺(杨金路店)', '3', null, '2022-11-18 19:23:05', null);
INSERT INTO `train_class_user` VALUES ('1593565725182791680', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-18 19:24:11', null);
INSERT INTO `train_class_user` VALUES ('1593567083394895872', '1593493864797310976', '十月测试A测试评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '12', '2022-11-18 19:30:48', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-18 19:29:35', null);
INSERT INTO `train_class_user` VALUES ('1593572415517102080', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-18 19:50:46', null);
INSERT INTO `train_class_user` VALUES ('1593576037701259264', '1593575269023748096', '1021计划库第一版', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '802', null, '13', null, null, '1', null, '2022-11-18 20:05:10', null);
INSERT INTO `train_class_user` VALUES ('1593810020938682368', '1593802731448045568', '1119-1001', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', '701', null, '1', '2022-11-19 12:02:41', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-19 11:34:56', null);
INSERT INTO `train_class_user` VALUES ('1593817004207378432', null, null, '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', null, null, null, null, null, 'qq1@123.com', null, null, null, null, null, null, null, '1', null, '2022-11-19 12:02:40', null);
INSERT INTO `train_class_user` VALUES ('1593839961583521792', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593172328945160192', '李厅', '202211170057', '15713872566', '110101199003075349', null, null, '0', null, null, '1', '2022-11-19 13:36:43', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-19 13:33:54', null);
INSERT INTO `train_class_user` VALUES ('1593840669712060416', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-19 13:36:42', null);
INSERT INTO `train_class_user` VALUES ('1593842140688027648', '1593841368902537216', '测试供应商评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '3', null, '2022-11-19 13:42:34', null);
INSERT INTO `train_class_user` VALUES ('1593849643492577280', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593842844030865408', '李一', null, null, '110101199003072244', null, null, '0', '401', null, '1', null, null, '1', '线下住宿', '2022-11-19 14:12:22', null);
INSERT INTO `train_class_user` VALUES ('1593852551785222144', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1593852545346965504', '测试意义', null, null, '110101201103070027', null, null, '0', '402', null, '29', null, null, '1', '线下住宿', '2022-11-19 14:23:55', null);
INSERT INTO `train_class_user` VALUES ('1593855270130421760', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593855262131884032', '李三', null, null, '110101199003078232', null, null, '1', '403', null, '1', null, null, '1', '线下住宿', '2022-11-19 14:34:43', null);
INSERT INTO `train_class_user` VALUES ('1593856424654540800', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593856415510958080', '测试', null, null, '110101201103077560', null, null, '0', '404', null, '15', null, null, '1', '线下住宿', '2022-11-19 14:39:19', null);
INSERT INTO `train_class_user` VALUES ('1593862930368172032', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593862922424160256', '李四', null, null, '11010119900307619X', null, null, '0', '404', null, '1', null, null, '1', '线下住宿', '2022-11-19 15:05:10', null);
INSERT INTO `train_class_user` VALUES ('1593864429085265920', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593864420877012992', '外网', null, null, '110101199003168094', null, null, '0', '503', null, '1', null, null, '1', '线下住宿', '2022-11-19 15:11:07', null);
INSERT INTO `train_class_user` VALUES ('1593865303853502464', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593865238464303104', '李武', null, null, '110101199003162039', null, null, '0', '403', null, '1', null, null, '1', '线下住宿', '2022-11-19 15:14:36', null);
INSERT INTO `train_class_user` VALUES ('1593869545829961728', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593130018354106368', '李婷', '202211170056', '15713872555', '110101199003075488', null, null, '0', null, null, '1', '2022-11-19 15:33:40', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-19 15:31:28', null);
INSERT INTO `train_class_user` VALUES ('1593870101734625280', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-19 15:33:40', null);
INSERT INTO `train_class_user` VALUES ('1593870859481780224', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593126345620197376', 'lilu', '202211170055', '15784514784', '110101199003079120', null, null, '0', '401', null, '1', null, null, '1', null, '2022-11-19 15:36:41', null);
INSERT INTO `train_class_user` VALUES ('1593871990161281024', '1593841368902537216', '测试供应商评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593126345620197376', 'lilu', '202211170055', '15784514784', '110101199003079120', null, null, '0', null, null, '11', '2022-11-19 16:21:33', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-19 15:41:10', null);
INSERT INTO `train_class_user` VALUES ('1593882311819137024', '1592401367887122432', '212213231321', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593126345620197376', 'lilu', '202211170055', '15784514784', '110101199003079120', null, null, '0', null, null, null, null, null, '1', null, '2022-11-19 16:22:11', null);
INSERT INTO `train_class_user` VALUES ('1593885031934332928', '1593841368902537216', '测试供应商评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593885025168920576', '李六', null, null, '110101199003160834', null, null, '0', '503', null, '11', null, null, '1', '线下住宿', '2022-11-19 16:32:59', null);
INSERT INTO `train_class_user` VALUES ('1593886756153987072', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', '402', null, '1', null, null, '1', null, '2022-11-19 16:39:51', null);
INSERT INTO `train_class_user` VALUES ('1593894017127550976', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593893948823310336', '456', null, null, '110101199003169070', null, null, '0', '403', null, '1', null, null, '1', '线下住宿', '2022-11-19 17:08:41', null);
INSERT INTO `train_class_user` VALUES ('1593895090722574336', '1593802731448045568', '1119-1001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593895047307333632', '呃呃呃呃', null, null, '110101199004077557', null, null, '0', '403', null, '1', null, null, '1', '线下住宿', '2022-11-19 17:12:57', null);
INSERT INTO `train_class_user` VALUES ('1593895282783948800', '1593802731448045568', '1119-1001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593895275678797824', '777', null, null, '11010119900407695X', null, null, '1', '403', null, '1', null, null, '1', '线下住宿', '2022-11-19 17:13:43', null);
INSERT INTO `train_class_user` VALUES ('1593908031723278336', '1593841368902537216', '测试供应商评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593908021333987328', '李琦', null, null, '110101199004075674', null, null, '0', '701', null, '11', null, null, '1', '线下住宿', '2022-11-19 18:04:23', null);
INSERT INTO `train_class_user` VALUES ('1593917708200710144', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593917700583854080', '李八', null, null, '110101199008073529', null, null, '1', '402', null, '1', null, null, '1', '线下住宿', '2022-11-19 18:42:50', null);
INSERT INTO `train_class_user` VALUES ('1593923650766114816', '1593575269023748096', '1021计划库第一版', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593126345620197376', 'lilu', '202211170055', '15784514784', '110101199003079120', null, null, '0', null, null, '12', '2022-11-19 19:07:48', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-19 19:06:27', null);
INSERT INTO `train_class_user` VALUES ('1593924627271389184', '1593802731448045568', '1119-1001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593126345620197376', 'lilu', '202211170055', '15784514784', '110101199003079120', null, null, '0', null, null, '1', '2022-11-19 19:11:09', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-19 19:10:20', null);
INSERT INTO `train_class_user` VALUES ('1593924834797162496', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-19 19:11:09', null);
INSERT INTO `train_class_user` VALUES ('1593925778318430208', '1593802731448045568', '1119-1001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593908021333987328', '李琦', '202211190080', '15713872577', '110101199004075674', null, null, '0', null, null, null, null, null, '1', null, '2022-11-19 19:14:55', null);
INSERT INTO `train_class_user` VALUES ('1593937053740044288', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593937047876407296', '李露露', null, null, '11010120070307465X', null, null, '0', '402', null, '1', null, null, '1', '线下住宿', '2022-11-19 19:59:42', null);
INSERT INTO `train_class_user` VALUES ('1593939489032638464', '1593838490360090624', '1119-1002', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593939481117986816', '利旧', null, null, '110101200703076911', null, null, '0', '404', null, '1', null, null, '1', '线下住宿', '2022-11-19 20:09:23', null);
INSERT INTO `train_class_user` VALUES ('1593944801554862080', '1586969194119958528', '再次测试工具包', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1555010577007513600', '张磊', null, '15838150622', '410181198811015510', null, null, '0', '601', null, '27', null, null, '1', '线下住宿', '2022-11-19 20:30:29', null);
INSERT INTO `train_class_user` VALUES ('1593946212615196672', '1588729101563334656', '115评估计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1555010577007513600', '张磊', null, '15838150622', '410181198811015510', null, null, '0', '502', null, '15', null, null, '1', '线下住宿', '2022-11-19 20:36:06', null);
INSERT INTO `train_class_user` VALUES ('1594171317811286016', '1586969194119958528', '再次测试工具包', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1594171185472606208', '张健', null, null, '41052319921211101X', null, null, '1', '401', null, '37', null, null, '1', '线下住宿', '2022-11-20 11:30:35', null);
INSERT INTO `train_class_user` VALUES ('1594172622973833216', '1592720948858064896', '郑州的188888888888888', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '1594172613977051136', 'wang', null, null, '110101199003074944', null, null, '1', '701', null, '5', null, null, '1', '线下住宿', '2022-11-20 11:35:46', null);
INSERT INTO `train_class_user` VALUES ('1594176769290801152', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594176761233543168', '汪涵', null, null, '110101200503074997', null, null, '0', '701', null, '15', null, null, '1', '线下住宿', '2022-11-20 11:52:15', null);
INSERT INTO `train_class_user` VALUES ('1594182547645009920', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594182539172515840', '汪涵', null, null, '11010120110307401X', null, null, '0', '701', null, '15', null, null, '1', '线下住宿', '2022-11-20 12:15:12', null);
INSERT INTO `train_class_user` VALUES ('1594189979079282688', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594189970099277824', '1243', null, null, '110101201103079478', null, null, '0', '701', null, '15', null, null, '1', '线下住宿', '2022-11-20 12:44:44', null);
INSERT INTO `train_class_user` VALUES ('1594190642005807104', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594190633659142144', '测试1246', null, null, '150102199003072192', null, null, '0', '402', null, '15', null, null, '1', '线下住宿', '2022-11-20 12:47:22', null);
INSERT INTO `train_class_user` VALUES ('1594194018676379648', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594194005799866368', '234324', null, null, '36010220050307069X', null, null, '0', '701', null, '15', null, null, '1', '线下住宿', '2022-11-20 13:00:47', null);
INSERT INTO `train_class_user` VALUES ('1594196884170346496', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594196874573778944', '1311', null, null, '360102200503079619', null, null, '0', '701', null, '15', null, null, '1', '线下住宿', '2022-11-20 13:12:11', null);
INSERT INTO `train_class_user` VALUES ('1594200387739586560', '1562350332300890112', '培训计划2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1594200334652280832', '21', null, null, '110101199003075947', null, null, '0', '401', null, '212', null, null, '1', '线下住宿', '2022-11-20 13:26:06', null);
INSERT INTO `train_class_user` VALUES ('1594203511271329792', '1562350332300890112', '培训计划2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1594203503994212352', '测试附属', null, null, '110101199003077002', null, null, '0', '701', null, '212', null, null, '1', '线下住宿', '2022-11-20 13:38:31', null);
INSERT INTO `train_class_user` VALUES ('1594203759397965824', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594203503994212352', '测试附属', null, null, '110101199003077002', null, null, '0', '701', null, '15', null, null, '1', '线下住宿', '2022-11-20 13:39:30', null);
INSERT INTO `train_class_user` VALUES ('1594214644795445248', '1593841368902537216', '测试供应商评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593937047876407296', '李露露', '202211190082', '15713872533', '11010120070307465X', null, null, '0', null, null, null, null, null, '1', null, '2022-11-20 14:22:46', null);
INSERT INTO `train_class_user` VALUES ('1594218944015765504', '1588729101563334656', '115评估计划', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593937047876407296', '李露露', '202211190082', '15713872533', '11010120070307465X', null, null, '0', null, null, null, null, null, '1', null, '2022-11-20 14:39:51', null);
INSERT INTO `train_class_user` VALUES ('1594242496353931264', '1594241800200130560', '课程第一讲1120-a', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', '401', null, '1', '2022-11-20 16:14:57', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-20 16:13:26', null);
INSERT INTO `train_class_user` VALUES ('1594242880048861184', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-20 16:14:57', null);
INSERT INTO `train_class_user` VALUES ('1594243803655573504', '1594241800200130560', '课程第一讲1120-a', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594243795166302208', '王三', null, null, '110101199003077985', null, null, '1', '402', null, '1', null, null, '1', '线下住宿', '2022-11-20 16:18:37', null);
INSERT INTO `train_class_user` VALUES ('1594245572330655744', '1594244407400468480', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', '601', null, '4', '2022-11-20 16:25:54', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-20 16:25:40', null);
INSERT INTO `train_class_user` VALUES ('1594245632489558016', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-20 16:25:53', null);
INSERT INTO `train_class_user` VALUES ('1594503181122015232', '1594501807982383104', '1121住宿测试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-11-21 09:29:18', null);
INSERT INTO `train_class_user` VALUES ('1594503283182014464', '1594501807982383104', '1121住宿测试', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '202211140046', '15225279244', '411421199507182459', null, null, '0', null, null, null, null, null, '1', null, '2022-11-21 09:29:43', null);
INSERT INTO `train_class_user` VALUES ('1594504588654940160', '1594504240024391680', '2022集中培训', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '202211140046', '15225279244', '411421199507182459', null, null, '0', null, null, '2', '2022-11-21 09:35:19', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-21 09:34:54', null);
INSERT INTO `train_class_user` VALUES ('1594504610989608960', '1594504240024391680', '2022集中培训', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '2', '2022-11-21 09:35:23', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-21 09:34:59', null);
INSERT INTO `train_class_user` VALUES ('1594512427188359168', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594512404811747328', '测试', null, null, '110101201103076090', null, null, '0', '602', null, '15', null, null, '1', '线下住宿', '2022-11-21 10:06:02', null);
INSERT INTO `train_class_user` VALUES ('1594596102676549632', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1594596093570715648', '刘一', null, null, '110101199003071866', null, null, '1', '403', null, '1', null, null, '1', '线下住宿', '2022-11-21 15:38:32', null);
INSERT INTO `train_class_user` VALUES ('1594597920844419072', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1593908021333987328', '李琦', '202211190080', '15713872577', '110101199004075674', null, null, '0', null, null, '1', '2022-11-21 15:46:36', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-11-21 15:45:46', null);
INSERT INTO `train_class_user` VALUES ('1594598131121655808', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-21 15:46:35', null);
INSERT INTO `train_class_user` VALUES ('1594598951443632128', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593937047876407296', '李露露', '202211190082', '15713872533', '11010120070307465X', null, null, '0', null, null, '1', '2022-11-21 15:53:31', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-21 15:49:53', null);
INSERT INTO `train_class_user` VALUES ('1594599855353892864', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-21 15:53:26', null);
INSERT INTO `train_class_user` VALUES ('1594607881934737408', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594603307282862080', '黎利伯', '202211210098', '15713874545', '110101199003077053', null, null, '0', '404', null, '1', '2022-11-21 16:25:40', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-11-21 16:25:21', null);
INSERT INTO `train_class_user` VALUES ('1594607962226298880', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-21 16:25:39', null);
INSERT INTO `train_class_user` VALUES ('1594607966533849088', '1594569101844549632', '2022集中培训签到44444', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-21 16:25:41', null);
INSERT INTO `train_class_user` VALUES ('1594611465778761728', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '1593862922424160256', '李四', '202211190073', '15713875653', '11010119900307619X', null, null, '0', null, null, null, null, null, '1', null, '2022-11-21 16:39:35', null);
INSERT INTO `train_class_user` VALUES ('1594612480762580992', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1594612473548378112', '六二', null, null, '110101199004073986', null, null, '0', '403', null, '1', null, null, '1', '线下住宿', '2022-11-21 16:43:37', null);
INSERT INTO `train_class_user` VALUES ('1594648430666452992', '1594586018877673472', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1555010577007513600', '张磊', null, '15838150622', '410181198811015510', null, null, '0', '11', null, '1', null, null, '1', '线下住宿', '2022-11-21 19:06:28', null);
INSERT INTO `train_class_user` VALUES ('1594884159174742016', '1594874152140017664', '1122培训库课程-c', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1594876784518762496', '注销状态', null, null, '110101199001075417', null, null, '0', '401', null, '1', null, null, '1', '线下住宿', '2022-11-22 10:43:10', null);
INSERT INTO `train_class_user` VALUES ('1594884916338888704', '1594874152140017664', '1122培训库课程-c', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1594884909942575104', '多设备', null, null, '110101199001075011', null, null, '0', '11', null, '1', null, null, '1', '线下住宿', '2022-11-22 10:46:10', null);
INSERT INTO `train_class_user` VALUES ('1594889777839214592', '1594874152140017664', '1122培训库课程-c', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1572825817233362944', '灿', '202209220003', '15038157220', '410181199311272013', null, null, '0', null, null, '1', '2022-11-22 11:06:26', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '3', null, '2022-11-22 11:05:30', null);
INSERT INTO `train_class_user` VALUES ('1594890012917370880', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-22 11:06:25', null);
INSERT INTO `train_class_user` VALUES ('1594932375593291776', '1594874152140017664', '1122培训库课程-c', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1555010577007513600', '张磊', null, '15838150622', '410181198811015510', null, null, '0', '11', null, '1', null, null, '1', '线下住宿', '2022-11-22 13:54:45', null);
INSERT INTO `train_class_user` VALUES ('1594936844842307584', '1594874152140017664', '1122培训库课程-c', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1594934928573861888', '22房间', null, null, '110101199003093686', null, null, '0', '22', null, '1', null, null, '1', '线下住宿', '2022-11-22 14:12:31', null);
INSERT INTO `train_class_user` VALUES ('1595251111089016832', '1594571954189373440', '前打扫5555', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466629', '001030', '金融业务部', '1595251103560241152', '状态', null, null, '110101199003095876', null, null, '0', '401', null, '2', null, null, '2', '线下住宿', '2022-11-23 11:01:18', null);
INSERT INTO `train_class_user` VALUES ('1595297646375997440', '1595293028619259904', '1123培训班a', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1595290317471485952', '张三', '202211230105', '15713872455', '110101199003144033', null, null, '0', null, null, '3', '2022-11-23 14:07:16', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '2', null, '2022-11-23 14:06:13', null);
INSERT INTO `train_class_user` VALUES ('1595297909493075968', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 14:07:15', null);
INSERT INTO `train_class_user` VALUES ('1595300132700688384', '1595293028619259904', '1123培训班a', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1595299618307051520', '张四', '202211230106', '15713872366', '11010119900314229X', null, null, '0', null, null, '3', '2022-11-23 14:16:19', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '2', null, '2022-11-23 14:16:06', null);
INSERT INTO `train_class_user` VALUES ('1595300190821158912', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 14:16:19', null);
INSERT INTO `train_class_user` VALUES ('1595321089788088320', '1595306464161959936', '1123', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '2', '2022-11-23 15:40:13', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '2', null, '2022-11-23 15:39:23', null);
INSERT INTO `train_class_user` VALUES ('1595323043285176320', '1595322590518448128', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '2', '2022-11-23 15:52:28', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '2', null, '2022-11-23 15:47:09', null);
INSERT INTO `train_class_user` VALUES ('1595324090162483200', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 15:51:17', null);
INSERT INTO `train_class_user` VALUES ('1595324432677736448', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 15:52:39', null);
INSERT INTO `train_class_user` VALUES ('1595325233865297920', '1595322590518448128', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, '2', '2022-11-23 16:25:19', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '2', null, '2022-11-23 15:55:51', null);
INSERT INTO `train_class_user` VALUES ('1595326352121270272', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:00:17', null);
INSERT INTO `train_class_user` VALUES ('1595326838144634880', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:02:13', null);
INSERT INTO `train_class_user` VALUES ('1595328663581233152', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:09:28', null);
INSERT INTO `train_class_user` VALUES ('1595329958690033664', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:14:37', null);
INSERT INTO `train_class_user` VALUES ('1595330292040732672', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:15:56', null);
INSERT INTO `train_class_user` VALUES ('1595330439147556864', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:16:31', null);
INSERT INTO `train_class_user` VALUES ('1595331576928014336', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:21:02', null);
INSERT INTO `train_class_user` VALUES ('1595332072761856000', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:23:01', null);
INSERT INTO `train_class_user` VALUES ('1595332267440476160', '1595293028619259904', '1123培训班a', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1595332257508364288', '103', null, null, '11010119900307766X', null, null, '0', '103', null, '3', null, null, '2', '线下住宿', '2022-11-23 16:23:47', null);
INSERT INTO `train_class_user` VALUES ('1595332631132770304', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, '', null, null, null, null, null, null, null, '1', null, '2022-11-23 16:25:14', null);
INSERT INTO `train_class_user` VALUES ('1595333105781182464', '1595322590518448128', '1121培训库课程-b', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1575324436016533504', '省管理员', '202209290006', '15713872514', '110101199003077870', null, null, '0', null, null, '2', '2022-11-23 16:27:28', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '2', null, '2022-11-23 16:27:08', null);
INSERT INTO `train_class_user` VALUES ('1595333161506705408', null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:27:20', null);
INSERT INTO `train_class_user` VALUES ('1595333798273355776', '1595322590518448128', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594603307282862080', '黎利伯', '202211210098', '15713874545', '110101199003077053', null, null, '0', null, null, '2', '2022-11-23 16:30:03', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '2', null, '2022-11-23 16:29:53', null);
INSERT INTO `train_class_user` VALUES ('1595333838781943808', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:30:02', null);
INSERT INTO `train_class_user` VALUES ('1595338521575559168', '1594539630882066432', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1594603307282862080', '黎利伯', '202211210098', '15713874545', '110101199003077053', null, null, '0', null, null, '2', '2022-11-23 16:49:00', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '2', null, '2022-11-23 16:48:39', null);
INSERT INTO `train_class_user` VALUES ('1595338606443106304', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:48:58', null);
INSERT INTO `train_class_user` VALUES ('1595338798005358592', '1594539630882066432', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, '2', '2022-11-23 16:49:57', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '2', null, '2022-11-23 16:49:45', null);
INSERT INTO `train_class_user` VALUES ('1595338844234977280', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:49:55', null);
INSERT INTO `train_class_user` VALUES ('1595339070001778688', '1594539630882066432', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, '2', '2022-11-23 16:51:03', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '2', null, '2022-11-23 16:50:50', null);
INSERT INTO `train_class_user` VALUES ('1595339119800750080', null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', null, null, null, null, null, null, null, null, null, null, null, null, null, '1', null, '2022-11-23 16:51:01', null);
INSERT INTO `train_class_user` VALUES ('1596349270053752832', '1596346735863664640', '测试培训报告导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-26 11:44:59', null);
INSERT INTO `train_class_user` VALUES ('1596350775443984384', '1596346735863664640', '测试培训报告导出', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-26 11:50:58', null);
INSERT INTO `train_class_user` VALUES ('1596369259771072512', '1596346735863664640', '测试培训报告导出', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-26 13:04:25', null);
INSERT INTO `train_class_user` VALUES ('1596376873959559168', '1596330952991313920', '测试定时任务', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-26 13:34:41', null);
INSERT INTO `train_class_user` VALUES ('1596407489589547008', '1596385685659586560', '测试培训报告导出第二次', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '3', null, '2022-11-26 15:36:20', null);
INSERT INTO `train_class_user` VALUES ('1596437113744789504', '1596385685659586560', '测试培训报告导出第二次', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '3', null, '2022-11-26 17:34:03', null);
INSERT INTO `train_class_user` VALUES ('1596499800327589888', '1596498438508384256', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-26 21:43:09', null);
INSERT INTO `train_class_user` VALUES ('1596672682089385984', '1596670850063536128', '测试评估计划1', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-27 09:10:07', null);
INSERT INTO `train_class_user` VALUES ('1596675385054072832', '1596498438508384256', '测试消息提醒', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-27 09:20:51', null);
INSERT INTO `train_class_user` VALUES ('1596743298779844608', '1596670850063536128', '测试评估计划1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-27 13:50:43', null);
INSERT INTO `train_class_user` VALUES ('1596747156797132800', '1596745761951977472', '第二次测试评估计划1127', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-27 14:06:03', null);
INSERT INTO `train_class_user` VALUES ('1596747667680137216', '1596745761951977472', '第二次测试评估计划1127', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-27 14:08:05', null);
INSERT INTO `train_class_user` VALUES ('1596749947825426432', '1596749930284847104', '2022-0914-1002省级', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590582122773614592', '王涵', '202211100034', null, '420682198711075008', null, null, '0', null, null, null, null, null, '0', null, '2022-11-27 14:17:08', null);
INSERT INTO `train_class_user` VALUES ('1596749954494369792', '1596749950652387328', '2022-0914-1002省级', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1590582122773614592', '王涵', '202211100034', null, '420682198711075008', null, null, '0', null, null, null, null, null, '0', null, '2022-11-27 14:17:10', null);
INSERT INTO `train_class_user` VALUES ('1596775228929871872', '1596498438508384256', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-27 15:57:36', null);
INSERT INTO `train_class_user` VALUES ('1596788864360517632', '1596788426072526848', '测试就餐', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, '2', '2022-11-27 16:52:10', '河南省郑州市金水区G30连霍高速57号徐庄安置区2期', '3', null, '2022-11-27 16:51:47', null);
INSERT INTO `train_class_user` VALUES ('1596790352851898368', '1596789911623700480', '1127 给黎利伯倒是评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', null, null, '0', null, null, null, null, null, '1', null, '2022-11-27 16:57:42', null);
INSERT INTO `train_class_user` VALUES ('1596796807839617024', '1596789911623700480', '1127 给黎利伯倒是评价', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2022-11-27 17:23:21', null);
INSERT INTO `train_class_user` VALUES ('1596800206161186816', '1596498438508384256', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '3', null, '2022-11-27 17:36:52', null);
INSERT INTO `train_class_user` VALUES ('1597131500317446144', '1596789911623700480', '1127 给黎利伯倒是评价', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-28 15:33:18', null);
INSERT INTO `train_class_user` VALUES ('1597135730524688384', '1597135726384910336', '名单导入是否可以报到', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567097186544652288', '何云凡', 'hyf', '18827515416', '412721199408145414', '', null, '0', null, null, '3', '2022-11-28 16:36:42', '河南省郑州市金水区通雅路57号徐庄安置区2期', '3', null, '2022-11-28 15:50:06', null);
INSERT INTO `train_class_user` VALUES ('1597146668858478592', '1597146387521343488', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-28 16:33:34', null);
INSERT INTO `train_class_user` VALUES ('1597175565666881536', '1597161124694986752', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', '', null, '0', null, null, null, null, null, '0', null, '2022-11-28 18:28:24', null);
INSERT INTO `train_class_user` VALUES ('1597217443007303680', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597216880005877760', '2112', null, null, '110101201003076915', null, null, '0', '401', null, '29', null, null, '3', '线下住宿', '2022-11-28 21:14:48', null);
INSERT INTO `train_class_user` VALUES ('1597217805135122432', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597217797556015104', '2115', null, null, '110101201003076130', null, null, '0', '402', null, '15', null, null, '3', '线下住宿', '2022-11-28 21:16:14', null);
INSERT INTO `train_class_user` VALUES ('1597218769334308864', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597218763445506048', '2119', null, null, '110101201003076050', null, null, '0', '403', null, '15', null, null, '3', '线下住宿', '2022-11-28 21:20:04', null);
INSERT INTO `train_class_user` VALUES ('1597223733859323904', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597223725911117824', '娃娃', null, null, '110101201103078010', null, null, null, '301', null, '15', null, null, '3', '线下住宿', '2022-11-28 21:39:48', null);
INSERT INTO `train_class_user` VALUES ('1597224129235390464', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597224121203298304', '小小', null, null, '110101201103075012', null, null, null, '101', null, '15', null, null, '3', '线下住宿', '2022-11-28 21:41:22', null);
INSERT INTO `train_class_user` VALUES ('1597225013969293312', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597225005823954944', '11', null, null, '110101201103073738', null, null, null, '102', null, '15', null, null, '3', '线下住宿', '2022-11-28 21:44:53', null);
INSERT INTO `train_class_user` VALUES ('1597402406696652800', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597402389248348160', '1129', null, null, '110101201103070430', null, null, '0', '401', null, '15', null, null, '3', '线下住宿', '2022-11-29 09:29:47', null);
INSERT INTO `train_class_user` VALUES ('1597464558694436864', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597464184969367552', '1334', null, null, '110101201503070050', null, null, '0', '101', null, '15', null, null, '3', '线下住宿', '2022-11-29 13:36:45', null);
INSERT INTO `train_class_user` VALUES ('1597467595752214528', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597467267455651840', '1347', null, null, '110101201503075572', null, null, '0', '102', null, '15', null, null, '3', '线下住宿', '2022-11-29 13:48:49', null);
INSERT INTO `train_class_user` VALUES ('1597468284482097152', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597467985432416256', '1350', null, null, '110101201503075574', null, null, '0', '103', null, '15', null, null, '3', '线下住宿', '2022-11-29 13:51:33', null);
INSERT INTO `train_class_user` VALUES ('1597469731504394240', '1590543802567888896', '2022年11月10日培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1597464184969367552', '1334', null, null, '110101201503070050', null, null, '0', '301', null, '20', null, null, '2', '线下住宿', '2022-11-29 13:57:18', null);
INSERT INTO `train_class_user` VALUES ('1597479701302087680', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597479346963091456', '1435', null, null, '11010120150307967X', null, null, '0', '101', null, '29', null, null, '3', '线下住宿', '2022-11-29 14:36:55', null);
INSERT INTO `train_class_user` VALUES ('1597481605717430272', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597480279696609280', '1437', null, null, '110101201503073075', null, null, null, '102', null, '29', null, null, '3', '线下住宿', '2022-11-29 14:44:29', null);
INSERT INTO `train_class_user` VALUES ('1597482282363523072', '1586969194119958528', '再次测试工具包', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597482125739823104', '1444', null, null, '110101201503078175', null, null, '0', '102', null, '37', null, null, '3', '线下住宿', '2022-11-29 14:47:11', null);
INSERT INTO `train_class_user` VALUES ('1597482690049871872', '1592347795233312768', '考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597482125739823104', '1444', null, null, '110101201503078175', null, null, '0', '103', null, '15', null, null, '3', '线下住宿', '2022-11-29 14:48:48', null);
INSERT INTO `train_class_user` VALUES ('1597484653923667968', '1594539630882066432', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597482125739823104', '1444', null, null, '110101201503078175', null, null, null, '101', null, '9', null, null, '2', '线下住宿', '2022-11-29 14:56:36', null);
INSERT INTO `train_class_user` VALUES ('1597485564364460032', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597485315180859392', '1458', null, null, '110101201503078176', null, null, '0', '102', null, '29', null, null, '3', '线下住宿', '2022-11-29 15:00:13', null);
INSERT INTO `train_class_user` VALUES ('1597487102440902656', '1587268699407126528', '单词', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597486704833466368', '1504', null, null, '120101201103072358', null, null, null, '202', null, '29', null, null, '3', '线下住宿', '2022-11-29 15:06:20', null);
INSERT INTO `train_class_user` VALUES ('1597487899350274048', '1595296314990661632', '1400', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597486704833466368', '1504', null, null, '120101201103072358', null, null, null, '401', null, '8', null, null, '2', '线下住宿', '2022-11-29 15:09:30', null);
INSERT INTO `train_class_user` VALUES ('1597489939606540288', '1595290765951635456', '1338', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466629', '001030', '金融业务部', '1597489600065048576', '1515', null, null, '120101201103072251', null, null, null, '201', null, '8', null, null, '2', '线下住宿', '2022-11-29 15:17:36', null);
INSERT INTO `train_class_user` VALUES ('1597491734424719360', '1595294082480082944', '1351', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597489600065048576', '1515', null, null, '120101201103072251', null, null, null, '301', null, '2', null, null, '2', '线下住宿', '2022-11-29 15:24:44', null);
INSERT INTO `train_class_user` VALUES ('1597492298340503552', '1595293028619259904', '1123培训班a', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597489600065048576', '1515', null, null, '120101201103072251', null, null, null, '401', null, '7', null, null, '2', '线下住宿', '2022-11-29 15:26:59', null);
INSERT INTO `train_class_user` VALUES ('1597492734564896768', '1597146387521343488', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597489600065048576', '1515', null, null, '120101201103072251', null, null, null, '501', null, '33', null, null, '3', '线下住宿', '2022-11-29 15:28:43', null);
INSERT INTO `train_class_user` VALUES ('1597494681657282560', '1595344829099937792', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1597489600065048576', '1515', null, null, '120101201103072251', null, null, null, '202', null, '7', null, null, '2', '线下住宿', '2022-11-29 15:36:27', null);
INSERT INTO `train_class_user` VALUES ('1597495040295440384', '1562350332300890112', '培训计划2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1597495016090112000', '1537', null, null, '12010120110307699X', null, null, '0', '101', null, '364', null, null, '2', '线下住宿', '2022-11-29 15:37:52', null);
INSERT INTO `train_class_user` VALUES ('1597495566504431616', '1586969194119958528', '再次测试工具包', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, null, '1597495016090112000', '1537', null, null, '12010120110307699X', null, null, null, '201', null, '68', null, null, '3', '线下住宿', '2022-11-29 15:39:58', null);
INSERT INTO `train_class_user` VALUES ('1597511132103446528', '1597505217669238784', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-29 16:41:49', null);
INSERT INTO `train_class_user` VALUES ('1597517785251057664', '1597515216793505792', '复测0922-001', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '101', null, '1', null, null, '1', null, '2022-11-29 17:08:16', null);
INSERT INTO `train_class_user` VALUES ('1597562977228296192', '1597559736184737792', '测试签到1', '1323441314737557504', '001001', '56040000', '河南省培训中心', null, null, null, '1597562316260511744', '2004', null, null, '150102200903076733', null, null, '0', '101', null, '4', null, null, '3', '线下住宿', '2022-11-29 20:07:50', null);
INSERT INTO `train_class_user` VALUES ('1597759086609436672', '1597757293041160192', '复测1130', '1323441314737557504', '001001', '56040000', '河南省培训中心', null, null, null, '1567097186544652288', '何云凡', null, '18827515416', '412721199408145414', null, null, '0', '102', null, '3', null, null, '3', '线下住宿', '2022-11-30 09:07:06', null);
INSERT INTO `train_class_user` VALUES ('1597773971741347840', '1597757293041160192', '复测1130', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-11-30 10:06:15', null);
INSERT INTO `train_class_user` VALUES ('1598509557167034368', '1597161124694986752', '1121培训库课程-b', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '201', null, '32', '2022-12-02 10:54:20', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-12-02 10:49:13', null);
INSERT INTO `train_class_user` VALUES ('1598519436057382912', '1597161124694986752', '1121培训库课程-b', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', '201', null, '32', '2022-12-02 11:28:44', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '3', null, '2022-12-02 11:28:28', null);
INSERT INTO `train_class_user` VALUES ('1598522989480120320', '1598521650104635392', '1202 培训报告打印', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243847', '001003004', '订阅业务室', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '2', '2022-12-02 11:42:49', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2022-12-02 11:42:35', null);
INSERT INTO `train_class_user` VALUES ('1598524383163453440', '1598521650104635392', '1202 培训报告打印', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', '101', null, '2', '2022-12-02 11:51:34', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2022-12-02 11:48:09', null);
INSERT INTO `train_class_user` VALUES ('1598525899882500096', '1598521650104635392', '1202 培训报告打印', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2022-12-02 11:54:09', null);
INSERT INTO `train_class_user` VALUES ('1598953429378666496', '1598951182674563072', '123培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', '102', null, '3', '2022-12-03 16:13:38', '河南省郑州市金水区马头岗街147号卡吉诺(杨金路店)', '3', null, '2022-12-03 16:12:59', null);
INSERT INTO `train_class_user` VALUES ('1599966382882164736', '1598951182674563072', '123培训班', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1565939234546782208', '王涵', '202209030001', '18539565656', '110101199003072439', null, null, '0', null, null, null, null, null, '1', null, '2022-12-06 11:18:07', null);
INSERT INTO `train_class_user` VALUES ('1610462688889147392', '1610175794691313664', '测试费用', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-01-04 10:26:42', null);
INSERT INTO `train_class_user` VALUES ('1610465115033964544', '1610464458696691712', '14 测试费用', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '1', '2023-01-04 16:22:26', '河南省郑州市惠济区江山路32号郑州市第十二中学', '3', null, '2023-01-04 10:36:20', null);
INSERT INTO `train_class_user` VALUES ('1610823824448819200', '1594539630882066432', '测试消息提醒', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2023-01-05 10:21:42', null);
INSERT INTO `train_class_user` VALUES ('1610830227787878400', '1610829322136981504', '测试支付V1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '3', '2023-01-06 11:15:43', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2023-01-05 10:47:09', null);
INSERT INTO `train_class_user` VALUES ('1610831656904691712', '1610830975682613248', '测试支付V2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '3', '2023-01-05 10:53:03', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-05 10:52:50', null);
INSERT INTO `train_class_user` VALUES ('1610838785086590976', '1610832720240447488', '测试支付V3', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '3', '2023-01-06 10:17:57', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '1', null, '2023-01-05 11:21:09', null);
INSERT INTO `train_class_user` VALUES ('1610874611438850048', '1610832720240447488', '测试支付V3', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '3', '2023-01-05 13:44:26', '河南省郑州市惠济区江山路173-附13号中国邮政集团公司河南省培训中心', '3', null, '2023-01-05 13:43:31', null);
INSERT INTO `train_class_user` VALUES ('1611171179102605312', '1611169111981821952', '测试支付V4', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '1', '2023-01-06 09:22:25', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-06 09:21:59', null);
INSERT INTO `train_class_user` VALUES ('1611179452727955456', '1611169111981821952', '测试支付V4', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2023-01-06 09:54:51', null);
INSERT INTO `train_class_user` VALUES ('1611206875611795456', '1610829322136981504', '测试支付V1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-01-06 11:43:49', null);
INSERT INTO `train_class_user` VALUES ('1611209796327968768', '1611208176332574720', '测试支付V5', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517', '110101199003075795', 'qq1@123.com', null, '0', null, null, '1', '2023-01-06 11:55:51', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-06 11:55:25', null);
INSERT INTO `train_class_user` VALUES ('1611246206774808576', '1611245681211740160', '测试支付V6', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-06 14:20:19', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-06 14:20:06', null);
INSERT INTO `train_class_user` VALUES ('1611993277559607296', '1611989569824231424', '测试费用1月8', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, '1', '2023-01-08 15:49:16', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2023-01-08 15:48:42', null);
INSERT INTO `train_class_user` VALUES ('1612266023371804672', '1612263653086728192', '金融理财第一期', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', '501', null, '1', '2023-01-09 09:53:26', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-09 09:52:29', null);
INSERT INTO `train_class_user` VALUES ('1612326029253283840', '1612324397706776576', '1月9 测试费用1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, '2', '2023-01-09 13:51:39', '河南省郑州市惠济区国基路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-09 13:50:57', null);
INSERT INTO `train_class_user` VALUES ('1612367962994511872', '1612367512480124928', '支付1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-09 16:50:26', '河南省郑州市惠济区江山路34号中国邮政集团公司河南省培训中心', '3', null, '2023-01-09 16:37:34', null);
INSERT INTO `train_class_user` VALUES ('1612396099685978112', '1612367512480124928', '支付1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', '301', null, '1', '2023-01-09 18:29:41', '河南省郑州市惠济区江山路34号郑州大学第一附属医院(惠济院区)', '3', null, '2023-01-09 18:29:22', null);
INSERT INTO `train_class_user` VALUES ('1612402826519121920', '1612402197872644096', '支付3', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2023-01-09 18:56:06', null);
INSERT INTO `train_class_user` VALUES ('1612402980567519232', '1612402197872644096', '支付3', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', '101', null, '1', '2023-01-09 18:57:01', '河南省郑州市惠济区江山路173-附13号中国邮政集团公司河南省培训中心', '3', null, '2023-01-09 18:56:42', null);
INSERT INTO `train_class_user` VALUES ('1612765399374499840', '1612710059157098496', '支付4', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-01-10 18:56:50', null);
INSERT INTO `train_class_user` VALUES ('1612768270354616320', '1612767792682110976', '1.10', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, '2', '2023-01-10 19:19:33', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-10 19:08:15', null);
INSERT INTO `train_class_user` VALUES ('1612995538444226560', '1612708278364672000', '支付2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-11 10:12:26', '河南省郑州市惠济区江山路34号中国邮政集团公司河南省培训中心', '3', null, '2023-01-11 10:11:19', null);
INSERT INTO `train_class_user` VALUES ('1612998329636098048', '1612708278364672000', '支付2', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-01-11 10:22:25', null);
INSERT INTO `train_class_user` VALUES ('1613015934035955712', '1612710059157098496', '支付4', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-11 11:32:45', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-11 11:32:22', null);
INSERT INTO `train_class_user` VALUES ('1613052829570830336', '1613049308599422976', '支付1月1111111111111111', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', '102', null, '2', '2023-01-11 13:59:37', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-11 13:58:59', null);
INSERT INTO `train_class_user` VALUES ('1613065288390152192', '1613064326346838016', '支付5', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-11 14:48:51', '河南省郑州市惠济区江山路34号中国邮政集团公司河南省培训中心', '3', null, '2023-01-11 14:48:29', null);
INSERT INTO `train_class_user` VALUES ('1613343993393975296', '1613342717457338368', '支付6', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', '101', null, '1', '2023-01-12 09:16:26', '河南省郑州市惠济区江山路32号郑州市第十二中学', '3', null, '2023-01-12 09:15:58', null);
INSERT INTO `train_class_user` VALUES ('1613344127334879232', '1613342717457338368', '支付6', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-12 09:16:55', '河南省郑州市惠济区江山路32号郑州市第十二中学', '3', null, '2023-01-12 09:16:29', null);
INSERT INTO `train_class_user` VALUES ('1613424071993856000', '1613342717457338368', '支付6', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '1', '2023-01-12 14:37:58', '河南省郑州市惠济区江山路32号中国邮政集团公司河南省培训中心', '3', null, '2023-01-12 14:34:10', null);
INSERT INTO `train_class_user` VALUES ('1613808040895713280', '1613804407424684032', '支付七', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2023-01-13 15:59:55', null);
INSERT INTO `train_class_user` VALUES ('1613811231855087616', '1613808331804250112', '支付7', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '0', '2023-01-13 16:12:47', '河南省郑州市惠济区江山路34号中国邮政集团公司河南省培训中心', '3', null, '2023-01-13 16:12:36', null);
INSERT INTO `train_class_user` VALUES ('1613814795746807808', '1613814276676521984', '支付8', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-13 16:26:56', '河南省郑州市惠济区江山路34号中国邮政集团公司河南省培训中心', '3', null, '2023-01-13 16:26:45', null);
INSERT INTO `train_class_user` VALUES ('1614162330541756416', '1613814276676521984', '支付8', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-01-14 15:27:44', null);
INSERT INTO `train_class_user` VALUES ('1614181110525333504', '1614180571775373312', '支付9', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, '1', '2023-01-14 16:43:08', '河南省郑州市惠济区江山路34号郑州大学第一附属医院(惠济院区)', '3', null, '2023-01-14 16:42:22', null);
INSERT INTO `train_class_user` VALUES ('1614869263376584704', '1612324397706776576', '1月9 测试费用1', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '10', '2023-01-16 14:22:32', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '2', null, '2023-01-16 14:16:51', null);
INSERT INTO `train_class_user` VALUES ('1619615367561351168', '1619578700037230592', '金融111', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1579374510346473472', '李昊杰', '202210100004', '17630034021', '410581199706059059', null, null, '0', null, null, null, null, null, '1', null, '2023-01-29 16:36:09', null);
INSERT INTO `train_class_user` VALUES ('1619879218311729152', '1619874679139471360', '0130测试支付', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2023-01-30 10:04:37', null);
INSERT INTO `train_class_user` VALUES ('1620257054046425088', '1619874679139471360', '0130测试支付', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-01-31 11:06:00', null);
INSERT INTO `train_class_user` VALUES ('1620613124883353600', '1620598592655986688', '测试支付0942', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, null, null, null, '1', null, '2023-02-01 10:40:54', null);
INSERT INTO `train_class_user` VALUES ('1620614616180723712', '1620613930487517184', '测试支付1043', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '3', '2023-02-01 10:50:25', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '3', null, '2023-02-01 10:46:50', null);
INSERT INTO `train_class_user` VALUES ('1623949322007744512', '1623944808060030976', '测试支付失败', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1574653861665312768', '李露', '202209270005', '15713872517 ', '110101199003075795', 'qq1@123.com', null, '0', null, null, null, null, null, '1', null, '2023-02-10 15:37:45', null);
INSERT INTO `train_class_user` VALUES ('1626502259422662656', '1623944808060030976', '测试支付失败', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1567451914025701376', '何神', '202209070002', '13298106763', '41112319990816205X', '1048032370@qq.com', null, '0', null, null, '11', '2023-02-17 16:44:17', '河南省郑州市金水区马头岗街147号中升教育河南集训基地', '2', null, '2023-02-17 16:42:13', null);
INSERT INTO `train_class_user` VALUES ('1626512384468324352', '1623944808060030976', '测试支付失败', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1590639495596871680', '刘芳芳', '202211100038', '15838150111', '110101198603074126', null, null, '0', null, null, '11', '2023-02-17 17:22:52', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '2', null, '2023-02-17 17:22:27', null);
INSERT INTO `train_class_user` VALUES ('1642729139192598528', '1640981421491359744', '培训管理人员能力提升培训', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '023479', '15225279244', '411421199507182459', null, null, '0', null, null, '22', '2023-04-03 11:39:20', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2023-04-03 11:22:02', null);
INSERT INTO `train_class_user` VALUES ('1642729232012546048', '1640983724587880448', '前端vue入门培训', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '1591967614425501696', '高志远', '023479', '15225279244', '411421199507182459', null, null, '0', null, null, '22', '2023-04-03 11:22:34', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2023-04-03 11:22:24', null);
INSERT INTO `train_class_user` VALUES ('1643890588677967872', '1640983724587880448', '2023年邮政营业员考评员培训及职业技能等级认定考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1555010577007513600', '张磊', '202208040012', '15838150622', '410181198811015510', null, null, '0', null, null, '22', '2023-04-06 16:18:48', '河南省郑州市金水区马头岗街145号中升教育河南集训基地', '3', null, '2023-04-06 16:17:13', null);
INSERT INTO `train_class_user` VALUES ('1643901197461098496', '1640983724587880448', '2023年邮政营业员考评员培训及职业技能等级认定考试', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '1569928315261816832', '小石头', '202209140007', '18737516907', '410402199111265733', null, null, '0', null, null, null, null, null, '1', null, '2023-04-06 16:59:22', null);

-- ----------------------------
-- Table structure for train_class_user_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_class_user_appraise`;
CREATE TABLE `train_class_user_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `train_class_appraise_list_id` varchar(20) DEFAULT NULL COMMENT '评论计划id',
  `org_id` varchar(20) DEFAULT NULL COMMENT '机构id',
  `number_of_evaluations` int(11) DEFAULT NULL COMMENT '评价次数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户评价';

-- ----------------------------
-- Records of train_class_user_appraise
-- ----------------------------
INSERT INTO `train_class_user_appraise` VALUES ('1588732272369078272', '1572825817233362944', '灿', '1588729101563334656', '15', '2022-11-05 11:17:46', '1588731769279090688', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1588735279349501952', '1572825817233362944', '灿', '1588733407918166016', '15', '2022-11-05 11:29:43', '1588734808689872896', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1588823610510938112', '1574656123775094784', '李露露', '1588733407918166016', '25', '2022-11-05 17:20:42', '1588734808689872896', '1323441314737557504', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1589104477451980800', '1574656123775094784', '李露露', '1589098507447439360', '49', '2022-11-06 11:56:46', '1589101563115343872', '1323441314737557504', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1589105061466869760', '1567097186544652288', '何云凡', '1589098507447439360', '44', '2022-11-06 11:59:05', '1589101563115343872', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1589470823679397888', '1567097186544652288', '何云凡', '1588729101563334656', '22', '2022-11-07 12:12:30', '1588731769279090688', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1589498156469587968', '1567097186544652288', '何云凡', '1588729101563334656', '49', '2022-11-07 14:01:06', '1589497910297497600', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1589501022148104192', '1574656123775094784', '李露露', '1588729101563334656', '46', '2022-11-07 14:12:30', '1589497910297497600', '1323441314737557504', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1591999162377965568', '1574653861665312768', '李露', '1591972857506828288', '30', '2022-11-14 11:39:13', '1591998699687514112', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1592033732976578560', '1591989767631933440', '高郑州', '1592027379281301504', '15', '2022-11-14 13:56:35', '1592029085859713024', '1323441314737557510', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1592034738091200512', '1574653861665312768', '李露', '1591972857506828288', '33', '2022-11-14 14:00:35', '1591998699687514112', '1323441314737557506', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1592069488860336128', '1591967614425501696', '高志远', '1592066677061849088', '15', '2022-11-14 16:18:40', '1592067010479656960', '1323441314737557504', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1592358530319519744', '1592077522693132288', '高老师', '1592356114652073984', '15', '2022-11-15 11:27:13', '1592358453949632512', '1323441314737557504', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1592422536719765504', '1574653861665312768', '李露', '1592048661980909568', '20', '2022-11-15 15:41:33', '1592417620546686976', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1593487875574468608', '1565939234546782208', '王涵', '1593195024294744064', '98', '2022-11-18 14:14:50', '1593195458858192896', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1593488108551278592', '1565939234546782208', '王涵', '1593195024294744064', '100', '2022-11-18 14:15:45', '1593195458858192896', '1323441314733363200', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1593488526463340544', '1565939234546782208', '王涵', '1593195024294744064', '80', '2022-11-18 14:17:25', '1593195458858192896', '1323441314733363200', '3');
INSERT INTO `train_class_user_appraise` VALUES ('1593491194841796608', '1565939234546782208', '王涵', '1593195024294744064', '100', '2022-11-18 14:28:01', '1593195458858192896', '1323441314733363200', '4');
INSERT INTO `train_class_user_appraise` VALUES ('1593496013266620416', '1565939234546782208', '王涵', '1593195024294744064', '100', '2022-11-18 14:47:10', '1593195458858192896', '1323441314733363200', '5');
INSERT INTO `train_class_user_appraise` VALUES ('1593496432277590016', '1565939234546782208', '王涵', '1593195024294744064', '85', '2022-11-18 14:48:50', '1593195458858192896', '1323441314733363200', '6');
INSERT INTO `train_class_user_appraise` VALUES ('1593501091755069440', '1555010577007513600', '张磊', '1593493864797310976', '99', '2022-11-18 15:07:21', '1593500809293860864', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1593557936398012416', '1574653861665312768', '李露', '1593195024294744064', '97', '2022-11-18 18:53:14', '1593195458858192896', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1593843154908483584', '1579374510346473472', '李昊杰', '1593841368902537216', '100', '2022-11-19 13:46:35', '1593842989036343296', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596349796443099136', '1567097186544652288', '何云凡', '1596346735863664640', '69', '2022-11-26 11:47:05', '1596347825413820416', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596349885051965440', '1567097186544652288', '何云凡', '1596346735863664640', '86', '2022-11-26 11:47:26', '1596347825413820416', '1323441314733363200', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596350094809108480', '1567097186544652288', '何云凡', '1596346735863664640', '60', '2022-11-26 11:48:16', '1596348023653404672', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596351121469870080', '1574653861665312768', '李露', '1596346735863664640', '17', '2022-11-26 11:52:21', '1596347825413820416', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596351311064993792', '1574653861665312768', '李露', '1596346735863664640', '34', '2022-11-26 11:53:06', '1596347825413820416', '1323441314737557506', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596351534151634944', '1574653861665312768', '李露', '1596346735863664640', '80', '2022-11-26 11:53:59', '1596348023653404672', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596407933762146304', '1574653861665312768', '李露', '1596385685659586560', '40', '2022-11-26 15:38:06', '1596407388267745280', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596674849957351424', '1574653861665312768', '李露', '1596670850063536128', '50', '2022-11-27 09:18:44', '1596673054090596352', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596693752934699008', '1574653861665312768', '李露', '1596670850063536128', '53', '2022-11-27 10:33:41', '1596671954943873024', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596706440423280640', '1574653861665312768', '李露', '1596670850063536128', '60', '2022-11-27 11:24:15', '1596702933012058112', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596707081522647040', '1574653861665312768', '李露', '1596670850063536128', '40', '2022-11-27 11:26:48', '1596702933012058112', '1323441314737557506', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596743392417681408', '1567097186544652288', '何云凡', '1596670850063536128', '100', '2022-11-27 13:51:05', '1596702933012058112', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596743768676110336', '1567097186544652288', '何云凡', '1596670850063536128', '80', '2022-11-27 13:52:35', '1596702933012058112', '1323441314733363200', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596747262959161344', '1567097186544652288', '何云凡', '1596745761951977472', '100', '2022-11-27 14:06:28', '1596746360764370944', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596747342562856960', '1567097186544652288', '何云凡', '1596745761951977472', '80', '2022-11-27 14:06:47', '1596746360764370944', '1323441314733363200', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596748038276255744', '1574653861665312768', '李露', '1596745761951977472', '40', '2022-11-27 14:09:33', '1596746360764370944', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596753174092451840', '1574653861665312768', '李露', '1596745761951977472', '40', '2022-11-27 14:29:58', '1596746360764370944', '1323441314737557506', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596775692442406912', '1567097186544652288', '何云凡', '1596498438508384256', '66', '2022-11-27 15:59:26', '1596499092681396224', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596791009998671872', '1567097186544652288', '何云凡', '1596789911623700480', '95', '2022-11-27 17:00:18', '1596790161553887232', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1596793598249144320', '1567097186544652288', '何云凡', '1596789911623700480', '80', '2022-11-27 17:10:35', '1596790161553887232', '1323441314733363200', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1596796894300999680', '1574653861665312768', '李露', '1596789911623700480', '70', '2022-11-27 17:23:41', '1596790161553887232', '1323441314737557506', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1597111055379730432', '1565939234546782208', '王涵', '1596346735863664640', '100', '2022-11-28 14:12:03', '1596348023653404672', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1597120638726836224', '1565939234546782208', '王涵', '1596346735863664640', '100', '2022-11-28 14:50:08', '1596347825413820416', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1597502597722411008', '1565939234546782208', '王涵', '1596498438508384256', '71', '2022-11-29 16:07:54', '1596499092681396224', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1598524843085664256', '1565939234546782208', '王涵', '1598521650104635392', '60', '2022-12-02 11:49:56', '1598522815592665088', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1598526122272886784', '1555010577007513600', '张磊', '1598521650104635392', '60', '2022-12-02 11:55:01', '1598522815592665088', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1598554108116209664', '1555010577007513600', '张磊', '1598521650104635392', '76', '2022-12-02 13:46:14', '1598522815592665088', '1323441314733363200', '2');
INSERT INTO `train_class_user_appraise` VALUES ('1598955275275079680', '1555010577007513600', '张磊', '1598951182674563072', '94', '2022-12-03 16:20:19', '1598954088291241984', '1323441314733363200', '1');
INSERT INTO `train_class_user_appraise` VALUES ('1643892891506053120', '1555010577007513600', '张磊', '1640983724587880448', '100', '2023-04-06 16:26:22', '1643892230391468032', '1323441314733363200', '1');

-- ----------------------------
-- Table structure for train_class_user_exam
-- ----------------------------
DROP TABLE IF EXISTS `train_class_user_exam`;
CREATE TABLE `train_class_user_exam` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `class_exam_id` bigint(20) DEFAULT NULL COMMENT '培训班考试id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户姓名',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `test_paper_name` varchar(30) DEFAULT NULL COMMENT '试卷名',
  `start_time` datetime DEFAULT NULL COMMENT '考试开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '考试结束时间',
  `score` int(11) DEFAULT NULL COMMENT '考试成绩',
  `error_num` int(11) DEFAULT NULL COMMENT '错误数量',
  `total_num` int(11) DEFAULT NULL COMMENT '题目数量',
  `state` smallint(1) DEFAULT NULL COMMENT '状态：0、未考试。1、已考试。',
  `exam_times` int(11) DEFAULT NULL COMMENT '当前考试次数',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `make_up_num` int(11) DEFAULT '0' COMMENT '补考次数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班用户考试';

-- ----------------------------
-- Records of train_class_user_exam
-- ----------------------------
INSERT INTO `train_class_user_exam` VALUES ('127079255147183262', '127050043999518848', '127079254943540111', '1565939234546782208', '王涵', '1668935415576530944', '0614002', null, null, null, '0', '187', '0', '0', '2023-09-21 11:27:55', '0');
INSERT INTO `train_class_user_exam` VALUES ('128134202556405808', '127931103763926586', '128134202365080123', '1591967614425501696', '高志远', '1596436456811925504', '数据库考试试卷2', null, null, null, '0', '2', '0', '0', '2023-09-22 16:46:10', '0');
INSERT INTO `train_class_user_exam` VALUES ('247766312167100524', '127050043999518848', '127052317141330316', '1565939234546782208', '王涵', '1669148533384679424', '0615001', null, null, null, '0', '187', '0', '0', '2023-09-21 11:25:39', '0');
INSERT INTO `train_class_user_exam` VALUES ('1584445226167177216', '1583739434711519232', '1584441549465456640', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-24 15:22:34', '0');
INSERT INTO `train_class_user_exam` VALUES ('1584807557850075136', '1584515014952357888', '1584806327660711936', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-25 15:22:21', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585533680573616128', '1585278127179960320', '1585533680531673088', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '2022-10-27 15:29:17', '2022-10-27 15:31:43', '0', '11', '11', '1', '1', '2022-10-27 15:27:42', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585534563143258112', '1585278127179960320', '1585534563109703680', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '2022-10-27 15:29:17', '2022-10-27 15:36:22', '5', '10', '11', '1', '1', '2022-10-27 15:31:12', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585536826645549056', '1585278127179960320', '1585536826611994624', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '2022-10-27 15:29:17', '2022-10-27 15:45:17', '0', '11', '11', '1', '1', '2022-10-27 15:40:12', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585539204434235392', '1585278127179960320', '1585539204375515136', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '2022-10-27 15:29:17', '2022-10-27 15:50:17', '0', '2', '4', '1', '2', '2022-10-27 15:49:39', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585541371152961536', '1585278127179960320', '1585541371119407104', '1574653861665312768', '李露', '1575321969711255552', '考试题', null, null, null, '0', '10', '0', '0', '2022-10-27 15:58:15', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585542086348902400', '1585278127179960320', '1585542086315347968', '1574653861665312768', '李露', '1575321969711255552', '考试题', null, null, null, '0', '10', '0', '0', '2022-10-27 16:01:06', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585548508763656192', '1585278127179960320', '1585533680531673088', '1574656123775094784', '李露露', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-27 16:26:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585548508763656193', '1585278127179960320', '1585534563109703680', '1574656123775094784', '李露露', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-27 16:26:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585548508763656194', '1585278127179960320', '1585536826611994624', '1574656123775094784', '李露露', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-27 16:26:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585548508763656195', '1585278127179960320', '1585539204375515136', '1574656123775094784', '李露露', '1575382894912868352', '添加测试考试请勿关联', null, null, null, '0', '4', '0', '0', '2022-10-27 16:26:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585548508763656196', '1585278127179960320', '1585541371119407104', '1574656123775094784', '李露露', '1575321969711255552', '考试题', null, null, null, '0', '10', '0', '0', '2022-10-27 16:26:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585548508763656197', '1585278127179960320', '1585542086315347968', '1574656123775094784', '李露露', '1575321969711255552', '考试题', null, null, null, '0', '10', '0', '0', '2022-10-27 16:26:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585832447684251648', '1585278127179960320', '1585533680531673088', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-28 11:14:54', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585832447688445952', '1585278127179960320', '1585534563109703680', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-28 11:14:54', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585832447688445953', '1585278127179960320', '1585536826611994624', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-10-28 11:14:54', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585832447688445954', '1585278127179960320', '1585539204375515136', '1565939234546782208', '王涵', '1575382894912868352', '添加测试考试请勿关联', null, null, null, '0', '4', '0', '0', '2022-10-28 11:14:54', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585832447688445955', '1585278127179960320', '1585541371119407104', '1565939234546782208', '王涵', '1575321969711255552', '考试题', null, null, null, '0', '10', '0', '0', '2022-10-28 11:14:54', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585832447688445956', '1585278127179960320', '1585542086315347968', '1565939234546782208', '王涵', '1575321969711255552', '考试题', null, null, null, '0', '10', '0', '0', '2022-10-28 11:14:54', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585927497608990720', '1585836831126196224', '1585927497088897024', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '2022-10-28 17:17:52', '2022-10-28 17:43:00', '10', '9', '11', '1', '1', '2022-10-28 17:32:35', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585930233910005760', '1585836831126196224', '1585930233377329152', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '2022-10-28 17:17:52', '2022-10-28 17:44:07', '10', '9', '11', '1', '1', '2022-10-28 17:43:28', '0');
INSERT INTO `train_class_user_exam` VALUES ('1585931045000318976', '1585836831126196224', '1585931044471836672', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '2022-10-28 17:17:52', '2022-10-28 17:47:06', '10', '9', '10', '1', '1', '2022-10-28 17:46:41', '1');
INSERT INTO `train_class_user_exam` VALUES ('1587286963898159104', '1586969194119958528', '1587286963399036928', '1574656123775094784', '李露露', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-11-01 11:34:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1587286963898159105', '1586969194119958528', '1587286963399036928', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '2022-11-01 11:34:49', '2022-11-01 11:35:14', '10', '9', '11', '1', '2', '2022-11-01 11:34:37', '0');
INSERT INTO `train_class_user_exam` VALUES ('1587288412392656896', '1586969194119958528', '1587288402456350720', '1574656123775094784', '李露露', '1575404402032906240', '试卷001', null, null, null, '0', '11', '0', '0', '2022-11-01 11:40:23', '0');
INSERT INTO `train_class_user_exam` VALUES ('1587288412392656897', '1586969194119958528', '1587288402456350720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '2022-11-01 11:34:49', '2022-11-01 11:41:05', '0', '11', '11', '1', '2', '2022-11-01 11:40:23', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592000497294905344', '1591972857506828288', '1592000497236185088', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '2022-11-14 11:45:24', '2022-11-14 11:50:40', '5', '10', '11', '1', '1', '2022-11-14 11:44:31', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592000589414404096', '1591972857506828288', '1592000589376655360', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '2022-11-14 11:45:24', '2022-11-14 11:45:42', '0', '4', '4', '1', '2', '2022-11-14 11:44:53', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592002196961103872', '1591972857506828288', '1592002196919160832', '1574653861665312768', '李露', '1575321969711255552', '考试题', '2022-11-14 11:45:24', '2022-11-14 12:00:28', '50', '5', '10', '1', '2', '2022-11-14 11:51:16', '999');
INSERT INTO `train_class_user_exam` VALUES ('1592002996152176640', '1591972857506828288', '1592002996106039296', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '2022-11-14 11:45:24', '2022-11-14 13:15:37', '10', '7', '8', '1', '1', '2022-11-14 11:54:27', '1');
INSERT INTO `train_class_user_exam` VALUES ('1592003402404073472', '1591972857506828288', '1592003402362130432', '1574653861665312768', '李露', '1565644013246222336', '测试', null, null, null, '0', '7', '0', '0', '2022-11-14 11:56:04', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592068958159245312', '1592066677061849088', '1592068326127964160', '1591967614425501696', '高志远', '1565588869397745664', '两道题', '2022-11-14 16:18:08', '2022-11-14 16:18:13', '0', '1', '1', '1', '1', '2022-11-14 16:16:33', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592074710177419264', '1591972857506828288', '1592074709737017344', '1574653861665312768', '李露', '1565588869397745664', '两道题', null, null, null, '0', '1', '0', '0', '2022-11-14 16:39:25', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592353438631596032', '1592347795233312768', '1592353438228942848', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '2022-11-15 11:07:06', '2022-11-15 11:07:32', '5', '10', '11', '1', '1', '2022-11-15 11:06:59', '1');
INSERT INTO `train_class_user_exam` VALUES ('1592355922666196992', '1592347795233312768', '1592355922150297600', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '2022-11-15 11:07:06', '2022-11-15 11:17:19', '10', '9', '10', '1', '1', '2022-11-15 11:16:51', '10');
INSERT INTO `train_class_user_exam` VALUES ('1592366806344011776', '1592347795233312768', '1592366805849083904', '1579374510346473472', '李昊杰', '1565588869397745664', '两道题', '2022-11-15 11:07:06', '2022-11-15 12:00:24', '0', '1', '1', '1', '2', '2022-11-15 12:00:06', '0');
INSERT INTO `train_class_user_exam` VALUES ('1592723507375116288', '1592347795233312768', '1592723507320590336', '1579374510346473472', '李昊杰', '1567769553742729216', '测试添加', null, null, null, '0', '8', '0', '0', '2022-11-16 11:37:30', '0');
INSERT INTO `train_class_user_exam` VALUES ('1596439618553778176', '1596385685659586560', '1596439618197262336', '1574653861665312768', '李露', '1596436456811925504', '测出四十卷', '2022-11-26 17:17:31', '2022-11-26 17:45:33', '100', '0', '2', '1', '1', '2022-11-26 17:44:00', '0');
INSERT INTO `train_class_user_exam` VALUES ('1596439618553778177', '1596385685659586560', '1596439618197262336', '1567097186544652288', '何云凡', '1596436456811925504', '测出四十卷', '2022-11-26 17:44:12', '2022-11-26 17:44:25', '50', '1', '2', '1', '1', '2022-11-26 17:44:00', '0');
INSERT INTO `train_class_user_exam` VALUES ('1596801333309083648', '1596498438508384256', '1596801332868681728', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-11-27 17:41:34', '2022-11-27 17:43:02', '40', '3', '5', '1', '2', '2022-11-27 17:41:20', '1');
INSERT INTO `train_class_user_exam` VALUES ('1596802402223263744', '1596498438508384256', '1596802401724141568', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-11-27 17:41:34', '2022-11-27 17:45:56', '40', '3', '5', '1', '2', '2022-11-27 17:45:35', '1');
INSERT INTO `train_class_user_exam` VALUES ('1598521010804625408', '1597146387521343488', '1598521010083205120', '1597489600065048576', '1515', '1596801143953035264', '100', null, null, null, '0', '5', '0', '0', '2022-12-02 11:34:43', '0');
INSERT INTO `train_class_user_exam` VALUES ('1598956130896318464', '1598951182674563072', '1598956130850181120', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '2022-12-03 11:19:40', '2022-12-03 16:25:21', '20', '8', '10', '1', '2', '2022-12-03 16:23:43', '1');
INSERT INTO `train_class_user_exam` VALUES ('1643890261740359680', '1640983724587880448', '1643890261690028032', '1591967614425501696', '高志远', '1575321969711255552', '考试题', null, null, null, '0', '6', '0', '0', '2023-04-06 16:15:55', '0');
INSERT INTO `train_class_user_exam` VALUES ('1643890985249411072', '1640983724587880448', '1643890261690028032', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '2023-04-06 16:19:03', '2023-04-06 16:19:22', '40', '4', '10', '1', '1', '2023-04-06 16:18:48', '1');

-- ----------------------------
-- Table structure for train_class_user_exam_answer
-- ----------------------------
DROP TABLE IF EXISTS `train_class_user_exam_answer`;
CREATE TABLE `train_class_user_exam_answer` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_exam_id` bigint(20) DEFAULT NULL COMMENT '用户考试id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户姓名',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `test_paper_name` varchar(30) DEFAULT NULL COMMENT '试卷名',
  `test_paper_question_id` bigint(20) DEFAULT NULL COMMENT '考题id',
  `content` varchar(200) DEFAULT NULL COMMENT '考题内容',
  `answer` varchar(200) DEFAULT NULL COMMENT '答案',
  `result` smallint(6) DEFAULT NULL COMMENT '结果：1、正确。2、错误。',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班用户考试答案';

-- ----------------------------
-- Records of train_class_user_exam_answer
-- ----------------------------
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691807727616', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921920', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921921', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921922', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921923', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921924', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921925', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', 'JJ额呵呵呵', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921926', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '姑姑鱼缸', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921927', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '初步不', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921928', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585534691811921929', '1585533680573616128', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887232', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887233', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1,2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887234', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887235', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887236', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887237', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887238', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', 'TF有反应', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887239', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '纯音乐风格', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887240', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '鱼鱼股', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887241', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585535860881887242', '1585534563143258112', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372864', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '2,1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372865', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1,2,3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372866', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1,3,4', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372867', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372868', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372869', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372870', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '咳咳咳', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372871', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '可恶考', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372872', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '未答', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372873', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585538106126372874', '1585536826645549056', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585539365826859008', '1585539204434235392', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895177109504', '测试多选', '1,2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585539365826859009', '1585539204434235392', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895210663940', '测试单选', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585539365826859010', '1585539204434235392', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895210663945', '测试判断', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585539365826859011', '1585539204434235392', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895210663946', '填空', '呵呵', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116956033024', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2,3,4', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116956033025', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116956033026', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116956033027', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116956033028', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116956033029', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116960227328', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '啦啦啦啦啦', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116960227329', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '可了就看我哦了', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116960227330', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '阔爱摸哪咯哦乱杂我', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116960227331', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930116960227332', '1585927497608990720', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399706648576', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842880', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842881', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842882', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842883', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842884', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842885', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '哦哦噢噢噢哦哦', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399710842886', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '太近达摩', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399715037184', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '亏墨玉路', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399715037185', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585930399715037186', '1585930233910005760', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150470287360', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150470287361', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150470287362', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481664', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481665', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481666', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481667', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481668', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481669', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1585931150474481670', '1585931045000318976', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '图同乐', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118001082368', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470976', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470977', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470978', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470979', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470980', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470981', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '啦啦啦啦', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470982', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '啦啦啦啦啦', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470983', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '啦啦啦啦啦', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470984', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587287118009470985', '1587286963898159105', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591371997184', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191488', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191489', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191490', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191491', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191492', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191493', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '里运气', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191494', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '@@您是理解', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191495', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '可神经额咯开心色丁', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591376191496', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1587288591380385792', '1587288412392656897', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592000792959782912', '1592000589414404096', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895177109504', '测试多选', '1,2,3,4', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592000792963977216', '1592000589414404096', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895210663940', '测试单选', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592000792963977217', '1592000589414404096', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895210663945', '测试判断', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592000792963977218', '1592000589414404096', '1574653861665312768', '李露', '1575382894912868352', '添加测试考试请勿关联', '1575382895210663946', '填空', '钰', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233856', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233857', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '2,3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233858', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233859', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233860', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233861', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233862', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '哈哈哈', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233863', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '拒绝', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233864', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '急急急', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233865', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592002044586233866', '1592000497294905344', '1574653861665312768', '李露', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337728', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '3,4', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337729', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1,2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337730', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337731', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '未答', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337732', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '2,3', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337733', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1,2,3', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337734', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '未答', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337735', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '未答', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337736', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '未答', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592004510283337737', '1592002196961103872', '1574653861665312768', '李露', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '未答', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611648', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277821079553', '测试单选2', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611649', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277821079558', '测试单选1', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611650', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277825273860', '测试多选3', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611651', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277825273865', '测试多选2', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611652', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277825273870', '测试多选1', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611653', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277829468160', '今天是不是没有了？', '3', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611654', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277821079552', '你是人吗', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592023421267611655', '1592002996152176640', '1574653861665312768', '李露', '1567769553742729216', '测试添加', '1567805277825273875', '第三方第三方斯蒂芬鼎折覆餗 是的', '成功', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592069374867542016', '1592068958159245312', '1591967614425501696', '高志远', '1565588869397745664', '两道题', '1565639340619599872', '第三方第三方斯蒂芬鼎折覆餗 是的', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579094642688', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836992', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836993', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836994', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836995', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836996', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836997', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '啦啦啦啦', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836998', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '裂开了', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098836999', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '裂开了', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579098837000', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592353579103031296', '1592353438631596032', '1579374510346473472', '李昊杰', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717248', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717249', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717250', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717251', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717252', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717253', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717254', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717255', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717256', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592356040689717257', '1592355922666196992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '监控', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1592366882038616064', '1592366806344011776', '1579374510346473472', '李昊杰', '1565588869397745664', '两道题', '1565639340619599872', '第三方第三方斯蒂芬鼎折覆餗 是的', '啊啊啊啊', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596435695134707712', '1596433252955066368', '1574653861665312768', '李露', '1565588869397745664', '两道题', '1565639340619599872', '第三方第三方斯蒂芬鼎折覆餗 是的', '哈哈', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596439722304081920', '1596439618553778177', '1567097186544652288', '何云凡', '1596436456811925504', '测出四十卷', '1596436457038417920', '123', '123', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596439722308276224', '1596439618553778177', '1567097186544652288', '何云凡', '1596436456811925504', '测出四十卷', '1596436457063583744', '456', '666', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596440007202181120', '1596439618553778176', '1574653861665312768', '李露', '1596436456811925504', '测出四十卷', '1596436457038417920', '123', '123', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596440007202181121', '1596439618553778176', '1574653861665312768', '李露', '1596436456811925504', '测出四十卷', '1596436457063583744', '456', '456', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596801760398282752', '1596801333309083648', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596801760398282753', '1596801333309083648', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '3,4', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596801760398282754', '1596801333309083648', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596801760398282755', '1596801333309083648', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596801760398282756', '1596801333309083648', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596802492153335808', '1596802402223263744', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596802492153335809', '1596802402223263744', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596802492153335810', '1596802402223263744', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596802492153335811', '1596802402223263744', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1596802492153335812', '1596802402223263744', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539333447680', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '1,2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641984', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1,2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641985', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641986', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641987', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '1,2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641988', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1,2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641989', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '1', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641990', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641991', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '1', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1598956539337641992', '1598956130896318464', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '哈哈哈', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1643891128589750272', '1643890985249411072', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1,2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1643891128593944576', '1643890985249411072', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '3,4', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1643891128593944577', '1643890985249411072', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '2', '0');
INSERT INTO `train_class_user_exam_answer` VALUES ('1643891128593944578', '1643890985249411072', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1643891128593944579', '1643890985249411072', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '2', '1');
INSERT INTO `train_class_user_exam_answer` VALUES ('1643891128593944580', '1643890985249411072', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '好的', '0');

-- ----------------------------
-- Table structure for train_class_user_invoice
-- ----------------------------
DROP TABLE IF EXISTS `train_class_user_invoice`;
CREATE TABLE `train_class_user_invoice` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '开票编号',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `class_name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `user_id` bigint(20) DEFAULT NULL COMMENT '学员id',
  `user_name` varchar(30) DEFAULT NULL COMMENT '学员名',
  `title_type` smallint(6) DEFAULT NULL COMMENT '抬头类型：1、企业单位。2、个人、非企业单位。',
  `company_name` varchar(100) DEFAULT NULL COMMENT '单位名称',
  `discern_no` varchar(50) DEFAULT NULL COMMENT '单位税号',
  `amount` bigint(20) DEFAULT NULL COMMENT '开票金额',
  `bill_to_party` varchar(100) DEFAULT NULL COMMENT '开票方',
  `register_address` varchar(200) DEFAULT NULL COMMENT '注册地址',
  `register_tel` varchar(20) DEFAULT NULL COMMENT '注册电话',
  `bank` varchar(20) DEFAULT NULL COMMENT '开户银行',
  `bank_account` varchar(30) DEFAULT NULL COMMENT '银行账户',
  `type` smallint(6) DEFAULT NULL COMMENT '开票方式：1、电子发票。2、纸质发票',
  `invoice_type` smallint(6) DEFAULT NULL COMMENT '发票类型 ：1、普通发票。2、增值税专用发票',
  `email` varchar(20) DEFAULT NULL COMMENT '电子发票邮箱',
  `real_amount` bigint(20) DEFAULT NULL COMMENT '实际开票金额',
  `invoice_appendix` json DEFAULT NULL COMMENT '发票附件',
  `invoice_time` datetime DEFAULT NULL COMMENT '开票时间',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、待申请。1、待开票(待确认)。2、已开票。',
  `create_time` datetime DEFAULT NULL COMMENT '申请时间',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训班学员发票管理';

-- ----------------------------
-- Records of train_class_user_invoice
-- ----------------------------
INSERT INTO `train_class_user_invoice` VALUES ('1579019190709391360', '202210090001', '1575364705646678016', '投资第三期', '1574653861665312768', '李露', null, null, null, '100', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-09 16:01:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1579668208439398400', '202210110004', '1579654776772235264', '2022年邮政培训中心培训', '1565939234546782208', '王涵', null, null, null, '108900', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-11 11:00:25', null);
INSERT INTO `train_class_user_invoice` VALUES ('1579708761096982528', '202210110005', '1579283027245273088', '测试湖西岸0', '1565939234546782208', '王涵', null, null, null, '158600', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-11 13:41:33', null);
INSERT INTO `train_class_user_invoice` VALUES ('1579709940996640768', '202210110006', '1579283811680784384', '单选密钥', '1565939234546782208', '王涵', null, null, null, '146400', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-11 13:46:14', null);
INSERT INTO `train_class_user_invoice` VALUES ('1583354054594138112', '202210210001', '1583346873849221120', '2022年金融课程培训班', '1555010577007513600', '周老师', null, null, null, '50000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-21 15:06:39', null);
INSERT INTO `train_class_user_invoice` VALUES ('1583723511594225664', '202210220002', '1583722097811787776', '2022年培训班', '1555010577007513600', '周老师', null, null, null, '45000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-22 15:34:44', null);
INSERT INTO `train_class_user_invoice` VALUES ('1584445226225897472', '202210240003', '1583739434711519232', '2022金融培训', '1565939234546782208', '王涵', null, null, null, '45000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-24 15:22:34', null);
INSERT INTO `train_class_user_invoice` VALUES ('1584734686142402560', '202210250004', '1584732496656994304', '测试费用', '1567097186544652288', '何云凡', null, null, null, '50000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-25 10:32:47', null);
INSERT INTO `train_class_user_invoice` VALUES ('1584807558307254272', '202210250005', '1584515014952357888', '2023新', '1565939234546782208', '王涵', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-25 15:22:21', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585462707732221952', '202210270006', '1585459813435969536', '2022年10月底的培训', '1555010577007513600', '周老师', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-27 10:45:41', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585465241947475968', '202210270007', '1585459813435969536', '2022年10月底的培训', '1574653861665312768', '李露', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-27 10:55:45', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585521332441976832', '202210270008', '1585278127179960320', '测试统计分析数据-lu01勿动', '1574653861665312768', '李露', null, null, null, '3600', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-27 14:38:38', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585548508805599232', '202210270009', '1585278127179960320', '测试统计分析数据-lu01勿动', '1574656123775094784', '李露露', null, null, null, '3600', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-27 16:26:37', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585548838377230336', '202210270010', '1585282067011342336', '测试统计分析省级本公司数据-lu勿动002', '1574656123775094784', '李露露', null, null, null, '10200', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-27 16:27:56', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585832448166596608', '202210280011', '1585278127179960320', '测试统计分析数据-lu01勿动', '1565939234546782208', '王涵', null, null, null, '3600', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-28 11:14:54', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585876196460204032', '202210280012', '1583683407156744192', '1022黎利伯聘雇计划u到处', '1567097186544652288', '何云凡', null, null, null, '90000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-28 14:08:44', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585876567496724480', '202210280013', '1583369261261393920', '2022年邮政培训中心培训', '1567097186544652288', '何云凡', null, null, null, '9000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-28 14:10:13', null);
INSERT INTO `train_class_user_invoice` VALUES ('1585926486844641280', '202210280014', '1585836831126196224', '测试费用预算为0000', '1579374510346473472', '李昊杰', null, null, null, '133200', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-28 17:28:35', null);
INSERT INTO `train_class_user_invoice` VALUES ('1587003474535649280', '202210310015', '1586969194119958528', '再次测试工具包', '1574656123775094784', '李露露', null, null, null, '40700', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-10-31 16:48:08', null);
INSERT INTO `train_class_user_invoice` VALUES ('1587744300962287616', '202211020016', '1587268699407126528', '单词', '1574656123775094784', '李露露', null, null, null, '29000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-02 17:51:55', null);
INSERT INTO `train_class_user_invoice` VALUES ('1587760959588536320', '202211020017', '1587759227248709632', '1111111111111', '1574656123775094784', '李露露', null, null, null, '2200', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-02 18:58:07', null);
INSERT INTO `train_class_user_invoice` VALUES ('1587761126337286144', '202211020018', '1587758825031733248', '000000000000000', '1574656123775094784', '李露露', null, null, null, '2000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-02 18:58:47', null);
INSERT INTO `train_class_user_invoice` VALUES ('1588734639135133696', '202211050001', '1588733407918166016', '20221115测试省级', '1572825817233362944', '灿', null, null, null, '100', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-05 11:27:10', null);
INSERT INTO `train_class_user_invoice` VALUES ('1589797231119175680', '202211080019', '1589549121218416640', '2022年培训住宿管理', '1555010577007513600', '张磊', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-08 09:49:32', null);
INSERT INTO `train_class_user_invoice` VALUES ('1589895993770512384', '202211080020', '1589549121218416640', '2022年培训住宿管理', '1589887987989221376', '王丹丹', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-08 16:21:59', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590545413746855936', '202211100021', '1590543802567888896', '2022年11月10日培训班', '1589887987989221376', '王丹丹', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 11:22:32', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590546682142134272', '202211100022', '1590543802567888896', '2022年11月10日培训班', '1589877695318200320', '周丽丽1', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 11:27:35', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590553349147725824', '202211100023', '1590543802567888896', '2022年11月10日培训班', '1565939234546782208', '王涵', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 11:54:04', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590604365356470272', '202211100024', '1590602024376995840', '呀拉索', '1565939234546782208', '王涵', null, null, null, '1000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 15:16:48', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590606463548657664', '202211100025', '1590602024376995840', '呀拉索', '1565939234546782208', '王涵', null, null, null, '1000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 15:25:08', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590609124712910848', '202211100026', '1590602024376995840', '呀拉索', '1565939234546782208', '王涵', null, null, null, '1000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 15:35:42', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590619044069904384', '202211100027', '1590602024376995840', '呀拉索', '1555010577007513600', '张磊', null, null, null, '1000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 16:15:07', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590621945479696384', '202211100028', '1590602024376995840', '呀拉索', '1589877695318200320', '周丽丽1', null, null, null, '1000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 16:26:39', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590622505314422784', '202211100029', '1590602024376995840', '呀拉索', '1565939234546782208', '王涵', null, null, null, '1000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 16:28:52', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590624061661253632', '202211100030', '1590598103071854592', '培训住宿', '1565939234546782208', '王涵', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 16:35:04', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590636875385802752', '202211100031', '1590625766897487872', '2022年12月培训班', '1565939234546782208', '王涵', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 17:25:59', null);
INSERT INTO `train_class_user_invoice` VALUES ('1590637277942517760', '202211100032', '1590625766897487872', '2022年12月培训班', '1589887987989221376', '王丹丹', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-10 17:27:35', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593088486339121152', '202211170038', '1593074623937908736', '金融第二讲-1117-02', '1574653861665312768', '李露', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-17 11:47:48', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593142223518699520', '202211170040', '1593074623937908736', '金融第二讲-1117-02', '1593130018354106368', '李婷', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-17 15:21:20', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593168154677350400', '202211170041', '1593163290295537664', '测试住宿结束四小时内状态数据', '1574653861665312768', '李露', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-17 17:04:23', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593565726143287296', '202211180042', '1593074623937908736', '金融第二讲-1117-02', '1565939234546782208', '王涵', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-18 19:24:11', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593567391923703808', '202211180043', '1593493864797310976', '十月测试A测试评价', '1565939234546782208', '王涵', null, null, null, '60000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-18 19:30:48', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593817005054627840', '202211190044', '1593802731448045568', '1119-1001', '1574653861665312768', '李露', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-19 12:02:41', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593840670471229440', '202211190045', '1593838490360090624', '1119-1002', '1593172328945160192', '李厅', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-19 13:36:43', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593870102439268352', '202211190046', '1593838490360090624', '1119-1002', '1593130018354106368', '李婷', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-19 15:33:40', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593882152477528064', '202211190047', '1593841368902537216', '测试供应商评价', '1593126345620197376', 'lilu', null, null, null, '55000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-19 16:21:33', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593923991196798976', '202211190048', '1593575269023748096', '1021计划库第一版', '1593126345620197376', 'lilu', null, null, null, '60000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-19 19:07:48', null);
INSERT INTO `train_class_user_invoice` VALUES ('1593924835631828992', '202211190049', '1593802731448045568', '1119-1001', '1593126345620197376', 'lilu', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-19 19:11:09', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594242880774475776', '202211200052', '1594241800200130560', '课程第一讲1120-a', '1555010577007513600', '张磊', null, null, null, '5200', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-20 16:14:57', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594245633265504256', '202211200053', '1594244407400468480', '测试消息提醒', '1555010577007513600', '张磊', null, null, null, '20000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-20 16:25:54', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594504687728594944', '202211210054', '1594504240024391680', '2022集中培训', '1591967614425501696', '高志远', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-21 09:35:18', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594504711803899904', '202211210055', '1594504240024391680', '2022集中培训', '1555010577007513600', '张磊', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-21 09:35:23', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594598132115705856', '202211210056', '1594586018877673472', '1121培训库课程-b', '1593908021333987328', '李琦', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-21 15:46:36', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594599856050147328', '202211210057', '1594586018877673472', '1121培训库课程-b', '1593937047876407296', '李露露', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-21 15:53:29', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594607962930941952', '202211210058', '1594586018877673472', '1121培训库课程-b', '1594603307282862080', '黎利伯', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-21 16:25:40', null);
INSERT INTO `train_class_user_invoice` VALUES ('1594890013793980416', '202211220059', '1594874152140017664', '1122培训库课程-c', '1572825817233362944', '灿', null, null, null, '5000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-22 11:06:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595297909614710784', '202211230060', '1595293028619259904', '1123培训班a', '1595290317471485952', '张三', null, null, null, '15000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 14:07:16', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595300190871490560', '202211230061', '1595293028619259904', '1123培训班a', '1595299618307051520', '张四', null, null, null, '15000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 14:16:19', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595321302904868864', '202211230062', '1595306464161959936', '1123', '1565939234546782208', '王涵', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 15:40:13', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595324090875514880', '202211230063', '1595322590518448128', '1121培训库课程-b', '1565939234546782208', '王涵', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 15:51:18', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595326353463447552', '202211230067', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:00:17', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595326838857666560', '202211230068', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:02:13', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595328664323624960', '202211230069', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:09:28', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595329959428231168', '202211230070', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:14:37', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595330292770541568', '202211230071', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:15:56', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595330439848005632', '202211230072', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:16:32', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595331577645240320', '202211230073', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:21:03', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595332073525219328', '202211230074', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:23:01', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595332631833219072', '202211230075', '1595322590518448128', '1121培训库课程-b', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:25:14', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595333162148433920', '202211230076', '1595322590518448128', '1121培训库课程-b', '1575324436016533504', '省管理员', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:27:21', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595333839411089408', '202211230077', '1595322590518448128', '1121培训库课程-b', '1594603307282862080', '黎利伯', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:30:02', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595338607407796224', '202211230078', '1594539630882066432', '测试消息提醒', '1594603307282862080', '黎利伯', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:48:59', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595338844948008960', '202211230079', '1594539630882066432', '测试消息提醒', '1565939234546782208', '王涵', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:49:55', null);
INSERT INTO `train_class_user_invoice` VALUES ('1595339120639610880', '202211230080', '1594539630882066432', '测试消息提醒', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-23 16:51:01', null);
INSERT INTO `train_class_user_invoice` VALUES ('1596788959931928576', '202211270081', '1596788426072526848', '测试就餐', '1567097186544652288', '何云凡', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-27 16:52:10', null);
INSERT INTO `train_class_user_invoice` VALUES ('1597147456120950784', '202211280082', '1597135726384910336', '名单导入是否可以报到', '1567097186544652288', '何云凡', null, null, null, '15000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-11-28 16:36:42', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598509705465040896', '202212020083', '1597161124694986752', '1121培训库课程-b', '1565939234546782208', '王涵', null, null, null, '160000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 10:49:48', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598509802932277248', '202212020084', '1597161124694986752', '1121培训库课程-b', '1565939234546782208', '王涵', null, null, null, '160000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 10:50:11', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598510092418945024', '202212020085', '1597161124694986752', '1121培训库课程-b', '1565939234546782208', '王涵', null, null, null, '160000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 10:51:20', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598510525132705792', '202212020086', '1597161124694986752', '1121培训库课程-b', '1565939234546782208', '王涵', null, null, null, '160000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 10:53:03', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598510849260130304', '202212020087', '1597161124694986752', '1121培训库课程-b', '1565939234546782208', '王涵', null, null, null, '160000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 10:54:20', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598519506970480640', '202212020088', '1597161124694986752', '1121培训库课程-b', '1574653861665312768', '李露', null, null, null, '160000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 11:28:44', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598523049735491584', '202212020089', '1598521650104635392', '1202 培训报告打印', '1574653861665312768', '李露', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 11:42:49', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598525249819906048', '202212020090', '1598521650104635392', '1202 培训报告打印', '1565939234546782208', '王涵', null, null, null, '10000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-02 11:51:34', null);
INSERT INTO `train_class_user_invoice` VALUES ('1598953593027825664', '202212030091', '1598951182674563072', '123培训班', '1555010577007513600', '张磊', null, null, null, '15000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2022-12-03 16:13:38', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610465290536226816', '202301040003', '1610464458696691712', '14 测试费用', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-04 10:37:01', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610470107178471424', '202301040004', '1610464458696691712', '14 测试费用', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-04 10:56:10', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610478939774521344', '202301040005', '1610464458696691712', '14 测试费用', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-04 11:31:15', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610511104067375104', '202301040006', '1610464458696691712', '14 测试费用', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-04 13:39:04', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610552215989260288', '202301040007', '1610464458696691712', '14 测试费用', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-04 16:22:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610825942371012608', '202301050001', '1610464458696691712', '14 测试费用', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-05 10:30:07', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610831712147869696', '202301050002', '1610830975682613248', '测试支付V2', '1579374510346473472', '李昊杰', null, null, null, '15000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-05 10:53:03', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610838923582509056', '202301050003', '1610832720240447488', '测试支付V3', '1579374510346473472', '李昊杰', null, null, null, '3', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-05 11:21:42', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610874843610353664', '202301050004', '1610832720240447488', '测试支付V3', '1574653861665312768', '李露', null, null, null, '3', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-05 13:44:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610881447625887744', '202301050005', '1610832720240447488', '测试支付V3', '1579374510346473472', '李昊杰', null, null, null, '3', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-05 14:10:41', null);
INSERT INTO `train_class_user_invoice` VALUES ('1610904929776570368', '202301050006', '1610832720240447488', '测试支付V3', '1579374510346473472', '李昊杰', null, null, null, '3', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-05 15:43:59', null);
INSERT INTO `train_class_user_invoice` VALUES ('1611171285050724352', '202301060008', '1611169111981821952', '测试支付V4', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-06 09:22:25', null);
INSERT INTO `train_class_user_invoice` VALUES ('1611185267555831808', '202301060007', '1610832720240447488', '测试支付V3', '1579374510346473472', '李昊杰', null, null, null, '3', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-06 10:17:57', null);
INSERT INTO `train_class_user_invoice` VALUES ('1611199805718138880', '202301060008', '1610829322136981504', '测试支付V1', '1579374510346473472', '李昊杰', null, null, null, '15000', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-06 11:15:43', null);
INSERT INTO `train_class_user_invoice` VALUES ('1611209905124020224', '202301060009', '1611208176332574720', '测试支付V5', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-06 11:55:51', null);
INSERT INTO `train_class_user_invoice` VALUES ('1611246260277350400', '202301060010', '1611245681211740160', '测试支付V6', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-06 14:20:19', null);
INSERT INTO `train_class_user_invoice` VALUES ('1611993420245635072', '202301080009', '1611989569824231424', '测试费用1月8', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-08 15:49:16', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612326209490915328', '202301090010', '1612324397706776576', '1月9 测试费用1', '1574653861665312768', '李露', null, null, null, '2', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-09 13:51:39', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612371203132100608', '202301090012', '1612367512480124928', '支付1', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-09 16:50:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612396180157894656', '202301090013', '1612367512480124928', '支付1', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-09 18:29:41', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612403059806310400', '202301090014', '1612402197872644096', '支付3', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-09 18:57:01', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612768401493725184', '202301100011', '1612767792682110976', '1.10', '1574653861665312768', '李露', null, null, null, '2', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-10 19:08:46', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612768629160546304', '202301100012', '1612767792682110976', '1.10', '1574653861665312768', '李露', null, null, null, '2', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-10 19:09:40', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612769973057490944', '202301100013', '1612767792682110976', '1.10', '1574653861665312768', '李露', null, null, null, '2', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-10 19:15:00', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612771117339119616', '202301100014', '1612767792682110976', '1.10', '1574653861665312768', '李露', null, null, null, '2', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-10 19:19:33', null);
INSERT INTO `train_class_user_invoice` VALUES ('1612995817621295104', '202301110015', '1612708278364672000', '支付2', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-11 10:12:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1613016032866340864', '202301110016', '1612710059157098496', '支付4', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-11 11:32:45', null);
INSERT INTO `train_class_user_invoice` VALUES ('1613052990455943168', '202301110015', '1613049308599422976', '支付1月1111111111111111', '1574653861665312768', '李露', null, null, null, '2', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-11 13:59:37', null);
INSERT INTO `train_class_user_invoice` VALUES ('1613065381818273792', '202301110017', '1613064326346838016', '支付5', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-11 14:48:51', null);
INSERT INTO `train_class_user_invoice` VALUES ('1613344112679981056', '202301120016', '1613342717457338368', '支付6', '1574653861665312768', '李露', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-12 09:16:26', null);
INSERT INTO `train_class_user_invoice` VALUES ('1613344233530462208', '202301120018', '1613342717457338368', '支付6', '1579374510346473472', '李昊杰', null, null, null, '1', '中国邮政集团有限公司河南省培训分公司', null, null, null, null, null, null, null, null, null, null, '0', '2023-01-12 09:16:54', null);

-- ----------------------------
-- Table structure for train_commit
-- ----------------------------
DROP TABLE IF EXISTS `train_commit`;
CREATE TABLE `train_commit` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `title` varchar(500) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '题目',
  `video` json DEFAULT NULL COMMENT '视频附件',
  `video_len` int(11) DEFAULT NULL COMMENT '时长（秒*100）',
  `min_len` int(11) DEFAULT NULL COMMENT '最低阅览时间(秒)',
  `content` longtext COMMENT '说明',
  `cover` json DEFAULT NULL COMMENT '轮播图',
  `is_cover` varchar(255) DEFAULT NULL COMMENT '是否轮播',
  `pop` json DEFAULT NULL COMMENT '弹窗',
  `is_pop` varchar(255) DEFAULT NULL COMMENT '是否弹窗',
  `pop_flag` int(1) DEFAULT NULL COMMENT '弹窗标志',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `state` int(1) DEFAULT NULL COMMENT '上下架',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_commit
-- ----------------------------
INSERT INTO `train_commit` VALUES ('1664190252308369408', '营收资金缴存承诺书', '[{\"name\": \"363_1685608674.mp4\", \"path\": \"/train/2023/6/1/b7f78dfb081446ec84ca14b3841dd46a.mp4\", \"size\": 2595.0283203125, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"WechatIMG320.jpeg\", \"path\": \"/train/2023/6/5/f66d9b412b4d440cbd405462738c125c.jpeg\", \"size\": 138.884765625, \"suffix\": \".jpeg\"}]', null, null, null, null, '2023-06-01 16:36:11', '2023-06-09 16:36:11', '2', '1590543166828843008', '张磊', '2023-06-01 16:40:50');
INSERT INTO `train_commit` VALUES ('1666042653164310528', '承诺书测试', '[{\"name\": \"e604603e5717448fbd4dc5eda8cf9dce.avi\", \"path\": \"/train/2023/6/6/be70db4d8534497cadfc508972177080.avi\", \"size\": 37117.734375, \"suffix\": \".avi\"}]', null, null, null, '[{\"name\": \"v2-4b0e65b9c0efb6f723a81f9dfa28fab3_r.jpg\", \"path\": \"/train/2023/6/6/f8fb4772d617460bb9ded4745a357faf.jpg\", \"size\": 725.3154296875, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-06 19:18:14', '2023-07-06 19:18:17', '2', '1', '主宰', '2023-06-06 19:21:37');
INSERT INTO `train_commit` VALUES ('1666048688771960832', '承诺书 1123', '[{\"name\": \"110835_1686038786.mp4\", \"path\": \"/train/2023/6/6/767485f9976440df93116ed64e417839.mp4\", \"size\": 1454.1572265625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"v2-936b878d628be3c644b20f8d9f4a72ae_r.jpg\", \"path\": \"/train/2023/6/6/f311a8a1c4db4b3d917e04c483ce95b1.jpg\", \"size\": 1393.796875, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-06 19:43:35', '2023-06-29 19:43:38', '0', '1', '主宰', '2023-06-06 19:45:36');
INSERT INTO `train_commit` VALUES ('1666048711496699904', '承诺书 1123', '[{\"name\": \"110835_1686038786.mp4\", \"path\": \"/train/2023/6/6/767485f9976440df93116ed64e417839.mp4\", \"size\": 1454.1572265625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"v2-936b878d628be3c644b20f8d9f4a72ae_r.jpg\", \"path\": \"/train/2023/6/6/f311a8a1c4db4b3d917e04c483ce95b1.jpg\", \"size\": 1393.796875, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-06 19:43:35', '2023-06-29 19:43:38', '0', '1', '主宰', '2023-06-06 19:45:41');
INSERT INTO `train_commit` VALUES ('1666048716353703936', '承诺书 1123', '[{\"name\": \"110835_1686038786.mp4\", \"path\": \"/train/2023/6/6/767485f9976440df93116ed64e417839.mp4\", \"size\": 1454.1572265625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"v2-936b878d628be3c644b20f8d9f4a72ae_r.jpg\", \"path\": \"/train/2023/6/6/f311a8a1c4db4b3d917e04c483ce95b1.jpg\", \"size\": 1393.796875, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-06 19:43:35', '2023-06-29 19:43:38', '0', '1', '主宰', '2023-06-06 19:45:42');
INSERT INTO `train_commit` VALUES ('1666048717163204608', '承诺书 1123', '[{\"name\": \"110835_1686038786.mp4\", \"path\": \"/train/2023/6/6/767485f9976440df93116ed64e417839.mp4\", \"size\": 1454.1572265625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"v2-936b878d628be3c644b20f8d9f4a72ae_r.jpg\", \"path\": \"/train/2023/6/6/f311a8a1c4db4b3d917e04c483ce95b1.jpg\", \"size\": 1393.796875, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-06 19:43:35', '2023-06-29 19:43:38', '0', '1', '主宰', '2023-06-06 19:45:43');
INSERT INTO `train_commit` VALUES ('1666048795269533696', '承诺书 1123', '[{\"name\": \"110835_1686038786.mp4\", \"path\": \"/train/2023/6/6/767485f9976440df93116ed64e417839.mp4\", \"size\": 1454.1572265625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"v2-936b878d628be3c644b20f8d9f4a72ae_r.jpg\", \"path\": \"/train/2023/6/6/f311a8a1c4db4b3d917e04c483ce95b1.jpg\", \"size\": 1393.796875, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-06 19:43:35', '2023-06-29 19:43:38', '2', '1', '主宰', '2023-06-06 19:46:01');
INSERT INTO `train_commit` VALUES ('1666048999867682816', '去问请问服务', '[{\"name\": \"110835_1686038786.mp4\", \"path\": \"/train/2023/6/6/180aed3abc734de1a083a4327f74fa20.mp4\", \"size\": 1454.1572265625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"机器人.png\", \"path\": \"/train/2023/6/6/96c01e02fcec47c4a440ce065400140e.png\", \"size\": 1.4560546875, \"suffix\": \".png\"}]', null, null, null, null, '2023-06-06 19:46:07', '2023-06-21 19:46:09', '2', '1', '主宰', '2023-06-06 19:46:50');
INSERT INTO `train_commit` VALUES ('1666368341792657408', '这个', '[{\"name\": \"e33bf149070240616541216b2f01a599.mp4\", \"path\": \"/train/2023/6/7/1278c3c91f2e476896664366ef57a61d.mp4\", \"size\": 12539.244140625, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"微信图片_20230512175516.jpg\", \"path\": \"/train/2023/6/7/405924bd42db4f8b982fbc0124010b92.jpg\", \"size\": 91.5615234375, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-07 16:54:21', '2023-06-09 16:54:23', '2', '1', '主宰', '2023-06-07 16:55:47');
INSERT INTO `train_commit` VALUES ('1666701981072363520', '这个啊啊啊啊啊啊啊啊啊22222222222', '[{\"name\": \"fb0a53473e5d62a62f3e8bc613a6618e.mp4\", \"path\": \"/train/2023/6/8/1c294a6856d14888b1dbd6aea85f1923.mp4\", \"size\": 2274.748046875, \"suffix\": \".mp4\"}]', null, null, null, '[{\"name\": \"爵士.jpg\", \"path\": \"/train/2023/6/8/94593710c401459c9161b17201242fd0.jpg\", \"size\": 45.287109375, \"suffix\": \".jpg\"}]', null, null, null, null, '2023-06-08 15:00:48', '2023-06-09 15:00:49', '2', '1', '主宰', '2023-06-08 15:01:33');

-- ----------------------------
-- Table structure for train_commit_book
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_book`;
CREATE TABLE `train_commit_book` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `commit_id` bigint(20) DEFAULT NULL COMMENT '承诺id',
  `title` varchar(500) DEFAULT NULL COMMENT '题目',
  `content` longtext COMMENT '说明',
  `file` json DEFAULT NULL COMMENT '承诺书1文件',
  `posts` varchar(255) DEFAULT NULL COMMENT '岗位  权限',
  `commit` varchar(500) DEFAULT NULL COMMENT '确认内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='承诺书';

-- ----------------------------
-- Records of train_commit_book
-- ----------------------------
INSERT INTO `train_commit_book` VALUES ('1661213018060623872', '1661210957264850944', '1', '<p>111</p>', null, '1658291913788362752,1658291959208480768,1658291995552124928,1658292035276378112,1658292076145676288,1658292189555462144,1658292230399594496', '1');
INSERT INTO `train_commit_book` VALUES ('1661213018190647296', '1661210957264850944', '2', '<p>222</p>', null, '1658292230399594496', '22222222222222222222');
INSERT INTO `train_commit_book` VALUES ('1661217349841326080', '1661217349702914048', '1', '<p>1</p>', null, '1658292035276378112,1658292189555462144', '111');
INSERT INTO `train_commit_book` VALUES ('1661219025465774080', '1661218260596690944', '营收资金缴存承诺书', '<p>根据全省个人账户归集企业资金监督检查的要求，本人已学习并知晓以下企业资金缴存管理规定：</p>\n<p>1.决不使用个人账户归集企业资金或借用他人账户中转企业资金（含银行、支付宝、微信等账户）。</p>\n<p>2.收到客户现金后，第一时间缴存企业账户或送交内务、财务部门，决不以任何理由将企业资金滞留本人账户或手中。</p>\n<p>3.决不在未收到客户资金情况下而虚假录入收款，包括不限于在业务系统中作虚假现结客户收入或替客户代垫资金用于欠费核销。</p>\n<p>4.决不坐支或挪用企业资金，将企业资金截留到账外形成“小金库”。</p>\n<p>5.严格贯彻落实执行企业资金缴存规定、缴存流程和缴存纪律。</p>\n<p>6.发挥三道防线作用，按照职责分工，履行相应的监督检查责任，按照履职尽责，尽职免责的原则，监督检查本单位（部门）、本条线营收资金情况。</p>', null, '1658291913788362752,1658291959208480768,1658291995552124928,1658292035276378112,1658292076145676288,1658292129367199744,1658292189555462144,1658292230399594496', '阅读确认后勾选提交：本人郑重承诺，坚决不归集、不滞留、不虚录、不坐支、不挪用、不截留企业资金，对履职不当造成违规行为发生或给企业造成损失的，自愿接受处理处罚。');
INSERT INTO `train_commit_book` VALUES ('1661219025507717120', '1661218260596690944', '营收资金缴存承诺书-监督职能', '<p> 根据全省个人账户归集企业资金监督检查的要求，本人已学习并知晓以下企业资金缴存管理规定：</p>\n<p>1.决不使用个人账户归集企业资金或借用他人账户中转企业资金（含银行、支付宝、微信等账户）。</p>\n<p>2.收到客户现金后，第一时间缴存企业账户或送交内务、财务部门，决不以任何理由将企业资金滞留本人账户或手中。</p>\n<p>3.决不在未收到客户资金情况下而虚假录入收款，包括不限于在业务系统中作虚假现结客户收入或替客户代垫资金用于欠费核销。</p>\n<p>4.决不坐支或挪用企业资金，将企业资金截留到账外形成“小金库”。</p>\n<p>5.严格贯彻落实执行企业资金缴存规定、缴存流程和缴存纪律。</p>\n<p>6.发挥三道防线作用，按照职责分工，履行相应的监督检查责任，按照履职尽责，尽职免责的原则，监督检查本单位（部门）、本条线营收资金情况。</p>', null, '1658291995552124928,1658292035276378112,1658292129367199744,1658292189555462144', '阅读确认后勾选提交：本人郑重承诺，坚决不归集、不滞留、不虚录、不坐支、不挪用、不截留企业资金，对履职不当造成违规行为发生或给企业造成损失的，自愿接受处理处罚');
INSERT INTO `train_commit_book` VALUES ('1664183068300283904', '1664183068153483264', '123', '<p>23123</p>', null, '1658292230399594496,1658292189555462144', '123');
INSERT INTO `train_commit_book` VALUES ('1665595806901735424', '1664190252308369408', '营收资金缴存承诺书', '<p>    根据全省个人账户归集企业资金监督检查的要求，本人已学习并知晓以下企业资金缴存管理规定：</p>\n<p>    1.决不使用个人账户归集企业资金或借用他人账户中转企业资金（含银行、支付宝、微信等账户）。</p>\n<p>    2.收到客户现金后，第一时间缴存企业账户或送交内务、财务部门，决不以任何理由将企业资金滞留本人账户或手中。</p>\n<p>3.决不在未收到客户资金情况下而虚假录入收款，包括不限于在业务系统中作虚假现结客户收入或替客户代垫资金用于欠费核销。</p>\n<p>    4.决不坐支或挪用企业资金，将企业资金截留到账外形成“小金库”。</p>\n<p>    5.严格贯彻落实执行企业资金缴存规定、缴存流程和缴存纪律。</p>', null, '1658291913788362752,1658291959208480768,1658292076145676288,1658292230399594496', '本人郑重承诺，坚决不归集、不滞留、不虚录、不坐支、不挪用、不截留企业资金，若有违反自愿接受处理处罚。');
INSERT INTO `train_commit_book` VALUES ('1665595806939484160', '1664190252308369408', '营收资金缴存监督承诺书', '<p>    根据全省个人账户归集企业资金监督检查的要求，本人已学习并知晓以下企业资金缴存管理规定：</p>\n<p>    1.决不使用个人账户归集企业资金或借用他人账户中转企业资金（含银行、支付宝、微信等账户）。</p>\n<p>    2.收到客户现金后，第一时间缴存企业账户或送交内务、财务部门，决不以任何理由将企业资金滞留本人账户或手中。</p>\n<p>    3.决不在未收到客户资金情况下而虚假录入收款，包括不限于在业务系统中作虚假现结客户收入或替客户代垫资金用于欠费核销。</p>\n<p>    4.决不坐支或挪用企业资金，将企业资金截留到账外形成“小金库”。</p>\n<p>    5.严格贯彻落实执行企业资金缴存规定、缴存流程和缴存纪律。</p>\n<p>    6.发挥三道防线作用，按照职责分工，履行相应的监督检查责任，按照履职尽责，尽职免责的原则，监督检查本单位（部门）、本条线营收资金情况。 </p>', null, '1658291995552124928,1658292035276378112,1658292129367199744,1658292189555462144', '本人郑重承诺，坚决不归集、不滞留、不虚录、不坐支、不挪用、不截留企业资金，对履职不当造成违规行为发生或给企业造成损失的，自愿接受处理处罚。');
INSERT INTO `train_commit_book` VALUES ('1666042653227225088', '1666042653164310528', '的大神大', '<p>委屈委屈委屈却恶趣味</p>', null, '1658292230399594496', '呃呃位3暗示往阿萨德的亲爹去');
INSERT INTO `train_commit_book` VALUES ('1666042653281751040', '1666042653164310528', '动额动2多点323 ', '<p>去去去凄凄切切凄凄切切凄凄切切凄凄切切群群去凄凄切切凄凄切切群群<img src=\"https://echftp.jinmingyuan.com/train/2023/6/6/1a8865d67a084789821b2bf78a376578.png\" /></p>', null, '1658292230399594496', '单位违法单位反而分');
INSERT INTO `train_commit_book` VALUES ('1666048999926403072', '1666048999867682816', '却无法去潍坊地区为父亲为', '<p>阿水大城市的错</p>', null, '1658292230399594496', '四五点发而分文未取呃');
INSERT INTO `train_commit_book` VALUES ('1666048999959957504', '1666048999867682816', '前锋圈儿夫福地凡凡去放弃', '<p><img src=\"https://echftp.jinmingyuan.com/train/2023/6/6/12a7e75ddb2b4b1297e77c0c71cbd1f4.jpg\" /></p>', null, '1658292230399594496', '违反沃尔夫');
INSERT INTO `train_commit_book` VALUES ('1666697707831562240', '1666368341792657408', '改2222222=====888888888', '<p>改22222222222222</p>', null, '1658292035276378112,1658292076145676288,1658292129367199744,1658292189555462144,1658292230399594496', '改22222222222222');
INSERT INTO `train_commit_book` VALUES ('1666697708506845184', '1666368341792657408', '改33333333333', '<p>改33333333333</p>', null, '1658292189555462144,1658292230399594496', '改33333333333');
INSERT INTO `train_commit_book` VALUES ('1666698498579501056', '1666368341792657408', '新增的', '<p>新增的说明</p>', null, '1658292230399594496', '新增的说明');
INSERT INTO `train_commit_book` VALUES ('1666701982422929408', '1666701981072363520', '顶顶顶顶顶顶顶顶顶2222222222', '<p>顶顶顶顶顶顶顶顶顶顶</p>', null, '1658292230399594496,1658292189555462144', '顶顶顶顶顶顶顶顶顶顶');
INSERT INTO `train_commit_book` VALUES ('1668092692225200128', '1668092690920771584', 'eeeeeeeeeeeeeee222222222222', '<p>eqweqeq顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶顶</p>', null, '1658292230399594496,1658292189555462144,1658292129367199744,1658292076145676288', '完全呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃');
INSERT INTO `train_commit_book` VALUES ('1668092853743652864', '1668092852644745216', '他哥哥哥哥哥哥哥哥哥哥哥哥哥哥哥哥哥哥', '<p>和有有有有有有有有有有有有有有有有有有</p>', null, '1658292230399594496,1658292189555462144,1658292076145676288,1658292035276378112', '从v啵啵啵啵啵啵啵啵啵啵啵啵啵啵啵宝宝');

-- ----------------------------
-- Table structure for train_commit_info
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_info`;
CREATE TABLE `train_commit_info` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `commit_id` bigint(20) DEFAULT NULL COMMENT '承诺id',
  `create_id` bigint(20) DEFAULT NULL COMMENT '承诺人的id',
  `create_name` varchar(255) DEFAULT NULL COMMENT '承诺人名字',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `shu_id` bigint(20) DEFAULT NULL COMMENT '属性id',
  `video_end` varchar(255) DEFAULT NULL COMMENT '是否看完',
  `gang_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `org_Ids` varchar(255) DEFAULT NULL COMMENT 'orgids',
  `org_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构名称',
  `dept_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `shu_name` varchar(255) DEFAULT NULL COMMENT '属性',
  `gang_name` varchar(255) DEFAULT NULL COMMENT '岗位',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_commit_info
-- ----------------------------
INSERT INTO `train_commit_info` VALUES ('108408436212030080', '1668092852644745216', '1591967614425501696', '高志远', '1663721773105025024', '1663731837144535040', '1658292462730481664', '0', '1658292230399594496', '1663720559709655040,1663721773105025024', '本部', '河南省国际公司直属中原营业部', '劳务工', '其他人员');
INSERT INTO `train_commit_info` VALUES ('1668164610349469696', '1668092852644745216', '1590949853146517504', '王涵', '1663492773208264704', '1663731377738223620', '1658292556770971648', '1', '1658292230399594496', '1663389591803138048,1663492773208264704', '省分公司本部', '服务质量部（普遍服务部）', '顶岗实习', '其他人员');
INSERT INTO `train_commit_info` VALUES ('1668165748801015808', '1668092690920771584', '1590949853146517504', '王涵', '1663721773105025024', '1663731837144535045', '1658292556770971648', '1', '1658292230399594496', '1663720559709655040,1663721773105025024', '本部', '河南省国际公司直属国际空运营业部', '顶岗实习', '其他人员');
INSERT INTO `train_commit_info` VALUES ('1668168533412024320', '1668092690920771584', '1555010577007513600', '张磊', '1663483512365387780', '1663745697184354304', '1658292462730481664', '1', '1658292230399594496', '1663435955916378112,1663483512365387780', '安阳市汤阴县', '安阳市豫鑫木糖醇物流项目组', '劳务工', '其他人员');
INSERT INTO `train_commit_info` VALUES ('1668511942668587008', '1668092690920771584', '1591967614425501696', '高志远', '1663492773208264704', '1663731377738223616', '1658292556770971648', '0', '1658292076145676288', '1663389591803138048,1663492773208264704', '省分公司本部', '审计部', '顶岗实习', '营销人员');

-- ----------------------------
-- Table structure for train_commit_info_copy1
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_info_copy1`;
CREATE TABLE `train_commit_info_copy1` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `commit_id` bigint(20) DEFAULT NULL COMMENT '承诺id',
  `create_id` bigint(20) DEFAULT NULL COMMENT '承诺人的id',
  `create_name` varchar(255) DEFAULT NULL COMMENT '承诺人名字',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `shu_id` bigint(20) DEFAULT NULL COMMENT '属性id',
  `video_end` varchar(255) DEFAULT NULL COMMENT '是否看完',
  `gang_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `org_Ids` varchar(255) DEFAULT NULL COMMENT 'orgids',
  `org_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构名称',
  `dept_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `shu_name` varchar(255) DEFAULT NULL COMMENT '属性',
  `gang_name` varchar(255) DEFAULT NULL COMMENT '岗位',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_commit_info_copy1
-- ----------------------------

-- ----------------------------
-- Table structure for train_commit_org
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_org`;
CREATE TABLE `train_commit_org` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、机构。2、部门。',
  `lv` smallint(3) DEFAULT NULL COMMENT '层级：1、省。2、市。3、县。4、支。99、部门',
  `pid` bigint(20) DEFAULT '0' COMMENT '上级id',
  `name` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '名称',
  `code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '系统编号（001001001）方式',
  `use_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '用户自定义编号（部门默认、0000）',
  `seq` smallint(3) DEFAULT '999' COMMENT '顺序号',
  `state` smallint(1) DEFAULT '1' COMMENT '状态 ：0、禁用 。1、正常。',
  `remark` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_commit_org
-- ----------------------------
INSERT INTO `train_commit_org` VALUES ('1663389591803138048', '1', '1', '0', '河南省分公司本部', '001', '56000000', '0', '1', null, '2023-05-30 11:39:18');
INSERT INTO `train_commit_org` VALUES ('1663435138127761408', '1', '1', '0', '河南省信息技术局', '003', null, '1', '1', null, '2023-05-30 14:40:17');
INSERT INTO `train_commit_org` VALUES ('1663435440147009536', '1', '1', '0', '河南省报刊发行局', '004', null, '2', '1', null, '2023-05-30 14:41:29');
INSERT INTO `train_commit_org` VALUES ('1663435521046745088', '1', '1', '0', '中邮人寿保险股份有限公司河南分公司', '005', null, '3', '1', null, '2023-05-30 14:41:48');
INSERT INTO `train_commit_org` VALUES ('1663435575220375552', '1', '1', '0', '郑州邮区中心局', '006', null, '4', '1', null, '2023-05-30 14:42:01');
INSERT INTO `train_commit_org` VALUES ('1663435638122352640', '1', '1', '0', '河南省邮政保安押运服务有限公司', '007', null, '5', '1', null, '2023-05-30 14:42:16');
INSERT INTO `train_commit_org` VALUES ('1663435690056224768', '1', '1', '0', '河南省机要通信局', '008', null, '6', '1', null, '2023-05-30 14:42:28');
INSERT INTO `train_commit_org` VALUES ('1663435747081981952', '1', '1', '0', '河南省邮电印刷厂', '009', null, '7', '1', null, '2023-05-30 14:42:42');
INSERT INTO `train_commit_org` VALUES ('1663435783274631168', '1', '1', '0', '郑州市分公司', '010', null, '8', '1', null, '2023-05-30 14:42:51');
INSERT INTO `train_commit_org` VALUES ('1663435818762637312', '1', '1', '0', '开封市分公司', '011', null, '9', '1', null, '2023-05-30 14:42:59');
INSERT INTO `train_commit_org` VALUES ('1663435871174660096', '1', '1', '0', '洛阳市分公司', '012', null, '10', '1', null, '2023-05-30 14:43:11');
INSERT INTO `train_commit_org` VALUES ('1663435916510892032', '1', '1', '0', '平顶山市分公司', '013', null, '11', '1', null, '2023-05-30 14:43:22');
INSERT INTO `train_commit_org` VALUES ('1663435955916378112', '1', '1', '0', '安阳市分公司', '014', null, '12', '1', null, '2023-05-30 14:43:32');
INSERT INTO `train_commit_org` VALUES ('1663435993165991936', '1', '1', '0', '鹤壁市分公司', '015', null, '13', '1', null, '2023-05-30 14:43:41');
INSERT INTO `train_commit_org` VALUES ('1663436165300228096', '1', '1', '0', '新乡市分公司', '016', null, '14', '1', null, '2023-05-30 14:44:22');
INSERT INTO `train_commit_org` VALUES ('1663436199517360128', '1', '1', '0', '焦作市分公司', '017', null, '15', '1', null, '2023-05-30 14:44:30');
INSERT INTO `train_commit_org` VALUES ('1663436234476883968', '1', '1', '0', '濮阳市分公司', '018', null, '16', '1', null, '2023-05-30 14:44:38');
INSERT INTO `train_commit_org` VALUES ('1663436268572381184', '1', '1', '0', '三门峡市分公司', '019', null, '17', '1', null, '2023-05-30 14:44:46');
INSERT INTO `train_commit_org` VALUES ('1663436301208260608', '1', '1', '0', '许昌市分公司', '020', null, '18', '1', null, '2023-05-30 14:44:54');
INSERT INTO `train_commit_org` VALUES ('1663436340412420096', '1', '1', '0', '漯河市分公司', '021', null, '19', '1', null, '2023-05-30 14:45:03');
INSERT INTO `train_commit_org` VALUES ('1663436387434762240', '1', '1', '0', '商丘市分公司', '022', null, '20', '1', null, '2023-05-30 14:45:15');
INSERT INTO `train_commit_org` VALUES ('1663436416736169984', '1', '1', '0', '周口市分公司', '023', null, '21', '1', null, '2023-05-30 14:45:22');
INSERT INTO `train_commit_org` VALUES ('1663436449783091200', '1', '1', '0', '驻马店市分公司', '024', null, '22', '1', null, '2023-05-30 14:45:29');
INSERT INTO `train_commit_org` VALUES ('1663436482569965568', '1', '1', '0', '南阳市分公司', '025', null, '24', '1', null, '2023-05-30 14:45:37');
INSERT INTO `train_commit_org` VALUES ('1663436528464039936', '1', '1', '0', '信阳市分公司', '026', null, '25', '1', null, '2023-05-30 14:45:48');
INSERT INTO `train_commit_org` VALUES ('1663436565264863232', '1', '1', '0', '济源市分公司', '027', null, '26', '1', null, '2023-05-30 14:45:57');
INSERT INTO `train_commit_org` VALUES ('1663436604863287296', '1', '1', '0', '其他', '028', null, '27', '0', null, '2023-05-30 14:46:06');
INSERT INTO `train_commit_org` VALUES ('1663481261718638592', '1', '2', '1663436268572381184', '三门峡市本部', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638593', '1', '2', '1663436268572381184', '三门峡市灵宝市', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638594', '1', '2', '1663436268572381184', '三门峡市灵宝市分公司', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638595', '1', '2', '1663436268572381184', '三门峡市卢氏县', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638596', '1', '2', '1663436268572381184', '三门峡市卢氏县分公司', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638597', '1', '2', '1663436268572381184', '三门峡市渑池县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638598', '1', '2', '1663436268572381184', '三门峡市陕县', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638599', '1', '2', '1663436268572381184', '三门峡市市区', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638600', '1', '2', '1663436268572381184', '三门峡市市区分公司', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663481261718638601', '1', '2', '1663436268572381184', '三门峡市义马市', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387776', '1', '2', '1663435955916378112', '安阳市市区', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387777', '1', '2', '1663435955916378112', '安阳市殷都区', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387778', '1', '2', '1663435955916378112', '安阳市安阳县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387779', '1', '2', '1663435955916378112', '安阳市本部', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387780', '1', '2', '1663435955916378112', '安阳市汤阴县', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387781', '1', '2', '1663435955916378112', '安阳市内黄县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387782', '1', '2', '1663435955916378112', '安阳市林州市', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663483512365387783', '1', '2', '1663435955916378112', '安阳市滑县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663484976982790144', '1', '2', '1663435993165991936', '鹤壁市浚县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663484976982790145', '1', '2', '1663435993165991936', '鹤壁市淇县', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663484976982790146', '1', '2', '1663435993165991936', '鹤壁市山城区', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663484976982790147', '1', '2', '1663435993165991936', '鹤壁市本部', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663484976982790148', '1', '2', '1663435993165991936', '鹤壁市淇滨区', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663485322106900480', '1', '2', '1663436565264863232', '济源市本部', '027001', null, '1', '1', null, '2023-05-30 17:59:42');
INSERT INTO `train_commit_org` VALUES ('1663486964277579776', '1', '2', '1663436199517360128', '焦作市武陟县', '017001', null, '1', '1', null, '2023-05-30 18:06:13');
INSERT INTO `train_commit_org` VALUES ('1663486994224910336', '1', '2', '1663436199517360128', '焦作市修武县', '017002', null, '2', '1', null, '2023-05-30 18:06:20');
INSERT INTO `train_commit_org` VALUES ('1663487018052751360', '1', '2', '1663436199517360128', '焦作市博爱县', '017003', null, '3', '1', null, '2023-05-30 18:06:26');
INSERT INTO `train_commit_org` VALUES ('1663487043159855104', '1', '2', '1663436199517360128', '焦作市孟州市', '017004', null, '4', '1', null, '2023-05-30 18:06:32');
INSERT INTO `train_commit_org` VALUES ('1663487077850943488', '1', '2', '1663436199517360128', '焦作市沁阳市', '017005', null, '5', '1', null, '2023-05-30 18:06:40');
INSERT INTO `train_commit_org` VALUES ('1663487105642401792', '1', '2', '1663436199517360128', '焦作市温县', '017006', null, '6', '1', null, '2023-05-30 18:06:47');
INSERT INTO `train_commit_org` VALUES ('1663487131491897344', '1', '2', '1663436199517360128', '焦作市解放区', '017007', null, '7', '1', null, '2023-05-30 18:06:53');
INSERT INTO `train_commit_org` VALUES ('1663487157165232128', '1', '2', '1663436199517360128', '焦作市高新区', '017008', null, '8', '1', null, '2023-05-30 18:06:59');
INSERT INTO `train_commit_org` VALUES ('1663487196038041600', '1', '2', '1663436199517360128', '焦作市本部', '017009', null, '9', '1', null, '2023-05-30 18:07:08');
INSERT INTO `train_commit_org` VALUES ('1663487417090445312', '1', '2', '1663435818762637312', '开封市兰考县', '011001', null, '1', '1', null, '2023-05-30 18:08:01');
INSERT INTO `train_commit_org` VALUES ('1663487438514950144', '1', '2', '1663435818762637312', '开封市宋城区', '011002', null, '2', '1', null, '2023-05-30 18:08:06');
INSERT INTO `train_commit_org` VALUES ('1663487463403950080', '1', '2', '1663435818762637312', '开封市祥符区', '011003', null, '3', '1', null, '2023-05-30 18:08:12');
INSERT INTO `train_commit_org` VALUES ('1663487490117472256', '1', '2', '1663435818762637312', '开封市新区', '011004', null, '4', '1', null, '2023-05-30 18:08:18');
INSERT INTO `train_commit_org` VALUES ('1663487514566070272', '1', '2', '1663435818762637312', '开封市本部', '011005', null, '5', '1', null, '2023-05-30 18:08:24');
INSERT INTO `train_commit_org` VALUES ('1663487579913326592', '1', '2', '1663435818762637312', '开封市尉氏县', '011006', null, '6', '1', null, '2023-05-30 18:08:40');
INSERT INTO `train_commit_org` VALUES ('1663487607235022848', '1', '2', '1663435818762637312', '开封市杞县', '011007', null, '7', '1', null, '2023-05-30 18:08:46');
INSERT INTO `train_commit_org` VALUES ('1663487634707714048', '1', '2', '1663435818762637312', '开封市通许县', '011008', null, '8', '1', null, '2023-05-30 18:08:53');
INSERT INTO `train_commit_org` VALUES ('1663488960653037568', '1', '2', '1663435871174660096', '洛阳市伊川县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037569', '1', '2', '1663435871174660096', '洛阳市偃师市', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037570', '1', '2', '1663435871174660096', '洛阳市孟津县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037571', '1', '2', '1663435871174660096', '洛阳市宜阳县', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037572', '1', '2', '1663435871174660096', '洛阳市本部', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037573', '1', '2', '1663435871174660096', '洛阳市嵩县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037574', '1', '2', '1663435871174660096', '洛阳市新安县', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037575', '1', '2', '1663435871174660096', '洛阳市栾川县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037576', '1', '2', '1663435871174660096', '洛阳市汝阳县', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037577', '1', '2', '1663435871174660096', '洛阳市洛宁县', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037578', '1', '2', '1663435871174660096', '洛阳市老城区', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037579', '1', '2', '1663435871174660096', '洛阳市西工区', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037580', '1', '2', '1663435871174660096', '洛阳市洛龙区', null, null, '12', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037581', '1', '2', '1663435871174660096', '洛阳市涧西区', null, null, '13', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663488960653037582', '1', '2', '1663435871174660096', '洛阳市吉利区', null, null, '14', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489512711524352', '1', '2', '1663436340412420096', '漯河市临颍县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489512711524353', '1', '2', '1663436340412420096', '漯河市本部', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489512711524354', '1', '2', '1663436340412420096', '漯河市舞阳县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489512711524355', '1', '2', '1663436340412420096', '漯河市郊区', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489512711524356', '1', '2', '1663436340412420096', '漯河市市区', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265792', '1', '2', '1663436482569965568', '南阳市方城县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265793', '1', '2', '1663436482569965568', '南阳市邓州市', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265794', '1', '2', '1663436482569965568', '南阳市宛城区', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265795', '1', '2', '1663436482569965568', '南阳市官庄工区', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265796', '1', '2', '1663436482569965568', '南阳市卧龙区', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265797', '1', '2', '1663436482569965568', '南阳市本部', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265798', '1', '2', '1663436482569965568', '南阳市郊区', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265799', '1', '2', '1663436482569965568', '南阳市内乡县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265800', '1', '2', '1663436482569965568', '南阳市南召县', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265801', '1', '2', '1663436482569965568', '南阳市唐河县', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265802', '1', '2', '1663436482569965568', '南阳市新野县', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265803', '1', '2', '1663436482569965568', '南阳市桐柏县', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265804', '1', '2', '1663436482569965568', '南阳市淅川县', null, null, '12', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265805', '1', '2', '1663436482569965568', '南阳市社旗县', null, null, '13', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265806', '1', '2', '1663436482569965568', '南阳市西峡县', null, null, '14', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489663119265807', '1', '2', '1663436482569965568', '南阳市镇平县', null, null, '15', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551424', '1', '2', '1663435916510892032', '平顶山市西区', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551425', '1', '2', '1663435916510892032', '平顶山市汝州市', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551426', '1', '2', '1663435916510892032', '平顶山市东区', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551427', '1', '2', '1663435916510892032', '平顶山市本部', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551428', '1', '2', '1663435916510892032', '平顶山市叶县', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551429', '1', '2', '1663435916510892032', '平顶山市宝丰县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551430', '1', '2', '1663435916510892032', '平顶山市舞钢市', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551431', '1', '2', '1663435916510892032', '平顶山市郏县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663489798104551432', '1', '2', '1663435916510892032', '平顶山市鲁山县', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777344', '1', '2', '1663436234476883968', '濮阳市南乐县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777345', '1', '2', '1663436234476883968', '濮阳市台前县', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777346', '1', '2', '1663436234476883968', '濮阳市清丰县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777347', '1', '2', '1663436234476883968', '濮阳市濮阳县', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777348', '1', '2', '1663436234476883968', '濮阳市开发区', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777349', '1', '2', '1663436234476883968', '濮阳市范县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777350', '1', '2', '1663436234476883968', '濮阳市华龙区', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777351', '1', '2', '1663436234476883968', '濮阳市开发区分公司', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490020318777352', '1', '2', '1663436234476883968', '濮阳市本部', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945472', '1', '2', '1663436387434762240', '商丘市夏邑', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945473', '1', '2', '1663436387434762240', '商丘市区分公司', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945474', '1', '2', '1663436387434762240', '商丘市郊区', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945475', '1', '2', '1663436387434762240', '商丘市区', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945476', '1', '2', '1663436387434762240', '商丘市本部', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945477', '1', '2', '1663436387434762240', '商丘市郊区分公司', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945478', '1', '2', '1663436387434762240', '商丘市宁陵', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945479', '1', '2', '1663436387434762240', '商丘市柘城', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945480', '1', '2', '1663436387434762240', '商丘市民权', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945481', '1', '2', '1663436387434762240', '商丘市永城分公司', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945482', '1', '2', '1663436387434762240', '商丘市永城', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945483', '1', '2', '1663436387434762240', '商丘市睢县', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663490303987945484', '1', '2', '1663436387434762240', '商丘市虞城', null, null, '12', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157888', '1', '2', '1663436165300228096', '新乡市红旗区', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157889', '1', '2', '1663436165300228096', '新乡市卫滨区', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157890', '1', '2', '1663436165300228096', '新乡市凤泉区', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157891', '1', '2', '1663436165300228096', '新乡市本部', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157892', '1', '2', '1663436165300228096', '新乡市卫辉', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157893', '1', '2', '1663436165300228096', '新乡市原阳', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157894', '1', '2', '1663436165300228096', '新乡市原阳分公司', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157895', '1', '2', '1663436165300228096', '新乡市封丘', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157896', '1', '2', '1663436165300228096', '新乡市延津', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157897', '1', '2', '1663436165300228096', '新乡市新乡县', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157898', '1', '2', '1663436165300228096', '新乡市新乡县分公司', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157899', '1', '2', '1663436165300228096', '新乡市获嘉', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157900', '1', '2', '1663436165300228096', '新乡市辉县', null, null, '12', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157901', '1', '2', '1663436165300228096', '新乡市长垣', null, null, '13', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491059189157902', '1', '2', '1663436165300228096', '新乡市长垣分公司', null, null, '14', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805120', '1', '2', '1663436528464039936', '信阳市固始', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805121', '1', '2', '1663436528464039936', '信阳市息县', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805122', '1', '2', '1663436528464039936', '信阳市区', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805123', '1', '2', '1663436528464039936', '信阳市郊区', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805124', '1', '2', '1663436528464039936', '信阳市本部', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805125', '1', '2', '1663436528464039936', '信阳市光山', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805126', '1', '2', '1663436528464039936', '信阳市商城', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805127', '1', '2', '1663436528464039936', '信阳市新县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805128', '1', '2', '1663436528464039936', '信阳市淮滨', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805129', '1', '2', '1663436528464039936', '信阳市潢川', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491211580805130', '1', '2', '1663436528464039936', '信阳市罗山', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592768', '1', '2', '1663436301208260608', '许昌市许昌县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592769', '1', '2', '1663436301208260608', '许昌市禹州市', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592770', '1', '2', '1663436301208260608', '许昌市襄城县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592771', '1', '2', '1663436301208260608', '许昌市建南区', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592772', '1', '2', '1663436301208260608', '许昌市建北区', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592773', '1', '2', '1663436301208260608', '许昌市鄢陵县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592774', '1', '2', '1663436301208260608', '许昌市长葛市', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491414530592775', '1', '2', '1663436301208260608', '许昌市本部', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278144', '1', '2', '1663435783274631168', '郑州市新郑市', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278145', '1', '2', '1663435783274631168', '郑州市上街区', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278146', '1', '2', '1663435783274631168', '郑州市中牟县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278147', '1', '2', '1663435783274631168', '郑州市航空港区', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278148', '1', '2', '1663435783274631168', '郑州市本部', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278149', '1', '2', '1663435783274631168', '郑州市巩义市', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278150', '1', '2', '1663435783274631168', '郑州市新密市', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278151', '1', '2', '1663435783274631168', '郑州市登封市', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278152', '1', '2', '1663435783274631168', '郑州市荥阳市', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278153', '1', '2', '1663435783274631168', '郑州市高新区', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278154', '1', '2', '1663435783274631168', '郑州市经开区', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278155', '1', '2', '1663435783274631168', '郑州市中原区', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278156', '1', '2', '1663435783274631168', '郑州市惠济区', null, null, '12', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278157', '1', '2', '1663435783274631168', '郑州市二七区', null, null, '13', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278158', '1', '2', '1663435783274631168', '郑州市管城区', null, null, '14', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278159', '1', '2', '1663435783274631168', '郑州市金水区', null, null, '15', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663491544214278160', '1', '2', '1663435783274631168', '郑州市郑东区', null, null, '16', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071526371328', '1', '2', '1663436416736169984', '周口市区', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071526371329', '1', '2', '1663436416736169984', '周口市区分公司', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071526371330', '1', '2', '1663436416736169984', '周口市本部', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071526371331', '1', '2', '1663436416736169984', '周口市淮阳县', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565632', '1', '2', '1663436416736169984', '周口市商水县', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565633', '1', '2', '1663436416736169984', '周口市太康县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565634', '1', '2', '1663436416736169984', '周口市扶沟县', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565635', '1', '2', '1663436416736169984', '周口市沈丘县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565636', '1', '2', '1663436416736169984', '周口市西华县', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565637', '1', '2', '1663436416736169984', '周口市郸城县', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565638', '1', '2', '1663436416736169984', '周口市项城市', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492071530565639', '1', '2', '1663436416736169984', '周口市鹿邑县', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554112', '1', '2', '1663436449783091200', '驻马店市上蔡县', null, null, '0', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554113', '1', '2', '1663436449783091200', '驻马店市平舆县', null, null, '1', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554114', '1', '2', '1663436449783091200', '驻马店市新蔡县', null, null, '2', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554115', '1', '2', '1663436449783091200', '驻马店市正阳县', null, null, '3', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554116', '1', '2', '1663436449783091200', '驻马店市汝南县', null, null, '4', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554117', '1', '2', '1663436449783091200', '驻马店市泌阳县', null, null, '5', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554118', '1', '2', '1663436449783091200', '驻马店市确山县', null, null, '6', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554119', '1', '2', '1663436449783091200', '驻马店市西平县', null, null, '7', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554120', '1', '2', '1663436449783091200', '驻马店市遂平县', null, null, '8', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554121', '1', '2', '1663436449783091200', '驻马店市驿城区', null, null, '9', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554122', '1', '2', '1663436449783091200', '驻马店市天中区', null, null, '10', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492226174554123', '1', '2', '1663436449783091200', '驻马店市本部', null, null, '11', '1', null, '2023-05-30 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663492773208264704', '1', '2', '1663389591803138048', '省分公司本部', '001001', null, '1', '1', null, '2023-05-30 18:29:18');
INSERT INTO `train_commit_org` VALUES ('1663492921107812352', '1', '1', '0', '河南省培训中心', '029', null, '5', '1', null, '2023-05-30 18:29:53');
INSERT INTO `train_commit_org` VALUES ('1663492989718237184', '1', '2', '1663492921107812352', '培训中心本部', '029001', null, '1', '1', null, '2023-05-30 18:30:10');
INSERT INTO `train_commit_org` VALUES ('1663493087319691264', '1', '1', '0', '河南省物流业务分公司', '030', null, '6', '1', null, '2023-05-30 18:30:33');
INSERT INTO `train_commit_org` VALUES ('1663493130009317376', '1', '2', '1663493087319691264', '本部', '030001', null, '1', '1', null, '2023-05-30 18:30:43');
INSERT INTO `train_commit_org` VALUES ('1663720559709655040', '1', '1', '0', '河南省国际业务分公司', '031', null, '1', '1', null, '2023-05-31 09:34:27');
INSERT INTO `train_commit_org` VALUES ('1663721773105025024', '1', '2', '1663720559709655040', '本部', '031001', null, '1', '1', null, '2023-05-31 09:39:16');
INSERT INTO `train_commit_org` VALUES ('1663723675255443456', '2', '99', '1663492989718237184', '本部', '029001001', '', '1', '1', null, '2023-05-31 09:46:49');
INSERT INTO `train_commit_org` VALUES ('1663727616189927424', '2', '99', '1663481261718638592', '三门峡市六峰路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305664', '2', '99', '1663483512365387778', '安阳市中国文字博物馆主题邮局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305665', '2', '99', '1663483512365387778', '河南省安阳县伦掌邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305666', '2', '99', '1663483512365387778', '河南省安阳县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305667', '2', '99', '1663483512365387778', '河南省安阳县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305668', '2', '99', '1663483512365387778', '河南省安阳县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305669', '2', '99', '1663483512365387778', '河南省安阳县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419992305670', '2', '99', '1663483512365387778', '河南省安阳县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499968', '2', '99', '1663483512365387778', '河南省安阳县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499969', '2', '99', '1663483512365387778', '河南省安阳县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499970', '2', '99', '1663483512365387778', '河南省安阳县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499971', '2', '99', '1663483512365387778', '河南省安阳县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499972', '2', '99', '1663483512365387778', '河南省安阳县北郭邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499973', '2', '99', '1663483512365387778', '河南省安阳县吕村邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499974', '2', '99', '1663483512365387778', '河南省安阳县善应邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499975', '2', '99', '1663483512365387778', '河南省安阳县城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499976', '2', '99', '1663483512365387778', '河南省安阳县安丰邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499977', '2', '99', '1663483512365387778', '河南省安阳县宝莲寺邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499978', '2', '99', '1663483512365387778', '河南省安阳县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499979', '2', '99', '1663483512365387778', '河南省安阳县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499980', '2', '99', '1663483512365387778', '河南省安阳县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499981', '2', '99', '1663483512365387778', '河南省安阳县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499982', '2', '99', '1663483512365387778', '河南省安阳县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499983', '2', '99', '1663483512365387778', '河南省安阳县崔家桥邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499984', '2', '99', '1663483512365387778', '河南省安阳县曲沟邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499985', '2', '99', '1663483512365387778', '河南省安阳县柏庄邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499986', '2', '99', '1663483512365387778', '河南省安阳县殷墟主题邮局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499987', '2', '99', '1663483512365387778', '河南省安阳县水冶邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499988', '2', '99', '1663483512365387778', '河南省安阳县永和邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729419996499989', '2', '99', '1663483512365387778', '河南省安阳县洪河屯邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694272', '2', '99', '1663483512365387778', '河南省安阳县灯塔路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694273', '2', '99', '1663483512365387778', '河南省安阳县瓦店邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694274', '2', '99', '1663483512365387778', '河南省安阳县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694275', '2', '99', '1663483512365387778', '河南省安阳县白壁邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694276', '2', '99', '1663483512365387778', '河南省安阳县磊口邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694277', '2', '99', '1663483512365387778', '河南省安阳县蒋村邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694278', '2', '99', '1663483512365387778', '河南省安阳县许家沟邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694279', '2', '99', '1663483512365387778', '河南省安阳县辛村邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694280', '2', '99', '1663483512365387778', '河南省安阳县都里邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694281', '2', '99', '1663483512365387778', '河南省安阳县铜冶邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694282', '2', '99', '1663483512365387778', '河南省安阳县韩陵邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694283', '2', '99', '1663483512365387778', '河南省安阳县马家邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694284', '2', '99', '1663483512365387778', '河南省安阳县马投涧邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694285', '2', '99', '1663483512365387778', '河南省安阳县高庄邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694286', '2', '99', '1663483512365387778', '河南省安阳县龙山大道邮政支局', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663729420000694287', '2', '99', '1663483512365387778', '河南省安阳县龙泉邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223616', '2', '99', '1663492773208264704', '审计部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223617', '2', '99', '1663492773208264704', '市场营销部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223618', '2', '99', '1663492773208264704', '市场营销部客户营销中心', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223619', '2', '99', '1663492773208264704', '市场营销部数据中心', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223620', '2', '99', '1663492773208264704', '服务质量部（普遍服务部）', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223621', '2', '99', '1663492773208264704', '服务质量部（普遍服务部）客户服务中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223622', '2', '99', '1663492773208264704', '渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223623', '2', '99', '1663492773208264704', '纪委办公室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223624', '2', '99', '1663492773208264704', '财务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223625', '2', '99', '1663492773208264704', '财务部会计核算中心', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223626', '2', '99', '1663492773208264704', '金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223627', '2', '99', '1663492773208264704', '集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223628', '2', '99', '1663492773208264704', '寄递事业部党委党建工作部（纪委办公室）', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223629', '2', '99', '1663492773208264704', '寄递事业部市场部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223630', '2', '99', '1663492773208264704', '寄递事业部快递包裹部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223631', '2', '99', '1663492773208264704', '寄递事业部快递包裹部电商营销中心', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223632', '2', '99', '1663492773208264704', '寄递事业部服务质量部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223633', '2', '99', '1663492773208264704', '寄递事业部服务质量部客户服务中心', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223634', '2', '99', '1663492773208264704', '寄递事业部计划财务部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223635', '2', '99', '1663492773208264704', '寄递事业部计划财务部财务共享中心', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223636', '2', '99', '1663492773208264704', '寄递事业部运营管理部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223637', '2', '99', '1663492773208264704', '寄递事业部运营管理部指挥调度中心', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223638', '2', '99', '1663492773208264704', '寄递事业部速递部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731377738223639', '2', '99', '1663492773208264704', '报刊发行中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535040', '2', '99', '1663721773105025024', '河南省国际公司直属中原营业部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535041', '2', '99', '1663721773105025024', '河南省国际公司直属中速营业部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535042', '2', '99', '1663721773105025024', '河南省国际公司直属二七营业部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535043', '2', '99', '1663721773105025024', '河南省国际公司直属国际保税营业部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535044', '2', '99', '1663721773105025024', '河南省国际公司直属国际特快营业部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535045', '2', '99', '1663721773105025024', '河南省国际公司直属国际空运营业部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535046', '2', '99', '1663721773105025024', '河南省国际公司直属国际货运营业部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535047', '2', '99', '1663721773105025024', '河南省国际公司直属航海路营业部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535048', '2', '99', '1663721773105025024', '河南省国际公司直属进口业务营业部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535049', '2', '99', '1663721773105025024', '河南省国际公司直属金水营业部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535050', '2', '99', '1663721773105025024', '河南省国际公司运输中心', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535051', '2', '99', '1663721773105025024', '河南省寄递事业部国际业务分公司', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535052', '2', '99', '1663721773105025024', '河南省寄递事业部国际业务分公司单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535053', '2', '99', '1663721773105025024', '河南省寄递事业部国际业务分公司市场部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535054', '2', '99', '1663721773105025024', '河南省寄递事业部国际业务分公司运营部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535055', '2', '99', '1663721773105025024', '郑州市国际互换局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535056', '2', '99', '1663721773105025024', '郑州市国际交换站', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535057', '2', '99', '1663721773105025024', '郑州市国际商业快件监管场所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663731837144535058', '2', '99', '1663721773105025024', '郑州市国际报关行', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732466277552128', '2', '99', '1663492989718237184', '河南省培训中心办公室', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732466277552129', '2', '99', '1663492989718237184', '河南省培训中心单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732466277552130', '2', '99', '1663492989718237184', '河南省培训中心培训部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732466277552131', '2', '99', '1663492989718237184', '河南省培训中心非领导职务部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690880', '2', '99', '1663493130009317376', '河南省寄递事业部物流业务分公司平台运营部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690881', '2', '99', '1663493130009317376', '河南省寄递事业部物流业务分公司经营服务部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690882', '2', '99', '1663493130009317376', '河南省寄递事业部物流业务分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690883', '2', '99', '1663493130009317376', '河南省寄递事业部物流业务分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690884', '2', '99', '1663493130009317376', '寄递事业部电商客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690885', '2', '99', '1663493130009317376', '郑州市万力物流项目组', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690886', '2', '99', '1663493130009317376', '郑州市东约机械物流项目组', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690887', '2', '99', '1663493130009317376', '郑州市中烟物流项目组', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690888', '2', '99', '1663493130009317376', '郑州市中瑞物流项目组', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690889', '2', '99', '1663493130009317376', '郑州市中石化物流项目组', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690890', '2', '99', '1663493130009317376', '郑州市亚宝物流项目组', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690891', '2', '99', '1663493130009317376', '郑州市医药物流项目组', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690892', '2', '99', '1663493130009317376', '郑州市华磊物流项目组', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690893', '2', '99', '1663493130009317376', '郑州市原思念物流项目组', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690894', '2', '99', '1663493130009317376', '郑州市原汾酒物流项目组', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690895', '2', '99', '1663493130009317376', '郑州市同城一物流项目组', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690896', '2', '99', '1663493130009317376', '郑州市同城三物流项目组', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690897', '2', '99', '1663493130009317376', '郑州市同城二物流项目组', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690898', '2', '99', '1663493130009317376', '郑州市名酒物流项目组', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690899', '2', '99', '1663493130009317376', '郑州市国药物流项目组', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690900', '2', '99', '1663493130009317376', '郑州市多式联运物流项目组', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690901', '2', '99', '1663493130009317376', '郑州市宇通物流项目组', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690902', '2', '99', '1663493130009317376', '郑州市思念物流项目组', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690903', '2', '99', '1663493130009317376', '郑州市怡沐家居物流项目组', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690904', '2', '99', '1663493130009317376', '郑州市新生活物流项目组', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690905', '2', '99', '1663493130009317376', '郑州市新纯一物流项目组', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690906', '2', '99', '1663493130009317376', '郑州市景盛物流项目组', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690907', '2', '99', '1663493130009317376', '郑州市朗菲物流项目组', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690908', '2', '99', '1663493130009317376', '郑州市木之目物流项目组', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690909', '2', '99', '1663493130009317376', '郑州市格力物流项目组', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690910', '2', '99', '1663493130009317376', '郑州市欧凯物流项目组', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690911', '2', '99', '1663493130009317376', '郑州市正通物流项目组', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690912', '2', '99', '1663493130009317376', '郑州市汽配物流项目组', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690913', '2', '99', '1663493130009317376', '郑州市汾酒物流项目组', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690914', '2', '99', '1663493130009317376', '郑州市泸州酒物流项目组', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690915', '2', '99', '1663493130009317376', '郑州市泽辉园区物流项目组', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690916', '2', '99', '1663493130009317376', '郑州市琦芙郦物流项目组', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690917', '2', '99', '1663493130009317376', '郑州市电商客户东区揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690918', '2', '99', '1663493130009317376', '郑州市电商客户仓配揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690919', '2', '99', '1663493130009317376', '郑州市电商客户南区揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690920', '2', '99', '1663493130009317376', '郑州市电商客户直属揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690921', '2', '99', '1663493130009317376', '郑州市电商客户直属第二揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690922', '2', '99', '1663493130009317376', '郑州市电商客户西区揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690923', '2', '99', '1663493130009317376', '郑州市白象物流项目组', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690924', '2', '99', '1663493130009317376', '郑州市盐业物流项目组', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690925', '2', '99', '1663493130009317376', '郑州市移动物流项目组', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690926', '2', '99', '1663493130009317376', '郑州市统仓共配物流项目组', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690927', '2', '99', '1663493130009317376', '郑州市美宜佳物流项目组', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690928', '2', '99', '1663493130009317376', '郑州市耿力物流项目组', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690929', '2', '99', '1663493130009317376', '郑州市联诚物流项目组', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690930', '2', '99', '1663493130009317376', '郑州市荣恒图书物流项目组', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690931', '2', '99', '1663493130009317376', '郑州市通讯物流项目组', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663732770733690932', '2', '99', '1663493130009317376', '郑州市酣客酒业物流项目组', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082688', '2', '99', '1663491544214278144', '新郑市市区高校直投揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082689', '2', '99', '1663491544214278144', '新郑市龙湖高校直投揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082690', '2', '99', '1663491544214278144', '河南省新郑市中华南路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082691', '2', '99', '1663491544214278144', '河南省新郑市中华路揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082692', '2', '99', '1663491544214278144', '河南省新郑市中华路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082693', '2', '99', '1663491544214278144', '河南省新郑市中原工学院邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082694', '2', '99', '1663491544214278144', '河南省新郑市人民路邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082695', '2', '99', '1663491544214278144', '河南省新郑市八千邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082696', '2', '99', '1663491544214278144', '河南省新郑市分公司', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082697', '2', '99', '1663491544214278144', '河南省新郑市分公司单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082698', '2', '99', '1663491544214278144', '河南省新郑市分公司市场营销部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082699', '2', '99', '1663491544214278144', '河南省新郑市分公司机要室', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082700', '2', '99', '1663491544214278144', '河南省新郑市分公司渠道平台部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082701', '2', '99', '1663491544214278144', '河南省新郑市分公司综合办公室（安全保卫部）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082702', '2', '99', '1663491544214278144', '河南省新郑市分公司金融业务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082703', '2', '99', '1663491544214278144', '河南省新郑市分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082704', '2', '99', '1663491544214278144', '河南省新郑市分公司非领导职务部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082705', '2', '99', '1663491544214278144', '河南省新郑市千户寨邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082706', '2', '99', '1663491544214278144', '河南省新郑市升达邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082707', '2', '99', '1663491544214278144', '河南省新郑市华南城邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082708', '2', '99', '1663491544214278144', '河南省新郑市和庄邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082709', '2', '99', '1663491544214278144', '河南省新郑市城区中心揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082710', '2', '99', '1663491544214278144', '河南省新郑市寄递事业部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082711', '2', '99', '1663491544214278144', '河南省新郑市寄递事业部单位领导部门', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082712', '2', '99', '1663491544214278144', '河南省新郑市寄递事业部市场部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082713', '2', '99', '1663491544214278144', '河南省新郑市寄递事业部运营监控部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082714', '2', '99', '1663491544214278144', '河南省新郑市寄递事业部运输中心（纯核算）', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082715', '2', '99', '1663491544214278144', '河南省新郑市寄递事业部龙湖特快揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082716', '2', '99', '1663491544214278144', '河南省新郑市工程学院揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082717', '2', '99', '1663491544214278144', '河南省新郑市德茂街邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082718', '2', '99', '1663491544214278144', '河南省新郑市新村邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082719', '2', '99', '1663491544214278144', '河南省新郑市梨河邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082720', '2', '99', '1663491544214278144', '河南省新郑市检察官学院邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082721', '2', '99', '1663491544214278144', '河南省新郑市歹庄邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082722', '2', '99', '1663491544214278144', '河南省新郑市河南工程学院校邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082723', '2', '99', '1663491544214278144', '河南省新郑市电商客户快包团队第一揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082724', '2', '99', '1663491544214278144', '河南省新郑市电商客户快包团队第三揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082725', '2', '99', '1663491544214278144', '河南省新郑市电商客户快包团队第二揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082726', '2', '99', '1663491544214278144', '河南省新郑市电商客户揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082727', '2', '99', '1663491544214278144', '河南省新郑市电商客户龙湖揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082728', '2', '99', '1663491544214278144', '河南省新郑市职工医学院邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082729', '2', '99', '1663491544214278144', '河南省新郑市行业客户揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082730', '2', '99', '1663491544214278144', '河南省新郑市西亚斯邮政所', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082731', '2', '99', '1663491544214278144', '河南省新郑市西城邮政支局', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082732', '2', '99', '1663491544214278144', '河南省新郑市观音寺邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082733', '2', '99', '1663491544214278144', '河南省新郑市辛店邮政所', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082734', '2', '99', '1663491544214278144', '河南省新郑市郑州工业技师学院邮政支局', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082735', '2', '99', '1663491544214278144', '河南省新郑市郑州市工业应用技术学院邮政服务中心', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082736', '2', '99', '1663491544214278144', '河南省新郑市郑州理工职业学院邮政服务中心', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082737', '2', '99', '1663491544214278144', '河南省新郑市郑州经贸学院邮政服务中心', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082738', '2', '99', '1663491544214278144', '河南省新郑市郑韩路邮政所', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082739', '2', '99', '1663491544214278144', '河南省新郑市龙湖北揽投部', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082740', '2', '99', '1663491544214278144', '河南省新郑市龙湖揽投部', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082741', '2', '99', '1663491544214278144', '河南省新郑市龙湖邮政支局', null, null, '53', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082742', '2', '99', '1663491544214278144', '郑州市华南城揽投部', null, null, '54', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733295764082743', '2', '99', '1663491544214278144', '郑州市薛店揽投部', null, null, '55', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140672', '2', '99', '1663491544214278145', '河南省上街区峡窝邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140673', '2', '99', '1663491544214278145', '河南省上街区新安东路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140674', '2', '99', '1663491544214278145', '河南省上街区汝南路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140675', '2', '99', '1663491544214278145', '河南省上街区登封路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140676', '2', '99', '1663491544214278145', '郑州市上街中心路揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140677', '2', '99', '1663491544214278145', '郑州市上街区分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140678', '2', '99', '1663491544214278145', '郑州市上街区分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140679', '2', '99', '1663491544214278145', '郑州市上街区分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140680', '2', '99', '1663491544214278145', '郑州市上街区分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140681', '2', '99', '1663491544214278145', '郑州市上街区分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140682', '2', '99', '1663491544214278145', '郑州市上街区分公司金融业务部（中邮保险中心）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140683', '2', '99', '1663491544214278145', '郑州市上街区分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140684', '2', '99', '1663491544214278145', '郑州市上街区分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140685', '2', '99', '1663491544214278145', '郑州市上街区寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140686', '2', '99', '1663491544214278145', '郑州市上街区寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140687', '2', '99', '1663491544214278145', '郑州市上街区寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140688', '2', '99', '1663491544214278145', '郑州市上街区寄递事业部运营监控部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140689', '2', '99', '1663491544214278145', '郑州市上街区寄递事业部运输中心（纯核算）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140690', '2', '99', '1663491544214278145', '郑州市中心路揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140691', '2', '99', '1663491544214278145', '郑州市电商客户上街区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733421786140692', '2', '99', '1663491544214278145', '郑州市行业客户上街揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927360', '2', '99', '1663491544214278146', '河南省中牟县万滩邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927361', '2', '99', '1663491544214278146', '河南省中牟县九龙邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927362', '2', '99', '1663491544214278146', '河南省中牟县人文路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927363', '2', '99', '1663491544214278146', '河南省中牟县仓寨邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927364', '2', '99', '1663491544214278146', '河南省中牟县农业学院揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927365', '2', '99', '1663491544214278146', '河南省中牟县刁家邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927366', '2', '99', '1663491544214278146', '河南省中牟县分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927367', '2', '99', '1663491544214278146', '河南省中牟县分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927368', '2', '99', '1663491544214278146', '河南省中牟县分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927369', '2', '99', '1663491544214278146', '河南省中牟县分公司机要室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927370', '2', '99', '1663491544214278146', '河南省中牟县分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927371', '2', '99', '1663491544214278146', '河南省中牟县分公司综合办公室（安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927372', '2', '99', '1663491544214278146', '河南省中牟县分公司金融业务部（中邮保险中心）', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927373', '2', '99', '1663491544214278146', '河南省中牟县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927374', '2', '99', '1663491544214278146', '河南省中牟县刘集邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927375', '2', '99', '1663491544214278146', '河南省中牟县北环路邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927376', '2', '99', '1663491544214278146', '河南省中牟县城东路揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927377', '2', '99', '1663491544214278146', '河南省中牟县城关邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927378', '2', '99', '1663491544214278146', '河南省中牟县城区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927379', '2', '99', '1663491544214278146', '河南省中牟县大孟邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927380', '2', '99', '1663491544214278146', '河南省中牟县姚家邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927381', '2', '99', '1663491544214278146', '河南省中牟县官渡大街邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927382', '2', '99', '1663491544214278146', '河南省中牟县官渡邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927383', '2', '99', '1663491544214278146', '河南省中牟县寄递事业部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927384', '2', '99', '1663491544214278146', '河南省中牟县寄递事业部单位领导部门', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927385', '2', '99', '1663491544214278146', '河南省中牟县寄递事业部市场部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927386', '2', '99', '1663491544214278146', '河南省中牟县寄递事业部运营监控部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927387', '2', '99', '1663491544214278146', '河南省中牟县寄递事业部运输中心（纯核算）', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927388', '2', '99', '1663491544214278146', '河南省中牟县工商学院揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927389', '2', '99', '1663491544214278146', '河南省中牟县旅游学校邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927390', '2', '99', '1663491544214278146', '河南省中牟县河南农业职业学院邮政服务中心', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927391', '2', '99', '1663491544214278146', '河南省中牟县河南地矿职业学院邮政服务中心', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927392', '2', '99', '1663491544214278146', '河南省中牟县河南测绘职业学院邮政服务中心', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927393', '2', '99', '1663491544214278146', '河南省中牟县河南财政金融学院邮政服务中心', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927394', '2', '99', '1663491544214278146', '河南省中牟县狼城岗邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927395', '2', '99', '1663491544214278146', '河南省中牟县电力学校邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927396', '2', '99', '1663491544214278146', '河南省中牟县电商客户揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927397', '2', '99', '1663491544214278146', '河南省中牟县白沙开发区邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927398', '2', '99', '1663491544214278146', '河南省中牟县白沙揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927399', '2', '99', '1663491544214278146', '河南省中牟县白沙邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927400', '2', '99', '1663491544214278146', '河南省中牟县省交通学院新区邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927401', '2', '99', '1663491544214278146', '河南省中牟县行业客户揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927402', '2', '99', '1663491544214278146', '河南省中牟县象湖揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927403', '2', '99', '1663491544214278146', '河南省中牟县郑州工商学院邮政服务中心', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927404', '2', '99', '1663491544214278146', '河南省中牟县郑州幼儿师范高等专科学校邮政服务中心', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927405', '2', '99', '1663491544214278146', '河南省中牟县郑州电力高等专科学校邮政服务中心', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927406', '2', '99', '1663491544214278146', '河南省中牟县郑州电子信息职业技术学院邮政服务中心', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927407', '2', '99', '1663491544214278146', '河南省中牟县郑州铁路职业技术学院邮政服务中心', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927408', '2', '99', '1663491544214278146', '河南省中牟县郑庵揽投部', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927409', '2', '99', '1663491544214278146', '河南省中牟县郑庵邮政所', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927410', '2', '99', '1663491544214278146', '河南省中牟县雁鸣湖邮政所', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927411', '2', '99', '1663491544214278146', '河南省中牟县韩寺邮政所', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733604854927412', '2', '99', '1663491544214278146', '郑州市绿博揽投部', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252544', '2', '99', '1663491544214278147', '河南省中牟县三官庙邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252545', '2', '99', '1663491544214278147', '河南省中牟县八岗邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252546', '2', '99', '1663491544214278147', '河南省中牟县冯堂邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252547', '2', '99', '1663491544214278147', '河南省中牟县张庄邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252548', '2', '99', '1663491544214278147', '河南省中牟县黄店邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252549', '2', '99', '1663491544214278147', '河南省新郑市孟庄邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252550', '2', '99', '1663491544214278147', '河南省新郑市薛店邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252551', '2', '99', '1663491544214278147', '河南省新郑市郭店邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252552', '2', '99', '1663491544214278147', '河南省新郑市龙王邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252553', '2', '99', '1663491544214278147', '郑州市港区揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252554', '2', '99', '1663491544214278147', '郑州市经开港区寄递业务生产班', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252555', '2', '99', '1663491544214278147', '郑州市航空港区分公司', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252556', '2', '99', '1663491544214278147', '郑州市航空港区分公司单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252557', '2', '99', '1663491544214278147', '郑州市航空港区分公司市场营销班', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252558', '2', '99', '1663491544214278147', '郑州市航空港区分公司渠道平台班', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252559', '2', '99', '1663491544214278147', '郑州市航空港区分公司金融业务班', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252560', '2', '99', '1663491544214278147', '郑州市航空港区分公司集邮与文化传媒班', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252561', '2', '99', '1663491544214278147', '郑州市迎宾大道邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252562', '2', '99', '1663491544214278147', '郑州市郑港揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733759398252563', '2', '99', '1663491544214278147', '郑州市黄河科技大学邮政服务中心', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155520', '2', '99', '1663491544214278148', '河南省分公司标准快递专业责任中心政务一部营业部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155521', '2', '99', '1663491544214278148', '郑州市分公司中邮保险业务部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155522', '2', '99', '1663491544214278148', '郑州市分公司人力资源部（党委组织部）', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155523', '2', '99', '1663491544214278148', '郑州市分公司党委党建工作部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155524', '2', '99', '1663491544214278148', '郑州市分公司函件广告团队', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155525', '2', '99', '1663491544214278148', '郑州市分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155526', '2', '99', '1663491544214278148', '郑州市分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155527', '2', '99', '1663491544214278148', '郑州市分公司市场营销部客户营销中心', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155528', '2', '99', '1663491544214278148', '郑州市分公司服务质量部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155529', '2', '99', '1663491544214278148', '郑州市分公司本部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155530', '2', '99', '1663491544214278148', '郑州市分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155531', '2', '99', '1663491544214278148', '郑州市分公司纪委办公室', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155532', '2', '99', '1663491544214278148', '郑州市分公司综合办公室（党委办公室、安全保卫部）', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155533', '2', '99', '1663491544214278148', '郑州市分公司财务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155534', '2', '99', '1663491544214278148', '郑州市分公司邮政工会', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155535', '2', '99', '1663491544214278148', '郑州市分公司金融业务部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155536', '2', '99', '1663491544214278148', '郑州市分公司集邮与文化传媒部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155537', '2', '99', '1663491544214278148', '郑州市分公司非领导职务部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155538', '2', '99', '1663491544214278148', '郑州市国际公司直属国际小包营业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155539', '2', '99', '1663491544214278148', '郑州市寄递事业部人力资源部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155540', '2', '99', '1663491544214278148', '郑州市寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155541', '2', '99', '1663491544214278148', '郑州市寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155542', '2', '99', '1663491544214278148', '郑州市寄递事业部快包营业部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155543', '2', '99', '1663491544214278148', '郑州市寄递事业部快递包裹部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155544', '2', '99', '1663491544214278148', '郑州市寄递事业部快递包裹部电商营销中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155545', '2', '99', '1663491544214278148', '郑州市寄递事业部服务质量部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155546', '2', '99', '1663491544214278148', '郑州市寄递事业部服务质量部客户服务中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155547', '2', '99', '1663491544214278148', '郑州市寄递事业部本部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155548', '2', '99', '1663491544214278148', '郑州市寄递事业部综合部(党委办公室)', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155549', '2', '99', '1663491544214278148', '郑州市寄递事业部网路运营中心东郊包件车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155550', '2', '99', '1663491544214278148', '郑州市寄递事业部网路运营中心南郊包件车间', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155551', '2', '99', '1663491544214278148', '郑州市寄递事业部网路运营中心西郊包件车间', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155552', '2', '99', '1663491544214278148', '郑州市寄递事业部网路运营中心速递邮件处理车间', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155553', '2', '99', '1663491544214278148', '郑州市寄递事业部计划财务部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155554', '2', '99', '1663491544214278148', '郑州市寄递事业部运营管理部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155555', '2', '99', '1663491544214278148', '郑州市寄递事业部运输中心', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155556', '2', '99', '1663491544214278148', '郑州市寄递事业部速递部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155557', '2', '99', '1663491544214278148', '郑州市寄递事业部速递部商企营销中心', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155558', '2', '99', '1663491544214278148', '郑州市寄递事业部速递部政务营销中心', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155559', '2', '99', '1663491544214278148', '郑州市寄递事业部非领导职务部门', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155560', '2', '99', '1663491544214278148', '郑州市政务客户本部一揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155561', '2', '99', '1663491544214278148', '郑州市政务客户本部三揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155562', '2', '99', '1663491544214278148', '郑州市政务客户本部二揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155563', '2', '99', '1663491544214278148', '郑州市电商客户东郊揽投部', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155564', '2', '99', '1663491544214278148', '郑州市电商客户南郊揽投部', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155565', '2', '99', '1663491544214278148', '郑州市电商客户西郊揽投部', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733873458155566', '2', '99', '1663491544214278148', '郑州市经开东揽投部', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574016', '2', '99', '1663491544214278149', '河南省巩义市分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574017', '2', '99', '1663491544214278149', '河南省巩义市分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574018', '2', '99', '1663491544214278149', '河南省巩义市分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574019', '2', '99', '1663491544214278149', '河南省巩义市分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574020', '2', '99', '1663491544214278149', '河南省巩义市分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574021', '2', '99', '1663491544214278149', '河南省巩义市分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574022', '2', '99', '1663491544214278149', '河南省巩义市分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574023', '2', '99', '1663491544214278149', '河南省巩义市分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574024', '2', '99', '1663491544214278149', '河南省巩义市分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574025', '2', '99', '1663491544214278149', '河南省巩义市北山口邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574026', '2', '99', '1663491544214278149', '河南省巩义市南河渡邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574027', '2', '99', '1663491544214278149', '河南省巩义市回郭镇邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574028', '2', '99', '1663491544214278149', '河南省巩义市城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574029', '2', '99', '1663491544214278149', '河南省巩义市大峪沟邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574030', '2', '99', '1663491544214278149', '河南省巩义市夹津口邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574031', '2', '99', '1663491544214278149', '河南省巩义市孝义邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574032', '2', '99', '1663491544214278149', '河南省巩义市学院路揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574033', '2', '99', '1663491544214278149', '河南省巩义市寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574034', '2', '99', '1663491544214278149', '河南省巩义市寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574035', '2', '99', '1663491544214278149', '河南省巩义市寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574036', '2', '99', '1663491544214278149', '河南省巩义市寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574037', '2', '99', '1663491544214278149', '河南省巩义市寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574038', '2', '99', '1663491544214278149', '河南省巩义市小关邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574039', '2', '99', '1663491544214278149', '河南省巩义市康店邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574040', '2', '99', '1663491544214278149', '河南省巩义市成功学院邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574041', '2', '99', '1663491544214278149', '河南省巩义市新中邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574042', '2', '99', '1663491544214278149', '河南省巩义市新兴路揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574043', '2', '99', '1663491544214278149', '河南省巩义市新兴路邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574044', '2', '99', '1663491544214278149', '河南省巩义市杜甫路邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574045', '2', '99', '1663491544214278149', '河南省巩义市永安邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574046', '2', '99', '1663491544214278149', '河南省巩义市河洛揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574047', '2', '99', '1663491544214278149', '河南省巩义市河洛邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574048', '2', '99', '1663491544214278149', '河南省巩义市涉村邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574049', '2', '99', '1663491544214278149', '河南省巩义市电商客户快包团队揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574050', '2', '99', '1663491544214278149', '河南省巩义市电商客户揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574051', '2', '99', '1663491544214278149', '河南省巩义市站街邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574052', '2', '99', '1663491544214278149', '河南省巩义市竹林邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574053', '2', '99', '1663491544214278149', '河南省巩义市米河邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574054', '2', '99', '1663491544214278149', '河南省巩义市芝田邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574055', '2', '99', '1663491544214278149', '河南省巩义市行业客户揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574056', '2', '99', '1663491544214278149', '河南省巩义市西村邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663733981247574057', '2', '99', '1663491544214278149', '河南省巩义市鲁庄邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587776', '2', '99', '1663491544214278150', '河南省新密市七里岗邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587777', '2', '99', '1663491544214278150', '河南省新密市东大街邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587778', '2', '99', '1663491544214278150', '河南省新密市分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587779', '2', '99', '1663491544214278150', '河南省新密市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587780', '2', '99', '1663491544214278150', '河南省新密市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587781', '2', '99', '1663491544214278150', '河南省新密市分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587782', '2', '99', '1663491544214278150', '河南省新密市分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587783', '2', '99', '1663491544214278150', '河南省新密市分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587784', '2', '99', '1663491544214278150', '河南省新密市分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587785', '2', '99', '1663491544214278150', '河南省新密市分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587786', '2', '99', '1663491544214278150', '河南省新密市分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587787', '2', '99', '1663491544214278150', '河南省新密市刘寨邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587788', '2', '99', '1663491544214278150', '河南省新密市大隗邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587789', '2', '99', '1663491544214278150', '河南省新密市寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587790', '2', '99', '1663491544214278150', '河南省新密市寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587791', '2', '99', '1663491544214278150', '河南省新密市寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587792', '2', '99', '1663491544214278150', '河南省新密市寄递事业部曲梁特快揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587793', '2', '99', '1663491544214278150', '河南省新密市寄递事业部运营监控部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587794', '2', '99', '1663491544214278150', '河南省新密市寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587795', '2', '99', '1663491544214278150', '河南省新密市尖山邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587796', '2', '99', '1663491544214278150', '河南省新密市岳村邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587797', '2', '99', '1663491544214278150', '河南省新密市平陌邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587798', '2', '99', '1663491544214278150', '河南省新密市广场邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587799', '2', '99', '1663491544214278150', '河南省新密市开阳揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587800', '2', '99', '1663491544214278150', '河南省新密市新华路揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587801', '2', '99', '1663491544214278150', '河南省新密市曲梁揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587802', '2', '99', '1663491544214278150', '河南省新密市曲梁邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587803', '2', '99', '1663491544214278150', '河南省新密市来集邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587804', '2', '99', '1663491544214278150', '河南省新密市溱水路邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587805', '2', '99', '1663491544214278150', '河南省新密市牛店邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587806', '2', '99', '1663491544214278150', '河南省新密市王庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587807', '2', '99', '1663491544214278150', '河南省新密市电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587808', '2', '99', '1663491544214278150', '河南省新密市白寨邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587809', '2', '99', '1663491544214278150', '河南省新密市矿区邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587810', '2', '99', '1663491544214278150', '河南省新密市米村邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587811', '2', '99', '1663491544214278150', '河南省新密市老城邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587812', '2', '99', '1663491544214278150', '河南省新密市芦沟邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587813', '2', '99', '1663491544214278150', '河南省新密市苟堂邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587814', '2', '99', '1663491544214278150', '河南省新密市行业客户揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587815', '2', '99', '1663491544214278150', '河南省新密市行政路揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587816', '2', '99', '1663491544214278150', '河南省新密市袁庄邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587817', '2', '99', '1663491544214278150', '河南省新密市裴沟邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587818', '2', '99', '1663491544214278150', '河南省新密市西大街邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587819', '2', '99', '1663491544214278150', '河南省新密市超化矿邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587820', '2', '99', '1663491544214278150', '河南省新密市超化邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587821', '2', '99', '1663491544214278150', '河南省新密市金华邮政支局', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734331744587822', '2', '99', '1663491544214278150', '河南省新密市青屏邮政支局', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066176', '2', '99', '1663491544214278151', '河南省登封市东华邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066177', '2', '99', '1663491544214278151', '河南省登封市中岳邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066178', '2', '99', '1663491544214278151', '河南省登封市分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066179', '2', '99', '1663491544214278151', '河南省登封市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066180', '2', '99', '1663491544214278151', '河南省登封市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066181', '2', '99', '1663491544214278151', '河南省登封市分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066182', '2', '99', '1663491544214278151', '河南省登封市分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066183', '2', '99', '1663491544214278151', '河南省登封市分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066184', '2', '99', '1663491544214278151', '河南省登封市分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066185', '2', '99', '1663491544214278151', '河南省登封市分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066186', '2', '99', '1663491544214278151', '河南省登封市分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066187', '2', '99', '1663491544214278151', '河南省登封市卢店邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066188', '2', '99', '1663491544214278151', '河南省登封市君召邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066189', '2', '99', '1663491544214278151', '河南省登封市告成邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066190', '2', '99', '1663491544214278151', '河南省登封市唐庄邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066191', '2', '99', '1663491544214278151', '河南省登封市城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066192', '2', '99', '1663491544214278151', '河南省登封市大冶邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066193', '2', '99', '1663491544214278151', '河南省登封市大金店邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066194', '2', '99', '1663491544214278151', '河南省登封市守敬路邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066195', '2', '99', '1663491544214278151', '河南省登封市宣化邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066196', '2', '99', '1663491544214278151', '河南省登封市寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066197', '2', '99', '1663491544214278151', '河南省登封市寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066198', '2', '99', '1663491544214278151', '河南省登封市寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066199', '2', '99', '1663491544214278151', '河南省登封市寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066200', '2', '99', '1663491544214278151', '河南省登封市寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066201', '2', '99', '1663491544214278151', '河南省登封市少林大道揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066202', '2', '99', '1663491544214278151', '河南省登封市少林寺邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066203', '2', '99', '1663491544214278151', '河南省登封市嵩山少林武术职业学院邮政服务中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066204', '2', '99', '1663491544214278151', '河南省登封市嵩山路揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066205', '2', '99', '1663491544214278151', '河南省登封市嵩山路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066206', '2', '99', '1663491544214278151', '河南省登封市徐庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066207', '2', '99', '1663491544214278151', '河南省登封市揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066208', '2', '99', '1663491544214278151', '河南省登封市电商客户快包团队揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066209', '2', '99', '1663491544214278151', '河南省登封市电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066210', '2', '99', '1663491544214278151', '河南省登封市白坪邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066211', '2', '99', '1663491544214278151', '河南省登封市石道邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066212', '2', '99', '1663491544214278151', '河南省登封市行业客户揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066213', '2', '99', '1663491544214278151', '河南省登封市送表邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734474246066214', '2', '99', '1663491544214278151', '河南省登封市颍阳邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698688', '2', '99', '1663491544214278152', '河南省荥阳市万山南路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698689', '2', '99', '1663491544214278152', '河南省荥阳市万山南路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698690', '2', '99', '1663491544214278152', '河南省荥阳市万山路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698691', '2', '99', '1663491544214278152', '河南省荥阳市三十里铺邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698692', '2', '99', '1663491544214278152', '河南省荥阳市乔楼邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698693', '2', '99', '1663491544214278152', '河南省荥阳市分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698694', '2', '99', '1663491544214278152', '河南省荥阳市分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698695', '2', '99', '1663491544214278152', '河南省荥阳市分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698696', '2', '99', '1663491544214278152', '河南省荥阳市分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698697', '2', '99', '1663491544214278152', '河南省荥阳市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698698', '2', '99', '1663491544214278152', '河南省荥阳市分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698699', '2', '99', '1663491544214278152', '河南省荥阳市分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698700', '2', '99', '1663491544214278152', '河南省荥阳市分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698701', '2', '99', '1663491544214278152', '河南省荥阳市分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698702', '2', '99', '1663491544214278152', '河南省荥阳市刘河邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698703', '2', '99', '1663491544214278152', '河南省荥阳市城关邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698704', '2', '99', '1663491544214278152', '河南省荥阳市寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698705', '2', '99', '1663491544214278152', '河南省荥阳市寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698706', '2', '99', '1663491544214278152', '河南省荥阳市寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698707', '2', '99', '1663491544214278152', '河南省荥阳市寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698708', '2', '99', '1663491544214278152', '河南省荥阳市寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698709', '2', '99', '1663491544214278152', '河南省荥阳市崔庙邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698710', '2', '99', '1663491544214278152', '河南省荥阳市广武邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698711', '2', '99', '1663491544214278152', '河南省荥阳市棋源路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698712', '2', '99', '1663491544214278152', '河南省荥阳市汜水邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698713', '2', '99', '1663491544214278152', '河南省荥阳市河阴路邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698714', '2', '99', '1663491544214278152', '河南省荥阳市王村邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698715', '2', '99', '1663491544214278152', '河南省荥阳市电商客户快包团队揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698716', '2', '99', '1663491544214278152', '河南省荥阳市电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698717', '2', '99', '1663491544214278152', '河南省荥阳市竹川邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698718', '2', '99', '1663491544214278152', '河南省荥阳市荥阳东区揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698719', '2', '99', '1663491544214278152', '河南省荥阳市行业客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698720', '2', '99', '1663491544214278152', '河南省荥阳市豫龙揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698721', '2', '99', '1663491544214278152', '河南省荥阳市豫龙邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698722', '2', '99', '1663491544214278152', '河南省荥阳市贾峪邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698723', '2', '99', '1663491544214278152', '河南省荥阳市郑州信息工程职业学院邮政服务中心', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698724', '2', '99', '1663491544214278152', '河南省荥阳市郑州卫生健康职业学院邮政服务中心', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698725', '2', '99', '1663491544214278152', '河南省荥阳市郑州轨道工程职业学院邮政服务中心', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698726', '2', '99', '1663491544214278152', '河南省荥阳市金寨邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698727', '2', '99', '1663491544214278152', '河南省荥阳市高山邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698728', '2', '99', '1663491544214278152', '河南省荥阳市高村邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734649475698729', '2', '99', '1663491544214278152', '荥阳市万山路揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807488', '2', '99', '1663491544214278153', '郑州市153医院邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807489', '2', '99', '1663491544214278153', '郑州市五龙口邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807490', '2', '99', '1663491544214278153', '郑州市产业园揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807491', '2', '99', '1663491544214278153', '郑州市侯寨邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807492', '2', '99', '1663491544214278153', '郑州市信息工程大学邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807493', '2', '99', '1663491544214278153', '郑州市冬青揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807494', '2', '99', '1663491544214278153', '郑州市冬青街邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807495', '2', '99', '1663491544214278153', '郑州市创新揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807496', '2', '99', '1663491544214278153', '郑州市化工学院邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807497', '2', '99', '1663491544214278153', '郑州市华山路邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807498', '2', '99', '1663491544214278153', '郑州市华淮邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807499', '2', '99', '1663491544214278153', '郑州市恒大揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807500', '2', '99', '1663491544214278153', '郑州市恒天园揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807501', '2', '99', '1663491544214278153', '郑州市沟赵揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807502', '2', '99', '1663491544214278153', '郑州市河南工业大学邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807503', '2', '99', '1663491544214278153', '郑州市河南工大揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807504', '2', '99', '1663491544214278153', '郑州市河南建筑职业技术学院邮政服务中心', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807505', '2', '99', '1663491544214278153', '郑州市瑞达揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807506', '2', '99', '1663491544214278153', '郑州市电商客户高新区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807507', '2', '99', '1663491544214278153', '郑州市电商客户高新快包团队揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807508', '2', '99', '1663491544214278153', '郑州市科技园揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807509', '2', '99', '1663491544214278153', '郑州市红枫揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807510', '2', '99', '1663491544214278153', '郑州市翠竹街邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807511', '2', '99', '1663491544214278153', '郑州市莲花街揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807512', '2', '99', '1663491544214278153', '郑州市行业客户高新揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807513', '2', '99', '1663491544214278153', '郑州市郑大新区邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807514', '2', '99', '1663491544214278153', '郑州市郑州大学揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807515', '2', '99', '1663491544214278153', '郑州市郑州澍青医学高等专科学校邮政服务中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807516', '2', '99', '1663491544214278153', '郑州市郑州科技学院揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807517', '2', '99', '1663491544214278153', '郑州市郑州科技学院邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807518', '2', '99', '1663491544214278153', '郑州市须水揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807519', '2', '99', '1663491544214278153', '郑州市须水邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807520', '2', '99', '1663491544214278153', '郑州市马寨揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807521', '2', '99', '1663491544214278153', '郑州市马寨邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807522', '2', '99', '1663491544214278153', '郑州市高新专投揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807523', '2', '99', '1663491544214278153', '郑州市高新区分公司单位领导部门', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807524', '2', '99', '1663491544214278153', '郑州市高新区分公司市场营销部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807525', '2', '99', '1663491544214278153', '郑州市高新区分公司渠道平台部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807526', '2', '99', '1663491544214278153', '郑州市高新区分公司金融业务部（中邮保险局）', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807527', '2', '99', '1663491544214278153', '郑州市高新区分公司集邮与文化传媒部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807528', '2', '99', '1663491544214278153', '郑州市高新技术产业开发区分公司', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807529', '2', '99', '1663491544214278153', '郑州市高新技术产业开发区寄递事业部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807530', '2', '99', '1663491544214278153', '郑州市高新技术产业开发区寄递事业部单位领导部门', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663734936575807531', '2', '99', '1663491544214278153', '郑州市黄河医学院邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904192', '2', '99', '1663491544214278154', '郑州市万客来邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904193', '2', '99', '1663491544214278154', '郑州市东三环揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904194', '2', '99', '1663491544214278154', '郑州市东周揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904195', '2', '99', '1663491544214278154', '郑州市五大街揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904196', '2', '99', '1663491544214278154', '郑州市五洲小区邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904197', '2', '99', '1663491544214278154', '郑州市五洲揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904198', '2', '99', '1663491544214278154', '郑州市侯寨揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904199', '2', '99', '1663491544214278154', '郑州市南屏路邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904200', '2', '99', '1663491544214278154', '郑州市南曹邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904201', '2', '99', '1663491544214278154', '郑州市南环路邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904202', '2', '99', '1663491544214278154', '郑州市南郊揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904203', '2', '99', '1663491544214278154', '郑州市商都路揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904204', '2', '99', '1663491544214278154', '郑州市国家经济技术开发区分公司', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904205', '2', '99', '1663491544214278154', '郑州市国家经济技术开发区寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904206', '2', '99', '1663491544214278154', '郑州市国家经济技术开发区寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904207', '2', '99', '1663491544214278154', '郑州市圃田揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904208', '2', '99', '1663491544214278154', '郑州市圃田邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904209', '2', '99', '1663491544214278154', '郑州市寒山东路邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904210', '2', '99', '1663491544214278154', '郑州市文兴揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904211', '2', '99', '1663491544214278154', '郑州市朝凤路揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904212', '2', '99', '1663491544214278154', '郑州市朝凤路邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904213', '2', '99', '1663491544214278154', '郑州市海汇揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904214', '2', '99', '1663491544214278154', '郑州市淮南街邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904215', '2', '99', '1663491544214278154', '郑州市滨河揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904216', '2', '99', '1663491544214278154', '郑州市电商客户国家经济技术开发区揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904217', '2', '99', '1663491544214278154', '郑州市电商客户经开区揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904218', '2', '99', '1663491544214278154', '郑州市祥和揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904219', '2', '99', '1663491544214278154', '郑州市福塔揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904220', '2', '99', '1663491544214278154', '郑州市第二十二大街邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904221', '2', '99', '1663491544214278154', '郑州市第五大街邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904222', '2', '99', '1663491544214278154', '郑州市经开专投揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904223', '2', '99', '1663491544214278154', '郑州市经开区分公司单位领导部门', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904224', '2', '99', '1663491544214278154', '郑州市经开区分公司市场营销部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904225', '2', '99', '1663491544214278154', '郑州市经开区分公司渠道平台部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904226', '2', '99', '1663491544214278154', '郑州市经开区分公司金融业务部（中邮保险局）', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904227', '2', '99', '1663491544214278154', '郑州市经开区分公司集邮与文化传媒部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904228', '2', '99', '1663491544214278154', '郑州市经开村通揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904229', '2', '99', '1663491544214278154', '郑州市聚源揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904230', '2', '99', '1663491544214278154', '郑州市航空港区揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904231', '2', '99', '1663491544214278154', '郑州市荆胡揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904232', '2', '99', '1663491544214278154', '郑州市行业客户经开揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904233', '2', '99', '1663491544214278154', '郑州市行云路邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904234', '2', '99', '1663491544214278154', '郑州市郑航揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904235', '2', '99', '1663491544214278154', '郑州市高铁东站揽投部', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735078032904236', '2', '99', '1663491544214278154', '郑州市鼎盛揽投部', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861120', '2', '99', '1663491544214278155', '郑州市万达邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861121', '2', '99', '1663491544214278155', '郑州市东风西路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861122', '2', '99', '1663491544214278155', '郑州市中原区分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861123', '2', '99', '1663491544214278155', '郑州市中原区分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861124', '2', '99', '1663491544214278155', '郑州市中原区分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861125', '2', '99', '1663491544214278155', '郑州市中原区分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861126', '2', '99', '1663491544214278155', '郑州市中原区分公司金融业务部（中邮保险局）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861127', '2', '99', '1663491544214278155', '郑州市中原区分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861128', '2', '99', '1663491544214278155', '郑州市中原区寄递事业部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861129', '2', '99', '1663491544214278155', '郑州市中原区寄递事业部华淮包快揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861130', '2', '99', '1663491544214278155', '郑州市中原区寄递事业部单位领导部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861131', '2', '99', '1663491544214278155', '郑州市中原揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861132', '2', '99', '1663491544214278155', '郑州市亚星揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861133', '2', '99', '1663491544214278155', '郑州市伏牛路邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861134', '2', '99', '1663491544214278155', '郑州市冉屯揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861135', '2', '99', '1663491544214278155', '郑州市前进路邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861136', '2', '99', '1663491544214278155', '郑州市华强揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861137', '2', '99', '1663491544214278155', '郑州市天成揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861138', '2', '99', '1663491544214278155', '郑州市工人路揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861139', '2', '99', '1663491544214278155', '郑州市工人路邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861140', '2', '99', '1663491544214278155', '郑州市帝湖揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861141', '2', '99', '1663491544214278155', '郑州市建设路揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861142', '2', '99', '1663491544214278155', '郑州市建设路邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861143', '2', '99', '1663491544214278155', '郑州市文化宫路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861144', '2', '99', '1663491544214278155', '郑州市桐柏路邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861145', '2', '99', '1663491544214278155', '郑州市棉西揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861146', '2', '99', '1663491544214278155', '郑州市汝河揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861147', '2', '99', '1663491544214278155', '郑州市汝河路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861148', '2', '99', '1663491544214278155', '郑州市清江路揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861149', '2', '99', '1663491544214278155', '郑州市清江路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861150', '2', '99', '1663491544214278155', '郑州市电商客户中原区揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861151', '2', '99', '1663491544214278155', '郑州市电商客户中原快包团队揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861152', '2', '99', '1663491544214278155', '郑州市行业客户中原揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861153', '2', '99', '1663491544214278155', '郑州市西三环揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861154', '2', '99', '1663491544214278155', '郑州市西站路揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861155', '2', '99', '1663491544214278155', '郑州市郑密路邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861156', '2', '99', '1663491544214278155', '郑州市锦艺城邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861157', '2', '99', '1663491544214278155', '郑州市锦艺揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735182185861158', '2', '99', '1663491544214278155', '郑州市陇海揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303808', '2', '99', '1663491544214278156', '郑州市万邦揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303809', '2', '99', '1663491544214278156', '郑州市三全路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303810', '2', '99', '1663491544214278156', '郑州市中方园邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303811', '2', '99', '1663491544214278156', '郑州市保合寨综合揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303812', '2', '99', '1663491544214278156', '郑州市北三环揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303813', '2', '99', '1663491544214278156', '郑州市华北水院邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303814', '2', '99', '1663491544214278156', '郑州市古荥揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303815', '2', '99', '1663491544214278156', '郑州市古荥邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303816', '2', '99', '1663491544214278156', '郑州市国基路揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303817', '2', '99', '1663491544214278156', '郑州市大学城邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303818', '2', '99', '1663491544214278156', '郑州市宋寨东路邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303819', '2', '99', '1663491544214278156', '郑州市宏达揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303820', '2', '99', '1663491544214278156', '郑州市小铺揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303821', '2', '99', '1663491544214278156', '郑州市师范学院揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303822', '2', '99', '1663491544214278156', '郑州市惠济专投揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303823', '2', '99', '1663491544214278156', '郑州市惠济区分公司', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303824', '2', '99', '1663491544214278156', '郑州市惠济区分公司单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303825', '2', '99', '1663491544214278156', '郑州市惠济区分公司市场营销部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303826', '2', '99', '1663491544214278156', '郑州市惠济区分公司渠道平台部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303827', '2', '99', '1663491544214278156', '郑州市惠济区分公司金融业务部（中邮保险局）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303828', '2', '99', '1663491544214278156', '郑州市惠济区分公司集邮与文化传媒部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303829', '2', '99', '1663491544214278156', '郑州市惠济区寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303830', '2', '99', '1663491544214278156', '郑州市惠济区寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303831', '2', '99', '1663491544214278156', '郑州市杨金路综合揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303832', '2', '99', '1663491544214278156', '郑州市柳林邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303833', '2', '99', '1663491544214278156', '郑州市江山路揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303834', '2', '99', '1663491544214278156', '郑州市河南牧业经济学院邮政服务中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303835', '2', '99', '1663491544214278156', '郑州市海洋路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303836', '2', '99', '1663491544214278156', '郑州市清华园路邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303837', '2', '99', '1663491544214278156', '郑州市田园路揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303838', '2', '99', '1663491544214278156', '郑州市田园路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303839', '2', '99', '1663491544214278156', '郑州市电商客户惠济区揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303840', '2', '99', '1663491544214278156', '郑州市电商客户惠济快包揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303841', '2', '99', '1663491544214278156', '郑州市综合投资区邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303842', '2', '99', '1663491544214278156', '郑州市老鸦陈邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303843', '2', '99', '1663491544214278156', '郑州市花园北路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303844', '2', '99', '1663491544214278156', '郑州市花园口邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303845', '2', '99', '1663491544214278156', '郑州市行业客户惠济揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303846', '2', '99', '1663491544214278156', '郑州市迎宾路揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303847', '2', '99', '1663491544214278156', '郑州市郑州大学体育学院邮政服务中心', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303848', '2', '99', '1663491544214278156', '郑州市郑州工程技术学院邮政服务中心', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303849', '2', '99', '1663491544214278156', '郑州市郑州师范学院邮政服务中心', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303850', '2', '99', '1663491544214278156', '郑州市郑州财经学院揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303851', '2', '99', '1663491544214278156', '郑州市郑州财经学院邮政服务中心', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303852', '2', '99', '1663491544214278156', '郑州市香山路揽投部', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735319117303853', '2', '99', '1663491544214278156', '郑州市黄河南岸邮政所', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927424', '2', '99', '1663491544214278157', '郑州市万邦揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927425', '2', '99', '1663491544214278157', '郑州市三全路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927426', '2', '99', '1663491544214278157', '郑州市中方园邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927427', '2', '99', '1663491544214278157', '郑州市保合寨综合揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927428', '2', '99', '1663491544214278157', '郑州市北三环揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927429', '2', '99', '1663491544214278157', '郑州市华北水院邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927430', '2', '99', '1663491544214278157', '郑州市古荥揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927431', '2', '99', '1663491544214278157', '郑州市古荥邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927432', '2', '99', '1663491544214278157', '郑州市国基路揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927433', '2', '99', '1663491544214278157', '郑州市大学城邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927434', '2', '99', '1663491544214278157', '郑州市宋寨东路邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927435', '2', '99', '1663491544214278157', '郑州市宏达揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927436', '2', '99', '1663491544214278157', '郑州市小铺揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927437', '2', '99', '1663491544214278157', '郑州市师范学院揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927438', '2', '99', '1663491544214278157', '郑州市惠济专投揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927439', '2', '99', '1663491544214278157', '郑州市惠济区分公司', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927440', '2', '99', '1663491544214278157', '郑州市惠济区分公司单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927441', '2', '99', '1663491544214278157', '郑州市惠济区分公司市场营销部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927442', '2', '99', '1663491544214278157', '郑州市惠济区分公司渠道平台部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927443', '2', '99', '1663491544214278157', '郑州市惠济区分公司金融业务部（中邮保险局）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927444', '2', '99', '1663491544214278157', '郑州市惠济区分公司集邮与文化传媒部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927445', '2', '99', '1663491544214278157', '郑州市惠济区寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927446', '2', '99', '1663491544214278157', '郑州市惠济区寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927447', '2', '99', '1663491544214278157', '郑州市杨金路综合揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927448', '2', '99', '1663491544214278157', '郑州市柳林邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927449', '2', '99', '1663491544214278157', '郑州市江山路揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927450', '2', '99', '1663491544214278157', '郑州市河南牧业经济学院邮政服务中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927451', '2', '99', '1663491544214278157', '郑州市海洋路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927452', '2', '99', '1663491544214278157', '郑州市清华园路邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927453', '2', '99', '1663491544214278157', '郑州市田园路揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927454', '2', '99', '1663491544214278157', '郑州市田园路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927455', '2', '99', '1663491544214278157', '郑州市电商客户惠济区揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927456', '2', '99', '1663491544214278157', '郑州市电商客户惠济快包揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927457', '2', '99', '1663491544214278157', '郑州市综合投资区邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927458', '2', '99', '1663491544214278157', '郑州市老鸦陈邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927459', '2', '99', '1663491544214278157', '郑州市花园北路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927460', '2', '99', '1663491544214278157', '郑州市花园口邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927461', '2', '99', '1663491544214278157', '郑州市行业客户惠济揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927462', '2', '99', '1663491544214278157', '郑州市迎宾路揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927463', '2', '99', '1663491544214278157', '郑州市郑州大学体育学院邮政服务中心', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927464', '2', '99', '1663491544214278157', '郑州市郑州工程技术学院邮政服务中心', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927465', '2', '99', '1663491544214278157', '郑州市郑州师范学院邮政服务中心', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927466', '2', '99', '1663491544214278157', '郑州市郑州财经学院揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927467', '2', '99', '1663491544214278157', '郑州市郑州财经学院邮政服务中心', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927468', '2', '99', '1663491544214278157', '郑州市香山路揽投部', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735414973927469', '2', '99', '1663491544214278157', '郑州市黄河南岸邮政所', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318144', '2', '99', '1663491544214278158', '郑州市东明南路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318145', '2', '99', '1663491544214278158', '郑州市东明路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318146', '2', '99', '1663491544214278158', '郑州市东明路邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318147', '2', '99', '1663491544214278158', '郑州市中博揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318148', '2', '99', '1663491544214278158', '郑州市二里岗揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318149', '2', '99', '1663491544214278158', '郑州市凤台揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318150', '2', '99', '1663491544214278158', '郑州市南五里堡邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318151', '2', '99', '1663491544214278158', '郑州市商城东路邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318152', '2', '99', '1663491544214278158', '郑州市城东南路揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318153', '2', '99', '1663491544214278158', '郑州市太阳城揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318154', '2', '99', '1663491544214278158', '郑州市宝景揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318155', '2', '99', '1663491544214278158', '郑州市布厂街邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318156', '2', '99', '1663491544214278158', '郑州市未来路揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318157', '2', '99', '1663491544214278158', '郑州市玉凤路邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318158', '2', '99', '1663491544214278158', '郑州市电商客户管城区快包团队揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318159', '2', '99', '1663491544214278158', '郑州市电商客户管城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318160', '2', '99', '1663491544214278158', '郑州市管城专投揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318161', '2', '99', '1663491544214278158', '郑州市管城区分公司', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318162', '2', '99', '1663491544214278158', '郑州市管城区回族区分公司单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318163', '2', '99', '1663491544214278158', '郑州市管城区寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318164', '2', '99', '1663491544214278158', '郑州市管城区寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318165', '2', '99', '1663491544214278158', '郑州市管城回族区分公司市场营销部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318166', '2', '99', '1663491544214278158', '郑州市管城回族区分公司渠道平台部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318167', '2', '99', '1663491544214278158', '郑州市管城回族区分公司金融业务部（中邮保险局）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318168', '2', '99', '1663491544214278158', '郑州市管城回族区分公司集邮与文化传媒部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318169', '2', '99', '1663491544214278158', '郑州市紫荆山路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318170', '2', '99', '1663491544214278158', '郑州市紫辰路邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318171', '2', '99', '1663491544214278158', '郑州市航海东路邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318172', '2', '99', '1663491544214278158', '郑州市英协揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318173', '2', '99', '1663491544214278158', '郑州市行业客户管城揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318174', '2', '99', '1663491544214278158', '郑州市西大街邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318175', '2', '99', '1663491544214278158', '郑州市货栈街邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318176', '2', '99', '1663491544214278158', '郑州市货站北街揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318177', '2', '99', '1663491544214278158', '郑州市郑汴路揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735511149318178', '2', '99', '1663491544214278158', '郑州市黄委会邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205312', '2', '99', '1663491544214278159', '郑州市东风路邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205313', '2', '99', '1663491544214278159', '郑州市丰庆路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205314', '2', '99', '1663491544214278159', '郑州市二环道揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205315', '2', '99', '1663491544214278159', '郑州市二环道邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205316', '2', '99', '1663491544214278159', '郑州市京沙揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205317', '2', '99', '1663491544214278159', '郑州市农业路揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205318', '2', '99', '1663491544214278159', '郑州市南丰街揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205319', '2', '99', '1663491544214278159', '郑州市南阳路邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205320', '2', '99', '1663491544214278159', '郑州市博颂路揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205321', '2', '99', '1663491544214278159', '郑州市双铺路揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205322', '2', '99', '1663491544214278159', '郑州市叠翠园揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205323', '2', '99', '1663491544214278159', '郑州市同乐揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205324', '2', '99', '1663491544214278159', '郑州市同乐路邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205325', '2', '99', '1663491544214278159', '郑州市天明路邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205326', '2', '99', '1663491544214278159', '郑州市宋寨南街邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205327', '2', '99', '1663491544214278159', '郑州市岗杜邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205328', '2', '99', '1663491544214278159', '郑州市文化路邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205329', '2', '99', '1663491544214278159', '郑州市明达揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205330', '2', '99', '1663491544214278159', '郑州市桃李园邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205331', '2', '99', '1663491544214278159', '郑州市沙口路揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205332', '2', '99', '1663491544214278159', '郑州市电商客户金水区揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205333', '2', '99', '1663491544214278159', '郑州市电商客户金水快包团队揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205334', '2', '99', '1663491544214278159', '郑州市白庙揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205335', '2', '99', '1663491544214278159', '郑州市省中医院邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205336', '2', '99', '1663491544214278159', '郑州市红旗路邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205337', '2', '99', '1663491544214278159', '郑州市经五路邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205338', '2', '99', '1663491544214278159', '郑州市经八路揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205339', '2', '99', '1663491544214278159', '郑州市经八路邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205340', '2', '99', '1663491544214278159', '郑州市行业客户金水揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205341', '2', '99', '1663491544214278159', '郑州市邮政广场邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205342', '2', '99', '1663491544214278159', '郑州市金水区分公司', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205343', '2', '99', '1663491544214278159', '郑州市金水区分公司单位领导部门', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205344', '2', '99', '1663491544214278159', '郑州市金水区分公司市场营销部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205345', '2', '99', '1663491544214278159', '郑州市金水区分公司渠道平台部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205346', '2', '99', '1663491544214278159', '郑州市金水区分公司金融业务部（中邮保险局）', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205347', '2', '99', '1663491544214278159', '郑州市金水区分公司集邮与文化传媒部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205348', '2', '99', '1663491544214278159', '郑州市金水区寄递事业部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205349', '2', '99', '1663491544214278159', '郑州市金水区寄递事业部单位领导部门', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205350', '2', '99', '1663491544214278159', '郑州市金水区寄递事业部科技揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205351', '2', '99', '1663491544214278159', '郑州市金水区寄递事业部行政揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735743480205352', '2', '99', '1663491544214278159', '郑州市铁道警察学院邮政服务中心', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853248', '2', '99', '1663491544214278160', '郑州市中兴路邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853249', '2', '99', '1663491544214278160', '郑州市丰产路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853250', '2', '99', '1663491544214278160', '郑州市众意路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853251', '2', '99', '1663491544214278160', '郑州市众意路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853252', '2', '99', '1663491544214278160', '郑州市农业南路邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853253', '2', '99', '1663491544214278160', '郑州市农大东区揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853254', '2', '99', '1663491544214278160', '郑州市北林邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853255', '2', '99', '1663491544214278160', '郑州市北龙湖揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853256', '2', '99', '1663491544214278160', '郑州市升龙揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853257', '2', '99', '1663491544214278160', '郑州市华北水院揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853258', '2', '99', '1663491544214278160', '郑州市原盛国际邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853259', '2', '99', '1663491544214278160', '郑州市商企客户本部一揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853260', '2', '99', '1663491544214278160', '郑州市商务区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853261', '2', '99', '1663491544214278160', '郑州市姚桥揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853262', '2', '99', '1663491544214278160', '郑州市常寨揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853263', '2', '99', '1663491544214278160', '郑州市常寨邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853264', '2', '99', '1663491544214278160', '郑州市心怡揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853265', '2', '99', '1663491544214278160', '郑州市政六街邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853266', '2', '99', '1663491544214278160', '郑州市明鸿揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853267', '2', '99', '1663491544214278160', '郑州市未来路邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853268', '2', '99', '1663491544214278160', '郑州市林科路揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853269', '2', '99', '1663491544214278160', '郑州市正光路邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853270', '2', '99', '1663491544214278160', '郑州市河南中医药大学邮政服务中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853271', '2', '99', '1663491544214278160', '郑州市河南开放大学邮政服务中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853272', '2', '99', '1663491544214278160', '郑州市河南牧业经济学院郑东校区邮政服务中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853273', '2', '99', '1663491544214278160', '郑州市河南经贸职业学院邮政服务中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853274', '2', '99', '1663491544214278160', '郑州市河南警察学院邮政服务中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853275', '2', '99', '1663491544214278160', '郑州市河南财政金融学院揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853276', '2', '99', '1663491544214278160', '郑州市河南财经政法大学揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853277', '2', '99', '1663491544214278160', '郑州市河南财经政法大学邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853278', '2', '99', '1663491544214278160', '郑州市熊儿河路揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853279', '2', '99', '1663491544214278160', '郑州市燕庄揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853280', '2', '99', '1663491544214278160', '郑州市电商客户郑东区揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853281', '2', '99', '1663491544214278160', '郑州市电商客户郑东快包团队第一揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853282', '2', '99', '1663491544214278160', '郑州市电商客户郑东快包团队第三揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853283', '2', '99', '1663491544214278160', '郑州市电商客户郑东快包团队第二揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853284', '2', '99', '1663491544214278160', '郑州市省府揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853285', '2', '99', '1663491544214278160', '郑州市省直邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853286', '2', '99', '1663491544214278160', '郑州市经一路邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853287', '2', '99', '1663491544214278160', '郑州市经三路邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853288', '2', '99', '1663491544214278160', '郑州市经贸学院揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853289', '2', '99', '1663491544214278160', '郑州市航空学院揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853290', '2', '99', '1663491544214278160', '郑州市航院新校区邮政所', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853291', '2', '99', '1663491544214278160', '郑州市花园路揽投部', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853292', '2', '99', '1663491544214278160', '郑州市花园路邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853293', '2', '99', '1663491544214278160', '郑州市薛夏南街邮政支局', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853294', '2', '99', '1663491544214278160', '郑州市行业客户郑东揽投部', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853295', '2', '99', '1663491544214278160', '郑州市郑东区分公司单位领导部门', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853296', '2', '99', '1663491544214278160', '郑州市郑东区分公司市场营销部', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853297', '2', '99', '1663491544214278160', '郑州市郑东区分公司渠道平台部', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853298', '2', '99', '1663491544214278160', '郑州市郑东区分公司金融业务部（中邮保险局）', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853299', '2', '99', '1663491544214278160', '郑州市郑东区分公司集邮与文化传媒部', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853300', '2', '99', '1663491544214278160', '郑州市郑东新区分公司', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853301', '2', '99', '1663491544214278160', '郑州市郑东新区寄递事业部', null, null, '53', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853302', '2', '99', '1663491544214278160', '郑州市郑东新区寄递事业部单位领导部门', null, null, '54', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853303', '2', '99', '1663491544214278160', '郑州市金水专投揽投部', null, null, '55', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853304', '2', '99', '1663491544214278160', '郑州市鑫苑揽投部', null, null, '56', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663735884236853305', '2', '99', '1663491544214278160', '郑州市龙子湖揽投部', null, null, '57', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905280', '2', '99', '1663487417090445312', '兰考县三农学院邮政服务中心', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905281', '2', '99', '1663487417090445312', '兰考县郑州工商学院快递服务中心', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905282', '2', '99', '1663487417090445312', '河南省兰考县三义寨邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905283', '2', '99', '1663487417090445312', '河南省兰考县东街邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905284', '2', '99', '1663487417090445312', '河南省兰考县仪封邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905285', '2', '99', '1663487417090445312', '河南省兰考县兰北邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905286', '2', '99', '1663487417090445312', '河南省兰考县分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905287', '2', '99', '1663487417090445312', '河南省兰考县分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905288', '2', '99', '1663487417090445312', '河南省兰考县分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905289', '2', '99', '1663487417090445312', '河南省兰考县分公司机要室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905290', '2', '99', '1663487417090445312', '河南省兰考县分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905291', '2', '99', '1663487417090445312', '河南省兰考县分公司综合办公室（安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905292', '2', '99', '1663487417090445312', '河南省兰考县分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905293', '2', '99', '1663487417090445312', '河南省兰考县分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905294', '2', '99', '1663487417090445312', '河南省兰考县分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905295', '2', '99', '1663487417090445312', '河南省兰考县南彰邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905296', '2', '99', '1663487417090445312', '河南省兰考县固阳邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905297', '2', '99', '1663487417090445312', '河南省兰考县坝头邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905298', '2', '99', '1663487417090445312', '河南省兰考县城区中心揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905299', '2', '99', '1663487417090445312', '河南省兰考县孙营邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905300', '2', '99', '1663487417090445312', '河南省兰考县孟寨邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905301', '2', '99', '1663487417090445312', '河南省兰考县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905302', '2', '99', '1663487417090445312', '河南省兰考县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905303', '2', '99', '1663487417090445312', '河南省兰考县寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905304', '2', '99', '1663487417090445312', '河南省兰考县寄递事业部运营监控部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905305', '2', '99', '1663487417090445312', '河南省兰考县寄递事业部运输中心（纯核算）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905306', '2', '99', '1663487417090445312', '河南省兰考县小宋邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905307', '2', '99', '1663487417090445312', '河南省兰考县文体路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905308', '2', '99', '1663487417090445312', '河南省兰考县爪营邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905309', '2', '99', '1663487417090445312', '河南省兰考县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905310', '2', '99', '1663487417090445312', '河南省兰考县红庙邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905311', '2', '99', '1663487417090445312', '河南省兰考县考城邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905312', '2', '99', '1663487417090445312', '河南省兰考县葡萄架邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905313', '2', '99', '1663487417090445312', '河南省兰考县许河邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905314', '2', '99', '1663487417090445312', '河南省兰考县谷营邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905315', '2', '99', '1663487417090445312', '河南省兰考县闫楼邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736096711905316', '2', '99', '1663487417090445312', '河南省开封市兰考县城北揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032448', '2', '99', '1663487438514950144', '开封市东郊揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032449', '2', '99', '1663487438514950144', '开封市东郊邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032450', '2', '99', '1663487438514950144', '开封市仙人庄邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032451', '2', '99', '1663487438514950144', '开封市劳动路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032452', '2', '99', '1663487438514950144', '开封市北郊邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032453', '2', '99', '1663487438514950144', '开封市南关邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032454', '2', '99', '1663487438514950144', '开封市南郊邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032455', '2', '99', '1663487438514950144', '开封市土柏岗邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032456', '2', '99', '1663487438514950144', '开封市学院门邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032457', '2', '99', '1663487438514950144', '开封市宋城区分公司', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032458', '2', '99', '1663487438514950144', '开封市宋城区分公司单位领导部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032459', '2', '99', '1663487438514950144', '开封市宋城区分公司市场营销部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032460', '2', '99', '1663487438514950144', '开封市宋城区分公司渠道平台中心', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032461', '2', '99', '1663487438514950144', '开封市宋城区分公司金融业务中心（中邮保险局）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032462', '2', '99', '1663487438514950144', '开封市宋城区分公司集邮与文化传媒中心', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032463', '2', '99', '1663487438514950144', '开封市宋城区寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032464', '2', '99', '1663487438514950144', '开封市宋城区寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032465', '2', '99', '1663487438514950144', '开封市市内揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032466', '2', '99', '1663487438514950144', '开封市新宋路邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032467', '2', '99', '1663487438514950144', '开封市柳园口邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032468', '2', '99', '1663487438514950144', '开封市汪屯邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032469', '2', '99', '1663487438514950144', '开封市河南大学邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032470', '2', '99', '1663487438514950144', '开封市清明上河园汴京急脚递主题邮局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032471', '2', '99', '1663487438514950144', '开封市滨河路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032472', '2', '99', '1663487438514950144', '开封市电商客户宋城区揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032473', '2', '99', '1663487438514950144', '开封市皇宋开封府主题邮局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032474', '2', '99', '1663487438514950144', '开封市相国寺邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032475', '2', '99', '1663487438514950144', '开封市行宫角邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032476', '2', '99', '1663487438514950144', '开封市西关邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032477', '2', '99', '1663487438514950144', '开封市郑汴路邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032478', '2', '99', '1663487438514950144', '开封市铁塔西街邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032479', '2', '99', '1663487438514950144', '开封市铁塔邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032480', '2', '99', '1663487438514950144', '开封市龙亭揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032481', '2', '99', '1663487438514950144', '开封市龙亭邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032482', '2', '99', '1663487438514950144', '河南省开封市宋城区新相国寺揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736187485032483', '2', '99', '1663487438514950144', '河南省开封市宋城区迎宾路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655744', '2', '99', '1663487463403950080', '开封市中心邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655745', '2', '99', '1663487463403950080', '开封市电商客户祥符区揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655746', '2', '99', '1663487463403950080', '开封市祥符中心揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655747', '2', '99', '1663487463403950080', '开封市祥符区分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655748', '2', '99', '1663487463403950080', '开封市祥符区分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655749', '2', '99', '1663487463403950080', '开封市祥符区分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655750', '2', '99', '1663487463403950080', '开封市祥符区分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655751', '2', '99', '1663487463403950080', '开封市祥符区分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655752', '2', '99', '1663487463403950080', '开封市祥符区分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655753', '2', '99', '1663487463403950080', '开封市祥符区分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655754', '2', '99', '1663487463403950080', '开封市祥符区分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655755', '2', '99', '1663487463403950080', '开封市祥符区分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655756', '2', '99', '1663487463403950080', '开封市祥符区寄递事业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655757', '2', '99', '1663487463403950080', '开封市祥符区寄递事业部单位领导部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655758', '2', '99', '1663487463403950080', '开封市祥符区寄递事业部市场部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655759', '2', '99', '1663487463403950080', '开封市祥符区寄递事业部运营监控部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655760', '2', '99', '1663487463403950080', '开封市祥符区寄递事业部运输中心（纯核算）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655761', '2', '99', '1663487463403950080', '河南省开封市祥符区文化路揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655762', '2', '99', '1663487463403950080', '河南省祥符区万隆邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655763', '2', '99', '1663487463403950080', '河南省祥符区仇楼邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655764', '2', '99', '1663487463403950080', '河南省祥符区八里湾邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655765', '2', '99', '1663487463403950080', '河南省祥符区兴隆邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655766', '2', '99', '1663487463403950080', '河南省祥符区刘店邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655767', '2', '99', '1663487463403950080', '河南省祥符区半坡店邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655768', '2', '99', '1663487463403950080', '河南省祥符区土山岗邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655769', '2', '99', '1663487463403950080', '河南省祥符区大李庄邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655770', '2', '99', '1663487463403950080', '河南省祥符区开祥路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655771', '2', '99', '1663487463403950080', '河南省祥符区曲兴邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655772', '2', '99', '1663487463403950080', '河南省祥符区朱仙镇邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655773', '2', '99', '1663487463403950080', '河南省祥符区杜良邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655774', '2', '99', '1663487463403950080', '河南省祥符区罗王邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655775', '2', '99', '1663487463403950080', '河南省祥符区范村邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655776', '2', '99', '1663487463403950080', '河南省祥符区袁坊邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655777', '2', '99', '1663487463403950080', '河南省祥符区西姜寨邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736276714655778', '2', '99', '1663487463403950080', '河南省祥符区陈留邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733696', '2', '99', '1663487490117472256', '开封市农场邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733697', '2', '99', '1663487490117472256', '开封市商丘学院应用科技学院快递服务中心', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733698', '2', '99', '1663487490117472256', '开封市大学园区揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733699', '2', '99', '1663487490117472256', '开封市工业园揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733700', '2', '99', '1663487490117472256', '开封市开封大学揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733701', '2', '99', '1663487490117472256', '开封市开封大学邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733702', '2', '99', '1663487490117472256', '开封市开封大学邮政服务中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733703', '2', '99', '1663487490117472256', '开封市新区分公司', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733704', '2', '99', '1663487490117472256', '开封市新区分公司单位领导部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733705', '2', '99', '1663487490117472256', '开封市新区分公司市场营销部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733706', '2', '99', '1663487490117472256', '开封市新区分公司渠道平台中心', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733707', '2', '99', '1663487490117472256', '开封市新区分公司金融业务中心（中邮保险局）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733708', '2', '99', '1663487490117472256', '开封市新区分公司集邮与文化传媒中心', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733709', '2', '99', '1663487490117472256', '开封市新区寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733710', '2', '99', '1663487490117472256', '开封市新区寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733711', '2', '99', '1663487490117472256', '开封市杏花营邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733712', '2', '99', '1663487490117472256', '开封市水稻邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733713', '2', '99', '1663487490117472256', '开封市河南大学智能快递服务中心', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733714', '2', '99', '1663487490117472256', '开封市河大西邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733715', '2', '99', '1663487490117472256', '开封市电商客户新区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733716', '2', '99', '1663487490117472256', '开封市科技传媒学院揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733717', '2', '99', '1663487490117472256', '开封市金明揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733718', '2', '99', '1663487490117472256', '开封市金明邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733719', '2', '99', '1663487490117472256', '开封市黄河水利学院揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733720', '2', '99', '1663487490117472256', '河南省开封市新区宋城路揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733721', '2', '99', '1663487490117472256', '河南省开封市新区职教园揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736370616733722', '2', '99', '1663487490117472256', '河南省开封市新区聚英揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834880', '2', '99', '1663487514566070272', '开封市分公司人力资源部（党委组织部）', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834881', '2', '99', '1663487514566070272', '开封市分公司党委党建工作部（纪委办公室）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834882', '2', '99', '1663487514566070272', '开封市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834883', '2', '99', '1663487514566070272', '开封市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834884', '2', '99', '1663487514566070272', '开封市分公司市场营销部客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834885', '2', '99', '1663487514566070272', '开封市分公司服务质量部（普遍服务部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834886', '2', '99', '1663487514566070272', '开封市分公司本部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834887', '2', '99', '1663487514566070272', '开封市分公司机要通信分局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834888', '2', '99', '1663487514566070272', '开封市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834889', '2', '99', '1663487514566070272', '开封市分公司综合办公室（党委办公室、安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834890', '2', '99', '1663487514566070272', '开封市分公司财务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834891', '2', '99', '1663487514566070272', '开封市分公司邮政工会', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834892', '2', '99', '1663487514566070272', '开封市分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834893', '2', '99', '1663487514566070272', '开封市分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834894', '2', '99', '1663487514566070272', '开封市分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834895', '2', '99', '1663487514566070272', '开封市商企客户揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834896', '2', '99', '1663487514566070272', '开封市国际公司直属国际小包营业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834897', '2', '99', '1663487514566070272', '开封市国际公司直属国际营业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834898', '2', '99', '1663487514566070272', '开封市寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834899', '2', '99', '1663487514566070272', '开封市寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834900', '2', '99', '1663487514566070272', '开封市寄递事业部市场部客户营销中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834901', '2', '99', '1663487514566070272', '开封市寄递事业部服务质量部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834902', '2', '99', '1663487514566070272', '开封市寄递事业部服务质量部客户服务中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834903', '2', '99', '1663487514566070272', '开封市寄递事业部本部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834904', '2', '99', '1663487514566070272', '开封市寄递事业部物流营销中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834905', '2', '99', '1663487514566070272', '开封市寄递事业部综合部(党委办公室)', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834906', '2', '99', '1663487514566070272', '开封市寄递事业部网路运营中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834907', '2', '99', '1663487514566070272', '开封市寄递事业部网路运营中心包件车间', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834908', '2', '99', '1663487514566070272', '开封市寄递事业部网路运营中心普服车间', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834909', '2', '99', '1663487514566070272', '开封市寄递事业部网路运营中心运输车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834910', '2', '99', '1663487514566070272', '开封市寄递事业部运营管理部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834911', '2', '99', '1663487514566070272', '开封市寄递事业部非领导职务部门', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834912', '2', '99', '1663487514566070272', '开封市政务客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834913', '2', '99', '1663487514566070272', '开封市物流客户营销团队', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834914', '2', '99', '1663487514566070272', '开封市电商客户揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736473779834915', '2', '99', '1663487514566070272', '开封市电商客户金明揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462400', '2', '99', '1663487579913326592', '河南省尉氏县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462401', '2', '99', '1663487579913326592', '河南省尉氏县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462402', '2', '99', '1663487579913326592', '河南省尉氏县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462403', '2', '99', '1663487579913326592', '河南省尉氏县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462404', '2', '99', '1663487579913326592', '河南省尉氏县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462405', '2', '99', '1663487579913326592', '河南省尉氏县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462406', '2', '99', '1663487579913326592', '河南省尉氏县分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462407', '2', '99', '1663487579913326592', '河南省尉氏县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462408', '2', '99', '1663487579913326592', '河南省尉氏县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462409', '2', '99', '1663487579913326592', '河南省尉氏县十八里邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462410', '2', '99', '1663487579913326592', '河南省尉氏县南曹邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462411', '2', '99', '1663487579913326592', '河南省尉氏县城区揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462412', '2', '99', '1663487579913326592', '河南省尉氏县大桥邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462413', '2', '99', '1663487579913326592', '河南省尉氏县大营邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462414', '2', '99', '1663487579913326592', '河南省尉氏县大马邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462415', '2', '99', '1663487579913326592', '河南省尉氏县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462416', '2', '99', '1663487579913326592', '河南省尉氏县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462417', '2', '99', '1663487579913326592', '河南省尉氏县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462418', '2', '99', '1663487579913326592', '河南省尉氏县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462419', '2', '99', '1663487579913326592', '河南省尉氏县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462420', '2', '99', '1663487579913326592', '河南省尉氏县小陈邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462421', '2', '99', '1663487579913326592', '河南省尉氏县岗李邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462422', '2', '99', '1663487579913326592', '河南省尉氏县庄头邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462423', '2', '99', '1663487579913326592', '河南省尉氏县建设路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462424', '2', '99', '1663487579913326592', '河南省尉氏县张市邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462425', '2', '99', '1663487579913326592', '河南省尉氏县朱曲邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462426', '2', '99', '1663487579913326592', '河南省尉氏县水坡邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462427', '2', '99', '1663487579913326592', '河南省尉氏县永兴邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462428', '2', '99', '1663487579913326592', '河南省尉氏县洧川邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462429', '2', '99', '1663487579913326592', '河南省尉氏县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462430', '2', '99', '1663487579913326592', '河南省尉氏县蔡庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462431', '2', '99', '1663487579913326592', '河南省尉氏县西大街邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462432', '2', '99', '1663487579913326592', '河南省尉氏县邢庄邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462433', '2', '99', '1663487579913326592', '河南省尉氏县门楼任邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736558735462434', '2', '99', '1663487579913326592', '河南省开封市尉氏县人民西路揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050304', '2', '99', '1663487607235022848', '河南省杞县于镇邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050305', '2', '99', '1663487607235022848', '河南省杞县五里河邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050306', '2', '99', '1663487607235022848', '河南省杞县付集邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050307', '2', '99', '1663487607235022848', '河南省杞县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050308', '2', '99', '1663487607235022848', '河南省杞县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050309', '2', '99', '1663487607235022848', '河南省杞县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050310', '2', '99', '1663487607235022848', '河南省杞县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050311', '2', '99', '1663487607235022848', '河南省杞县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050312', '2', '99', '1663487607235022848', '河南省杞县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050313', '2', '99', '1663487607235022848', '河南省杞县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050314', '2', '99', '1663487607235022848', '河南省杞县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050315', '2', '99', '1663487607235022848', '河南省杞县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050316', '2', '99', '1663487607235022848', '河南省杞县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050317', '2', '99', '1663487607235022848', '河南省杞县宗店邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050318', '2', '99', '1663487607235022848', '河南省杞县官庄邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050319', '2', '99', '1663487607235022848', '河南省杞县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050320', '2', '99', '1663487607235022848', '河南省杞县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050321', '2', '99', '1663487607235022848', '河南省杞县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050322', '2', '99', '1663487607235022848', '河南省杞县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050323', '2', '99', '1663487607235022848', '河南省杞县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050324', '2', '99', '1663487607235022848', '河南省杞县平城邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050325', '2', '99', '1663487607235022848', '河南省杞县文化东街邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050326', '2', '99', '1663487607235022848', '河南省杞县文化街揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050327', '2', '99', '1663487607235022848', '河南省杞县板木邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050328', '2', '99', '1663487607235022848', '河南省杞县柿圆邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050329', '2', '99', '1663487607235022848', '河南省杞县沙沃邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050330', '2', '99', '1663487607235022848', '河南省杞县泥沟邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050331', '2', '99', '1663487607235022848', '河南省杞县湖岗邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050332', '2', '99', '1663487607235022848', '河南省杞县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050333', '2', '99', '1663487607235022848', '河南省杞县竹林邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050334', '2', '99', '1663487607235022848', '河南省杞县苏木邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050335', '2', '99', '1663487607235022848', '河南省杞县葛岗邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050336', '2', '99', '1663487607235022848', '河南省杞县裴村店邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050337', '2', '99', '1663487607235022848', '河南省杞县西关邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050338', '2', '99', '1663487607235022848', '河南省杞县西寨邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050339', '2', '99', '1663487607235022848', '河南省杞县邢口邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050340', '2', '99', '1663487607235022848', '河南省杞县阳固邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736649022050341', '2', '99', '1663487607235022848', '河南省杞县高阳邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761216', '2', '99', '1663487634707714048', '河南省通许县中心邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761217', '2', '99', '1663487634707714048', '河南省通许县冯庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761218', '2', '99', '1663487634707714048', '河南省通许县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761219', '2', '99', '1663487634707714048', '河南省通许县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761220', '2', '99', '1663487634707714048', '河南省通许县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761221', '2', '99', '1663487634707714048', '河南省通许县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761222', '2', '99', '1663487634707714048', '河南省通许县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761223', '2', '99', '1663487634707714048', '河南省通许县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761224', '2', '99', '1663487634707714048', '河南省通许县分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761225', '2', '99', '1663487634707714048', '河南省通许县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761226', '2', '99', '1663487634707714048', '河南省通许县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761227', '2', '99', '1663487634707714048', '河南省通许县北关邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761228', '2', '99', '1663487634707714048', '河南省通许县厉庄邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761229', '2', '99', '1663487634707714048', '河南省通许县四所楼邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761230', '2', '99', '1663487634707714048', '河南省通许县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761231', '2', '99', '1663487634707714048', '河南省通许县大岗李邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761232', '2', '99', '1663487634707714048', '河南省通许县孙营邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761233', '2', '99', '1663487634707714048', '河南省通许县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761234', '2', '99', '1663487634707714048', '河南省通许县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761235', '2', '99', '1663487634707714048', '河南省通许县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761236', '2', '99', '1663487634707714048', '河南省通许县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761237', '2', '99', '1663487634707714048', '河南省通许县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761238', '2', '99', '1663487634707714048', '河南省通许县文卫路邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761239', '2', '99', '1663487634707714048', '河南省通许县朱砂邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761240', '2', '99', '1663487634707714048', '河南省通许县玉皇庙邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761241', '2', '99', '1663487634707714048', '河南省通许县电商客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761242', '2', '99', '1663487634707714048', '河南省通许县竖岗邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761243', '2', '99', '1663487634707714048', '河南省通许县练城邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761244', '2', '99', '1663487634707714048', '河南省通许县解放路揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761245', '2', '99', '1663487634707714048', '河南省通许县解放路邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761246', '2', '99', '1663487634707714048', '河南省通许县邸阁邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736743930761247', '2', '99', '1663487634707714048', '河南省通许县长智邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220864', '2', '99', '1663488960653037568', '河南省伊川县中溪邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220865', '2', '99', '1663488960653037568', '河南省伊川县二电邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220866', '2', '99', '1663488960653037568', '河南省伊川县兴华街邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220867', '2', '99', '1663488960653037568', '河南省伊川县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220868', '2', '99', '1663488960653037568', '河南省伊川县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220869', '2', '99', '1663488960653037568', '河南省伊川县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220870', '2', '99', '1663488960653037568', '河南省伊川县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220871', '2', '99', '1663488960653037568', '河南省伊川县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220872', '2', '99', '1663488960653037568', '河南省伊川县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220873', '2', '99', '1663488960653037568', '河南省伊川县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220874', '2', '99', '1663488960653037568', '河南省伊川县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220875', '2', '99', '1663488960653037568', '河南省伊川县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220876', '2', '99', '1663488960653037568', '河南省伊川县半坡邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220877', '2', '99', '1663488960653037568', '河南省伊川县吕店邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220878', '2', '99', '1663488960653037568', '河南省伊川县城关邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220879', '2', '99', '1663488960653037568', '河南省伊川县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220880', '2', '99', '1663488960653037568', '河南省伊川县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220881', '2', '99', '1663488960653037568', '河南省伊川县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220882', '2', '99', '1663488960653037568', '河南省伊川县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220883', '2', '99', '1663488960653037568', '河南省伊川县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220884', '2', '99', '1663488960653037568', '河南省伊川县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220885', '2', '99', '1663488960653037568', '河南省伊川县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220886', '2', '99', '1663488960653037568', '河南省伊川县常川邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220887', '2', '99', '1663488960653037568', '河南省伊川县平等邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220888', '2', '99', '1663488960653037568', '河南省伊川县彭婆邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220889', '2', '99', '1663488960653037568', '河南省伊川县新区揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220890', '2', '99', '1663488960653037568', '河南省伊川县杜康大道邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220891', '2', '99', '1663488960653037568', '河南省伊川县槐树街邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220892', '2', '99', '1663488960653037568', '河南省伊川县水寨邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220893', '2', '99', '1663488960653037568', '河南省伊川县江左邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220894', '2', '99', '1663488960653037568', '河南省伊川县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220895', '2', '99', '1663488960653037568', '河南省伊川县白元邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220896', '2', '99', '1663488960653037568', '河南省伊川县白沙邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220897', '2', '99', '1663488960653037568', '河南省伊川县荆山路邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220898', '2', '99', '1663488960653037568', '河南省伊川县葛寨邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220899', '2', '99', '1663488960653037568', '河南省伊川县酒后邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220900', '2', '99', '1663488960653037568', '河南省伊川县高山邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220901', '2', '99', '1663488960653037568', '河南省伊川县鸣皋邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736904413220902', '2', '99', '1663488960653037568', '河南省伊川县鸦岭邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715904', '2', '99', '1663488960653037569', '河南省偃师市二里头博物馆主题邮局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715905', '2', '99', '1663488960653037569', '河南省偃师市佃庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715906', '2', '99', '1663488960653037569', '河南省偃师市分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715907', '2', '99', '1663488960653037569', '河南省偃师市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715908', '2', '99', '1663488960653037569', '河南省偃师市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715909', '2', '99', '1663488960653037569', '河南省偃师市分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715910', '2', '99', '1663488960653037569', '河南省偃师市分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715911', '2', '99', '1663488960653037569', '河南省偃师市分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715912', '2', '99', '1663488960653037569', '河南省偃师市分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715913', '2', '99', '1663488960653037569', '河南省偃师市分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715914', '2', '99', '1663488960653037569', '河南省偃师市分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715915', '2', '99', '1663488960653037569', '河南省偃师市商都东路揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715916', '2', '99', '1663488960653037569', '河南省偃师市城关邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715917', '2', '99', '1663488960653037569', '河南省偃师市城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715918', '2', '99', '1663488960653037569', '河南省偃师市城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715919', '2', '99', '1663488960653037569', '河南省偃师市城南揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715920', '2', '99', '1663488960653037569', '河南省偃师市大口邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715921', '2', '99', '1663488960653037569', '河南省偃师市寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715922', '2', '99', '1663488960653037569', '河南省偃师市寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715923', '2', '99', '1663488960653037569', '河南省偃师市寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715924', '2', '99', '1663488960653037569', '河南省偃师市寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715925', '2', '99', '1663488960653037569', '河南省偃师市寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715926', '2', '99', '1663488960653037569', '河南省偃师市寇店邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715927', '2', '99', '1663488960653037569', '河南省偃师市山化邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715928', '2', '99', '1663488960653037569', '河南省偃师市岳滩邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715929', '2', '99', '1663488960653037569', '河南省偃师市府店邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715930', '2', '99', '1663488960653037569', '河南省偃师市庞村邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715931', '2', '99', '1663488960653037569', '河南省偃师市民主街邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715932', '2', '99', '1663488960653037569', '河南省偃师市洛阳师范学院邮政服务中心', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715933', '2', '99', '1663488960653037569', '河南省偃师市洛阳职业技术学院邮政服务中心', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715934', '2', '99', '1663488960653037569', '河南省偃师市电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715935', '2', '99', '1663488960653037569', '河南省偃师市缑氏邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715936', '2', '99', '1663488960653037569', '河南省偃师市翟镇邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715937', '2', '99', '1663488960653037569', '河南省偃师市邙岭邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715938', '2', '99', '1663488960653037569', '河南省偃师市顾县邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715939', '2', '99', '1663488960653037569', '河南省偃师市首阳山邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715940', '2', '99', '1663488960653037569', '河南省偃师市高龙邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715941', '2', '99', '1663488960653037569', '洛阳市伊洛路邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715942', '2', '99', '1663488960653037569', '洛阳市李村邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663736998302715943', '2', '99', '1663488960653037569', '洛阳市诸葛邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019712', '2', '99', '1663488960653037570', '河南省孟津县东良邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019713', '2', '99', '1663488960653037570', '河南省孟津县会盟镇邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019714', '2', '99', '1663488960653037570', '河南省孟津县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019715', '2', '99', '1663488960653037570', '河南省孟津县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019716', '2', '99', '1663488960653037570', '河南省孟津县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019717', '2', '99', '1663488960653037570', '河南省孟津县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019718', '2', '99', '1663488960653037570', '河南省孟津县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019719', '2', '99', '1663488960653037570', '河南省孟津县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019720', '2', '99', '1663488960653037570', '河南省孟津县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019721', '2', '99', '1663488960653037570', '河南省孟津县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019722', '2', '99', '1663488960653037570', '河南省孟津县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019723', '2', '99', '1663488960653037570', '河南省孟津县城区揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019724', '2', '99', '1663488960653037570', '河南省孟津县寄递事业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019725', '2', '99', '1663488960653037570', '河南省孟津县寄递事业部单位领导部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019726', '2', '99', '1663488960653037570', '河南省孟津县寄递事业部市场部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019727', '2', '99', '1663488960653037570', '河南省孟津县寄递事业部运营监控部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019728', '2', '99', '1663488960653037570', '河南省孟津县寄递事业部运输中心（纯核算）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019729', '2', '99', '1663488960653037570', '河南省孟津县小浪底大道邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019730', '2', '99', '1663488960653037570', '河南省孟津县小浪底邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019731', '2', '99', '1663488960653037570', '河南省孟津县常袋乡邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019732', '2', '99', '1663488960653037570', '河南省孟津县平乐镇邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019733', '2', '99', '1663488960653037570', '河南省孟津县揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019734', '2', '99', '1663488960653037570', '河南省孟津县朝阳镇邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019735', '2', '99', '1663488960653037570', '河南省孟津县横水镇邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019736', '2', '99', '1663488960653037570', '河南省孟津县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019737', '2', '99', '1663488960653037570', '河南省孟津县白鹤镇邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019738', '2', '99', '1663488960653037570', '河南省孟津县送庄镇邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019739', '2', '99', '1663488960653037570', '河南省孟津县麻屯邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737077164019740', '2', '99', '1663488960653037570', '洛阳市十字街揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767616', '2', '99', '1663488960653037571', '河南省宜阳县三乡邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767617', '2', '99', '1663488960653037571', '河南省宜阳县上观邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767618', '2', '99', '1663488960653037571', '河南省宜阳县丰李邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767619', '2', '99', '1663488960653037571', '河南省宜阳县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767620', '2', '99', '1663488960653037571', '河南省宜阳县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767621', '2', '99', '1663488960653037571', '河南省宜阳县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767622', '2', '99', '1663488960653037571', '河南省宜阳县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767623', '2', '99', '1663488960653037571', '河南省宜阳县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767624', '2', '99', '1663488960653037571', '河南省宜阳县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767625', '2', '99', '1663488960653037571', '河南省宜阳县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767626', '2', '99', '1663488960653037571', '河南省宜阳县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767627', '2', '99', '1663488960653037571', '河南省宜阳县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767628', '2', '99', '1663488960653037571', '河南省宜阳县北城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767629', '2', '99', '1663488960653037571', '河南省宜阳县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767630', '2', '99', '1663488960653037571', '河南省宜阳县城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767631', '2', '99', '1663488960653037571', '河南省宜阳县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767632', '2', '99', '1663488960653037571', '河南省宜阳县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767633', '2', '99', '1663488960653037571', '河南省宜阳县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767634', '2', '99', '1663488960653037571', '河南省宜阳县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767635', '2', '99', '1663488960653037571', '河南省宜阳县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767636', '2', '99', '1663488960653037571', '河南省宜阳县张午邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767637', '2', '99', '1663488960653037571', '河南省宜阳县李贺大道邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767638', '2', '99', '1663488960653037571', '河南省宜阳县柳泉邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767639', '2', '99', '1663488960653037571', '河南省宜阳县樊村邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767640', '2', '99', '1663488960653037571', '河南省宜阳县灵山大道邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767641', '2', '99', '1663488960653037571', '河南省宜阳县电商客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767642', '2', '99', '1663488960653037571', '河南省宜阳县白杨邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767643', '2', '99', '1663488960653037571', '河南省宜阳县盐镇邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767644', '2', '99', '1663488960653037571', '河南省宜阳县石村邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767645', '2', '99', '1663488960653037571', '河南省宜阳县石陵邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767646', '2', '99', '1663488960653037571', '河南省宜阳县红旗西路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767647', '2', '99', '1663488960653037571', '河南省宜阳县红旗路邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767648', '2', '99', '1663488960653037571', '河南省宜阳县花果山邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767649', '2', '99', '1663488960653037571', '河南省宜阳县莲庄邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767650', '2', '99', '1663488960653037571', '河南省宜阳县董王庄邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767651', '2', '99', '1663488960653037571', '河南省宜阳县赵堡邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767652', '2', '99', '1663488960653037571', '河南省宜阳县锦屏邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767653', '2', '99', '1663488960653037571', '河南省宜阳县韩城邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767654', '2', '99', '1663488960653037571', '河南省宜阳县香鹿山邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737204150767655', '2', '99', '1663488960653037571', '河南省宜阳县高村邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233472', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233473', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心信函普服车间', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233474', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心包件车间', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233475', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心印刷品普服车间', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233476', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心报刊普服车间', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233477', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心运输车间', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233478', '2', '99', '1663488960653037572', '河南省寄递事业部洛阳市邮区中心邮件处理中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233479', '2', '99', '1663488960653037572', '洛阳市分公司中邮保险业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233480', '2', '99', '1663488960653037572', '洛阳市分公司人力资源部（党委组织部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233481', '2', '99', '1663488960653037572', '洛阳市分公司党委党建工作部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233482', '2', '99', '1663488960653037572', '洛阳市分公司单位领导部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233483', '2', '99', '1663488960653037572', '洛阳市分公司市场营销部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233484', '2', '99', '1663488960653037572', '洛阳市分公司市场营销部客户营销中心', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233485', '2', '99', '1663488960653037572', '洛阳市分公司服务质量部（普遍服务部）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233486', '2', '99', '1663488960653037572', '洛阳市分公司本部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233487', '2', '99', '1663488960653037572', '洛阳市分公司机要通信分局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233488', '2', '99', '1663488960653037572', '洛阳市分公司渠道平台部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233489', '2', '99', '1663488960653037572', '洛阳市分公司综合办公室（党委办公室、安全保卫部）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233490', '2', '99', '1663488960653037572', '洛阳市分公司财务部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233491', '2', '99', '1663488960653037572', '洛阳市分公司邮政工会', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233492', '2', '99', '1663488960653037572', '洛阳市分公司金融业务部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233493', '2', '99', '1663488960653037572', '洛阳市分公司集邮与文化传媒部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233494', '2', '99', '1663488960653037572', '洛阳市分公司非领导职务部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233495', '2', '99', '1663488960653037572', '洛阳市同城揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233496', '2', '99', '1663488960653037572', '洛阳市商企客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233497', '2', '99', '1663488960653037572', '洛阳市国际公司直属国际小包营业部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233498', '2', '99', '1663488960653037572', '洛阳市国际公司直属国际营业部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233499', '2', '99', '1663488960653037572', '洛阳市寄递事业部交管项目揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233500', '2', '99', '1663488960653037572', '洛阳市寄递事业部单位领导部门', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233501', '2', '99', '1663488960653037572', '洛阳市寄递事业部国际业务分公司', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233502', '2', '99', '1663488960653037572', '洛阳市寄递事业部国际业务分公司市场部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233503', '2', '99', '1663488960653037572', '洛阳市寄递事业部市场部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233504', '2', '99', '1663488960653037572', '洛阳市寄递事业部快递包裹部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233505', '2', '99', '1663488960653037572', '洛阳市寄递事业部快递包裹部电商营销中心', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233506', '2', '99', '1663488960653037572', '洛阳市寄递事业部服务质量部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233507', '2', '99', '1663488960653037572', '洛阳市寄递事业部服务质量部客户服务中心', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233508', '2', '99', '1663488960653037572', '洛阳市寄递事业部本部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233509', '2', '99', '1663488960653037572', '洛阳市寄递事业部法院项目揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233510', '2', '99', '1663488960653037572', '洛阳市寄递事业部物流营销中心', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233511', '2', '99', '1663488960653037572', '洛阳市寄递事业部综合部(党委办公室)', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233512', '2', '99', '1663488960653037572', '洛阳市寄递事业部运营管理部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233513', '2', '99', '1663488960653037572', '洛阳市寄递事业部速递部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233514', '2', '99', '1663488960653037572', '洛阳市寄递事业部速递部商企营销中心', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233515', '2', '99', '1663488960653037572', '洛阳市寄递事业部速递部政务营销中心', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233516', '2', '99', '1663488960653037572', '洛阳市寄递事业部非领导职务部门', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737309696233517', '2', '99', '1663488960653037572', '洛阳市政务客户揽投部', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542464', '2', '99', '1663488960653037573', '河南省嵩县九皋邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542465', '2', '99', '1663488960653037573', '河南省嵩县何村乡邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542466', '2', '99', '1663488960653037573', '河南省嵩县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542467', '2', '99', '1663488960653037573', '河南省嵩县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542468', '2', '99', '1663488960653037573', '河南省嵩县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542469', '2', '99', '1663488960653037573', '河南省嵩县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542470', '2', '99', '1663488960653037573', '河南省嵩县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542471', '2', '99', '1663488960653037573', '河南省嵩县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542472', '2', '99', '1663488960653037573', '河南省嵩县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542473', '2', '99', '1663488960653037573', '河南省嵩县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542474', '2', '99', '1663488960653037573', '河南省嵩县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542475', '2', '99', '1663488960653037573', '河南省嵩县城区中心揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542476', '2', '99', '1663488960653037573', '河南省嵩县城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542477', '2', '99', '1663488960653037573', '河南省嵩县大坪乡邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542478', '2', '99', '1663488960653037573', '河南省嵩县大禹路邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542479', '2', '99', '1663488960653037573', '河南省嵩县大章镇邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542480', '2', '99', '1663488960653037573', '河南省嵩县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542481', '2', '99', '1663488960653037573', '河南省嵩县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542482', '2', '99', '1663488960653037573', '河南省嵩县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542483', '2', '99', '1663488960653037573', '河南省嵩县德亭镇邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542484', '2', '99', '1663488960653037573', '河南省嵩县振兴路揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542485', '2', '99', '1663488960653037573', '河南省嵩县旧县镇邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542486', '2', '99', '1663488960653037573', '河南省嵩县木植街乡邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542487', '2', '99', '1663488960653037573', '河南省嵩县田湖镇邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542488', '2', '99', '1663488960653037573', '河南省嵩县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542489', '2', '99', '1663488960653037573', '河南省嵩县白云中路邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542490', '2', '99', '1663488960653037573', '河南省嵩县白河镇邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542491', '2', '99', '1663488960653037573', '河南省嵩县纸房镇邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542492', '2', '99', '1663488960653037573', '河南省嵩县车村镇邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542493', '2', '99', '1663488960653037573', '河南省嵩县金城路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542494', '2', '99', '1663488960653037573', '河南省嵩县闫庄镇邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542495', '2', '99', '1663488960653037573', '河南省嵩县陆浑邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542496', '2', '99', '1663488960653037573', '河南省嵩县饭坡镇邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737404164542497', '2', '99', '1663488960653037573', '河南省嵩县黄庄乡邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007360', '2', '99', '1663488960653037574', '河南省新安县五头邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007361', '2', '99', '1663488960653037574', '河南省新安县仓头邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007362', '2', '99', '1663488960653037574', '河南省新安县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007363', '2', '99', '1663488960653037574', '河南省新安县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007364', '2', '99', '1663488960653037574', '河南省新安县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007365', '2', '99', '1663488960653037574', '河南省新安县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007366', '2', '99', '1663488960653037574', '河南省新安县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007367', '2', '99', '1663488960653037574', '河南省新安县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007368', '2', '99', '1663488960653037574', '河南省新安县分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007369', '2', '99', '1663488960653037574', '河南省新安县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007370', '2', '99', '1663488960653037574', '河南省新安县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007371', '2', '99', '1663488960653037574', '河南省新安县北京路邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007372', '2', '99', '1663488960653037574', '河南省新安县北冶邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007373', '2', '99', '1663488960653037574', '河南省新安县古灯邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007374', '2', '99', '1663488960653037574', '河南省新安县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007375', '2', '99', '1663488960653037574', '河南省新安县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007376', '2', '99', '1663488960653037574', '河南省新安县孝水邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007377', '2', '99', '1663488960653037574', '河南省新安县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007378', '2', '99', '1663488960653037574', '河南省新安县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007379', '2', '99', '1663488960653037574', '河南省新安县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007380', '2', '99', '1663488960653037574', '河南省新安县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007381', '2', '99', '1663488960653037574', '河南省新安县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007382', '2', '99', '1663488960653037574', '河南省新安县庙头邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007383', '2', '99', '1663488960653037574', '河南省新安县新城揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007384', '2', '99', '1663488960653037574', '河南省新安县曹村邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007385', '2', '99', '1663488960653037574', '河南省新安县李村邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007386', '2', '99', '1663488960653037574', '河南省新安县杭州路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007387', '2', '99', '1663488960653037574', '河南省新安县正村邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007388', '2', '99', '1663488960653037574', '河南省新安县洛阳科技职业学院邮政服务中心', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007389', '2', '99', '1663488960653037574', '河南省新安县物流项目组', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007390', '2', '99', '1663488960653037574', '河南省新安县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007391', '2', '99', '1663488960653037574', '河南省新安县石井邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007392', '2', '99', '1663488960653037574', '河南省新安县石寺邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007393', '2', '99', '1663488960653037574', '河南省新安县磁涧揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007394', '2', '99', '1663488960653037574', '河南省新安县磁涧邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007395', '2', '99', '1663488960653037574', '河南省新安县老城邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737489829007396', '2', '99', '1663488960653037574', '河南省新安县铁门邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239680', '2', '99', '1663488960653037575', '河南省栾川县七里坪邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239681', '2', '99', '1663488960653037575', '河南省栾川县三川邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239682', '2', '99', '1663488960653037575', '河南省栾川县上河南揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239683', '2', '99', '1663488960653037575', '河南省栾川县上河南邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239684', '2', '99', '1663488960653037575', '河南省栾川县冷水邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239685', '2', '99', '1663488960653037575', '河南省栾川县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239686', '2', '99', '1663488960653037575', '河南省栾川县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239687', '2', '99', '1663488960653037575', '河南省栾川县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239688', '2', '99', '1663488960653037575', '河南省栾川县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239689', '2', '99', '1663488960653037575', '河南省栾川县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239690', '2', '99', '1663488960653037575', '河南省栾川县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239691', '2', '99', '1663488960653037575', '河南省栾川县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239692', '2', '99', '1663488960653037575', '河南省栾川县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239693', '2', '99', '1663488960653037575', '河南省栾川县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239694', '2', '99', '1663488960653037575', '河南省栾川县叫河邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239695', '2', '99', '1663488960653037575', '河南省栾川县合峪邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239696', '2', '99', '1663488960653037575', '河南省栾川县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239697', '2', '99', '1663488960653037575', '河南省栾川县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239698', '2', '99', '1663488960653037575', '河南省栾川县大清沟邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239699', '2', '99', '1663488960653037575', '河南省栾川县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239700', '2', '99', '1663488960653037575', '河南省栾川县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239701', '2', '99', '1663488960653037575', '河南省栾川县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239702', '2', '99', '1663488960653037575', '河南省栾川县庙子邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239703', '2', '99', '1663488960653037575', '河南省栾川县狮子庙邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239704', '2', '99', '1663488960653037575', '河南省栾川县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239705', '2', '99', '1663488960653037575', '河南省栾川县白土邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239706', '2', '99', '1663488960653037575', '河南省栾川县石庙邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239707', '2', '99', '1663488960653037575', '河南省栾川县秋扒邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239708', '2', '99', '1663488960653037575', '河南省栾川县谭头邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239709', '2', '99', '1663488960653037575', '河南省栾川县赤土店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239710', '2', '99', '1663488960653037575', '河南省栾川县长春路邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239711', '2', '99', '1663488960653037575', '河南省栾川县陶湾邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737582439239712', '2', '99', '1663488960653037575', '河南省栾川县鸡冠洞邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709952', '2', '99', '1663488960653037576', '河南省汝阳县三屯邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709953', '2', '99', '1663488960653037576', '河南省汝阳县上店邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709954', '2', '99', '1663488960653037576', '河南省汝阳县人民路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709955', '2', '99', '1663488960653037576', '河南省汝阳县付店邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709956', '2', '99', '1663488960653037576', '河南省汝阳县内埠邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709957', '2', '99', '1663488960653037576', '河南省汝阳县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709958', '2', '99', '1663488960653037576', '河南省汝阳县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709959', '2', '99', '1663488960653037576', '河南省汝阳县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709960', '2', '99', '1663488960653037576', '河南省汝阳县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709961', '2', '99', '1663488960653037576', '河南省汝阳县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709962', '2', '99', '1663488960653037576', '河南省汝阳县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709963', '2', '99', '1663488960653037576', '河南省汝阳县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709964', '2', '99', '1663488960653037576', '河南省汝阳县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709965', '2', '99', '1663488960653037576', '河南省汝阳县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709966', '2', '99', '1663488960653037576', '河南省汝阳县刘店邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709967', '2', '99', '1663488960653037576', '河南省汝阳县十八盘邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709968', '2', '99', '1663488960653037576', '河南省汝阳县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709969', '2', '99', '1663488960653037576', '河南省汝阳县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709970', '2', '99', '1663488960653037576', '河南省汝阳县大安邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709971', '2', '99', '1663488960653037576', '河南省汝阳县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709972', '2', '99', '1663488960653037576', '河南省汝阳县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709973', '2', '99', '1663488960653037576', '河南省汝阳县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709974', '2', '99', '1663488960653037576', '河南省汝阳县小店邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709975', '2', '99', '1663488960653037576', '河南省汝阳县新华路揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709976', '2', '99', '1663488960653037576', '河南省汝阳县柏树邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709977', '2', '99', '1663488960653037576', '河南省汝阳县汝鲁路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709978', '2', '99', '1663488960653037576', '河南省汝阳县滨河邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709979', '2', '99', '1663488960653037576', '河南省汝阳县王坪邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709980', '2', '99', '1663488960653037576', '河南省汝阳县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709981', '2', '99', '1663488960653037576', '河南省汝阳县蔡店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709982', '2', '99', '1663488960653037576', '河南省汝阳县陶营邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709983', '2', '99', '1663488960653037576', '河南省汝阳县隆盛路邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737674579709984', '2', '99', '1663488960653037576', '河南省汝阳县靳村邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871872', '2', '99', '1663488960653037577', '河南省洛宁县上戈邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871873', '2', '99', '1663488960653037577', '河南省洛宁县下峪邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871874', '2', '99', '1663488960653037577', '河南省洛宁县东宋邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871875', '2', '99', '1663488960653037577', '河南省洛宁县兴华邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871876', '2', '99', '1663488960653037577', '河南省洛宁县兴宁东路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871877', '2', '99', '1663488960653037577', '河南省洛宁县兴宁路邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871878', '2', '99', '1663488960653037577', '河南省洛宁县凤翼路邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871879', '2', '99', '1663488960653037577', '河南省洛宁县分公司', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871880', '2', '99', '1663488960653037577', '河南省洛宁县分公司单位领导部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871881', '2', '99', '1663488960653037577', '河南省洛宁县分公司市场营销部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871882', '2', '99', '1663488960653037577', '河南省洛宁县分公司机要室', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871883', '2', '99', '1663488960653037577', '河南省洛宁县分公司渠道平台部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871884', '2', '99', '1663488960653037577', '河南省洛宁县分公司综合办公室（安全保卫部）', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871885', '2', '99', '1663488960653037577', '河南省洛宁县分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871886', '2', '99', '1663488960653037577', '河南省洛宁县分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871887', '2', '99', '1663488960653037577', '河南省洛宁县分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871888', '2', '99', '1663488960653037577', '河南省洛宁县城北揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871889', '2', '99', '1663488960653037577', '河南省洛宁县城区中心揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871890', '2', '99', '1663488960653037577', '河南省洛宁县城区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871891', '2', '99', '1663488960653037577', '河南省洛宁县城郊乡邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871892', '2', '99', '1663488960653037577', '河南省洛宁县大原邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871893', '2', '99', '1663488960653037577', '河南省洛宁县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871894', '2', '99', '1663488960653037577', '河南省洛宁县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871895', '2', '99', '1663488960653037577', '河南省洛宁县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871896', '2', '99', '1663488960653037577', '河南省洛宁县小界邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871897', '2', '99', '1663488960653037577', '河南省洛宁县山底邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871898', '2', '99', '1663488960653037577', '河南省洛宁县底张邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871899', '2', '99', '1663488960653037577', '河南省洛宁县故县邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871900', '2', '99', '1663488960653037577', '河南省洛宁县杨坡邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871901', '2', '99', '1663488960653037577', '河南省洛宁县永宁大道邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871902', '2', '99', '1663488960653037577', '河南省洛宁县河底邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871903', '2', '99', '1663488960653037577', '河南省洛宁县涧口邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871904', '2', '99', '1663488960653037577', '河南省洛宁县电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871905', '2', '99', '1663488960653037577', '河南省洛宁县罗岭邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871906', '2', '99', '1663488960653037577', '河南省洛宁县赵村邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871907', '2', '99', '1663488960653037577', '河南省洛宁县长水邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871908', '2', '99', '1663488960653037577', '河南省洛宁县陈吴邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737751041871909', '2', '99', '1663488960653037577', '河南省洛宁县马店邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230720', '2', '99', '1663488960653037578', '洛阳市东车站揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230721', '2', '99', '1663488960653037578', '洛阳市五三七邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230722', '2', '99', '1663488960653037578', '洛阳市五股路邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230723', '2', '99', '1663488960653037578', '洛阳市君河湾邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230724', '2', '99', '1663488960653037578', '洛阳市启明路揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230725', '2', '99', '1663488960653037578', '洛阳市启明路邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230726', '2', '99', '1663488960653037578', '洛阳市春都路邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230727', '2', '99', '1663488960653037578', '洛阳市机车工厂揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230728', '2', '99', '1663488960653037578', '洛阳市机车工厂邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230729', '2', '99', '1663488960653037578', '洛阳市河南林业职业学院邮政服务中心', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230730', '2', '99', '1663488960653037578', '洛阳市电商客户老城区揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230731', '2', '99', '1663488960653037578', '洛阳市白马寺主题邮局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230732', '2', '99', '1663488960653037578', '洛阳市白马寺邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230733', '2', '99', '1663488960653037578', '洛阳市老城区专投揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230734', '2', '99', '1663488960653037578', '洛阳市老城区分公司渠道平台中心', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230735', '2', '99', '1663488960653037578', '洛阳市老城区分公司瀍河区市场营销部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230736', '2', '99', '1663488960653037578', '洛阳市老城区分公司金融业务中心（中邮保险局）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230737', '2', '99', '1663488960653037578', '洛阳市老城区分公司集邮与文化传媒中心', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230738', '2', '99', '1663488960653037578', '洛阳市老城区寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230739', '2', '99', '1663488960653037578', '洛阳市老城区寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230740', '2', '99', '1663488960653037578', '洛阳市老城区瀍河区分公司', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230741', '2', '99', '1663488960653037578', '洛阳市青年宫揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737855635230742', '2', '99', '1663488960653037578', '洛阳市青年宫邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709120', '2', '99', '1663488960653037579', '洛阳市中州中路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709121', '2', '99', '1663488960653037579', '洛阳市健康西路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709122', '2', '99', '1663488960653037579', '洛阳市凯旋西路邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709123', '2', '99', '1663488960653037579', '洛阳市凯旋路揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709124', '2', '99', '1663488960653037579', '洛阳市宏进市场邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709125', '2', '99', '1663488960653037579', '洛阳市洛北乡邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709126', '2', '99', '1663488960653037579', '洛阳市火车站揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709127', '2', '99', '1663488960653037579', '洛阳市王城路揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709128', '2', '99', '1663488960653037579', '洛阳市电商客户西工区揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709129', '2', '99', '1663488960653037579', '洛阳市红山乡揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709130', '2', '99', '1663488960653037579', '洛阳市红山乡邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709131', '2', '99', '1663488960653037579', '洛阳市纱厂西路邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709132', '2', '99', '1663488960653037579', '洛阳市航空港揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709133', '2', '99', '1663488960653037579', '洛阳市西工区分公司', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709134', '2', '99', '1663488960653037579', '洛阳市西工区分公司市场营销部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709135', '2', '99', '1663488960653037579', '洛阳市西工区分公司渠道平台部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709136', '2', '99', '1663488960653037579', '洛阳市西工区分公司金融业务部（中邮保险中心）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709137', '2', '99', '1663488960653037579', '洛阳市西工区分公司集邮与文化传媒部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709138', '2', '99', '1663488960653037579', '洛阳市西工区寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709139', '2', '99', '1663488960653037579', '洛阳市西工区寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709140', '2', '99', '1663488960653037579', '洛阳市西工区寄递事业部火车站特快揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663737932600709141', '2', '99', '1663488960653037579', '洛阳市邙岭路邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025792', '2', '99', '1663488960653037580', '洛阳市关林邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025793', '2', '99', '1663488960653037580', '洛阳市古城乡邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025794', '2', '99', '1663488960653037580', '洛阳市城西揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025795', '2', '99', '1663488960653037580', '洛阳市大学城揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025796', '2', '99', '1663488960653037580', '洛阳市太康东路邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025797', '2', '99', '1663488960653037580', '洛阳市太康路揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025798', '2', '99', '1663488960653037580', '洛阳市展览路揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025799', '2', '99', '1663488960653037580', '洛阳市市政府邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025800', '2', '99', '1663488960653037580', '洛阳市开元湖揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025801', '2', '99', '1663488960653037580', '洛阳市开元湖邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025802', '2', '99', '1663488960653037580', '洛阳市李楼乡邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025803', '2', '99', '1663488960653037580', '洛阳市河南推拿职业学院邮政服务中心', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025804', '2', '99', '1663488960653037580', '洛阳市河科大开元校区邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025805', '2', '99', '1663488960653037580', '洛阳市洛龙区分公司', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025806', '2', '99', '1663488960653037580', '洛阳市洛龙区分公司市场营销部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025807', '2', '99', '1663488960653037580', '洛阳市洛龙区分公司渠道平台中心', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025808', '2', '99', '1663488960653037580', '洛阳市洛龙区分公司金融业务中心（中邮保险局）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025809', '2', '99', '1663488960653037580', '洛阳市洛龙区分公司集邮与文化传媒中心', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025810', '2', '99', '1663488960653037580', '洛阳市洛龙区寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025811', '2', '99', '1663488960653037580', '洛阳市洛龙区寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025812', '2', '99', '1663488960653037580', '洛阳市洛龙揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025813', '2', '99', '1663488960653037580', '洛阳市瀛洲路揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025814', '2', '99', '1663488960653037580', '洛阳市电商客户洛龙区揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025815', '2', '99', '1663488960653037580', '洛阳市英才路邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025816', '2', '99', '1663488960653037580', '洛阳市隋唐城路邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025817', '2', '99', '1663488960653037580', '洛阳市高校揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025818', '2', '99', '1663488960653037580', '洛阳市龙门大道邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663738055045025819', '2', '99', '1663488960653037580', '洛阳市龙门景区邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833536', '2', '99', '1663488960653037581', '洛阳市创业园揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833537', '2', '99', '1663488960653037581', '洛阳市创业路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833538', '2', '99', '1663488960653037581', '洛阳市南昌路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833539', '2', '99', '1663488960653037581', '洛阳市南昌路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833540', '2', '99', '1663488960653037581', '洛阳市天津路揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833541', '2', '99', '1663488960653037581', '洛阳市天津路第二揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833542', '2', '99', '1663488960653037581', '洛阳市天津路邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833543', '2', '99', '1663488960653037581', '洛阳市太原路邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833544', '2', '99', '1663488960653037581', '洛阳市孙旗屯邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833545', '2', '99', '1663488960653037581', '洛阳市工农乡邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833546', '2', '99', '1663488960653037581', '洛阳市市区中心揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833547', '2', '99', '1663488960653037581', '洛阳市景华路邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833548', '2', '99', '1663488960653037581', '洛阳市武汉南路邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833549', '2', '99', '1663488960653037581', '洛阳市涧西区分公司', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833550', '2', '99', '1663488960653037581', '洛阳市涧西区分公司市场营销部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833551', '2', '99', '1663488960653037581', '洛阳市涧西区分公司渠道平台部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833552', '2', '99', '1663488960653037581', '洛阳市涧西区分公司金融业务部（中邮保险局）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833553', '2', '99', '1663488960653037581', '洛阳市涧西区分公司集邮与文化传媒部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833554', '2', '99', '1663488960653037581', '洛阳市涧西区寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833555', '2', '99', '1663488960653037581', '洛阳市涧西区寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833556', '2', '99', '1663488960653037581', '洛阳市涧西区物流项目组', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833557', '2', '99', '1663488960653037581', '洛阳市牡丹路邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833558', '2', '99', '1663488960653037581', '洛阳市电商客户涧西区揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833559', '2', '99', '1663488960653037581', '洛阳市联盟路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833560', '2', '99', '1663488960653037581', '洛阳市谷水村揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833561', '2', '99', '1663488960653037581', '洛阳市谷水邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833562', '2', '99', '1663488960653037581', '洛阳市辛店邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833563', '2', '99', '1663488960653037581', '洛阳市郑州路揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833564', '2', '99', '1663488960653037581', '洛阳市郑州路邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833565', '2', '99', '1663488960653037581', '洛阳市高新揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744008800833566', '2', '99', '1663488960653037581', '洛阳市龙五揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486528', '2', '99', '1663488960653037582', '洛阳市吉利区分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486529', '2', '99', '1663488960653037582', '洛阳市吉利区分公司市场营销部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486530', '2', '99', '1663488960653037582', '洛阳市吉利区分公司渠道平台中心', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486531', '2', '99', '1663488960653037582', '洛阳市吉利区分公司金融业务中心（中邮保险局）', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486532', '2', '99', '1663488960653037582', '洛阳市吉利区分公司集邮与文化传媒中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486533', '2', '99', '1663488960653037582', '洛阳市吉利区寄递事业部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486534', '2', '99', '1663488960653037582', '洛阳市吉利区寄递事业部单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486535', '2', '99', '1663488960653037582', '洛阳市大庆路邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486536', '2', '99', '1663488960653037582', '洛阳市洛龙区吉利揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744149406486537', '2', '99', '1663488960653037582', '洛阳市电商客户吉利区揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724032', '2', '99', '1663489798104551424', '平顶山市南环路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724033', '2', '99', '1663489798104551424', '平顶山市光明路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724034', '2', '99', '1663489798104551424', '平顶山市北渡邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724035', '2', '99', '1663489798104551424', '平顶山市四矿邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724036', '2', '99', '1663489798104551424', '平顶山市园林路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724037', '2', '99', '1663489798104551424', '平顶山市姚孟邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724038', '2', '99', '1663489798104551424', '平顶山市平顶山学院邮政服务中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724039', '2', '99', '1663489798104551424', '平顶山市建西邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724040', '2', '99', '1663489798104551424', '平顶山市新华揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724041', '2', '99', '1663489798104551424', '平顶山市新城区揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724042', '2', '99', '1663489798104551424', '平顶山市新城区邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724043', '2', '99', '1663489798104551424', '平顶山市新新街邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724044', '2', '99', '1663489798104551424', '平顶山市曹镇邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724045', '2', '99', '1663489798104551424', '平顶山市河南城建学院邮政服务中心', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724046', '2', '99', '1663489798104551424', '平顶山市电商客户西区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724047', '2', '99', '1663489798104551424', '平顶山市福园揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724048', '2', '99', '1663489798104551424', '平顶山市薛庄邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724049', '2', '99', '1663489798104551424', '平顶山市西区分公司', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724050', '2', '99', '1663489798104551424', '平顶山市西区分公司单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724051', '2', '99', '1663489798104551424', '平顶山市西区分公司市场营销部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724052', '2', '99', '1663489798104551424', '平顶山市西区分公司渠道平台中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724053', '2', '99', '1663489798104551424', '平顶山市西区分公司金融业务中心（中邮保险局）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724054', '2', '99', '1663489798104551424', '平顶山市西区分公司集邮与文化传媒中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724055', '2', '99', '1663489798104551424', '平顶山市西区寄递事业部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724056', '2', '99', '1663489798104551424', '平顶山市西区寄递事业部单位领导部门', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724057', '2', '99', '1663489798104551424', '平顶山市西区物流项目组', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724058', '2', '99', '1663489798104551424', '平顶山市西市场邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724059', '2', '99', '1663489798104551424', '平顶山市逸居印象揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744323159724060', '2', '99', '1663489798104551424', '平顶山市青石山邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643776', '2', '99', '1663489798104551425', '汝州市骑岭乡营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643777', '2', '99', '1663489798104551425', '河南省汝州市临汝镇邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643778', '2', '99', '1663489798104551425', '河南省汝州市丹阳路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643779', '2', '99', '1663489798104551425', '河南省汝州市分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643780', '2', '99', '1663489798104551425', '河南省汝州市分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643781', '2', '99', '1663489798104551425', '河南省汝州市分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643782', '2', '99', '1663489798104551425', '河南省汝州市分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643783', '2', '99', '1663489798104551425', '河南省汝州市分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643784', '2', '99', '1663489798104551425', '河南省汝州市分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643785', '2', '99', '1663489798104551425', '河南省汝州市分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643786', '2', '99', '1663489798104551425', '河南省汝州市分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643787', '2', '99', '1663489798104551425', '河南省汝州市分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643788', '2', '99', '1663489798104551425', '河南省汝州市城关邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643789', '2', '99', '1663489798104551425', '河南省汝州市城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643790', '2', '99', '1663489798104551425', '河南省汝州市城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643791', '2', '99', '1663489798104551425', '河南省汝州市夏店邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643792', '2', '99', '1663489798104551425', '河南省汝州市大峪邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643793', '2', '99', '1663489798104551425', '河南省汝州市寄料邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643794', '2', '99', '1663489798104551425', '河南省汝州市寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643795', '2', '99', '1663489798104551425', '河南省汝州市寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643796', '2', '99', '1663489798104551425', '河南省汝州市寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643797', '2', '99', '1663489798104551425', '河南省汝州市寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643798', '2', '99', '1663489798104551425', '河南省汝州市寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643799', '2', '99', '1663489798104551425', '河南省汝州市小屯邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643800', '2', '99', '1663489798104551425', '河南省汝州市尚庄邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643801', '2', '99', '1663489798104551425', '河南省汝州市广成路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643802', '2', '99', '1663489798104551425', '河南省汝州市庙下邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643803', '2', '99', '1663489798104551425', '河南省汝州市朝阳路邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643804', '2', '99', '1663489798104551425', '河南省汝州市杨楼邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643805', '2', '99', '1663489798104551425', '河南省汝州市温泉邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643806', '2', '99', '1663489798104551425', '河南省汝州市焦村邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643807', '2', '99', '1663489798104551425', '河南省汝州市王寨邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643808', '2', '99', '1663489798104551425', '河南省汝州市电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643809', '2', '99', '1663489798104551425', '河南省汝州市纸坊邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643810', '2', '99', '1663489798104551425', '河南省汝州市蟒川邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643811', '2', '99', '1663489798104551425', '河南省汝州市钟楼邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643812', '2', '99', '1663489798104551425', '河南省汝州市陵头邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744469901643813', '2', '99', '1663489798104551425', '河南省汝州市骑岭邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258304', '2', '99', '1663489798104551426', '平顶山东区创业揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258305', '2', '99', '1663489798104551426', '平顶山市东区中心揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258306', '2', '99', '1663489798104551426', '平顶山市东区分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258307', '2', '99', '1663489798104551426', '平顶山市东区分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258308', '2', '99', '1663489798104551426', '平顶山市东区分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258309', '2', '99', '1663489798104551426', '平顶山市东区分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258310', '2', '99', '1663489798104551426', '平顶山市东区分公司金融业务部（中邮保险局）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258311', '2', '99', '1663489798104551426', '平顶山市东区分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258312', '2', '99', '1663489798104551426', '平顶山市东区寄递事业部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258313', '2', '99', '1663489798104551426', '平顶山市东区寄递事业部单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258314', '2', '99', '1663489798104551426', '平顶山市东区矿开揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258315', '2', '99', '1663489798104551426', '平顶山市东工人镇邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258316', '2', '99', '1663489798104551426', '平顶山市先锋路邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258317', '2', '99', '1663489798104551426', '平顶山市八矿邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258318', '2', '99', '1663489798104551426', '平顶山市劳动路邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258319', '2', '99', '1663489798104551426', '平顶山市卫东揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258320', '2', '99', '1663489798104551426', '平顶山市卫东邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258321', '2', '99', '1663489798104551426', '平顶山市城区直投揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258322', '2', '99', '1663489798104551426', '平顶山市寺沟邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258323', '2', '99', '1663489798104551426', '平顶山市工业职业学院邮政服务中心', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258324', '2', '99', '1663489798104551426', '平顶山市平安邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258325', '2', '99', '1663489798104551426', '平顶山市新华中路邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258326', '2', '99', '1663489798104551426', '平顶山市河南质量工程职业学院邮政服务中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258327', '2', '99', '1663489798104551426', '平顶山市湛河揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258328', '2', '99', '1663489798104551426', '平顶山市火车站邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258329', '2', '99', '1663489798104551426', '平顶山市矿工中路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258330', '2', '99', '1663489798104551426', '平顶山市矿工路揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258331', '2', '99', '1663489798104551426', '平顶山市贸易广场邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258332', '2', '99', '1663489798104551426', '平顶山市高新揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744561052258333', '2', '99', '1663489798104551426', '平顶山新华南路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168256', '2', '99', '1663489798104551427', '平顶山市中兴路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168257', '2', '99', '1663489798104551427', '平顶山市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168258', '2', '99', '1663489798104551427', '平顶山市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168259', '2', '99', '1663489798104551427', '平顶山市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168260', '2', '99', '1663489798104551427', '平顶山市分公司市场营销部客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168261', '2', '99', '1663489798104551427', '平顶山市分公司服务质量部（普遍服务部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168262', '2', '99', '1663489798104551427', '平顶山市分公司本部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168263', '2', '99', '1663489798104551427', '平顶山市分公司机要通信分局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168264', '2', '99', '1663489798104551427', '平顶山市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168265', '2', '99', '1663489798104551427', '平顶山市分公司纪委办公室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168266', '2', '99', '1663489798104551427', '平顶山市分公司综合办公室（党委办公室、安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168267', '2', '99', '1663489798104551427', '平顶山市分公司财务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168268', '2', '99', '1663489798104551427', '平顶山市分公司邮政工会', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168269', '2', '99', '1663489798104551427', '平顶山市分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168270', '2', '99', '1663489798104551427', '平顶山市分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168271', '2', '99', '1663489798104551427', '平顶山市分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168272', '2', '99', '1663489798104551427', '平顶山市商企客户揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168273', '2', '99', '1663489798104551427', '平顶山市国际公司直属国际小包营业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168274', '2', '99', '1663489798104551427', '平顶山市国际公司直属国际营业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168275', '2', '99', '1663489798104551427', '平顶山市寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168276', '2', '99', '1663489798104551427', '平顶山市寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168277', '2', '99', '1663489798104551427', '平顶山市寄递事业部市场部客户营销中心', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168278', '2', '99', '1663489798104551427', '平顶山市寄递事业部服务质量部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168279', '2', '99', '1663489798104551427', '平顶山市寄递事业部服务质量部客户服务中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168280', '2', '99', '1663489798104551427', '平顶山市寄递事业部本部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168281', '2', '99', '1663489798104551427', '平顶山市寄递事业部物流营销中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168282', '2', '99', '1663489798104551427', '平顶山市寄递事业部综合部(党委办公室)', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168283', '2', '99', '1663489798104551427', '平顶山市寄递事业部网路运营中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168284', '2', '99', '1663489798104551427', '平顶山市寄递事业部网路运营中心包件车间', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168285', '2', '99', '1663489798104551427', '平顶山市寄递事业部网路运营中心普服车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168286', '2', '99', '1663489798104551427', '平顶山市寄递事业部网路运营中心运输车间', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168287', '2', '99', '1663489798104551427', '平顶山市寄递事业部运营管理部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168288', '2', '99', '1663489798104551427', '平顶山市寄递事业部非领导职务部门', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168289', '2', '99', '1663489798104551427', '平顶山市政务客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168290', '2', '99', '1663489798104551427', '平顶山市物流项目组', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744649187168291', '2', '99', '1663489798104551427', '平顶山市电商客户东区揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865344', '2', '99', '1663489798104551428', '河南省叶县东关邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865345', '2', '99', '1663489798104551428', '河南省叶县仙台邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865346', '2', '99', '1663489798104551428', '河南省叶县任店邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865347', '2', '99', '1663489798104551428', '河南省叶县保安邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865348', '2', '99', '1663489798104551428', '河南省叶县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865349', '2', '99', '1663489798104551428', '河南省叶县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865350', '2', '99', '1663489798104551428', '河南省叶县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865351', '2', '99', '1663489798104551428', '河南省叶县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865352', '2', '99', '1663489798104551428', '河南省叶县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865353', '2', '99', '1663489798104551428', '河南省叶县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865354', '2', '99', '1663489798104551428', '河南省叶县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865355', '2', '99', '1663489798104551428', '河南省叶县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865356', '2', '99', '1663489798104551428', '河南省叶县县衙博物馆主题邮局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865357', '2', '99', '1663489798104551428', '河南省叶县叶廉路邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865358', '2', '99', '1663489798104551428', '河南省叶县叶邑邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865359', '2', '99', '1663489798104551428', '河南省叶县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865360', '2', '99', '1663489798104551428', '河南省叶县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865361', '2', '99', '1663489798104551428', '河南省叶县夏李邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865362', '2', '99', '1663489798104551428', '河南省叶县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865363', '2', '99', '1663489798104551428', '河南省叶县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865364', '2', '99', '1663489798104551428', '河南省叶县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865365', '2', '99', '1663489798104551428', '河南省叶县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865366', '2', '99', '1663489798104551428', '河南省叶县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865367', '2', '99', '1663489798104551428', '河南省叶县市分公司综合办公室（安全保卫部）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865368', '2', '99', '1663489798104551428', '河南省叶县常村邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865369', '2', '99', '1663489798104551428', '河南省叶县廉村邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865370', '2', '99', '1663489798104551428', '河南省叶县水寨邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865371', '2', '99', '1663489798104551428', '河南省叶县洪庄杨邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865372', '2', '99', '1663489798104551428', '河南省叶县田庄邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865373', '2', '99', '1663489798104551428', '河南省叶县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865374', '2', '99', '1663489798104551428', '河南省叶县辛店邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865375', '2', '99', '1663489798104551428', '河南省叶县遵化邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865376', '2', '99', '1663489798104551428', '河南省叶县邓李邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865377', '2', '99', '1663489798104551428', '河南省叶县马庄回族乡邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865378', '2', '99', '1663489798104551428', '河南省叶县龙泉邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744746167865379', '2', '99', '1663489798104551428', '河南省叶县龚店邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994368', '2', '99', '1663489798104551429', '河南省宝丰县人民路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994369', '2', '99', '1663489798104551429', '河南省宝丰县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994370', '2', '99', '1663489798104551429', '河南省宝丰县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994371', '2', '99', '1663489798104551429', '河南省宝丰县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994372', '2', '99', '1663489798104551429', '河南省宝丰县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994373', '2', '99', '1663489798104551429', '河南省宝丰县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994374', '2', '99', '1663489798104551429', '河南省宝丰县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994375', '2', '99', '1663489798104551429', '河南省宝丰县分公司金融业务部（中邮保险中心）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994376', '2', '99', '1663489798104551429', '河南省宝丰县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994377', '2', '99', '1663489798104551429', '河南省宝丰县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994378', '2', '99', '1663489798104551429', '河南省宝丰县前营邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994379', '2', '99', '1663489798104551429', '河南省宝丰县南顾庄邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994380', '2', '99', '1663489798104551429', '河南省宝丰县周庄邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994381', '2', '99', '1663489798104551429', '河南省宝丰县商酒务邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994382', '2', '99', '1663489798104551429', '河南省宝丰县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994383', '2', '99', '1663489798104551429', '河南省宝丰县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994384', '2', '99', '1663489798104551429', '河南省宝丰县大营邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994385', '2', '99', '1663489798104551429', '河南省宝丰县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994386', '2', '99', '1663489798104551429', '河南省宝丰县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994387', '2', '99', '1663489798104551429', '河南省宝丰县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994388', '2', '99', '1663489798104551429', '河南省宝丰县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994389', '2', '99', '1663489798104551429', '河南省宝丰县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994390', '2', '99', '1663489798104551429', '河南省宝丰县山河路邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994391', '2', '99', '1663489798104551429', '河南省宝丰县平顶山市职业技术学院邮政服务中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994392', '2', '99', '1663489798104551429', '河南省宝丰县张八桥邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994393', '2', '99', '1663489798104551429', '河南省宝丰县李庄邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994394', '2', '99', '1663489798104551429', '河南省宝丰县电商客户揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994395', '2', '99', '1663489798104551429', '河南省宝丰县石桥邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994396', '2', '99', '1663489798104551429', '河南省宝丰县肖旗邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994397', '2', '99', '1663489798104551429', '河南省宝丰县西街邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994398', '2', '99', '1663489798104551429', '河南省宝丰县观音堂邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994399', '2', '99', '1663489798104551429', '河南省宝丰县赵庄邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994400', '2', '99', '1663489798104551429', '河南省宝丰县闹店邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994401', '2', '99', '1663489798104551429', '河南省宝丰县高庄邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744836055994402', '2', '99', '1663489798104551429', '河南省宝丰县龙兴路邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431296', '2', '99', '1663489798104551430', '河南省舞钢分公司非领导职务部门', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431297', '2', '99', '1663489798104551430', '河南省舞钢市八台邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431298', '2', '99', '1663489798104551430', '河南省舞钢市分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431299', '2', '99', '1663489798104551430', '河南省舞钢市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431300', '2', '99', '1663489798104551430', '河南省舞钢市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431301', '2', '99', '1663489798104551430', '河南省舞钢市分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431302', '2', '99', '1663489798104551430', '河南省舞钢市分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431303', '2', '99', '1663489798104551430', '河南省舞钢市分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431304', '2', '99', '1663489798104551430', '河南省舞钢市分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431305', '2', '99', '1663489798104551430', '河南省舞钢市分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431306', '2', '99', '1663489798104551430', '河南省舞钢市垭口邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431307', '2', '99', '1663489798104551430', '河南省舞钢市城区中心揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431308', '2', '99', '1663489798104551430', '河南省舞钢市城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431309', '2', '99', '1663489798104551430', '河南省舞钢市寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431310', '2', '99', '1663489798104551430', '河南省舞钢市寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431311', '2', '99', '1663489798104551430', '河南省舞钢市寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431312', '2', '99', '1663489798104551430', '河南省舞钢市寄递事业部运营监控部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431313', '2', '99', '1663489798104551430', '河南省舞钢市寄递事业部运输中心（纯核算）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431314', '2', '99', '1663489798104551430', '河南省舞钢市寺坡邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431315', '2', '99', '1663489798104551430', '河南省舞钢市尚店邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431316', '2', '99', '1663489798104551430', '河南省舞钢市尹集邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431317', '2', '99', '1663489798104551430', '河南省舞钢市市场街邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431318', '2', '99', '1663489798104551430', '河南省舞钢市庙街邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431319', '2', '99', '1663489798104551430', '河南省舞钢市朱兰邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431320', '2', '99', '1663489798104551430', '河南省舞钢市李辉庄邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431321', '2', '99', '1663489798104551430', '河南省舞钢市枣林邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431322', '2', '99', '1663489798104551430', '河南省舞钢市武功邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431323', '2', '99', '1663489798104551430', '河南省舞钢市电商客户揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663744919237431324', '2', '99', '1663489798104551430', '河南省舞钢市石漫滩邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665152', '2', '99', '1663489798104551431', '河南省郏县三苏廉政主题邮局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665153', '2', '99', '1663489798104551431', '河南省郏县东关邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665154', '2', '99', '1663489798104551431', '河南省郏县八一路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665155', '2', '99', '1663489798104551431', '河南省郏县冢头邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665156', '2', '99', '1663489798104551431', '河南省郏县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665157', '2', '99', '1663489798104551431', '河南省郏县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665158', '2', '99', '1663489798104551431', '河南省郏县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665159', '2', '99', '1663489798104551431', '河南省郏县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665160', '2', '99', '1663489798104551431', '河南省郏县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665161', '2', '99', '1663489798104551431', '河南省郏县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665162', '2', '99', '1663489798104551431', '河南省郏县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665163', '2', '99', '1663489798104551431', '河南省郏县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665164', '2', '99', '1663489798104551431', '河南省郏县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665165', '2', '99', '1663489798104551431', '河南省郏县城关邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665166', '2', '99', '1663489798104551431', '河南省郏县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665167', '2', '99', '1663489798104551431', '河南省郏县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665168', '2', '99', '1663489798104551431', '河南省郏县堂街邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665169', '2', '99', '1663489798104551431', '河南省郏县姚庄邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665170', '2', '99', '1663489798104551431', '河南省郏县安良邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665171', '2', '99', '1663489798104551431', '河南省郏县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665172', '2', '99', '1663489798104551431', '河南省郏县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665173', '2', '99', '1663489798104551431', '河南省郏县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665174', '2', '99', '1663489798104551431', '河南省郏县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665175', '2', '99', '1663489798104551431', '河南省郏县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665176', '2', '99', '1663489798104551431', '河南省郏县广阔天地邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665177', '2', '99', '1663489798104551431', '河南省郏县新城邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665178', '2', '99', '1663489798104551431', '河南省郏县李口邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665179', '2', '99', '1663489798104551431', '河南省郏县渣园邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665180', '2', '99', '1663489798104551431', '河南省郏县王集邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665181', '2', '99', '1663489798104551431', '河南省郏县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665182', '2', '99', '1663489798104551431', '河南省郏县白庙邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665183', '2', '99', '1663489798104551431', '河南省郏县茨芭邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665184', '2', '99', '1663489798104551431', '河南省郏县薛店邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665185', '2', '99', '1663489798104551431', '河南省郏县行政路中心邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665186', '2', '99', '1663489798104551431', '河南省郏县行政路邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665187', '2', '99', '1663489798104551431', '河南省郏县长桥邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745004335665188', '2', '99', '1663489798104551431', '河南省郏县黄道邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451328', '2', '99', '1663489798104551432', '河南省鲁山县下汤镇邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451329', '2', '99', '1663489798104551432', '河南省鲁山县东关邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451330', '2', '99', '1663489798104551432', '河南省鲁山县中汤邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451331', '2', '99', '1663489798104551432', '河南省鲁山县交口邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451332', '2', '99', '1663489798104551432', '河南省鲁山县人民路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451333', '2', '99', '1663489798104551432', '河南省鲁山县仓头邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451334', '2', '99', '1663489798104551432', '河南省鲁山县分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451335', '2', '99', '1663489798104551432', '河南省鲁山县分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451336', '2', '99', '1663489798104551432', '河南省鲁山县分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451337', '2', '99', '1663489798104551432', '河南省鲁山县分公司机要室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451338', '2', '99', '1663489798104551432', '河南省鲁山县分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451339', '2', '99', '1663489798104551432', '河南省鲁山县分公司综合办公室（安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451340', '2', '99', '1663489798104551432', '河南省鲁山县分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451341', '2', '99', '1663489798104551432', '河南省鲁山县分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451342', '2', '99', '1663489798104551432', '河南省鲁山县分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451343', '2', '99', '1663489798104551432', '河南省鲁山县北关邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451344', '2', '99', '1663489798104551432', '河南省鲁山县四棵树邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451345', '2', '99', '1663489798104551432', '河南省鲁山县团城邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451346', '2', '99', '1663489798104551432', '河南省鲁山县城区中心揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451347', '2', '99', '1663489798104551432', '河南省鲁山县城区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451348', '2', '99', '1663489798104551432', '河南省鲁山县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451349', '2', '99', '1663489798104551432', '河南省鲁山县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451350', '2', '99', '1663489798104551432', '河南省鲁山县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451351', '2', '99', '1663489798104551432', '河南省鲁山县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451352', '2', '99', '1663489798104551432', '河南省鲁山县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451353', '2', '99', '1663489798104551432', '河南省鲁山县尧山邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451354', '2', '99', '1663489798104551432', '河南省鲁山县张官营邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451355', '2', '99', '1663489798104551432', '河南省鲁山县张店邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451356', '2', '99', '1663489798104551432', '河南省鲁山县张良邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451357', '2', '99', '1663489798104551432', '河南省鲁山县振兴路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451358', '2', '99', '1663489798104551432', '河南省鲁山县梁洼邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451359', '2', '99', '1663489798104551432', '河南省鲁山县江河邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451360', '2', '99', '1663489798104551432', '河南省鲁山县瓦屋邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451361', '2', '99', '1663489798104551432', '河南省鲁山县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451362', '2', '99', '1663489798104551432', '河南省鲁山县磙子营邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451363', '2', '99', '1663489798104551432', '河南省鲁山县背孜邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451364', '2', '99', '1663489798104551432', '河南省鲁山县董周邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451365', '2', '99', '1663489798104551432', '河南省鲁山县西关邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451366', '2', '99', '1663489798104551432', '河南省鲁山县观音寺邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451367', '2', '99', '1663489798104551432', '河南省鲁山县让河邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451368', '2', '99', '1663489798104551432', '河南省鲁山县赵村邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451369', '2', '99', '1663489798104551432', '河南省鲁山县辛集邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451370', '2', '99', '1663489798104551432', '河南省鲁山县马楼邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745124372451371', '2', '99', '1663489798104551432', '河南省鲁山县鸿雁邮政支局', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929984', '2', '99', '1663483512365387776', '安阳市三官庙站揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929985', '2', '99', '1663483512365387776', '安阳市东工路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929986', '2', '99', '1663483512365387776', '安阳市东风揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929987', '2', '99', '1663483512365387776', '安阳市东风路揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929988', '2', '99', '1663483512365387776', '安阳市东风路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929989', '2', '99', '1663483512365387776', '安阳市中华北路邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929990', '2', '99', '1663483512365387776', '安阳市华强城邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929991', '2', '99', '1663483512365387776', '安阳市华强新天地站揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929992', '2', '99', '1663483512365387776', '安阳市南漳涧站揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929993', '2', '99', '1663483512365387776', '安阳市和平路邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929994', '2', '99', '1663483512365387776', '安阳市商企客户文峰揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929995', '2', '99', '1663483512365387776', '安阳市国际公司直属国际小包营业部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929996', '2', '99', '1663483512365387776', '安阳市国际公司直属国际营业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929997', '2', '99', '1663483512365387776', '安阳市安阳学院邮政校园服务中心', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929998', '2', '99', '1663483512365387776', '安阳市安阳师范学院邮政服务中心', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389929999', '2', '99', '1663483512365387776', '安阳市安阳职业技术学院邮政服务中心', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930000', '2', '99', '1663483512365387776', '安阳市小马屯站揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930001', '2', '99', '1663483512365387776', '安阳市彰德府主题邮局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930002', '2', '99', '1663483512365387776', '安阳市文峰区分公司', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930003', '2', '99', '1663483512365387776', '安阳市文峰区分公司单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930004', '2', '99', '1663483512365387776', '安阳市文峰区分公司市场营销部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930005', '2', '99', '1663483512365387776', '安阳市文峰区分公司渠道平台部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930006', '2', '99', '1663483512365387776', '安阳市文峰区分公司金融业务部（中邮保险局）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930007', '2', '99', '1663483512365387776', '安阳市文峰区分公司集邮与文化传媒部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930008', '2', '99', '1663483512365387776', '安阳市文峰区寄递事业部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930009', '2', '99', '1663483512365387776', '安阳市文峰区寄递事业部单位领导部门', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930010', '2', '99', '1663483512365387776', '安阳市文峰大道邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930011', '2', '99', '1663483512365387776', '安阳市文峰揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930012', '2', '99', '1663483512365387776', '安阳市新区揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930013', '2', '99', '1663483512365387776', '安阳市明福街站揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930014', '2', '99', '1663483512365387776', '安阳市永繁街站揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930015', '2', '99', '1663483512365387776', '安阳市河南护理职业学院邮政服务中心', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930016', '2', '99', '1663483512365387776', '安阳市洹北小区站揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930017', '2', '99', '1663483512365387776', '安阳市火车站邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930018', '2', '99', '1663483512365387776', '安阳市电商客户揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930019', '2', '99', '1663483512365387776', '安阳市相一路邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930020', '2', '99', '1663483512365387776', '安阳市纱厂站揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745298389930021', '2', '99', '1663483512365387776', '安阳市自由路站揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682496', '2', '99', '1663483512365387777', '安阳市东环城揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682497', '2', '99', '1663483512365387777', '安阳市八里庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682498', '2', '99', '1663483512365387777', '安阳市安钢二揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682499', '2', '99', '1663483512365387777', '安阳市安钢大道揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682500', '2', '99', '1663483512365387777', '安阳市安钢揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682501', '2', '99', '1663483512365387777', '安阳市安钢邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682502', '2', '99', '1663483512365387777', '安阳市安阳工学院邮政服务中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682503', '2', '99', '1663483512365387777', '安阳市彰德路揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682504', '2', '99', '1663483512365387777', '安阳市政务客户龙安揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682505', '2', '99', '1663483512365387777', '安阳市文峰开发区揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682506', '2', '99', '1663483512365387777', '安阳市文明路揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682507', '2', '99', '1663483512365387777', '安阳市文源街揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682508', '2', '99', '1663483512365387777', '安阳市梅东路揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682509', '2', '99', '1663483512365387777', '安阳市殷都区分公司', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682510', '2', '99', '1663483512365387777', '安阳市殷都区分公司单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682511', '2', '99', '1663483512365387777', '安阳市殷都区分公司市场营销部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682512', '2', '99', '1663483512365387777', '安阳市殷都区分公司渠道平台中心', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682513', '2', '99', '1663483512365387777', '安阳市殷都区分公司金融业务中心（中邮保险局）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682514', '2', '99', '1663483512365387777', '安阳市殷都区分公司集邮与文化传媒中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682515', '2', '99', '1663483512365387777', '安阳市殷都区寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682516', '2', '99', '1663483512365387777', '安阳市殷都区寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682517', '2', '99', '1663483512365387777', '安阳市殷都开发区揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682518', '2', '99', '1663483512365387777', '安阳市火车站第二揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682519', '2', '99', '1663483512365387777', '安阳市烟厂路揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682520', '2', '99', '1663483512365387777', '安阳市电厂邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682521', '2', '99', '1663483512365387777', '安阳市电商客户殷都区揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682522', '2', '99', '1663483512365387777', '安阳市相州路揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682523', '2', '99', '1663483512365387777', '安阳市纱厂邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682524', '2', '99', '1663483512365387777', '安阳市钢城邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682525', '2', '99', '1663483512365387777', '安阳市铁西路揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745402840682526', '2', '99', '1663483512365387777', '安阳市霍家村揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730240', '2', '99', '1663483512365387779', '安阳市分公司中邮保险业务部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730241', '2', '99', '1663483512365387779', '安阳市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730242', '2', '99', '1663483512365387779', '安阳市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730243', '2', '99', '1663483512365387779', '安阳市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730244', '2', '99', '1663483512365387779', '安阳市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730245', '2', '99', '1663483512365387779', '安阳市分公司市场营销部客户营销中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730246', '2', '99', '1663483512365387779', '安阳市分公司服务质量部（普遍服务部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730247', '2', '99', '1663483512365387779', '安阳市分公司本部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730248', '2', '99', '1663483512365387779', '安阳市分公司机要通信分局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730249', '2', '99', '1663483512365387779', '安阳市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730250', '2', '99', '1663483512365387779', '安阳市分公司综合办公室（党委办公室、安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730251', '2', '99', '1663483512365387779', '安阳市分公司财务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730252', '2', '99', '1663483512365387779', '安阳市分公司邮政工会', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730253', '2', '99', '1663483512365387779', '安阳市分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730254', '2', '99', '1663483512365387779', '安阳市分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730255', '2', '99', '1663483512365387779', '安阳市分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730256', '2', '99', '1663483512365387779', '安阳市寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730257', '2', '99', '1663483512365387779', '安阳市寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730258', '2', '99', '1663483512365387779', '安阳市寄递事业部市场部客户营销中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730259', '2', '99', '1663483512365387779', '安阳市寄递事业部服务质量部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730260', '2', '99', '1663483512365387779', '安阳市寄递事业部服务质量部客户服务中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730261', '2', '99', '1663483512365387779', '安阳市寄递事业部本部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730262', '2', '99', '1663483512365387779', '安阳市寄递事业部物流营销中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730263', '2', '99', '1663483512365387779', '安阳市寄递事业部综合部(党委办公室)', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730264', '2', '99', '1663483512365387779', '安阳市寄递事业部网路运营中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730265', '2', '99', '1663483512365387779', '安阳市寄递事业部网路运营中心包件车间', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730266', '2', '99', '1663483512365387779', '安阳市寄递事业部网路运营中心普服车间', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730267', '2', '99', '1663483512365387779', '安阳市寄递事业部网路运营中心运输车间', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730268', '2', '99', '1663483512365387779', '安阳市寄递事业部运营管理部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745578942730269', '2', '99', '1663483512365387779', '安阳市寄递事业部非领导职务部门', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354304', '2', '99', '1663483512365387780', '安阳市豫鑫木糖醇物流项目组', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354305', '2', '99', '1663483512365387780', '河南省汤阴县五陵邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354306', '2', '99', '1663483512365387780', '河南省汤阴县任固邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354307', '2', '99', '1663483512365387780', '河南省汤阴县伏道邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354308', '2', '99', '1663483512365387780', '河南省汤阴县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354309', '2', '99', '1663483512365387780', '河南省汤阴县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354310', '2', '99', '1663483512365387780', '河南省汤阴县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354311', '2', '99', '1663483512365387780', '河南省汤阴县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354312', '2', '99', '1663483512365387780', '河南省汤阴县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354313', '2', '99', '1663483512365387780', '河南省汤阴县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354314', '2', '99', '1663483512365387780', '河南省汤阴县分公司金融业务部（中邮保险中心）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354315', '2', '99', '1663483512365387780', '河南省汤阴县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354316', '2', '99', '1663483512365387780', '河南省汤阴县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354317', '2', '99', '1663483512365387780', '河南省汤阴县古贤邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354318', '2', '99', '1663483512365387780', '河南省汤阴县城东揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354319', '2', '99', '1663483512365387780', '河南省汤阴县城关邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354320', '2', '99', '1663483512365387780', '河南省汤阴县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354321', '2', '99', '1663483512365387780', '河南省汤阴县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354322', '2', '99', '1663483512365387780', '河南省汤阴县安阳幼儿师范高等专科学校邮政校园服务中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354323', '2', '99', '1663483512365387780', '河南省汤阴县宜沟邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354324', '2', '99', '1663483512365387780', '河南省汤阴县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354325', '2', '99', '1663483512365387780', '河南省汤阴县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354326', '2', '99', '1663483512365387780', '河南省汤阴县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354327', '2', '99', '1663483512365387780', '河南省汤阴县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354328', '2', '99', '1663483512365387780', '河南省汤阴县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354329', '2', '99', '1663483512365387780', '河南省汤阴县政通路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354330', '2', '99', '1663483512365387780', '河南省汤阴县瓦岗邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354331', '2', '99', '1663483512365387780', '河南省汤阴县电商客户揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354332', '2', '99', '1663483512365387780', '河南省汤阴县白营邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354333', '2', '99', '1663483512365387780', '河南省汤阴县精忠路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354334', '2', '99', '1663483512365387780', '河南省汤阴县菜园邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354335', '2', '99', '1663483512365387780', '河南省汤阴县车站邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663745697184354336', '2', '99', '1663483512365387780', '河南省汤阴县韩庄邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158784', '2', '99', '1663483512365387781', '安阳市贝利泰陶瓷物流项目组', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158785', '2', '99', '1663483512365387781', '河南省内黄县东庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158786', '2', '99', '1663483512365387781', '河南省内黄县中召邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158787', '2', '99', '1663483512365387781', '河南省内黄县二安邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158788', '2', '99', '1663483512365387781', '河南省内黄县二帝邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158789', '2', '99', '1663483512365387781', '河南省内黄县井店邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158790', '2', '99', '1663483512365387781', '河南省内黄县亳城邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158791', '2', '99', '1663483512365387781', '河南省内黄县六村邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158792', '2', '99', '1663483512365387781', '河南省内黄县分公司', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158793', '2', '99', '1663483512365387781', '河南省内黄县分公司单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158794', '2', '99', '1663483512365387781', '河南省内黄县分公司市场营销部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158795', '2', '99', '1663483512365387781', '河南省内黄县分公司机要室', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158796', '2', '99', '1663483512365387781', '河南省内黄县分公司渠道平台部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158797', '2', '99', '1663483512365387781', '河南省内黄县分公司综合办公室（安全保卫部）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158798', '2', '99', '1663483512365387781', '河南省内黄县分公司金融业务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158799', '2', '99', '1663483512365387781', '河南省内黄县分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158800', '2', '99', '1663483512365387781', '河南省内黄县分公司非领导职务部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158801', '2', '99', '1663483512365387781', '河南省内黄县后河邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158802', '2', '99', '1663483512365387781', '河南省内黄县城区中心揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158803', '2', '99', '1663483512365387781', '河南省内黄县城区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158804', '2', '99', '1663483512365387781', '河南省内黄县宋村邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158805', '2', '99', '1663483512365387781', '河南省内黄县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158806', '2', '99', '1663483512365387781', '河南省内黄县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158807', '2', '99', '1663483512365387781', '河南省内黄县寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158808', '2', '99', '1663483512365387781', '河南省内黄县寄递事业部运营监控部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158809', '2', '99', '1663483512365387781', '河南省内黄县寄递事业部运输中心（纯核算）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158810', '2', '99', '1663483512365387781', '河南省内黄县张龙邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158811', '2', '99', '1663483512365387781', '河南省内黄县朝阳路揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158812', '2', '99', '1663483512365387781', '河南省内黄县朝阳邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158813', '2', '99', '1663483512365387781', '河南省内黄县梁庄邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158814', '2', '99', '1663483512365387781', '河南省内黄县楚旺邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158815', '2', '99', '1663483512365387781', '河南省内黄县田氏邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158816', '2', '99', '1663483512365387781', '河南省内黄县电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158817', '2', '99', '1663483512365387781', '河南省内黄县白条河邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158818', '2', '99', '1663483512365387781', '河南省内黄县石盘屯邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158819', '2', '99', '1663483512365387781', '河南省内黄县豆公邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158820', '2', '99', '1663483512365387781', '河南省内黄县陶瓷园区揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158821', '2', '99', '1663483512365387781', '河南省内黄县马上邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749184727158822', '2', '99', '1663483512365387781', '河南省内黄县高堤邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952384', '2', '99', '1663483512365387782', '河南省林州市东姚邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952385', '2', '99', '1663483512365387782', '河南省林州市东岗邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952386', '2', '99', '1663483512365387782', '河南省林州市东街邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952387', '2', '99', '1663483512365387782', '河南省林州市临淇邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952388', '2', '99', '1663483512365387782', '河南省林州市五龙邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952389', '2', '99', '1663483512365387782', '河南省林州市任村邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952390', '2', '99', '1663483512365387782', '河南省林州市兴林揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952391', '2', '99', '1663483512365387782', '河南省林州市其林台邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952392', '2', '99', '1663483512365387782', '河南省林州市分公司', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952393', '2', '99', '1663483512365387782', '河南省林州市分公司单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952394', '2', '99', '1663483512365387782', '河南省林州市分公司市场营销部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952395', '2', '99', '1663483512365387782', '河南省林州市分公司机要室', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952396', '2', '99', '1663483512365387782', '河南省林州市分公司渠道平台部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952397', '2', '99', '1663483512365387782', '河南省林州市分公司综合办公室（安全保卫部）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952398', '2', '99', '1663483512365387782', '河南省林州市分公司金融业务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952399', '2', '99', '1663483512365387782', '河南省林州市分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952400', '2', '99', '1663483512365387782', '河南省林州市分公司非领导职务部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952401', '2', '99', '1663483512365387782', '河南省林州市北关邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952402', '2', '99', '1663483512365387782', '河南省林州市南环路邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952403', '2', '99', '1663483512365387782', '河南省林州市原康邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952404', '2', '99', '1663483512365387782', '河南省林州市合涧邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952405', '2', '99', '1663483512365387782', '河南省林州市城区中心揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952406', '2', '99', '1663483512365387782', '河南省林州市城区揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952407', '2', '99', '1663483512365387782', '河南省林州市城里邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952408', '2', '99', '1663483512365387782', '河南省林州市太行路揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952409', '2', '99', '1663483512365387782', '河南省林州市太行路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952410', '2', '99', '1663483512365387782', '河南省林州市姚村邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952411', '2', '99', '1663483512365387782', '河南省林州市寄递事业部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952412', '2', '99', '1663483512365387782', '河南省林州市寄递事业部单位领导部门', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952413', '2', '99', '1663483512365387782', '河南省林州市寄递事业部市场部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952414', '2', '99', '1663483512365387782', '河南省林州市寄递事业部运营监控部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952415', '2', '99', '1663483512365387782', '河南省林州市寄递事业部运输中心（纯核算）', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952416', '2', '99', '1663483512365387782', '河南省林州市振林揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952417', '2', '99', '1663483512365387782', '河南省林州市李家寨邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952418', '2', '99', '1663483512365387782', '河南省林州市林钢邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952419', '2', '99', '1663483512365387782', '河南省林州市桂林邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952420', '2', '99', '1663483512365387782', '河南省林州市横水邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952421', '2', '99', '1663483512365387782', '河南省林州市河顺邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952422', '2', '99', '1663483512365387782', '河南省林州市电商客户揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952423', '2', '99', '1663483512365387782', '河南省林州市石板岩邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952424', '2', '99', '1663483512365387782', '河南省林州市红旗渠纪念馆主题邮局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952425', '2', '99', '1663483512365387782', '河南省林州市茶店邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952426', '2', '99', '1663483512365387782', '河南省林州市采桑邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952427', '2', '99', '1663483512365387782', '河南省林州市陵阳邮政支局', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952428', '2', '99', '1663483512365387782', '河南省林州市鸿雁邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952429', '2', '99', '1663483512365387782', '河南省林州市龙山揽投部', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749301223952430', '2', '99', '1663483512365387782', '河南省林州市龙山街邮政支局', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540992', '2', '99', '1663483512365387783', '河南省滑县万古邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540993', '2', '99', '1663483512365387783', '河南省滑县上官邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540994', '2', '99', '1663483512365387783', '河南省滑县八里营邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540995', '2', '99', '1663483512365387783', '河南省滑县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540996', '2', '99', '1663483512365387783', '河南省滑县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540997', '2', '99', '1663483512365387783', '河南省滑县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540998', '2', '99', '1663483512365387783', '河南省滑县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875540999', '2', '99', '1663483512365387783', '河南省滑县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541000', '2', '99', '1663483512365387783', '河南省滑县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541001', '2', '99', '1663483512365387783', '河南省滑县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541002', '2', '99', '1663483512365387783', '河南省滑县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541003', '2', '99', '1663483512365387783', '河南省滑县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541004', '2', '99', '1663483512365387783', '河南省滑县半坡店邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541005', '2', '99', '1663483512365387783', '河南省滑县卫河路邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541006', '2', '99', '1663483512365387783', '河南省滑县四间房邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541007', '2', '99', '1663483512365387783', '河南省滑县城关邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541008', '2', '99', '1663483512365387783', '河南省滑县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541009', '2', '99', '1663483512365387783', '河南省滑县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541010', '2', '99', '1663483512365387783', '河南省滑县大寨邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541011', '2', '99', '1663483512365387783', '河南省滑县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541012', '2', '99', '1663483512365387783', '河南省滑县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541013', '2', '99', '1663483512365387783', '河南省滑县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541014', '2', '99', '1663483512365387783', '河南省滑县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541015', '2', '99', '1663483512365387783', '河南省滑县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541016', '2', '99', '1663483512365387783', '河南省滑县小铺邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541017', '2', '99', '1663483512365387783', '河南省滑县慈周寨邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541018', '2', '99', '1663483512365387783', '河南省滑县文明路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541019', '2', '99', '1663483512365387783', '河南省滑县枣村邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541020', '2', '99', '1663483512365387783', '河南省滑县桑村邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541021', '2', '99', '1663483512365387783', '河南省滑县焦虎邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541022', '2', '99', '1663483512365387783', '河南省滑县牛屯邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541023', '2', '99', '1663483512365387783', '河南省滑县王庄邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541024', '2', '99', '1663483512365387783', '河南省滑县瓦岗寨邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541025', '2', '99', '1663483512365387783', '河南省滑县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541026', '2', '99', '1663483512365387783', '河南省滑县留固邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541027', '2', '99', '1663483512365387783', '河南省滑县白道口邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541028', '2', '99', '1663483512365387783', '河南省滑县红旗路揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541029', '2', '99', '1663483512365387783', '河南省滑县老店邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541030', '2', '99', '1663483512365387783', '河南省滑县老庙邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541031', '2', '99', '1663483512365387783', '河南省滑县赵营邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541032', '2', '99', '1663483512365387783', '河南省滑县道城路邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541033', '2', '99', '1663483512365387783', '河南省滑县道康路揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541034', '2', '99', '1663483512365387783', '河南省滑县高平邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749379875541035', '2', '99', '1663483512365387783', '河南省滑县黄河路揽投部', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619520', '2', '99', '1663484976982790144', '河南省浚县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619521', '2', '99', '1663484976982790144', '河南省浚县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619522', '2', '99', '1663484976982790144', '河南省浚县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619523', '2', '99', '1663484976982790144', '河南省浚县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619524', '2', '99', '1663484976982790144', '河南省浚县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619525', '2', '99', '1663484976982790144', '河南省浚县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619526', '2', '99', '1663484976982790144', '河南省浚县分公司金融业务部（中邮保险中心）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619527', '2', '99', '1663484976982790144', '河南省浚县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619528', '2', '99', '1663484976982790144', '河南省浚县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619529', '2', '99', '1663484976982790144', '河南省浚县卫贤镇邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619530', '2', '99', '1663484976982790144', '河南省浚县善堂邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619531', '2', '99', '1663484976982790144', '河南省浚县城区中心揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619532', '2', '99', '1663484976982790144', '河南省浚县城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619533', '2', '99', '1663484976982790144', '河南省浚县寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619534', '2', '99', '1663484976982790144', '河南省浚县寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619535', '2', '99', '1663484976982790144', '河南省浚县寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619536', '2', '99', '1663484976982790144', '河南省浚县寄递事业部运营监控部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619537', '2', '99', '1663484976982790144', '河南省浚县寄递事业部运输中心（纯核算）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619538', '2', '99', '1663484976982790144', '河南省浚县寺庄邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619539', '2', '99', '1663484976982790144', '河南省浚县小河镇邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619540', '2', '99', '1663484976982790144', '河南省浚县屯子镇邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619541', '2', '99', '1663484976982790144', '河南省浚县新镇镇邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619542', '2', '99', '1663484976982790144', '河南省浚县王庄镇邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619543', '2', '99', '1663484976982790144', '河南省浚县电商客户揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619544', '2', '99', '1663484976982790144', '河南省浚县白寺乡邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619545', '2', '99', '1663484976982790144', '河南省浚县行业客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619546', '2', '99', '1663484976982790144', '河南省浚县西街邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619547', '2', '99', '1663484976982790144', '河南省浚县黎阳路揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749511920619548', '2', '99', '1663484976982790144', '河南省浚县黎阳路邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667520', '2', '99', '1663484976982790145', '河南省淇县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667521', '2', '99', '1663484976982790145', '河南省淇县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667522', '2', '99', '1663484976982790145', '河南省淇县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667523', '2', '99', '1663484976982790145', '河南省淇县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667524', '2', '99', '1663484976982790145', '河南省淇县分公司渠道平台中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667525', '2', '99', '1663484976982790145', '河南省淇县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667526', '2', '99', '1663484976982790145', '河南省淇县分公司金融业务中心（中邮保险中心）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667527', '2', '99', '1663484976982790145', '河南省淇县分公司集邮与文化传媒中心', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667528', '2', '99', '1663484976982790145', '河南省淇县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667529', '2', '99', '1663484976982790145', '河南省淇县北阳邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667530', '2', '99', '1663484976982790145', '河南省淇县县营邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667531', '2', '99', '1663484976982790145', '河南省淇县城区中心揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667532', '2', '99', '1663484976982790145', '河南省淇县城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667533', '2', '99', '1663484976982790145', '河南省淇县寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667534', '2', '99', '1663484976982790145', '河南省淇县寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667535', '2', '99', '1663484976982790145', '河南省淇县寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667536', '2', '99', '1663484976982790145', '河南省淇县寄递事业部运营监控部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667537', '2', '99', '1663484976982790145', '河南省淇县寄递事业部运输中心（纯核算）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667538', '2', '99', '1663484976982790145', '河南省淇县庙口邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667539', '2', '99', '1663484976982790145', '河南省淇县朝歌路揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667540', '2', '99', '1663484976982790145', '河南省淇县桥盟邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667541', '2', '99', '1663484976982790145', '河南省淇县电商客户揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667542', '2', '99', '1663484976982790145', '河南省淇县行业客户揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667543', '2', '99', '1663484976982790145', '河南省淇县西岗邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667544', '2', '99', '1663484976982790145', '河南省淇县铁西邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667545', '2', '99', '1663484976982790145', '河南省淇县高村邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749588466667546', '2', '99', '1663484976982790145', '河南省淇县黄洞邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045568', '2', '99', '1663484976982790146', '鹤壁市上峪邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045569', '2', '99', '1663484976982790146', '鹤壁市中山邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045570', '2', '99', '1663484976982790146', '鹤壁市大河涧邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045571', '2', '99', '1663484976982790146', '鹤壁市大湖揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045572', '2', '99', '1663484976982790146', '鹤壁市大湖邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045573', '2', '99', '1663484976982790146', '鹤壁市姬家山邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045574', '2', '99', '1663484976982790146', '鹤壁市山城区分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045575', '2', '99', '1663484976982790146', '鹤壁市山城区分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045576', '2', '99', '1663484976982790146', '鹤壁市山城区分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045577', '2', '99', '1663484976982790146', '鹤壁市山城区分公司渠道平台中心', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045578', '2', '99', '1663484976982790146', '鹤壁市山城区分公司金融业务中心（中邮保险局）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045579', '2', '99', '1663484976982790146', '鹤壁市山城区分公司集邮与文化传媒中心', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045580', '2', '99', '1663484976982790146', '鹤壁市山城区寄递事业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045581', '2', '99', '1663484976982790146', '鹤壁市山城区寄递事业部单位领导部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045582', '2', '99', '1663484976982790146', '鹤壁市技师学院邮政服务中心', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045583', '2', '99', '1663484976982790146', '鹤壁市新世纪邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045584', '2', '99', '1663484976982790146', '鹤壁市淇滨邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045585', '2', '99', '1663484976982790146', '鹤壁市清华园邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045586', '2', '99', '1663484976982790146', '鹤壁市电商客户山城区快包揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045587', '2', '99', '1663484976982790146', '鹤壁市石林邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045588', '2', '99', '1663484976982790146', '鹤壁市金山邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045589', '2', '99', '1663484976982790146', '鹤壁市钜桥邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045590', '2', '99', '1663484976982790146', '鹤壁市鹤山揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045591', '2', '99', '1663484976982790146', '鹤壁市鹤山邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045592', '2', '99', '1663484976982790146', '鹤壁市鹿楼邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749697464045593', '2', '99', '1663484976982790146', '鹤壁职业技术学院邮政服务中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177152', '2', '99', '1663484976982790147', '鹤壁市分公司人力资源部（党委组织部）', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177153', '2', '99', '1663484976982790147', '鹤壁市分公司党委党建工作部（纪委办公室）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177154', '2', '99', '1663484976982790147', '鹤壁市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177155', '2', '99', '1663484976982790147', '鹤壁市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177156', '2', '99', '1663484976982790147', '鹤壁市分公司市场营销部客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177157', '2', '99', '1663484976982790147', '鹤壁市分公司服务质量部（普遍服务部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177158', '2', '99', '1663484976982790147', '鹤壁市分公司本部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177159', '2', '99', '1663484976982790147', '鹤壁市分公司机要通信分局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177160', '2', '99', '1663484976982790147', '鹤壁市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177161', '2', '99', '1663484976982790147', '鹤壁市分公司综合办公室（党委办公室、安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177162', '2', '99', '1663484976982790147', '鹤壁市分公司财务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177163', '2', '99', '1663484976982790147', '鹤壁市分公司邮政工会', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177164', '2', '99', '1663484976982790147', '鹤壁市分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177165', '2', '99', '1663484976982790147', '鹤壁市分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177166', '2', '99', '1663484976982790147', '鹤壁市分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177167', '2', '99', '1663484976982790147', '鹤壁市商企客户揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177168', '2', '99', '1663484976982790147', '鹤壁市寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177169', '2', '99', '1663484976982790147', '鹤壁市寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177170', '2', '99', '1663484976982790147', '鹤壁市寄递事业部市场部客户营销中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177171', '2', '99', '1663484976982790147', '鹤壁市寄递事业部服务质量部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177172', '2', '99', '1663484976982790147', '鹤壁市寄递事业部服务质量部客户服务中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177173', '2', '99', '1663484976982790147', '鹤壁市寄递事业部本部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177174', '2', '99', '1663484976982790147', '鹤壁市寄递事业部物流营销中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177175', '2', '99', '1663484976982790147', '鹤壁市寄递事业部综合部(党委办公室)', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177176', '2', '99', '1663484976982790147', '鹤壁市寄递事业部网路运营中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177177', '2', '99', '1663484976982790147', '鹤壁市寄递事业部网路运营中心包件车间', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177178', '2', '99', '1663484976982790147', '鹤壁市寄递事业部网路运营中心普服车间', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177179', '2', '99', '1663484976982790147', '鹤壁市寄递事业部网路运营中心运输车间', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177180', '2', '99', '1663484976982790147', '鹤壁市寄递事业部运营管理部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177181', '2', '99', '1663484976982790147', '鹤壁市寄递事业部非领导职务部门', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177182', '2', '99', '1663484976982790147', '鹤壁市政务客户交管揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177183', '2', '99', '1663484976982790147', '鹤壁市政务客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177184', '2', '99', '1663484976982790147', '鹤壁市电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749774832177185', '2', '99', '1663484976982790147', '鹤壁市电商客户淇滨区揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437824', '2', '99', '1663484976982790148', '鹤壁市淇滨一部揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437825', '2', '99', '1663484976982790148', '鹤壁市淇滨三部揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437826', '2', '99', '1663484976982790148', '鹤壁市淇滨二部揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437827', '2', '99', '1663484976982790148', '鹤壁市淇滨区分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437828', '2', '99', '1663484976982790148', '鹤壁市淇滨区分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437829', '2', '99', '1663484976982790148', '鹤壁市淇滨区分公司渠道平台中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437830', '2', '99', '1663484976982790148', '鹤壁市淇滨区分公司金融业务中心（中邮保险局）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437831', '2', '99', '1663484976982790148', '鹤壁市淇滨区分公司集邮与文化传媒中心', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437832', '2', '99', '1663484976982790148', '鹤壁市淇滨区寄递事业部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437833', '2', '99', '1663484976982790148', '鹤壁市淇滨区寄递事业部单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437834', '2', '99', '1663484976982790148', '鹤壁市淇滨四部揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437835', '2', '99', '1663484976982790148', '鹤壁市淇滨揽投五部揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749851663437836', '2', '99', '1663484976982790148', '鹤壁市淇滨揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165312', '2', '99', '1663491059189157888', '新乡市南干道营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165313', '2', '99', '1663491059189157888', '新乡市人民西路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165314', '2', '99', '1663491059189157888', '新乡市健康路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165315', '2', '99', '1663491059189157888', '新乡市劳动南揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165316', '2', '99', '1663491059189157888', '新乡市化工路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165317', '2', '99', '1663491059189157888', '新乡市南环路邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165318', '2', '99', '1663491059189157888', '新乡市向阳揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165319', '2', '99', '1663491059189157888', '新乡市向阳路邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165320', '2', '99', '1663491059189157888', '新乡市和平大道邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165321', '2', '99', '1663491059189157888', '新乡市大学城邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165322', '2', '99', '1663491059189157888', '新乡市小店邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165323', '2', '99', '1663491059189157888', '新乡市工学院揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165324', '2', '99', '1663491059189157888', '新乡市新乡医学院邮政服务中心', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165325', '2', '99', '1663491059189157888', '新乡市新乡学院揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165326', '2', '99', '1663491059189157888', '新乡市新乡学院邮政服务中心', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165327', '2', '99', '1663491059189157888', '新乡市新乡职业技术学院邮政服务中心', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165328', '2', '99', '1663491059189157888', '新乡市新区邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165329', '2', '99', '1663491059189157888', '新乡市新四街邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165330', '2', '99', '1663491059189157888', '新乡市河南工学院邮政服务中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165331', '2', '99', '1663491059189157888', '新乡市河南师范大学平原湖校区邮政服务中心', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165332', '2', '99', '1663491059189157888', '新乡市火车站邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165333', '2', '99', '1663491059189157888', '新乡市电商客户红旗区饮马口揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165334', '2', '99', '1663491059189157888', '新乡市科技学院揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165335', '2', '99', '1663491059189157888', '新乡市科技学院邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165336', '2', '99', '1663491059189157888', '新乡市红旗区分公司', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165337', '2', '99', '1663491059189157888', '新乡市红旗区分公司市场营销部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165338', '2', '99', '1663491059189157888', '新乡市红旗区分公司渠道平台部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165339', '2', '99', '1663491059189157888', '新乡市红旗区分公司金融业务部（中邮保险局）', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165340', '2', '99', '1663491059189157888', '新乡市红旗区分公司集邮与文化传媒部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165341', '2', '99', '1663491059189157888', '新乡市红旗区寄递事业部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165342', '2', '99', '1663491059189157888', '新乡市红旗区寄递事业部单位领导部门', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165343', '2', '99', '1663491059189157888', '新乡市红旗区寄递事业部经开特快揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165344', '2', '99', '1663491059189157888', '新乡市红旗区寄递事业部高新特快揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165345', '2', '99', '1663491059189157888', '新乡市经开区揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165346', '2', '99', '1663491059189157888', '新乡市车站广场邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165347', '2', '99', '1663491059189157888', '新乡市金穗东揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165348', '2', '99', '1663491059189157888', '新乡市饮马口揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165349', '2', '99', '1663491059189157888', '新乡市饮马口邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663749988385165350', '2', '99', '1663491059189157888', '新乡市高新区揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855680', '2', '99', '1663491059189157889', '新乡市中同街邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855681', '2', '99', '1663491059189157889', '新乡市人民西路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855682', '2', '99', '1663491059189157889', '新乡市凤泉区分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855683', '2', '99', '1663491059189157889', '新乡市劳动北路邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855684', '2', '99', '1663491059189157889', '新乡市北干道邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855685', '2', '99', '1663491059189157889', '新乡市北环揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855686', '2', '99', '1663491059189157889', '新乡市医学院揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855687', '2', '99', '1663491059189157889', '新乡市卫滨区分公司', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855688', '2', '99', '1663491059189157889', '新乡市卫滨区分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855689', '2', '99', '1663491059189157889', '新乡市卫滨区分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855690', '2', '99', '1663491059189157889', '新乡市卫滨区分公司金融业务部（中邮保险局）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855691', '2', '99', '1663491059189157889', '新乡市卫滨区分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855692', '2', '99', '1663491059189157889', '新乡市卫滨区寄递事业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855693', '2', '99', '1663491059189157889', '新乡市卫滨区寄递事业部单位领导部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855694', '2', '99', '1663491059189157889', '新乡市卫滨区寄递事业部平原路特快揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855695', '2', '99', '1663491059189157889', '新乡市卫滨区寄递事业部黄岗特快揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855696', '2', '99', '1663491059189157889', '新乡市双桥邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855697', '2', '99', '1663491059189157889', '新乡市和平北路邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855698', '2', '99', '1663491059189157889', '新乡市学院路揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855699', '2', '99', '1663491059189157889', '新乡市平原路揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855700', '2', '99', '1663491059189157889', '新乡市平原路邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855701', '2', '99', '1663491059189157889', '新乡市新一街邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855702', '2', '99', '1663491059189157889', '新乡市杨岗揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855703', '2', '99', '1663491059189157889', '新乡市河师大揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855704', '2', '99', '1663491059189157889', '新乡市河师大邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855705', '2', '99', '1663491059189157889', '新乡市潞王坟邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855706', '2', '99', '1663491059189157889', '新乡市王村邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855707', '2', '99', '1663491059189157889', '新乡市电商客户卫滨区北干道揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855708', '2', '99', '1663491059189157889', '新乡市耿黄邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855709', '2', '99', '1663491059189157889', '新乡市荣校路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750077270855710', '2', '99', '1663491059189157889', '新乡市黄岗邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158317391872', '2', '99', '1663491059189157890', '新乡市凤泉区分公司市场营销部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586176', '2', '99', '1663491059189157890', '新乡市凤泉区分公司渠道平台中心', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586177', '2', '99', '1663491059189157890', '新乡市凤泉区分公司金融业务中心（中邮保险局）', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586178', '2', '99', '1663491059189157890', '新乡市凤泉区分公司集邮与文化传媒中心', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586179', '2', '99', '1663491059189157890', '新乡市凤泉区寄递事业部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586180', '2', '99', '1663491059189157890', '新乡市凤泉区寄递事业部单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586181', '2', '99', '1663491059189157890', '新乡市凤泉区揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750158321586182', '2', '99', '1663491059189157890', '新乡市市场路邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522112', '2', '99', '1663491059189157891', '新乡市分公司中邮保险业务部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522113', '2', '99', '1663491059189157891', '新乡市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522114', '2', '99', '1663491059189157891', '新乡市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522115', '2', '99', '1663491059189157891', '新乡市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522116', '2', '99', '1663491059189157891', '新乡市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522117', '2', '99', '1663491059189157891', '新乡市分公司市场营销部客户营销中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522118', '2', '99', '1663491059189157891', '新乡市分公司服务质量部（普遍服务部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522119', '2', '99', '1663491059189157891', '新乡市分公司本部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522120', '2', '99', '1663491059189157891', '新乡市分公司机要通信分局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522121', '2', '99', '1663491059189157891', '新乡市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522122', '2', '99', '1663491059189157891', '新乡市分公司综合办公室（党委办公室、安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522123', '2', '99', '1663491059189157891', '新乡市分公司财务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522124', '2', '99', '1663491059189157891', '新乡市分公司邮政工会', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522125', '2', '99', '1663491059189157891', '新乡市分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522126', '2', '99', '1663491059189157891', '新乡市分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522127', '2', '99', '1663491059189157891', '新乡市分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522128', '2', '99', '1663491059189157891', '新乡市北新物流项目组', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522129', '2', '99', '1663491059189157891', '新乡市国际公司直属国际小包营业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522130', '2', '99', '1663491059189157891', '新乡市国际公司直属国际营业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522131', '2', '99', '1663491059189157891', '新乡市寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522132', '2', '99', '1663491059189157891', '新乡市寄递事业部国际营销中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522133', '2', '99', '1663491059189157891', '新乡市寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522134', '2', '99', '1663491059189157891', '新乡市寄递事业部快递包裹部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522135', '2', '99', '1663491059189157891', '新乡市寄递事业部快递包裹部电商营销中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522136', '2', '99', '1663491059189157891', '新乡市寄递事业部服务质量部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522137', '2', '99', '1663491059189157891', '新乡市寄递事业部服务质量部客户服务中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522138', '2', '99', '1663491059189157891', '新乡市寄递事业部本部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522139', '2', '99', '1663491059189157891', '新乡市寄递事业部物流业务分公司', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522140', '2', '99', '1663491059189157891', '新乡市寄递事业部物流业务分公司市场部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522141', '2', '99', '1663491059189157891', '新乡市寄递事业部物流业务分公司运营部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522142', '2', '99', '1663491059189157891', '新乡市寄递事业部综合部(党委办公室)', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522143', '2', '99', '1663491059189157891', '新乡市寄递事业部网路运营中心', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522144', '2', '99', '1663491059189157891', '新乡市寄递事业部网路运营中心包件车间', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522145', '2', '99', '1663491059189157891', '新乡市寄递事业部网路运营中心普服车间', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522146', '2', '99', '1663491059189157891', '新乡市寄递事业部网路运营中心运输车间', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522147', '2', '99', '1663491059189157891', '新乡市寄递事业部网路运营中心速递邮件处理车间', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522148', '2', '99', '1663491059189157891', '新乡市寄递事业部运营管理部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522149', '2', '99', '1663491059189157891', '新乡市寄递事业部速递部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522150', '2', '99', '1663491059189157891', '新乡市寄递事业部非领导职务部门', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522151', '2', '99', '1663491059189157891', '新乡市百威物流项目组', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522152', '2', '99', '1663491059189157891', '河南省新乡市商企行业客户揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750365138522153', '2', '99', '1663491059189157891', '河南省新乡市政务行业客户揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660416', '2', '99', '1663491059189157892', '河南省卫辉市一附院邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660417', '2', '99', '1663491059189157892', '河南省卫辉市上乐村邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660418', '2', '99', '1663491059189157892', '河南省卫辉市分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660419', '2', '99', '1663491059189157892', '河南省卫辉市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660420', '2', '99', '1663491059189157892', '河南省卫辉市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660421', '2', '99', '1663491059189157892', '河南省卫辉市分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660422', '2', '99', '1663491059189157892', '河南省卫辉市分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660423', '2', '99', '1663491059189157892', '河南省卫辉市分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660424', '2', '99', '1663491059189157892', '河南省卫辉市分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660425', '2', '99', '1663491059189157892', '河南省卫辉市分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660426', '2', '99', '1663491059189157892', '河南省卫辉市分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660427', '2', '99', '1663491059189157892', '河南省卫辉市后河邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660428', '2', '99', '1663491059189157892', '河南省卫辉市唐庄邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660429', '2', '99', '1663491059189157892', '河南省卫辉市城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660430', '2', '99', '1663491059189157892', '河南省卫辉市城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660431', '2', '99', '1663491059189157892', '河南省卫辉市城郊邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660432', '2', '99', '1663491059189157892', '河南省卫辉市大道邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660433', '2', '99', '1663491059189157892', '河南省卫辉市太公泉邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660434', '2', '99', '1663491059189157892', '河南省卫辉市孙杏村邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660435', '2', '99', '1663491059189157892', '河南省卫辉市安都邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660436', '2', '99', '1663491059189157892', '河南省卫辉市寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660437', '2', '99', '1663491059189157892', '河南省卫辉市寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660438', '2', '99', '1663491059189157892', '河南省卫辉市寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660439', '2', '99', '1663491059189157892', '河南省卫辉市寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660440', '2', '99', '1663491059189157892', '河南省卫辉市寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660441', '2', '99', '1663491059189157892', '河南省卫辉市庞寨邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660442', '2', '99', '1663491059189157892', '河南省卫辉市揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660443', '2', '99', '1663491059189157892', '河南省卫辉市新区邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660444', '2', '99', '1663491059189157892', '河南省卫辉市李元屯邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660445', '2', '99', '1663491059189157892', '河南省卫辉市柳庄邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660446', '2', '99', '1663491059189157892', '河南省卫辉市火车站邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660447', '2', '99', '1663491059189157892', '河南省卫辉市狮豹头邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660448', '2', '99', '1663491059189157892', '河南省卫辉市电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660449', '2', '99', '1663491059189157892', '河南省卫辉市顿坊店邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750450601660450', '2', '99', '1663491059189157892', '河南省卫辉市马市街邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450752', '2', '99', '1663491059189157893', '河南省原阳县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450753', '2', '99', '1663491059189157893', '河南省原阳县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450754', '2', '99', '1663491059189157893', '河南省原阳县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450755', '2', '99', '1663491059189157893', '河南省原阳县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450756', '2', '99', '1663491059189157893', '河南省原阳县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450757', '2', '99', '1663491059189157893', '河南省原阳县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450758', '2', '99', '1663491059189157893', '河南省原阳县分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450759', '2', '99', '1663491059189157893', '河南省原阳县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450760', '2', '99', '1663491059189157893', '河南省原阳县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450761', '2', '99', '1663491059189157893', '河南省原阳县包厂邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450762', '2', '99', '1663491059189157893', '河南省原阳县原武邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450763', '2', '99', '1663491059189157893', '河南省原阳县县城邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450764', '2', '99', '1663491059189157893', '河南省原阳县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450765', '2', '99', '1663491059189157893', '河南省原阳县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450766', '2', '99', '1663491059189157893', '河南省原阳县大宾邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450767', '2', '99', '1663491059189157893', '河南省原阳县太平镇邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450768', '2', '99', '1663491059189157893', '河南省原阳县官厂邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450769', '2', '99', '1663491059189157893', '河南省原阳县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450770', '2', '99', '1663491059189157893', '河南省原阳县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450771', '2', '99', '1663491059189157893', '河南省原阳县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450772', '2', '99', '1663491059189157893', '河南省原阳县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450773', '2', '99', '1663491059189157893', '河南省原阳县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450774', '2', '99', '1663491059189157893', '河南省原阳县师寨邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450775', '2', '99', '1663491059189157893', '河南省原阳县揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450776', '2', '99', '1663491059189157893', '河南省原阳县新乡医学院三全学院邮政服务中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450777', '2', '99', '1663491059189157893', '河南省原阳县桥北邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450778', '2', '99', '1663491059189157893', '河南省原阳县梁寨邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450779', '2', '99', '1663491059189157893', '河南省原阳县王杏兰邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450780', '2', '99', '1663491059189157893', '河南省原阳县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450781', '2', '99', '1663491059189157893', '河南省原阳县祝楼邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450782', '2', '99', '1663491059189157893', '河南省原阳县福宁集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450783', '2', '99', '1663491059189157893', '河南省原阳县葛埠口邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450784', '2', '99', '1663491059189157893', '河南省原阳县蒋庄邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450785', '2', '99', '1663491059189157893', '河南省原阳县路寨邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450786', '2', '99', '1663491059189157893', '河南省原阳县阳和邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450787', '2', '99', '1663491059189157893', '河南省原阳县阳阿邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450788', '2', '99', '1663491059189157893', '河南省原阳县陡门邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450789', '2', '99', '1663491059189157893', '河南省原阳县韩董庄邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750525717450790', '2', '99', '1663491059189157893', '河南省原阳县齐街邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750643027939328', '2', '99', '1663491059189157894', '河南省原阳县平原新区揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486976', '2', '99', '1663491059189157895', '河南省封丘县冯村邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486977', '2', '99', '1663491059189157895', '河南省封丘县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486978', '2', '99', '1663491059189157895', '河南省封丘县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486979', '2', '99', '1663491059189157895', '河南省封丘县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486980', '2', '99', '1663491059189157895', '河南省封丘县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486981', '2', '99', '1663491059189157895', '河南省封丘县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486982', '2', '99', '1663491059189157895', '河南省封丘县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486983', '2', '99', '1663491059189157895', '河南省封丘县分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486984', '2', '99', '1663491059189157895', '河南省封丘县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486985', '2', '99', '1663491059189157895', '河南省封丘县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486986', '2', '99', '1663491059189157895', '河南省封丘县北干道邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486987', '2', '99', '1663491059189157895', '河南省封丘县城关邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486988', '2', '99', '1663491059189157895', '河南省封丘县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486989', '2', '99', '1663491059189157895', '河南省封丘县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486990', '2', '99', '1663491059189157895', '河南省封丘县寄递事业部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486991', '2', '99', '1663491059189157895', '河南省封丘县寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486992', '2', '99', '1663491059189157895', '河南省封丘县寄递事业部市场部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486993', '2', '99', '1663491059189157895', '河南省封丘县寄递事业部运营监控部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486994', '2', '99', '1663491059189157895', '河南省封丘县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486995', '2', '99', '1663491059189157895', '河南省封丘县尹岗邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486996', '2', '99', '1663491059189157895', '河南省封丘县居厢邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486997', '2', '99', '1663491059189157895', '河南省封丘县应举邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486998', '2', '99', '1663491059189157895', '河南省封丘县戚城邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391486999', '2', '99', '1663491059189157895', '河南省封丘县揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487000', '2', '99', '1663491059189157895', '河南省封丘县新李庄邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487001', '2', '99', '1663491059189157895', '河南省封丘县曹岗邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487002', '2', '99', '1663491059189157895', '河南省封丘县李庄邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487003', '2', '99', '1663491059189157895', '河南省封丘县潘店邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487004', '2', '99', '1663491059189157895', '河南省封丘县王村邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487005', '2', '99', '1663491059189157895', '河南省封丘县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487006', '2', '99', '1663491059189157895', '河南省封丘县留光邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487007', '2', '99', '1663491059189157895', '河南省封丘县荆乡邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487008', '2', '99', '1663491059189157895', '河南省封丘县荆隆宫邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487009', '2', '99', '1663491059189157895', '河南省封丘县赵岗邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487010', '2', '99', '1663491059189157895', '河南省封丘县陈固邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487011', '2', '99', '1663491059189157895', '河南省封丘县陈桥邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487012', '2', '99', '1663491059189157895', '河南省封丘县鲁岗邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487013', '2', '99', '1663491059189157895', '河南省封丘县黄德邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750725391487014', '2', '99', '1663491059189157895', '河南省封丘县黄陵邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479488', '2', '99', '1663491059189157896', '河南省延津县东屯邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479489', '2', '99', '1663491059189157896', '河南省延津县丰庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479490', '2', '99', '1663491059189157896', '河南省延津县位邱邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479491', '2', '99', '1663491059189157896', '河南省延津县僧固邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479492', '2', '99', '1663491059189157896', '河南省延津县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479493', '2', '99', '1663491059189157896', '河南省延津县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479494', '2', '99', '1663491059189157896', '河南省延津县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479495', '2', '99', '1663491059189157896', '河南省延津县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479496', '2', '99', '1663491059189157896', '河南省延津县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479497', '2', '99', '1663491059189157896', '河南省延津县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479498', '2', '99', '1663491059189157896', '河南省延津县分公司金融业务部（中邮保险中心）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479499', '2', '99', '1663491059189157896', '河南省延津县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479500', '2', '99', '1663491059189157896', '河南省延津县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479501', '2', '99', '1663491059189157896', '河南省延津县县城邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479502', '2', '99', '1663491059189157896', '河南省延津县司寨邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479503', '2', '99', '1663491059189157896', '河南省延津县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479504', '2', '99', '1663491059189157896', '河南省延津县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479505', '2', '99', '1663491059189157896', '河南省延津县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479506', '2', '99', '1663491059189157896', '河南省延津县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479507', '2', '99', '1663491059189157896', '河南省延津县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479508', '2', '99', '1663491059189157896', '河南省延津县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479509', '2', '99', '1663491059189157896', '河南省延津县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479510', '2', '99', '1663491059189157896', '河南省延津县建设路邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479511', '2', '99', '1663491059189157896', '河南省延津县揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479512', '2', '99', '1663491059189157896', '河南省延津县榆林邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479513', '2', '99', '1663491059189157896', '河南省延津县潭龙邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479514', '2', '99', '1663491059189157896', '河南省延津县王楼邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479515', '2', '99', '1663491059189157896', '河南省延津县电商客户揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479516', '2', '99', '1663491059189157896', '河南省延津县石婆固邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479517', '2', '99', '1663491059189157896', '河南省延津县胙城邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750819356479518', '2', '99', '1663491059189157896', '河南省延津县马庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216896', '2', '99', '1663491059189157897', '河南省新乡县七里营邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216897', '2', '99', '1663491059189157897', '河南省新乡县关堤邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216898', '2', '99', '1663491059189157897', '河南省新乡县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216899', '2', '99', '1663491059189157897', '河南省新乡县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216900', '2', '99', '1663491059189157897', '河南省新乡县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216901', '2', '99', '1663491059189157897', '河南省新乡县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216902', '2', '99', '1663491059189157897', '河南省新乡县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216903', '2', '99', '1663491059189157897', '河南省新乡县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216904', '2', '99', '1663491059189157897', '河南省新乡县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216905', '2', '99', '1663491059189157897', '河南省新乡县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216906', '2', '99', '1663491059189157897', '河南省新乡县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216907', '2', '99', '1663491059189157897', '河南省新乡县古固寨邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216908', '2', '99', '1663491059189157897', '河南省新乡县合河邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216909', '2', '99', '1663491059189157897', '河南省新乡县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216910', '2', '99', '1663491059189157897', '河南省新乡县大召营邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216911', '2', '99', '1663491059189157897', '河南省新乡县大块邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216912', '2', '99', '1663491059189157897', '河南省新乡县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216913', '2', '99', '1663491059189157897', '河南省新乡县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216914', '2', '99', '1663491059189157897', '河南省新乡县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216915', '2', '99', '1663491059189157897', '河南省新乡县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216916', '2', '99', '1663491059189157897', '河南省新乡县小冀邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216917', '2', '99', '1663491059189157897', '河南省新乡县揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216918', '2', '99', '1663491059189157897', '河南省新乡县新乡工程学院邮政服务中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216919', '2', '99', '1663491059189157897', '河南省新乡县朗公庙邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216920', '2', '99', '1663491059189157897', '河南省新乡县洪门邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216921', '2', '99', '1663491059189157897', '河南省新乡县电商客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216922', '2', '99', '1663491059189157897', '河南省新乡县翟坡邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216923', '2', '99', '1663491059189157897', '河南省新乡县胜利南街邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216924', '2', '99', '1663491059189157897', '河南省新乡县金穗大道邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663750899371216925', '2', '99', '1663491059189157897', '河南省新乡县高新邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751018028077056', '2', '99', '1663491059189157898', '河南省新乡县南环揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756416', '2', '99', '1663491059189157899', '河南省获嘉县东环路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756417', '2', '99', '1663491059189157899', '河南省获嘉县中和邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756418', '2', '99', '1663491059189157899', '河南省获嘉县亢村邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756419', '2', '99', '1663491059189157899', '河南省获嘉县位庄邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756420', '2', '99', '1663491059189157899', '河南省获嘉县冯庄邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756421', '2', '99', '1663491059189157899', '河南省获嘉县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756422', '2', '99', '1663491059189157899', '河南省获嘉县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756423', '2', '99', '1663491059189157899', '河南省获嘉县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756424', '2', '99', '1663491059189157899', '河南省获嘉县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756425', '2', '99', '1663491059189157899', '河南省获嘉县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756426', '2', '99', '1663491059189157899', '河南省获嘉县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756427', '2', '99', '1663491059189157899', '河南省获嘉县分公司金融业务部（中邮保险中心）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756428', '2', '99', '1663491059189157899', '河南省获嘉县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756429', '2', '99', '1663491059189157899', '河南省获嘉县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756430', '2', '99', '1663491059189157899', '河南省获嘉县史庄邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756431', '2', '99', '1663491059189157899', '河南省获嘉县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756432', '2', '99', '1663491059189157899', '河南省获嘉县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756433', '2', '99', '1663491059189157899', '河南省获嘉县大新庄邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756434', '2', '99', '1663491059189157899', '河南省获嘉县太山邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756435', '2', '99', '1663491059189157899', '河南省获嘉县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756436', '2', '99', '1663491059189157899', '河南省获嘉县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756437', '2', '99', '1663491059189157899', '河南省获嘉县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756438', '2', '99', '1663491059189157899', '河南省获嘉县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756439', '2', '99', '1663491059189157899', '河南省获嘉县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756440', '2', '99', '1663491059189157899', '河南省获嘉县徐营邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756441', '2', '99', '1663491059189157899', '河南省获嘉县振兴路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756442', '2', '99', '1663491059189157899', '河南省获嘉县揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756443', '2', '99', '1663491059189157899', '河南省获嘉县河南女子职业学院邮政服务中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756444', '2', '99', '1663491059189157899', '河南省获嘉县照镜邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756445', '2', '99', '1663491059189157899', '河南省获嘉县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756446', '2', '99', '1663491059189157899', '河南省获嘉县行政路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756447', '2', '99', '1663491059189157899', '河南省获嘉县西工邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751127981756448', '2', '99', '1663491059189157899', '河南省获嘉县黄堤邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432128', '2', '99', '1663491059189157900', '河南省辉县市上八里邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432129', '2', '99', '1663491059189157900', '河南省辉县市八里沟主题邮局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432130', '2', '99', '1663491059189157900', '河南省辉县市共城大道邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432131', '2', '99', '1663491059189157900', '河南省辉县市冀屯邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432132', '2', '99', '1663491059189157900', '河南省辉县市农专邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432133', '2', '99', '1663491059189157900', '河南省辉县市分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432134', '2', '99', '1663491059189157900', '河南省辉县市分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432135', '2', '99', '1663491059189157900', '河南省辉县市分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432136', '2', '99', '1663491059189157900', '河南省辉县市分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432137', '2', '99', '1663491059189157900', '河南省辉县市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432138', '2', '99', '1663491059189157900', '河南省辉县市分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432139', '2', '99', '1663491059189157900', '河南省辉县市分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432140', '2', '99', '1663491059189157900', '河南省辉县市分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432141', '2', '99', '1663491059189157900', '河南省辉县市分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432142', '2', '99', '1663491059189157900', '河南省辉县市北云门邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432143', '2', '99', '1663491059189157900', '河南省辉县市南寨邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432144', '2', '99', '1663491059189157900', '河南省辉县市南村邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432145', '2', '99', '1663491059189157900', '河南省辉县市占城邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432146', '2', '99', '1663491059189157900', '河南省辉县市吴村邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432147', '2', '99', '1663491059189157900', '河南省辉县市城东邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432148', '2', '99', '1663491059189157900', '河南省辉县市城区中心揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432149', '2', '99', '1663491059189157900', '河南省辉县市城区揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432150', '2', '99', '1663491059189157900', '河南省辉县市太行大道邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432151', '2', '99', '1663491059189157900', '河南省辉县市孟庄邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432152', '2', '99', '1663491059189157900', '河南省辉县市寄递事业部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432153', '2', '99', '1663491059189157900', '河南省辉县市寄递事业部单位领导部门', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432154', '2', '99', '1663491059189157900', '河南省辉县市寄递事业部市场部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432155', '2', '99', '1663491059189157900', '河南省辉县市寄递事业部运营监控部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432156', '2', '99', '1663491059189157900', '河南省辉县市寄递事业部运输中心（纯核算）', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432157', '2', '99', '1663491059189157900', '河南省辉县市峪河邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432158', '2', '99', '1663491059189157900', '河南省辉县市常村邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432159', '2', '99', '1663491059189157900', '河南省辉县市张村邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432160', '2', '99', '1663491059189157900', '河南省辉县市拍石头邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432161', '2', '99', '1663491059189157900', '河南省辉县市揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432162', '2', '99', '1663491059189157900', '河南省辉县市沙窑邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432163', '2', '99', '1663491059189157900', '河南省辉县市洪洲邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432164', '2', '99', '1663491059189157900', '河南省辉县市电商客户揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432165', '2', '99', '1663491059189157900', '河南省辉县市百泉邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432166', '2', '99', '1663491059189157900', '河南省辉县市薄壁邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432167', '2', '99', '1663491059189157900', '河南省辉县市西平罗邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432168', '2', '99', '1663491059189157900', '河南省辉县市赵固邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432169', '2', '99', '1663491059189157900', '河南省辉县市赵庄邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432170', '2', '99', '1663491059189157900', '河南省辉县市高庄邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751214816432171', '2', '99', '1663491059189157900', '河南省辉县市黄水邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843392', '2', '99', '1663491059189157901', '河南省长垣县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843393', '2', '99', '1663491059189157901', '河南省长垣县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843394', '2', '99', '1663491059189157901', '河南省长垣县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843395', '2', '99', '1663491059189157901', '河南省长垣县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843396', '2', '99', '1663491059189157901', '河南省长垣县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843397', '2', '99', '1663491059189157901', '河南省长垣县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843398', '2', '99', '1663491059189157901', '河南省长垣县分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843399', '2', '99', '1663491059189157901', '河南省长垣县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843400', '2', '99', '1663491059189157901', '河南省长垣县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843401', '2', '99', '1663491059189157901', '河南省长垣县寄递事业部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843402', '2', '99', '1663491059189157901', '河南省长垣县寄递事业部单位领导部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843403', '2', '99', '1663491059189157901', '河南省长垣县寄递事业部市场部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843404', '2', '99', '1663491059189157901', '河南省长垣县寄递事业部运营监控部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843405', '2', '99', '1663491059189157901', '河南省长垣县揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843406', '2', '99', '1663491059189157901', '河南省长垣县电商客户揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843407', '2', '99', '1663491059189157901', '河南省长垣市丁栾邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843408', '2', '99', '1663491059189157901', '河南省长垣市体育场邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843409', '2', '99', '1663491059189157901', '河南省长垣市佘家邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843410', '2', '99', '1663491059189157901', '河南省长垣市城区中心揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843411', '2', '99', '1663491059189157901', '河南省长垣市城区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843412', '2', '99', '1663491059189157901', '河南省长垣市孟岗邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843413', '2', '99', '1663491059189157901', '河南省长垣市宏力大道邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843414', '2', '99', '1663491059189157901', '河南省长垣市寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843415', '2', '99', '1663491059189157901', '河南省长垣市常村邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843416', '2', '99', '1663491059189157901', '河南省长垣市建设路邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843417', '2', '99', '1663491059189157901', '河南省长垣市张三寨邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843418', '2', '99', '1663491059189157901', '河南省长垣市张占邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843419', '2', '99', '1663491059189157901', '河南省长垣市恼里邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843420', '2', '99', '1663491059189157901', '河南省长垣市方里邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843421', '2', '99', '1663491059189157901', '河南省长垣市樊相邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843422', '2', '99', '1663491059189157901', '河南省长垣市武邱邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843423', '2', '99', '1663491059189157901', '河南省长垣市满村邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843424', '2', '99', '1663491059189157901', '河南省长垣市芦岗邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843425', '2', '99', '1663491059189157901', '河南省长垣市苗寨邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843426', '2', '99', '1663491059189157901', '河南省长垣市蒲西邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843427', '2', '99', '1663491059189157901', '河南省长垣市赵堤邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843428', '2', '99', '1663491059189157901', '河南省长垣市金贝山邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843429', '2', '99', '1663491059189157901', '河南省长垣市长垣烹饪职业技术学院邮政服务中心', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751317014843430', '2', '99', '1663491059189157901', '河南省长垣市魏庄邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751412636585984', '2', '99', '1663491059189157902', '河南省长垣市蒲东揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687360', '2', '99', '1663486964277579776', '武陟县黄河交通学院邮政服务中心', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687361', '2', '99', '1663486964277579776', '河南省武陟县三阳邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687362', '2', '99', '1663486964277579776', '河南省武陟县乔庙邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687363', '2', '99', '1663486964277579776', '河南省武陟县兴华路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687364', '2', '99', '1663486964277579776', '河南省武陟县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687365', '2', '99', '1663486964277579776', '河南省武陟县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687366', '2', '99', '1663486964277579776', '河南省武陟县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687367', '2', '99', '1663486964277579776', '河南省武陟县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687368', '2', '99', '1663486964277579776', '河南省武陟县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687369', '2', '99', '1663486964277579776', '河南省武陟县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687370', '2', '99', '1663486964277579776', '河南省武陟县分公司金融业务部（中邮保险中心）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687371', '2', '99', '1663486964277579776', '河南省武陟县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687372', '2', '99', '1663486964277579776', '河南省武陟县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687373', '2', '99', '1663486964277579776', '河南省武陟县北郭邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687374', '2', '99', '1663486964277579776', '河南省武陟县和平路邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687375', '2', '99', '1663486964277579776', '河南省武陟县嘉应观邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687376', '2', '99', '1663486964277579776', '河南省武陟县圪垱店邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687377', '2', '99', '1663486964277579776', '河南省武陟县城区中心揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687378', '2', '99', '1663486964277579776', '河南省武陟县城区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687379', '2', '99', '1663486964277579776', '河南省武陟县大封邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687380', '2', '99', '1663486964277579776', '河南省武陟县大虹桥一邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687381', '2', '99', '1663486964277579776', '河南省武陟县大虹桥二邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687382', '2', '99', '1663486964277579776', '河南省武陟县宁郭邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687383', '2', '99', '1663486964277579776', '河南省武陟县寄递事业部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687384', '2', '99', '1663486964277579776', '河南省武陟县寄递事业部单位领导部门', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687385', '2', '99', '1663486964277579776', '河南省武陟县寄递事业部市场部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687386', '2', '99', '1663486964277579776', '河南省武陟县寄递事业部运营监控部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687387', '2', '99', '1663486964277579776', '河南省武陟县寄递事业部运输中心（纯核算）', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687388', '2', '99', '1663486964277579776', '河南省武陟县小董邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687389', '2', '99', '1663486964277579776', '河南省武陟县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687390', '2', '99', '1663486964277579776', '河南省武陟县红旗路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687391', '2', '99', '1663486964277579776', '河南省武陟县西陶邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687392', '2', '99', '1663486964277579776', '河南省武陟县詹店邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687393', '2', '99', '1663486964277579776', '河南省武陟县谢旗营邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687394', '2', '99', '1663486964277579776', '河南省武陟县黄河路邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751572204687395', '2', '99', '1663486964277579776', '河南省武陟县龙源邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690688', '2', '99', '1663486994224910336', '河南省修武县云台山镇邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690689', '2', '99', '1663486994224910336', '河南省修武县五里源邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690690', '2', '99', '1663486994224910336', '河南省修武县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690691', '2', '99', '1663486994224910336', '河南省修武县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690692', '2', '99', '1663486994224910336', '河南省修武县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690693', '2', '99', '1663486994224910336', '河南省修武县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690694', '2', '99', '1663486994224910336', '河南省修武县分公司渠道平台中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690695', '2', '99', '1663486994224910336', '河南省修武县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690696', '2', '99', '1663486994224910336', '河南省修武县分公司金融业务中心（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690697', '2', '99', '1663486994224910336', '河南省修武县分公司集邮与文化传媒中心', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690698', '2', '99', '1663486994224910336', '河南省修武县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690699', '2', '99', '1663486994224910336', '河南省修武县周庄邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690700', '2', '99', '1663486994224910336', '河南省修武县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690701', '2', '99', '1663486994224910336', '河南省修武县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690702', '2', '99', '1663486994224910336', '河南省修武县寄递事业部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690703', '2', '99', '1663486994224910336', '河南省修武县寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690704', '2', '99', '1663486994224910336', '河南省修武县寄递事业部市场部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690705', '2', '99', '1663486994224910336', '河南省修武县寄递事业部运营监控部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690706', '2', '99', '1663486994224910336', '河南省修武县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690707', '2', '99', '1663486994224910336', '河南省修武县方庄矿区邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690708', '2', '99', '1663486994224910336', '河南省修武县方庄邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690709', '2', '99', '1663486994224910336', '河南省修武县王屯邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690710', '2', '99', '1663486994224910336', '河南省修武县环城东路邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690711', '2', '99', '1663486994224910336', '河南省修武县环城西路邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690712', '2', '99', '1663486994224910336', '河南省修武县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690713', '2', '99', '1663486994224910336', '河南省修武县葛庄邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690714', '2', '99', '1663486994224910336', '河南省修武县西村邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690715', '2', '99', '1663486994224910336', '河南省修武县郇封邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751654232690716', '2', '99', '1663486994224910336', '河南省修武县高村邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152064', '2', '99', '1663487018052751360', '河南省博爱县上庄邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152065', '2', '99', '1663487018052751360', '河南省博爱县东城邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152066', '2', '99', '1663487018052751360', '河南省博爱县中山邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152067', '2', '99', '1663487018052751360', '河南省博爱县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152068', '2', '99', '1663487018052751360', '河南省博爱县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152069', '2', '99', '1663487018052751360', '河南省博爱县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152070', '2', '99', '1663487018052751360', '河南省博爱县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152071', '2', '99', '1663487018052751360', '河南省博爱县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152072', '2', '99', '1663487018052751360', '河南省博爱县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152073', '2', '99', '1663487018052751360', '河南省博爱县分公司金融业务部（中邮保险中心）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152074', '2', '99', '1663487018052751360', '河南省博爱县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152075', '2', '99', '1663487018052751360', '河南省博爱县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152076', '2', '99', '1663487018052751360', '河南省博爱县发展大道邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152077', '2', '99', '1663487018052751360', '河南省博爱县商贸城邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152078', '2', '99', '1663487018052751360', '河南省博爱县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152079', '2', '99', '1663487018052751360', '河南省博爱县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152080', '2', '99', '1663487018052751360', '河南省博爱县孝敬邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152081', '2', '99', '1663487018052751360', '河南省博爱县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152082', '2', '99', '1663487018052751360', '河南省博爱县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152083', '2', '99', '1663487018052751360', '河南省博爱县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152084', '2', '99', '1663487018052751360', '河南省博爱县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152085', '2', '99', '1663487018052751360', '河南省博爱县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152086', '2', '99', '1663487018052751360', '河南省博爱县寨豁邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152087', '2', '99', '1663487018052751360', '河南省博爱县张茹集邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152088', '2', '99', '1663487018052751360', '河南省博爱县月山邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152089', '2', '99', '1663487018052751360', '河南省博爱县柏山邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152090', '2', '99', '1663487018052751360', '河南省博爱县电商客户揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152091', '2', '99', '1663487018052751360', '河南省博爱县界沟邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152092', '2', '99', '1663487018052751360', '河南省博爱县磨头邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152093', '2', '99', '1663487018052751360', '河南省博爱县苏家作邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152094', '2', '99', '1663487018052751360', '河南省博爱县西城邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152095', '2', '99', '1663487018052751360', '河南省博爱县许良邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152096', '2', '99', '1663487018052751360', '河南省博爱县金城邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751732536152097', '2', '99', '1663487018052751360', '河南省博爱县阳庙邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312640', '2', '99', '1663487043159855104', '河南省孟州市东小仇邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312641', '2', '99', '1663487043159855104', '河南省孟州市会昌邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312642', '2', '99', '1663487043159855104', '河南省孟州市分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312643', '2', '99', '1663487043159855104', '河南省孟州市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312644', '2', '99', '1663487043159855104', '河南省孟州市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312645', '2', '99', '1663487043159855104', '河南省孟州市分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312646', '2', '99', '1663487043159855104', '河南省孟州市分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312647', '2', '99', '1663487043159855104', '河南省孟州市分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312648', '2', '99', '1663487043159855104', '河南省孟州市分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312649', '2', '99', '1663487043159855104', '河南省孟州市分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312650', '2', '99', '1663487043159855104', '河南省孟州市分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312651', '2', '99', '1663487043159855104', '河南省孟州市化工邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312652', '2', '99', '1663487043159855104', '河南省孟州市南庄邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312653', '2', '99', '1663487043159855104', '河南省孟州市城伯邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312654', '2', '99', '1663487043159855104', '河南省孟州市城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312655', '2', '99', '1663487043159855104', '河南省孟州市大定路邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312656', '2', '99', '1663487043159855104', '河南省孟州市寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312657', '2', '99', '1663487043159855104', '河南省孟州市寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312658', '2', '99', '1663487043159855104', '河南省孟州市寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312659', '2', '99', '1663487043159855104', '河南省孟州市寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312660', '2', '99', '1663487043159855104', '河南省孟州市寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312661', '2', '99', '1663487043159855104', '河南省孟州市槐树邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312662', '2', '99', '1663487043159855104', '河南省孟州市河阳大街揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312663', '2', '99', '1663487043159855104', '河南省孟州市河雍邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312664', '2', '99', '1663487043159855104', '河南省孟州市电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312665', '2', '99', '1663487043159855104', '河南省孟州市石庄邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312666', '2', '99', '1663487043159855104', '河南省孟州市缑村邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312667', '2', '99', '1663487043159855104', '河南省孟州市西虢邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312668', '2', '99', '1663487043159855104', '河南省孟州市谷旦邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751807379312669', '2', '99', '1663487043159855104', '河南省孟州市赵和邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922944', '2', '99', '1663487077850943488', '河南省沁阳市分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922945', '2', '99', '1663487077850943488', '河南省沁阳市分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922946', '2', '99', '1663487077850943488', '河南省沁阳市分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922947', '2', '99', '1663487077850943488', '河南省沁阳市分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922948', '2', '99', '1663487077850943488', '河南省沁阳市分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922949', '2', '99', '1663487077850943488', '河南省沁阳市分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922950', '2', '99', '1663487077850943488', '河南省沁阳市分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922951', '2', '99', '1663487077850943488', '河南省沁阳市分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922952', '2', '99', '1663487077850943488', '河南省沁阳市分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922953', '2', '99', '1663487077850943488', '河南省沁阳市城区中心揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922954', '2', '99', '1663487077850943488', '河南省沁阳市城区揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922955', '2', '99', '1663487077850943488', '河南省沁阳市太行大道邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922956', '2', '99', '1663487077850943488', '河南省沁阳市寄递事业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922957', '2', '99', '1663487077850943488', '河南省沁阳市寄递事业部单位领导部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922958', '2', '99', '1663487077850943488', '河南省沁阳市寄递事业部市场部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922959', '2', '99', '1663487077850943488', '河南省沁阳市寄递事业部运营监控部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922960', '2', '99', '1663487077850943488', '河南省沁阳市寄递事业部运输中心（纯核算）', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922961', '2', '99', '1663487077850943488', '河南省沁阳市山王庄邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922962', '2', '99', '1663487077850943488', '河南省沁阳市崇义邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922963', '2', '99', '1663487077850943488', '河南省沁阳市常平邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922964', '2', '99', '1663487077850943488', '河南省沁阳市建设南路邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922965', '2', '99', '1663487077850943488', '河南省沁阳市怀府中路邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922966', '2', '99', '1663487077850943488', '河南省沁阳市怀府西路邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922967', '2', '99', '1663487077850943488', '河南省沁阳市木楼邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922968', '2', '99', '1663487077850943488', '河南省沁阳市柏香邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922969', '2', '99', '1663487077850943488', '河南省沁阳市焦作工贸职业学院邮政校园服务中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922970', '2', '99', '1663487077850943488', '河南省沁阳市王占邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922971', '2', '99', '1663487077850943488', '河南省沁阳市王召邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922972', '2', '99', '1663487077850943488', '河南省沁阳市电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922973', '2', '99', '1663487077850943488', '河南省沁阳市紫陵邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922974', '2', '99', '1663487077850943488', '河南省沁阳市葛村邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922975', '2', '99', '1663487077850943488', '河南省沁阳市西万邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663751902803922976', '2', '99', '1663487077850943488', '河南省沁阳市西向邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229056', '2', '99', '1663487105642401792', '河南省温县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229057', '2', '99', '1663487105642401792', '河南省温县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229058', '2', '99', '1663487105642401792', '河南省温县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229059', '2', '99', '1663487105642401792', '河南省温县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229060', '2', '99', '1663487105642401792', '河南省温县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229061', '2', '99', '1663487105642401792', '河南省温县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229062', '2', '99', '1663487105642401792', '河南省温县分公司金融业务部（中邮保险中心）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229063', '2', '99', '1663487105642401792', '河南省温县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229064', '2', '99', '1663487105642401792', '河南省温县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229065', '2', '99', '1663487105642401792', '河南省温县北冷邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229066', '2', '99', '1663487105642401792', '河南省温县南张羌镇邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229067', '2', '99', '1663487105642401792', '河南省温县司马大街邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229068', '2', '99', '1663487105642401792', '河南省温县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229069', '2', '99', '1663487105642401792', '河南省温县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229070', '2', '99', '1663487105642401792', '河南省温县寄递事业部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229071', '2', '99', '1663487105642401792', '河南省温县寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229072', '2', '99', '1663487105642401792', '河南省温县寄递事业部市场部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229073', '2', '99', '1663487105642401792', '河南省温县寄递事业部运营监控部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229074', '2', '99', '1663487105642401792', '河南省温县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229075', '2', '99', '1663487105642401792', '河南省温县徐堡邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229076', '2', '99', '1663487105642401792', '河南省温县招贤邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229077', '2', '99', '1663487105642401792', '河南省温县杨垒邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229078', '2', '99', '1663487105642401792', '河南省温县林召邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229079', '2', '99', '1663487105642401792', '河南省温县武德镇邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229080', '2', '99', '1663487105642401792', '河南省温县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229081', '2', '99', '1663487105642401792', '河南省温县番田镇邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229082', '2', '99', '1663487105642401792', '河南省温县祥云镇邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229083', '2', '99', '1663487105642401792', '河南省温县赵堡镇邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229084', '2', '99', '1663487105642401792', '河南省温县黄庄邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229085', '2', '99', '1663487105642401792', '河南省温县黄河东路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752003165229086', '2', '99', '1663487105642401792', '河南省温县黄河路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460544', '2', '99', '1663487131491897344', '焦作市世纪新区邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460545', '2', '99', '1663487131491897344', '焦作市中站揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460546', '2', '99', '1663487131491897344', '焦作市中站第二揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460547', '2', '99', '1663487131491897344', '焦作市体育馆邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460548', '2', '99', '1663487131491897344', '焦作市太行中路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460549', '2', '99', '1663487131491897344', '焦作市太行路邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460550', '2', '99', '1663487131491897344', '焦作市山阳揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460551', '2', '99', '1663487131491897344', '焦作市工业路邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460552', '2', '99', '1663487131491897344', '焦作市建设西路邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460553', '2', '99', '1663487131491897344', '焦作市新华中街邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460554', '2', '99', '1663487131491897344', '焦作市新市场邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460555', '2', '99', '1663487131491897344', '焦作市月季公园邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460556', '2', '99', '1663487131491897344', '焦作市民主中路邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460557', '2', '99', '1663487131491897344', '焦作市民主路邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460558', '2', '99', '1663487131491897344', '焦作市河阳新村邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460559', '2', '99', '1663487131491897344', '焦作市焦东揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460560', '2', '99', '1663487131491897344', '焦作市焦西揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460561', '2', '99', '1663487131491897344', '焦作市电商客户解放区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460562', '2', '99', '1663487131491897344', '焦作市衡苑小区邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460563', '2', '99', '1663487131491897344', '焦作市解放东路邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460564', '2', '99', '1663487131491897344', '焦作市解放区分公司', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460565', '2', '99', '1663487131491897344', '焦作市解放区分公司单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460566', '2', '99', '1663487131491897344', '焦作市解放区分公司市场营销部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460567', '2', '99', '1663487131491897344', '焦作市解放区分公司渠道平台部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460568', '2', '99', '1663487131491897344', '焦作市解放区分公司金融业务部（中邮保险局）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460569', '2', '99', '1663487131491897344', '焦作市解放区分公司集邮与文化传媒部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460570', '2', '99', '1663487131491897344', '焦作市解放区寄递事业部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460571', '2', '99', '1663487131491897344', '焦作市解放区寄递事业部单位领导部门', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460572', '2', '99', '1663487131491897344', '焦作市解放区寄递事业部市场部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460573', '2', '99', '1663487131491897344', '焦作市解放揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752091652460574', '2', '99', '1663487131491897344', '焦作市马村揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436544', '2', '99', '1663487157165232128', '焦作市中州铝厂邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436545', '2', '99', '1663487157165232128', '焦作市人民路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436546', '2', '99', '1663487157165232128', '焦作市塔南路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436547', '2', '99', '1663487157165232128', '焦作市安阳城邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436548', '2', '99', '1663487157165232128', '焦作市待王邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436549', '2', '99', '1663487157165232128', '焦作市政二街邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436550', '2', '99', '1663487157165232128', '焦作市文昌路北段邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436551', '2', '99', '1663487157165232128', '焦作市文昌路南段邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436552', '2', '99', '1663487157165232128', '焦作市李万邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436553', '2', '99', '1663487157165232128', '焦作市河南理工大学邮政校园服务中心', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436554', '2', '99', '1663487157165232128', '焦作市焦作师范高等专科学校邮政服务中心', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436555', '2', '99', '1663487157165232128', '焦作市理工大学揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436556', '2', '99', '1663487157165232128', '焦作市电商客户高新区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436557', '2', '99', '1663487157165232128', '焦作市神州路邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436558', '2', '99', '1663487157165232128', '焦作市行政区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436559', '2', '99', '1663487157165232128', '焦作市都市花园邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436560', '2', '99', '1663487157165232128', '焦作市锦祥花园邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436561', '2', '99', '1663487157165232128', '焦作市马村第二揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436562', '2', '99', '1663487157165232128', '焦作市高新区分公司', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436563', '2', '99', '1663487157165232128', '焦作市高新区分公司单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436564', '2', '99', '1663487157165232128', '焦作市高新区分公司市场营销部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436565', '2', '99', '1663487157165232128', '焦作市高新区分公司渠道平台部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436566', '2', '99', '1663487157165232128', '焦作市高新区分公司金融业务部（中邮保险局）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436567', '2', '99', '1663487157165232128', '焦作市高新区分公司集邮与文化传媒部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436568', '2', '99', '1663487157165232128', '焦作市高新区寄递事业部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436569', '2', '99', '1663487157165232128', '焦作市高新区寄递事业部单位领导部门', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436570', '2', '99', '1663487157165232128', '焦作市高新区寄递事业部市场部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436571', '2', '99', '1663487157165232128', '焦作市高新揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436572', '2', '99', '1663487157165232128', '焦作市高新第二揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752184451436573', '2', '99', '1663487157165232128', '焦作市龙源湖邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663040', '2', '99', '1663487196038041600', '焦作市分公司人力资源部（党委组织部）', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663041', '2', '99', '1663487196038041600', '焦作市分公司党委党建工作部（纪委办公室）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663042', '2', '99', '1663487196038041600', '焦作市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663043', '2', '99', '1663487196038041600', '焦作市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663044', '2', '99', '1663487196038041600', '焦作市分公司市场营销部客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663045', '2', '99', '1663487196038041600', '焦作市分公司服务质量部（普遍服务部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663046', '2', '99', '1663487196038041600', '焦作市分公司本部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663047', '2', '99', '1663487196038041600', '焦作市分公司机要通信分局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663048', '2', '99', '1663487196038041600', '焦作市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663049', '2', '99', '1663487196038041600', '焦作市分公司综合办公室（党委办公室、安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663050', '2', '99', '1663487196038041600', '焦作市分公司财务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663051', '2', '99', '1663487196038041600', '焦作市分公司邮政工会', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663052', '2', '99', '1663487196038041600', '焦作市分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663053', '2', '99', '1663487196038041600', '焦作市分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663054', '2', '99', '1663487196038041600', '焦作市分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663055', '2', '99', '1663487196038041600', '焦作市医药高科物流项目组', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663056', '2', '99', '1663487196038041600', '焦作市商企客户揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663057', '2', '99', '1663487196038041600', '焦作市国际公司直属国际小包营业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663058', '2', '99', '1663487196038041600', '焦作市国际公司直属国际营业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663059', '2', '99', '1663487196038041600', '焦作市寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663060', '2', '99', '1663487196038041600', '焦作市寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663061', '2', '99', '1663487196038041600', '焦作市寄递事业部市场部客户营销中心', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663062', '2', '99', '1663487196038041600', '焦作市寄递事业部服务质量部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663063', '2', '99', '1663487196038041600', '焦作市寄递事业部服务质量部客户服务中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663064', '2', '99', '1663487196038041600', '焦作市寄递事业部本部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663065', '2', '99', '1663487196038041600', '焦作市寄递事业部物流营销中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663066', '2', '99', '1663487196038041600', '焦作市寄递事业部综合部(党委办公室)', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663067', '2', '99', '1663487196038041600', '焦作市寄递事业部网路运营中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663068', '2', '99', '1663487196038041600', '焦作市寄递事业部网路运营中心包件车间', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663069', '2', '99', '1663487196038041600', '焦作市寄递事业部网路运营中心普服车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663070', '2', '99', '1663487196038041600', '焦作市寄递事业部网路运营中心运输车间', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663071', '2', '99', '1663487196038041600', '焦作市寄递事业部运营管理部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663072', '2', '99', '1663487196038041600', '焦作市寄递事业部非领导职务部门', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663073', '2', '99', '1663487196038041600', '焦作市政务客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663074', '2', '99', '1663487196038041600', '焦作市物流客户营销团队', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663075', '2', '99', '1663487196038041600', '焦作市电商客户揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752313736663076', '2', '99', '1663487196038041600', '焦作市电商揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167872', '2', '99', '1663490020318777344', '河南省南乐县元村邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167873', '2', '99', '1663490020318777344', '河南省南乐县光明揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167874', '2', '99', '1663490020318777344', '河南省南乐县光明路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167875', '2', '99', '1663490020318777344', '河南省南乐县兴华路邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167876', '2', '99', '1663490020318777344', '河南省南乐县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167877', '2', '99', '1663490020318777344', '河南省南乐县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167878', '2', '99', '1663490020318777344', '河南省南乐县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167879', '2', '99', '1663490020318777344', '河南省南乐县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167880', '2', '99', '1663490020318777344', '河南省南乐县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167881', '2', '99', '1663490020318777344', '河南省南乐县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167882', '2', '99', '1663490020318777344', '河南省南乐县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167883', '2', '99', '1663490020318777344', '河南省南乐县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167884', '2', '99', '1663490020318777344', '河南省南乐县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167885', '2', '99', '1663490020318777344', '河南省南乐县千口邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167886', '2', '99', '1663490020318777344', '河南省南乐县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167887', '2', '99', '1663490020318777344', '河南省南乐县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167888', '2', '99', '1663490020318777344', '河南省南乐县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167889', '2', '99', '1663490020318777344', '河南省南乐县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167890', '2', '99', '1663490020318777344', '河南省南乐县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167891', '2', '99', '1663490020318777344', '河南省南乐县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167892', '2', '99', '1663490020318777344', '河南省南乐县寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167893', '2', '99', '1663490020318777344', '河南省南乐县寺庄邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167894', '2', '99', '1663490020318777344', '河南省南乐县张果屯邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167895', '2', '99', '1663490020318777344', '河南省南乐县杨村邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167896', '2', '99', '1663490020318777344', '河南省南乐县梁村邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167897', '2', '99', '1663490020318777344', '河南省南乐县电商客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167898', '2', '99', '1663490020318777344', '河南省南乐县福堪邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167899', '2', '99', '1663490020318777344', '河南省南乐县西邵邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167900', '2', '99', '1663490020318777344', '河南省南乐县谷金楼邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167901', '2', '99', '1663490020318777344', '河南省南乐县近德固邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752466233167902', '2', '99', '1663490020318777344', '河南省南乐县韩张邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502272', '2', '99', '1663490020318777345', '河南省台前县侯庙邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502273', '2', '99', '1663490020318777345', '河南省台前县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502274', '2', '99', '1663490020318777345', '河南省台前县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502275', '2', '99', '1663490020318777345', '河南省台前县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502276', '2', '99', '1663490020318777345', '河南省台前县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502277', '2', '99', '1663490020318777345', '河南省台前县分公司渠道平台中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502278', '2', '99', '1663490020318777345', '河南省台前县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502279', '2', '99', '1663490020318777345', '河南省台前县分公司金融业务中心（中邮保险中心）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502280', '2', '99', '1663490020318777345', '河南省台前县分公司集邮与文化传媒中心', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502281', '2', '99', '1663490020318777345', '河南省台前县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502282', '2', '99', '1663490020318777345', '河南省台前县后方邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502283', '2', '99', '1663490020318777345', '河南省台前县吴坝邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502284', '2', '99', '1663490020318777345', '河南省台前县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502285', '2', '99', '1663490020318777345', '河南省台前县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502286', '2', '99', '1663490020318777345', '河南省台前县夹河邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502287', '2', '99', '1663490020318777345', '河南省台前县孙口邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502288', '2', '99', '1663490020318777345', '河南省台前县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502289', '2', '99', '1663490020318777345', '河南省台前县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502290', '2', '99', '1663490020318777345', '河南省台前县寄递事业部城区特快揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502291', '2', '99', '1663490020318777345', '河南省台前县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502292', '2', '99', '1663490020318777345', '河南省台前县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502293', '2', '99', '1663490020318777345', '河南省台前县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502294', '2', '99', '1663490020318777345', '河南省台前县打渔陈邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502295', '2', '99', '1663490020318777345', '河南省台前县清水河邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502296', '2', '99', '1663490020318777345', '河南省台前县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502297', '2', '99', '1663490020318777345', '河南省台前县郊区邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502298', '2', '99', '1663490020318777345', '河南省台前县金水路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752575704502299', '2', '99', '1663490020318777345', '河南省台前县马楼邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785472', '2', '99', '1663490020318777346', '河南省清丰县人民路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785473', '2', '99', '1663490020318777346', '河南省清丰县仙庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785474', '2', '99', '1663490020318777346', '河南省清丰县六塔邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785475', '2', '99', '1663490020318777346', '河南省清丰县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785476', '2', '99', '1663490020318777346', '河南省清丰县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785477', '2', '99', '1663490020318777346', '河南省清丰县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785478', '2', '99', '1663490020318777346', '河南省清丰县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785479', '2', '99', '1663490020318777346', '河南省清丰县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785480', '2', '99', '1663490020318777346', '河南省清丰县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785481', '2', '99', '1663490020318777346', '河南省清丰县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785482', '2', '99', '1663490020318777346', '河南省清丰县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785483', '2', '99', '1663490020318777346', '河南省清丰县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785484', '2', '99', '1663490020318777346', '河南省清丰县卫城邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785485', '2', '99', '1663490020318777346', '河南省清丰县双庙邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785486', '2', '99', '1663490020318777346', '河南省清丰县古城邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785487', '2', '99', '1663490020318777346', '河南省清丰县固城邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785488', '2', '99', '1663490020318777346', '河南省清丰县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785489', '2', '99', '1663490020318777346', '河南省清丰县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785490', '2', '99', '1663490020318777346', '河南省清丰县大屯邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785491', '2', '99', '1663490020318777346', '河南省清丰县大流邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785492', '2', '99', '1663490020318777346', '河南省清丰县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785493', '2', '99', '1663490020318777346', '河南省清丰县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785494', '2', '99', '1663490020318777346', '河南省清丰县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785495', '2', '99', '1663490020318777346', '河南省清丰县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785496', '2', '99', '1663490020318777346', '河南省清丰县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785497', '2', '99', '1663490020318777346', '河南省清丰县巩营邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785498', '2', '99', '1663490020318777346', '河南省清丰县惠丰邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785499', '2', '99', '1663490020318777346', '河南省清丰县揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785500', '2', '99', '1663490020318777346', '河南省清丰县柳格邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785501', '2', '99', '1663490020318777346', '河南省清丰县瓦屋头邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785502', '2', '99', '1663490020318777346', '河南省清丰县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785503', '2', '99', '1663490020318777346', '河南省清丰县纸房邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785504', '2', '99', '1663490020318777346', '河南省清丰县衙前街邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785505', '2', '99', '1663490020318777346', '河南省清丰县阳邵邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785506', '2', '99', '1663490020318777346', '河南省清丰县韩村邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785507', '2', '99', '1663490020318777346', '河南省清丰县马庄桥邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785508', '2', '99', '1663490020318777346', '河南省清丰县马村邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752673431785509', '2', '99', '1663490020318777346', '河南省清丰县高堡邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391168', '2', '99', '1663490020318777347', '河南省濮阳县两门邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391169', '2', '99', '1663490020318777347', '河南省濮阳县习城邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391170', '2', '99', '1663490020318777347', '河南省濮阳县五星邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391171', '2', '99', '1663490020318777347', '河南省濮阳县井下邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391172', '2', '99', '1663490020318777347', '河南省濮阳县八公桥邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391173', '2', '99', '1663490020318777347', '河南省濮阳县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391174', '2', '99', '1663490020318777347', '河南省濮阳县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391175', '2', '99', '1663490020318777347', '河南省濮阳县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391176', '2', '99', '1663490020318777347', '河南省濮阳县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391177', '2', '99', '1663490020318777347', '河南省濮阳县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391178', '2', '99', '1663490020318777347', '河南省濮阳县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391179', '2', '99', '1663490020318777347', '河南省濮阳县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391180', '2', '99', '1663490020318777347', '河南省濮阳县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391181', '2', '99', '1663490020318777347', '河南省濮阳县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391182', '2', '99', '1663490020318777347', '河南省濮阳县四厂邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391183', '2', '99', '1663490020318777347', '河南省濮阳县坝头邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391184', '2', '99', '1663490020318777347', '河南省濮阳县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391185', '2', '99', '1663490020318777347', '河南省濮阳县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391186', '2', '99', '1663490020318777347', '河南省濮阳县子岸邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391187', '2', '99', '1663490020318777347', '河南省濮阳县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391188', '2', '99', '1663490020318777347', '河南省濮阳县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391189', '2', '99', '1663490020318777347', '河南省濮阳县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391190', '2', '99', '1663490020318777347', '河南省濮阳县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391191', '2', '99', '1663490020318777347', '河南省濮阳县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391192', '2', '99', '1663490020318777347', '河南省濮阳县庆祖邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391193', '2', '99', '1663490020318777347', '河南省濮阳县建新路揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391194', '2', '99', '1663490020318777347', '河南省濮阳县徐镇邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391195', '2', '99', '1663490020318777347', '河南省濮阳县户部寨邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391196', '2', '99', '1663490020318777347', '河南省濮阳县文留邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391197', '2', '99', '1663490020318777347', '河南省濮阳县柳屯邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391198', '2', '99', '1663490020318777347', '河南省濮阳县梁庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391199', '2', '99', '1663490020318777347', '河南省濮阳县梨园邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391200', '2', '99', '1663490020318777347', '河南省濮阳县海通邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391201', '2', '99', '1663490020318777347', '河南省濮阳县清河头邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391202', '2', '99', '1663490020318777347', '河南省濮阳县渠村邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391203', '2', '99', '1663490020318777347', '河南省濮阳县王称堌邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391204', '2', '99', '1663490020318777347', '河南省濮阳县电商客户揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391205', '2', '99', '1663490020318777347', '河南省濮阳县白堽邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391206', '2', '99', '1663490020318777347', '河南省濮阳县胡状邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391207', '2', '99', '1663490020318777347', '河南省濮阳县花园村邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391208', '2', '99', '1663490020318777347', '河南省濮阳县解放路邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752791392391209', '2', '99', '1663490020318777347', '河南省濮阳县鲁河邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038976', '2', '99', '1663490020318777348', '河南省濮阳市开发区五一路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038977', '2', '99', '1663490020318777348', '河南省濮阳市开发区京开路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038978', '2', '99', '1663490020318777348', '河南省濮阳市开发区人民路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038979', '2', '99', '1663490020318777348', '河南省濮阳市开发区亿丰揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038980', '2', '99', '1663490020318777348', '河南省濮阳市开发区濮上路揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038981', '2', '99', '1663490020318777348', '濮阳市中原西路邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038982', '2', '99', '1663490020318777348', '濮阳市五一路邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038983', '2', '99', '1663490020318777348', '濮阳市医专揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038984', '2', '99', '1663490020318777348', '濮阳市医学高等专科学校邮政服务中心', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038985', '2', '99', '1663490020318777348', '濮阳市市市区揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038986', '2', '99', '1663490020318777348', '濮阳市开发区分公司', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038987', '2', '99', '1663490020318777348', '濮阳市开发区分公司单位领导部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038988', '2', '99', '1663490020318777348', '濮阳市开发区分公司市场营销部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038989', '2', '99', '1663490020318777348', '濮阳市开发区分公司渠道平台部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038990', '2', '99', '1663490020318777348', '濮阳市开发区分公司金融业务部（中邮保险局）', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038991', '2', '99', '1663490020318777348', '濮阳市开发区分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038992', '2', '99', '1663490020318777348', '濮阳市开发区寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038993', '2', '99', '1663490020318777348', '濮阳市开发区寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038994', '2', '99', '1663490020318777348', '濮阳市开发区黄河路直投揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038995', '2', '99', '1663490020318777348', '濮阳市开发揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038996', '2', '99', '1663490020318777348', '濮阳市开州路邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038997', '2', '99', '1663490020318777348', '濮阳市戚城邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038998', '2', '99', '1663490020318777348', '濮阳市新习邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391038999', '2', '99', '1663490020318777348', '濮阳市昆吾中路邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039000', '2', '99', '1663490020318777348', '濮阳市濮上路揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039001', '2', '99', '1663490020318777348', '濮阳市濮上路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039002', '2', '99', '1663490020318777348', '濮阳市濮阳职业技术学院邮政服务中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039003', '2', '99', '1663490020318777348', '濮阳市王助邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039004', '2', '99', '1663490020318777348', '濮阳市电商客户开发区揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039005', '2', '99', '1663490020318777348', '濮阳市皇甫邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663752916391039006', '2', '99', '1663490020318777348', '濮阳市石化路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737920', '2', '99', '1663490020318777349', '河南省范县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737921', '2', '99', '1663490020318777349', '河南省范县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737922', '2', '99', '1663490020318777349', '河南省范县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737923', '2', '99', '1663490020318777349', '河南省范县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737924', '2', '99', '1663490020318777349', '河南省范县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737925', '2', '99', '1663490020318777349', '河南省范县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737926', '2', '99', '1663490020318777349', '河南省范县分公司金融业务部（中邮保险中心）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737927', '2', '99', '1663490020318777349', '河南省范县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737928', '2', '99', '1663490020318777349', '河南省范县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737929', '2', '99', '1663490020318777349', '河南省范县城区中心揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737930', '2', '99', '1663490020318777349', '河南省范县城区揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737931', '2', '99', '1663490020318777349', '河南省范县寄递事业部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737932', '2', '99', '1663490020318777349', '河南省范县寄递事业部单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737933', '2', '99', '1663490020318777349', '河南省范县寄递事业部市场部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737934', '2', '99', '1663490020318777349', '河南省范县寄递事业部运营监控部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737935', '2', '99', '1663490020318777349', '河南省范县寄递事业部运输中心（纯核算）', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737936', '2', '99', '1663490020318777349', '河南省范县张庄邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737937', '2', '99', '1663490020318777349', '河南省范县新区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737938', '2', '99', '1663490020318777349', '河南省范县杨集邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737939', '2', '99', '1663490020318777349', '河南省范县板桥路邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737940', '2', '99', '1663490020318777349', '河南省范县濮城邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737941', '2', '99', '1663490020318777349', '河南省范县王楼邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737942', '2', '99', '1663490020318777349', '河南省范县电商客户揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737943', '2', '99', '1663490020318777349', '河南省范县白衣阁邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737944', '2', '99', '1663490020318777349', '河南省范县老城邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737945', '2', '99', '1663490020318777349', '河南省范县辛庄邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737946', '2', '99', '1663490020318777349', '河南省范县采油二厂邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737947', '2', '99', '1663490020318777349', '河南省范县陆集邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737948', '2', '99', '1663490020318777349', '河南省范县陈庄邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737949', '2', '99', '1663490020318777349', '河南省范县颜村铺邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737950', '2', '99', '1663490020318777349', '河南省范县高码头邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753012486737951', '2', '99', '1663490020318777349', '河南省范县龙王庄邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335040', '2', '99', '1663490020318777350', '濮阳市中原东路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335041', '2', '99', '1663490020318777350', '濮阳市华龙区分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335042', '2', '99', '1663490020318777350', '濮阳市华龙区分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335043', '2', '99', '1663490020318777350', '濮阳市华龙区分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335044', '2', '99', '1663490020318777350', '濮阳市华龙区分公司渠道平中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335045', '2', '99', '1663490020318777350', '濮阳市华龙区分公司金融业务中心（中邮保险局）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335046', '2', '99', '1663490020318777350', '濮阳市华龙区分公司集邮与文化传媒中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335047', '2', '99', '1663490020318777350', '濮阳市华龙区寄递事业部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335048', '2', '99', '1663490020318777350', '濮阳市华龙区寄递事业部单位领导部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335049', '2', '99', '1663490020318777350', '濮阳市华龙揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335050', '2', '99', '1663490020318777350', '濮阳市天街邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335051', '2', '99', '1663490020318777350', '濮阳市岳村邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335052', '2', '99', '1663490020318777350', '濮阳市工业园揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335053', '2', '99', '1663490020318777350', '濮阳市建工邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335054', '2', '99', '1663490020318777350', '濮阳市江汉路邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335055', '2', '99', '1663490020318777350', '濮阳市油建邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335056', '2', '99', '1663490020318777350', '濮阳市油田揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335057', '2', '99', '1663490020318777350', '濮阳市油田邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335058', '2', '99', '1663490020318777350', '濮阳市特修邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335059', '2', '99', '1663490020318777350', '濮阳市电商客户华龙区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753123237335060', '2', '99', '1663490020318777350', '濮阳市龙华揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753215470080000', '2', '99', '1663490020318777351', '濮阳市五一路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753215470080001', '2', '99', '1663490020318777351', '濮阳市京开路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820096', '2', '99', '1663490020318777352', '濮阳市分公司人力资源部（党委组织部）', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820097', '2', '99', '1663490020318777352', '濮阳市分公司党委党建工作部（纪委办公室）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820098', '2', '99', '1663490020318777352', '濮阳市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820099', '2', '99', '1663490020318777352', '濮阳市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820100', '2', '99', '1663490020318777352', '濮阳市分公司市场营销部客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820101', '2', '99', '1663490020318777352', '濮阳市分公司服务质量部（普遍服务部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820102', '2', '99', '1663490020318777352', '濮阳市分公司本部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820103', '2', '99', '1663490020318777352', '濮阳市分公司机要通信分局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820104', '2', '99', '1663490020318777352', '濮阳市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820105', '2', '99', '1663490020318777352', '濮阳市分公司综合办公室（党委办公室、安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820106', '2', '99', '1663490020318777352', '濮阳市分公司财务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820107', '2', '99', '1663490020318777352', '濮阳市分公司邮政工会', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820108', '2', '99', '1663490020318777352', '濮阳市分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820109', '2', '99', '1663490020318777352', '濮阳市分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820110', '2', '99', '1663490020318777352', '濮阳市分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820111', '2', '99', '1663490020318777352', '濮阳市国际公司直属国际小包营业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820112', '2', '99', '1663490020318777352', '濮阳市国际公司直属国际营业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820113', '2', '99', '1663490020318777352', '濮阳市寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820114', '2', '99', '1663490020318777352', '濮阳市寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820115', '2', '99', '1663490020318777352', '濮阳市寄递事业部市场部客户营销中心', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820116', '2', '99', '1663490020318777352', '濮阳市寄递事业部服务质量部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820117', '2', '99', '1663490020318777352', '濮阳市寄递事业部服务质量部客户服务中心', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820118', '2', '99', '1663490020318777352', '濮阳市寄递事业部本部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820119', '2', '99', '1663490020318777352', '濮阳市寄递事业部物流营销中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820120', '2', '99', '1663490020318777352', '濮阳市寄递事业部综合部(党委办公室)', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820121', '2', '99', '1663490020318777352', '濮阳市寄递事业部网路运营中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820122', '2', '99', '1663490020318777352', '濮阳市寄递事业部网路运营中心包件车间', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820123', '2', '99', '1663490020318777352', '濮阳市寄递事业部网路运营中心普服车间', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820124', '2', '99', '1663490020318777352', '濮阳市寄递事业部网路运营中心运输车间', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820125', '2', '99', '1663490020318777352', '濮阳市寄递事业部网路运营中心邮件处理车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820126', '2', '99', '1663490020318777352', '濮阳市寄递事业部运营管理部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820127', '2', '99', '1663490020318777352', '濮阳市寄递事业部非领导职务部门', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753298722820128', '2', '99', '1663490020318777352', '濮阳市濮上中路揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044672', '2', '99', '1663481261718638592', '三门峡市分公司人力资源部（党委组织部）', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044673', '2', '99', '1663481261718638592', '三门峡市分公司党委党建工作部（纪委办公室）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044674', '2', '99', '1663481261718638592', '三门峡市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044675', '2', '99', '1663481261718638592', '三门峡市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044676', '2', '99', '1663481261718638592', '三门峡市分公司市场营销部客户营销中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044677', '2', '99', '1663481261718638592', '三门峡市分公司服务质量部（普遍服务部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044678', '2', '99', '1663481261718638592', '三门峡市分公司本部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044679', '2', '99', '1663481261718638592', '三门峡市分公司机要通信分局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044680', '2', '99', '1663481261718638592', '三门峡市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044681', '2', '99', '1663481261718638592', '三门峡市分公司综合办公室（党委办公室、安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044682', '2', '99', '1663481261718638592', '三门峡市分公司财务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044683', '2', '99', '1663481261718638592', '三门峡市分公司邮政工会', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044684', '2', '99', '1663481261718638592', '三门峡市分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044685', '2', '99', '1663481261718638592', '三门峡市分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044686', '2', '99', '1663481261718638592', '三门峡市分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044687', '2', '99', '1663481261718638592', '三门峡市寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044688', '2', '99', '1663481261718638592', '三门峡市寄递事业部市场部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044689', '2', '99', '1663481261718638592', '三门峡市寄递事业部市场部客户营销中心', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044690', '2', '99', '1663481261718638592', '三门峡市寄递事业部服务质量部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044691', '2', '99', '1663481261718638592', '三门峡市寄递事业部服务质量部客户服务中心', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044692', '2', '99', '1663481261718638592', '三门峡市寄递事业部本部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044693', '2', '99', '1663481261718638592', '三门峡市寄递事业部物流营销中心', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044694', '2', '99', '1663481261718638592', '三门峡市寄递事业部综合部(党委办公室)', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044695', '2', '99', '1663481261718638592', '三门峡市寄递事业部网路运营中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044696', '2', '99', '1663481261718638592', '三门峡市寄递事业部网路运营中心包件车间', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044697', '2', '99', '1663481261718638592', '三门峡市寄递事业部网路运营中心普服车间', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044698', '2', '99', '1663481261718638592', '三门峡市寄递事业部网路运营中心运输车间', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044699', '2', '99', '1663481261718638592', '三门峡市寄递事业部运营管理部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753650390044700', '2', '99', '1663481261718638592', '三门峡市寄递事业部非领导职务部门', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114688', '2', '99', '1663481261718638593', '灵宝市建设路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114689', '2', '99', '1663481261718638593', '灵宝市豫灵镇营业所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114690', '2', '99', '1663481261718638593', '河南省灵宝市五亩邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114691', '2', '99', '1663481261718638593', '河南省灵宝市函谷关邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114692', '2', '99', '1663481261718638593', '河南省灵宝市分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114693', '2', '99', '1663481261718638593', '河南省灵宝市分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114694', '2', '99', '1663481261718638593', '河南省灵宝市分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114695', '2', '99', '1663481261718638593', '河南省灵宝市分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114696', '2', '99', '1663481261718638593', '河南省灵宝市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114697', '2', '99', '1663481261718638593', '河南省灵宝市分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114698', '2', '99', '1663481261718638593', '河南省灵宝市分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114699', '2', '99', '1663481261718638593', '河南省灵宝市分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114700', '2', '99', '1663481261718638593', '河南省灵宝市分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114701', '2', '99', '1663481261718638593', '河南省灵宝市城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114702', '2', '99', '1663481261718638593', '河南省灵宝市城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114703', '2', '99', '1663481261718638593', '河南省灵宝市大王邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114704', '2', '99', '1663481261718638593', '河南省灵宝市寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114705', '2', '99', '1663481261718638593', '河南省灵宝市寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114706', '2', '99', '1663481261718638593', '河南省灵宝市寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114707', '2', '99', '1663481261718638593', '河南省灵宝市寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114708', '2', '99', '1663481261718638593', '河南省灵宝市寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114709', '2', '99', '1663481261718638593', '河南省灵宝市寺河邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114710', '2', '99', '1663481261718638593', '河南省灵宝市川口邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114711', '2', '99', '1663481261718638593', '河南省灵宝市故县邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114712', '2', '99', '1663481261718638593', '河南省灵宝市新区邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114713', '2', '99', '1663481261718638593', '河南省灵宝市朱阳邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114714', '2', '99', '1663481261718638593', '河南省灵宝市涧西邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114715', '2', '99', '1663481261718638593', '河南省灵宝市火车站邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114716', '2', '99', '1663481261718638593', '河南省灵宝市焦村邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114717', '2', '99', '1663481261718638593', '河南省灵宝市电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114718', '2', '99', '1663481261718638593', '河南省灵宝市程村邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114719', '2', '99', '1663481261718638593', '河南省灵宝市苏村邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114720', '2', '99', '1663481261718638593', '河南省灵宝市西闫邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114721', '2', '99', '1663481261718638593', '河南省灵宝市豫灵邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114722', '2', '99', '1663481261718638593', '河南省灵宝市阳平邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753750336114723', '2', '99', '1663481261718638593', '河南省灵宝市阳店邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753841826467840', '2', '99', '1663481261718638594', '三门峡市寄递事业部灵宝特快营业部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597696', '2', '99', '1663481261718638595', '河南省卢氏县五里川邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597697', '2', '99', '1663481261718638595', '河南省卢氏县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597698', '2', '99', '1663481261718638595', '河南省卢氏县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597699', '2', '99', '1663481261718638595', '河南省卢氏县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597700', '2', '99', '1663481261718638595', '河南省卢氏县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597701', '2', '99', '1663481261718638595', '河南省卢氏县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597702', '2', '99', '1663481261718638595', '河南省卢氏县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597703', '2', '99', '1663481261718638595', '河南省卢氏县分公司金融业务部（中邮保险中心）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597704', '2', '99', '1663481261718638595', '河南省卢氏县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597705', '2', '99', '1663481261718638595', '河南省卢氏县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597706', '2', '99', '1663481261718638595', '河南省卢氏县双槐树邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597707', '2', '99', '1663481261718638595', '河南省卢氏县双龙湾邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597708', '2', '99', '1663481261718638595', '河南省卢氏县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597709', '2', '99', '1663481261718638595', '河南省卢氏县官坡邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597710', '2', '99', '1663481261718638595', '河南省卢氏县官道口邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597711', '2', '99', '1663481261718638595', '河南省卢氏县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597712', '2', '99', '1663481261718638595', '河南省卢氏县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597713', '2', '99', '1663481261718638595', '河南省卢氏县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597714', '2', '99', '1663481261718638595', '河南省卢氏县寄递事业部特快揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597715', '2', '99', '1663481261718638595', '河南省卢氏县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597716', '2', '99', '1663481261718638595', '河南省卢氏县寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597717', '2', '99', '1663481261718638595', '河南省卢氏县徐家湾邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597718', '2', '99', '1663481261718638595', '河南省卢氏县文峪邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597719', '2', '99', '1663481261718638595', '河南省卢氏县木桐邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597720', '2', '99', '1663481261718638595', '河南省卢氏县朱阳关邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597721', '2', '99', '1663481261718638595', '河南省卢氏县杜关邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597722', '2', '99', '1663481261718638595', '河南省卢氏县横涧邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597723', '2', '99', '1663481261718638595', '河南省卢氏县汤河邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597724', '2', '99', '1663481261718638595', '河南省卢氏县沙河邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597725', '2', '99', '1663481261718638595', '河南省卢氏县潘河邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597726', '2', '99', '1663481261718638595', '河南省卢氏县狮子坪邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597727', '2', '99', '1663481261718638595', '河南省卢氏县瓦窑沟邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597728', '2', '99', '1663481261718638595', '河南省卢氏县电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597729', '2', '99', '1663481261718638595', '河南省卢氏县范里邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597730', '2', '99', '1663481261718638595', '河南省卢氏县莘源路邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597731', '2', '99', '1663481261718638595', '河南省卢氏县行政路邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663753935837597732', '2', '99', '1663481261718638595', '河南省卢氏县解放路邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754022080876544', '2', '99', '1663481261718638596', '三门峡市卢氏揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432256', '2', '99', '1663481261718638597', '河南省渑池县仁村邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432257', '2', '99', '1663481261718638597', '河南省渑池县仰韶大街邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432258', '2', '99', '1663481261718638597', '河南省渑池县仰韶邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432259', '2', '99', '1663481261718638597', '河南省渑池县会盟路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432260', '2', '99', '1663481261718638597', '河南省渑池县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432261', '2', '99', '1663481261718638597', '河南省渑池县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432262', '2', '99', '1663481261718638597', '河南省渑池县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432263', '2', '99', '1663481261718638597', '河南省渑池县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432264', '2', '99', '1663481261718638597', '河南省渑池县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432265', '2', '99', '1663481261718638597', '河南省渑池县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432266', '2', '99', '1663481261718638597', '河南省渑池县分公司金融业务部（中邮保险中心）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432267', '2', '99', '1663481261718638597', '河南省渑池县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432268', '2', '99', '1663481261718638597', '河南省渑池县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432269', '2', '99', '1663481261718638597', '河南省渑池县南村邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432270', '2', '99', '1663481261718638597', '河南省渑池县坡头邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432271', '2', '99', '1663481261718638597', '河南省渑池县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432272', '2', '99', '1663481261718638597', '河南省渑池县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432273', '2', '99', '1663481261718638597', '河南省渑池县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432274', '2', '99', '1663481261718638597', '河南省渑池县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432275', '2', '99', '1663481261718638597', '河南省渑池县寄递事业部特快揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432276', '2', '99', '1663481261718638597', '河南省渑池县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432277', '2', '99', '1663481261718638597', '河南省渑池县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432278', '2', '99', '1663481261718638597', '河南省渑池县张村邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432279', '2', '99', '1663481261718638597', '河南省渑池县果园邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432280', '2', '99', '1663481261718638597', '河南省渑池县段村邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432281', '2', '99', '1663481261718638597', '河南省渑池县洪阳邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432282', '2', '99', '1663481261718638597', '河南省渑池县电商客户揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432283', '2', '99', '1663481261718638597', '河南省渑池县笃忠邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432284', '2', '99', '1663481261718638597', '河南省渑池县耿村邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432285', '2', '99', '1663481261718638597', '河南省渑池县英豪邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432286', '2', '99', '1663481261718638597', '河南省渑池县陈村邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432287', '2', '99', '1663481261718638597', '河南省渑池县黄河北路邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754114158432288', '2', '99', '1663481261718638597', '河南省渑池县黄花邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997568', '2', '99', '1663481261718638598', '三门峡市陕州区张村镇营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997569', '2', '99', '1663481261718638598', '三门峡市陕州区秦汉路营业所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997570', '2', '99', '1663481261718638598', '三门峡市城区揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997571', '2', '99', '1663481261718638598', '三门峡市大营邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997572', '2', '99', '1663481261718638598', '三门峡市宜村邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997573', '2', '99', '1663481261718638598', '三门峡市宫前邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997574', '2', '99', '1663481261718638598', '三门峡市店子邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997575', '2', '99', '1663481261718638598', '三门峡市张村邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208437997576', '2', '99', '1663481261718638598', '三门峡市张汴邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191872', '2', '99', '1663481261718638598', '三门峡市张湾邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191873', '2', '99', '1663481261718638598', '三门峡市张茅邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191874', '2', '99', '1663481261718638598', '三门峡市李村邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191875', '2', '99', '1663481261718638598', '三门峡市王家后邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191876', '2', '99', '1663481261718638598', '三门峡市甘壕邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191877', '2', '99', '1663481261718638598', '三门峡市电商客户陕州区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191878', '2', '99', '1663481261718638598', '三门峡市硖石邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191879', '2', '99', '1663481261718638598', '三门峡市菜园邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191880', '2', '99', '1663481261718638598', '三门峡市观音堂邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191881', '2', '99', '1663481261718638598', '三门峡市陕州区三社院邮政服务中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191882', '2', '99', '1663481261718638598', '三门峡市陕州区分公司', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191883', '2', '99', '1663481261718638598', '三门峡市陕州区分公司单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191884', '2', '99', '1663481261718638598', '三门峡市陕州区分公司市场营销部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191885', '2', '99', '1663481261718638598', '三门峡市陕州区分公司机要室', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191886', '2', '99', '1663481261718638598', '三门峡市陕州区分公司渠道平台部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191887', '2', '99', '1663481261718638598', '三门峡市陕州区分公司综合办公室（安全保卫部）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191888', '2', '99', '1663481261718638598', '三门峡市陕州区分公司金融业务部（中邮保险中心）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191889', '2', '99', '1663481261718638598', '三门峡市陕州区分公司集邮与文化传媒部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191890', '2', '99', '1663481261718638598', '三门峡市陕州区分公司非领导职务部门', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191891', '2', '99', '1663481261718638598', '三门峡市陕州区地坑院主题邮局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191892', '2', '99', '1663481261718638598', '三门峡市陕州区寄递事业部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191893', '2', '99', '1663481261718638598', '三门峡市陕州区寄递事业部单位领导部门', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191894', '2', '99', '1663481261718638598', '三门峡市陕州区寄递事业部市场部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191895', '2', '99', '1663481261718638598', '三门峡市陕州区寄递事业部运营监控部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191896', '2', '99', '1663481261718638598', '三门峡市陕州区寄递事业部运输中心（纯核算）', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191897', '2', '99', '1663481261718638598', '三门峡市陕州大道邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754208442191898', '2', '99', '1663481261718638598', '河南省陕州区温塘揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643072', '2', '99', '1663481261718638599', '三门峡市六峰路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643073', '2', '99', '1663481261718638599', '三门峡市正和营业所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643074', '2', '99', '1663481261718638599', '三门峡市万达广场邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643075', '2', '99', '1663481261718638599', '三门峡市三职院邮政服务中心', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643076', '2', '99', '1663481261718638599', '三门峡市中心站揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643077', '2', '99', '1663481261718638599', '三门峡市中心邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643078', '2', '99', '1663481261718638599', '三门峡市交口邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643079', '2', '99', '1663481261718638599', '三门峡市商企客户揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643080', '2', '99', '1663481261718638599', '三门峡市国际公司直属国际小包营业部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643081', '2', '99', '1663481261718638599', '三门峡市大岭路邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643082', '2', '99', '1663481261718638599', '三门峡市崤山路揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643083', '2', '99', '1663481261718638599', '三门峡市崤山路西段揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643084', '2', '99', '1663481261718638599', '三门峡市崤西邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643085', '2', '99', '1663481261718638599', '三门峡市市区分公司', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643086', '2', '99', '1663481261718638599', '三门峡市市区分公司单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643087', '2', '99', '1663481261718638599', '三门峡市市区分公司市场营销部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643088', '2', '99', '1663481261718638599', '三门峡市市区分公司渠道平台部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643089', '2', '99', '1663481261718638599', '三门峡市市区分公司金融业务部（中邮保险局）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643090', '2', '99', '1663481261718638599', '三门峡市市区分公司集邮与文化传媒部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643091', '2', '99', '1663481261718638599', '三门峡市市区分公司非领导职务部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643092', '2', '99', '1663481261718638599', '三门峡市市区寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643093', '2', '99', '1663481261718638599', '三门峡市市区寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643094', '2', '99', '1663481261718638599', '三门峡市市区第一揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643095', '2', '99', '1663481261718638599', '三门峡市市区第二揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643096', '2', '99', '1663481261718638599', '三门峡市建设路邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643097', '2', '99', '1663481261718638599', '三门峡市政务客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643098', '2', '99', '1663481261718638599', '三门峡市文明东路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643099', '2', '99', '1663481261718638599', '三门峡市斜桥站揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643100', '2', '99', '1663481261718638599', '三门峡市斜桥邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643101', '2', '99', '1663481261718638599', '三门峡市湖滨邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643102', '2', '99', '1663481261718638599', '三门峡市火车站邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643103', '2', '99', '1663481261718638599', '三门峡市磁钟邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643104', '2', '99', '1663481261718638599', '三门峡市茅津路揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754311936643105', '2', '99', '1663481261718638599', '三门峡市高庙邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754392383393792', '2', '99', '1663481261718638600', '三门峡市坝区揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754392383393793', '2', '99', '1663481261718638600', '三门峡市市区南站揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289088', '2', '99', '1663481261718638601', '河南省义马市东工地邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289089', '2', '99', '1663481261718638601', '河南省义马市分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289090', '2', '99', '1663481261718638601', '河南省义马市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289091', '2', '99', '1663481261718638601', '河南省义马市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289092', '2', '99', '1663481261718638601', '河南省义马市分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289093', '2', '99', '1663481261718638601', '河南省义马市分公司渠道平台中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289094', '2', '99', '1663481261718638601', '河南省义马市分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289095', '2', '99', '1663481261718638601', '河南省义马市分公司金融业务中心（中邮保险中心）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289096', '2', '99', '1663481261718638601', '河南省义马市分公司集邮与文化传媒中心', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289097', '2', '99', '1663481261718638601', '河南省义马市分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289098', '2', '99', '1663481261718638601', '河南省义马市寄递事业部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289099', '2', '99', '1663481261718638601', '河南省义马市寄递事业部单位领导部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289100', '2', '99', '1663481261718638601', '河南省义马市寄递事业部特快揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289101', '2', '99', '1663481261718638601', '河南省义马市寄递事业部运营监控部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289102', '2', '99', '1663481261718638601', '河南省义马市寄递事业部运输中心（纯核算）', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289103', '2', '99', '1663481261718638601', '河南省义马市市区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289104', '2', '99', '1663481261718638601', '河南省义马市常村邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289105', '2', '99', '1663481261718638601', '河南省义马市新市区邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289106', '2', '99', '1663481261718638601', '河南省义马市电商客户揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754478467289107', '2', '99', '1663481261718638601', '河南省义马市银杏邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727104', '2', '99', '1663491414530592768', '河南省建安区中心邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727105', '2', '99', '1663491414530592768', '河南省建安区五女店邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727106', '2', '99', '1663491414530592768', '河南省建安区小召邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727107', '2', '99', '1663491414530592768', '河南省建安区尚集邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727108', '2', '99', '1663491414530592768', '河南省建安区张潘邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727109', '2', '99', '1663491414530592768', '河南省建安区桂村邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727110', '2', '99', '1663491414530592768', '河南省建安区椹涧邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727111', '2', '99', '1663491414530592768', '河南省建安区榆林邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727112', '2', '99', '1663491414530592768', '河南省建安区河街邮政所', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727113', '2', '99', '1663491414530592768', '河南省建安区灵井邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727114', '2', '99', '1663491414530592768', '河南省建安区艾庄邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727115', '2', '99', '1663491414530592768', '河南省建安区苏桥邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727116', '2', '99', '1663491414530592768', '河南省建安区蒋李集邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727117', '2', '99', '1663491414530592768', '河南省建安区许由路邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727118', '2', '99', '1663491414530592768', '河南省建安区邓庄邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727119', '2', '99', '1663491414530592768', '河南省建安区长店邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727120', '2', '99', '1663491414530592768', '河南省建安区长村张邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727121', '2', '99', '1663491414530592768', '河南省建安区陈曹邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727122', '2', '99', '1663491414530592768', '许昌市北海特快揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727123', '2', '99', '1663491414530592768', '许昌市城区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727124', '2', '99', '1663491414530592768', '许昌市建安区分公司', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727125', '2', '99', '1663491414530592768', '许昌市建安区分公司单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727126', '2', '99', '1663491414530592768', '许昌市建安区分公司市场营销部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727127', '2', '99', '1663491414530592768', '许昌市建安区分公司机要室', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727128', '2', '99', '1663491414530592768', '许昌市建安区分公司渠道平台部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727129', '2', '99', '1663491414530592768', '许昌市建安区分公司综合办公室（安全保卫部）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727130', '2', '99', '1663491414530592768', '许昌市建安区分公司金融业务部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727131', '2', '99', '1663491414530592768', '许昌市建安区分公司集邮与文化传媒部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727132', '2', '99', '1663491414530592768', '许昌市建安区分公司非领导职务部门', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727133', '2', '99', '1663491414530592768', '许昌市建安区寄递事业部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727134', '2', '99', '1663491414530592768', '许昌市建安区寄递事业部单位领导部门', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727135', '2', '99', '1663491414530592768', '许昌市建安区寄递事业部市场部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727136', '2', '99', '1663491414530592768', '许昌市建安区寄递事业部运营监控部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727137', '2', '99', '1663491414530592768', '许昌市建安区寄递事业部运输中心（纯核算）', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727138', '2', '99', '1663491414530592768', '许昌市电商客户建安区揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754597287727139', '2', '99', '1663491414530592768', '许昌市示范区揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146304', '2', '99', '1663491414530592769', '河南省禹州市东区揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146305', '2', '99', '1663491414530592769', '河南省禹州市分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146306', '2', '99', '1663491414530592769', '河南省禹州市分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146307', '2', '99', '1663491414530592769', '河南省禹州市分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146308', '2', '99', '1663491414530592769', '河南省禹州市分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146309', '2', '99', '1663491414530592769', '河南省禹州市分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146310', '2', '99', '1663491414530592769', '河南省禹州市分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146311', '2', '99', '1663491414530592769', '河南省禹州市分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146312', '2', '99', '1663491414530592769', '河南省禹州市分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146313', '2', '99', '1663491414530592769', '河南省禹州市分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146314', '2', '99', '1663491414530592769', '河南省禹州市华夏邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146315', '2', '99', '1663491414530592769', '河南省禹州市南关揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146316', '2', '99', '1663491414530592769', '河南省禹州市南关邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146317', '2', '99', '1663491414530592769', '河南省禹州市古城邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146318', '2', '99', '1663491414530592769', '河南省禹州市商贸邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146319', '2', '99', '1663491414530592769', '河南省禹州市城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146320', '2', '99', '1663491414530592769', '河南省禹州市寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146321', '2', '99', '1663491414530592769', '河南省禹州市寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146322', '2', '99', '1663491414530592769', '河南省禹州市寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146323', '2', '99', '1663491414530592769', '河南省禹州市寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146324', '2', '99', '1663491414530592769', '河南省禹州市寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146325', '2', '99', '1663491414530592769', '河南省禹州市小吕邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146326', '2', '99', '1663491414530592769', '河南省禹州市山货邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146327', '2', '99', '1663491414530592769', '河南省禹州市张得邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146328', '2', '99', '1663491414530592769', '河南省禹州市文殊邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146329', '2', '99', '1663491414530592769', '河南省禹州市方山邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146330', '2', '99', '1663491414530592769', '河南省禹州市方岗邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146331', '2', '99', '1663491414530592769', '河南省禹州市无梁邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146332', '2', '99', '1663491414530592769', '河南省禹州市朱阁邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146333', '2', '99', '1663491414530592769', '河南省禹州市梁北邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146334', '2', '99', '1663491414530592769', '河南省禹州市浅井邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146335', '2', '99', '1663491414530592769', '河南省禹州市火龙邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146336', '2', '99', '1663491414530592769', '河南省禹州市电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146337', '2', '99', '1663491414530592769', '河南省禹州市磨街邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146338', '2', '99', '1663491414530592769', '河南省禹州市神后邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146339', '2', '99', '1663491414530592769', '河南省禹州市花园邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146340', '2', '99', '1663491414530592769', '河南省禹州市花石邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146341', '2', '99', '1663491414530592769', '河南省禹州市苌庄邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146342', '2', '99', '1663491414530592769', '河南省禹州市范坡邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146343', '2', '99', '1663491414530592769', '河南省禹州市褚河邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146344', '2', '99', '1663491414530592769', '河南省禹州市郭连邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146345', '2', '99', '1663491414530592769', '河南省禹州市钧州大街邮政所', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146346', '2', '99', '1663491414530592769', '河南省禹州市顺店邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146347', '2', '99', '1663491414530592769', '河南省禹州市鸠山邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754758978146348', '2', '99', '1663491414530592769', '河南省禹州市鸿畅邮政所', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818688', '2', '99', '1663491414530592770', '河南省襄城县丁营邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818689', '2', '99', '1663491414530592770', '河南省襄城县八七路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818690', '2', '99', '1663491414530592770', '河南省襄城县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818691', '2', '99', '1663491414530592770', '河南省襄城县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818692', '2', '99', '1663491414530592770', '河南省襄城县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818693', '2', '99', '1663491414530592770', '河南省襄城县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818694', '2', '99', '1663491414530592770', '河南省襄城县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818695', '2', '99', '1663491414530592770', '河南省襄城县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818696', '2', '99', '1663491414530592770', '河南省襄城县分公司金融业务部（中邮保险中心）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818697', '2', '99', '1663491414530592770', '河南省襄城县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818698', '2', '99', '1663491414530592770', '河南省襄城县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818699', '2', '99', '1663491414530592770', '河南省襄城县十里铺邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818700', '2', '99', '1663491414530592770', '河南省襄城县双庙邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818701', '2', '99', '1663491414530592770', '河南省襄城县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818702', '2', '99', '1663491414530592770', '河南省襄城县大十字街邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818703', '2', '99', '1663491414530592770', '河南省襄城县姜庄邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818704', '2', '99', '1663491414530592770', '河南省襄城县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818705', '2', '99', '1663491414530592770', '河南省襄城县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818706', '2', '99', '1663491414530592770', '河南省襄城县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818707', '2', '99', '1663491414530592770', '河南省襄城县山头店邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818708', '2', '99', '1663491414530592770', '河南省襄城县库庄邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818709', '2', '99', '1663491414530592770', '河南省襄城县汾陈邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818710', '2', '99', '1663491414530592770', '河南省襄城县湛北邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818711', '2', '99', '1663491414530592770', '河南省襄城县王洛邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818712', '2', '99', '1663491414530592770', '河南省襄城县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818713', '2', '99', '1663491414530592770', '河南省襄城县紫云邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818714', '2', '99', '1663491414530592770', '河南省襄城县范湖邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818715', '2', '99', '1663491414530592770', '河南省襄城县茨沟邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818716', '2', '99', '1663491414530592770', '河南省襄城县襄城特快揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818717', '2', '99', '1663491414530592770', '河南省襄城县颍回邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818718', '2', '99', '1663491414530592770', '河南省襄城县颍阳邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754829320818719', '2', '99', '1663491414530592770', '河南省襄城县麦岭邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675264', '2', '99', '1663491414530592771', '河南省许昌市延安路邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675265', '2', '99', '1663491414530592771', '许昌市七一路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675266', '2', '99', '1663491414530592771', '许昌市中心邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675267', '2', '99', '1663491414530592771', '许昌市半截河邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675268', '2', '99', '1663491414530592771', '许昌市延安揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675269', '2', '99', '1663491414530592771', '许昌市建北西城区揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675270', '2', '99', '1663491414530592771', '许昌市建南区分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675271', '2', '99', '1663491414530592771', '许昌市建南区分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675272', '2', '99', '1663491414530592771', '许昌市建南区分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675273', '2', '99', '1663491414530592771', '许昌市建南区分公司渠道平台中心', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675274', '2', '99', '1663491414530592771', '许昌市建南区分公司金融业务中心（中邮保险局）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675275', '2', '99', '1663491414530592771', '许昌市建南区分公司集邮与文化传媒中心', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675276', '2', '99', '1663491414530592771', '许昌市建南区寄递事业部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675277', '2', '99', '1663491414530592771', '许昌市建南区寄递事业部单位领导部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675278', '2', '99', '1663491414530592771', '许昌市开发区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675279', '2', '99', '1663491414530592771', '许昌市朝阳路直投揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663754899969675280', '2', '99', '1663491414530592771', '许昌市许继大道邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115840', '2', '99', '1663491414530592772', '河南省许昌市文化路邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115841', '2', '99', '1663491414530592772', '许昌市中心揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115842', '2', '99', '1663491414530592772', '许昌市八一路邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115843', '2', '99', '1663491414530592772', '许昌市医学院揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115844', '2', '99', '1663491414530592772', '许昌市天平揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115845', '2', '99', '1663491414530592772', '许昌市天平街邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115846', '2', '99', '1663491414530592772', '许昌市学府街邮政所', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115847', '2', '99', '1663491414530592772', '许昌市建北区分公司', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115848', '2', '99', '1663491414530592772', '许昌市建北区分公司单位领导部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115849', '2', '99', '1663491414530592772', '许昌市建北区分公司市场营销部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115850', '2', '99', '1663491414530592772', '许昌市建北区分公司渠道平台中心', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115851', '2', '99', '1663491414530592772', '许昌市建北区分公司金融业务中心（中邮保险局）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115852', '2', '99', '1663491414530592772', '许昌市建北区分公司集邮与文化传媒中心', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115853', '2', '99', '1663491414530592772', '许昌市建北区寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115854', '2', '99', '1663491414530592772', '许昌市建北区寄递事业部东区特快揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115855', '2', '99', '1663491414530592772', '许昌市建北区寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115856', '2', '99', '1663491414530592772', '许昌市建北区寄递事业部票房街特快揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115857', '2', '99', '1663491414530592772', '许昌市建安路邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115858', '2', '99', '1663491414530592772', '许昌市新区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115859', '2', '99', '1663491414530592772', '许昌市曹魏古城邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115860', '2', '99', '1663491414530592772', '许昌市票房街揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115861', '2', '99', '1663491414530592772', '许昌市芙蓉湖揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115862', '2', '99', '1663491414530592772', '许昌市莲城揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115863', '2', '99', '1663491414530592772', '许昌市莲花湾邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115864', '2', '99', '1663491414530592772', '许昌市西区揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115865', '2', '99', '1663491414530592772', '许昌市许昌学院揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115866', '2', '99', '1663491414530592772', '许昌市许昌电气学院揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115867', '2', '99', '1663491414530592772', '许昌市许昌职业技术学院揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755071806115868', '2', '99', '1663491414530592772', '许昌市颖昌大道揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705664', '2', '99', '1663491414530592773', '河南省鄢陵县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705665', '2', '99', '1663491414530592773', '河南省鄢陵县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705666', '2', '99', '1663491414530592773', '河南省鄢陵县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705667', '2', '99', '1663491414530592773', '河南省鄢陵县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705668', '2', '99', '1663491414530592773', '河南省鄢陵县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705669', '2', '99', '1663491414530592773', '河南省鄢陵县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705670', '2', '99', '1663491414530592773', '河南省鄢陵县分公司金融业务部（中邮保险中心）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705671', '2', '99', '1663491414530592773', '河南省鄢陵县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705672', '2', '99', '1663491414530592773', '河南省鄢陵县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705673', '2', '99', '1663491414530592773', '河南省鄢陵县南关邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705674', '2', '99', '1663491414530592773', '河南省鄢陵县南坞邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705675', '2', '99', '1663491414530592773', '河南省鄢陵县只乐邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705676', '2', '99', '1663491414530592773', '河南省鄢陵县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705677', '2', '99', '1663491414530592773', '河南省鄢陵县大马邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705678', '2', '99', '1663491414530592773', '河南省鄢陵县寄递事业部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705679', '2', '99', '1663491414530592773', '河南省鄢陵县寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705680', '2', '99', '1663491414530592773', '河南省鄢陵县寄递事业部市场部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705681', '2', '99', '1663491414530592773', '河南省鄢陵县寄递事业部运营监控部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705682', '2', '99', '1663491414530592773', '河南省鄢陵县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705683', '2', '99', '1663491414530592773', '河南省鄢陵县张桥邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705684', '2', '99', '1663491414530592773', '河南省鄢陵县彭店邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705685', '2', '99', '1663491414530592773', '河南省鄢陵县揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705686', '2', '99', '1663491414530592773', '河南省鄢陵县文明路邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705687', '2', '99', '1663491414530592773', '河南省鄢陵县望田邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705688', '2', '99', '1663491414530592773', '河南省鄢陵县柏梁邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705689', '2', '99', '1663491414530592773', '河南省鄢陵县电商客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705690', '2', '99', '1663491414530592773', '河南省鄢陵县花都邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705691', '2', '99', '1663491414530592773', '河南省鄢陵县陈化店邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705692', '2', '99', '1663491414530592773', '河南省鄢陵县陶城邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705693', '2', '99', '1663491414530592773', '河南省鄢陵县马坊邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755201854705694', '2', '99', '1663491414530592773', '河南省鄢陵县马栏邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223872', '2', '99', '1663491414530592774', '河南省长葛市人民路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223873', '2', '99', '1663491414530592774', '河南省长葛市佛耳湖镇邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223874', '2', '99', '1663491414530592774', '河南省长葛市八七路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223875', '2', '99', '1663491414530592774', '河南省长葛市分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223876', '2', '99', '1663491414530592774', '河南省长葛市分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223877', '2', '99', '1663491414530592774', '河南省长葛市分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223878', '2', '99', '1663491414530592774', '河南省长葛市分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223879', '2', '99', '1663491414530592774', '河南省长葛市分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223880', '2', '99', '1663491414530592774', '河南省长葛市分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223881', '2', '99', '1663491414530592774', '河南省长葛市分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223882', '2', '99', '1663491414530592774', '河南省长葛市分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223883', '2', '99', '1663491414530592774', '河南省长葛市分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223884', '2', '99', '1663491414530592774', '河南省长葛市南席邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223885', '2', '99', '1663491414530592774', '河南省长葛市古桥邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223886', '2', '99', '1663491414530592774', '河南省长葛市后河邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223887', '2', '99', '1663491414530592774', '河南省长葛市坡胡邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223888', '2', '99', '1663491414530592774', '河南省长葛市城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223889', '2', '99', '1663491414530592774', '河南省长葛市大周邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223890', '2', '99', '1663491414530592774', '河南省长葛市寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223891', '2', '99', '1663491414530592774', '河南省长葛市寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223892', '2', '99', '1663491414530592774', '河南省长葛市寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223893', '2', '99', '1663491414530592774', '河南省长葛市寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223894', '2', '99', '1663491414530592774', '河南省长葛市寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223895', '2', '99', '1663491414530592774', '河南省长葛市建北邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223896', '2', '99', '1663491414530592774', '河南省长葛市建设路邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223897', '2', '99', '1663491414530592774', '河南省长葛市揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223898', '2', '99', '1663491414530592774', '河南省长葛市水磨河邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223899', '2', '99', '1663491414530592774', '河南省长葛市电商客户揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223900', '2', '99', '1663491414530592774', '河南省长葛市石固邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223901', '2', '99', '1663491414530592774', '河南省长葛市石象邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223902', '2', '99', '1663491414530592774', '河南省长葛市老城邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223903', '2', '99', '1663491414530592774', '河南省长葛市董村邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755264358223904', '2', '99', '1663491414530592774', '河南省长葛市钟繇路邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131456', '2', '99', '1663491414530592775', '许昌市分公司人力资源部（党委组织部）', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131457', '2', '99', '1663491414530592775', '许昌市分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131458', '2', '99', '1663491414530592775', '许昌市分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131459', '2', '99', '1663491414530592775', '许昌市分公司市场营销部客户营销中心', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131460', '2', '99', '1663491414530592775', '许昌市分公司服务质量部（普遍服务部）', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131461', '2', '99', '1663491414530592775', '许昌市分公司本部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131462', '2', '99', '1663491414530592775', '许昌市分公司机要通信分局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131463', '2', '99', '1663491414530592775', '许昌市分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131464', '2', '99', '1663491414530592775', '许昌市分公司综合办公室（党委办公室、安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131465', '2', '99', '1663491414530592775', '许昌市分公司财务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131466', '2', '99', '1663491414530592775', '许昌市分公司邮政工会', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131467', '2', '99', '1663491414530592775', '许昌市分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131468', '2', '99', '1663491414530592775', '许昌市分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131469', '2', '99', '1663491414530592775', '许昌市分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131470', '2', '99', '1663491414530592775', '许昌市国际公司直属中心营业部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131471', '2', '99', '1663491414530592775', '许昌市国际公司直属国际小包营业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131472', '2', '99', '1663491414530592775', '许昌市寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131473', '2', '99', '1663491414530592775', '许昌市寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131474', '2', '99', '1663491414530592775', '许昌市寄递事业部市场部客户营销中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131475', '2', '99', '1663491414530592775', '许昌市寄递事业部服务质量部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131476', '2', '99', '1663491414530592775', '许昌市寄递事业部服务质量部客户服务中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131477', '2', '99', '1663491414530592775', '许昌市寄递事业部本部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131478', '2', '99', '1663491414530592775', '许昌市寄递事业部物流营销中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131479', '2', '99', '1663491414530592775', '许昌市寄递事业部综合部(党委办公室)', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131480', '2', '99', '1663491414530592775', '许昌市寄递事业部网路运营中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131481', '2', '99', '1663491414530592775', '许昌市寄递事业部网路运营中心包件车间', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131482', '2', '99', '1663491414530592775', '许昌市寄递事业部网路运营中心普服车间', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131483', '2', '99', '1663491414530592775', '许昌市寄递事业部网路运营中心运输车间', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131484', '2', '99', '1663491414530592775', '许昌市寄递事业部运营管理部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131485', '2', '99', '1663491414530592775', '许昌市寄递事业部非领导职务部门', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131486', '2', '99', '1663491414530592775', '许昌市政务客户公安揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131487', '2', '99', '1663491414530592775', '许昌市政务客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131488', '2', '99', '1663491414530592775', '许昌市物流客户营销团队', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663755355882131489', '2', '99', '1663491414530592775', '许昌市电商客户市区揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044981112832', '2', '99', '1663489512711524352', '河南省临颍县三家店邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307136', '2', '99', '1663489512711524352', '河南省临颍县人民路第一揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307137', '2', '99', '1663489512711524352', '河南省临颍县人民路邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307138', '2', '99', '1663489512711524352', '河南省临颍县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307139', '2', '99', '1663489512711524352', '河南省临颍县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307140', '2', '99', '1663489512711524352', '河南省临颍县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307141', '2', '99', '1663489512711524352', '河南省临颍县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307142', '2', '99', '1663489512711524352', '河南省临颍县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307143', '2', '99', '1663489512711524352', '河南省临颍县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307144', '2', '99', '1663489512711524352', '河南省临颍县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307145', '2', '99', '1663489512711524352', '河南省临颍县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307146', '2', '99', '1663489512711524352', '河南省临颍县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307147', '2', '99', '1663489512711524352', '河南省临颍县南街村邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307148', '2', '99', '1663489512711524352', '河南省临颍县台陈邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307149', '2', '99', '1663489512711524352', '河南省临颍县固厢邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307150', '2', '99', '1663489512711524352', '河南省临颍县城内邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307151', '2', '99', '1663489512711524352', '河南省临颍县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307152', '2', '99', '1663489512711524352', '河南省临颍县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307153', '2', '99', '1663489512711524352', '河南省临颍县大郭邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307154', '2', '99', '1663489512711524352', '河南省临颍县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307155', '2', '99', '1663489512711524352', '河南省临颍县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307156', '2', '99', '1663489512711524352', '河南省临颍县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307157', '2', '99', '1663489512711524352', '河南省临颍县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307158', '2', '99', '1663489512711524352', '河南省临颍县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307159', '2', '99', '1663489512711524352', '河南省临颍县巨陵邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307160', '2', '99', '1663489512711524352', '河南省临颍县新区揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307161', '2', '99', '1663489512711524352', '河南省临颍县杜曲邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307162', '2', '99', '1663489512711524352', '河南省临颍县沃城邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307163', '2', '99', '1663489512711524352', '河南省临颍县王孟邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307164', '2', '99', '1663489512711524352', '河南省临颍县王岗邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307165', '2', '99', '1663489512711524352', '河南省临颍县瓦店邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307166', '2', '99', '1663489512711524352', '河南省临颍县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307167', '2', '99', '1663489512711524352', '河南省临颍县皇帝庙邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307168', '2', '99', '1663489512711524352', '河南省临颍县石桥邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307169', '2', '99', '1663489512711524352', '河南省临颍县繁城邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307170', '2', '99', '1663489512711524352', '河南省临颍县车站邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756044985307171', '2', '99', '1663489512711524352', '河南省临颍县陈庄邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908096', '2', '99', '1663489512711524353', '河南省寄递事业部漯河市邮区中心', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908097', '2', '99', '1663489512711524353', '河南省寄递事业部漯河市邮区中心包件车间', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908098', '2', '99', '1663489512711524353', '河南省寄递事业部漯河市邮区中心普服车间', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908099', '2', '99', '1663489512711524353', '河南省寄递事业部漯河市邮区中心运输车间', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908100', '2', '99', '1663489512711524353', '漯河市分公司人力资源部（党委组织部）', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908101', '2', '99', '1663489512711524353', '漯河市分公司党委党建工作部（纪委办公室）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908102', '2', '99', '1663489512711524353', '漯河市分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908103', '2', '99', '1663489512711524353', '漯河市分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908104', '2', '99', '1663489512711524353', '漯河市分公司市场营销部客户营销中心', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908105', '2', '99', '1663489512711524353', '漯河市分公司服务质量部（普遍服务部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908106', '2', '99', '1663489512711524353', '漯河市分公司本部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908107', '2', '99', '1663489512711524353', '漯河市分公司机要通信分局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908108', '2', '99', '1663489512711524353', '漯河市分公司渠道平台部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908109', '2', '99', '1663489512711524353', '漯河市分公司综合办公室（党委办公室、安全保卫部）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908110', '2', '99', '1663489512711524353', '漯河市分公司财务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908111', '2', '99', '1663489512711524353', '漯河市分公司邮政工会', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908112', '2', '99', '1663489512711524353', '漯河市分公司金融业务部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908113', '2', '99', '1663489512711524353', '漯河市分公司集邮与文化传媒部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908114', '2', '99', '1663489512711524353', '漯河市分公司非领导职务部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908115', '2', '99', '1663489512711524353', '漯河市商企客户火车站揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908116', '2', '99', '1663489512711524353', '漯河市国际公司直属国际小包营业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908117', '2', '99', '1663489512711524353', '漯河市国际公司直属国际营业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908118', '2', '99', '1663489512711524353', '漯河市寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908119', '2', '99', '1663489512711524353', '漯河市寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908120', '2', '99', '1663489512711524353', '漯河市寄递事业部市场部客户营销中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908121', '2', '99', '1663489512711524353', '漯河市寄递事业部服务质量部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908122', '2', '99', '1663489512711524353', '漯河市寄递事业部服务质量部客户服务中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908123', '2', '99', '1663489512711524353', '漯河市寄递事业部本部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908124', '2', '99', '1663489512711524353', '漯河市寄递事业部物流营销中心', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908125', '2', '99', '1663489512711524353', '漯河市寄递事业部综合部(党委办公室)', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908126', '2', '99', '1663489512711524353', '漯河市寄递事业部网路运营中心', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908127', '2', '99', '1663489512711524353', '漯河市寄递事业部运营管理部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908128', '2', '99', '1663489512711524353', '漯河市寄递事业部非领导职务部门', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908129', '2', '99', '1663489512711524353', '漯河市政务客户火车站揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756169723908130', '2', '99', '1663489512711524353', '漯河市物流客户营销团队', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728064', '2', '99', '1663489512711524354', '河南省舞阳县东大街揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728065', '2', '99', '1663489512711524354', '河南省舞阳县东大街邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728066', '2', '99', '1663489512711524354', '河南省舞阳县九街邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728067', '2', '99', '1663489512711524354', '河南省舞阳县保和邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728068', '2', '99', '1663489512711524354', '河南省舞阳县候集邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728069', '2', '99', '1663489512711524354', '河南省舞阳县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728070', '2', '99', '1663489512711524354', '河南省舞阳县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728071', '2', '99', '1663489512711524354', '河南省舞阳县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728072', '2', '99', '1663489512711524354', '河南省舞阳县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728073', '2', '99', '1663489512711524354', '河南省舞阳县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728074', '2', '99', '1663489512711524354', '河南省舞阳县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728075', '2', '99', '1663489512711524354', '河南省舞阳县分公司金融业务部（中邮保险中心）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728076', '2', '99', '1663489512711524354', '河南省舞阳县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728077', '2', '99', '1663489512711524354', '河南省舞阳县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728078', '2', '99', '1663489512711524354', '河南省舞阳县北舞渡邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728079', '2', '99', '1663489512711524354', '河南省舞阳县南京路揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728080', '2', '99', '1663489512711524354', '河南省舞阳县吴城邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728081', '2', '99', '1663489512711524354', '河南省舞阳县城区中心揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728082', '2', '99', '1663489512711524354', '河南省舞阳县太尉邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728083', '2', '99', '1663489512711524354', '河南省舞阳县姜店邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728084', '2', '99', '1663489512711524354', '河南省舞阳县孟寨邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728085', '2', '99', '1663489512711524354', '河南省舞阳县宁波路揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728086', '2', '99', '1663489512711524354', '河南省舞阳县寄递事业部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728087', '2', '99', '1663489512711524354', '河南省舞阳县寄递事业部单位领导部门', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728088', '2', '99', '1663489512711524354', '河南省舞阳县寄递事业部市场部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728089', '2', '99', '1663489512711524354', '河南省舞阳县寄递事业部运营监控部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728090', '2', '99', '1663489512711524354', '河南省舞阳县寄递事业部运输中心（纯核算）', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728091', '2', '99', '1663489512711524354', '河南省舞阳县文峰邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728092', '2', '99', '1663489512711524354', '河南省舞阳县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728093', '2', '99', '1663489512711524354', '河南省舞阳县章化邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728094', '2', '99', '1663489512711524354', '河南省舞阳县莲花邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728095', '2', '99', '1663489512711524354', '河南省舞阳县辛安邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756255568728096', '2', '99', '1663489512711524354', '河南省舞阳县马村邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227328', '2', '99', '1663489512711524355', '河南省郊区万金邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227329', '2', '99', '1663489512711524355', '河南省郊区召陵邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227330', '2', '99', '1663489512711524355', '河南省郊区商桥邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227331', '2', '99', '1663489512711524355', '河南省郊区大刘邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227332', '2', '99', '1663489512711524355', '河南省郊区太行山路邮政所', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227333', '2', '99', '1663489512711524355', '河南省郊区姬石邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227334', '2', '99', '1663489512711524355', '河南省郊区孟庙邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227335', '2', '99', '1663489512711524355', '河南省郊区李集邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227336', '2', '99', '1663489512711524355', '河南省郊区海河路邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227337', '2', '99', '1663489512711524355', '河南省郊区空冢郭邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227338', '2', '99', '1663489512711524355', '河南省郊区老窝邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227339', '2', '99', '1663489512711524355', '河南省郊区裴城邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227340', '2', '99', '1663489512711524355', '河南省郊区邓襄邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227341', '2', '99', '1663489512711524355', '河南省郊区问十邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227342', '2', '99', '1663489512711524355', '河南省郊区阴阳赵邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227343', '2', '99', '1663489512711524355', '河南省郊区青年邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227344', '2', '99', '1663489512711524355', '河南省郊区黑龙潭邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227345', '2', '99', '1663489512711524355', '河南省郊区龙城邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227346', '2', '99', '1663489512711524355', '漯河市新店邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227347', '2', '99', '1663489512711524355', '漯河市电商客户郊区揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227348', '2', '99', '1663489512711524355', '漯河市郊区中心揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227349', '2', '99', '1663489512711524355', '漯河市郊区井冈山路揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227350', '2', '99', '1663489512711524355', '漯河市郊区分公司', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227351', '2', '99', '1663489512711524355', '漯河市郊区分公司单位领导部门', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227352', '2', '99', '1663489512711524355', '漯河市郊区分公司市场营销部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227353', '2', '99', '1663489512711524355', '漯河市郊区分公司机要室', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227354', '2', '99', '1663489512711524355', '漯河市郊区分公司渠道平台部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227355', '2', '99', '1663489512711524355', '漯河市郊区分公司综合办公室（安全保卫部）', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227356', '2', '99', '1663489512711524355', '漯河市郊区分公司金融业务部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227357', '2', '99', '1663489512711524355', '漯河市郊区分公司集邮与文化传媒部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227358', '2', '99', '1663489512711524355', '漯河市郊区分公司非领导职务部门', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227359', '2', '99', '1663489512711524355', '漯河市郊区太行山路第一揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227360', '2', '99', '1663489512711524355', '漯河市郊区太行山路第二揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227361', '2', '99', '1663489512711524355', '漯河市郊区寄递事业部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227362', '2', '99', '1663489512711524355', '漯河市郊区寄递事业部单位领导部门', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227363', '2', '99', '1663489512711524355', '漯河市郊区寄递事业部市场部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227364', '2', '99', '1663489512711524355', '漯河市郊区寄递事业部运营监控部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227365', '2', '99', '1663489512711524355', '漯河市郊区寄递事业部运输中心（纯核算）', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227366', '2', '99', '1663489512711524355', '漯河市郊区揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227367', '2', '99', '1663489512711524355', '漯河市郊区阳山路揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227368', '2', '99', '1663489512711524355', '漯河市食品职业学院邮政服务中心', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756345184227369', '2', '99', '1663489512711524355', '漯河市龙江路揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526976', '2', '99', '1663490303987945472', '漯河市东区揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526977', '2', '99', '1663490303987945472', '漯河市交通路第一揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526978', '2', '99', '1663490303987945472', '漯河市交通路第二揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526979', '2', '99', '1663490303987945472', '漯河市光明路邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526980', '2', '99', '1663490303987945472', '漯河市召陵揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526981', '2', '99', '1663490303987945472', '漯河市寄递事业部马路街特快揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526982', '2', '99', '1663490303987945472', '漯河市嵩山路邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526983', '2', '99', '1663490303987945472', '漯河市市区分公司', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526984', '2', '99', '1663490303987945472', '漯河市市区分公司单位领导部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526985', '2', '99', '1663490303987945472', '漯河市市区分公司市场营销部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526986', '2', '99', '1663490303987945472', '漯河市市区分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526987', '2', '99', '1663490303987945472', '漯河市市区分公司金融业务部（中邮保险局）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526988', '2', '99', '1663490303987945472', '漯河市市区分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526989', '2', '99', '1663490303987945472', '漯河市市区寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526990', '2', '99', '1663490303987945472', '漯河市市区寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526991', '2', '99', '1663490303987945472', '漯河市市区寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526992', '2', '99', '1663490303987945472', '漯河市文化路邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526993', '2', '99', '1663490303987945472', '漯河市沙北揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526994', '2', '99', '1663490303987945472', '漯河市泰山北路邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526995', '2', '99', '1663490303987945472', '漯河市泰山路邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526996', '2', '99', '1663490303987945472', '漯河市湘江路揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526997', '2', '99', '1663490303987945472', '漯河市湘江路邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526998', '2', '99', '1663490303987945472', '漯河市火车站邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966526999', '2', '99', '1663490303987945472', '漯河市电商客户市区揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527000', '2', '99', '1663490303987945472', '漯河市经济开发区揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527001', '2', '99', '1663490303987945472', '漯河市职院邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527002', '2', '99', '1663490303987945472', '漯河市西区揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527003', '2', '99', '1663490303987945472', '漯河市解放路邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527004', '2', '99', '1663490303987945472', '漯河市贸易揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527005', '2', '99', '1663490303987945472', '漯河市铁东揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527006', '2', '99', '1663490303987945472', '漯河市长江路揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527007', '2', '99', '1663490303987945472', '漯河市长江路邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527008', '2', '99', '1663490303987945472', '漯河市马路街第二揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527009', '2', '99', '1663490303987945472', '漯河市马路街邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527010', '2', '99', '1663490303987945472', '漯河市黄河中路揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663756468966527011', '2', '99', '1663490303987945472', '漯河市黄河路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731456', '2', '99', '1663485322106900480', '济源市下冶邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731457', '2', '99', '1663485322106900480', '济源市东添浆邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731458', '2', '99', '1663485322106900480', '济源市中王邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731459', '2', '99', '1663485322106900480', '济源市五龙口邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731460', '2', '99', '1663485322106900480', '济源市亚桥邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731461', '2', '99', '1663485322106900480', '济源市克井邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731462', '2', '99', '1663485322106900480', '济源市分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731463', '2', '99', '1663485322106900480', '济源市分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731464', '2', '99', '1663485322106900480', '济源市分公司市场营销部客户营销中心', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731465', '2', '99', '1663485322106900480', '济源市分公司本部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731466', '2', '99', '1663485322106900480', '济源市分公司机要通信分局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731467', '2', '99', '1663485322106900480', '济源市分公司渠道平台部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731468', '2', '99', '1663485322106900480', '济源市分公司综合办公室（党委办公室、安全保卫部）', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731469', '2', '99', '1663485322106900480', '济源市分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731470', '2', '99', '1663485322106900480', '济源市分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731471', '2', '99', '1663485322106900480', '济源市分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731472', '2', '99', '1663485322106900480', '济源市北海揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731473', '2', '99', '1663485322106900480', '济源市北海邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731474', '2', '99', '1663485322106900480', '济源市周园东路邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731475', '2', '99', '1663485322106900480', '济源市商企客户揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731476', '2', '99', '1663485322106900480', '济源市国际公司直属国际小包营业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731477', '2', '99', '1663485322106900480', '济源市坡头邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731478', '2', '99', '1663485322106900480', '济源市大峪邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731479', '2', '99', '1663485322106900480', '济源市天坛邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731480', '2', '99', '1663485322106900480', '济源市宣化邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731481', '2', '99', '1663485322106900480', '济源市寄递事业部单位领导部门', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731482', '2', '99', '1663485322106900480', '济源市寄递事业部市场营销部客户营销中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731483', '2', '99', '1663485322106900480', '济源市寄递事业部市场部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731484', '2', '99', '1663485322106900480', '济源市寄递事业部本部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731485', '2', '99', '1663485322106900480', '济源市寄递事业部网路运营中心', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731486', '2', '99', '1663485322106900480', '济源市寄递事业部网路运营中心包件车间', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731487', '2', '99', '1663485322106900480', '济源市寄递事业部网路运营中心普服车间', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740675731488', '2', '99', '1663485322106900480', '济源市寄递事业部网路运营中心运输中心（纯核算）', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925760', '2', '99', '1663485322106900480', '济源市寄递事业部网路运营中心运输车间', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925761', '2', '99', '1663485322106900480', '济源市寄递事业部运营管理部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925762', '2', '99', '1663485322106900480', '济源市寄递事业部非领导职务部门', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925763', '2', '99', '1663485322106900480', '济源市小寨邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925764', '2', '99', '1663485322106900480', '济源市尚庄邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925765', '2', '99', '1663485322106900480', '济源市市直机关邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925766', '2', '99', '1663485322106900480', '济源市思礼邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925767', '2', '99', '1663485322106900480', '济源市承留邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925768', '2', '99', '1663485322106900480', '济源市揽投一部揽投部', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925769', '2', '99', '1663485322106900480', '济源市揽投二部揽投部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925770', '2', '99', '1663485322106900480', '济源市政务客户揽投部', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925771', '2', '99', '1663485322106900480', '济源市李八庄邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925772', '2', '99', '1663485322106900480', '济源市梨林邮政支局', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925773', '2', '99', '1663485322106900480', '济源市沁园邮政所', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925774', '2', '99', '1663485322106900480', '济源市济源职业技术学院邮政服务中心', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925775', '2', '99', '1663485322106900480', '济源市猕猴王国主题邮局', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925776', '2', '99', '1663485322106900480', '济源市王屋邮政支局', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925777', '2', '99', '1663485322106900480', '济源市电商客户济水大街揽投部', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925778', '2', '99', '1663485322106900480', '济源市行政区邮政所', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925779', '2', '99', '1663485322106900480', '济源市西城邮政支局', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925780', '2', '99', '1663485322106900480', '济源市轵城邮政支局', null, null, '53', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925781', '2', '99', '1663485322106900480', '济源市邵原邮政支局', null, null, '54', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925782', '2', '99', '1663485322106900480', '济源市黄河揽投部', null, null, '55', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663781740679925783', '2', '99', '1663485322106900480', '济源市黄河路揽投部', null, null, '56', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557824', '2', '99', '1663491211580805120', '固始县黄河路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557825', '2', '99', '1663491211580805120', '河南省固始县三河尖邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557826', '2', '99', '1663491211580805120', '河南省固始县丰港邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557827', '2', '99', '1663491211580805120', '河南省固始县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557828', '2', '99', '1663491211580805120', '河南省固始县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557829', '2', '99', '1663491211580805120', '河南省固始县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557830', '2', '99', '1663491211580805120', '河南省固始县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557831', '2', '99', '1663491211580805120', '河南省固始县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024596557832', '2', '99', '1663491211580805120', '河南省固始县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752128', '2', '99', '1663491211580805120', '河南省固始县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752129', '2', '99', '1663491211580805120', '河南省固始县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752130', '2', '99', '1663491211580805120', '河南省固始县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752131', '2', '99', '1663491211580805120', '河南省固始县分水亭邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752132', '2', '99', '1663491211580805120', '河南省固始县南大桥邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752133', '2', '99', '1663491211580805120', '河南省固始县城关邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752134', '2', '99', '1663491211580805120', '河南省固始县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752135', '2', '99', '1663491211580805120', '河南省固始县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752136', '2', '99', '1663491211580805120', '河南省固始县城郊邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752137', '2', '99', '1663491211580805120', '河南省固始县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752138', '2', '99', '1663491211580805120', '河南省固始县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752139', '2', '99', '1663491211580805120', '河南省固始县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752140', '2', '99', '1663491211580805120', '河南省固始县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752141', '2', '99', '1663491211580805120', '河南省固始县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752142', '2', '99', '1663491211580805120', '河南省固始县张广庙邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752143', '2', '99', '1663491211580805120', '河南省固始县张老埠邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752144', '2', '99', '1663491211580805120', '河南省固始县往流邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752145', '2', '99', '1663491211580805120', '河南省固始县徐集邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752146', '2', '99', '1663491211580805120', '河南省固始县成功大道站揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752147', '2', '99', '1663491211580805120', '河南省固始县方集邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752148', '2', '99', '1663491211580805120', '河南省固始县李店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752149', '2', '99', '1663491211580805120', '河南省固始县杨集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752150', '2', '99', '1663491211580805120', '河南省固始县柳树店邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752151', '2', '99', '1663491211580805120', '河南省固始县武庙集邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752152', '2', '99', '1663491211580805120', '河南省固始县段集邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752153', '2', '99', '1663491211580805120', '河南省固始县民生路站揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752154', '2', '99', '1663491211580805120', '河南省固始县汪棚邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752155', '2', '99', '1663491211580805120', '河南省固始县沙河铺邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752156', '2', '99', '1663491211580805120', '河南省固始县泉河铺邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752157', '2', '99', '1663491211580805120', '河南省固始县洪埠邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752158', '2', '99', '1663491211580805120', '河南省固始县电商客户揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752159', '2', '99', '1663491211580805120', '河南省固始县石佛店邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752160', '2', '99', '1663491211580805120', '河南省固始县祖师庙邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752161', '2', '99', '1663491211580805120', '河南省固始县胡族铺邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752162', '2', '99', '1663491211580805120', '河南省固始县草庙集邮政支局', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752163', '2', '99', '1663491211580805120', '河南省固始县蒋集邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752164', '2', '99', '1663491211580805120', '河南省固始县蓼北路揽投部', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752165', '2', '99', '1663491211580805120', '河南省固始县蓼北路邮政支局', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752166', '2', '99', '1663491211580805120', '河南省固始县观堂邮政支局', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752167', '2', '99', '1663491211580805120', '河南省固始县赵岗邮政支局', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752168', '2', '99', '1663491211580805120', '河南省固始县郭陆滩邮政支局', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752169', '2', '99', '1663491211580805120', '河南省固始县陈淋子邮政支局', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752170', '2', '99', '1663491211580805120', '河南省固始县陈集邮政支局', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752171', '2', '99', '1663491211580805120', '河南省固始县马堽集邮政支局', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782024600752172', '2', '99', '1663491211580805120', '河南省固始县黎集邮政支局', null, null, '53', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848576', '2', '99', '1663491211580805125', '河南省光山县仙居邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848577', '2', '99', '1663491211580805125', '河南省光山县凉亭邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848578', '2', '99', '1663491211580805125', '河南省光山县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848579', '2', '99', '1663491211580805125', '河南省光山县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848580', '2', '99', '1663491211580805125', '河南省光山县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848581', '2', '99', '1663491211580805125', '河南省光山县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848582', '2', '99', '1663491211580805125', '河南省光山县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848583', '2', '99', '1663491211580805125', '河南省光山县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848584', '2', '99', '1663491211580805125', '河南省光山县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848585', '2', '99', '1663491211580805125', '河南省光山县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848586', '2', '99', '1663491211580805125', '河南省光山县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848587', '2', '99', '1663491211580805125', '河南省光山县北关邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848588', '2', '99', '1663491211580805125', '河南省光山县北向店邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848589', '2', '99', '1663491211580805125', '河南省光山县北城揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848590', '2', '99', '1663491211580805125', '河南省光山县十里邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848591', '2', '99', '1663491211580805125', '河南省光山县南向店邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848592', '2', '99', '1663491211580805125', '河南省光山县南城揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848593', '2', '99', '1663491211580805125', '河南省光山县南王岗邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848594', '2', '99', '1663491211580805125', '河南省光山县卧龙台邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848595', '2', '99', '1663491211580805125', '河南省光山县城区中心揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848596', '2', '99', '1663491211580805125', '河南省光山县孙铁铺邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848597', '2', '99', '1663491211580805125', '河南省光山县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848598', '2', '99', '1663491211580805125', '河南省光山县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848599', '2', '99', '1663491211580805125', '河南省光山县寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848600', '2', '99', '1663491211580805125', '河南省光山县寄递事业部运营监控部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848601', '2', '99', '1663491211580805125', '河南省光山县寄递事业部运输中心（纯核算）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848602', '2', '99', '1663491211580805125', '河南省光山县寨河邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848603', '2', '99', '1663491211580805125', '河南省光山县文殊邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848604', '2', '99', '1663491211580805125', '河南省光山县斛山邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848605', '2', '99', '1663491211580805125', '河南省光山县晏河邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848606', '2', '99', '1663491211580805125', '河南省光山县杨墩邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848607', '2', '99', '1663491211580805125', '河南省光山县槐树店邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848608', '2', '99', '1663491211580805125', '河南省光山县正大街揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848609', '2', '99', '1663491211580805125', '河南省光山县正大街邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848610', '2', '99', '1663491211580805125', '河南省光山县殷棚邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848611', '2', '99', '1663491211580805125', '河南省光山县河棚邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848612', '2', '99', '1663491211580805125', '河南省光山县泼河邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848613', '2', '99', '1663491211580805125', '河南省光山县电商客户揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848614', '2', '99', '1663491211580805125', '河南省光山县白雀园邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848615', '2', '99', '1663491211580805125', '河南省光山县砖桥邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848616', '2', '99', '1663491211580805125', '河南省光山县罗陈邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848617', '2', '99', '1663491211580805125', '河南省光山县蔡桥邮政所', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848618', '2', '99', '1663491211580805125', '河南省光山县长兴镇邮政所', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848619', '2', '99', '1663491211580805125', '河南省光山县雷堂邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782331149848620', '2', '99', '1663491211580805125', '河南省光山县马畈邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599296', '2', '99', '1663491211580805128', '河南省淮滨分公司非领导职务部门', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599297', '2', '99', '1663491211580805128', '河南省淮滨县三空桥邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599298', '2', '99', '1663491211580805128', '河南省淮滨县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599299', '2', '99', '1663491211580805128', '河南省淮滨县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599300', '2', '99', '1663491211580805128', '河南省淮滨县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599301', '2', '99', '1663491211580805128', '河南省淮滨县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599302', '2', '99', '1663491211580805128', '河南省淮滨县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599303', '2', '99', '1663491211580805128', '河南省淮滨县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599304', '2', '99', '1663491211580805128', '河南省淮滨县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599305', '2', '99', '1663491211580805128', '河南省淮滨县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599306', '2', '99', '1663491211580805128', '河南省淮滨县北城站揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599307', '2', '99', '1663491211580805128', '河南省淮滨县北岗揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599308', '2', '99', '1663491211580805128', '河南省淮滨县北岗邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599309', '2', '99', '1663491211580805128', '河南省淮滨县南大街站揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599310', '2', '99', '1663491211580805128', '河南省淮滨县台头邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599311', '2', '99', '1663491211580805128', '河南省淮滨县固城邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599312', '2', '99', '1663491211580805128', '河南省淮滨县城关邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599313', '2', '99', '1663491211580805128', '河南省淮滨县城区中心揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599314', '2', '99', '1663491211580805128', '河南省淮滨县城区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599315', '2', '99', '1663491211580805128', '河南省淮滨县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599316', '2', '99', '1663491211580805128', '河南省淮滨县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599317', '2', '99', '1663491211580805128', '河南省淮滨县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599318', '2', '99', '1663491211580805128', '河南省淮滨县张庄邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599319', '2', '99', '1663491211580805128', '河南省淮滨县张里邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599320', '2', '99', '1663491211580805128', '河南省淮滨县新里邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599321', '2', '99', '1663491211580805128', '河南省淮滨县期思邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599322', '2', '99', '1663491211580805128', '河南省淮滨县栏杆邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599323', '2', '99', '1663491211580805128', '河南省淮滨县王家岗邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599324', '2', '99', '1663491211580805128', '河南省淮滨县王店邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599325', '2', '99', '1663491211580805128', '河南省淮滨县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599326', '2', '99', '1663491211580805128', '河南省淮滨县芦集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599327', '2', '99', '1663491211580805128', '河南省淮滨县谷堆邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599328', '2', '99', '1663491211580805128', '河南省淮滨县赵集邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599329', '2', '99', '1663491211580805128', '河南省淮滨县邓湾邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599330', '2', '99', '1663491211580805128', '河南省淮滨县防胡邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782542668599331', '2', '99', '1663491211580805128', '河南省淮滨县马集邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492544', '2', '99', '1663491211580805129', '河南省潢川县上油岗邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492545', '2', '99', '1663491211580805129', '河南省潢川县仁和邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492546', '2', '99', '1663491211580805129', '河南省潢川县付店邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492547', '2', '99', '1663491211580805129', '河南省潢川县伞陂邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492548', '2', '99', '1663491211580805129', '河南省潢川县传流店邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492549', '2', '99', '1663491211580805129', '河南省潢川县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492550', '2', '99', '1663491211580805129', '河南省潢川县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492551', '2', '99', '1663491211580805129', '河南省潢川县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492552', '2', '99', '1663491211580805129', '河南省潢川县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492553', '2', '99', '1663491211580805129', '河南省潢川县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492554', '2', '99', '1663491211580805129', '河南省潢川县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492555', '2', '99', '1663491211580805129', '河南省潢川县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492556', '2', '99', '1663491211580805129', '河南省潢川县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492557', '2', '99', '1663491211580805129', '河南省潢川县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492558', '2', '99', '1663491211580805129', '河南省潢川县卜塔集邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492559', '2', '99', '1663491211580805129', '河南省潢川县双柳树邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492560', '2', '99', '1663491211580805129', '河南省潢川县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492561', '2', '99', '1663491211580805129', '河南省潢川县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492562', '2', '99', '1663491211580805129', '河南省潢川县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492563', '2', '99', '1663491211580805129', '河南省潢川县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492564', '2', '99', '1663491211580805129', '河南省潢川县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492565', '2', '99', '1663491211580805129', '河南省潢川县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492566', '2', '99', '1663491211580805129', '河南省潢川县小吕店邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492567', '2', '99', '1663491211580805129', '河南省潢川县开发区揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492568', '2', '99', '1663491211580805129', '河南省潢川县张集邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492569', '2', '99', '1663491211580805129', '河南省潢川县彭店邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492570', '2', '99', '1663491211580805129', '河南省潢川县来龙邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492571', '2', '99', '1663491211580805129', '河南省潢川县桃林铺邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492572', '2', '99', '1663491211580805129', '河南省潢川县江家集邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492573', '2', '99', '1663491211580805129', '河南省潢川县牛岗邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492574', '2', '99', '1663491211580805129', '河南省潢川县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492575', '2', '99', '1663491211580805129', '河南省潢川县白店邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492576', '2', '99', '1663491211580805129', '河南省潢川县衙门口邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492577', '2', '99', '1663491211580805129', '河南省潢川县西关邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492578', '2', '99', '1663491211580805129', '河南省潢川县谈店邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492579', '2', '99', '1663491211580805129', '河南省潢川县跃进西路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492580', '2', '99', '1663491211580805129', '河南省潢川县踅孜邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492581', '2', '99', '1663491211580805129', '河南省潢川县隆古邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492582', '2', '99', '1663491211580805129', '河南省潢川县魏岗邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663782835376492583', '2', '99', '1663491211580805129', '河南省潢川县黄寺岗邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949248', '2', '99', '1663491211580805123', '信阳市东双河邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949249', '2', '99', '1663491211580805123', '信阳市中心大道站揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949250', '2', '99', '1663491211580805123', '信阳市九店邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949251', '2', '99', '1663491211580805123', '信阳市五里店邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949252', '2', '99', '1663491211580805123', '信阳市人民路邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949253', '2', '99', '1663491211580805123', '信阳市兰店邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949254', '2', '99', '1663491211580805123', '信阳市十三里桥邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949255', '2', '99', '1663491211580805123', '信阳市南新店邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949256', '2', '99', '1663491211580805123', '信阳市吴家店邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949257', '2', '99', '1663491211580805123', '信阳市工业城站揽投部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949258', '2', '99', '1663491211580805123', '信阳市平昌邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949259', '2', '99', '1663491211580805123', '信阳市平桥区揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949260', '2', '99', '1663491211580805123', '信阳市平西路邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949261', '2', '99', '1663491211580805123', '信阳市彭家湾邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949262', '2', '99', '1663491211580805123', '信阳市明港农工路邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949263', '2', '99', '1663491211580805123', '信阳市明港支局揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949264', '2', '99', '1663491211580805123', '信阳市明港胜利街邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949265', '2', '99', '1663491211580805123', '信阳市明港西营邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949266', '2', '99', '1663491211580805123', '信阳市李家寨邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949267', '2', '99', '1663491211580805123', '信阳市查山邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949268', '2', '99', '1663491211580805123', '信阳市柳林邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949269', '2', '99', '1663491211580805123', '信阳市洋河邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949270', '2', '99', '1663491211580805123', '信阳市浉河港邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949271', '2', '99', '1663491211580805123', '信阳市游河邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949272', '2', '99', '1663491211580805123', '信阳市王岗邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949273', '2', '99', '1663491211580805123', '信阳市甘岸邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949274', '2', '99', '1663491211580805123', '信阳市电商客户郊区揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949275', '2', '99', '1663491211580805123', '信阳市肖店邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949276', '2', '99', '1663491211580805123', '信阳市肖王邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949277', '2', '99', '1663491211580805123', '信阳市胡店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949278', '2', '99', '1663491211580805123', '信阳市董家河邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949279', '2', '99', '1663491211580805123', '信阳市谭家河邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949280', '2', '99', '1663491211580805123', '信阳市邢集邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949281', '2', '99', '1663491211580805123', '信阳市郊区分公司', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949282', '2', '99', '1663491211580805123', '信阳市郊区分公司单位领导部门', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949283', '2', '99', '1663491211580805123', '信阳市郊区分公司市场营销部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949284', '2', '99', '1663491211580805123', '信阳市郊区分公司机要室', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949285', '2', '99', '1663491211580805123', '信阳市郊区分公司渠道平台部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949286', '2', '99', '1663491211580805123', '信阳市郊区分公司综合办公室（安全保卫部）', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949287', '2', '99', '1663491211580805123', '信阳市郊区分公司金融业务部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949288', '2', '99', '1663491211580805123', '信阳市郊区分公司集邮与文化传媒部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949289', '2', '99', '1663491211580805123', '信阳市郊区分公司非领导职务部门', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949290', '2', '99', '1663491211580805123', '信阳市郊区寄递事业部', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949291', '2', '99', '1663491211580805123', '信阳市郊区寄递事业部单位领导部门', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949292', '2', '99', '1663491211580805123', '信阳市郊区寄递事业部市场部', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949293', '2', '99', '1663491211580805123', '信阳市郊区寄递事业部运营监控部', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949294', '2', '99', '1663491211580805123', '信阳市郊区寄递事业部运输中心（纯核算）', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949295', '2', '99', '1663491211580805123', '信阳市长台关邮政支局', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949296', '2', '99', '1663491211580805123', '信阳市高梁店邮政支局', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949297', '2', '99', '1663491211580805123', '信阳市鸡公山邮政所', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783026640949298', '2', '99', '1663491211580805123', '信阳市龙井邮政支局', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849664', '2', '99', '1663491211580805130', '河南省罗山县东大街揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849665', '2', '99', '1663491211580805130', '河南省罗山县东铺邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849666', '2', '99', '1663491211580805130', '河南省罗山县五一邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849667', '2', '99', '1663491211580805130', '河南省罗山县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849668', '2', '99', '1663491211580805130', '河南省罗山县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849669', '2', '99', '1663491211580805130', '河南省罗山县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849670', '2', '99', '1663491211580805130', '河南省罗山县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849671', '2', '99', '1663491211580805130', '河南省罗山县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849672', '2', '99', '1663491211580805130', '河南省罗山县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849673', '2', '99', '1663491211580805130', '河南省罗山县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849674', '2', '99', '1663491211580805130', '河南省罗山县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849675', '2', '99', '1663491211580805130', '河南省罗山县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849676', '2', '99', '1663491211580805130', '河南省罗山县周党邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849677', '2', '99', '1663491211580805130', '河南省罗山县城关邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849678', '2', '99', '1663491211580805130', '河南省罗山县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849679', '2', '99', '1663491211580805130', '河南省罗山县子路邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849680', '2', '99', '1663491211580805130', '河南省罗山县定远邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849681', '2', '99', '1663491211580805130', '河南省罗山县实验中学站揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849682', '2', '99', '1663491211580805130', '河南省罗山县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849683', '2', '99', '1663491211580805130', '河南省罗山县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849684', '2', '99', '1663491211580805130', '河南省罗山县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849685', '2', '99', '1663491211580805130', '河南省罗山县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849686', '2', '99', '1663491211580805130', '河南省罗山县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849687', '2', '99', '1663491211580805130', '河南省罗山县尤店邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849688', '2', '99', '1663491211580805130', '河南省罗山县山店邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849689', '2', '99', '1663491211580805130', '河南省罗山县庙仙邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849690', '2', '99', '1663491211580805130', '河南省罗山县彭新邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849691', '2', '99', '1663491211580805130', '河南省罗山县朱堂邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849692', '2', '99', '1663491211580805130', '河南省罗山县楠杆邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849693', '2', '99', '1663491211580805130', '河南省罗山县潘新邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849694', '2', '99', '1663491211580805130', '河南省罗山县灵山邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849695', '2', '99', '1663491211580805130', '河南省罗山县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849696', '2', '99', '1663491211580805130', '河南省罗山县竹竿邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849697', '2', '99', '1663491211580805130', '河南省罗山县莽张邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849698', '2', '99', '1663491211580805130', '河南省罗山县铁铺邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849699', '2', '99', '1663491211580805130', '河南省罗山县青山邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849700', '2', '99', '1663491211580805130', '河南省罗山县高店邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783218756849701', '2', '99', '1663491211580805130', '河南省罗山县龙山邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667584', '2', '99', '1663491211580805122', '信阳市七里棚站揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667585', '2', '99', '1663491211580805122', '信阳市东方红邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667586', '2', '99', '1663491211580805122', '信阳市五星揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667587', '2', '99', '1663491211580805122', '信阳市五星邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667588', '2', '99', '1663491211580805122', '信阳市信阳农林学院邮政服务中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667589', '2', '99', '1663491211580805122', '信阳市信阳学院邮政服务中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667590', '2', '99', '1663491211580805122', '信阳市六里棚揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667591', '2', '99', '1663491211580805122', '信阳市六里棚邮政支局', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667592', '2', '99', '1663491211580805122', '信阳市北京路邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667593', '2', '99', '1663491211580805122', '信阳市南湾邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667594', '2', '99', '1663491211580805122', '信阳市双井邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667595', '2', '99', '1663491211580805122', '信阳市市区分公司', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667596', '2', '99', '1663491211580805122', '信阳市市区分公司单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667597', '2', '99', '1663491211580805122', '信阳市市区分公司市场营销部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667598', '2', '99', '1663491211580805122', '信阳市市区分公司渠道平台部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667599', '2', '99', '1663491211580805122', '信阳市市区分公司金融业务部（中邮保险局）', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667600', '2', '99', '1663491211580805122', '信阳市市区分公司集邮与文化传媒部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667601', '2', '99', '1663491211580805122', '信阳市市区寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667602', '2', '99', '1663491211580805122', '信阳市市区寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667603', '2', '99', '1663491211580805122', '信阳市师院邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667604', '2', '99', '1663491211580805122', '信阳市楚王城邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667605', '2', '99', '1663491211580805122', '信阳市火车站站揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667606', '2', '99', '1663491211580805122', '信阳市火车站邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667607', '2', '99', '1663491211580805122', '信阳市物流项目组', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667608', '2', '99', '1663491211580805122', '信阳市申城邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667609', '2', '99', '1663491211580805122', '信阳市紫荆花园站揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667610', '2', '99', '1663491211580805122', '信阳市羊山邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667611', '2', '99', '1663491211580805122', '信阳市职业技术学院邮政校园服务中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667612', '2', '99', '1663491211580805122', '信阳市航院邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667613', '2', '99', '1663491211580805122', '信阳市虎头山揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667614', '2', '99', '1663491211580805122', '信阳市行政路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783380153667615', '2', '99', '1663491211580805122', '信阳市金鼎安邦揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279104', '2', '99', '1663491211580805126', '河南省商城县三里坪邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279105', '2', '99', '1663491211580805126', '河南省商城县上石桥邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279106', '2', '99', '1663491211580805126', '河南省商城县丰集邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279107', '2', '99', '1663491211580805126', '河南省商城县伏山邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279108', '2', '99', '1663491211580805126', '河南省商城县余集邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279109', '2', '99', '1663491211580805126', '河南省商城县冯店邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279110', '2', '99', '1663491211580805126', '河南省商城县分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279111', '2', '99', '1663491211580805126', '河南省商城县分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279112', '2', '99', '1663491211580805126', '河南省商城县分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279113', '2', '99', '1663491211580805126', '河南省商城县分公司机要室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279114', '2', '99', '1663491211580805126', '河南省商城县分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279115', '2', '99', '1663491211580805126', '河南省商城县分公司综合办公室（安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279116', '2', '99', '1663491211580805126', '河南省商城县分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279117', '2', '99', '1663491211580805126', '河南省商城县分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279118', '2', '99', '1663491211580805126', '河南省商城县分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279119', '2', '99', '1663491211580805126', '河南省商城县北大街揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279120', '2', '99', '1663491211580805126', '河南省商城县北大街邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526975279121', '2', '99', '1663491211580805126', '河南省商城县双椿铺邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473408', '2', '99', '1663491211580805126', '河南省商城县吴河邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473409', '2', '99', '1663491211580805126', '河南省商城县城区中心揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473410', '2', '99', '1663491211580805126', '河南省商城县城区揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473411', '2', '99', '1663491211580805126', '河南省商城县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473412', '2', '99', '1663491211580805126', '河南省商城县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473413', '2', '99', '1663491211580805126', '河南省商城县寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473414', '2', '99', '1663491211580805126', '河南省商城县寄递事业部运营监控部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473415', '2', '99', '1663491211580805126', '河南省商城县寄递事业部运输中心（纯核算）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473416', '2', '99', '1663491211580805126', '河南省商城县李集邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473417', '2', '99', '1663491211580805126', '河南省商城县武桥邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473418', '2', '99', '1663491211580805126', '河南省商城县汪岗邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473419', '2', '99', '1663491211580805126', '河南省商城县汪桥邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473420', '2', '99', '1663491211580805126', '河南省商城县河凤桥邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473421', '2', '99', '1663491211580805126', '河南省商城县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473422', '2', '99', '1663491211580805126', '河南省商城县白塔集邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473423', '2', '99', '1663491211580805126', '河南省商城县苏仙石邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473424', '2', '99', '1663491211580805126', '河南省商城县西城邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473425', '2', '99', '1663491211580805126', '河南省商城县观庙邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473426', '2', '99', '1663491211580805126', '河南省商城县达权店邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473427', '2', '99', '1663491211580805126', '河南省商城县鄢岗邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473428', '2', '99', '1663491211580805126', '河南省商城县金刚台邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473429', '2', '99', '1663491211580805126', '河南省商城县长竹园邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783526979473430', '2', '99', '1663491211580805126', '河南省商城县鲇鱼山邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154880', '2', '99', '1663491211580805121', '息县车站营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154881', '2', '99', '1663491211580805121', '河南省息县东岳邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154882', '2', '99', '1663491211580805121', '河南省息县中渡店邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154883', '2', '99', '1663491211580805121', '河南省息县临河邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154884', '2', '99', '1663491211580805121', '河南省息县八里岔邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154885', '2', '99', '1663491211580805121', '河南省息县关店邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154886', '2', '99', '1663491211580805121', '河南省息县分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154887', '2', '99', '1663491211580805121', '河南省息县分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154888', '2', '99', '1663491211580805121', '河南省息县分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154889', '2', '99', '1663491211580805121', '河南省息县分公司机要室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154890', '2', '99', '1663491211580805121', '河南省息县分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154891', '2', '99', '1663491211580805121', '河南省息县分公司综合办公室（安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154892', '2', '99', '1663491211580805121', '河南省息县分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154893', '2', '99', '1663491211580805121', '河南省息县分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154894', '2', '99', '1663491211580805121', '河南省息县分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154895', '2', '99', '1663491211580805121', '河南省息县包信邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154896', '2', '99', '1663491211580805121', '河南省息县城关邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154897', '2', '99', '1663491211580805121', '河南省息县城区中心揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154898', '2', '99', '1663491211580805121', '河南省息县城区揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154899', '2', '99', '1663491211580805121', '河南省息县夏庄邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154900', '2', '99', '1663491211580805121', '河南省息县孙庙邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154901', '2', '99', '1663491211580805121', '河南省息县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154902', '2', '99', '1663491211580805121', '河南省息县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154903', '2', '99', '1663491211580805121', '河南省息县寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154904', '2', '99', '1663491211580805121', '河南省息县寄递事业部运营监控部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154905', '2', '99', '1663491211580805121', '河南省息县寄递事业部运输中心（纯核算）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154906', '2', '99', '1663491211580805121', '河南省息县小茴店邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154907', '2', '99', '1663491211580805121', '河南省息县岗李店邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154908', '2', '99', '1663491211580805121', '河南省息县张陶邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154909', '2', '99', '1663491211580805121', '河南省息县彭店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154910', '2', '99', '1663491211580805121', '河南省息县曹黄林邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154911', '2', '99', '1663491211580805121', '河南省息县李堂邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154912', '2', '99', '1663491211580805121', '河南省息县杨店邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154913', '2', '99', '1663491211580805121', '河南省息县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154914', '2', '99', '1663491211580805121', '河南省息县白店邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154915', '2', '99', '1663491211580805121', '河南省息县许店邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154916', '2', '99', '1663491211580805121', '河南省息县谯楼揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154917', '2', '99', '1663491211580805121', '河南省息县谯楼街揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154918', '2', '99', '1663491211580805121', '河南省息县谯楼街邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154919', '2', '99', '1663491211580805121', '河南省息县路口邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154920', '2', '99', '1663491211580805121', '河南省息县长陵邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154921', '2', '99', '1663491211580805121', '河南省息县陈棚邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783667564154922', '2', '99', '1663491211580805121', '河南省息县项店邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171584', '2', '99', '1663491211580805127', '河南省新县八里畈邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171585', '2', '99', '1663491211580805127', '河南省新县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171586', '2', '99', '1663491211580805127', '河南省新县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171587', '2', '99', '1663491211580805127', '河南省新县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171588', '2', '99', '1663491211580805127', '河南省新县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171589', '2', '99', '1663491211580805127', '河南省新县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171590', '2', '99', '1663491211580805127', '河南省新县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171591', '2', '99', '1663491211580805127', '河南省新县分公司金融业务部（中邮保险中心）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171592', '2', '99', '1663491211580805127', '河南省新县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171593', '2', '99', '1663491211580805127', '河南省新县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171594', '2', '99', '1663491211580805127', '河南省新县千斤邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171595', '2', '99', '1663491211580805127', '河南省新县卡房邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171596', '2', '99', '1663491211580805127', '河南省新县县城邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171597', '2', '99', '1663491211580805127', '河南省新县吴陈河邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171598', '2', '99', '1663491211580805127', '河南省新县周河邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171599', '2', '99', '1663491211580805127', '河南省新县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171600', '2', '99', '1663491211580805127', '河南省新县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171601', '2', '99', '1663491211580805127', '河南省新县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171602', '2', '99', '1663491211580805127', '河南省新县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171603', '2', '99', '1663491211580805127', '河南省新县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171604', '2', '99', '1663491211580805127', '河南省新县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171605', '2', '99', '1663491211580805127', '河南省新县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171606', '2', '99', '1663491211580805127', '河南省新县新集邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171607', '2', '99', '1663491211580805127', '河南省新县沙石邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171608', '2', '99', '1663491211580805127', '河南省新县沙窝邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171609', '2', '99', '1663491211580805127', '河南省新县泗店邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171610', '2', '99', '1663491211580805127', '河南省新县浒湾邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171611', '2', '99', '1663491211580805127', '河南省新县田铺邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171612', '2', '99', '1663491211580805127', '河南省新县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171613', '2', '99', '1663491211580805127', '河南省新县箭厂河邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171614', '2', '99', '1663491211580805127', '河南省新县苏河邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171615', '2', '99', '1663491211580805127', '河南省新县解放路揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171616', '2', '99', '1663491211580805127', '河南省新县郭家河邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171617', '2', '99', '1663491211580805127', '河南省新县陈店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663783856207171618', '2', '99', '1663491211580805127', '河南省新县陡山河邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791318633156608', '2', '99', '1663490303987945473', '商丘市中原佳海揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791318633156609', '2', '99', '1663490303987945473', '商丘市君台南路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791318633156610', '2', '99', '1663490303987945473', '商丘市平原北路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791318633156611', '2', '99', '1663490303987945473', '商丘市康城花园揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791318633156612', '2', '99', '1663490303987945473', '商丘市长江西路揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300480', '2', '99', '1663490303987945474', '商丘市候恂东路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300481', '2', '99', '1663490303987945474', '商丘市华商东路路揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300482', '2', '99', '1663490303987945474', '商丘市南京东路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300483', '2', '99', '1663490303987945474', '商丘市商丘医学高等专科学校邮政服务中心', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300484', '2', '99', '1663490303987945474', '商丘市商丘职业技术学院邮政服务中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300485', '2', '99', '1663490303987945474', '商丘市商企客户郊区揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300486', '2', '99', '1663490303987945474', '商丘市水木清华揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300487', '2', '99', '1663490303987945474', '商丘市电商客户郊区揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300488', '2', '99', '1663490303987945474', '商丘市郊区分公司', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300489', '2', '99', '1663490303987945474', '商丘市郊区分公司单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300490', '2', '99', '1663490303987945474', '商丘市郊区分公司市场营销部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300491', '2', '99', '1663490303987945474', '商丘市郊区分公司机要室', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300492', '2', '99', '1663490303987945474', '商丘市郊区分公司渠道平台部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300493', '2', '99', '1663490303987945474', '商丘市郊区分公司综合办公室（安全保卫部）', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300494', '2', '99', '1663490303987945474', '商丘市郊区分公司金融业务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300495', '2', '99', '1663490303987945474', '商丘市郊区分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300496', '2', '99', '1663490303987945474', '商丘市郊区分公司非领导职务部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300497', '2', '99', '1663490303987945474', '商丘市郊区寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300498', '2', '99', '1663490303987945474', '商丘市郊区寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300499', '2', '99', '1663490303987945474', '商丘市郊区寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300500', '2', '99', '1663490303987945474', '商丘市郊区寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300501', '2', '99', '1663490303987945474', '商丘市郊区寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300502', '2', '99', '1663490303987945474', '商丘市郊区揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300503', '2', '99', '1663490303987945474', '河南省郊区中山街邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300504', '2', '99', '1663490303987945474', '河南省郊区临河店邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300505', '2', '99', '1663490303987945474', '河南省郊区九州路邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300506', '2', '99', '1663490303987945474', '河南省郊区冯桥邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300507', '2', '99', '1663490303987945474', '河南省郊区刘口镇邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300508', '2', '99', '1663490303987945474', '河南省郊区勒马乡邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300509', '2', '99', '1663490303987945474', '河南省郊区包公庙邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300510', '2', '99', '1663490303987945474', '河南省郊区北海路邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300511', '2', '99', '1663490303987945474', '河南省郊区双八镇邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300512', '2', '99', '1663490303987945474', '河南省郊区周集邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300513', '2', '99', '1663490303987945474', '河南省郊区坞墙乡邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300514', '2', '99', '1663490303987945474', '河南省郊区娄店邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300515', '2', '99', '1663490303987945474', '河南省郊区孙付集乡邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300516', '2', '99', '1663490303987945474', '河南省郊区宋城路邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300517', '2', '99', '1663490303987945474', '河南省郊区宋集镇邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300518', '2', '99', '1663490303987945474', '河南省郊区宏伟蓝郡邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300519', '2', '99', '1663490303987945474', '河南省郊区张阁镇邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300520', '2', '99', '1663490303987945474', '河南省郊区李口镇邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300521', '2', '99', '1663490303987945474', '河南省郊区李庄乡邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300522', '2', '99', '1663490303987945474', '河南省郊区毛堌堆邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300523', '2', '99', '1663490303987945474', '河南省郊区水池铺邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300524', '2', '99', '1663490303987945474', '河南省郊区火车南站邮政所', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300525', '2', '99', '1663490303987945474', '河南省郊区王楼邮政所', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300526', '2', '99', '1663490303987945474', '河南省郊区睢阳邮政所', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300527', '2', '99', '1663490303987945474', '河南省郊区观堂乡邮政支局', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300528', '2', '99', '1663490303987945474', '河南省郊区谢集邮政支局', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300529', '2', '99', '1663490303987945474', '河南省郊区路河邮政所', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300530', '2', '99', '1663490303987945474', '河南省郊区郭村镇邮政支局', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300531', '2', '99', '1663490303987945474', '河南省郊区闫集邮政所', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791663585300532', '2', '99', '1663490303987945474', '河南省郊区高辛乡邮政所', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536128', '2', '99', '1663490303987945475', '商丘市八一路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536129', '2', '99', '1663490303987945475', '商丘市凯旋中路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536130', '2', '99', '1663490303987945475', '商丘市工学院邮政服务中心', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536131', '2', '99', '1663490303987945475', '商丘市市区分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536132', '2', '99', '1663490303987945475', '商丘市市区分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536133', '2', '99', '1663490303987945475', '商丘市市区分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536134', '2', '99', '1663490303987945475', '商丘市市区分公司金融业务部（中邮保险局）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536135', '2', '99', '1663490303987945475', '商丘市市区分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536136', '2', '99', '1663490303987945475', '商丘市市区寄递事业部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536137', '2', '99', '1663490303987945475', '商丘市市区寄递事业部单位领导部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536138', '2', '99', '1663490303987945475', '商丘市市服中心邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536139', '2', '99', '1663490303987945475', '商丘市师范学院邮政服务中心', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536140', '2', '99', '1663490303987945475', '商丘市平原中路邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536141', '2', '99', '1663490303987945475', '商丘市府前邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536142', '2', '99', '1663490303987945475', '商丘市文化路揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536143', '2', '99', '1663490303987945475', '商丘市文化路邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536144', '2', '99', '1663490303987945475', '商丘市昆仑揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536145', '2', '99', '1663490303987945475', '商丘市昆仑路邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536146', '2', '99', '1663490303987945475', '商丘市梁园邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536147', '2', '99', '1663490303987945475', '商丘市民东邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536148', '2', '99', '1663490303987945475', '商丘市民主东路揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536149', '2', '99', '1663490303987945475', '商丘市民主西路邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536150', '2', '99', '1663490303987945475', '商丘市汇聚路邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536151', '2', '99', '1663490303987945475', '商丘市火车站揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536152', '2', '99', '1663490303987945475', '商丘市站前揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536153', '2', '99', '1663490303987945475', '商丘市站前路邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536154', '2', '99', '1663490303987945475', '商丘市道南揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791772687536155', '2', '99', '1663490303987945475', '商丘市长江路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077824', '2', '99', '1663490303987945476', '商丘市分公司中邮保险业务部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077825', '2', '99', '1663490303987945476', '商丘市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077826', '2', '99', '1663490303987945476', '商丘市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077827', '2', '99', '1663490303987945476', '商丘市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077828', '2', '99', '1663490303987945476', '商丘市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077829', '2', '99', '1663490303987945476', '商丘市分公司市场营销部客户营销中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077830', '2', '99', '1663490303987945476', '商丘市分公司服务质量部（普遍服务部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077831', '2', '99', '1663490303987945476', '商丘市分公司本部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077832', '2', '99', '1663490303987945476', '商丘市分公司机要通信分局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077833', '2', '99', '1663490303987945476', '商丘市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077834', '2', '99', '1663490303987945476', '商丘市分公司纪委办公室', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077835', '2', '99', '1663490303987945476', '商丘市分公司综合办公室（党委办公室、安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077836', '2', '99', '1663490303987945476', '商丘市分公司财务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077837', '2', '99', '1663490303987945476', '商丘市分公司邮政工会', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077838', '2', '99', '1663490303987945476', '商丘市分公司金融业务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077839', '2', '99', '1663490303987945476', '商丘市分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077840', '2', '99', '1663490303987945476', '商丘市分公司非领导职务部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077841', '2', '99', '1663490303987945476', '商丘市医药物流项目组', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077842', '2', '99', '1663490303987945476', '商丘市商企客户火车站揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077843', '2', '99', '1663490303987945476', '商丘市国际公司直属国际小包营业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077844', '2', '99', '1663490303987945476', '商丘市国际公司直属国际营业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077845', '2', '99', '1663490303987945476', '商丘市寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077846', '2', '99', '1663490303987945476', '商丘市寄递事业部商企营销中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077847', '2', '99', '1663490303987945476', '商丘市寄递事业部国际营销中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077848', '2', '99', '1663490303987945476', '商丘市寄递事业部市场部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077849', '2', '99', '1663490303987945476', '商丘市寄递事业部快递包裹部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077850', '2', '99', '1663490303987945476', '商丘市寄递事业部快递包裹部电商营销中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077851', '2', '99', '1663490303987945476', '商丘市寄递事业部政务营销中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077852', '2', '99', '1663490303987945476', '商丘市寄递事业部服务质量部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077853', '2', '99', '1663490303987945476', '商丘市寄递事业部服务质量部客户服务中心', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077854', '2', '99', '1663490303987945476', '商丘市寄递事业部本部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077855', '2', '99', '1663490303987945476', '商丘市寄递事业部物流营销中心', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077856', '2', '99', '1663490303987945476', '商丘市寄递事业部综合部(党委办公室)', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077857', '2', '99', '1663490303987945476', '商丘市寄递事业部网路运营中心', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077858', '2', '99', '1663490303987945476', '商丘市寄递事业部运营管理部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077859', '2', '99', '1663490303987945476', '商丘市寄递事业部速递部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077860', '2', '99', '1663490303987945476', '商丘市寄递事业部非领导职务部门', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077861', '2', '99', '1663490303987945476', '商丘市市区揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077862', '2', '99', '1663490303987945476', '商丘市政务客户司法揽投部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077863', '2', '99', '1663490303987945476', '商丘市政务客户火车站揽投部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077864', '2', '99', '1663490303987945476', '商丘市电商客户市区揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077865', '2', '99', '1663490303987945476', '河南省寄递事业部商丘市邮区中心包件车间', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077866', '2', '99', '1663490303987945476', '河南省寄递事业部商丘市邮区中心普服车间', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791875968077867', '2', '99', '1663490303987945476', '河南省寄递事业部商丘市邮区中心运输车间', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663791972843917312', '2', '99', '1663490303987945477', '商丘市紫荆南路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937984', '2', '99', '1663490303987945478', '河南省宁陵县乔楼邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937985', '2', '99', '1663490303987945478', '河南省宁陵县人民路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937986', '2', '99', '1663490303987945478', '河南省宁陵县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937987', '2', '99', '1663490303987945478', '河南省宁陵县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937988', '2', '99', '1663490303987945478', '河南省宁陵县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937989', '2', '99', '1663490303987945478', '河南省宁陵县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937990', '2', '99', '1663490303987945478', '河南省宁陵县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937991', '2', '99', '1663490303987945478', '河南省宁陵县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937992', '2', '99', '1663490303987945478', '河南省宁陵县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937993', '2', '99', '1663490303987945478', '河南省宁陵县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937994', '2', '99', '1663490303987945478', '河南省宁陵县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937995', '2', '99', '1663490303987945478', '河南省宁陵县刘楼邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937996', '2', '99', '1663490303987945478', '河南省宁陵县华堡邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937997', '2', '99', '1663490303987945478', '河南省宁陵县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937998', '2', '99', '1663490303987945478', '河南省宁陵县城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696937999', '2', '99', '1663490303987945478', '河南省宁陵县孔集邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938000', '2', '99', '1663490303987945478', '河南省宁陵县宁阳路揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938001', '2', '99', '1663490303987945478', '河南省宁陵县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938002', '2', '99', '1663490303987945478', '河南省宁陵县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938003', '2', '99', '1663490303987945478', '河南省宁陵县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938004', '2', '99', '1663490303987945478', '河南省宁陵县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938005', '2', '99', '1663490303987945478', '河南省宁陵县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938006', '2', '99', '1663490303987945478', '河南省宁陵县张弓镇邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938007', '2', '99', '1663490303987945478', '河南省宁陵县柳河镇邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938008', '2', '99', '1663490303987945478', '河南省宁陵县楚庄邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938009', '2', '99', '1663490303987945478', '河南省宁陵县电商客户揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938010', '2', '99', '1663490303987945478', '河南省宁陵县石桥邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938011', '2', '99', '1663490303987945478', '河南省宁陵县程楼邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938012', '2', '99', '1663490303987945478', '河南省宁陵县西关邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938013', '2', '99', '1663490303987945478', '河南省宁陵县赵村邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938014', '2', '99', '1663490303987945478', '河南省宁陵县逻岗镇邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938015', '2', '99', '1663490303987945478', '河南省宁陵县阳驿邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792125696938016', '2', '99', '1663490303987945478', '河南省宁陵县黄岗邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621696', '2', '99', '1663490303987945479', '河南省柘城县伯岗乡邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621697', '2', '99', '1663490303987945479', '河南省柘城县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621698', '2', '99', '1663490303987945479', '河南省柘城县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621699', '2', '99', '1663490303987945479', '河南省柘城县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621700', '2', '99', '1663490303987945479', '河南省柘城县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621701', '2', '99', '1663490303987945479', '河南省柘城县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621702', '2', '99', '1663490303987945479', '河南省柘城县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621703', '2', '99', '1663490303987945479', '河南省柘城县分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621704', '2', '99', '1663490303987945479', '河南省柘城县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621705', '2', '99', '1663490303987945479', '河南省柘城县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621706', '2', '99', '1663490303987945479', '河南省柘城县城区中心揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621707', '2', '99', '1663490303987945479', '河南省柘城县城区揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621708', '2', '99', '1663490303987945479', '河南省柘城县大仵乡邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621709', '2', '99', '1663490303987945479', '河南省柘城县安平镇邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621710', '2', '99', '1663490303987945479', '河南省柘城县寄递事业部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621711', '2', '99', '1663490303987945479', '河南省柘城县寄递事业部单位领导部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621712', '2', '99', '1663490303987945479', '河南省柘城县寄递事业部市场部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621713', '2', '99', '1663490303987945479', '河南省柘城县寄递事业部运营监控部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621714', '2', '99', '1663490303987945479', '河南省柘城县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621715', '2', '99', '1663490303987945479', '河南省柘城县岗王乡邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621716', '2', '99', '1663490303987945479', '河南省柘城县工业大道邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621717', '2', '99', '1663490303987945479', '河南省柘城县张桥乡邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621718', '2', '99', '1663490303987945479', '河南省柘城县惠济邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621719', '2', '99', '1663490303987945479', '河南省柘城县慈圣镇邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621720', '2', '99', '1663490303987945479', '河南省柘城县文庙北街邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621721', '2', '99', '1663490303987945479', '河南省柘城县文庙街揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621722', '2', '99', '1663490303987945479', '河南省柘城县春水路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621723', '2', '99', '1663490303987945479', '河南省柘城县未来大道邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621724', '2', '99', '1663490303987945479', '河南省柘城县李原乡邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621725', '2', '99', '1663490303987945479', '河南省柘城县汇泉路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621726', '2', '99', '1663490303987945479', '河南省柘城县洪恩乡邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621727', '2', '99', '1663490303987945479', '河南省柘城县牛城乡邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621728', '2', '99', '1663490303987945479', '河南省柘城县申桥乡邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621729', '2', '99', '1663490303987945479', '河南省柘城县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621730', '2', '99', '1663490303987945479', '河南省柘城县皇集乡邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621731', '2', '99', '1663490303987945479', '河南省柘城县老王集乡邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621732', '2', '99', '1663490303987945479', '河南省柘城县胡襄镇邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621733', '2', '99', '1663490303987945479', '河南省柘城县起台镇邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621734', '2', '99', '1663490303987945479', '河南省柘城县迎宾大道邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621735', '2', '99', '1663490303987945479', '河南省柘城县远襄镇邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621736', '2', '99', '1663490303987945479', '河南省柘城县陈青集镇邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792247134621737', '2', '99', '1663490303987945479', '河南省柘城县马集乡邮政所', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618496', '2', '99', '1663490303987945480', '河南省民权县东关邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618497', '2', '99', '1663490303987945480', '河南省民权县中心揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618498', '2', '99', '1663490303987945480', '河南省民权县人和邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618499', '2', '99', '1663490303987945480', '河南省民权县伯党邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618500', '2', '99', '1663490303987945480', '河南省民权县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618501', '2', '99', '1663490303987945480', '河南省民权县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618502', '2', '99', '1663490303987945480', '河南省民权县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618503', '2', '99', '1663490303987945480', '河南省民权县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618504', '2', '99', '1663490303987945480', '河南省民权县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618505', '2', '99', '1663490303987945480', '河南省民权县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618506', '2', '99', '1663490303987945480', '河南省民权县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618507', '2', '99', '1663490303987945480', '河南省民权县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618508', '2', '99', '1663490303987945480', '河南省民权县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618509', '2', '99', '1663490303987945480', '河南省民权县北关邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618510', '2', '99', '1663490303987945480', '河南省民权县双塔邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618511', '2', '99', '1663490303987945480', '河南省民权县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618512', '2', '99', '1663490303987945480', '河南省民权县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618513', '2', '99', '1663490303987945480', '河南省民权县孙六邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618514', '2', '99', '1663490303987945480', '河南省民权县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618515', '2', '99', '1663490303987945480', '河南省民权县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618516', '2', '99', '1663490303987945480', '河南省民权县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618517', '2', '99', '1663490303987945480', '河南省民权县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618518', '2', '99', '1663490303987945480', '河南省民权县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618519', '2', '99', '1663490303987945480', '河南省民权县庄子邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618520', '2', '99', '1663490303987945480', '河南省民权县李堂邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618521', '2', '99', '1663490303987945480', '河南省民权县林七邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618522', '2', '99', '1663490303987945480', '河南省民权县王庄寨邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618523', '2', '99', '1663490303987945480', '河南省民权县王桥邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618524', '2', '99', '1663490303987945480', '河南省民权县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618525', '2', '99', '1663490303987945480', '河南省民权县白云寺邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618526', '2', '99', '1663490303987945480', '河南省民权县秋水路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618527', '2', '99', '1663490303987945480', '河南省民权县程庄邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618528', '2', '99', '1663490303987945480', '河南省民权县胡集邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618529', '2', '99', '1663490303987945480', '河南省民权县花园邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618530', '2', '99', '1663490303987945480', '河南省民权县褚庙邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618531', '2', '99', '1663490303987945480', '河南省民权县野岗邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618532', '2', '99', '1663490303987945480', '河南省民权县颜集邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792377472618533', '2', '99', '1663490303987945480', '河南省民权县龙塘邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792702602481664', '2', '99', '1663490303987945481', '河南省永城市东城区揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792702602481665', '2', '99', '1663490303987945481', '河南省永城市西城区揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792702602481666', '2', '99', '1663490303987945481', '河南省永城市集聚区揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611968', '2', '99', '1663490303987945482', '河南省永城市中山邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611969', '2', '99', '1663490303987945482', '河南省永城市中心揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611970', '2', '99', '1663490303987945482', '河南省永城市候岭邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611971', '2', '99', '1663490303987945482', '河南省永城市分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611972', '2', '99', '1663490303987945482', '河南省永城市分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611973', '2', '99', '1663490303987945482', '河南省永城市分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611974', '2', '99', '1663490303987945482', '河南省永城市分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611975', '2', '99', '1663490303987945482', '河南省永城市分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611976', '2', '99', '1663490303987945482', '河南省永城市分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611977', '2', '99', '1663490303987945482', '河南省永城市分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611978', '2', '99', '1663490303987945482', '河南省永城市分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611979', '2', '99', '1663490303987945482', '河南省永城市分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611980', '2', '99', '1663490303987945482', '河南省永城市刘河邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611981', '2', '99', '1663490303987945482', '河南省永城市十八里邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611982', '2', '99', '1663490303987945482', '河南省永城市卧龙邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611983', '2', '99', '1663490303987945482', '河南省永城市双桥邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611984', '2', '99', '1663490303987945482', '河南省永城市城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611985', '2', '99', '1663490303987945482', '河南省永城市城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611986', '2', '99', '1663490303987945482', '河南省永城市城郊矿邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611987', '2', '99', '1663490303987945482', '河南省永城市太丘邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611988', '2', '99', '1663490303987945482', '河南省永城市寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611989', '2', '99', '1663490303987945482', '河南省永城市寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611990', '2', '99', '1663490303987945482', '河南省永城市寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611991', '2', '99', '1663490303987945482', '河南省永城市寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611992', '2', '99', '1663490303987945482', '河南省永城市寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611993', '2', '99', '1663490303987945482', '河南省永城市新桥邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611994', '2', '99', '1663490303987945482', '河南省永城市李寨邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611995', '2', '99', '1663490303987945482', '河南省永城市条河邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611996', '2', '99', '1663490303987945482', '河南省永城市欧亚路邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611997', '2', '99', '1663490303987945482', '河南省永城市滦湖邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611998', '2', '99', '1663490303987945482', '河南省永城市演集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534611999', '2', '99', '1663490303987945482', '河南省永城市王集邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612000', '2', '99', '1663490303987945482', '河南省永城市电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612001', '2', '99', '1663490303987945482', '河南省永城市芒山邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612002', '2', '99', '1663490303987945482', '河南省永城市芒砀山主题邮局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612003', '2', '99', '1663490303987945482', '河南省永城市苗桥邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612004', '2', '99', '1663490303987945482', '河南省永城市茴村邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612005', '2', '99', '1663490303987945482', '河南省永城市蒋口邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612006', '2', '99', '1663490303987945482', '河南省永城市薛湖邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612007', '2', '99', '1663490303987945482', '河南省永城市裴桥邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612008', '2', '99', '1663490303987945482', '河南省永城市酂城邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612009', '2', '99', '1663490303987945482', '河南省永城市酇阳邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612010', '2', '99', '1663490303987945482', '河南省永城市陈官庄邮政所', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612011', '2', '99', '1663490303987945482', '河南省永城市陈集邮政支局', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612012', '2', '99', '1663490303987945482', '河南省永城市雪枫路邮政支局', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612013', '2', '99', '1663490303987945482', '河南省永城市顺和矿邮政所', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612014', '2', '99', '1663490303987945482', '河南省永城市顺和邮政支局', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612015', '2', '99', '1663490303987945482', '河南省永城市马桥邮政支局', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612016', '2', '99', '1663490303987945482', '河南省永城市马牧邮政支局', null, null, '48', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612017', '2', '99', '1663490303987945482', '河南省永城市高庄邮政支局', null, null, '49', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612018', '2', '99', '1663490303987945482', '河南省永城市黄口邮政支局', null, null, '50', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612019', '2', '99', '1663490303987945482', '河南省永城市龙岗邮政支局', null, null, '51', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792884534612020', '2', '99', '1663490303987945482', '河南省永城职业学院邮政服务中心', null, null, '52', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685888', '2', '99', '1663490303987945483', '河南省睢县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685889', '2', '99', '1663490303987945483', '河南省睢县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685890', '2', '99', '1663490303987945483', '河南省睢县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685891', '2', '99', '1663490303987945483', '河南省睢县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685892', '2', '99', '1663490303987945483', '河南省睢县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685893', '2', '99', '1663490303987945483', '河南省睢县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685894', '2', '99', '1663490303987945483', '河南省睢县分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685895', '2', '99', '1663490303987945483', '河南省睢县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685896', '2', '99', '1663490303987945483', '河南省睢县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685897', '2', '99', '1663490303987945483', '河南省睢县匡城乡邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685898', '2', '99', '1663490303987945483', '河南省睢县后台乡邮政所', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685899', '2', '99', '1663490303987945483', '河南省睢县周堂邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685900', '2', '99', '1663490303987945483', '河南省睢县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685901', '2', '99', '1663490303987945483', '河南省睢县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685902', '2', '99', '1663490303987945483', '河南省睢县孙聚寨邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685903', '2', '99', '1663490303987945483', '河南省睢县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685904', '2', '99', '1663490303987945483', '河南省睢县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685905', '2', '99', '1663490303987945483', '河南省睢县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685906', '2', '99', '1663490303987945483', '河南省睢县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685907', '2', '99', '1663490303987945483', '河南省睢县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685908', '2', '99', '1663490303987945483', '河南省睢县尚屯邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685909', '2', '99', '1663490303987945483', '河南省睢县尤吉屯邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685910', '2', '99', '1663490303987945483', '河南省睢县平岗邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685911', '2', '99', '1663490303987945483', '河南省睢县建设路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685912', '2', '99', '1663490303987945483', '河南省睢县振兴路邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685913', '2', '99', '1663490303987945483', '河南省睢县河堤邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685914', '2', '99', '1663490303987945483', '河南省睢县河集邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685915', '2', '99', '1663490303987945483', '河南省睢县涧岗邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685916', '2', '99', '1663490303987945483', '河南省睢县潮庄邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685917', '2', '99', '1663490303987945483', '河南省睢县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685918', '2', '99', '1663490303987945483', '河南省睢县白庙邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685919', '2', '99', '1663490303987945483', '河南省睢县白楼邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685920', '2', '99', '1663490303987945483', '河南省睢县睢州大道揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685921', '2', '99', '1663490303987945483', '河南省睢县睢州大道邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685922', '2', '99', '1663490303987945483', '河南省睢县胡堂邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685923', '2', '99', '1663490303987945483', '河南省睢县董店乡邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685924', '2', '99', '1663490303987945483', '河南省睢县蓼堤邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685925', '2', '99', '1663490303987945483', '河南省睢县西陵邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663792973579685926', '2', '99', '1663490303987945483', '河南省睢县长岗邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314752', '2', '99', '1663490303987945484', '河南省虞城县东郊路邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314753', '2', '99', '1663490303987945484', '河南省虞城县乔集乡邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314754', '2', '99', '1663490303987945484', '河南省虞城县人民路邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314755', '2', '99', '1663490303987945484', '河南省虞城县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314756', '2', '99', '1663490303987945484', '河南省虞城县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314757', '2', '99', '1663490303987945484', '河南省虞城县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314758', '2', '99', '1663490303987945484', '河南省虞城县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314759', '2', '99', '1663490303987945484', '河南省虞城县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314760', '2', '99', '1663490303987945484', '河南省虞城县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314761', '2', '99', '1663490303987945484', '河南省虞城县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314762', '2', '99', '1663490303987945484', '河南省虞城县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314763', '2', '99', '1663490303987945484', '河南省虞城县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314764', '2', '99', '1663490303987945484', '河南省虞城县刘店乡邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314765', '2', '99', '1663490303987945484', '河南省虞城县刘集乡邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314766', '2', '99', '1663490303987945484', '河南省虞城县利民镇邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314767', '2', '99', '1663490303987945484', '河南省虞城县城区中心二揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314768', '2', '99', '1663490303987945484', '河南省虞城县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314769', '2', '99', '1663490303987945484', '河南省虞城县大侯乡邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314770', '2', '99', '1663490303987945484', '河南省虞城县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314771', '2', '99', '1663490303987945484', '河南省虞城县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314772', '2', '99', '1663490303987945484', '河南省虞城县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314773', '2', '99', '1663490303987945484', '河南省虞城县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314774', '2', '99', '1663490303987945484', '河南省虞城县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314775', '2', '99', '1663490303987945484', '河南省虞城县店集邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314776', '2', '99', '1663490303987945484', '河南省虞城县府前路邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314777', '2', '99', '1663490303987945484', '河南省虞城县开发区揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314778', '2', '99', '1663490303987945484', '河南省虞城县开发区邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314779', '2', '99', '1663490303987945484', '河南省虞城县张集镇邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314780', '2', '99', '1663490303987945484', '河南省虞城县文集乡邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314781', '2', '99', '1663490303987945484', '河南省虞城县木兰镇邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314782', '2', '99', '1663490303987945484', '河南省虞城县李老家乡邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314783', '2', '99', '1663490303987945484', '河南省虞城县杜集乡邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314784', '2', '99', '1663490303987945484', '河南省虞城县杨集乡邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314785', '2', '99', '1663490303987945484', '河南省虞城县沙集乡邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314786', '2', '99', '1663490303987945484', '河南省虞城县王集乡邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314787', '2', '99', '1663490303987945484', '河南省虞城县田庙乡邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314788', '2', '99', '1663490303987945484', '河南省虞城县电商客户揽投部', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314789', '2', '99', '1663490303987945484', '河南省虞城县电商客户稍岗团队揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314790', '2', '99', '1663490303987945484', '河南省虞城县界沟镇邮政所', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314791', '2', '99', '1663490303987945484', '河南省虞城县稍岗乡邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314792', '2', '99', '1663490303987945484', '河南省虞城县站集乡邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314793', '2', '99', '1663490303987945484', '河南省虞城县芒种桥乡邮政所', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314794', '2', '99', '1663490303987945484', '河南省虞城县营盘乡邮政支局', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314795', '2', '99', '1663490303987945484', '河南省虞城县谷熟镇邮政所', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314796', '2', '99', '1663490303987945484', '河南省虞城县贾寨乡邮政所', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314797', '2', '99', '1663490303987945484', '河南省虞城县郑集乡邮政所', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314798', '2', '99', '1663490303987945484', '河南省虞城县镇里固乡邮政所', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663793060154314799', '2', '99', '1663490303987945484', '河南省虞城县黄冢乡邮政支局', null, null, '47', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440128', '2', '99', '1663492071526371328', '周口市七一路邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440129', '2', '99', '1663492071526371328', '周口市东新区揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440130', '2', '99', '1663492071526371328', '周口市中州路揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440131', '2', '99', '1663492071526371328', '周口市北花园邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440132', '2', '99', '1663492071526371328', '周口市区分公司集邮与文化传媒部校园报刊营销团队', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440133', '2', '99', '1663492071526371328', '周口市周口大道邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440134', '2', '99', '1663492071526371328', '周口市工农路揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440135', '2', '99', '1663492071526371328', '周口市工农路邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440136', '2', '99', '1663492071526371328', '周口市市区分公司', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440137', '2', '99', '1663492071526371328', '周口市市区分公司市场营销部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440138', '2', '99', '1663492071526371328', '周口市市区分公司渠道平台中心', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440139', '2', '99', '1663492071526371328', '周口市市区分公司金融业务中心（中邮保险局）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440140', '2', '99', '1663492071526371328', '周口市市区分公司集邮与文化传媒中心', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440141', '2', '99', '1663492071526371328', '周口市市区寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440142', '2', '99', '1663492071526371328', '周口市市区寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440143', '2', '99', '1663492071526371328', '周口市汉阳路邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440144', '2', '99', '1663492071526371328', '周口市沙北邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440145', '2', '99', '1663492071526371328', '周口市沙南揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440146', '2', '99', '1663492071526371328', '周口市职业技术学院邮政服务中心', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440147', '2', '99', '1663492071526371328', '周口市黄河路揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440148', '2', '99', '1663492071526371328', '周口市黄河路邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440149', '2', '99', '1663492071526371328', '河南省周口市七一路揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440150', '2', '99', '1663492071526371328', '河南省周口市周口大道揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794044427440151', '2', '99', '1663492071526371328', '河南省周口市文昌路揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794127109754880', '2', '99', '1663492071526371329', '周口市交通路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794127109754881', '2', '99', '1663492071526371329', '周口市经开区揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994560', '2', '99', '1663492071526371330', '周口市分公司中邮保险业务部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994561', '2', '99', '1663492071526371330', '周口市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994562', '2', '99', '1663492071526371330', '周口市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994563', '2', '99', '1663492071526371330', '周口市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994564', '2', '99', '1663492071526371330', '周口市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994565', '2', '99', '1663492071526371330', '周口市分公司市场营销部客户营销中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994566', '2', '99', '1663492071526371330', '周口市分公司服务质量部（普遍服务部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994567', '2', '99', '1663492071526371330', '周口市分公司本部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994568', '2', '99', '1663492071526371330', '周口市分公司机要通信分局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994569', '2', '99', '1663492071526371330', '周口市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994570', '2', '99', '1663492071526371330', '周口市分公司综合办公室（党委办公室、安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994571', '2', '99', '1663492071526371330', '周口市分公司财务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994572', '2', '99', '1663492071526371330', '周口市分公司邮政工会', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994573', '2', '99', '1663492071526371330', '周口市分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994574', '2', '99', '1663492071526371330', '周口市分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994575', '2', '99', '1663492071526371330', '周口市分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994576', '2', '99', '1663492071526371330', '周口市商企客户揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994577', '2', '99', '1663492071526371330', '周口市国际公司直属国际小包营业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994578', '2', '99', '1663492071526371330', '周口市国际公司直属国际营业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994579', '2', '99', '1663492071526371330', '周口市寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994580', '2', '99', '1663492071526371330', '周口市寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994581', '2', '99', '1663492071526371330', '周口市寄递事业部市场部客户营销中心', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994582', '2', '99', '1663492071526371330', '周口市寄递事业部服务质量部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994583', '2', '99', '1663492071526371330', '周口市寄递事业部服务质量部客户服务中心', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994584', '2', '99', '1663492071526371330', '周口市寄递事业部本部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994585', '2', '99', '1663492071526371330', '周口市寄递事业部物流营销中心', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994586', '2', '99', '1663492071526371330', '周口市寄递事业部综合部(党委办公室)', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994587', '2', '99', '1663492071526371330', '周口市寄递事业部网路运营中心', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994588', '2', '99', '1663492071526371330', '周口市寄递事业部网路运营中心包件车间', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994589', '2', '99', '1663492071526371330', '周口市寄递事业部网路运营中心普服车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994590', '2', '99', '1663492071526371330', '周口市寄递事业部网路运营中心运输车间', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994591', '2', '99', '1663492071526371330', '周口市寄递事业部运营管理部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994592', '2', '99', '1663492071526371330', '周口市寄递事业部非领导职务部门', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994593', '2', '99', '1663492071526371330', '周口市政务客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994594', '2', '99', '1663492071526371330', '周口市校园报刊批销点', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794241068994595', '2', '99', '1663492071526371330', '周口市电商客户揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864832', '2', '99', '1663492071526371331', '周口市大同揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864833', '2', '99', '1663492071526371331', '周口市淮阳中心揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864834', '2', '99', '1663492071526371331', '周口市淮阳区分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864835', '2', '99', '1663492071526371331', '周口市淮阳区分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864836', '2', '99', '1663492071526371331', '周口市淮阳区分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864837', '2', '99', '1663492071526371331', '周口市淮阳区分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864838', '2', '99', '1663492071526371331', '周口市淮阳区分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864839', '2', '99', '1663492071526371331', '周口市淮阳区分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864840', '2', '99', '1663492071526371331', '周口市淮阳区分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864841', '2', '99', '1663492071526371331', '周口市淮阳区寄递事业部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864842', '2', '99', '1663492071526371331', '周口市淮阳区寄递事业部单位领导部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864843', '2', '99', '1663492071526371331', '周口市淮阳区寄递事业部市场部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864844', '2', '99', '1663492071526371331', '周口市淮阳区寄递事业部运营监控部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864845', '2', '99', '1663492071526371331', '周口市淮阳区新华大街校园报刊批销点', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864846', '2', '99', '1663492071526371331', '周口市淮阳揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864847', '2', '99', '1663492071526371331', '河南省淮阳区临蔡邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864848', '2', '99', '1663492071526371331', '河南省淮阳区冯塘邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864849', '2', '99', '1663492071526371331', '河南省淮阳区刘振屯邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864850', '2', '99', '1663492071526371331', '河南省淮阳区北关邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864851', '2', '99', '1663492071526371331', '河南省淮阳区四通邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864852', '2', '99', '1663492071526371331', '河南省淮阳区大同邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864853', '2', '99', '1663492071526371331', '河南省淮阳区大连邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864854', '2', '99', '1663492071526371331', '河南省淮阳区安岭邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864855', '2', '99', '1663492071526371331', '河南省淮阳区搬口邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864856', '2', '99', '1663492071526371331', '河南省淮阳区新华大街邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864857', '2', '99', '1663492071526371331', '河南省淮阳区新站邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864858', '2', '99', '1663492071526371331', '河南省淮阳区曹河邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864859', '2', '99', '1663492071526371331', '河南省淮阳区朱集邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864860', '2', '99', '1663492071526371331', '河南省淮阳区王店邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864861', '2', '99', '1663492071526371331', '河南省淮阳区白楼邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864862', '2', '99', '1663492071526371331', '河南省淮阳区葛店邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864863', '2', '99', '1663492071526371331', '河南省淮阳区许湾邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864864', '2', '99', '1663492071526371331', '河南省淮阳区豆门邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864865', '2', '99', '1663492071526371331', '河南省淮阳区郑集邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864866', '2', '99', '1663492071526371331', '河南省淮阳区鲁台邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864867', '2', '99', '1663492071526371331', '河南省淮阳区黄集邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864868', '2', '99', '1663492071526371331', '河南省淮阳区齐老邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864869', '2', '99', '1663492071526371331', '河南省淮阳县分公司', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864870', '2', '99', '1663492071526371331', '河南省淮阳县太昊陵主题邮局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864871', '2', '99', '1663492071526371331', '河南省淮阳县寄递事业部运输中心（纯核算）', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864872', '2', '99', '1663492071526371331', '河南省淮阳县电商客户揽投部', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794556031864873', '2', '99', '1663492071526371331', '河南科技职业大学校园综合服务中心', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979008', '2', '99', '1663492071530565632', '河南省商水县位集邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979009', '2', '99', '1663492071530565632', '河南省商水县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979010', '2', '99', '1663492071530565632', '河南省商水县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979011', '2', '99', '1663492071530565632', '河南省商水县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979012', '2', '99', '1663492071530565632', '河南省商水县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979013', '2', '99', '1663492071530565632', '河南省商水县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979014', '2', '99', '1663492071530565632', '河南省商水县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979015', '2', '99', '1663492071530565632', '河南省商水县分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979016', '2', '99', '1663492071530565632', '河南省商水县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979017', '2', '99', '1663492071530565632', '河南省商水县化河邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979018', '2', '99', '1663492071530565632', '河南省商水县固墙邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979019', '2', '99', '1663492071530565632', '河南省商水县城关邮政所', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979020', '2', '99', '1663492071530565632', '河南省商水县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979021', '2', '99', '1663492071530565632', '河南省商水县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979022', '2', '99', '1663492071530565632', '河南省商水县大武邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979023', '2', '99', '1663492071530565632', '河南省商水县姚集邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979024', '2', '99', '1663492071530565632', '河南省商水县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979025', '2', '99', '1663492071530565632', '河南省商水县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979026', '2', '99', '1663492071530565632', '河南省商水县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979027', '2', '99', '1663492071530565632', '河南省商水县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979028', '2', '99', '1663492071530565632', '河南省商水县寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979029', '2', '99', '1663492071530565632', '河南省商水县巴村邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979030', '2', '99', '1663492071530565632', '河南省商水县平店邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979031', '2', '99', '1663492071530565632', '河南省商水县张庄邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979032', '2', '99', '1663492071530565632', '河南省商水县张明邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979033', '2', '99', '1663492071530565632', '河南省商水县李埠口邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979034', '2', '99', '1663492071530565632', '河南省商水县校园报刊批销点', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979035', '2', '99', '1663492071530565632', '河南省商水县汤庄邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979036', '2', '99', '1663492071530565632', '河南省商水县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979037', '2', '99', '1663492071530565632', '河南省商水县白寺邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979038', '2', '99', '1663492071530565632', '河南省商水县练集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979039', '2', '99', '1663492071530565632', '河南省商水县胡吉邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979040', '2', '99', '1663492071530565632', '河南省商水县舒庄邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979041', '2', '99', '1663492071530565632', '河南省商水县袁老邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979042', '2', '99', '1663492071530565632', '河南省商水县谭庄邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979043', '2', '99', '1663492071530565632', '河南省商水县迅捷揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979044', '2', '99', '1663492071530565632', '河南省商水县邓城邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979045', '2', '99', '1663492071530565632', '河南省商水县郝岗邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979046', '2', '99', '1663492071530565632', '河南省商水县阳城大道邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663794849607979047', '2', '99', '1663492071530565632', '河南省商水县黄寨邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258176', '2', '99', '1663492071530565633', '河南省太康县东大街邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258177', '2', '99', '1663492071530565633', '河南省太康县五里口邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258178', '2', '99', '1663492071530565633', '河南省太康县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258179', '2', '99', '1663492071530565633', '河南省太康县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258180', '2', '99', '1663492071530565633', '河南省太康县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258181', '2', '99', '1663492071530565633', '河南省太康县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258182', '2', '99', '1663492071530565633', '河南省太康县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258183', '2', '99', '1663492071530565633', '河南省太康县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258184', '2', '99', '1663492071530565633', '河南省太康县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258185', '2', '99', '1663492071530565633', '河南省太康县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258186', '2', '99', '1663492071530565633', '河南省太康县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258187', '2', '99', '1663492071530565633', '河南省太康县城关邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258188', '2', '99', '1663492071530565633', '河南省太康县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258189', '2', '99', '1663492071530565633', '河南省太康县城郊邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258190', '2', '99', '1663492071530565633', '河南省太康县大许寨邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258191', '2', '99', '1663492071530565633', '河南省太康县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258192', '2', '99', '1663492071530565633', '河南省太康县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258193', '2', '99', '1663492071530565633', '河南省太康县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258194', '2', '99', '1663492071530565633', '河南省太康县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258195', '2', '99', '1663492071530565633', '河南省太康县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258196', '2', '99', '1663492071530565633', '河南省太康县常营邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258197', '2', '99', '1663492071530565633', '河南省太康县张集邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258198', '2', '99', '1663492071530565633', '河南省太康县朱口邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258199', '2', '99', '1663492071530565633', '河南省太康县杨庙邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258200', '2', '99', '1663492071530565633', '河南省太康县板桥邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258201', '2', '99', '1663492071530565633', '河南省太康县校园报刊批销点', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258202', '2', '99', '1663492071530565633', '河南省太康县毛庄邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258203', '2', '99', '1663492071530565633', '河南省太康县清集邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258204', '2', '99', '1663492071530565633', '河南省太康县独塘邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258205', '2', '99', '1663492071530565633', '河南省太康县王集邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258206', '2', '99', '1663492071530565633', '河南省太康县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258207', '2', '99', '1663492071530565633', '河南省太康县符草楼邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258208', '2', '99', '1663492071530565633', '河南省太康县老冢邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258209', '2', '99', '1663492071530565633', '河南省太康县芝麻洼邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258210', '2', '99', '1663492071530565633', '河南省太康县西关邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258211', '2', '99', '1663492071530565633', '河南省太康县谢安路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258212', '2', '99', '1663492071530565633', '河南省太康县转楼邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258213', '2', '99', '1663492071530565633', '河南省太康县逊母口邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258214', '2', '99', '1663492071530565633', '河南省太康县马厂邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258215', '2', '99', '1663492071530565633', '河南省太康县马头邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258216', '2', '99', '1663492071530565633', '河南省太康县高朗邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258217', '2', '99', '1663492071530565633', '河南省太康县高贤邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795204622258218', '2', '99', '1663492071530565633', '河南省太康县龙曲邮政所', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422912', '2', '99', '1663492071530565634', '河南省扶沟县东大桥路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422913', '2', '99', '1663492071530565634', '河南省扶沟县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422914', '2', '99', '1663492071530565634', '河南省扶沟县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422915', '2', '99', '1663492071530565634', '河南省扶沟县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422916', '2', '99', '1663492071530565634', '河南省扶沟县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422917', '2', '99', '1663492071530565634', '河南省扶沟县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422918', '2', '99', '1663492071530565634', '河南省扶沟县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422919', '2', '99', '1663492071530565634', '河南省扶沟县分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422920', '2', '99', '1663492071530565634', '河南省扶沟县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422921', '2', '99', '1663492071530565634', '河南省扶沟县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422922', '2', '99', '1663492071530565634', '河南省扶沟县包屯邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422923', '2', '99', '1663492071530565634', '河南省扶沟县吕潭邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422924', '2', '99', '1663492071530565634', '河南省扶沟县四站邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422925', '2', '99', '1663492071530565634', '河南省扶沟县固城邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422926', '2', '99', '1663492071530565634', '河南省扶沟县城关邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422927', '2', '99', '1663492071530565634', '河南省扶沟县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422928', '2', '99', '1663492071530565634', '河南省扶沟县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422929', '2', '99', '1663492071530565634', '河南省扶沟县城郊邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422930', '2', '99', '1663492071530565634', '河南省扶沟县大新邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422931', '2', '99', '1663492071530565634', '河南省扶沟县大李庄邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422932', '2', '99', '1663492071530565634', '河南省扶沟县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422933', '2', '99', '1663492071530565634', '河南省扶沟县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422934', '2', '99', '1663492071530565634', '河南省扶沟县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422935', '2', '99', '1663492071530565634', '河南省扶沟县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422936', '2', '99', '1663492071530565634', '河南省扶沟县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422937', '2', '99', '1663492071530565634', '河南省扶沟县崔桥邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422938', '2', '99', '1663492071530565634', '河南省扶沟县曹里邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422939', '2', '99', '1663492071530565634', '河南省扶沟县柴岗邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422940', '2', '99', '1663492071530565634', '河南省扶沟县校园报刊批销点', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422941', '2', '99', '1663492071530565634', '河南省扶沟县桐丘路邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422942', '2', '99', '1663492071530565634', '河南省扶沟县江村邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422943', '2', '99', '1663492071530565634', '河南省扶沟县汴岗邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422944', '2', '99', '1663492071530565634', '河南省扶沟县电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422945', '2', '99', '1663492071530565634', '河南省扶沟县白潭邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422946', '2', '99', '1663492071530565634', '河南省扶沟县练寺邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795300080422947', '2', '99', '1663492071530565634', '河南省扶沟县韭园邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234560', '2', '99', '1663492071530565635', '河南省沈丘县付井邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234561', '2', '99', '1663492071530565635', '河南省沈丘县兆丰大道邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234562', '2', '99', '1663492071530565635', '河南省沈丘县冯营邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234563', '2', '99', '1663492071530565635', '河南省沈丘县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234564', '2', '99', '1663492071530565635', '河南省沈丘县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234565', '2', '99', '1663492071530565635', '河南省沈丘县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234566', '2', '99', '1663492071530565635', '河南省沈丘县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234567', '2', '99', '1663492071530565635', '河南省沈丘县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234568', '2', '99', '1663492071530565635', '河南省沈丘县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234569', '2', '99', '1663492071530565635', '河南省沈丘县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234570', '2', '99', '1663492071530565635', '河南省沈丘县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234571', '2', '99', '1663492071530565635', '河南省沈丘县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234572', '2', '99', '1663492071530565635', '河南省沈丘县刘庄店邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234573', '2', '99', '1663492071530565635', '河南省沈丘县刘湾邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234574', '2', '99', '1663492071530565635', '河南省沈丘县北杨集邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234575', '2', '99', '1663492071530565635', '河南省沈丘县卞路口邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234576', '2', '99', '1663492071530565635', '河南省沈丘县县府街邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234577', '2', '99', '1663492071530565635', '河南省沈丘县周营邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234578', '2', '99', '1663492071530565635', '河南省沈丘县城关邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234579', '2', '99', '1663492071530565635', '河南省沈丘县城区中心揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234580', '2', '99', '1663492071530565635', '河南省沈丘县大邢庄邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234581', '2', '99', '1663492071530565635', '河南省沈丘县寄递事业部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234582', '2', '99', '1663492071530565635', '河南省沈丘县寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234583', '2', '99', '1663492071530565635', '河南省沈丘县寄递事业部市场部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234584', '2', '99', '1663492071530565635', '河南省沈丘县寄递事业部运营监控部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234585', '2', '99', '1663492071530565635', '河南省沈丘县寄递事业部运输中心（纯核算）', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234586', '2', '99', '1663492071530565635', '河南省沈丘县富都邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234587', '2', '99', '1663492071530565635', '河南省沈丘县新华街揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234588', '2', '99', '1663492071530565635', '河南省沈丘县新华街邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234589', '2', '99', '1663492071530565635', '河南省沈丘县新安集邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234590', '2', '99', '1663492071530565635', '河南省沈丘县李老庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234591', '2', '99', '1663492071530565635', '河南省沈丘县校园报刊批销点', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234592', '2', '99', '1663492071530565635', '河南省沈丘县洪山邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234593', '2', '99', '1663492071530565635', '河南省沈丘县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234594', '2', '99', '1663492071530565635', '河南省沈丘县留福邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234595', '2', '99', '1663492071530565635', '河南省沈丘县白集邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234596', '2', '99', '1663492071530565635', '河南省沈丘县石槽邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234597', '2', '99', '1663492071530565635', '河南省沈丘县纸店邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234598', '2', '99', '1663492071530565635', '河南省沈丘县范营邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234599', '2', '99', '1663492071530565635', '河南省沈丘县莲池邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234600', '2', '99', '1663492071530565635', '河南省沈丘县赵德营邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795410231234601', '2', '99', '1663492071530565635', '河南省沈丘县颍河大道邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998400', '2', '99', '1663492071530565636', '河南省西华县东夏邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998401', '2', '99', '1663492071530565636', '河南省西华县东王营邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998402', '2', '99', '1663492071530565636', '河南省西华县五二农场邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998403', '2', '99', '1663492071530565636', '河南省西华县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998404', '2', '99', '1663492071530565636', '河南省西华县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998405', '2', '99', '1663492071530565636', '河南省西华县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998406', '2', '99', '1663492071530565636', '河南省西华县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998407', '2', '99', '1663492071530565636', '河南省西华县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998408', '2', '99', '1663492071530565636', '河南省西华县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998409', '2', '99', '1663492071530565636', '河南省西华县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998410', '2', '99', '1663492071530565636', '河南省西华县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998411', '2', '99', '1663492071530565636', '河南省西华县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998412', '2', '99', '1663492071530565636', '河南省西华县叶埠口邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998413', '2', '99', '1663492071530565636', '河南省西华县址坊邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998414', '2', '99', '1663492071530565636', '河南省西华县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998415', '2', '99', '1663492071530565636', '河南省西华县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998416', '2', '99', '1663492071530565636', '河南省西华县大王庄邮政所', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998417', '2', '99', '1663492071530565636', '河南省西华县奉母邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998418', '2', '99', '1663492071530565636', '河南省西华县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998419', '2', '99', '1663492071530565636', '河南省西华县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998420', '2', '99', '1663492071530565636', '河南省西华县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998421', '2', '99', '1663492071530565636', '河南省西华县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998422', '2', '99', '1663492071530565636', '河南省西华县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998423', '2', '99', '1663492071530565636', '河南省西华县李大庄邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998424', '2', '99', '1663492071530565636', '河南省西华县校园报刊批销点', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998425', '2', '99', '1663492071530565636', '河南省西华县清河驿邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998426', '2', '99', '1663492071530565636', '河南省西华县田口邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998427', '2', '99', '1663492071530565636', '河南省西华县电商客户揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998428', '2', '99', '1663492071530565636', '河南省西华县皮营邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998429', '2', '99', '1663492071530565636', '河南省西华县箕城南路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998430', '2', '99', '1663492071530565636', '河南省西华县箕城路揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998431', '2', '99', '1663492071530565636', '河南省西华县红花邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998432', '2', '99', '1663492071530565636', '河南省西华县聂堆邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998433', '2', '99', '1663492071530565636', '河南省西华县艾岗邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998434', '2', '99', '1663492071530565636', '河南省西华县西华营邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998435', '2', '99', '1663492071530565636', '河南省西华县西夏邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998436', '2', '99', '1663492071530565636', '河南省西华县迟营邮政所', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998437', '2', '99', '1663492071530565636', '河南省西华县逍遥邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998438', '2', '99', '1663492071530565636', '河南省西华县青华路邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998439', '2', '99', '1663492071530565636', '河南省西华县黄桥邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795500240998440', '2', '99', '1663492071530565636', '河南省西华县黄泛区农场邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506048', '2', '99', '1663492071530565637', '河南省郸城县丁村邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506049', '2', '99', '1663492071530565637', '河南省郸城县东风邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506050', '2', '99', '1663492071530565637', '河南省郸城县交通路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506051', '2', '99', '1663492071530565637', '河南省郸城县人民路揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506052', '2', '99', '1663492071530565637', '河南省郸城县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506053', '2', '99', '1663492071530565637', '河南省郸城县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506054', '2', '99', '1663492071530565637', '河南省郸城县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506055', '2', '99', '1663492071530565637', '河南省郸城县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506056', '2', '99', '1663492071530565637', '河南省郸城县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506057', '2', '99', '1663492071530565637', '河南省郸城县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506058', '2', '99', '1663492071530565637', '河南省郸城县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506059', '2', '99', '1663492071530565637', '河南省郸城县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506060', '2', '99', '1663492071530565637', '河南省郸城县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506061', '2', '99', '1663492071530565637', '河南省郸城县南丰邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506062', '2', '99', '1663492071530565637', '河南省郸城县双楼邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506063', '2', '99', '1663492071530565637', '河南省郸城县吴台邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506064', '2', '99', '1663492071530565637', '河南省郸城县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506065', '2', '99', '1663492071530565637', '河南省郸城县城郊邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506066', '2', '99', '1663492071530565637', '河南省郸城县宁平邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506067', '2', '99', '1663492071530565637', '河南省郸城县宜路邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506068', '2', '99', '1663492071530565637', '河南省郸城县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506069', '2', '99', '1663492071530565637', '河南省郸城县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506070', '2', '99', '1663492071530565637', '河南省郸城县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506071', '2', '99', '1663492071530565637', '河南省郸城县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506072', '2', '99', '1663492071530565637', '河南省郸城县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506073', '2', '99', '1663492071530565637', '河南省郸城县巴集邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506074', '2', '99', '1663492071530565637', '河南省郸城县张完邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506075', '2', '99', '1663492071530565637', '河南省郸城县支农路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506076', '2', '99', '1663492071530565637', '河南省郸城县李楼邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506077', '2', '99', '1663492071530565637', '河南省郸城县校园报刊批销点', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506078', '2', '99', '1663492071530565637', '河南省郸城县汲冢邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506079', '2', '99', '1663492071530565637', '河南省郸城县汲水邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506080', '2', '99', '1663492071530565637', '河南省郸城县电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506081', '2', '99', '1663492071530565637', '河南省郸城县白马邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506082', '2', '99', '1663492071530565637', '河南省郸城县石槽邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506083', '2', '99', '1663492071530565637', '河南省郸城县秋渠邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506084', '2', '99', '1663492071530565637', '河南省郸城县胡集邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506085', '2', '99', '1663492071530565637', '河南省郸城县虎岗邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795606197506086', '2', '99', '1663492071530565637', '河南省郸城县钱店邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113664', '2', '99', '1663492071530565638', '河南省项城市丁集邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113665', '2', '99', '1663492071530565638', '河南省项城市三店邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113666', '2', '99', '1663492071530565638', '河南省项城市东大街揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113667', '2', '99', '1663492071530565638', '河南省项城市付集邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113668', '2', '99', '1663492071530565638', '河南省项城市分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113669', '2', '99', '1663492071530565638', '河南省项城市分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113670', '2', '99', '1663492071530565638', '河南省项城市分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113671', '2', '99', '1663492071530565638', '河南省项城市分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113672', '2', '99', '1663492071530565638', '河南省项城市分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113673', '2', '99', '1663492071530565638', '河南省项城市分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113674', '2', '99', '1663492071530565638', '河南省项城市分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113675', '2', '99', '1663492071530565638', '河南省项城市分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113676', '2', '99', '1663492071530565638', '河南省项城市分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113677', '2', '99', '1663492071530565638', '河南省项城市南顿邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113678', '2', '99', '1663492071530565638', '河南省项城市城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113679', '2', '99', '1663492071530565638', '河南省项城市城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113680', '2', '99', '1663492071530565638', '河南省项城市孔营邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113681', '2', '99', '1663492071530565638', '河南省项城市孙店邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113682', '2', '99', '1663492071530565638', '河南省项城市官会邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113683', '2', '99', '1663492071530565638', '河南省项城市寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113684', '2', '99', '1663492071530565638', '河南省项城市寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113685', '2', '99', '1663492071530565638', '河南省项城市寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113686', '2', '99', '1663492071530565638', '河南省项城市寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113687', '2', '99', '1663492071530565638', '河南省项城市寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113688', '2', '99', '1663492071530565638', '河南省项城市新桥邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113689', '2', '99', '1663492071530565638', '河南省项城市李寨邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113690', '2', '99', '1663492071530565638', '河南省项城市校园报刊批销点', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113691', '2', '99', '1663492071530565638', '河南省项城市永丰邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113692', '2', '99', '1663492071530565638', '河南省项城市王明口邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113693', '2', '99', '1663492071530565638', '河南省项城市环城路邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113694', '2', '99', '1663492071530565638', '河南省项城市电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113695', '2', '99', '1663492071530565638', '河南省项城市秣陵邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113696', '2', '99', '1663492071530565638', '河南省项城市范集邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113697', '2', '99', '1663492071530565638', '河南省项城市西大街邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113698', '2', '99', '1663492071530565638', '河南省项城市贾岭邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113699', '2', '99', '1663492071530565638', '河南省项城市车站路揽投部', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113700', '2', '99', '1663492071530565638', '河南省项城市郑郭邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795698384113701', '2', '99', '1663492071530565638', '河南省项城市高寺邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079744', '2', '99', '1663492071530565639', '河南省鹿邑县东关揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079745', '2', '99', '1663492071530565639', '河南省鹿邑县任集邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079746', '2', '99', '1663492071530565639', '河南省鹿邑县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079747', '2', '99', '1663492071530565639', '河南省鹿邑县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079748', '2', '99', '1663492071530565639', '河南省鹿邑县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079749', '2', '99', '1663492071530565639', '河南省鹿邑县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079750', '2', '99', '1663492071530565639', '河南省鹿邑县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079751', '2', '99', '1663492071530565639', '河南省鹿邑县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079752', '2', '99', '1663492071530565639', '河南省鹿邑县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079753', '2', '99', '1663492071530565639', '河南省鹿邑县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079754', '2', '99', '1663492071530565639', '河南省鹿邑县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079755', '2', '99', '1663492071530565639', '河南省鹿邑县北关邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079756', '2', '99', '1663492071530565639', '河南省鹿邑县唐集邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079757', '2', '99', '1663492071530565639', '河南省鹿邑县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079758', '2', '99', '1663492071530565639', '河南省鹿邑县太清宫邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079759', '2', '99', '1663492071530565639', '河南省鹿邑县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079760', '2', '99', '1663492071530565639', '河南省鹿邑县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079761', '2', '99', '1663492071530565639', '河南省鹿邑县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079762', '2', '99', '1663492071530565639', '河南省鹿邑县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079763', '2', '99', '1663492071530565639', '河南省鹿邑县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079764', '2', '99', '1663492071530565639', '河南省鹿邑县张店邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079765', '2', '99', '1663492071530565639', '河南省鹿邑县杨湖口邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079766', '2', '99', '1663492071530565639', '河南省鹿邑县枣集邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079767', '2', '99', '1663492071530565639', '河南省鹿邑县校园报刊批销点', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079768', '2', '99', '1663492071530565639', '河南省鹿邑县涡北邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079769', '2', '99', '1663492071530565639', '河南省鹿邑县玄武邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079770', '2', '99', '1663492071530565639', '河南省鹿邑县王皮溜邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079771', '2', '99', '1663492071530565639', '河南省鹿邑县生铁冢邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079772', '2', '99', '1663492071530565639', '河南省鹿邑县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079773', '2', '99', '1663492071530565639', '河南省鹿邑县真源大道邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079774', '2', '99', '1663492071530565639', '河南省鹿邑县穆店邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079775', '2', '99', '1663492071530565639', '河南省鹿邑县观堂邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079776', '2', '99', '1663492071530565639', '河南省鹿邑县试量邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079777', '2', '99', '1663492071530565639', '河南省鹿邑县贾滩邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079778', '2', '99', '1663492071530565639', '河南省鹿邑县赵村邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079779', '2', '99', '1663492071530565639', '河南省鹿邑县辛集邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079780', '2', '99', '1663492071530565639', '河南省鹿邑县邱集邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079781', '2', '99', '1663492071530565639', '河南省鹿邑县郑集邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079782', '2', '99', '1663492071530565639', '河南省鹿邑县马铺邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663795782354079783', '2', '99', '1663492071530565639', '河南省鹿邑县高集邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831488', '2', '99', '1663492226174554112', '河南省上蔡县东岸邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831489', '2', '99', '1663492226174554112', '河南省上蔡县东洪邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831490', '2', '99', '1663492226174554112', '河南省上蔡县五龙邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831491', '2', '99', '1663492226174554112', '河南省上蔡县党店邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831492', '2', '99', '1663492226174554112', '河南省上蔡县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831493', '2', '99', '1663492226174554112', '河南省上蔡县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831494', '2', '99', '1663492226174554112', '河南省上蔡县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831495', '2', '99', '1663492226174554112', '河南省上蔡县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831496', '2', '99', '1663492226174554112', '河南省上蔡县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831497', '2', '99', '1663492226174554112', '河南省上蔡县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831498', '2', '99', '1663492226174554112', '河南省上蔡县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831499', '2', '99', '1663492226174554112', '河南省上蔡县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831500', '2', '99', '1663492226174554112', '河南省上蔡县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831501', '2', '99', '1663492226174554112', '河南省上蔡县华陂邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831502', '2', '99', '1663492226174554112', '河南省上蔡县和店邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831503', '2', '99', '1663492226174554112', '河南省上蔡县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831504', '2', '99', '1663492226174554112', '河南省上蔡县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831505', '2', '99', '1663492226174554112', '河南省上蔡县塔桥邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831506', '2', '99', '1663492226174554112', '河南省上蔡县大路李邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831507', '2', '99', '1663492226174554112', '河南省上蔡县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831508', '2', '99', '1663492226174554112', '河南省上蔡县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831509', '2', '99', '1663492226174554112', '河南省上蔡县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831510', '2', '99', '1663492226174554112', '河南省上蔡县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831511', '2', '99', '1663492226174554112', '河南省上蔡县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831512', '2', '99', '1663492226174554112', '河南省上蔡县小岳寺邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831513', '2', '99', '1663492226174554112', '河南省上蔡县崇礼邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831514', '2', '99', '1663492226174554112', '河南省上蔡县无量寺邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831515', '2', '99', '1663492226174554112', '河南省上蔡县朱里邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831516', '2', '99', '1663492226174554112', '河南省上蔡县杨屯邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831517', '2', '99', '1663492226174554112', '河南省上蔡县杨集邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831518', '2', '99', '1663492226174554112', '河南省上蔡县洙湖邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831519', '2', '99', '1663492226174554112', '河南省上蔡县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831520', '2', '99', '1663492226174554112', '河南省上蔡县百尺邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831521', '2', '99', '1663492226174554112', '河南省上蔡县蔡沟邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831522', '2', '99', '1663492226174554112', '河南省上蔡县西大街邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831523', '2', '99', '1663492226174554112', '河南省上蔡县西洪邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831524', '2', '99', '1663492226174554112', '河南省上蔡县邵店邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831525', '2', '99', '1663492226174554112', '河南省上蔡县重阳邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831526', '2', '99', '1663492226174554112', '河南省上蔡县韩寨邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831527', '2', '99', '1663492226174554112', '河南省上蔡县黄埠邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803328896831528', '2', '99', '1663492226174554112', '河南省上蔡县齐海邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433536', '2', '99', '1663492226174554113', '河南省平舆县万冢邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433537', '2', '99', '1663492226174554113', '河南省平舆县万金店邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433538', '2', '99', '1663492226174554113', '河南省平舆县东和店邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433539', '2', '99', '1663492226174554113', '河南省平舆县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433540', '2', '99', '1663492226174554113', '河南省平舆县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433541', '2', '99', '1663492226174554113', '河南省平舆县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433542', '2', '99', '1663492226174554113', '河南省平舆县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433543', '2', '99', '1663492226174554113', '河南省平舆县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433544', '2', '99', '1663492226174554113', '河南省平舆县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433545', '2', '99', '1663492226174554113', '河南省平舆县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433546', '2', '99', '1663492226174554113', '河南省平舆县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433547', '2', '99', '1663492226174554113', '河南省平舆县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433548', '2', '99', '1663492226174554113', '河南省平舆县十字路邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433549', '2', '99', '1663492226174554113', '河南省平舆县双庙邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433550', '2', '99', '1663492226174554113', '河南省平舆县后刘邮政所', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433551', '2', '99', '1663492226174554113', '河南省平舆县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433552', '2', '99', '1663492226174554113', '河南省平舆县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433553', '2', '99', '1663492226174554113', '河南省平舆县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433554', '2', '99', '1663492226174554113', '河南省平舆县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433555', '2', '99', '1663492226174554113', '河南省平舆县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433556', '2', '99', '1663492226174554113', '河南省平舆县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433557', '2', '99', '1663492226174554113', '河南省平舆县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433558', '2', '99', '1663492226174554113', '河南省平舆县射桥邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433559', '2', '99', '1663492226174554113', '河南省平舆县庙湾邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433560', '2', '99', '1663492226174554113', '河南省平舆县李屯邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433561', '2', '99', '1663492226174554113', '河南省平舆县杨埠邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433562', '2', '99', '1663492226174554113', '河南省平舆县玉皇庙邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433563', '2', '99', '1663492226174554113', '河南省平舆县王岗邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433564', '2', '99', '1663492226174554113', '河南省平舆县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433565', '2', '99', '1663492226174554113', '河南省平舆县西洋店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433566', '2', '99', '1663492226174554113', '河南省平舆县解放街邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433567', '2', '99', '1663492226174554113', '河南省平舆县辛店邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433568', '2', '99', '1663492226174554113', '河南省平舆县郭楼邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803423738433569', '2', '99', '1663492226174554113', '河南省平舆县高杨店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581696', '2', '99', '1663492226174554114', '河南省新蔡县今是邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581697', '2', '99', '1663492226174554114', '河南省新蔡县余店邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581698', '2', '99', '1663492226174554114', '河南省新蔡县佛阁寺邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581699', '2', '99', '1663492226174554114', '河南省新蔡县关津邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581700', '2', '99', '1663492226174554114', '河南省新蔡县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581701', '2', '99', '1663492226174554114', '河南省新蔡县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581702', '2', '99', '1663492226174554114', '河南省新蔡县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581703', '2', '99', '1663492226174554114', '河南省新蔡县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581704', '2', '99', '1663492226174554114', '河南省新蔡县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581705', '2', '99', '1663492226174554114', '河南省新蔡县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581706', '2', '99', '1663492226174554114', '河南省新蔡县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581707', '2', '99', '1663492226174554114', '河南省新蔡县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581708', '2', '99', '1663492226174554114', '河南省新蔡县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581709', '2', '99', '1663492226174554114', '河南省新蔡县化庄邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581710', '2', '99', '1663492226174554114', '河南省新蔡县周潢路邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581711', '2', '99', '1663492226174554114', '河南省新蔡县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581712', '2', '99', '1663492226174554114', '河南省新蔡县城区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581713', '2', '99', '1663492226174554114', '河南省新蔡县孙召邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581714', '2', '99', '1663492226174554114', '河南省新蔡县宋岗邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581715', '2', '99', '1663492226174554114', '河南省新蔡县寄递事业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581716', '2', '99', '1663492226174554114', '河南省新蔡县寄递事业部单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581717', '2', '99', '1663492226174554114', '河南省新蔡县寄递事业部市场部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581718', '2', '99', '1663492226174554114', '河南省新蔡县寄递事业部运营监控部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581719', '2', '99', '1663492226174554114', '河南省新蔡县寄递事业部运输中心（纯核算）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581720', '2', '99', '1663492226174554114', '河南省新蔡县弥陀寺邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581721', '2', '99', '1663492226174554114', '河南省新蔡县李桥邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581722', '2', '99', '1663492226174554114', '河南省新蔡县杨庄户邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581723', '2', '99', '1663492226174554114', '河南省新蔡县栎城邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581724', '2', '99', '1663492226174554114', '河南省新蔡县棠村邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581725', '2', '99', '1663492226174554114', '河南省新蔡县河坞邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581726', '2', '99', '1663492226174554114', '河南省新蔡县涧头邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581727', '2', '99', '1663492226174554114', '河南省新蔡县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581728', '2', '99', '1663492226174554114', '河南省新蔡县砖店邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581729', '2', '99', '1663492226174554114', '河南省新蔡县练村邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581730', '2', '99', '1663492226174554114', '河南省新蔡县蛟庭湖邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581731', '2', '99', '1663492226174554114', '河南省新蔡县陈店邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581732', '2', '99', '1663492226174554114', '河南省新蔡县韩集邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581733', '2', '99', '1663492226174554114', '河南省新蔡县顿岗邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581734', '2', '99', '1663492226174554114', '河南省新蔡县黄楼邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803542919581735', '2', '99', '1663492226174554114', '河南省新蔡县龙口邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061376', '2', '99', '1663492226174554115', '河南省正阳县中心街邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061377', '2', '99', '1663492226174554115', '河南省正阳县付寨邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061378', '2', '99', '1663492226174554115', '河南省正阳县兰青邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061379', '2', '99', '1663492226174554115', '河南省正阳县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061380', '2', '99', '1663492226174554115', '河南省正阳县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061381', '2', '99', '1663492226174554115', '河南省正阳县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061382', '2', '99', '1663492226174554115', '河南省正阳县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061383', '2', '99', '1663492226174554115', '河南省正阳县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061384', '2', '99', '1663492226174554115', '河南省正阳县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061385', '2', '99', '1663492226174554115', '河南省正阳县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061386', '2', '99', '1663492226174554115', '河南省正阳县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061387', '2', '99', '1663492226174554115', '河南省正阳县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061388', '2', '99', '1663492226174554115', '河南省正阳县吕河邮政所', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061389', '2', '99', '1663492226174554115', '河南省正阳县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061390', '2', '99', '1663492226174554115', '河南省正阳县城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061391', '2', '99', '1663492226174554115', '河南省正阳县大林邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061392', '2', '99', '1663492226174554115', '河南省正阳县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061393', '2', '99', '1663492226174554115', '河南省正阳县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061394', '2', '99', '1663492226174554115', '河南省正阳县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061395', '2', '99', '1663492226174554115', '河南省正阳县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061396', '2', '99', '1663492226174554115', '河南省正阳县寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061397', '2', '99', '1663492226174554115', '河南省正阳县寒冻邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061398', '2', '99', '1663492226174554115', '河南省正阳县岳城邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061399', '2', '99', '1663492226174554115', '河南省正阳县彭桥邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061400', '2', '99', '1663492226174554115', '河南省正阳县慎水邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061401', '2', '99', '1663492226174554115', '河南省正阳县新阮店邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061402', '2', '99', '1663492226174554115', '河南省正阳县梁庙邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061403', '2', '99', '1663492226174554115', '河南省正阳县永兴邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061404', '2', '99', '1663492226174554115', '河南省正阳县汝南埠邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061405', '2', '99', '1663492226174554115', '河南省正阳县油坊店邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061406', '2', '99', '1663492226174554115', '河南省正阳县熊寨邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061407', '2', '99', '1663492226174554115', '河南省正阳县王勿桥邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061408', '2', '99', '1663492226174554115', '河南省正阳县电商客户揽投部', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061409', '2', '99', '1663492226174554115', '河南省正阳县皮店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061410', '2', '99', '1663492226174554115', '河南省正阳县袁寨邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061411', '2', '99', '1663492226174554115', '河南省正阳县西严店邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061412', '2', '99', '1663492226174554115', '河南省正阳县铜钟邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061413', '2', '99', '1663492226174554115', '河南省正阳县陡沟邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803646393061414', '2', '99', '1663492226174554115', '河南省正阳县雷寨邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068736', '2', '99', '1663492226174554116', '河南省汝南县三桥邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068737', '2', '99', '1663492226174554116', '河南省汝南县三门闸邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068738', '2', '99', '1663492226174554116', '河南省汝南县中心大街邮政所', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068739', '2', '99', '1663492226174554116', '河南省汝南县余店邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068740', '2', '99', '1663492226174554116', '河南省汝南县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068741', '2', '99', '1663492226174554116', '河南省汝南县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068742', '2', '99', '1663492226174554116', '河南省汝南县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068743', '2', '99', '1663492226174554116', '河南省汝南县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068744', '2', '99', '1663492226174554116', '河南省汝南县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068745', '2', '99', '1663492226174554116', '河南省汝南县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068746', '2', '99', '1663492226174554116', '河南省汝南县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068747', '2', '99', '1663492226174554116', '河南省汝南县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068748', '2', '99', '1663492226174554116', '河南省汝南县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068749', '2', '99', '1663492226174554116', '河南省汝南县古塔街邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068750', '2', '99', '1663492226174554116', '河南省汝南县和孝邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068751', '2', '99', '1663492226174554116', '河南省汝南县商城邮政所', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068752', '2', '99', '1663492226174554116', '河南省汝南县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068753', '2', '99', '1663492226174554116', '河南省汝南县城区揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068754', '2', '99', '1663492226174554116', '河南省汝南县大王庄邮政所', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068755', '2', '99', '1663492226174554116', '河南省汝南县官庄邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068756', '2', '99', '1663492226174554116', '河南省汝南县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068757', '2', '99', '1663492226174554116', '河南省汝南县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068758', '2', '99', '1663492226174554116', '河南省汝南县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068759', '2', '99', '1663492226174554116', '河南省汝南县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068760', '2', '99', '1663492226174554116', '河南省汝南县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068761', '2', '99', '1663492226174554116', '河南省汝南县常兴邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068762', '2', '99', '1663492226174554116', '河南省汝南县张岗邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068763', '2', '99', '1663492226174554116', '河南省汝南县张楼邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068764', '2', '99', '1663492226174554116', '河南省汝南县板店邮政所', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068765', '2', '99', '1663492226174554116', '河南省汝南县梁祝邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068766', '2', '99', '1663492226174554116', '河南省汝南县王岗邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068767', '2', '99', '1663492226174554116', '河南省汝南县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068768', '2', '99', '1663492226174554116', '河南省汝南县留盆邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068769', '2', '99', '1663492226174554116', '河南省汝南县罗店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068770', '2', '99', '1663492226174554116', '河南省汝南县老君庙邮政所', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068771', '2', '99', '1663492226174554116', '河南省汝南县舍屯邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068772', '2', '99', '1663492226174554116', '河南省汝南县金铺邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803798814068773', '2', '99', '1663492226174554116', '河南省汝南县韩庄邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431488', '2', '99', '1663492226174554117', '河南省泌阳县下碑寺邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431489', '2', '99', '1663492226174554117', '河南省泌阳县付庄邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431490', '2', '99', '1663492226174554117', '河南省泌阳县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431491', '2', '99', '1663492226174554117', '河南省泌阳县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431492', '2', '99', '1663492226174554117', '河南省泌阳县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431493', '2', '99', '1663492226174554117', '河南省泌阳县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431494', '2', '99', '1663492226174554117', '河南省泌阳县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431495', '2', '99', '1663492226174554117', '河南省泌阳县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431496', '2', '99', '1663492226174554117', '河南省泌阳县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431497', '2', '99', '1663492226174554117', '河南省泌阳县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431498', '2', '99', '1663492226174554117', '河南省泌阳县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431499', '2', '99', '1663492226174554117', '河南省泌阳县双庙街邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431500', '2', '99', '1663492226174554117', '河南省泌阳县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431501', '2', '99', '1663492226174554117', '河南省泌阳县城区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431502', '2', '99', '1663492226174554117', '河南省泌阳县官庄邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431503', '2', '99', '1663492226174554117', '河南省泌阳县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431504', '2', '99', '1663492226174554117', '河南省泌阳县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431505', '2', '99', '1663492226174554117', '河南省泌阳县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431506', '2', '99', '1663492226174554117', '河南省泌阳县寄递事业部运营监控部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431507', '2', '99', '1663492226174554117', '河南省泌阳县寄递事业部运输中心（纯核算）', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431508', '2', '99', '1663492226174554117', '河南省泌阳县春水邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431509', '2', '99', '1663492226174554117', '河南省泌阳县杨家集邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431510', '2', '99', '1663492226174554117', '河南省泌阳县板桥邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431511', '2', '99', '1663492226174554117', '河南省泌阳县沙河店邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431512', '2', '99', '1663492226174554117', '河南省泌阳县泰山庙邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431513', '2', '99', '1663492226174554117', '河南省泌阳县王店邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431514', '2', '99', '1663492226174554117', '河南省泌阳县电商客户揽投部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431515', '2', '99', '1663492226174554117', '河南省泌阳县盘古邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431516', '2', '99', '1663492226174554117', '河南省泌阳县第一邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431517', '2', '99', '1663492226174554117', '河南省泌阳县羊册邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431518', '2', '99', '1663492226174554117', '河南省泌阳县老河邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431519', '2', '99', '1663492226174554117', '河南省泌阳县花园邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431520', '2', '99', '1663492226174554117', '河南省泌阳县象河邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431521', '2', '99', '1663492226174554117', '河南省泌阳县贾楼邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431522', '2', '99', '1663492226174554117', '河南省泌阳县赊湾邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431523', '2', '99', '1663492226174554117', '河南省泌阳县郭集邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431524', '2', '99', '1663492226174554117', '河南省泌阳县铜山邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431525', '2', '99', '1663492226174554117', '河南省泌阳县马谷田邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431526', '2', '99', '1663492226174554117', '河南省泌阳县高店邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431527', '2', '99', '1663492226174554117', '河南省泌阳县高邑邮政所', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803892506431528', '2', '99', '1663492226174554117', '河南省泌阳县黄山口邮政所', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556672', '2', '99', '1663492226174554118', '河南省确山县三里河邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556673', '2', '99', '1663492226174554118', '河南省确山县任店邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556674', '2', '99', '1663492226174554118', '河南省确山县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556675', '2', '99', '1663492226174554118', '河南省确山县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556676', '2', '99', '1663492226174554118', '河南省确山县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556677', '2', '99', '1663492226174554118', '河南省确山县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556678', '2', '99', '1663492226174554118', '河南省确山县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556679', '2', '99', '1663492226174554118', '河南省确山县分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556680', '2', '99', '1663492226174554118', '河南省确山县分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556681', '2', '99', '1663492226174554118', '河南省确山县分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556682', '2', '99', '1663492226174554118', '河南省确山县分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556683', '2', '99', '1663492226174554118', '河南省确山县刘店邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556684', '2', '99', '1663492226174554118', '河南省确山县双河邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556685', '2', '99', '1663492226174554118', '河南省确山县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556686', '2', '99', '1663492226174554118', '河南省确山县城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556687', '2', '99', '1663492226174554118', '河南省确山县寄递事业部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556688', '2', '99', '1663492226174554118', '河南省确山县寄递事业部单位领导部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556689', '2', '99', '1663492226174554118', '河南省确山县寄递事业部市场部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556690', '2', '99', '1663492226174554118', '河南省确山县寄递事业部运输中心（纯核算）', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556691', '2', '99', '1663492226174554118', '河南省确山县建设邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556692', '2', '99', '1663492226174554118', '河南省确山县新安店邮政所', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556693', '2', '99', '1663492226174554118', '河南省确山县新生街邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556694', '2', '99', '1663492226174554118', '河南省确山县普会寺邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556695', '2', '99', '1663492226174554118', '河南省确山县机场邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556696', '2', '99', '1663492226174554118', '河南省确山县李新店邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556697', '2', '99', '1663492226174554118', '河南省确山县杨店邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556698', '2', '99', '1663492226174554118', '河南省确山县爱民邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556699', '2', '99', '1663492226174554118', '河南省确山县瓦岗邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556700', '2', '99', '1663492226174554118', '河南省确山县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556701', '2', '99', '1663492226174554118', '河南省确山县留庄邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556702', '2', '99', '1663492226174554118', '河南省确山县石磙河邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556703', '2', '99', '1663492226174554118', '河南省确山县竹沟邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556704', '2', '99', '1663492226174554118', '河南省确山县蚁蜂邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663803968406556705', '2', '99', '1663492226174554118', '河南省确山县顺山店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166976', '2', '99', '1663492226174554119', '河南省西平县专探邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166977', '2', '99', '1663492226174554119', '河南省西平县二郎邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166978', '2', '99', '1663492226174554119', '河南省西平县五沟营邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166979', '2', '99', '1663492226174554119', '河南省西平县人和邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166980', '2', '99', '1663492226174554119', '河南省西平县出山邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166981', '2', '99', '1663492226174554119', '河南省西平县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166982', '2', '99', '1663492226174554119', '河南省西平县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166983', '2', '99', '1663492226174554119', '河南省西平县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166984', '2', '99', '1663492226174554119', '河南省西平县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166985', '2', '99', '1663492226174554119', '河南省西平县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166986', '2', '99', '1663492226174554119', '河南省西平县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166987', '2', '99', '1663492226174554119', '河南省西平县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166988', '2', '99', '1663492226174554119', '河南省西平县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166989', '2', '99', '1663492226174554119', '河南省西平县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166990', '2', '99', '1663492226174554119', '河南省西平县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166991', '2', '99', '1663492226174554119', '河南省西平县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166992', '2', '99', '1663492226174554119', '河南省西平县嫘祖邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166993', '2', '99', '1663492226174554119', '河南省西平县宋集邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166994', '2', '99', '1663492226174554119', '河南省西平县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166995', '2', '99', '1663492226174554119', '河南省西平县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129367166996', '2', '99', '1663492226174554119', '河南省西平县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361280', '2', '99', '1663492226174554119', '河南省西平县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361281', '2', '99', '1663492226174554119', '河南省西平县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361282', '2', '99', '1663492226174554119', '河南省西平县工交路邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361283', '2', '99', '1663492226174554119', '河南省西平县师灵邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361284', '2', '99', '1663492226174554119', '河南省西平县权寨邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361285', '2', '99', '1663492226174554119', '河南省西平县杨庄邮政所', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361286', '2', '99', '1663492226174554119', '河南省西平县棠溪大道邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361287', '2', '99', '1663492226174554119', '河南省西平县焦庄邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361288', '2', '99', '1663492226174554119', '河南省西平县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361289', '2', '99', '1663492226174554119', '河南省西平县盆尧邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361290', '2', '99', '1663492226174554119', '河南省西平县芦庙邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361291', '2', '99', '1663492226174554119', '河南省西平县蔡寨邮政所', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361292', '2', '99', '1663492226174554119', '河南省西平县西平大道邮政所', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361293', '2', '99', '1663492226174554119', '河南省西平县谭店邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361294', '2', '99', '1663492226174554119', '河南省西平县酒店邮政所', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804129371361295', '2', '99', '1663492226174554119', '河南省西平县重渠邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812544', '2', '99', '1663492226174554120', '河南省遂平县分公司', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812545', '2', '99', '1663492226174554120', '河南省遂平县分公司单位领导部门', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812546', '2', '99', '1663492226174554120', '河南省遂平县分公司市场营销部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812547', '2', '99', '1663492226174554120', '河南省遂平县分公司机要室', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812548', '2', '99', '1663492226174554120', '河南省遂平县分公司渠道平台部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812549', '2', '99', '1663492226174554120', '河南省遂平县分公司综合办公室（安全保卫部）', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812550', '2', '99', '1663492226174554120', '河南省遂平县分公司金融业务部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812551', '2', '99', '1663492226174554120', '河南省遂平县分公司集邮与文化传媒部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812552', '2', '99', '1663492226174554120', '河南省遂平县分公司非领导职务部门', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812553', '2', '99', '1663492226174554120', '河南省遂平县南大街邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812554', '2', '99', '1663492226174554120', '河南省遂平县和兴邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812555', '2', '99', '1663492226174554120', '河南省遂平县城区中心揽投部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812556', '2', '99', '1663492226174554120', '河南省遂平县城区揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812557', '2', '99', '1663492226174554120', '河南省遂平县寄递事业部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812558', '2', '99', '1663492226174554120', '河南省遂平县寄递事业部单位领导部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812559', '2', '99', '1663492226174554120', '河南省遂平县寄递事业部市场部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812560', '2', '99', '1663492226174554120', '河南省遂平县寄递事业部运营监控部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812561', '2', '99', '1663492226174554120', '河南省遂平县寄递事业部运输中心（纯核算）', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812562', '2', '99', '1663492226174554120', '河南省遂平县嵖岈山邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812563', '2', '99', '1663492226174554120', '河南省遂平县嵖岈山风景区主题邮局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812564', '2', '99', '1663492226174554120', '河南省遂平县常庄邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812565', '2', '99', '1663492226174554120', '河南省遂平县建设路邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812566', '2', '99', '1663492226174554120', '河南省遂平县张台邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812567', '2', '99', '1663492226174554120', '河南省遂平县张店邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812568', '2', '99', '1663492226174554120', '河南省遂平县文城邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812569', '2', '99', '1663492226174554120', '河南省遂平县槐树邮政所', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812570', '2', '99', '1663492226174554120', '河南省遂平县沈寨邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812571', '2', '99', '1663492226174554120', '河南省遂平县玉山邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812572', '2', '99', '1663492226174554120', '河南省遂平县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812573', '2', '99', '1663492226174554120', '河南省遂平县石寨铺邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812574', '2', '99', '1663492226174554120', '河南省遂平县花庄邮政所', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812575', '2', '99', '1663492226174554120', '河南省遂平县褚堂邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812576', '2', '99', '1663492226174554120', '河南省遂平县车站邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804273512812577', '2', '99', '1663492226174554120', '河南省遂平县阳丰邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571264', '2', '99', '1663492226174554121', '驻马店市东风邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571265', '2', '99', '1663492226174554121', '驻马店市中心邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571266', '2', '99', '1663492226174554121', '驻马店市兴业揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571267', '2', '99', '1663492226174554121', '驻马店市古城邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571268', '2', '99', '1663492226174554121', '驻马店市天中山邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571269', '2', '99', '1663492226174554121', '驻马店市开发区揽投部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571270', '2', '99', '1663492226174554121', '驻马店市文明揽投部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571271', '2', '99', '1663492226174554121', '驻马店市朱古洞邮政所', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571272', '2', '99', '1663492226174554121', '驻马店市水屯邮政支局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571273', '2', '99', '1663492226174554121', '驻马店市火车站邮政所', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571274', '2', '99', '1663492226174554121', '驻马店市电商客户驿城区揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571275', '2', '99', '1663492226174554121', '驻马店市白桥路邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571276', '2', '99', '1663492226174554121', '驻马店市第七揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571277', '2', '99', '1663492226174554121', '驻马店市第三揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388562571278', '2', '99', '1663492226174554121', '驻马店市第二揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765568', '2', '99', '1663492226174554121', '驻马店市第八揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765569', '2', '99', '1663492226174554121', '驻马店市第六揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765570', '2', '99', '1663492226174554121', '驻马店市胡庙邮政所', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765571', '2', '99', '1663492226174554121', '驻马店市解放路邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765572', '2', '99', '1663492226174554121', '驻马店市驿城区分公司', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765573', '2', '99', '1663492226174554121', '驻马店市驿城区分公司单位领导部门', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765574', '2', '99', '1663492226174554121', '驻马店市驿城区分公司市场营销部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765575', '2', '99', '1663492226174554121', '驻马店市驿城区分公司渠道平台中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765576', '2', '99', '1663492226174554121', '驻马店市驿城区分公司金融业务中心（中邮保险局）', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765577', '2', '99', '1663492226174554121', '驻马店市驿城区分公司集邮与文化传媒中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765578', '2', '99', '1663492226174554121', '驻马店市驿城区寄递事业部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765579', '2', '99', '1663492226174554121', '驻马店市驿城区寄递事业部单位领导部门', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804388566765580', '2', '99', '1663492226174554121', '驻马店市驿城区寄递事业部市场部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514432', '2', '99', '1663492226174554122', '驻马店市二八邮政所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514433', '2', '99', '1663492226174554122', '驻马店市交通路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514434', '2', '99', '1663492226174554122', '驻马店市关王庙揽投部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514435', '2', '99', '1663492226174554122', '驻马店市关王庙邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514436', '2', '99', '1663492226174554122', '驻马店市天中区分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514437', '2', '99', '1663492226174554122', '驻马店市天中区分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514438', '2', '99', '1663492226174554122', '驻马店市天中区分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514439', '2', '99', '1663492226174554122', '驻马店市天中区分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514440', '2', '99', '1663492226174554122', '驻马店市天中区分公司金融业务部（中邮保险局）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514441', '2', '99', '1663492226174554122', '驻马店市天中区分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514442', '2', '99', '1663492226174554122', '驻马店市天中区寄递事业部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514443', '2', '99', '1663492226174554122', '驻马店市天中区寄递事业部单位领导部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514444', '2', '99', '1663492226174554122', '驻马店市天中区寄递事业部市场部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514445', '2', '99', '1663492226174554122', '驻马店市天中山揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514446', '2', '99', '1663492226174554122', '驻马店市技师学院邮政服务中心', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514447', '2', '99', '1663492226174554122', '驻马店市电商客户天中区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514448', '2', '99', '1663492226174554122', '驻马店市第一揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514449', '2', '99', '1663492226174554122', '驻马店市第五揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514450', '2', '99', '1663492226174554122', '驻马店市第四揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514451', '2', '99', '1663492226174554122', '驻马店市臧集邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514452', '2', '99', '1663492226174554122', '驻马店市诸市邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514453', '2', '99', '1663492226174554122', '驻马店市贸易广场邮政所', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514454', '2', '99', '1663492226174554122', '驻马店市铁东揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514455', '2', '99', '1663492226174554122', '驻马店市风光路邮政所', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804535434514456', '2', '99', '1663492226174554122', '驻马店市黄淮学院邮政所', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176768', '2', '99', '1663492226174554123', '驻马店市分公司中邮保险业务部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176769', '2', '99', '1663492226174554123', '驻马店市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176770', '2', '99', '1663492226174554123', '驻马店市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176771', '2', '99', '1663492226174554123', '驻马店市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176772', '2', '99', '1663492226174554123', '驻马店市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176773', '2', '99', '1663492226174554123', '驻马店市分公司市场营销部客户营销中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176774', '2', '99', '1663492226174554123', '驻马店市分公司服务质量部（普遍服务部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176775', '2', '99', '1663492226174554123', '驻马店市分公司本部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176776', '2', '99', '1663492226174554123', '驻马店市分公司机要通信分局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176777', '2', '99', '1663492226174554123', '驻马店市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176778', '2', '99', '1663492226174554123', '驻马店市分公司综合办公室（党委办公室、安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176779', '2', '99', '1663492226174554123', '驻马店市分公司财务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176780', '2', '99', '1663492226174554123', '驻马店市分公司邮政工会', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176781', '2', '99', '1663492226174554123', '驻马店市分公司金融业务部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176782', '2', '99', '1663492226174554123', '驻马店市分公司集邮与文化传媒部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176783', '2', '99', '1663492226174554123', '驻马店市分公司非领导职务部门', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176784', '2', '99', '1663492226174554123', '驻马店市国际公司直属国际小包营业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176785', '2', '99', '1663492226174554123', '驻马店市天方物流项目组', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176786', '2', '99', '1663492226174554123', '驻马店市寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176787', '2', '99', '1663492226174554123', '驻马店市寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176788', '2', '99', '1663492226174554123', '驻马店市寄递事业部市场部客户营销中心', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176789', '2', '99', '1663492226174554123', '驻马店市寄递事业部服务质量部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176790', '2', '99', '1663492226174554123', '驻马店市寄递事业部服务质量部客户服务中心', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176791', '2', '99', '1663492226174554123', '驻马店市寄递事业部本部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176792', '2', '99', '1663492226174554123', '驻马店市寄递事业部物流营销中心', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176793', '2', '99', '1663492226174554123', '驻马店市寄递事业部综合部(党委办公室)', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176794', '2', '99', '1663492226174554123', '驻马店市寄递事业部网路运营中心', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176795', '2', '99', '1663492226174554123', '驻马店市寄递事业部网路运营中心包件车间', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176796', '2', '99', '1663492226174554123', '驻马店市寄递事业部网路运营中心普服车间', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176797', '2', '99', '1663492226174554123', '驻马店市寄递事业部网路运营中心运输车间', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176798', '2', '99', '1663492226174554123', '驻马店市寄递事业部网路运营中心邮件处理车间', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176799', '2', '99', '1663492226174554123', '驻马店市寄递事业部运营管理部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176800', '2', '99', '1663492226174554123', '驻马店市寄递事业部非领导职务部门', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176801', '2', '99', '1663492226174554123', '驻马店市政务客户天中揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804646726176802', '2', '99', '1663492226174554123', '驻马店市政务客户驿城揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524480', '2', '99', '1663489663119265792', '方城县裕州路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524481', '2', '99', '1663489663119265792', '河南省方城县中南厂邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524482', '2', '99', '1663489663119265792', '河南省方城县二郎庙邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524483', '2', '99', '1663489663119265792', '河南省方城县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524484', '2', '99', '1663489663119265792', '河南省方城县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524485', '2', '99', '1663489663119265792', '河南省方城县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524486', '2', '99', '1663489663119265792', '河南省方城县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524487', '2', '99', '1663489663119265792', '河南省方城县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524488', '2', '99', '1663489663119265792', '河南省方城县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524489', '2', '99', '1663489663119265792', '河南省方城县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524490', '2', '99', '1663489663119265792', '河南省方城县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524491', '2', '99', '1663489663119265792', '河南省方城县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524492', '2', '99', '1663489663119265792', '河南省方城县券桥邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524493', '2', '99', '1663489663119265792', '河南省方城县博望邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524494', '2', '99', '1663489663119265792', '河南省方城县古庄店邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524495', '2', '99', '1663489663119265792', '河南省方城县四里店邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524496', '2', '99', '1663489663119265792', '河南省方城县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524497', '2', '99', '1663489663119265792', '河南省方城县城区物流园揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524498', '2', '99', '1663489663119265792', '河南省方城县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524499', '2', '99', '1663489663119265792', '河南省方城县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524500', '2', '99', '1663489663119265792', '河南省方城县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524501', '2', '99', '1663489663119265792', '河南省方城县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524502', '2', '99', '1663489663119265792', '河南省方城县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524503', '2', '99', '1663489663119265792', '河南省方城县小史店邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524504', '2', '99', '1663489663119265792', '河南省方城县广阳邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524505', '2', '99', '1663489663119265792', '河南省方城县康达路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524506', '2', '99', '1663489663119265792', '河南省方城县拐河邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524507', '2', '99', '1663489663119265792', '河南省方城县文化路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524508', '2', '99', '1663489663119265792', '河南省方城县杨楼邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524509', '2', '99', '1663489663119265792', '河南省方城县杨集邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524510', '2', '99', '1663489663119265792', '河南省方城县柳河邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524511', '2', '99', '1663489663119265792', '河南省方城县清河邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524512', '2', '99', '1663489663119265792', '河南省方城县独树邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524513', '2', '99', '1663489663119265792', '河南省方城县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524514', '2', '99', '1663489663119265792', '河南省方城县老城邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524515', '2', '99', '1663489663119265792', '河南省方城县袁店邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524516', '2', '99', '1663489663119265792', '河南省方城县赵河邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804822165524517', '2', '99', '1663489663119265792', '河南省方城县车站邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226432', '2', '99', '1663489663119265793', '方城县裕州路营业所', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226433', '2', '99', '1663489663119265793', '河南省方城县中南厂邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226434', '2', '99', '1663489663119265793', '河南省方城县二郎庙邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226435', '2', '99', '1663489663119265793', '河南省方城县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226436', '2', '99', '1663489663119265793', '河南省方城县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226437', '2', '99', '1663489663119265793', '河南省方城县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226438', '2', '99', '1663489663119265793', '河南省方城县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226439', '2', '99', '1663489663119265793', '河南省方城县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226440', '2', '99', '1663489663119265793', '河南省方城县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226441', '2', '99', '1663489663119265793', '河南省方城县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226442', '2', '99', '1663489663119265793', '河南省方城县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226443', '2', '99', '1663489663119265793', '河南省方城县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226444', '2', '99', '1663489663119265793', '河南省方城县券桥邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226445', '2', '99', '1663489663119265793', '河南省方城县博望邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226446', '2', '99', '1663489663119265793', '河南省方城县古庄店邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226447', '2', '99', '1663489663119265793', '河南省方城县四里店邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226448', '2', '99', '1663489663119265793', '河南省方城县城区中心揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226449', '2', '99', '1663489663119265793', '河南省方城县城区物流园揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226450', '2', '99', '1663489663119265793', '河南省方城县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226451', '2', '99', '1663489663119265793', '河南省方城县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226452', '2', '99', '1663489663119265793', '河南省方城县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226453', '2', '99', '1663489663119265793', '河南省方城县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226454', '2', '99', '1663489663119265793', '河南省方城县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226455', '2', '99', '1663489663119265793', '河南省方城县小史店邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226456', '2', '99', '1663489663119265793', '河南省方城县广阳邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226457', '2', '99', '1663489663119265793', '河南省方城县康达路邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226458', '2', '99', '1663489663119265793', '河南省方城县拐河邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226459', '2', '99', '1663489663119265793', '河南省方城县文化路邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226460', '2', '99', '1663489663119265793', '河南省方城县杨楼邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226461', '2', '99', '1663489663119265793', '河南省方城县杨集邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226462', '2', '99', '1663489663119265793', '河南省方城县柳河邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226463', '2', '99', '1663489663119265793', '河南省方城县清河邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226464', '2', '99', '1663489663119265793', '河南省方城县独树邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226465', '2', '99', '1663489663119265793', '河南省方城县电商客户揽投部', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226466', '2', '99', '1663489663119265793', '河南省方城县老城邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226467', '2', '99', '1663489663119265793', '河南省方城县袁店邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226468', '2', '99', '1663489663119265793', '河南省方城县赵河邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663804928126226469', '2', '99', '1663489663119265793', '河南省方城县车站邮政所', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017600', '2', '99', '1663489663119265794', '南阳市七里园邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017601', '2', '99', '1663489663119265794', '南阳市中州东路邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017602', '2', '99', '1663489663119265794', '南阳市人民中路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017603', '2', '99', '1663489663119265794', '南阳市仲景中路揽投部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017604', '2', '99', '1663489663119265794', '南阳市仲景揽投部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017605', '2', '99', '1663489663119265794', '南阳市仲景路邮政所', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017606', '2', '99', '1663489663119265794', '南阳市农运路邮政支局', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017607', '2', '99', '1663489663119265794', '南阳市医圣伺街揽投部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017608', '2', '99', '1663489663119265794', '南阳市南都路揽投部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017609', '2', '99', '1663489663119265794', '南阳市孔明路邮政支局', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017610', '2', '99', '1663489663119265794', '南阳市宛北揽投部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017611', '2', '99', '1663489663119265794', '南阳市宛城区分公司', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017612', '2', '99', '1663489663119265794', '南阳市宛城区分公司单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017613', '2', '99', '1663489663119265794', '南阳市宛城区分公司市场营销部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017614', '2', '99', '1663489663119265794', '南阳市宛城区分公司渠道平台部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017615', '2', '99', '1663489663119265794', '南阳市宛城区分公司金融业务部（中邮保险局）', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017616', '2', '99', '1663489663119265794', '南阳市宛城区分公司集邮与文化传媒部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017617', '2', '99', '1663489663119265794', '南阳市宛城区寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017618', '2', '99', '1663489663119265794', '南阳市宛城区寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017619', '2', '99', '1663489663119265794', '南阳市建设路邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017620', '2', '99', '1663489663119265794', '南阳市新北揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017621', '2', '99', '1663489663119265794', '南阳市新区揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017622', '2', '99', '1663489663119265794', '南阳市新华揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017623', '2', '99', '1663489663119265794', '南阳市杜诗路河南工业职业技术学院直投揽投部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017624', '2', '99', '1663489663119265794', '南阳市电商客户宛城区揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017625', '2', '99', '1663489663119265794', '南阳市白河揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017626', '2', '99', '1663489663119265794', '南阳市范蠡路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017627', '2', '99', '1663489663119265794', '南阳市金辉邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017628', '2', '99', '1663489663119265794', '南阳市长江路南阳理工学院直投揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017629', '2', '99', '1663489663119265794', '南阳市长江路邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017630', '2', '99', '1663489663119265794', '南阳市高新揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805007365017631', '2', '99', '1663489663119265794', '南阳市高新路邮政所', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671040', '2', '99', '1663489663119265795', '南阳市东兴揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671041', '2', '99', '1663489663119265795', '南阳市五一路邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671042', '2', '99', '1663489663119265795', '南阳市官庄工中南路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671043', '2', '99', '1663489663119265795', '南阳市官庄工区东区邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671044', '2', '99', '1663489663119265795', '南阳市官庄工区分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671045', '2', '99', '1663489663119265795', '南阳市官庄工区分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671046', '2', '99', '1663489663119265795', '南阳市官庄工区分公司渠道平台中心', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671047', '2', '99', '1663489663119265795', '南阳市官庄工区分公司金融业务中心（中邮保险中心）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671048', '2', '99', '1663489663119265795', '南阳市官庄工区分公司集邮与文化传媒中心', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671049', '2', '99', '1663489663119265795', '南阳市官庄工区寄递事业部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671050', '2', '99', '1663489663119265795', '南阳市官庄工区寄递事业部单位领导部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671051', '2', '99', '1663489663119265795', '南阳市官庄工区寄递事业部运输中心（纯核算）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671052', '2', '99', '1663489663119265795', '南阳市宛城中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805104819671053', '2', '99', '1663489663119265795', '南阳市电商客户官庄工区揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141504', '2', '99', '1663489663119265796', '南阳市人民中路揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141505', '2', '99', '1663489663119265796', '南阳市光彩揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141506', '2', '99', '1663489663119265796', '南阳市光武西路邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141507', '2', '99', '1663489663119265796', '南阳市南阳农业职业学院邮政校园服务中心', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141508', '2', '99', '1663489663119265796', '南阳市南阳师范学院邮政校园服务中心', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141509', '2', '99', '1663489663119265796', '南阳市卧龙区分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141510', '2', '99', '1663489663119265796', '南阳市卧龙区分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141511', '2', '99', '1663489663119265796', '南阳市卧龙区分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141512', '2', '99', '1663489663119265796', '南阳市卧龙区分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141513', '2', '99', '1663489663119265796', '南阳市卧龙区分公司金融业务部（中邮保险局）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141514', '2', '99', '1663489663119265796', '南阳市卧龙区分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141515', '2', '99', '1663489663119265796', '南阳市卧龙区寄递事业部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141516', '2', '99', '1663489663119265796', '南阳市卧龙区寄递事业部单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141517', '2', '99', '1663489663119265796', '南阳市卧龙岗邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141518', '2', '99', '1663489663119265796', '南阳市卧龙揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141519', '2', '99', '1663489663119265796', '南阳市卧龙路南阳医学高等专科学校直投揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141520', '2', '99', '1663489663119265796', '南阳市卧龙车站揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141521', '2', '99', '1663489663119265796', '南阳市卧龙高校揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141522', '2', '99', '1663489663119265796', '南阳市工业北路揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141523', '2', '99', '1663489663119265796', '南阳市工业南路揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141524', '2', '99', '1663489663119265796', '南阳市工业路邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141525', '2', '99', '1663489663119265796', '南阳市师院揽投部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141526', '2', '99', '1663489663119265796', '南阳市师院邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141527', '2', '99', '1663489663119265796', '南阳市张衡中路邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141528', '2', '99', '1663489663119265796', '南阳市新华中路揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141529', '2', '99', '1663489663119265796', '南阳市新西揽投部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141530', '2', '99', '1663489663119265796', '南阳市梅溪路邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141531', '2', '99', '1663489663119265796', '南阳市火车站邮政所', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141532', '2', '99', '1663489663119265796', '南阳市电商客户卧龙区揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141533', '2', '99', '1663489663119265796', '南阳市邮件中心邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141534', '2', '99', '1663489663119265796', '南阳市铁西揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141535', '2', '99', '1663489663119265796', '南阳市雪枫西路南阳农业职业学院直投揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141536', '2', '99', '1663489663119265796', '南阳市靳岗邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805187829141537', '2', '99', '1663489663119265796', '南阳市鸿雁邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146688', '2', '99', '1663489663119265797', '南阳市分公司中邮保险业务部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146689', '2', '99', '1663489663119265797', '南阳市分公司人力资源部（党委组织部）', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146690', '2', '99', '1663489663119265797', '南阳市分公司党委党建工作部', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146691', '2', '99', '1663489663119265797', '南阳市分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146692', '2', '99', '1663489663119265797', '南阳市分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146693', '2', '99', '1663489663119265797', '南阳市分公司市场营销部客户营销中心', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146694', '2', '99', '1663489663119265797', '南阳市分公司服务质量部（普遍服务部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146695', '2', '99', '1663489663119265797', '南阳市分公司本部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146696', '2', '99', '1663489663119265797', '南阳市分公司机要通信分局', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146697', '2', '99', '1663489663119265797', '南阳市分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146698', '2', '99', '1663489663119265797', '南阳市分公司纪委办公室', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146699', '2', '99', '1663489663119265797', '南阳市分公司综合办公室（党委办公室、安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146700', '2', '99', '1663489663119265797', '南阳市分公司财务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146701', '2', '99', '1663489663119265797', '南阳市分公司邮政工会', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146702', '2', '99', '1663489663119265797', '南阳市分公司金融业务部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146703', '2', '99', '1663489663119265797', '南阳市分公司集邮与文化传媒部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146704', '2', '99', '1663489663119265797', '南阳市分公司非领导职务部门', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146705', '2', '99', '1663489663119265797', '南阳市商企客户揽投部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146706', '2', '99', '1663489663119265797', '南阳市国际公司直属国际小包营业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146707', '2', '99', '1663489663119265797', '南阳市国际公司直属国际营业部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146708', '2', '99', '1663489663119265797', '南阳市宛东物流项目组', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146709', '2', '99', '1663489663119265797', '南阳市宛西物流项目组', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146710', '2', '99', '1663489663119265797', '南阳市寄递事业部单位领导部门', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146711', '2', '99', '1663489663119265797', '南阳市寄递事业部国际业务分公司', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146712', '2', '99', '1663489663119265797', '南阳市寄递事业部国际业务分公司市场部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146713', '2', '99', '1663489663119265797', '南阳市寄递事业部国际业务分公司运营部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146714', '2', '99', '1663489663119265797', '南阳市寄递事业部市场部', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146715', '2', '99', '1663489663119265797', '南阳市寄递事业部快递包裹部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146716', '2', '99', '1663489663119265797', '南阳市寄递事业部快递包裹部电商营销中心', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146717', '2', '99', '1663489663119265797', '南阳市寄递事业部服务质量部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146718', '2', '99', '1663489663119265797', '南阳市寄递事业部服务质量部客户服务中心', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146719', '2', '99', '1663489663119265797', '南阳市寄递事业部本部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146720', '2', '99', '1663489663119265797', '南阳市寄递事业部物流营销中心', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146721', '2', '99', '1663489663119265797', '南阳市寄递事业部综合部(党委办公室)', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146722', '2', '99', '1663489663119265797', '南阳市寄递事业部网路运营中心', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146723', '2', '99', '1663489663119265797', '南阳市寄递事业部网路运营中心包件车间', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146724', '2', '99', '1663489663119265797', '南阳市寄递事业部网路运营中心普服车间', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146725', '2', '99', '1663489663119265797', '南阳市寄递事业部网路运营中心运输车间', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146726', '2', '99', '1663489663119265797', '南阳市寄递事业部运营管理部', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146727', '2', '99', '1663489663119265797', '南阳市寄递事业部速递部', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146728', '2', '99', '1663489663119265797', '南阳市寄递事业部速递部商企营销中心', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146729', '2', '99', '1663489663119265797', '南阳市寄递事业部速递部政务营销中心', null, null, '41', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146730', '2', '99', '1663489663119265797', '南阳市寄递事业部非领导职务部门', null, null, '42', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146731', '2', '99', '1663489663119265797', '南阳市政务客户揽投部', null, null, '43', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146732', '2', '99', '1663489663119265797', '南阳市电商客户高新区揽投部', null, null, '44', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146733', '2', '99', '1663489663119265797', '南阳市移动物流项目组', null, null, '45', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805268972146734', '2', '99', '1663489663119265797', '南阳市赊店物流项目组', null, null, '46', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207616', '2', '99', '1663489663119265798', '南阳市溧河揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207617', '2', '99', '1663489663119265798', '南阳市电商客户郊区揽投部', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207618', '2', '99', '1663489663119265798', '南阳市郊区分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207619', '2', '99', '1663489663119265798', '南阳市郊区分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207620', '2', '99', '1663489663119265798', '南阳市郊区分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207621', '2', '99', '1663489663119265798', '南阳市郊区分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207622', '2', '99', '1663489663119265798', '南阳市郊区分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207623', '2', '99', '1663489663119265798', '南阳市郊区分公司综合办公室（安全保卫部）', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207624', '2', '99', '1663489663119265798', '南阳市郊区分公司金融业务部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207625', '2', '99', '1663489663119265798', '南阳市郊区分公司集邮与文化传媒部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207626', '2', '99', '1663489663119265798', '南阳市郊区分公司非领导职务部门', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207627', '2', '99', '1663489663119265798', '南阳市郊区寄递事业部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207628', '2', '99', '1663489663119265798', '南阳市郊区寄递事业部单位领导部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207629', '2', '99', '1663489663119265798', '南阳市郊区寄递事业部市场部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207630', '2', '99', '1663489663119265798', '南阳市郊区寄递事业部运营监控部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207631', '2', '99', '1663489663119265798', '南阳市郊区寄递事业部运输中心（纯核算）', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207632', '2', '99', '1663489663119265798', '南阳市郊区揽投部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207633', '2', '99', '1663489663119265798', '河南省郊区安皋邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207634', '2', '99', '1663489663119265798', '河南省郊区官庄邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207635', '2', '99', '1663489663119265798', '河南省郊区小寨邮政所', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207636', '2', '99', '1663489663119265798', '河南省郊区新店邮政支局', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207637', '2', '99', '1663489663119265798', '河南省郊区汉冢邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207638', '2', '99', '1663489663119265798', '河南省郊区溧河邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207639', '2', '99', '1663489663119265798', '河南省郊区潦河坡邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207640', '2', '99', '1663489663119265798', '河南省郊区潦河邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207641', '2', '99', '1663489663119265798', '河南省郊区王村邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207642', '2', '99', '1663489663119265798', '河南省郊区瓦店邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207643', '2', '99', '1663489663119265798', '河南省郊区白河邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207644', '2', '99', '1663489663119265798', '河南省郊区石桥邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207645', '2', '99', '1663489663119265798', '河南省郊区红泥湾邮政所', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207646', '2', '99', '1663489663119265798', '河南省郊区英庄邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207647', '2', '99', '1663489663119265798', '河南省郊区茶庵邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207648', '2', '99', '1663489663119265798', '河南省郊区蒲山邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207649', '2', '99', '1663489663119265798', '河南省郊区谢庄邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207650', '2', '99', '1663489663119265798', '河南省郊区金华邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207651', '2', '99', '1663489663119265798', '河南省郊区陆营邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207652', '2', '99', '1663489663119265798', '河南省郊区青华邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207653', '2', '99', '1663489663119265798', '河南省郊区高庙邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805364212207654', '2', '99', '1663489663119265798', '河南省郊区黄台岗邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421248', '2', '99', '1663489663119265799', '河南省内乡县七里坪邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421249', '2', '99', '1663489663119265799', '河南省内乡县乍曲邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421250', '2', '99', '1663489663119265799', '河南省内乡县余关邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421251', '2', '99', '1663489663119265799', '河南省内乡县分公司', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421252', '2', '99', '1663489663119265799', '河南省内乡县分公司单位领导部门', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421253', '2', '99', '1663489663119265799', '河南省内乡县分公司市场营销部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421254', '2', '99', '1663489663119265799', '河南省内乡县分公司机要室', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421255', '2', '99', '1663489663119265799', '河南省内乡县分公司渠道平台部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421256', '2', '99', '1663489663119265799', '河南省内乡县分公司综合办公室（安全保卫部）', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421257', '2', '99', '1663489663119265799', '河南省内乡县分公司金融业务部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421258', '2', '99', '1663489663119265799', '河南省内乡县分公司集邮与文化传媒部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421259', '2', '99', '1663489663119265799', '河南省内乡县分公司非领导职务部门', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421260', '2', '99', '1663489663119265799', '河南省内乡县北大街邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421261', '2', '99', '1663489663119265799', '河南省内乡县南关邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421262', '2', '99', '1663489663119265799', '河南省内乡县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421263', '2', '99', '1663489663119265799', '河南省内乡县城区揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421264', '2', '99', '1663489663119265799', '河南省内乡县夏馆邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421265', '2', '99', '1663489663119265799', '河南省内乡县大桥邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421266', '2', '99', '1663489663119265799', '河南省内乡县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421267', '2', '99', '1663489663119265799', '河南省内乡县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421268', '2', '99', '1663489663119265799', '河南省内乡县寄递事业部市场部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421269', '2', '99', '1663489663119265799', '河南省内乡县寄递事业部运营监控部', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421270', '2', '99', '1663489663119265799', '河南省内乡县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421271', '2', '99', '1663489663119265799', '河南省内乡县师岗邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421272', '2', '99', '1663489663119265799', '河南省内乡县板场邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421273', '2', '99', '1663489663119265799', '河南省内乡县桃溪邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421274', '2', '99', '1663489663119265799', '河南省内乡县湍东邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421275', '2', '99', '1663489663119265799', '河南省内乡县灌涨邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421276', '2', '99', '1663489663119265799', '河南省内乡县王店邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421277', '2', '99', '1663489663119265799', '河南省内乡县瓦亭邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421278', '2', '99', '1663489663119265799', '河南省内乡县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421279', '2', '99', '1663489663119265799', '河南省内乡县西环邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421280', '2', '99', '1663489663119265799', '河南省内乡县赤眉邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421281', '2', '99', '1663489663119265799', '河南省内乡县赵店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805449914421282', '2', '99', '1663489663119265799', '河南省内乡县马山邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689856', '2', '99', '1663489663119265800', '河南省南召县中华路邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689857', '2', '99', '1663489663119265800', '河南省南召县乔端邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689858', '2', '99', '1663489663119265800', '河南省南召县云阳中心邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689859', '2', '99', '1663489663119265800', '河南省南召县云阳古城邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689860', '2', '99', '1663489663119265800', '河南省南召县云阳邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689861', '2', '99', '1663489663119265800', '河南省南召县人民南路邮政支局', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689862', '2', '99', '1663489663119265800', '河南省南召县分公司', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689863', '2', '99', '1663489663119265800', '河南省南召县分公司单位领导部门', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689864', '2', '99', '1663489663119265800', '河南省南召县分公司市场营销部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689865', '2', '99', '1663489663119265800', '河南省南召县分公司机要室', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689866', '2', '99', '1663489663119265800', '河南省南召县分公司渠道平台部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689867', '2', '99', '1663489663119265800', '河南省南召县分公司综合办公室（安全保卫部）', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689868', '2', '99', '1663489663119265800', '河南省南召县分公司金融业务部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689869', '2', '99', '1663489663119265800', '河南省南召县分公司集邮与文化传媒部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689870', '2', '99', '1663489663119265800', '河南省南召县分公司非领导职务部门', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689871', '2', '99', '1663489663119265800', '河南省南召县南河店邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689872', '2', '99', '1663489663119265800', '河南省南召县向东邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689873', '2', '99', '1663489663119265800', '河南省南召县四棵树邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689874', '2', '99', '1663489663119265800', '河南省南召县城区中心揽投部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689875', '2', '99', '1663489663119265800', '河南省南召县太山庙邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689876', '2', '99', '1663489663119265800', '河南省南召县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689877', '2', '99', '1663489663119265800', '河南省南召县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689878', '2', '99', '1663489663119265800', '河南省南召县寄递事业部市场部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689879', '2', '99', '1663489663119265800', '河南省南召县寄递事业部运营监控部', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689880', '2', '99', '1663489663119265800', '河南省南召县寄递事业部运输中心（纯核算）', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689881', '2', '99', '1663489663119265800', '河南省南召县小店邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689882', '2', '99', '1663489663119265800', '河南省南召县崔庄邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689883', '2', '99', '1663489663119265800', '河南省南召县揽投部', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689884', '2', '99', '1663489663119265800', '河南省南召县板山坪邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689885', '2', '99', '1663489663119265800', '河南省南召县电商客户揽投部', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689886', '2', '99', '1663489663119265800', '河南省南召县留山邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689887', '2', '99', '1663489663119265800', '河南省南召县白土岗邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689888', '2', '99', '1663489663119265800', '河南省南召县皇后邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689889', '2', '99', '1663489663119265800', '河南省南召县皇路店邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689890', '2', '99', '1663489663119265800', '河南省南召县石门邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689891', '2', '99', '1663489663119265800', '河南省南召县红宇邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689892', '2', '99', '1663489663119265800', '河南省南召县马市坪邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689893', '2', '99', '1663489663119265800', '河南省南召县鸭河邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689894', '2', '99', '1663489663119265800', '河南省南召县黄洋南路邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805520701689895', '2', '99', '1663489663119265800', '河南省南召县黄洋路邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216960', '2', '99', '1663489663119265801', '河南省唐河县上屯邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216961', '2', '99', '1663489663119265801', '河南省唐河县井楼邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216962', '2', '99', '1663489663119265801', '河南省唐河县分公司', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216963', '2', '99', '1663489663119265801', '河南省唐河县分公司单位领导部门', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216964', '2', '99', '1663489663119265801', '河南省唐河县分公司市场营销部', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216965', '2', '99', '1663489663119265801', '河南省唐河县分公司机要室', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216966', '2', '99', '1663489663119265801', '河南省唐河县分公司渠道平台部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216967', '2', '99', '1663489663119265801', '河南省唐河县分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216968', '2', '99', '1663489663119265801', '河南省唐河县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216969', '2', '99', '1663489663119265801', '河南省唐河县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216970', '2', '99', '1663489663119265801', '河南省唐河县双河邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216971', '2', '99', '1663489663119265801', '河南省唐河县古城邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216972', '2', '99', '1663489663119265801', '河南省唐河县城区中心揽投部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216973', '2', '99', '1663489663119265801', '河南省唐河县城区邮政所', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216974', '2', '99', '1663489663119265801', '河南省唐河县城郊乡邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216975', '2', '99', '1663489663119265801', '河南省唐河县大河屯邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216976', '2', '99', '1663489663119265801', '河南省唐河县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216977', '2', '99', '1663489663119265801', '河南省唐河县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216978', '2', '99', '1663489663119265801', '河南省唐河县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216979', '2', '99', '1663489663119265801', '河南省唐河县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216980', '2', '99', '1663489663119265801', '河南省唐河县寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216981', '2', '99', '1663489663119265801', '河南省唐河县少拜寺邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216982', '2', '99', '1663489663119265801', '河南省唐河县张店邮政所', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216983', '2', '99', '1663489663119265801', '河南省唐河县文峰路邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216984', '2', '99', '1663489663119265801', '河南省唐河县昝岗邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216985', '2', '99', '1663489663119265801', '河南省唐河县桐寨铺邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216986', '2', '99', '1663489663119265801', '河南省唐河县桐河邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216987', '2', '99', '1663489663119265801', '河南省唐河县毕店邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216988', '2', '99', '1663489663119265801', '河南省唐河县湖阳邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216989', '2', '99', '1663489663119265801', '河南省唐河县源潭邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216990', '2', '99', '1663489663119265801', '河南省唐河县王集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216991', '2', '99', '1663489663119265801', '河南省唐河县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216992', '2', '99', '1663489663119265801', '河南省唐河县祁仪邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216993', '2', '99', '1663489663119265801', '河南省唐河县苍台邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216994', '2', '99', '1663489663119265801', '河南省唐河县行政中心揽投部', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216995', '2', '99', '1663489663119265801', '河南省唐河县郭滩邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216996', '2', '99', '1663489663119265801', '河南省唐河县马振抚邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216997', '2', '99', '1663489663119265801', '河南省唐河县黑龙镇邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216998', '2', '99', '1663489663119265801', '河南省唐河县龙潭邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805597042216999', '2', '99', '1663489663119265801', '河南省唐河市分公司综合办公室（安全保卫部）', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963264', '2', '99', '1663489663119265802', '河南省新野县上庄邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963265', '2', '99', '1663489663119265802', '河南省新野县上港邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963266', '2', '99', '1663489663119265802', '河南省新野县东关邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963267', '2', '99', '1663489663119265802', '河南省新野县中心邮政所', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963268', '2', '99', '1663489663119265802', '河南省新野县五星邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963269', '2', '99', '1663489663119265802', '河南省新野县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963270', '2', '99', '1663489663119265802', '河南省新野县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963271', '2', '99', '1663489663119265802', '河南省新野县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963272', '2', '99', '1663489663119265802', '河南省新野县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963273', '2', '99', '1663489663119265802', '河南省新野县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963274', '2', '99', '1663489663119265802', '河南省新野县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963275', '2', '99', '1663489663119265802', '河南省新野县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963276', '2', '99', '1663489663119265802', '河南省新野县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963277', '2', '99', '1663489663119265802', '河南省新野县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963278', '2', '99', '1663489663119265802', '河南省新野县北关邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963279', '2', '99', '1663489663119265802', '河南省新野县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963280', '2', '99', '1663489663119265802', '河南省新野县城郊乡邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963281', '2', '99', '1663489663119265802', '河南省新野县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963282', '2', '99', '1663489663119265802', '河南省新野县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963283', '2', '99', '1663489663119265802', '河南省新野县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963284', '2', '99', '1663489663119265802', '河南省新野县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963285', '2', '99', '1663489663119265802', '河南省新野县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963286', '2', '99', '1663489663119265802', '河南省新野县揽投部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963287', '2', '99', '1663489663119265802', '河南省新野县新甸邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963288', '2', '99', '1663489663119265802', '河南省新野县施庵邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963289', '2', '99', '1663489663119265802', '河南省新野县樊集邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963290', '2', '99', '1663489663119265802', '河南省新野县歪子邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963291', '2', '99', '1663489663119265802', '河南省新野县沙堰邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963292', '2', '99', '1663489663119265802', '河南省新野县溧河邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963293', '2', '99', '1663489663119265802', '河南省新野县王庄邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963294', '2', '99', '1663489663119265802', '河南省新野县王集邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963295', '2', '99', '1663489663119265802', '河南省新野县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805690893963296', '2', '99', '1663489663119265802', '河南省新野县高庙邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505024', '2', '99', '1663489663119265803', '河南省桐柏县东风桥邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505025', '2', '99', '1663489663119265803', '河南省桐柏县分公司', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505026', '2', '99', '1663489663119265803', '河南省桐柏县分公司单位领导部门', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505027', '2', '99', '1663489663119265803', '河南省桐柏县分公司市场营销部', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505028', '2', '99', '1663489663119265803', '河南省桐柏县分公司机要室', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505029', '2', '99', '1663489663119265803', '河南省桐柏县分公司渠道平台部', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505030', '2', '99', '1663489663119265803', '河南省桐柏县分公司综合办公室（安全保卫部）', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505031', '2', '99', '1663489663119265803', '河南省桐柏县分公司金融业务部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505032', '2', '99', '1663489663119265803', '河南省桐柏县分公司集邮与文化传媒部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505033', '2', '99', '1663489663119265803', '河南省桐柏县分公司非领导职务部门', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505034', '2', '99', '1663489663119265803', '河南省桐柏县吴城邮政支局', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505035', '2', '99', '1663489663119265803', '河南省桐柏县回龙邮政支局', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505036', '2', '99', '1663489663119265803', '河南省桐柏县固县邮政支局', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505037', '2', '99', '1663489663119265803', '河南省桐柏县城区中心揽投部', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505038', '2', '99', '1663489663119265803', '河南省桐柏县城区揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505039', '2', '99', '1663489663119265803', '河南省桐柏县城郊乡邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505040', '2', '99', '1663489663119265803', '河南省桐柏县埠江邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505041', '2', '99', '1663489663119265803', '河南省桐柏县大河邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505042', '2', '99', '1663489663119265803', '河南省桐柏县大河铜矿邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505043', '2', '99', '1663489663119265803', '河南省桐柏县安棚邮政支局', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505044', '2', '99', '1663489663119265803', '河南省桐柏县寄递事业部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505045', '2', '99', '1663489663119265803', '河南省桐柏县寄递事业部单位领导部门', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505046', '2', '99', '1663489663119265803', '河南省桐柏县寄递事业部运输中心（纯核算）', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505047', '2', '99', '1663489663119265803', '河南省桐柏县平氏邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505048', '2', '99', '1663489663119265803', '河南省桐柏县新集邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505049', '2', '99', '1663489663119265803', '河南省桐柏县月河邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505050', '2', '99', '1663489663119265803', '河南省桐柏县朱庄邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505051', '2', '99', '1663489663119265803', '河南省桐柏县杨庄邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505052', '2', '99', '1663489663119265803', '河南省桐柏县毛集邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505053', '2', '99', '1663489663119265803', '河南省桐柏县淮源大道邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505054', '2', '99', '1663489663119265803', '河南省桐柏县甲六路邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505055', '2', '99', '1663489663119265803', '河南省桐柏县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505056', '2', '99', '1663489663119265803', '河南省桐柏县程湾邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505057', '2', '99', '1663489663119265803', '河南省桐柏县鸿仪河邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805769285505058', '2', '99', '1663489663119265803', '河南省桐柏县黄岗邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431040', '2', '99', '1663489663119265804', '河南省淅川县上集揽投部', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431041', '2', '99', '1663489663119265804', '河南省淅川县丹江大道邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431042', '2', '99', '1663489663119265804', '河南省淅川县九重邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431043', '2', '99', '1663489663119265804', '河南省淅川县仓房邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431044', '2', '99', '1663489663119265804', '河南省淅川县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431045', '2', '99', '1663489663119265804', '河南省淅川县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431046', '2', '99', '1663489663119265804', '河南省淅川县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431047', '2', '99', '1663489663119265804', '河南省淅川县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431048', '2', '99', '1663489663119265804', '河南省淅川县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431049', '2', '99', '1663489663119265804', '河南省淅川县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431050', '2', '99', '1663489663119265804', '河南省淅川县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431051', '2', '99', '1663489663119265804', '河南省淅川县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431052', '2', '99', '1663489663119265804', '河南省淅川县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431053', '2', '99', '1663489663119265804', '河南省淅川县厚坡邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431054', '2', '99', '1663489663119265804', '河南省淅川县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431055', '2', '99', '1663489663119265804', '河南省淅川县大石桥邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431056', '2', '99', '1663489663119265804', '河南省淅川县寄递事业部', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431057', '2', '99', '1663489663119265804', '河南省淅川县寄递事业部单位领导部门', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431058', '2', '99', '1663489663119265804', '河南省淅川县寄递事业部市场部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431059', '2', '99', '1663489663119265804', '河南省淅川县寄递事业部运营监控部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431060', '2', '99', '1663489663119265804', '河南省淅川县寄递事业部运输中心（纯核算）', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431061', '2', '99', '1663489663119265804', '河南省淅川县寺湾邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431062', '2', '99', '1663489663119265804', '河南省淅川县毛堂邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431063', '2', '99', '1663489663119265804', '河南省淅川县滔河邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431064', '2', '99', '1663489663119265804', '河南省淅川县电商客户揽投部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431065', '2', '99', '1663489663119265804', '河南省淅川县盛湾邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431066', '2', '99', '1663489663119265804', '河南省淅川县老城邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431067', '2', '99', '1663489663119265804', '河南省淅川县荆紫关邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431068', '2', '99', '1663489663119265804', '河南省淅川县西簧邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431069', '2', '99', '1663489663119265804', '河南省淅川县解放街邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431070', '2', '99', '1663489663119265804', '河南省淅川县金河邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431071', '2', '99', '1663489663119265804', '河南省淅川县香花邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805836201431072', '2', '99', '1663489663119265804', '河南省淅川县马蹬邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952576', '2', '99', '1663489663119265805', '河南省社旗县丁庄邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952577', '2', '99', '1663489663119265805', '河南省社旗县下洼邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952578', '2', '99', '1663489663119265805', '河南省社旗县中心邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952579', '2', '99', '1663489663119265805', '河南省社旗县兴隆邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952580', '2', '99', '1663489663119265805', '河南省社旗县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952581', '2', '99', '1663489663119265805', '河南省社旗县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952582', '2', '99', '1663489663119265805', '河南省社旗县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952583', '2', '99', '1663489663119265805', '河南省社旗县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952584', '2', '99', '1663489663119265805', '河南省社旗县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952585', '2', '99', '1663489663119265805', '河南省社旗县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952586', '2', '99', '1663489663119265805', '河南省社旗县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952587', '2', '99', '1663489663119265805', '河南省社旗县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952588', '2', '99', '1663489663119265805', '河南省社旗县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952589', '2', '99', '1663489663119265805', '河南省社旗县唐庄邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952590', '2', '99', '1663489663119265805', '河南省社旗县城区中心揽投部', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952591', '2', '99', '1663489663119265805', '河南省社旗县城郊邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952592', '2', '99', '1663489663119265805', '河南省社旗县大冯营邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952593', '2', '99', '1663489663119265805', '河南省社旗县太和邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952594', '2', '99', '1663489663119265805', '河南省社旗县寄递事业部', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952595', '2', '99', '1663489663119265805', '河南省社旗县寄递事业部单位领导部门', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952596', '2', '99', '1663489663119265805', '河南省社旗县寄递事业部城区特快揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952597', '2', '99', '1663489663119265805', '河南省社旗县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952598', '2', '99', '1663489663119265805', '河南省社旗县嵩山路邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952599', '2', '99', '1663489663119265805', '河南省社旗县晋庄邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952600', '2', '99', '1663489663119265805', '河南省社旗县朱集邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952601', '2', '99', '1663489663119265805', '河南省社旗县李店邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952602', '2', '99', '1663489663119265805', '河南省社旗县桥头邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952603', '2', '99', '1663489663119265805', '河南省社旗县田庄邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952604', '2', '99', '1663489663119265805', '河南省社旗县电商客户揽投部', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952605', '2', '99', '1663489663119265805', '河南省社旗县苗店邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952606', '2', '99', '1663489663119265805', '河南省社旗县郝寨邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952607', '2', '99', '1663489663119265805', '河南省社旗县陌陂邮政支局', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952608', '2', '99', '1663489663119265805', '河南省社旗县青台邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952609', '2', '99', '1663489663119265805', '河南省社旗县饶良邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663805915196952610', '2', '99', '1663489663119265805', '河南省社旗县香山路邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068288', '2', '99', '1663489663119265806', '河南省西峡县丁河邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068289', '2', '99', '1663489663119265806', '河南省西峡县丹水邮政支局', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068290', '2', '99', '1663489663119265806', '河南省西峡县二郎坪邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068291', '2', '99', '1663489663119265806', '河南省西峡县五里桥邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068292', '2', '99', '1663489663119265806', '河南省西峡县军马河邮政支局', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068293', '2', '99', '1663489663119265806', '河南省西峡县分公司', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068294', '2', '99', '1663489663119265806', '河南省西峡县分公司单位领导部门', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068295', '2', '99', '1663489663119265806', '河南省西峡县分公司市场营销部', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068296', '2', '99', '1663489663119265806', '河南省西峡县分公司机要室', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068297', '2', '99', '1663489663119265806', '河南省西峡县分公司渠道平台部', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068298', '2', '99', '1663489663119265806', '河南省西峡县分公司综合办公室（安全保卫部）', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068299', '2', '99', '1663489663119265806', '河南省西峡县分公司金融业务部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068300', '2', '99', '1663489663119265806', '河南省西峡县分公司集邮与文化传媒部', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068301', '2', '99', '1663489663119265806', '河南省西峡县分公司非领导职务部门', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068302', '2', '99', '1663489663119265806', '河南省西峡县北关邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068303', '2', '99', '1663489663119265806', '河南省西峡县南大街邮政支局', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068304', '2', '99', '1663489663119265806', '河南省西峡县南阳职业学院邮政校园服务中心', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068305', '2', '99', '1663489663119265806', '河南省西峡县双龙邮政支局', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068306', '2', '99', '1663489663119265806', '河南省西峡县回车邮政支局', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068307', '2', '99', '1663489663119265806', '河南省西峡县城区中心揽投部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068308', '2', '99', '1663489663119265806', '河南省西峡县城区揽投部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068309', '2', '99', '1663489663119265806', '河南省西峡县太平镇邮政支局', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068310', '2', '99', '1663489663119265806', '河南省西峡县寄递事业部', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068311', '2', '99', '1663489663119265806', '河南省西峡县寄递事业部单位领导部门', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068312', '2', '99', '1663489663119265806', '河南省西峡县寄递事业部市场部', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068313', '2', '99', '1663489663119265806', '河南省西峡县寄递事业部运营监控部', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068314', '2', '99', '1663489663119265806', '河南省西峡县寄递事业部运输中心（纯核算）', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068315', '2', '99', '1663489663119265806', '河南省西峡县寨根邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068316', '2', '99', '1663489663119265806', '河南省西峡县工业大道邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068317', '2', '99', '1663489663119265806', '河南省西峡县桑坪邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068318', '2', '99', '1663489663119265806', '河南省西峡县田关邮政支局', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068319', '2', '99', '1663489663119265806', '河南省西峡县电商客户揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068320', '2', '99', '1663489663119265806', '河南省西峡县石界河邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068321', '2', '99', '1663489663119265806', '河南省西峡县米坪邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068322', '2', '99', '1663489663119265806', '河南省西峡县莲花邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068323', '2', '99', '1663489663119265806', '河南省西峡县西坪邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068324', '2', '99', '1663489663119265806', '河南省西峡县重阳邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806004653068325', '2', '99', '1663489663119265806', '河南省西峡县阳城邮政支局', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847488', '2', '99', '1663489663119265807', '河南省镇平县三里河邮政支局', null, null, '0', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847489', '2', '99', '1663489663119265807', '河南省镇平县中心邮政所', null, null, '1', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847490', '2', '99', '1663489663119265807', '河南省镇平县二龙邮政支局', null, null, '2', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847491', '2', '99', '1663489663119265807', '河南省镇平县候集邮政支局', null, null, '3', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847492', '2', '99', '1663489663119265807', '河南省镇平县分公司', null, null, '4', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847493', '2', '99', '1663489663119265807', '河南省镇平县分公司单位领导部门', null, null, '5', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847494', '2', '99', '1663489663119265807', '河南省镇平县分公司市场营销部', null, null, '6', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847495', '2', '99', '1663489663119265807', '河南省镇平县分公司机要室', null, null, '7', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847496', '2', '99', '1663489663119265807', '河南省镇平县分公司渠道平台部', null, null, '8', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847497', '2', '99', '1663489663119265807', '河南省镇平县分公司综合办公室（安全保卫部）', null, null, '9', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847498', '2', '99', '1663489663119265807', '河南省镇平县分公司金融业务部', null, null, '10', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847499', '2', '99', '1663489663119265807', '河南省镇平县分公司集邮与文化传媒部', null, null, '11', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847500', '2', '99', '1663489663119265807', '河南省镇平县分公司非领导职务部门', null, null, '12', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847501', '2', '99', '1663489663119265807', '河南省镇平县南关邮政支局', null, null, '13', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847502', '2', '99', '1663489663119265807', '河南省镇平县卢医邮政支局', null, null, '14', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847503', '2', '99', '1663489663119265807', '河南省镇平县城区中心揽投部', null, null, '15', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847504', '2', '99', '1663489663119265807', '河南省镇平县安子营邮政支局', null, null, '16', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847505', '2', '99', '1663489663119265807', '河南省镇平县寄递事业部', null, null, '17', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847506', '2', '99', '1663489663119265807', '河南省镇平县寄递事业部单位领导部门', null, null, '18', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847507', '2', '99', '1663489663119265807', '河南省镇平县寄递事业部市场部', null, null, '19', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847508', '2', '99', '1663489663119265807', '河南省镇平县寄递事业部运营监控部', null, null, '20', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847509', '2', '99', '1663489663119265807', '河南省镇平县寄递事业部运输中心（纯核算）', null, null, '21', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847510', '2', '99', '1663489663119265807', '河南省镇平县张林邮政支局', null, null, '22', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847511', '2', '99', '1663489663119265807', '河南省镇平县彭营邮政支局', null, null, '23', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847512', '2', '99', '1663489663119265807', '河南省镇平县晁陂邮政支局', null, null, '24', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847513', '2', '99', '1663489663119265807', '河南省镇平县曲屯邮政支局', null, null, '25', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847514', '2', '99', '1663489663119265807', '河南省镇平县杨营邮政支局', null, null, '26', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847515', '2', '99', '1663489663119265807', '河南省镇平县枣园邮政支局', null, null, '27', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847516', '2', '99', '1663489663119265807', '河南省镇平县柳泉铺邮政支局', null, null, '28', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847517', '2', '99', '1663489663119265807', '河南省镇平县王岗邮政支局', null, null, '29', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847518', '2', '99', '1663489663119265807', '河南省镇平县电商客户揽投部', null, null, '30', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847519', '2', '99', '1663489663119265807', '河南省镇平县石佛寺揽投部', null, null, '31', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847520', '2', '99', '1663489663119265807', '河南省镇平县石佛寺邮政支局', null, null, '32', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847521', '2', '99', '1663489663119265807', '河南省镇平县老庄邮政支局', null, null, '33', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847522', '2', '99', '1663489663119265807', '河南省镇平县贾宋邮政支局', null, null, '34', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847523', '2', '99', '1663489663119265807', '河南省镇平县遮山邮政支局', null, null, '35', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847524', '2', '99', '1663489663119265807', '河南省镇平县郭庄邮政支局', null, null, '36', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847525', '2', '99', '1663489663119265807', '河南省镇平县雪枫揽投部', null, null, '37', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847526', '2', '99', '1663489663119265807', '河南省镇平县雪枫路邮政支局', null, null, '38', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847527', '2', '99', '1663489663119265807', '河南省镇平县马庄邮政支局', null, null, '39', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847528', '2', '99', '1663489663119265807', '河南省镇平县高丘邮政支局', null, null, '40', '1', null, '2023-05-31 00:00:00');
INSERT INTO `train_commit_org` VALUES ('1663806085078847529', '2', '99', '1663489663119265807', '河南省镇平县黑龙集邮政支局', null, null, '41', '1', null, '2023-05-31 00:00:00');

-- ----------------------------
-- Table structure for train_commit_record
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_record`;
CREATE TABLE `train_commit_record` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `commit_id` bigint(20) DEFAULT NULL COMMENT '承诺id',
  `book_id` varchar(255) DEFAULT NULL COMMENT '承诺书id',
  `book_title` varchar(255) DEFAULT NULL COMMENT '承诺书的标题',
  `create_id` bigint(20) DEFAULT NULL COMMENT '承诺人的id',
  `create_name` varchar(255) DEFAULT NULL COMMENT '承诺人名字',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构编号',
  `org_name` varchar(500) DEFAULT NULL,
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(500) DEFAULT NULL,
  `commit_title` varchar(255) DEFAULT NULL COMMENT '承诺书的内容',
  `post_name` varchar(255) DEFAULT NULL COMMENT '岗位',
  `com_content` varchar(255) DEFAULT NULL COMMENT '确认内容',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `post_id` bigint(20) DEFAULT NULL COMMENT '岗位id',
  `shu_id` bigint(20) DEFAULT NULL COMMENT '属性id',
  `shu_name` varchar(255) DEFAULT NULL COMMENT '属性',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_id` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='承诺书确认记录表';

-- ----------------------------
-- Records of train_commit_record
-- ----------------------------
INSERT INTO `train_commit_record` VALUES ('1661214645689651200', '1661210957264850944', '1661213018060623872,1661213018190647296', '1,2', '1555010577007513600', '张磊', '1323441314733363200', null, '河南省分公司本部', '1323441857501466625', null, '非领导职务部门', null, '其他人员', null, '2023-05-24 11:36:50', '1658292230399594496', null, null);
INSERT INTO `train_commit_record` VALUES ('1664191096122642432', '1664183068153483264', '1664183068300283904', '123', '1567097186544652288', '何云凡', '1663492773208264704', null, '省分公司本部', '1663731377738223617', null, '市场营销部', null, '其他人员', null, '2023-06-01 16:44:11', '1658292230399594496', '1658292506619678720', '外包人员');
INSERT INTO `train_commit_record` VALUES ('1664191630439223296', '1664190252308369408', '1664190252379672576', '营收资金缴存承诺书', '1567097186544652288', '何云凡', '1663721773105025024', null, '本部', '1663731837144535041', null, '河南省国际公司直属中速营业部', null, '其他人员', null, '2023-06-01 16:46:19', '1658292230399594496', '1658292506619678720', '外包人员');
INSERT INTO `train_commit_record` VALUES ('1664209094103404544', '1664190252308369408', '1664190252379672576', '营收资金缴存承诺书', '1592077522693132288', '高老师', '1663490020318777346', null, '濮阳市清丰县', '1663752673431785474', null, '河南省清丰县六塔邮政支局', null, '揽投人员', null, '2023-06-01 17:55:42', '1658291959208480768', '1658292506619678720', '外包人员');
INSERT INTO `train_commit_record` VALUES ('1665620715531014144', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:24:59', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620722325786624', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:01', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620726335541248', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:02', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620728776626176', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:02', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620729137336320', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:02', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620729896505344', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:02', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620730261409792', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:02', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620741502144512', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:05', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620741565059072', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:05', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620741716054016', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:05', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665620741724442624', '1664190252308369408', '1665595806939484160', '营收资金缴存监督承诺书', '1555010577007513600', '张磊', '1663492773208264704', null, '省分公司本部', '1663729419992305666', null, '河南省安阳县分公司', null, '专业序列', null, '2023-06-05 15:25:05', '1658292129367199744', '1658292425648640000', '合同工');
INSERT INTO `train_commit_record` VALUES ('1665655382934163456', '1664190252308369408', '1665595806901735424', '营收资金缴存承诺书', '1564137453919539200', '王宇航', '1663491544214278154', null, '郑州市经开区', '1663735078032904202', null, '郑州市南郊揽投部', null, '其他人员', null, '2023-06-05 17:42:44', '1658292230399594496', '1658292556770971648', '顶岗实习');
INSERT INTO `train_commit_record` VALUES ('1666044666145017856', '1666042653164310528', '1666042653227225088,1666042653281751040', '的大神大,动额动2多点323 ', '1565939234546782208', '王涵', '1663492773208264704', null, '省分公司本部', '1663731377738223619', null, '市场营销部数据中心', null, '其他人员', null, '2023-06-06 19:29:37', '1658292230399594496', '1658292556770971648', '顶岗实习');
INSERT INTO `train_commit_record` VALUES ('1666049169812492288', '1666048999867682816', '1666048999926403072,1666048999959957504', '却无法去潍坊地区为父亲为,前锋圈儿夫福地凡凡去放弃', '1565939234546782208', '王涵', '1663492773208264704', null, '省分公司本部', '1663731377738223621', null, '服务质量部（普遍服务部）客户服务中心', null, '其他人员', null, '2023-06-06 19:47:30', '1658292230399594496', '1658292556770971648', '顶岗实习');
INSERT INTO `train_commit_record` VALUES ('1666334693039149056', '1664190252308369408', '1665595806901735424', '营收资金缴存承诺书', '1590949853146517504', '王涵', '1663492773208264704', null, '省分公司本部', '1663731377738223617', null, '市场营销部', null, '其他人员', null, '2023-06-07 14:42:04', '1658292230399594496', '1658292556770971648', '顶岗实习');
INSERT INTO `train_commit_record` VALUES ('1666350007986556928', '1666042653164310528', '1666042653227225088,1666042653281751040', '的大神大,动额动2多点323 ', '1590949853146517504', '王涵', '1663492773208264704', null, '省分公司本部', '1663731377738223617', null, '市场营销部', null, '其他人员', null, '2023-06-07 15:42:56', '1658292230399594496', '1658292556770971648', '顶岗实习');
INSERT INTO `train_commit_record` VALUES ('1666696596525551616', '1664190252308369408', '1665595806901735424', '营收资金缴存承诺书', '1591967614425501696', '高志远', '1663492773208264704', null, '省分公司本部', '1663731377738223618', null, '市场营销部客户营销中心', null, '其他人员', null, '2023-06-08 14:40:09', '1658292230399594496', '1658292556770971648', '顶岗实习');
INSERT INTO `train_commit_record` VALUES ('1666703422302326784', '1666701981072363520', '1666701982422929408', '顶顶顶顶顶顶顶顶顶', '1590949853146517504', '王涵', '1663492773208264704', null, '省分公司本部', '1663731377738223616', null, '审计部', null, '其他人员', null, '2023-06-08 15:07:16', '1658292230399594496', '1658292462730481664', '劳务工');
INSERT INTO `train_commit_record` VALUES ('1668168542643687424', '1668092690920771584', '1668092692225200128', 'eeeeeeeeeeeeeee', '1555010577007513600', '张磊', '1663483512365387780', null, '安阳市汤阴县', '1663745697184354304', null, '安阳市豫鑫木糖醇物流项目组', null, '其他人员', null, '2023-06-12 16:09:08', '1658292230399594496', '1658292462730481664', '劳务工');

-- ----------------------------
-- Table structure for train_commit_send
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_send`;
CREATE TABLE `train_commit_send` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `mobile` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '手机号',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `state` smallint(6) DEFAULT NULL COMMENT '状态  1 成功  2失败',
  `commit_id` bigint(20) DEFAULT NULL COMMENT '通知id',
  `user_name` varchar(255) DEFAULT NULL COMMENT '用户名',
  `create_time` datetime DEFAULT NULL COMMENT '开始时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_id` (`id`) USING BTREE,
  KEY `idx_mobile` (`mobile`) USING BTREE,
  KEY `idx_commit_id` (`commit_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_commit_send
-- ----------------------------

-- ----------------------------
-- Table structure for train_commit_video
-- ----------------------------
DROP TABLE IF EXISTS `train_commit_video`;
CREATE TABLE `train_commit_video` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `commit_id` bigint(20) DEFAULT NULL COMMENT '承诺id',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构编号',
  `org_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `len` bigint(20) DEFAULT NULL COMMENT '观看视频时长',
  `post_name` varchar(255) DEFAULT NULL COMMENT '岗位',
  `shu_id` bigint(20) DEFAULT NULL COMMENT '属性id',
  `shu_name` varchar(255) DEFAULT NULL COMMENT '属性',
  `create_id` bigint(20) DEFAULT NULL COMMENT '承诺人的id',
  `create_name` varchar(255) DEFAULT NULL COMMENT '承诺人名字',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_commit_video
-- ----------------------------
INSERT INTO `train_commit_video` VALUES ('108409002078600023', '1668092852644745216', null, null, null, null, null, null, '4', null, null, null, '1591967614425501696', null, '2023-07-25 11:41:00');
INSERT INTO `train_commit_video` VALUES ('1664191100212088832', '1664183068153483264', null, null, null, null, null, null, '9', null, null, null, '1567097186544652288', null, '2023-06-01 16:44:12');
INSERT INTO `train_commit_video` VALUES ('1664191634520281088', '1664190252308369408', null, null, null, null, null, null, '16', null, null, null, '1567097186544652288', null, '2023-06-01 16:46:20');
INSERT INTO `train_commit_video` VALUES ('1664209098142519296', '1664190252308369408', null, null, null, null, null, null, '4', null, null, null, '1592077522693132288', null, '2023-06-01 17:55:43');
INSERT INTO `train_commit_video` VALUES ('1664581180084850688', '1664190252308369408', null, null, null, null, null, null, '16', null, null, null, '1591989767631933440', null, '2023-06-02 18:34:14');
INSERT INTO `train_commit_video` VALUES ('1665614395226591232', '1664183068153483264', null, null, null, null, null, null, '0', null, null, null, '1565939234546782208', null, '2023-06-05 14:59:52');
INSERT INTO `train_commit_video` VALUES ('1665620746707275776', '1664190252308369408', null, null, null, null, null, null, '16', null, null, null, '1555010577007513600', null, '2023-06-05 15:25:06');
INSERT INTO `train_commit_video` VALUES ('1665655386671288320', '1664190252308369408', null, null, null, null, null, null, '16', null, null, null, '1564137453919539200', null, '2023-06-05 17:42:45');
INSERT INTO `train_commit_video` VALUES ('1666044261373710336', '1666042653164310528', null, null, null, null, null, null, '30', null, null, null, '1565939234546782208', null, '2023-06-06 19:28:00');
INSERT INTO `train_commit_video` VALUES ('1666049173650280448', '1666048999867682816', null, null, null, null, null, null, '5', null, null, null, '1565939234546782208', null, '2023-06-06 19:47:31');
INSERT INTO `train_commit_video` VALUES ('1666251398649614336', '1666048795269533696', null, null, null, null, null, null, '0', null, null, null, '1565939234546782208', null, '2023-06-07 09:11:06');
INSERT INTO `train_commit_video` VALUES ('1666334696801439744', '1664190252308369408', null, null, null, null, null, null, '16', null, null, null, '1590949853146517504', null, '2023-06-07 14:42:05');
INSERT INTO `train_commit_video` VALUES ('1666350011916619776', '1666042653164310528', null, null, null, null, null, null, '31', null, null, null, '1590949853146517504', null, '2023-06-07 15:42:57');
INSERT INTO `train_commit_video` VALUES ('1666365138422337536', '1666048795269533696', null, null, null, null, null, null, '0', null, null, null, '1590949853146517504', null, '2023-06-07 16:43:03');
INSERT INTO `train_commit_video` VALUES ('1666368169775861760', '1666048999867682816', null, null, null, null, null, null, '5', null, null, null, '1590949853146517504', null, '2023-06-07 16:55:06');
INSERT INTO `train_commit_video` VALUES ('1666375650509983744', '1666368341792657408', null, null, null, null, null, null, '358', null, null, null, '1591967614425501696', null, '2023-06-07 17:24:50');
INSERT INTO `train_commit_video` VALUES ('1666376620279205888', '1666368341792657408', null, null, null, null, null, null, '665', null, null, null, '1590949853146517504', null, '2023-06-07 17:28:41');
INSERT INTO `train_commit_video` VALUES ('1666696600610803712', '1664190252308369408', null, null, null, null, null, null, '16', null, null, null, '1591967614425501696', null, '2023-06-08 14:40:10');
INSERT INTO `train_commit_video` VALUES ('1666703429315203072', '1666701981072363520', null, null, null, null, null, null, '23', null, null, null, '1590949853146517504', null, '2023-06-08 15:07:18');
INSERT INTO `train_commit_video` VALUES ('1668164630188527616', '1668092852644745216', null, null, null, null, null, null, '9', null, null, null, '1590949853146517504', null, '2023-06-12 15:53:35');
INSERT INTO `train_commit_video` VALUES ('1668168135469043712', '1668092852644745216', null, null, null, null, null, null, '0', null, null, null, '1555010577007513600', null, '2023-06-12 16:07:31');
INSERT INTO `train_commit_video` VALUES ('1668168550281515008', '1668092690920771584', null, null, null, null, null, null, '9', null, null, null, '1555010577007513600', null, '2023-06-12 16:09:10');
INSERT INTO `train_commit_video` VALUES ('1668511956555927552', '1668092690920771584', null, null, null, null, null, null, '0', null, null, null, '1591967614425501696', null, '2023-06-13 14:53:45');

-- ----------------------------
-- Table structure for train_course
-- ----------------------------
DROP TABLE IF EXISTS `train_course`;
CREATE TABLE `train_course` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `name` varchar(30) DEFAULT NULL COMMENT '课程名称',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `study_scope` smallint(6) DEFAULT NULL COMMENT '学习范围：1、公开。2、指定用户。',
  `study_org_id` bigint(20) DEFAULT NULL COMMENT '指定用户机构id',
  `study_org_code` varchar(20) DEFAULT NULL COMMENT '指定用户机构code',
  `study_org_use_code` varchar(20) DEFAULT NULL COMMENT '指定用户机构用户输入code',
  `study_org_name` varchar(20) DEFAULT NULL COMMENT '指定用户机构名',
  `study_require` smallint(6) DEFAULT NULL COMMENT '学习要求：1、无要求。2、单个课件学习时长不低于百分比',
  `study_percentage` int(11) DEFAULT '0' COMMENT '单个课件学习百分比（无要求时为0）',
  `outline` varchar(30) DEFAULT NULL COMMENT '课程大纲',
  `cover` json DEFAULT NULL COMMENT '封面',
  `description_type` smallint(1) DEFAULT NULL COMMENT '课程介绍展示类型（1、富文本，2、图片）',
  `description` json DEFAULT NULL COMMENT '课程介绍页（图片）',
  `description_text` longtext COMMENT '课程介绍(富文本)',
  `video_len` int(11) DEFAULT NULL COMMENT '学时（分钟）',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `is_top` smallint(1) DEFAULT NULL COMMENT '推荐设置：-1必不推荐 0正常 1必推荐 2置顶',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：-1待提交，0已拒绝，1待审核，10审核通过，20已发布，30已下架',
  `audit_cause` varchar(200) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `notes` varchar(50) DEFAULT NULL COMMENT '分享说明',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程';

-- ----------------------------
-- Records of train_course
-- ----------------------------
INSERT INTO `train_course` VALUES ('1602895608639787008', '国产化服务器及系统知识讲解', '1301371223997026304', '金融', '002', '1', null, null, null, null, '1', '0', '国产化服务器及系统知识讲解', '[{\"name\": \"19498c37310187b2d96ec59538ea8000ee2bf7a6.jpg\", \"path\": \"/train/2023/9/22/6183c8ade39d441dad128729622602f7.jpg\", \"size\": 131.7431640625, \"suffix\": \".jpg\"}]', '1', null, '<div class=\"paraTitle_GW6Jw level-1_YEXHC\" data-index=\"1\" data-tag=\"header\" data-uuid=\"gnbihzy8gj\" data-level=\"1\">\n<h2>主要功能</h2>\n</div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"gnbii05zgl\" data-idx=\"0-1\"><span class=\"text_fRIW3\" data-text=\"true\">银河麒麟操作系统V10充分适应5G时代需求，打通手机、</span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E5%B9%B3%E6%9D%BF%E7%94%B5%E8%84%91/1348389?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">平板电脑</a></span><span class=\"text_fRIW3\" data-text=\"true\">、PC等，实现多端融合。麒麟操作系统独创的kydroid技术，可以原生支持海量安卓应用，成功将300万余款安卓适配软硬件无缝迁移到国产平台上来。</span><span class=\"supWrap_QlEwy J-supWrap\"><sup data-tag=\"ref\"> </sup></span></div>\n<div class=\"paraTitle_GW6Jw level-1_YEXHC\" data-index=\"2\" data-tag=\"header\" data-uuid=\"gnbii05zia\" data-level=\"1\">\n<h2>产品特点</h2>\n</div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"gnbihzy8i7\" data-idx=\"1-1\"><span class=\"text_fRIW3\" data-text=\"true\">银河麒麟V10解决了困扰</span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E5%9B%BD%E4%BA%A7%E6%93%8D%E4%BD%9C%E7%B3%BB%E7%BB%9F/3633307?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">国产操作系统</a></span><span class=\"text_fRIW3\" data-text=\"true\">已久的几个大问题。</span></div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"gnbihzy8le\" data-idx=\"1-2\"><span class=\"text_fRIW3\" data-text=\"true\">首先是安全。其次是生态。银河麒麟操作系统V10集成了丰富的软件生态，包括办公、图形、游戏等11类3500款</span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E5%B0%8F%E7%A8%8B%E5%BA%8F/20056403?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">小程序</a></span><span class=\"text_fRIW3\" data-text=\"true\">，桌面版本中集成了</span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E5%AE%89%E5%8D%93/61750934?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">安卓</a></span><span class=\"text_fRIW3\" data-text=\"true\">兼容生态以及兼容了丰富的外设等，这些都是使用者日常所需，也是国产操作系统获得公众认可的首要条件之一。</span><span class=\"supWrap_QlEwy J-supWrap\"><sup data-tag=\"ref\"> </sup></span></div>\n<div class=\"paraTitle_GW6Jw level-1_YEXHC\" data-index=\"3\" data-tag=\"header\" data-uuid=\"gnbihzy8na\" data-level=\"1\">\n<h2>支持平台</h2>\n<div class=\"titleLine_LjcS6\"> </div>\n<span class=\"ttsBtn_f5loE paragraph_gEbhy\" data-tts-catalog=\"3\" data-tts-from=\"paragraph\">播报</span>\n<div class=\"editLemma_MyHwi\"><span class=\"text_dDmCP\">编辑</span></div>\n</div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"tJccRw7rbpEk\" data-idx=\"2-1\"><span class=\"text_fRIW3\" data-text=\"true\">银河麒麟桌面操作系统V10全面支持飞腾、龙芯、申威、兆芯、海光、鲲鹏、海思麒麟等主流国产CPU平台。</span></div>\n<div class=\"paraTitle_GW6Jw level-1_YEXHC\" data-index=\"4\" data-tag=\"header\" data-uuid=\"tJccQWRoqEXb\" data-level=\"1\">\n<h2>市场应用</h2>\n</div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"gnbihzy8ov\" data-idx=\"3-1\"><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E4%B8%AD%E5%9B%BD%E5%B7%A5%E7%A8%8B%E9%99%A2%E9%99%A2%E5%A3%AB/5925613?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">中国工程院院士</a></span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E5%BB%96%E6%B9%98%E7%A7%91/5128226?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">廖湘科</a></span><span class=\"text_fRIW3\" data-text=\"true\">参与了</span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E9%93%B6%E6%B2%B3%E9%BA%92%E9%BA%9F/2413751?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">银河麒麟</a></span><span class=\"text_fRIW3\" data-text=\"true\">操作系统的许多工作，廖湘科说，银河麒麟操作系统V10有望打破国外技术垄断，麒麟操作系统在中国党政和行业客户已经达到10000家。</span></div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"gnbii05zjy\" data-idx=\"3-2\"><span class=\"text_fRIW3\" data-text=\"true\">截至2020年8月，已有1千家以上国内外主流</span><span class=\"text_fRIW3\" data-text=\"true\"><a class=\"innerLink_i2Nk4\" href=\"https://baike.baidu.com/item/%E7%94%9F%E6%80%81%E4%BC%81%E4%B8%9A/50891863?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener noreferrer\">生态企业</a></span><span class=\"text_fRIW3\" data-text=\"true\">，在麒麟操作系统V10上完成1万款以上的软硬件产品适配。</span><span class=\"supWrap_QlEwy J-supWrap\"><sup data-tag=\"ref\"> <em id=\"sup-2\"></em></sup></span></div>\n<div class=\"para_ndwV6 content_c1G8_ MARK_MODULE\" data-tag=\"paragraph\" data-uuid=\"sNcXl4j0nMFp\" data-idx=\"3-3\"><span class=\"text_fRIW3\" data-text=\"true\">2021年10月27日，麒麟软件正式发布了“银河麒麟操作系统V10 SP1 版本”。</span></div>\n<div class=\"paraTitle_GW6Jw level-1_YEXHC\" data-index=\"5\" data-tag=\"header\" data-uuid=\"tDAmr1K28gkJ\" data-level=\"1\"> </div>', '3', '', '0', '20', null, '1561995446459699200', '李昊杰', '001025', '2022-12-14 13:17:48', '');
INSERT INTO `train_course` VALUES ('1602895937418694656', 'java在线学习', '1301371027162533888', '金融', '002', '1', null, null, null, null, '1', '0', '', '[{\"name\": \"微信截图_20230329152307.png\", \"path\": \"/train/2023/3/29/0b77c735d8c04c4b9c81ee21ebe1c12a.png\", \"size\": 240.490234375, \"suffix\": \".png\"}]', '1', null, '<p><a href=\"https://baike.baidu.com/item/Java%E5%B9%B3%E5%8F%B0/3793459?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"3793459\" data-log=\"text\">Java平台</a>由<a href=\"https://baike.baidu.com/item/Java%E8%99%9A%E6%8B%9F%E6%9C%BA/6810577?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"6810577\" data-log=\"text\">Java虚拟机</a>(Java Virtual Machine)和Java 应用编程接口(Application Programming Interface、简称API)构成。Java 应用编程接口为Java应用提供了一个独立于操作系统的标准接口，可分为基本部分和扩展部分。在硬件或操作系统平台上安装一个Java平台之后，Java应用程序就可运行。Java平台已经嵌入了几乎所有的操作系统。这样<a href=\"https://baike.baidu.com/item/Java/85979?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"85979\" data-log=\"text\">Java</a>程序可以只编译一次，就可以在各种系统中运行。Java应用编程接口已经从1.1x版发展到1.2版。常用的Java平台基于Java1.8，最近版本为Java19。</p>', '3', '', '1', '20', null, '1561995446459699200', '李昊杰', '001025', '2022-12-14 13:19:07', '');
INSERT INTO `train_course` VALUES ('1602896300674781184', 'vue学习', '1301371223997026304', '金融', '002', '1', null, null, null, null, '1', '0', '', '[{\"name\": \"cff4cafa63cf401386830d4cad8ffa18.png\", \"path\": \"/train/2023/3/29/0cc16fdc649949e386ef94a4bb36b84a.png\", \"size\": 4.6865234375, \"suffix\": \".png\"}]', '1', null, '<p>vue官网说：Vue.js（读音 /vjuː/，类似于 view） 是一套构建用户界面的渐进式框架。与其他重量级框架不同的是，Vue 采用自底向上增量开发的设计。渐进式我个人理解就是阶梯式向前。vue是轻量级的，它有很多独立的功能或库，我们会根据我们的项目来选用vue的一些功能。就像我们开发项目时如果只用到vue的声明式渲染，我就只用vue的声明渲染，而我们要用他的组件系统，我们可以引用它的组件系统。<br /><img src=\"https://echftp.jinmingyuan.com/train/2023/3/29/4b2234fc509f4e719f4dfa7894ff26a1.png\" alt=\"\" width=\"1000\" height=\"420\" /></p>', '3', '', '1', '20', null, '1561995446459699200', '李昊杰', '001025', '2022-12-14 13:20:33', '');
INSERT INTO `train_course` VALUES ('1602896515964211200', 'chatgpt介绍', '1301371223997026304', '金融', '002', '1', null, null, null, null, '1', '0', '', '[{\"name\": \"微信图片_20230329150948.png\", \"path\": \"/train/2023/3/29/a972ccb5712e4004b44115795c502d1f.png\", \"size\": 175.462890625, \"suffix\": \".png\"}]', '1', null, '<p>ChatGPT是美国人工智能研究实验室<a href=\"https://baike.baidu.com/item/OpenAI/19758408?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"19758408\" data-log=\"text\">OpenAI</a>新推出的一种<a href=\"https://baike.baidu.com/item/%E4%BA%BA%E5%B7%A5%E6%99%BA%E8%83%BD%E6%8A%80%E6%9C%AF/1832047?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"1832047\" data-log=\"text\">人工智能技术</a>驱动的<a href=\"https://baike.baidu.com/item/%E8%87%AA%E7%84%B6%E8%AF%AD%E8%A8%80%E5%A4%84%E7%90%86/365730?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"365730\" data-log=\"text\">自然语言处理</a>工具，使用了Transformer<a href=\"https://baike.baidu.com/item/%E7%A5%9E%E7%BB%8F%E7%BD%91%E7%BB%9C/16600562?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"16600562\" data-log=\"text\">神经网络</a>架构，也是GPT-3.5架构，这是一种用于处理<a href=\"https://baike.baidu.com/item/%E5%BA%8F%E5%88%97%E6%95%B0%E6%8D%AE/56402831?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"56402831\" data-log=\"text\">序列数据</a>的模型，拥有<a href=\"https://baike.baidu.com/item/%E8%AF%AD%E8%A8%80%E7%90%86%E8%A7%A3/20798011?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"20798011\" data-log=\"text\">语言理解</a>和文本生成能力，尤其是它会通过连接大量的<a href=\"https://baike.baidu.com/item/%E8%AF%AD%E6%96%99%E5%BA%93/11029908?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"11029908\" data-log=\"text\">语料库</a>来训练模型，这些语料库包含了真实世界中的对话，使得ChatGPT具备上知天文下知地理，还能根据聊天的上下文进行互动的能力，做到与真正人类几乎无异的聊天场景进行交流。ChatGPT不单是<a href=\"https://baike.baidu.com/item/%E8%81%8A%E5%A4%A9%E6%9C%BA%E5%99%A8%E4%BA%BA/1052902?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"1052902\" data-log=\"text\">聊天机器人</a>，还能进行撰写<a href=\"https://baike.baidu.com/item/%E9%82%AE%E4%BB%B6/3110293?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"3110293\" data-log=\"text\">邮件</a>、视频脚本、文案、<a href=\"https://baike.baidu.com/item/%E7%BF%BB%E8%AF%91/32864?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"32864\" data-log=\"text\">翻译</a>、<a href=\"https://baike.baidu.com/item/%E4%BB%A3%E7%A0%81/86048?fromModule=lemma_inlink\" target=\"_blank\" rel=\"noopener\" data-lemmaid=\"86048\" data-log=\"text\">代码</a>等任务。</p>', '3', '', '1', '20', null, '1561995446459699200', '李昊杰', '001025', '2022-12-14 13:21:25', '');
INSERT INTO `train_course` VALUES ('1602897387829989376', '风险管理与保险规划', '1301371027162533888', '金融', '002', '1', null, null, null, null, '1', '0', '', '[{\"name\": \"68ddb7f0aadc46ab90728264489fe9b2.png\", \"path\": \"/train/2023/3/29/8b3afc8ad4ff4db9a37be1e7c6ed593d.png\", \"size\": 678.9072265625, \"suffix\": \".png\"}]', '2', '[{\"name\": \"68ddb7f0aadc46ab90728264489fe9b2.png\", \"path\": \"/train/2023/3/29/b49eea65a02945cfb581de4574457fd5.png\", \"size\": 678.9072265625, \"suffix\": \".png\"}]', '<p>55555</p>', '3', '', '1', '20', null, '1561995446459699200', '李昊杰', '001025', '2022-12-14 13:24:52', '');
INSERT INTO `train_course` VALUES ('1668104669093826560', 'TBase数据库入门', '1301371027162533888', '金融', '002', '1', null, null, null, null, '1', '0', 'TBase数据库入门', '[{\"name\": \"微信截图_20230922172239.png\", \"path\": \"/train/2023/9/22/6e37ea54cc3a4935aa1867023c0e1a7d.png\", \"size\": 73.2421875, \"suffix\": \".png\"}]', '1', null, '<h2>TBase简介</h2>\n<p>Tbase是腾讯开源的一个提供写可靠性，多主节点数据同步的关系数据库集群平台.你可以将Tbase配置一台或者多台主机上，Tbase数据存储在多台物理主机上面.数据表的存储有两种方式，分别是分布式或者复制，当向TBase发送查询SQL时，TBase会自动向数据节点发出查询语句并获取最终结果。</p>\n<p>TBase采用分布式集群架构(如下图)，该架构分布式为无共享(无共享)模式，节点之间相应独立，各自处理自己的数据，处理后的结果可能向上层汇总或在节点间流转，各处理单元之间通过网络协议进行通信，并行处理和扩展能力更好，这也意味着只需要简单的x86服务器就可以部署TBase数据库集群。</p>', '112', '', '0', '20', null, '1', '主宰', '001025', '2023-06-12 11:55:20', '');

-- ----------------------------
-- Table structure for train_course_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_course_appraise`;
CREATE TABLE `train_course_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '在线课程id',
  `site` smallint(1) DEFAULT NULL COMMENT '位置：1、课程评价。2、讲师。',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1星级评论 2文本评论',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程评价项';

-- ----------------------------
-- Records of train_course_appraise
-- ----------------------------
INSERT INTO `train_course_appraise` VALUES ('128160805783467289', '1668104669093826560', '2', '文本1', '1', '3');
INSERT INTO `train_course_appraise` VALUES ('128160805783995346', '1668104669093826560', '1', '文本1', '1', '3');
INSERT INTO `train_course_appraise` VALUES ('1596020419394146304', '1596020302926712832', '2', '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_course_appraise` VALUES ('1596020419394146308', '1596020302926712832', '1', '讲师', '1', '1');
INSERT INTO `train_course_appraise` VALUES ('1596027662533529600', '1596027627670474752', '2', '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_course_appraise` VALUES ('1596027662533529604', '1596027627670474752', '1', '僵尸讲的怎么样', '1', '1');
INSERT INTO `train_course_appraise` VALUES ('1602895697236070400', '1602895608639787008', '2', '文本1', '1', '3');
INSERT INTO `train_course_appraise` VALUES ('1602895979814719488', '1602895937418694656', '2', '文本1', '1', '3');
INSERT INTO `train_course_appraise` VALUES ('1602896335223263232', '1602896300674781184', '2', '讲师1', '1', '1');
INSERT INTO `train_course_appraise` VALUES ('1602896557244551168', '1602896515964211200', '2', '文本1', '1', '3');
INSERT INTO `train_course_appraise` VALUES ('1602898580224479232', '1602897387829989376', '2', '文本1', '1', '3');

-- ----------------------------
-- Table structure for train_course_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_course_appraise_option`;
CREATE TABLE `train_course_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程评价项内容';

-- ----------------------------
-- Records of train_course_appraise_option
-- ----------------------------
INSERT INTO `train_course_appraise_option` VALUES ('128160805783721049', '128160805783467289', '文本写的多吗', '0');
INSERT INTO `train_course_appraise_option` VALUES ('128160805783899988', '128160805783467289', '文本写的清楚吗', '1');
INSERT INTO `train_course_appraise_option` VALUES ('128160805784092291', '128160805783995346', '文本写的多吗', '0');
INSERT INTO `train_course_appraise_option` VALUES ('128160805784179548', '128160805783995346', '文本写的清楚吗', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1575666566136205313', '1575666566136205312', '讲师的知识底蕴和实战经验？	', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1575666566136205314', '1575666566136205312', '讲师的授课表达、气氛调动、进度控制能力？	', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906945', '1583410071549906944', '讲师的教学准备和教学态度', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906946', '1583410071549906944', '讲师的知识底蕴和授课表达', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906947', '1583410071549906944', '授课讲师的综合评分', '2');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906949', '1583410071549906948', '讲师的知识底蕴和实战经验？	', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906950', '1583410071549906948', '讲师的授课表达、气氛调动、进度控制能力？	', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906952', '1583410071549906951', '讲师的知识底蕴和实战经验', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906953', '1583410071549906951', '讲师的授课表达', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906954', '1583410071549906951', '对授课讲师进行打分', '2');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906956', '1583410071549906955', '课程框架清晰合理、层次分明', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1583410071549906957', '1583410071549906955', '对课程整体进行评价', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1587642963603886081', '1587642963603886080', '讲的生动', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1587642963603886082', '1587642963603886080', '讲的疼', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1587642963603886083', '1587642963603886080', '讲的难吃', '2');
INSERT INTO `train_course_appraise_option` VALUES ('1596020419394146305', '1596020419394146304', '讲的生动', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1596020419394146306', '1596020419394146304', '讲的疼', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1596020419394146307', '1596020419394146304', '讲的难吃', '2');
INSERT INTO `train_course_appraise_option` VALUES ('1596020419394146309', '1596020419394146308', '讲师的知识底蕴和实战经验？	', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1596020419394146310', '1596020419394146308', '讲师的授课表达、气氛调动、进度控制能力？	', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1596027662533529601', '1596027662533529600', '讲的生动', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1596027662533529602', '1596027662533529600', '讲的疼', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1596027662533529603', '1596027662533529600', '讲的难吃', '2');
INSERT INTO `train_course_appraise_option` VALUES ('1596027662533529605', '1596027662533529604', '讲的生动', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1596027662533529606', '1596027662533529604', '讲的疼', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1596027662533529607', '1596027662533529604', '讲的难吃', '2');
INSERT INTO `train_course_appraise_option` VALUES ('1602895697240264704', '1602895697236070400', '文本写的多吗', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1602895697240264705', '1602895697236070400', '文本写的清楚吗', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1602895979814719489', '1602895979814719488', '文本写的多吗', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1602895979814719490', '1602895979814719488', '文本写的清楚吗', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1602896335223263233', '1602896335223263232', '讲师讲的怎么样', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1602896335223263234', '1602896335223263232', '讲师作业多吗', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1602896557244551169', '1602896557244551168', '文本写的多吗', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1602896557244551170', '1602896557244551168', '文本写的清楚吗', '1');
INSERT INTO `train_course_appraise_option` VALUES ('1602898580224479233', '1602898580224479232', '文本写的多吗', '0');
INSERT INTO `train_course_appraise_option` VALUES ('1602898580224479234', '1602898580224479232', '文本写的清楚吗', '1');

-- ----------------------------
-- Table structure for train_course_like
-- ----------------------------
DROP TABLE IF EXISTS `train_course_like`;
CREATE TABLE `train_course_like` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '培训用户',
  `course_id` bigint(20) DEFAULT NULL COMMENT '在线课程id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程喜欢';

-- ----------------------------
-- Records of train_course_like
-- ----------------------------
INSERT INTO `train_course_like` VALUES ('1572796873801076736', '1565939234546782208', '1567705722337234944', '2022-09-22 11:56:11');
INSERT INTO `train_course_like` VALUES ('1572796873801076788', '1565939234546782208', '1567705722337234944', '2022-09-22 11:56:11');
INSERT INTO `train_course_like` VALUES ('1575663858696196096', '1555010577007513600', '1567705722337234944', '2022-09-30 09:48:33');
INSERT INTO `train_course_like` VALUES ('1596021300919406592', '1574656123775094784', '1596020302926712832', '2022-11-25 14:01:45');
INSERT INTO `train_course_like` VALUES ('1596027166850682880', '1574656123775094784', '1567705722337234944', '2022-11-25 14:25:04');
INSERT INTO `train_course_like` VALUES ('1596027181971148800', '1574656123775094784', '1587642806577532928', '2022-11-25 14:25:08');
INSERT INTO `train_course_like` VALUES ('1596027194281431040', '1574656123775094784', '1575665665078071296', '2022-11-25 14:25:11');
INSERT INTO `train_course_like` VALUES ('1596027757454823424', '1574656123775094784', '1596027627670474752', '2022-11-25 14:27:25');
INSERT INTO `train_course_like` VALUES ('1596323313641197568', '1574653861665312768', '1567705722337234944', '2022-11-26 10:01:51');
INSERT INTO `train_course_like` VALUES ('1596323326219915264', '1574653861665312768', '1575665665078071296', '2022-11-26 10:01:54');
INSERT INTO `train_course_like` VALUES ('1596323337792000000', '1574653861665312768', '1583410043481624576', '2022-11-26 10:01:57');
INSERT INTO `train_course_like` VALUES ('1596323350697873408', '1574653861665312768', '1587642806577532928', '2022-11-26 10:02:00');
INSERT INTO `train_course_like` VALUES ('1596323363427586048', '1574653861665312768', '1596020302926712832', '2022-11-26 10:02:03');
INSERT INTO `train_course_like` VALUES ('1596323375578484736', '1574653861665312768', '1596027627670474752', '2022-11-26 10:02:06');
INSERT INTO `train_course_like` VALUES ('1598953121768411136', '1555010577007513600', '1587642806577532928', '2022-12-03 16:11:46');

-- ----------------------------
-- Table structure for train_course_recommend
-- ----------------------------
DROP TABLE IF EXISTS `train_course_recommend`;
CREATE TABLE `train_course_recommend` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '课程id',
  `weight` int(11) DEFAULT NULL COMMENT '权重',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='课程推荐';

-- ----------------------------
-- Records of train_course_recommend
-- ----------------------------
INSERT INTO `train_course_recommend` VALUES ('433922676762918100', '1602895608639787008', '168');
INSERT INTO `train_course_recommend` VALUES ('433922676910420898', '1602895937418694656', '501');
INSERT INTO `train_course_recommend` VALUES ('433922676949731679', '1602896300674781184', '500');
INSERT INTO `train_course_recommend` VALUES ('433922676972430879', '1602896515964211200', '501');
INSERT INTO `train_course_recommend` VALUES ('433922676993402401', '1602897387829989376', '501');
INSERT INTO `train_course_recommend` VALUES ('433922677027251434', '1668104669093826560', '0');

-- ----------------------------
-- Table structure for train_course_scope
-- ----------------------------
DROP TABLE IF EXISTS `train_course_scope`;
CREATE TABLE `train_course_scope` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '课程id',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程学习范围';

-- ----------------------------
-- Records of train_course_scope
-- ----------------------------

-- ----------------------------
-- Table structure for train_course_trainer_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_course_trainer_appraise`;
CREATE TABLE `train_course_trainer_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '在线课程id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师名',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户讲师评价项';

-- ----------------------------
-- Records of train_course_trainer_appraise
-- ----------------------------

-- ----------------------------
-- Table structure for train_course_trainer_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_course_trainer_appraise_option`;
CREATE TABLE `train_course_trainer_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_appraise_id` bigint(20) DEFAULT NULL COMMENT '讲师评价项id',
  `appraise_option_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(10) DEFAULT '-1' COMMENT '评分',
  `content` varchar(200) DEFAULT NULL COMMENT '评价内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='讲师评价项内容';

-- ----------------------------
-- Records of train_course_trainer_appraise_option
-- ----------------------------

-- ----------------------------
-- Table structure for train_course_training_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_course_training_appraise`;
CREATE TABLE `train_course_training_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户在线课程评价项';

-- ----------------------------
-- Records of train_course_training_appraise
-- ----------------------------

-- ----------------------------
-- Table structure for train_course_training_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_course_training_appraise_option`;
CREATE TABLE `train_course_training_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `training_appraise_id` bigint(20) DEFAULT NULL COMMENT '培训班评价项id',
  `appraise_option_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `score` int(10) DEFAULT '-1' COMMENT '评分',
  `content` varchar(200) DEFAULT NULL COMMENT '评价内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户在线课程评价项内容';

-- ----------------------------
-- Records of train_course_training_appraise_option
-- ----------------------------

-- ----------------------------
-- Table structure for train_course_user
-- ----------------------------
DROP TABLE IF EXISTS `train_course_user`;
CREATE TABLE `train_course_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '在线课程id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '培训用户',
  `video_courseware_id` bigint(20) DEFAULT NULL COMMENT '当前学习课件id',
  `state` smallint(1) DEFAULT NULL COMMENT '学习状态：0、未开始。1、进行中。2、已结束。3、已评价。',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程学员';

-- ----------------------------
-- Records of train_course_user
-- ----------------------------
INSERT INTO `train_course_user` VALUES ('108411468668340036', '1602896300674781184', '1591967614425501696', '1600764292993519616', '1', '2023-07-25 11:41:24');
INSERT INTO `train_course_user` VALUES ('127949956718213376', '1602895937418694656', '1591967614425501696', '1600764292993519616', '1', '2023-09-22 11:39:06');
INSERT INTO `train_course_user` VALUES ('128116859914969707', '1575665665078071296', '1591967614425501696', '1567345269778026496', '1', '2023-09-22 16:17:16');
INSERT INTO `train_course_user` VALUES ('909297499885303621', '1602895937418694656', '1555010577007513600', '1600764292993519616', '1', '2023-08-10 15:18:45');
INSERT INTO `train_course_user` VALUES ('1571782287484391424', '1567705722337234944', '1569928315261816832', '1567345269778026496', '1', '2022-09-19 16:44:34');
INSERT INTO `train_course_user` VALUES ('1573139928081108992', '1567705722337234944', '1567451914025701376', '1567345269778026496', '1', '2022-09-23 10:39:21');
INSERT INTO `train_course_user` VALUES ('1575320066285768704', '1567705722337234944', '1567097186544652288', '1567345269778026496', '2', '2022-09-29 11:02:26');
INSERT INTO `train_course_user` VALUES ('1575663837389131776', '1567705722337234944', '1555010577007513600', '1567345269778026496', '1', '2022-09-30 09:48:28');
INSERT INTO `train_course_user` VALUES ('1575666686424649728', '1575665665078071296', '1555010577007513600', '1567345269778026496', '1', '2022-09-30 09:59:47');
INSERT INTO `train_course_user` VALUES ('1579374535772344320', '1575665665078071296', '1567097186544652288', '1567345269778026496', '1', '2022-10-10 15:33:27');
INSERT INTO `train_course_user` VALUES ('1585220814448496640', '1583410043481624576', '1574656123775094784', '1567345269778026496', '1', '2022-10-26 18:44:29');
INSERT INTO `train_course_user` VALUES ('1585220819066425344', '1583410043481624576', '1574656123775094784', '1567345269778026496', '1', '2022-10-26 18:44:30');
INSERT INTO `train_course_user` VALUES ('1585220820672843776', '1583410043481624576', '1574656123775094784', '1567345269778026496', '1', '2022-10-26 18:44:30');
INSERT INTO `train_course_user` VALUES ('1587643389686452224', '1587642806577532928', '1565939234546782208', '1583409688609951744', '1', '2022-11-02 11:10:56');
INSERT INTO `train_course_user` VALUES ('1587643918961479680', '1583410043481624576', '1565939234546782208', '1583409688609951744', '1', '2022-11-02 11:13:02');
INSERT INTO `train_course_user` VALUES ('1588090686362750976', '1567705722337234944', '1565939234546782208', '1567345269778026496', '1', '2022-11-03 16:48:20');
INSERT INTO `train_course_user` VALUES ('1588091255232008192', '1575665665078071296', '1565939234546782208', '1567345269778026496', '1', '2022-11-03 16:50:35');
INSERT INTO `train_course_user` VALUES ('1594505266798399488', '1587642806577532928', '1591967614425501696', '1583409688609951744', '1', '2022-11-21 09:37:35');
INSERT INTO `train_course_user` VALUES ('1594505267620483072', '1587642806577532928', '1591967614425501696', '1583409688609951744', '1', '2022-11-21 09:37:35');
INSERT INTO `train_course_user` VALUES ('1596020581306863616', '1596020302926712832', '1574656123775094784', '1592053988658909184', '1', '2022-11-25 13:58:54');
INSERT INTO `train_course_user` VALUES ('1598950262746255360', '1587642806577532928', '1555010577007513600', '1583409688609951744', '2', '2022-12-03 16:00:24');
INSERT INTO `train_course_user` VALUES ('1607913305597415424', '1575665665078071296', '1569928315261816832', '1567345269778026496', '2', '2022-12-28 09:36:20');
INSERT INTO `train_course_user` VALUES ('1607913446484086784', '1602895937418694656', '1569928315261816832', '1600764292993519616', '2', '2022-12-28 09:36:54');
INSERT INTO `train_course_user` VALUES ('1607914056600129536', '1596020302926712832', '1569928315261816832', '1592053988658909184', '2', '2022-12-28 09:39:19');
INSERT INTO `train_course_user` VALUES ('1607914677759774720', '1596027627670474752', '1569928315261816832', '1592053988658909184', '1', '2022-12-28 09:41:47');
INSERT INTO `train_course_user` VALUES ('1607932498157899776', '1587642806577532928', '1569928315261816832', '1583409688609951744', '1', '2022-12-28 10:52:36');
INSERT INTO `train_course_user` VALUES ('1607933873734422528', '1583410043481624576', '1569928315261816832', '1567345269778026496', '1', '2022-12-28 10:58:04');
INSERT INTO `train_course_user` VALUES ('1607934455190786048', '1602896300674781184', '1569928315261816832', '1600764292993519616', '1', '2022-12-28 11:00:23');
INSERT INTO `train_course_user` VALUES ('1607934859106455552', '1602895608639787008', '1569928315261816832', '1600764292993519616', '2', '2022-12-28 11:01:59');
INSERT INTO `train_course_user` VALUES ('1607973413631168512', '1602897387829989376', '1569928315261816832', '1600764292993519616', '2', '2022-12-28 13:35:11');
INSERT INTO `train_course_user` VALUES ('1607978509458870272', '1602896515964211200', '1569928315261816832', '1600764292993519616', '2', '2022-12-28 13:55:26');
INSERT INTO `train_course_user` VALUES ('1612030606810681344', '1602896300674781184', '1555010577007513600', '1600764292993519616', '1', '2023-01-08 18:17:01');
INSERT INTO `train_course_user` VALUES ('1640973061786308608', '1567705722337234944', '1591967614425501696', '1567345269778026496', '2', '2023-03-29 15:04:00');
INSERT INTO `train_course_user` VALUES ('1640973176580214784', '1602896515964211200', '1591967614425501696', '1600764292993519616', '1', '2023-03-29 15:04:28');
INSERT INTO `train_course_user` VALUES ('1640975020916346880', '1602897387829989376', '1591967614425501696', '1600764292993519616', '2', '2023-03-29 15:11:47');
INSERT INTO `train_course_user` VALUES ('1658398059853385728', '1602897387829989376', '1565939234546782208', '1600764292993519616', '1', '2023-05-16 17:04:44');
INSERT INTO `train_course_user` VALUES ('1658649012963774464', '1602896515964211200', '1555010577007513600', '1600764292993519616', '2', '2023-05-17 09:41:56');

-- ----------------------------
-- Table structure for train_course_user_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_course_user_appraise`;
CREATE TABLE `train_course_user_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名',
  `course_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户评价';

-- ----------------------------
-- Records of train_course_user_appraise
-- ----------------------------

-- ----------------------------
-- Table structure for train_course_video_courseware
-- ----------------------------
DROP TABLE IF EXISTS `train_course_video_courseware`;
CREATE TABLE `train_course_video_courseware` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `course_id` bigint(20) DEFAULT NULL COMMENT '在线课程id',
  `video_courseware_id` bigint(20) DEFAULT NULL COMMENT '视频课件id',
  `video_courseware_name` varchar(30) DEFAULT NULL COMMENT '自定义在线课程视频课件名称',
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程视频课件';

-- ----------------------------
-- Records of train_course_video_courseware
-- ----------------------------
INSERT INTO `train_course_video_courseware` VALUES ('128160805354165029', '1668104669093826560', '1619934230899462144', '主要功能', '1');
INSERT INTO `train_course_video_courseware` VALUES ('128160805354498763', '1668104669093826560', '1619934168261726208', '产品特点', '2');
INSERT INTO `train_course_video_courseware` VALUES ('128160805354605492', '1668104669093826560', '1619934113484115968', '支持平台', '3');
INSERT INTO `train_course_video_courseware` VALUES ('128160805354707403', '1668104669093826560', '1583409688609951744', '市场应用', '4');
INSERT INTO `train_course_video_courseware` VALUES ('1567705723079626752', '1567705722337234944', '1567345269778026496', '测试课件', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1575666566010376192', '1575665665078071296', '1567345269778026496', '测试课件', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1583410071424077824', '1583410043481624576', '1567345269778026496', '测试课件', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1583410071424077825', '1583410043481624576', '1583409688609951744', '后台在线课程-视频课件数据', '2');
INSERT INTO `train_course_video_courseware` VALUES ('1587642962618224640', '1587642806577532928', '1583409688609951744', '后台在线课程-视频课件数据', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1596020418840498176', '1596020302926712832', '1592053988658909184', '测试', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1596027661476564992', '1596027627670474752', '1592053988658909184', '测试', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1602895696187494400', '1602895608639787008', '1600764292993519616', '版本', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1602895978434793472', '1602895937418694656', '1600764292993519616', '版本', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1602896333893668864', '1602896300674781184', '1600764292993519616', '版本', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1602896555948511232', '1602896515964211200', '1600764292993519616', '版本', '1');
INSERT INTO `train_course_video_courseware` VALUES ('1602898578903273472', '1602897387829989376', '1600764292993519616', '版本', '1');

-- ----------------------------
-- Table structure for train_dormitory_card_room
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_card_room`;
CREATE TABLE `train_dormitory_card_room` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `ROOM_ID` bigint(19) DEFAULT NULL COMMENT '房间',
  `CARD_NO` varchar(128) DEFAULT NULL COMMENT '房卡',
  `DORMITORY_BY_NAME` varchar(128) DEFAULT NULL COMMENT '住宿人',
  `DORMITORY_CARD_NO` varchar(128) DEFAULT NULL COMMENT '住宿人身份证',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态 1开卡2销卡',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='房卡与房间 ';

-- ----------------------------
-- Records of train_dormitory_card_room
-- ----------------------------

-- ----------------------------
-- Table structure for train_dormitory_class
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_class`;
CREATE TABLE `train_dormitory_class` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `name` varchar(30) CHARACTER SET utf8 DEFAULT NULL COMMENT '培训班名称',
  `num` int(11) DEFAULT NULL COMMENT '培训人数（预计人数）',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `remark` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `state` int(2) DEFAULT NULL COMMENT '1未使用2已使用',
  `is_hidden` int(1) DEFAULT NULL COMMENT '0隐藏1正常',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `is_sync` int(2) DEFAULT NULL COMMENT '是否同步 0 未同步 1 已同步 同步状态废弃',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='离线住宿相关培训班';

-- ----------------------------
-- Records of train_dormitory_class
-- ----------------------------
INSERT INTO `train_dormitory_class` VALUES ('1', '测试培训班一', '100', '2022-10-25 17:03:01', '2022-10-27 17:03:05', null, '2', '1', '2022-10-26 17:22:07', '1');
INSERT INTO `train_dormitory_class` VALUES ('1594865298002022400', '测试培训班1122', '4', '2022-11-22 09:28:06', '2022-11-23 09:28:08', null, '1', '1', '2022-11-22 09:28:13', '0');
INSERT INTO `train_dormitory_class` VALUES ('1594890687814438912', '1122-离线住宿1001', '2', '2022-11-22 11:08:50', '2022-11-23 09:08:53', null, '1', '1', '2022-11-22 11:09:06', '0');
INSERT INTO `train_dormitory_class` VALUES ('1594891562758836224', ' 1122-离线住宿1003', '4', '2022-11-22 11:12:27', '2022-11-25 11:12:29', null, '1', '1', '2022-11-22 11:12:35', '0');
INSERT INTO `train_dormitory_class` VALUES ('1595260931183611904', '1123-离线01', '5', '2022-11-23 11:40:09', '2022-11-25 11:40:12', null, '1', '1', '2022-11-23 11:40:19', '0');

-- ----------------------------
-- Table structure for train_dormitory_floor
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_floor`;
CREATE TABLE `train_dormitory_floor` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `AREA_ID` bigint(19) DEFAULT NULL COMMENT '所属区域 数据字典',
  `FLOOR_NAME` varchar(19) DEFAULT NULL COMMENT '楼层',
  `state` smallint(5) DEFAULT NULL COMMENT '状态 1启用0禁用',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 1正常0删除',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='楼层管理 ';

-- ----------------------------
-- Records of train_dormitory_floor
-- ----------------------------
INSERT INTO `train_dormitory_floor` VALUES ('1595323238752325632', null, '1', '1', '1', '1', '2022-11-23 15:47:55', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1595323257706385408', null, '2', '1', '1', '1', '2022-11-23 15:47:59', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1595323274324217856', null, '3', '1', '1', '1', '2022-11-23 15:48:03', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1595323288912007168', null, '4', '1', '1', '1', '2022-11-23 15:48:07', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1595323308734287872', null, '5', '1', '1', '1', '2022-11-23 15:48:11', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1603575374397181952', null, '6', '1', '1', '1567046004463767552', '2022-12-16 10:18:57', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1603575395561639936', null, '7', '1', '1', '1567046004463767552', '2022-12-16 10:19:02', null, null);
INSERT INTO `train_dormitory_floor` VALUES ('1603575417174888448', null, '8', '1', '1', '1567046004463767552', '2022-12-16 10:19:07', null, null);

-- ----------------------------
-- Table structure for train_dormitory_floor_copy1
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_floor_copy1`;
CREATE TABLE `train_dormitory_floor_copy1` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `AREA_ID` bigint(19) DEFAULT NULL COMMENT '所属区域 数据字典',
  `FLOOR_NAME` varchar(19) DEFAULT NULL COMMENT '楼层',
  `state` smallint(5) DEFAULT NULL COMMENT '状态 1启用0禁用',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 1正常0删除',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='楼层管理 ';

-- ----------------------------
-- Records of train_dormitory_floor_copy1
-- ----------------------------

-- ----------------------------
-- Table structure for train_dormitory_log
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_log`;
CREATE TABLE `train_dormitory_log` (
  `id` bigint(30) NOT NULL COMMENT 'id',
  `card_no` varchar(50) DEFAULT NULL COMMENT '身份证号',
  `class_id` bigint(30) DEFAULT NULL COMMENT '班级id',
  `code` varchar(20) DEFAULT NULL,
  `msg` text,
  `class_name` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `req_param` text COMMENT '请求参数',
  `resp_param` text COMMENT '返回结果',
  `record_id` bigint(20) DEFAULT NULL COMMENT '记录id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_dormitory_log
-- ----------------------------
INSERT INTO `train_dormitory_log` VALUES ('1', '110101199003075795', '1612402197872644096', '1001', '网络错误', '俄式的班级一', '2023-01-16 16:41:21', '{state:1, roomid:1}', '{state:2, roomid:5}', null);
INSERT INTO `train_dormitory_log` VALUES ('2', '110101199003075795', '1612402197872644096', '3001', '设备掉线', '俄式的班级一', '2023-01-11 16:42:36', '{state:1, roomid:1}', '{state:3, roomid:6}', null);
INSERT INTO `train_dormitory_log` VALUES ('1626130048853610496', '130202199001014193', null, '1001', '人脸添加失败', null, '2023-02-16 16:03:10', null, null, '1626130043799474176');

-- ----------------------------
-- Table structure for train_dormitory_record
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_record`;
CREATE TABLE `train_dormitory_record` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `SEND_CARD_TYPE` smallint(5) DEFAULT NULL COMMENT '发卡类型 1正式卡2临时卡',
  `CARD_NO` varchar(32) DEFAULT NULL COMMENT '房卡',
  `AREA_ID` bigint(19) DEFAULT NULL COMMENT '区域',
  `AREA_NAME` varchar(32) DEFAULT NULL,
  `FLOOR_ID` bigint(19) DEFAULT NULL COMMENT '楼层',
  `FLOOR_NAME` varchar(32) DEFAULT NULL,
  `ROOM_ID` bigint(19) DEFAULT NULL COMMENT '房间',
  `ROOM_NAME` varchar(32) DEFAULT NULL,
  `ROOM_TYPE_ID` bigint(19) DEFAULT NULL COMMENT '房间类型',
  `ROOM_TYPE_NAME` varchar(32) DEFAULT NULL,
  `DORMITORY_SEX` smallint(5) DEFAULT NULL COMMENT '住宿性别 1男2女',
  `DORMITORY_BY_NAME` varchar(32) DEFAULT NULL COMMENT '住宿人',
  `DORMITORY_CARD_NO` varchar(128) DEFAULT NULL COMMENT '身份证',
  `CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班ID',
  `CLASS_NAME` varchar(32) DEFAULT NULL,
  `IN_STATE` smallint(5) DEFAULT NULL COMMENT '入住状态 0预留1入住2注销3线上支付住宿',
  `START_TIME` datetime DEFAULT NULL COMMENT '入住开始时间',
  `END_TIME` datetime DEFAULT NULL COMMENT '入住结束时间',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `CHECK_DAY` int(11) DEFAULT NULL COMMENT '入住天数',
  `REMARK` varchar(255) DEFAULT NULL COMMENT '备注',
  `pay_state` smallint(2) DEFAULT NULL COMMENT '0未支付1支付成功2支付失败',
  `pay_time` datetime DEFAULT NULL COMMENT '支付时间',
  `pay_id` bigint(50) DEFAULT NULL COMMENT '支付id',
  `student_uuid` varchar(50) DEFAULT NULL COMMENT '人脸设备返回的uuid',
  `save_state` smallint(3) DEFAULT NULL COMMENT '当前状态'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='住宿详情 ';

-- ----------------------------
-- Records of train_dormitory_record
-- ----------------------------
INSERT INTO `train_dormitory_record` VALUES ('1', '1', '111', '11', '111', '1', '1111', '1595324911017136128', '111', '111', '111', '11', '111', '410581199706059059', '111', '1111', '2', '2023-02-01 10:52:23', '2023-02-09 10:52:30', '111', '2023-02-09 10:52:35', '111', '2023-02-09 10:52:39', '11', '11', '1', '2023-02-09 10:52:48', '11', '111', '1');
INSERT INTO `train_dormitory_record` VALUES ('2', '1', '111', '11', '111', '1', '1111', '1595324911017136128', '111', '111', '111', '11', '111', '410581199706059059', '111', '1111', '2', '2023-02-01 10:52:23', '2023-02-09 10:52:30', '111', '2023-02-09 10:52:35', '111', '2023-02-09 10:52:39', '11', '11', '1', '2023-02-09 10:52:48', '11', '111', '1');
INSERT INTO `train_dormitory_record` VALUES ('4', '1', '111', '11', '111', '1', '1111', '1595324911017136128', '111', '111', '111', '11', '111', '410581199706059059', '111', '1111', '2', '2023-02-01 10:52:23', '2023-02-09 10:52:30', '111', '2023-02-09 10:52:35', '111', '2023-02-09 10:52:39', '11', '11', '1', '2023-02-09 10:52:48', '11', '111', '1');

-- ----------------------------
-- Table structure for train_dormitory_record_log
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_record_log`;
CREATE TABLE `train_dormitory_record_log` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `user_id` bigint(30) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(255) DEFAULT NULL COMMENT '用户姓名',
  `class_id` bigint(30) DEFAULT NULL COMMENT '培训班id',
  `class_name` varchar(255) DEFAULT NULL COMMENT '培训班名称',
  `face_uuid` varchar(200) DEFAULT NULL COMMENT '人脸uuid',
  `face_state` varchar(20) DEFAULT NULL COMMENT '人脸添加状态',
  `room_uuid` varchar(200) DEFAULT NULL COMMENT '房间uuid',
  `room_state` varchar(20) DEFAULT NULL COMMENT '房间添加状态',
  `person_uuid` varchar(200) DEFAULT NULL COMMENT '人员添加uuid',
  `person_state` varchar(20) DEFAULT NULL COMMENT '人员添加状态',
  `author_uuid` varchar(200) DEFAULT NULL COMMENT '通行权限uuid',
  `author_state` varchar(20) DEFAULT NULL COMMENT '通行权限添加状态 ',
  `now_state` varchar(30) NOT NULL COMMENT '当前状态 0成功 1失败',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `is_sign` smallint(2) DEFAULT NULL COMMENT '是否需要签到 0是1否',
  `sign_uuid` varchar(200) DEFAULT NULL COMMENT '签到设备的uuid',
  `sign_state` varchar(20) DEFAULT NULL COMMENT '签到状态 50 51',
  `msg` text,
  `card_no` varchar(50) DEFAULT NULL COMMENT '身份证号',
  `param` text COMMENT '请求参数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='住宿补偿（下发失败处理使用）';

-- ----------------------------
-- Records of train_dormitory_record_log
-- ----------------------------
INSERT INTO `train_dormitory_record_log` VALUES ('1', '正式开卡', '1', '王涵', '1612402197872644096', '测试的班级', '11', '1000', '22', '2001', '33', '3001', '44', '4001', '0', '2023-01-30 15:10:12', null, null, null, '人员添加失败', '110101199003075795', null);

-- ----------------------------
-- Table structure for train_dormitory_room
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_room`;
CREATE TABLE `train_dormitory_room` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `FLOOR_ID` bigint(19) DEFAULT NULL COMMENT '楼层ID',
  `ROOM_TYPE_ID` bigint(19) DEFAULT NULL COMMENT '房间类型ID',
  `num` int(11) DEFAULT NULL COMMENT '可住人数',
  `ALREADY_NUM` int(11) DEFAULT NULL COMMENT '已住人数',
  `ROOM_STATE` smallint(5) DEFAULT NULL COMMENT '房间状态 1空闲2已入住（未满）3已入住（已满）',
  `ROOM_NO` varchar(32) DEFAULT NULL COMMENT '房间号',
  `state` smallint(5) DEFAULT NULL COMMENT '状态 0禁用1启用',
  `sex` varchar(1) DEFAULT NULL COMMENT '性别 0未知 1男2女',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 0删除1正常',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `PER_GET` smallint(5) DEFAULT NULL COMMENT '预定状态  0 未预定 1 已预定',
  `equipment` varchar(255) DEFAULT NULL COMMENT '设备号',
  `is_meet` smallint(2) DEFAULT NULL COMMENT '是否会务组 0否 1是'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='房间管理 ';

-- ----------------------------
-- Records of train_dormitory_room
-- ----------------------------
INSERT INTO `train_dormitory_room` VALUES ('1595324911017136128', '1595323238752325632', '1595323594525773824', '1', '2', '2', '101', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325002578792448', '1595323238752325632', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1', '1569970196410667008', '2022-11-23 15:54:55', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325063127764992', '1595323238752325632', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1', '1569970196410667008', '2022-11-23 15:55:09', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325114981945344', '1595323257706385408', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1', '1569970196410667008', '2022-11-23 15:55:22', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325175115681792', '1595323257706385408', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1', '1569970196410667008', '2022-11-23 15:55:36', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325240882368512', '1595323274324217856', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1', '1569970196410667008', '2022-11-23 15:55:52', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325294099697664', '1595323288912007168', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1', '1569970196410667008', '2022-11-23 15:56:04', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325365499334656', '1595323288912007168', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1', '1569970196410667008', '2022-11-23 15:56:22', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325425654042624', '1595323288912007168', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1', '1569970196410667008', '2022-11-23 15:56:36', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595325506826407936', '1595323308734287872', '1595323779289059328', '50', '0', '1', '活动室', '1', '0', '1', '1569970196410667008', '2022-11-23 15:56:55', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('1595980177467379712', '1595323308734287872', '1595323594525773824', '30', '0', '1', '会议室', '1', '0', '1', '1', '2022-11-25 11:18:21', '1', '2022-11-25 11:20:43', '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12001', '1595323238752325632', '1595323594525773824', '2', '1', '2', '104', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12002', '1595323238752325632', '1595323594525773824', '2', '2', '3', '105', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12003', '1595323238752325632', '1595323594525773824', '1', '2', '2', '106', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12004', '1595323238752325632', '1595323594525773824', '1', '2', '2', '107', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12005', '1595323238752325632', '1595323594525773824', '1', '2', '2', '108', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12006', '1595323238752325632', '1595323594525773824', '1', '2', '2', '109', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12007', '1595323238752325632', '1595323594525773824', '2', '2', '2', '110', '1', '2', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12008', '1595323238752325632', '1595323594525773824', '1', '2', '2', '111', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('12009', '1595323238752325632', '1595323594525773824', '1', '2', '2', '112', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, null, 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22002', '1595323257706385408', '1595323594525773824', '2', '2', '1', '203', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22004', '1595323257706385408', '1595323594525773824', '2', '2', '2', '204', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22005', '1595323257706385408', '1595323594525773824', '3', '2', '2', '205', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22006', '1595323257706385408', '1595323594525773824', '2', '2', '3', '206', '1', '2', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22007', '1595323257706385408', '1595323594525773824', '3', '1', '2', '207', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22008', '1595323257706385408', '1595323594525773824', '3', '1', '2', '208', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22009', '1595323257706385408', '1595323594525773824', '3', '1', '2', '209', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22010', '1595323257706385408', '1595323594525773824', '3', '1', '2', '210', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22011', '1595323257706385408', '1595323594525773824', '3', '1', '2', '211', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22012', '1595323257706385408', '1595323594525773824', '3', '1', '2', '212', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22013', '1595323257706385408', '1595323594525773824', '3', '1', '2', '213', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22014', '1595323257706385408', '1595323594525773824', '3', '1', '2', '214', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('22015', '1595323257706385408', '1595323594525773824', '3', '1', '2', '215', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32002', '1595323274324217856', '1595323594525773824', '3', '1', '2', '302', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32003', '1595323274324217856', '1595323594525773824', '3', '1', '2', '303', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32004', '1595323274324217856', '1595323594525773824', '3', '1', '2', '304', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32005', '1595323274324217856', '1595323594525773824', '3', '1', '2', '305', '1', '2', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32006', '1595323274324217856', '1595323594525773824', '3', '1', '2', '306', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32007', '1595323274324217856', '1595323594525773824', '2', '2', '3', '307', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('32008', '1595323274324217856', '1595323594525773824', '2', '2', '2', '308', '1', '2', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42004', '1595323288912007168', '1595323594525773824', '2', '2', '2', '404', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42005', '1595323288912007168', '1595323594525773824', '2', '2', '2', '405', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42006', '1595323288912007168', '1595323594525773824', '2', '1', '1', '406', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42007', '1595323288912007168', '1595323594525773824', '2', '1', '1', '407', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42008', '1595323288912007168', '1595323594525773824', '2', '1', '1', '408', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42009', '1595323288912007168', '1595323594525773824', '2', '1', '1', '409', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);
INSERT INTO `train_dormitory_room` VALUES ('42010', '1595323288912007168', '1595323594525773824', '2', '1', '1', '410', '1', '1', '1', '1569970196410667008', '2022-11-23 15:54:33', null, null, '1', 'a6cfddfebdd349609de307a514773228', null);

-- ----------------------------
-- Table structure for train_dormitory_room_class
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_room_class`;
CREATE TABLE `train_dormitory_room_class` (
  `id` bigint(19) NOT NULL COMMENT 'id',
  `FLOOR_ID` bigint(19) DEFAULT NULL COMMENT '楼层ID',
  `ROOM_ID` bigint(19) DEFAULT NULL COMMENT '房间ID',
  `ROOM_TYPE_ID` bigint(19) DEFAULT NULL COMMENT '房间类型ID',
  `NUM` int(11) DEFAULT NULL COMMENT '可住人数',
  `ALREADY_NUM` int(11) DEFAULT NULL COMMENT '已住人数',
  `ROOM_STATE` smallint(5) DEFAULT NULL COMMENT '房间状态 1空闲2已入住（未满）3已入住（已满）',
  `ROOM_NO` varchar(32) DEFAULT NULL COMMENT '房间号',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态 0禁用1启用',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 0删除1正常',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `CLASS_ID` bigint(19) DEFAULT NULL COMMENT '班级id',
  `CLASS_NAME` varchar(32) DEFAULT NULL COMMENT '班级名字',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='班级预定房间表 ';

-- ----------------------------
-- Records of train_dormitory_room_class
-- ----------------------------
INSERT INTO `train_dormitory_room_class` VALUES ('128033789837024976', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2023-09-22 13:58:49', null, null, '127931103763926586', '理财培训计划第一季度');
INSERT INTO `train_dormitory_room_class` VALUES ('128033789838219397', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2023-09-22 13:58:49', null, null, '127931103763926586', '理财培训计划第一季度');
INSERT INTO `train_dormitory_room_class` VALUES ('128033789838552775', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2023-09-22 13:58:49', null, null, '127931103763926586', '理财培训计划第一季度');
INSERT INTO `train_dormitory_room_class` VALUES ('128033789838819099', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2023-09-22 13:58:49', null, null, '127931103763926586', '理财培训计划第一季度');
INSERT INTO `train_dormitory_room_class` VALUES ('128033789839071076', '1595323308734287872', '1595980177467379712', '1595323594525773824', '30', '0', '1', '会议室', '1', '1', '1', '2023-09-22 13:58:49', '1', '2022-11-25 11:20:43', '127931103763926586', '理财培训计划第一季度');
INSERT INTO `train_dormitory_room_class` VALUES ('128033789839339446', '1595323308734287872', '1595325506826407936', '1595323779289059328', '50', '0', '1', '活动室', '1', '1', '1569970196410667008', '2023-09-22 13:58:49', null, null, '127931103763926586', '理财培训计划第一季度');
INSERT INTO `train_dormitory_room_class` VALUES ('1572513344018059264', '1570261026799226880', '1572512471766405120', '1570299693840338944', '2', '0', '1', '101', '1', '0', '1', '2022-09-21 17:09:32', null, null, '1572513200975515648', '测试审核===》一个人');
INSERT INTO `train_dormitory_room_class` VALUES ('1572513429141458944', '1570261026799226880', '1572512471766405120', '1570299693840338944', '2', '0', '1', '101', '1', '1', '1', '2022-09-21 17:09:52', null, null, '1572513200975515648', '测试审核===》一个人');
INSERT INTO `train_dormitory_room_class` VALUES ('1572513429397311488', '1570261026799226880', '1572512556520706048', '1572423988288819200', '3', '0', '1', '103', '1', '1', '1', '2022-09-21 17:09:52', null, null, '1572513200975515648', '测试审核===》一个人');
INSERT INTO `train_dormitory_room_class` VALUES ('1572513722914705408', '1570261026799226880', '1572512516553183232', '1570299693840338944', '2', '0', '1', '102', '1', '1', '1', '2022-09-21 17:11:02', null, null, '1572513625858510848', '测试审核===》四个人');
INSERT INTO `train_dormitory_room_class` VALUES ('1572516600786063360', '1572433480783106048', '1572512985145020416', '1570299693840338944', '2', '0', '1', '666', '1', '1', '1', '2022-09-21 17:22:28', null, null, '1572515153289809920', '测试不分配');
INSERT INTO `train_dormitory_room_class` VALUES ('1572521118064054272', '1570261026799226881', '1572512621398200320', '1572423988288819200', '3', '0', '1', '201', '1', '1', '1', '2022-09-21 17:40:25', null, null, '1572520923607732224', '测试审核失败2');
INSERT INTO `train_dormitory_room_class` VALUES ('1572521118072442880', '1570261026799226881', '1572512696434298880', '1570299693840338944', '2', '0', '1', '202', '1', '1', '1', '2022-09-21 17:40:25', null, null, '1572520923607732224', '测试审核失败2');
INSERT INTO `train_dormitory_room_class` VALUES ('1572777014677606400', '1570684203840966656', '1572512757494976512', '1572423988288819200', '3', '0', '1', '301', '1', '1', '1', '2022-09-22 10:37:16', null, null, '1572776695600123904', '线上测试报道，舞动');
INSERT INTO `train_dormitory_room_class` VALUES ('1572777014677606401', '1570684203840966656', '1572512804269854720', '1572423988288819200', '3', '0', '1', '302', '1', '1', '1', '2022-09-22 10:37:16', null, null, '1572776695600123904', '线上测试报道，舞动');
INSERT INTO `train_dormitory_room_class` VALUES ('1572777014677606402', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '1', '1', '2022-09-22 10:37:16', null, null, '1572776695600123904', '线上测试报道，舞动');
INSERT INTO `train_dormitory_room_class` VALUES ('1572777014677606403', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-09-22 10:37:16', null, null, '1572776695600123904', '线上测试报道，舞动');
INSERT INTO `train_dormitory_room_class` VALUES ('1575323015267356672', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '1', '1', '2022-09-29 11:14:10', null, null, '1575322855934136320', '20220929');
INSERT INTO `train_dormitory_room_class` VALUES ('1575323015267356673', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-09-29 11:14:10', null, null, '1575322855934136320', '20220929');
INSERT INTO `train_dormitory_room_class` VALUES ('1579713847600746496', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-10-11 14:01:46', null, null, '1579713717669597184', 'hhhhhh');
INSERT INTO `train_dormitory_room_class` VALUES ('1585851143815303168', '1570684203840966656', '1584514010332663808', '1570341195698278400', '1', '0', '1', '302', '1', '1', '1570604410206294016', '2022-10-28 12:29:11', null, null, '1585850472554696704', '2022年10月底的培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1588044016740601856', '1570684203840966656', '1588042365724135424', '1570341195698278400', '1', '0', '1', '303', '1', '1', '1570604410206294016', '2022-11-03 13:42:53', null, null, '1588043345773596672', '2022年11月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1589463926310047744', '1570684203840966656', '1572512757494976512', '1572423988288819200', '3', '0', '1', '301', '1', '1', '1', '2022-11-07 11:45:06', null, null, '1589461007993016320', '测试湖西岸0');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485974465941504', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '0', '1570604410206294016', '2022-11-07 13:12:42', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485975443214336', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '0', '1570604410206294016', '2022-11-07 13:12:43', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485976424681472', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1570604410206294016', '2022-11-07 13:12:43', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485977422925824', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1570604410206294016', '2022-11-07 13:12:43', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485978446336000', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '0', '1570604410206294016', '2022-11-07 13:12:43', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485979478134784', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1570604410206294016', '2022-11-07 13:12:43', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485980463796224', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1570604410206294016', '2022-11-07 13:12:44', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485981520760832', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1570604410206294016', '2022-11-07 13:12:44', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485985777979392', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '1', '1570604410206294016', '2022-11-07 13:12:45', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485986818166784', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '1', '1570604410206294016', '2022-11-07 13:12:45', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485987858354176', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1570604410206294016', '2022-11-07 13:12:45', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485988890152960', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '0', '1', '404', '1', '1', '1570604410206294016', '2022-11-07 13:12:46', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485990022615040', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1570604410206294016', '2022-11-07 13:12:46', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485990995693568', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1570604410206294016', '2022-11-07 13:12:46', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485992023298048', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1570604410206294016', '2022-11-07 13:12:46', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589485993050902528', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1570604410206294016', '2022-11-07 13:12:47', null, null, '1589438485390036992', '2022年11月培训班住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589527498763407360', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1570604410206294016', '2022-11-07 15:57:42', null, null, '1589527113264926720', '短期住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530624', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', null, null, '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530625', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', null, null, '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530626', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', null, null, '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530627', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', null, null, '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530628', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', '1570604410206294016', '2022-11-07 15:01:49', '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530629', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', null, null, '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530630', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', '1562314510612697088', '2022-11-07 15:29:46', '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589549423925530631', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1570604410206294016', '2022-11-07 17:24:50', '1570604410206294016', '2022-11-07 15:03:36', '1589549121218416640', '2022年培训住宿管理');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350016', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '3', '1', '401', '1', '1', '1', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350017', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '2', '1', '402', '1', '1', '1', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350018', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '1', '1', '403', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350019', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '1', '1', '404', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350020', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '2', '1', '405', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350021', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '2', '1', '406', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350022', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '2', '1', '407', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350023', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '1', '1', '408', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350024', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350025', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757579350026', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757583544320', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757583544321', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757583544322', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', '1570604410206294016', '2022-11-07 15:01:49', '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757583544323', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', null, null, '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757583544324', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', '1562314510612697088', '2022-11-07 15:29:46', '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1589849757583544325', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1570604410206294016', '2022-11-08 13:18:15', '1570604410206294016', '2022-11-07 15:03:36', '1589849256125140992', '2022年11月7日住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541393399808', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '0', '1', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541393399809', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '3', '1', '402', '1', '0', '1', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541393399810', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '2', '1', '403', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541393399811', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '2', '1', '404', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594112', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '4', '1', '405', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594113', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '3', '1', '406', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594114', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '1', '1', '408', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594115', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594116', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594117', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594118', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', '1570604410206294016', '2022-11-07 15:01:49', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594119', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594120', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', '1562314510612697088', '2022-11-07 15:29:46', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594121', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1570604410206294016', '2022-11-10 14:53:39', '1570604410206294016', '2022-11-07 15:03:36', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598541397594122', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1590543166828843008', '2022-11-10 14:53:39', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598908004929536', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '1', '1590543166828843008', '2022-11-10 14:55:06', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598909087059968', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '1', '1590543166828843008', '2022-11-10 14:55:07', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598910135635968', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '1', '1590543166828843008', '2022-11-10 14:55:07', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598911104520192', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '1', '1590543166828843008', '2022-11-10 14:55:07', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598912119541760', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '1', '1590543166828843008', '2022-11-10 14:55:07', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598913147146240', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '3', '1', '402', '1', '1', '1590543166828843008', '2022-11-10 14:55:08', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598914095058944', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '3', '1', '402', '1', '1', '1590543166828843008', '2022-11-10 14:55:08', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598915160412160', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '3', '1', '402', '1', '1', '1590543166828843008', '2022-11-10 14:55:08', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598916192210944', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '3', '1', '402', '1', '1', '1590543166828843008', '2022-11-10 14:55:08', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598917169483776', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '2', '1', '403', '1', '1', '1590543166828843008', '2022-11-10 14:55:09', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598918234836992', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '2', '1', '403', '1', '1', '1590543166828843008', '2022-11-10 14:55:09', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598919258247168', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '2', '1', '404', '1', '1', '1590543166828843008', '2022-11-10 14:55:09', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598920281657344', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '2', '1', '404', '1', '1', '1590543166828843008', '2022-11-10 14:55:09', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598921229570048', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '4', '1', '405', '1', '1', '1590543166828843008', '2022-11-10 14:55:09', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598922412363776', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '4', '1', '405', '1', '1', '1590543166828843008', '2022-11-10 14:55:10', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598923414802432', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '3', '1', '406', '1', '1', '1590543166828843008', '2022-11-10 14:55:10', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598924496932864', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '3', '1', '406', '1', '1', '1590543166828843008', '2022-11-10 14:55:10', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598925474205696', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1590543166828843008', '2022-11-10 14:55:10', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598926455672832', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1590543166828843008', '2022-11-10 14:55:11', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598927424557056', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1590543166828843008', '2022-11-10 14:55:11', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598928510881792', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1590543166828843008', '2022-11-10 14:55:11', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598929584623616', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1590543166828843008', '2022-11-10 14:55:11', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598930670948352', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1590543166828843008', '2022-11-10 14:55:12', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598931698552832', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1590543166828843008', '2022-11-10 14:55:12', '1570604410206294016', '2022-11-07 15:01:49', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598932709380096', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1590543166828843008', '2022-11-10 14:55:12', '1570604410206294016', '2022-11-07 15:01:49', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598933695041536', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '1', '1590543166828843008', '2022-11-10 14:55:12', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598934684897280', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '1', '1590543166828843008', '2022-11-10 14:55:13', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598935729278976', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1590543166828843008', '2022-11-10 14:55:13', '1562314510612697088', '2022-11-07 15:29:46', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598936714940416', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1590543166828843008', '2022-11-10 14:55:13', '1562314510612697088', '2022-11-07 15:29:46', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598937826430976', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1590543166828843008', '2022-11-10 14:55:13', '1570604410206294016', '2022-11-07 15:03:36', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598938807898112', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1590543166828843008', '2022-11-10 14:55:14', '1570604410206294016', '2022-11-07 15:03:36', '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598939835502592', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1590543166828843008', '2022-11-10 14:55:14', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590598940854718464', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '1', '1590543166828843008', '2022-11-10 14:55:14', null, null, '1590598103071854592', '培训住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683776', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '8', '1', '401', '1', '0', '1', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683777', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '3', '1', '402', '1', '0', '1', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683778', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '2', '1', '403', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683779', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '2', '1', '404', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683780', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '4', '1', '405', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683781', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '3', '1', '406', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683782', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '8', '1', '407', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683783', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '2', '1', '408', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683784', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '1', '1', '501', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683785', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '7', '1', '502', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683786', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683787', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683788', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683789', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', '1570604410206294016', '2022-11-07 15:01:49', '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683790', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683791', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', '1562314510612697088', '2022-11-07 15:29:46', '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683792', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1570604410206294016', '2022-11-10 16:42:45', '1570604410206294016', '2022-11-07 15:03:36', '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683793', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1590543166828843008', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590625996644683794', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1590543166828843008', '2022-11-10 16:42:45', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590627081610465280', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '0', '1', '604', '1', '1', '1562314510612697088', '2022-11-10 16:47:03', null, null, '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590627085750243328', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1562314510612697088', '2022-11-10 16:47:04', '1562314510612697088', '2022-11-07 15:29:46', '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590627088258437120', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1562314510612697088', '2022-11-10 16:47:05', '1570604410206294016', '2022-11-07 15:03:36', '1590625766897487872', '2022年12月培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1590640006425350144', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '0', '1', '401', '1', '1', '1590543166828843008', '2022-11-10 17:38:25', null, null, '1590602024376995840', '呀拉索');
INSERT INTO `train_dormitory_room_class` VALUES ('1591966987716792320', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1', '2022-11-14 09:31:22', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591966987716792321', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1570604410206294016', '2022-11-14 09:31:22', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591966987716792322', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '0', '1570604410206294016', '2022-11-14 09:31:22', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591966987716792323', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1570604410206294016', '2022-11-14 09:31:22', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591966987716792324', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1570604410206294016', '2022-11-14 09:31:22', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973213582266368', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:06', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973213880061952', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:06', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973214123331584', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:06', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973214425321472', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:06', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973214693756928', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:06', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973214928637952', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973215230627840', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973215499063296', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973215775887360', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973216044322816', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973216316952576', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973216618942464', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973216853823488', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973217130647552', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973217378111488', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973217646546944', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973217919176704', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973218191806464', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973218460241920', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973218728677376', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1', '2022-11-14 09:56:07', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973218997112832', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1', '2022-11-14 09:56:08', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973219269742592', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1', '2022-11-14 09:56:08', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973219538178048', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1', '2022-11-14 09:56:08', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591973219806613504', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '1', '1', '2022-11-14 09:56:08', null, null, '1591966612427247616', '2022培训中心集中培训测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1591986556120469504', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1', '2022-11-14 10:49:07', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591986556363739136', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1', '2022-11-14 10:49:07', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987883512827904', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1', '2022-11-14 10:54:24', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987883714154496', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1', '2022-11-14 10:54:24', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987883911286784', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1', '2022-11-14 10:54:24', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987884108419072', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1', '2022-11-14 10:54:24', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987937761955840', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:54:37', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987937963282432', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:54:37', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987938181386240', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:54:37', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987938386907136', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:54:37', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987938579845120', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:54:37', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987938785366016', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1', '2022-11-14 10:54:37', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987938982498304', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1', '2022-11-14 10:54:37', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987939192213504', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1', '2022-11-14 10:54:37', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591987939393540096', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1', '2022-11-14 10:54:37', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591988544497389568', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:57:01', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591988544698716160', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:57:01', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591988544891654144', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:57:01', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591988545080397824', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:57:02', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591988545290113024', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 10:57:02', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591989588124110848', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:01:10', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591989588396740608', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:01:10', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591989588598067200', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:01:10', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591989588799393792', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:01:10', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591989589004914688', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:01:10', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591991872363040768', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:10:15', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591991907179958272', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1', '2022-11-14 11:10:23', '1562314510612697088', '2022-11-07 15:29:46', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591991907473559552', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1', '2022-11-14 11:10:23', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591991929451712512', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1', '2022-11-14 11:10:28', '1562314510612697088', '2022-11-07 15:29:46', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591991929720147968', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1', '2022-11-14 11:10:28', '1570604410206294016', '2022-11-07 15:03:36', '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1591991929992777728', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '1', '1', '2022-11-14 11:10:29', null, null, '1591972857506828288', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908736', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908737', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908738', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908739', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908740', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908741', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908742', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908743', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908744', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908745', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908746', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908747', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1570604410206294016', '2022-11-14 13:34:23', '1570604410206294016', '2022-11-07 15:01:49', '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592028145089908748', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1590543166828843008', '2022-11-14 13:34:23', null, null, '1592027379281301504', '2022郑州金融培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968832', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968833', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968834', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968835', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968836', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968837', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968838', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968839', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968840', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968841', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968842', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968843', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1570604410206294016', '2022-11-14 15:00:25', '1570604410206294016', '2022-11-07 15:01:49', '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592049797550968844', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1590543166828843008', '2022-11-14 15:00:25', null, null, '1592048661980909568', '11月金融投资讲堂第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240512', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240513', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240514', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240515', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240516', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240517', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240518', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240519', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240520', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240521', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240522', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240523', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', '1570604410206294016', '2022-11-07 15:01:49', '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240524', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', '1562314510612697088', '2022-11-07 15:29:46', '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240525', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1570604410206294016', '2022-11-15 11:19:08', '1570604410206294016', '2022-11-07 15:03:36', '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240526', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1590543166828843008', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592356496258240527', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '1', '1590543166828843008', '2022-11-15 11:19:08', null, null, '1592356114652073984', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148093640704', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148093640705', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148093640706', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148093640707', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148093640708', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148093640709', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835008', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835009', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835010', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835011', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835012', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835013', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', '1570604410206294016', '2022-11-07 15:01:49', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835014', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835015', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1570604410206294016', '2022-11-16 16:06:17', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835016', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1590543166828843008', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592791148097835017', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1590543166828843008', '2022-11-16 16:06:17', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795307639443456', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:22:49', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795308834820096', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:22:49', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795310105694208', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1569970196410667008', '2022-11-16 16:22:49', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795311301070848', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:22:50', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795312504836096', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:22:50', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795314610376704', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:22:51', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795316241960960', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:22:51', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795317412171776', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1569970196410667008', '2022-11-16 16:22:51', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795318599159808', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1569970196410667008', '2022-11-16 16:22:51', '1570604410206294016', '2022-11-07 15:01:49', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795319874228224', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:22:52', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795321023467520', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:22:52', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795322197872640', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:22:52', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592795323296780288', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:22:53', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797145692508160', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:30:07', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797146829164544', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:30:07', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797147953238016', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:30:08', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797149064728576', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:30:08', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797150146859008', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:30:08', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797151916855296', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:30:09', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797152978014208', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:30:09', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797154068533248', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:30:09', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797155163246592', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:30:09', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797155498790912', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:30:09', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797156274737152', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797156727721984', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797157403004928', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797157847601152', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', '1570604410206294016', '2022-11-07 15:01:49', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797158468358144', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797159017811968', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797159516934144', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', '1570604410206294016', '2022-11-07 15:01:49', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797160083165184', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:30:10', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797160636813312', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:30:11', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797161173684224', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:30:11', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797161748303872', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:30:11', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797162280980480', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:30:11', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797162922708992', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:30:11', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797163941924864', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:30:11', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797635167784960', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:32:04', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797636262498304', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:32:04', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797637327851520', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:32:04', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797638481285120', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:32:05', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797639626330112', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:32:05', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797640729432064', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:32:05', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797641895448576', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1569970196410667008', '2022-11-16 16:32:05', '1570604410206294016', '2022-11-07 15:01:49', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797648576974848', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:32:07', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797649684271104', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:32:07', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797650799955968', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:32:07', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797652075024384', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:32:08', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797711021772800', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:32:22', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797712426864640', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:32:22', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797713630629888', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:32:22', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797714888921088', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:32:23', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797716021383168', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:32:23', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797717170622464', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:32:23', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797718349221888', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:32:24', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797719662039040', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:32:24', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797720832249856', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:32:24', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797722732269568', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:32:25', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797723583713280', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:32:26', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797725009776640', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:32:25', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797726901407744', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:32:26', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797728524603392', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:32:26', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797728818204672', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:32:26', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797729648676864', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:32:26', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797729933889536', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:32:26', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797730911162368', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797731057963008', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797732093956096', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797732270116864', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797733218029568', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797733373218816', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797734342103040', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797734505680896', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:32:27', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797735407456256', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:32:28', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797735688474624', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:32:28', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797736846102528', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:32:28', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797743703789568', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:32:30', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797744903360512', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:32:30', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797980002488320', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1583286076276084736', '2022-11-16 16:33:26', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592797981407580160', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1583286076276084736', '2022-11-16 16:33:26', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798008628613120', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1583286076276084736', '2022-11-16 16:33:33', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798013179432960', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1583286076276084736', '2022-11-16 16:33:34', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798070658174976', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1583286076276084736', '2022-11-16 16:33:48', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798071891300352', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1583286076276084736', '2022-11-16 16:33:48', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798076299513856', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1583286076276084736', '2022-11-16 16:33:49', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798077612331008', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1583286076276084736', '2022-11-16 16:33:49', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798122533326848', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '0', '1583286076276084736', '2022-11-16 16:34:00', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798123669983232', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1583286076276084736', '2022-11-16 16:34:00', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798124823416832', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1583286076276084736', '2022-11-16 16:34:00', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798125867798528', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1583286076276084736', '2022-11-16 16:34:01', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798128506015744', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '0', '1583286076276084736', '2022-11-16 16:34:01', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798129713975296', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798129919496192', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798130246651904', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798130355703808', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798130825465856', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798130938712064', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798130984849408', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798131383308288', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798131475582976', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798131957927936', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798132071174144', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798132079562752', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798132578684928', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1583286076276084736', '2022-11-16 16:34:02', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798132767428608', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1583286076276084736', '2022-11-16 16:34:03', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798133522403328', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1583286076276084736', '2022-11-16 16:34:03', null, null, '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798133979582464', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1583286076276084736', '2022-11-16 16:34:03', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798134180909056', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1583286076276084736', '2022-11-16 16:34:03', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798134705197056', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1583286076276084736', '2022-11-16 16:34:03', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798135145598976', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1583286076276084736', '2022-11-16 16:34:03', '1570604410206294016', '2022-11-07 15:01:49', '1592720948858064896', '郑州的188888888888888');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798765377523712', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:36:33', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798766509985792', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:36:33', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798767613087744', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:36:34', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798768691023872', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:36:34', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798769865428992', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:36:34', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798771044028416', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:36:35', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798772147130368', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:36:35', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798773338312704', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:36:35', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798774382694400', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:36:35', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798775510962176', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:36:36', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798786583924736', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1569970196410667008', '2022-11-16 16:36:38', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798787791884288', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-16 16:36:39', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798788978872320', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-16 16:36:39', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798794393718784', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-16 16:36:40', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798795425517568', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-16 16:36:40', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798796541202432', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-16 16:36:41', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798797665275904', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '0', '1569970196410667008', '2022-11-16 16:36:41', '1562314510612697088', '2022-11-07 15:29:46', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798798797737984', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '0', '1569970196410667008', '2022-11-16 16:36:41', '1570604410206294016', '2022-11-07 15:03:36', '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798799921811456', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1569970196410667008', '2022-11-16 16:36:41', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592798801180102656', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '0', '1569970196410667008', '2022-11-16 16:36:42', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1592817655138619392', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '0', '1570604410206294016', '2022-11-16 17:51:37', null, null, '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1592817655138619393', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1570604410206294016', '2022-11-16 17:51:37', null, null, '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1592817655138619394', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1570604410206294016', '2022-11-16 17:51:37', null, null, '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1592817655138619395', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1570604410206294016', '2022-11-16 17:51:37', null, null, '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1592817655138619396', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1570604410206294016', '2022-11-16 17:51:37', null, null, '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1592817655138619397', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '0', '1570604410206294016', '2022-11-16 17:51:37', '1570604410206294016', '2022-11-07 15:01:49', '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1593056117959823360', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1569970196410667008', '2022-11-17 09:39:11', null, null, '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1593056118010155008', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1569970196410667008', '2022-11-17 09:39:11', '1570604410206294016', '2022-11-07 15:01:49', '1592817481695760384', '11月金融第二讲-勿动');
INSERT INTO `train_dormitory_room_class` VALUES ('1593069217794625536', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1569970196410667008', '2022-11-17 10:31:14', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1593069218872561664', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '0', '1', '403', '1', '1', '1569970196410667008', '2022-11-17 10:31:14', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1593069219933720576', '1570684239853260800', '1589512882662543360', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-17 10:31:15', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1593069221020045312', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1569970196410667008', '2022-11-17 10:31:15', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1593069222085398528', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1569970196410667008', '2022-11-17 10:31:15', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1593069223171723264', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '0', '1', '601', '1', '1', '1569970196410667008', '2022-11-17 10:31:15', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03');
INSERT INTO `train_dormitory_room_class` VALUES ('1593129530351030272', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '0', '1', '405', '1', '1', '1569970196410667008', '2022-11-17 14:30:54', null, null, '1593074623937908736', '金融第二讲-1117-02');
INSERT INTO `train_dormitory_room_class` VALUES ('1593134030931496960', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1570604410206294016', '2022-11-17 14:48:47', null, null, '1593133878619541504', '集中1次');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570938174181376', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1', '2022-11-18 19:44:54', null, null, '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570938593611776', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1', '2022-11-18 19:44:54', null, null, '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570939034013696', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1', '2022-11-18 19:44:54', null, null, '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570939478609920', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1', '2022-11-18 19:44:54', '1570604410206294016', '2022-11-07 15:01:49', '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570939919011840', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1', '2022-11-18 19:44:54', '1562314510612697088', '2022-11-07 15:29:46', '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570940371996672', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1', '2022-11-18 19:44:54', '1570604410206294016', '2022-11-07 15:03:36', '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570940812398592', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1', '2022-11-18 19:44:54', null, null, '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593570941265383424', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '1', '1', '2022-11-18 19:44:54', null, null, '1590543802567888896', '2022年11月10日培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1593572238374866944', '1570684277325172736', '1593572113749512192', '1570341195698278400', '1', '0', '1', '801', '1', '1', '1', '2022-11-18 19:50:04', null, null, '1587268699407126528', '单词');
INSERT INTO `train_dormitory_room_class` VALUES ('1593575693386649600', '1570684277325172736', '1593575008318394368', '1570341195698278400', '1', '0', '1', '802', '1', '1', '1', '2022-11-18 20:03:47', null, null, '1593575269023748096', '1021计划库第一版');
INSERT INTO `train_dormitory_room_class` VALUES ('1593803629528223744', '1570684203840966656', '1593421526097596416', '1570341195698278400', '1', '1', '1', '300', '1', '0', '1562314510612697088', '2022-11-19 11:09:31', '1561995446459699200', '2022-11-18 17:04:34', '1593802731448045568', '1119-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1593803629528223745', '1570684203840966656', '1593605442888667136', '1570299693840338944', '2', '0', '1', '302', '1', '0', '1590648570632081408', '2022-11-19 11:09:31', null, null, '1593802731448045568', '1119-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1593814392368140288', '1570684264197001216', '1590598206515974144', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1569970196410667008', '2022-11-19 11:52:18', null, null, '1593802731448045568', '1119-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1593814393374773248', '1570684264197001216', '1590598262006616064', '1570299693840338944', '2', '0', '1', '702', '1', '1', '1569970196410667008', '2022-11-19 11:52:18', null, null, '1593802731448045568', '1119-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717760', '1570684203840966656', '1593421526097596416', '1570341195698278400', '1', '1', '1', '300', '1', '1', '1562314510612697088', '2022-11-19 11:59:08', '1561995446459699200', '2022-11-18 17:04:34', '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717761', '1570684203840966656', '1593605442888667136', '1570299693840338944', '2', '0', '1', '302', '1', '1', '1590648570632081408', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717762', '1570684224657297408', '1572512868887302144', '1572423988288819200', '3', '3', '1', '401', '1', '1', '1', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717763', '1570684224657297408', '1572512919088926720', '1570299693840338944', '2', '2', '1', '402', '1', '1', '1', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717764', '1570684224657297408', '1589485126872600576', '1570299693840338944', '2', '1', '1', '403', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717765', '1570684224657297408', '1589485190462443520', '1570299693840338944', '2', '2', '1', '404', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717766', '1570684224657297408', '1589485261904023552', '1570299693840338944', '2', '2', '1', '405', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717767', '1570684224657297408', '1589485368665837568', '1570299693840338944', '2', '1', '1', '406', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717768', '1570684224657297408', '1589485614888259584', '1570299693840338944', '2', '2', '1', '407', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717769', '1570684224657297408', '1589485829695344640', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717770', '1570684224657297408', '1593803304897482752', '1570299693840338944', '2', '0', '1', '410', '1', '1', '1590543166828843008', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717771', '1570684239853260800', '1589513001973714944', '1570299693840338944', '2', '2', '1', '502', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717772', '1570684239853260800', '1589513135126089728', '1570299693840338944', '2', '0', '1', '503', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717773', '1570684251777667072', '1589513227753099264', '1570299693840338944', '2', '1', '1', '601', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717774', '1570684251777667072', '1589513303011495936', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717775', '1570684251777667072', '1589513230663946240', '1570299693840338944', '2', '0', '1', '603', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', '1570604410206294016', '2022-11-07 15:01:49', '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717776', '1570684251777667072', '1589513709305335808', '1570299693840338944', '2', '2', '1', '604', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717777', '1570684251777667072', '1589513780063244288', '1570299693840338944', '2', '0', '1', '605', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', '1562314510612697088', '2022-11-07 15:29:46', '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717778', '1570684251777667072', '1589513711519928320', '1570299693840338944', '2', '0', '1', '606', '1', '1', '1570604410206294016', '2022-11-19 11:59:08', '1570604410206294016', '2022-11-07 15:03:36', '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717779', '1570684277325172736', '1593572113749512192', '1570341195698278400', '1', '0', '1', '801', '1', '1', '1', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717780', '1570684277325172736', '1593575008318394368', '1570341195698278400', '1', '1', '1', '802', '1', '1', '1', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593816114729717781', '1570684277325172736', '1593792358586126336', '1570299693840338944', '2', '0', '1', '803', '1', '1', '1569970196410667008', '2022-11-19 11:59:08', null, null, '1593815430726815744', '郑州的1111831');
INSERT INTO `train_dormitory_room_class` VALUES ('1593839173071147008', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '1', '1569970196410667008', '2022-11-19 13:30:46', null, null, '1593838490360090624', '1119-1002');
INSERT INTO `train_dormitory_room_class` VALUES ('1593839173071147009', '1570684224657297408', '1593836398039928832', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1569970196410667008', '2022-11-19 13:30:46', null, null, '1593838490360090624', '1119-1002');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764992', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764993', '1570684224657297408', '1593837148111507456', '1572423988288819200', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764994', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764995', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764996', '1570684239853260800', '1593837409089490944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764997', '1570684239853260800', '1593837471244881920', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764998', '1570684251777667072', '1593837540161490944', '1572423988288819200', '3', '0', '1', '601', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852403671764999', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1569970196410667008', '2022-11-19 14:23:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593852525759565824', '1570684239853260800', '1593837409089490944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1583286076276084736', '2022-11-19 14:23:49', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593859865317609472', '1570684239853260800', '1593837471244881920', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-19 14:52:59', null, null, '1593838490360090624', '1119-1002');
INSERT INTO `train_dormitory_room_class` VALUES ('1593860066598064128', '1570684239853260800', '1593837471244881920', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-19 14:53:47', null, null, '1593838490360090624', '1119-1002');
INSERT INTO `train_dormitory_room_class` VALUES ('1593860194109100032', '1570684239853260800', '1593837471244881920', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-19 14:54:18', null, null, '1593838490360090624', '1119-1002');
INSERT INTO `train_dormitory_room_class` VALUES ('1593860828388528128', '1570684239853260800', '1593837471244881920', '1570299693840338944', '2', '0', '1', '503', '1', '0', '1569970196410667008', '2022-11-19 14:56:49', null, null, '1593841368902537216', '测试供应商评价');
INSERT INTO `train_dormitory_room_class` VALUES ('1593862664524795904', '1570684239853260800', '1593837409089490944', '1570299693840338944', '2', '0', '1', '502', '1', '0', '1583286076276084736', '2022-11-19 15:04:07', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593862722708180992', '1570684239853260800', '1593837409089490944', '1570299693840338944', '2', '0', '1', '502', '1', '1', '1583286076276084736', '2022-11-19 15:04:20', null, null, '1593852295790071808', '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊');
INSERT INTO `train_dormitory_room_class` VALUES ('1593924261960093696', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-19 19:08:52', null, null, '1593575269023748096', '1021计划库第一版');
INSERT INTO `train_dormitory_room_class` VALUES ('1593926462552018944', '1570684277325172736', '1593837676769972224', '1570299693840338944', '2', '0', '1', '801', '1', '1', '1569970196410667008', '2022-11-19 19:17:37', null, null, '1593802731448045568', '1119-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663680', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '1', '1', '401', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663681', '1570684224657297408', '1593836398039928832', '1570299693840338944', '2', '1', '1', '402', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663682', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '1', '1', '403', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663683', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663684', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '1', '1', '501', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663685', '1570684251777667072', '1593837540161490944', '1572423988288819200', '3', '0', '1', '601', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825294663686', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594222825298857984', '1570684264197001216', '1593906764808589312', '1570299693840338944', '2', '2', '1', '701', '1', '1', '1569970196410667008', '2022-11-20 14:55:15', null, null, '1594222226587127808', '1120课程-1001');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225545544077312', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '2', '1', '401', '1', '1', '1590648570632081408', '2022-11-20 15:06:04', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225545950924800', '1570684224657297408', '1593836398039928832', '1570299693840338944', '2', '1', '1', '402', '1', '1', '1590648570632081408', '2022-11-20 15:06:04', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225546324217856', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '1', '1', '403', '1', '1', '1590648570632081408', '2022-11-20 15:06:04', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225546768814080', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '1', '1590648570632081408', '2022-11-20 15:06:04', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225547133718528', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '1', '1', '501', '1', '1', '1590648570632081408', '2022-11-20 15:06:04', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225547544760320', '1570684251777667072', '1593837540161490944', '1572423988288819200', '3', '0', '1', '601', '1', '1', '1590648570632081408', '2022-11-20 15:06:05', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225547959996416', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1590648570632081408', '2022-11-20 15:06:05', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594225548329095168', '1570684264197001216', '1593906764808589312', '1570299693840338944', '2', '2', '1', '701', '1', '1', '1590648570632081408', '2022-11-20 15:06:05', null, null, '1593927114980200448', '1119-1003');
INSERT INTO `train_dormitory_room_class` VALUES ('1594242164085362688', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '1', '1569970196410667008', '2022-11-20 16:12:06', null, null, '1594241800200130560', '课程第一讲1120-a');
INSERT INTO `train_dormitory_room_class` VALUES ('1594242164085362689', '1570684224657297408', '1593836398039928832', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1569970196410667008', '2022-11-20 16:12:06', null, null, '1594241800200130560', '课程第一讲1120-a');
INSERT INTO `train_dormitory_room_class` VALUES ('1594242164085362690', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2022-11-20 16:12:06', null, null, '1594241800200130560', '课程第一讲1120-a');
INSERT INTO `train_dormitory_room_class` VALUES ('1594242164085362691', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '1', '1569970196410667008', '2022-11-20 16:12:06', null, null, '1594241800200130560', '课程第一讲1120-a');
INSERT INTO `train_dormitory_room_class` VALUES ('1594242164085362692', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-20 16:12:06', null, null, '1594241800200130560', '课程第一讲1120-a');
INSERT INTO `train_dormitory_room_class` VALUES ('1594244588636344320', '1570684251777667072', '1593837540161490944', '1572423988288819200', '3', '0', '1', '601', '1', '1', '1569970196410667008', '2022-11-20 16:21:44', null, null, '1594244407400468480', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1594244588636344321', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1569970196410667008', '2022-11-20 16:21:44', null, null, '1594244407400468480', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1594244588636344322', '1570684264197001216', '1593906764808589312', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1569970196410667008', '2022-11-20 16:21:44', null, null, '1594244407400468480', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675648', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '0', '1569970196410667008', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675649', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675650', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1569970196410667008', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675651', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1561995446459699200', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675652', '1570684224657297408', '1594497708633231360', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1561995446459699200', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675653', '1570684224657297408', '1594497710935904256', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1561995446459699200', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675654', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1561995446459699200', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675655', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '0', '1561995446459699200', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675656', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '0', '1561995446459699200', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594502466219675657', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1569970196410667008', '2022-11-21 09:26:27', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594504363806691328', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1569970196410667008', '2022-11-21 09:33:59', null, null, '1594504240024391680', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1594504363806691329', '1570684264197001216', '1593906764808589312', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1569970196410667008', '2022-11-21 09:33:59', null, null, '1594504240024391680', '2022集中培训');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061032431616', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061086957568', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061141483520', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061196009472', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061254729728', '1570684224657297408', '1594497710935904256', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061305061376', '1570684224657297408', '1594497708633231360', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061355393024', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061405724672', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061456056320', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561061510582272', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1327473526785052672', '2022-11-21 13:19:17', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561093760585728', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561093823500288', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561093878026240', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561093928357888', '1570684224657297408', '1594497710935904256', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561093982883840', '1570684224657297408', '1594497708633231360', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561094033215488', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561094083547136', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561094133878784', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561094188404736', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1327473526785052672', '2022-11-21 13:19:25', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561109703135232', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561109753466880', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561109799604224', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561109849935872', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561109904461824', '1570684224657297408', '1594497708633231360', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561109954793472', '1570684224657297408', '1594497710935904256', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561110000930816', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561110051262464', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561110101594112', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561110147731456', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1327473526785052672', '2022-11-21 13:19:29', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145702846464', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145753178112', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145803509760', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145849647104', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145895784448', '1570684224657297408', '1594497708633231360', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145946116096', '1570684224657297408', '1594497710935904256', '1570299693840338944', '2', '0', '1', '407', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561145996447744', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561146046779392', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561146101305344', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594561146151636992', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1327473526785052672', '2022-11-21 13:19:37', null, null, '1594501807982383104', '1121住宿测试');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589344735232', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '0', '1327473526785052672', '2022-11-21 15:28:32', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589361512448', '1570684224657297408', '1593836398039928832', '1570299693840338944', '2', '0', '1', '402', '1', '0', '1327473526785052672', '2022-11-21 15:28:32', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589378289664', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '0', '1327473526785052672', '2022-11-21 15:28:32', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589395066880', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '0', '1327473526785052672', '2022-11-21 15:28:32', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589411844096', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '0', '1327473526785052672', '2022-11-21 15:28:32', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589428621312', '1570684224657297408', '1594497710935904256', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 15:28:32', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589441204224', '1570684224657297408', '1594497708633231360', '1570299693840338944', '2', '0', '1', '407', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589457981440', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589470564352', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589487341568', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589504118784', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589516701696', '1570684251777667072', '1593837540161490944', '1572423988288819200', '3', '0', '1', '601', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589533478912', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594593589546061824', '1570684264197001216', '1593906764808589312', '1570299693840338944', '2', '0', '1', '701', '1', '0', '1327473526785052672', '2022-11-21 15:28:33', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594594899993432064', '1570684224657297408', '1593835986595483648', '1570299693840338944', '2', '0', '1', '401', '1', '1', '1327473526785052672', '2022-11-21 15:33:46', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594594904636526592', '1570684224657297408', '1593836398039928832', '1570299693840338944', '2', '0', '1', '402', '1', '1', '1327473526785052672', '2022-11-21 15:33:47', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594594909359312896', '1570684264197001216', '1593906764808589312', '1570299693840338944', '2', '0', '1', '701', '1', '1', '1327473526785052672', '2022-11-21 15:33:48', null, null, '1594562352714485760', '十月测试测试 签到计划1111');
INSERT INTO `train_dormitory_room_class` VALUES ('1594595097515790336', '1570684224657297408', '1593837151131406336', '1572423988288819200', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2022-11-21 15:34:32', null, null, '1594586018877673472', '1121培训库课程-b');
INSERT INTO `train_dormitory_room_class` VALUES ('1594598853707960320', '1570684224657297408', '1593837208400433152', '1570299693840338944', '2', '0', '1', '404', '1', '1', '1569970196410667008', '2022-11-21 15:49:28', null, null, '1594586018877673472', '1121培训库课程-b');
INSERT INTO `train_dormitory_room_class` VALUES ('1594874416850931712', '1570684224657297408', '1594497650391126016', '1570299693840338944', '2', '0', '1', '406', '1', '1', '1561995446459699200', '2022-11-22 10:04:27', null, null, '1594874152140017664', '1122培训库课程-c');
INSERT INTO `train_dormitory_room_class` VALUES ('1595284902574690304', '1570684224657297408', '1594497763482144768', '1570299693840338944', '2', '0', '1', '408', '1', '1', '1561995446459699200', '2022-11-23 13:15:34', null, null, '1595284725910605824', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595284902574690305', '1570684224657297408', '1594497824173723648', '1570299693840338944', '2', '0', '1', '409', '1', '1', '1561995446459699200', '2022-11-23 13:15:34', null, null, '1595284725910605824', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595284902574690306', '1570684224657297408', '1594497880566140928', '1570299693840338944', '2', '0', '1', '410', '1', '1', '1561995446459699200', '2022-11-23 13:15:34', null, null, '1595284725910605824', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595284902574690307', '1570684239853260800', '1593837325572509696', '1570299693840338944', '2', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-23 13:15:34', null, null, '1595284725910605824', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595284902574690308', '1570684251777667072', '1593837540161490944', '1572423988288819200', '3', '0', '1', '601', '1', '1', '1569970196410667008', '2022-11-23 13:15:34', null, null, '1595284725910605824', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595290897271099392', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '0', '1569970196410667008', '2022-11-23 13:39:24', null, null, '1595290765951635456', '1338');
INSERT INTO `train_dormitory_room_class` VALUES ('1595294082081624064', '1570684251777667072', '1593837609933737984', '1570299693840338944', '2', '0', '1', '602', '1', '1', '1569970196410667008', '2022-11-23 13:52:03', null, null, '1595293028619259904', '1123培训班a');
INSERT INTO `train_dormitory_room_class` VALUES ('1595338226044899328', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1569970196410667008', '2022-11-23 16:47:28', null, null, '1594539630882066432', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595338226044899329', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1569970196410667008', '2022-11-23 16:47:28', null, null, '1594539630882066432', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595338226044899330', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1569970196410667008', '2022-11-23 16:47:28', null, null, '1594539630882066432', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595338226044899331', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1569970196410667008', '2022-11-23 16:47:28', null, null, '1594539630882066432', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1595338226044899332', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2022-11-23 16:47:28', null, null, '1594539630882066432', '测试消息提醒');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459904', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459905', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459906', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459907', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459908', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459909', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459910', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459911', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950270459912', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950274654208', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-28 15:27:08', null, null, '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597129950274654209', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1', '2022-11-28 15:27:08', '1', '2022-11-25 11:20:43', '1597129836160225280', '测试是否预留');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191296', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191297', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191298', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191299', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191300', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191301', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191302', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191303', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191304', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-29 16:58:53', null, null, '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597515427771191305', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1', '2022-11-29 16:58:53', '1', '2022-11-25 11:20:43', '1597515216793505792', '复测0922-001');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084928', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084929', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084930', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084931', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084932', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084933', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084934', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084935', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084936', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084937', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1569970196410667008', '2022-11-29 19:37:16', null, null, '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1597555285961084938', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1', '2022-11-29 19:37:16', '1', '2022-11-25 11:20:43', '1597552958424354816', '1927测试签到');
INSERT INTO `train_dormitory_room_class` VALUES ('1598511106001866752', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1', '2022-12-02 10:55:21', null, null, '1597161124694986752', '1121培训库课程-b');
INSERT INTO `train_dormitory_room_class` VALUES ('1598518933546209280', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1', '2022-12-02 11:26:28', null, null, '1597161124694986752', '1121培训库课程-b');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677184', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677185', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '2', '1', '102', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677186', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677187', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677188', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677189', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677190', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '0', '1569970196410667008', '2022-12-02 11:40:23', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522436947677191', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2022-12-02 11:40:23', '1', '2022-11-25 11:20:43', '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522470455971840', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1590543166828843008', '2022-12-02 11:40:31', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522471500353536', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '2', '1', '102', '1', '1', '1590543166828843008', '2022-12-02 11:40:31', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522472490209280', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1590543166828843008', '2022-12-02 11:40:31', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522473471676416', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1590543166828843008', '2022-12-02 11:40:32', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522474436366336', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1590543166828843008', '2022-12-02 11:40:32', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522475401056256', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1590543166828843008', '2022-12-02 11:40:32', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522476441243648', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1590543166828843008', '2022-12-02 11:40:32', null, null, '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598522477456265216', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1590543166828843008', '2022-12-02 11:40:32', '1', '2022-11-25 11:20:43', '1598522109934571520', '没有住宿');
INSERT INTO `train_dormitory_room_class` VALUES ('1598528083995004928', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1', '2022-12-02 12:02:49', null, null, '1598521650104635392', '1202 培训报告打印');
INSERT INTO `train_dormitory_room_class` VALUES ('1598528084427018240', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1', '2022-12-02 12:02:49', null, null, '1598521650104635392', '1202 培训报告打印');
INSERT INTO `train_dormitory_room_class` VALUES ('1598528110318456832', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1', '2022-12-02 12:02:55', null, null, '1598521650104635392', '1202 培训报告打印');
INSERT INTO `train_dormitory_room_class` VALUES ('1598528111295729664', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1', '2022-12-02 12:02:56', null, null, '1598521650104635392', '1202 培训报告打印');
INSERT INTO `train_dormitory_room_class` VALUES ('1598528112268808192', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1', '2022-12-02 12:02:56', null, null, '1598521650104635392', '1202 培训报告打印');
INSERT INTO `train_dormitory_room_class` VALUES ('1598953732182249472', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1590543166828843008', '2022-12-03 16:14:12', null, null, '1598951182674563072', '123培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1598953732249358336', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1590543166828843008', '2022-12-03 16:14:12', null, null, '1598951182674563072', '123培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1598953732308078592', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1590543166828843008', '2022-12-03 16:14:12', null, null, '1598951182674563072', '123培训班');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984640', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984641', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984642', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984643', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984644', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984645', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984646', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984647', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984648', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984649', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1569970196410667008', '2023-01-06 14:18:20', null, null, '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1611245763503984650', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1', '2023-01-06 14:18:20', '1', '2022-11-25 11:20:43', '1611245681211740160', '测试支付V6');
INSERT INTO `train_dormitory_room_class` VALUES ('1612330833279062016', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1561995446459699200', '2023-01-09 14:10:01', null, null, '1612263653086728192', '金融理财第一期');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859904', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859905', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859906', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859907', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859908', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859909', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859910', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859911', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859912', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-09 16:36:27', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367686308859913', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-09 16:36:27', '1', '2022-11-25 11:20:43', '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612367777228787712', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1561995446459699200', '2023-01-09 16:36:49', null, null, '1612367512480124928', '支付1');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435456', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435457', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435458', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435459', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435460', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435461', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435462', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333516435463', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-09 18:54:08', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402333520629760', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-09 18:54:08', '1', '2022-11-25 11:20:43', '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612402388260491264', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1561995446459699200', '2023-01-09 18:54:21', null, null, '1612402197872644096', '支付3');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939584', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939585', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939586', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939587', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939588', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939589', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939590', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939591', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-10 15:10:25', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708419695939592', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-10 15:10:25', '1', '2022-11-25 11:20:43', '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612708464797290496', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1561995446459699200', '2023-01-10 15:10:35', null, null, '1612708278364672000', '支付2');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653875851264', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045568', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045569', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045570', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045571', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045572', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045573', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-10 15:19:17', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612710653880045574', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-10 15:19:17', '1', '2022-11-25 11:20:43', '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1612712818510008320', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1561995446459699200', '2023-01-10 15:27:53', null, null, '1612710059157098496', '支付4');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540480', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540481', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540482', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540483', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540484', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540485', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540486', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422059540487', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422063734784', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-11 13:45:26', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613049422063734785', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-11 13:45:26', '1', '2022-11-25 11:20:43', '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613051658454044672', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1613048759447588864', '2023-01-11 13:54:19', null, null, '1613049308599422976', '支付1月1111111111111111');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592739667968', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592739667969', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862272', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862273', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862274', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862275', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862276', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862277', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-11 14:45:43', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064592743862278', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-11 14:45:43', '1', '2022-11-25 11:20:43', '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613064640122720256', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1561995446459699200', '2023-01-11 14:45:54', null, null, '1613064326346838016', '支付5');
INSERT INTO `train_dormitory_room_class` VALUES ('1613342875708428288', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '0', '1569970196410667008', '2023-01-12 09:11:31', null, null, '1613342717457338368', '支付6');
INSERT INTO `train_dormitory_room_class` VALUES ('1613342921212432384', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1561995446459699200', '2023-01-12 09:11:42', null, null, '1613342717457338368', '支付6');
INSERT INTO `train_dormitory_room_class` VALUES ('1613804791790702592', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1561995446459699200', '2023-01-13 15:47:00', null, null, '1613804407424684032', '支付七');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525440', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-13 16:10:30', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525441', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-13 16:10:30', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525442', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-01-13 16:10:30', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525443', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-13 16:10:30', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525444', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-13 16:10:30', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525445', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-13 16:10:30', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810704446525446', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-13 16:10:30', '1', '2022-11-25 11:20:43', '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613810834209902592', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1561995446459699200', '2023-01-13 16:11:01', null, null, '1613808331804250112', '支付7');
INSERT INTO `train_dormitory_room_class` VALUES ('1613814434944389120', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-13 16:25:19', null, null, '1613814276676521984', '支付8');
INSERT INTO `train_dormitory_room_class` VALUES ('1613814434944389121', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-01-13 16:25:19', null, null, '1613814276676521984', '支付8');
INSERT INTO `train_dormitory_room_class` VALUES ('1613814434944389122', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-13 16:25:19', null, null, '1613814276676521984', '支付8');
INSERT INTO `train_dormitory_room_class` VALUES ('1613814434944389123', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-13 16:25:19', null, null, '1613814276676521984', '支付8');
INSERT INTO `train_dormitory_room_class` VALUES ('1613814559364222976', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1561995446459699200', '2023-01-13 16:25:49', null, null, '1613814276676521984', '支付8');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845986385920', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845986385921', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845986385922', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845990580224', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845990580225', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845990580226', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845990580227', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-01-14 16:41:18', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180845990580228', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-01-14 16:41:18', '1', '2022-11-25 11:20:43', '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1614180885987463168', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1561995446459699200', '2023-01-14 16:41:28', null, null, '1614180571775373312', '支付9');
INSERT INTO `train_dormitory_room_class` VALUES ('1620327346861117440', '1595323238752325632', '1595324911017136128', '1595323594525773824', '1', '0', '1', '101', '1', '1', '1569970196410667008', '2023-01-31 15:45:18', null, null, '1620327161489657856', '投资第三期');
INSERT INTO `train_dormitory_room_class` VALUES ('1620327346861117441', '1595323238752325632', '1595325002578792448', '1595323646203793408', '2', '0', '1', '102', '1', '1', '1569970196410667008', '2023-01-31 15:45:18', null, null, '1620327161489657856', '投资第三期');
INSERT INTO `train_dormitory_room_class` VALUES ('1620327346861117442', '1595323238752325632', '1595325063127764992', '1595323674762809344', '3', '0', '1', '103', '1', '1', '1569970196410667008', '2023-01-31 15:45:18', null, null, '1620327161489657856', '投资第三期');
INSERT INTO `train_dormitory_room_class` VALUES ('1620327346861117443', '1595323257706385408', '1595325114981945344', '1595323646203793408', '2', '0', '1', '201', '1', '1', '1569970196410667008', '2023-01-31 15:45:18', null, null, '1620327161489657856', '投资第三期');
INSERT INTO `train_dormitory_room_class` VALUES ('1620327346865311744', '1595323257706385408', '1595325175115681792', '1595323674762809344', '3', '0', '1', '202', '1', '1', '1569970196410667008', '2023-01-31 15:45:18', null, null, '1620327161489657856', '投资第三期');
INSERT INTO `train_dormitory_room_class` VALUES ('1620599634307190784', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2023-02-01 09:47:17', null, null, '1620598592655986688', '测试支付0942');
INSERT INTO `train_dormitory_room_class` VALUES ('1620599634307190785', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2023-02-01 09:47:17', null, null, '1620598592655986688', '测试支付0942');
INSERT INTO `train_dormitory_room_class` VALUES ('1620599634307190786', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2023-02-01 09:47:17', null, null, '1620598592655986688', '测试支付0942');
INSERT INTO `train_dormitory_room_class` VALUES ('1620599634307190787', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2023-02-01 09:47:17', null, null, '1620598592655986688', '测试支付0942');
INSERT INTO `train_dormitory_room_class` VALUES ('1620599634307190788', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1569970196410667008', '2023-02-01 09:47:17', null, null, '1620598592655986688', '测试支付0942');
INSERT INTO `train_dormitory_room_class` VALUES ('1620599634307190789', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1', '2023-02-01 09:47:17', '1', '2022-11-25 11:20:43', '1620598592655986688', '测试支付0942');
INSERT INTO `train_dormitory_room_class` VALUES ('1640981930126217216', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '1', '1569970196410667008', '2023-03-29 15:39:15', null, null, '1640981421491359744', '2023培训计划');
INSERT INTO `train_dormitory_room_class` VALUES ('1640981930126217217', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '1', '1569970196410667008', '2023-03-29 15:39:15', null, null, '1640981421491359744', '2023培训计划');
INSERT INTO `train_dormitory_room_class` VALUES ('1640981930126217218', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '1', '1569970196410667008', '2023-03-29 15:39:15', null, null, '1640981421491359744', '2023培训计划');
INSERT INTO `train_dormitory_room_class` VALUES ('1640981930126217219', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '1', '1569970196410667008', '2023-03-29 15:39:15', null, null, '1640981421491359744', '2023培训计划');
INSERT INTO `train_dormitory_room_class` VALUES ('1640981930126217220', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1569970196410667008', '2023-03-29 15:39:15', null, null, '1640981421491359744', '2023培训计划');
INSERT INTO `train_dormitory_room_class` VALUES ('1640981930126217221', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1', '2023-03-29 15:39:15', '1', '2022-11-25 11:20:43', '1640981421491359744', '2023培训计划');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378335818584064', '1595323274324217856', '1595325240882368512', '1595323707906199552', '4', '0', '1', '301', '1', '0', '1569970196410667008', '2023-08-15 17:16:34', null, null, '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378335818584065', '1595323288912007168', '1595325294099697664', '1595323674762809344', '3', '0', '1', '401', '1', '0', '1569970196410667008', '2023-08-15 17:16:34', null, null, '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378335818584066', '1595323288912007168', '1595325365499334656', '1595323779289059328', '5', '0', '1', '402', '1', '0', '1569970196410667008', '2023-08-15 17:16:34', null, null, '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378335818584067', '1595323288912007168', '1595325425654042624', '1595323674762809344', '3', '0', '1', '403', '1', '0', '1569970196410667008', '2023-08-15 17:16:34', null, null, '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378335818584068', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '0', '1569970196410667008', '2023-08-15 17:16:34', null, null, '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378335818584069', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '0', '1', '2023-08-15 17:16:34', '1', '2022-11-25 11:20:43', '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378585530667008', '1595323308734287872', '1595325506826407936', '1595323779289059328', '5', '0', '1', '501', '1', '1', '1327473526785052672', '2023-08-15 17:17:34', null, null, '1691377993613709312', '测试计划库001');
INSERT INTO `train_dormitory_room_class` VALUES ('1691378586596020224', '1595323308734287872', '1595980177467379712', '1595323594525773824', '1', '0', '1', '502', '1', '1', '1327473526785052672', '2023-08-15 17:17:34', '1', '2022-11-25 11:20:43', '1691377993613709312', '测试计划库001');

-- ----------------------------
-- Table structure for train_dormitory_room_type
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_room_type`;
CREATE TABLE `train_dormitory_room_type` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `ROOM_TYPE` varchar(30) DEFAULT NULL COMMENT '房间类型',
  `NUM` int(10) DEFAULT NULL COMMENT '可住人数',
  `state` smallint(5) DEFAULT NULL COMMENT '状态 1启用0禁用',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 0删除1正常',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='房型管理 ';

-- ----------------------------
-- Records of train_dormitory_room_type
-- ----------------------------
INSERT INTO `train_dormitory_room_type` VALUES ('1595323344163573760', '101', '2', '1', '0', '1', '2022-11-23 15:48:20', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323366624071680', '102', '3', '1', '0', '1', '2022-11-23 15:48:25', '1', '2022-11-23 15:48:27');
INSERT INTO `train_dormitory_room_type` VALUES ('1595323405345886208', '103', '3', '1', '0', '1', '2022-11-23 15:48:34', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323431006638080', '201', '2', '1', '0', '1', '2022-11-23 15:48:40', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323594525773824', '单人间', '1', '1', '1', '1', '2022-11-23 15:49:19', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323646203793408', '双人间', '2', '1', '1', '1', '2022-11-23 15:49:32', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323674762809344', '三人间', '3', '1', '1', '1', '2022-11-23 15:49:39', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323707906199552', '四人间', '4', '1', '1', '1', '2022-11-23 15:49:46', null, null);
INSERT INTO `train_dormitory_room_type` VALUES ('1595323779289059328', '五人间', '5', '1', '1', '1', '2022-11-23 15:50:03', null, null);

-- ----------------------------
-- Table structure for train_dormitory_speical_card
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_speical_card`;
CREATE TABLE `train_dormitory_speical_card` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `CARD_TYPE` int(11) DEFAULT NULL COMMENT '卡类型（0楼层卡 1总控卡）',
  `AREA_ID` bigint(19) DEFAULT NULL COMMENT '区域',
  `FLOOR_ID` varchar(2000) DEFAULT NULL COMMENT '楼层',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `STATE` int(11) DEFAULT NULL COMMENT '状态',
  `DEL_FLAG` int(11) DEFAULT NULL COMMENT '是否删除 0删除1正常',
  `FLOOR_NAME` varchar(2000) DEFAULT NULL COMMENT '楼层名称',
  `dormitory_card_no` varchar(30) DEFAULT NULL COMMENT '身份证号',
  `card_no` varchar(30) DEFAULT NULL COMMENT '卡号',
  `uuid` varchar(50) DEFAULT NULL COMMENT 'uuid',
  `card_name` varchar(50) DEFAULT NULL COMMENT '姓名'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='特殊卡 ';

-- ----------------------------
-- Records of train_dormitory_speical_card
-- ----------------------------
INSERT INTO `train_dormitory_speical_card` VALUES ('1590281337481334784', '0', null, '1570684251777667072', '1562314510612697088', '2022-11-09 17:53:12', null, null, null, '0', '6层', '410425198905102013', '920647399', '35b242d3a21c44cf8b3b6c30902e3920', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1590514161610264576', '0', null, '1570684203840966656', '1562314510612697088', '2022-11-10 09:18:21', null, null, null, '0', '3层', '410425198908105012', '920647399', 'f90ebac6fb804edfbaf18626e2ecb05a', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1590514923966959616', '0', null, '1570684239853260800', '1562314510612697088', '2022-11-10 09:21:23', null, null, null, '0', '5层', '410425199708106013', '920647399', '7a1390c5ab524b1396f084ae7f557a89', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1593533034064384000', '0', null, '1570684203840966656', '1561995446459699200', '2022-11-18 17:14:16', null, null, null, '0', '3层', '110101201103072137', '1232424', 'e9b3f031da034cb1b4f85a03f4a2497a', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1593533279137566720', '0', null, '1570684203840966656', '1561995446459699200', '2022-11-18 17:15:15', null, null, null, '0', '3层', '11010120070307975X', '12342321', '22fbea74671141d489401cdc4ba033df', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1593821331080744960', '0', null, '1570684239853260800', '1569970196410667008', '2022-11-19 12:19:52', null, null, null, '0', '5层', '110101200903071875', '123434564', '90e88b6024254f21a83ce843137d3762', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594174010277629952', '0', null, '1570684264197001216', '1569970196410667008', '2022-11-20 11:41:17', null, null, null, '0', '7层', '41052319921211101X', '920907191', '2d9d6c649e324606830bd5f5563b3698', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594175239233867776', '0', null, '1570684264197001216', '1569970196410667008', '2022-11-20 11:46:10', null, null, null, '0', '7层', '41052319921211101X', '920907191', '875cfa67c92f486f8ae4d72b8490a695', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594177163375022080', '0', null, '1570684264197001216', '1569970196410667008', '2022-11-20 11:53:49', null, null, null, '0', '7层', '110101200503077557', '920907191', 'c0c24c6256124a98a103e59b2733f371', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594179166708830208', '0', null, '1570684239853260800', '1569970196410667008', '2022-11-20 12:01:47', null, null, null, '0', '5层', '110101200503074655', '1382841623', '50af966fa2b24982a8f3414be49f552b', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594182086275764224', '0', null, '1570684264197001216', '1569970196410667008', '2022-11-20 12:13:23', null, null, null, '0', '7层', '110101200503075850', '1382841623', '73c8bfb6bcd8490c8b4ee994551f2e69', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594191321311088640', '0', null, '1570684224657297408', '1569970196410667008', '2022-11-20 12:50:04', null, null, null, '0', '4层', '150102199003079933', '1382841623', 'cdbb7059c07a40609b2031ece18567d2', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594194281881538560', '0', null, '1570684264197001216', '1561995446459699200', '2022-11-20 13:01:50', null, null, null, '0', '7层', '360102200503070737', '1382841623', '1fcf15232ea04ae49c123bbb4175402f', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1594196588878761984', '0', null, '1570684264197001216', '1561995446459699200', '2022-11-20 13:11:01', null, null, null, '0', '7层', '360102200503079619', '1382841623', '3bd95d99983b4f1e8c4688cf652a26bc', null);
INSERT INTO `train_dormitory_speical_card` VALUES ('1596714647338225664', '0', null, '1595323238752325632', '1590543166828843008', '2022-11-27 11:56:53', null, null, null, '0', '1层', '410425198010090810', '123213213', null, '测试得王涵');
INSERT INTO `train_dormitory_speical_card` VALUES ('1597768228451520512', '0', null, '1595323238752325632', '1590543166828843008', '2022-11-30 09:43:26', null, null, null, '0', '1层', '110101201203075116', '920907191', '9487942e694f4ba68587a1c68451bb7a', '特殊卡');

-- ----------------------------
-- Table structure for train_dormitory_unlock_record
-- ----------------------------
DROP TABLE IF EXISTS `train_dormitory_unlock_record`;
CREATE TABLE `train_dormitory_unlock_record` (
  `id` bigint(20) DEFAULT NULL COMMENT 'ID',
  `room_id` bigint(20) DEFAULT NULL COMMENT '房间id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1.刷卡 2.扫码 3.刷脸',
  `user_id` bigint(20) DEFAULT NULL COMMENT '开锁人',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `create_time` datetime DEFAULT NULL COMMENT '开锁时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='房间开锁记录';

-- ----------------------------
-- Records of train_dormitory_unlock_record
-- ----------------------------

-- ----------------------------
-- Table structure for train_exercises
-- ----------------------------
DROP TABLE IF EXISTS `train_exercises`;
CREATE TABLE `train_exercises` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、在线课程。2、培训班。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '在线课程id/培训班id',
  `link_name` varchar(30) DEFAULT NULL COMMENT '在线课程名称/培训班名称',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '练习题id',
  `test_paper_name` varchar(30) DEFAULT NULL COMMENT '练习题名字',
  `option_disorder` smallint(6) DEFAULT NULL COMMENT '乱序 0、非乱序 。 1、乱序',
  `topic_disorder` smallint(6) DEFAULT NULL COMMENT '试题乱序 0、非 。1、乱序',
  `type_reorder` varchar(50) DEFAULT NULL COMMENT '试题类型 排序  1、多选。2、单选。3、判断。4、填空。',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线课程、培训班练习题';

-- ----------------------------
-- Records of train_exercises
-- ----------------------------
INSERT INTO `train_exercises` VALUES ('128160805126665628', '1', '1668104669093826560', 'TBase数据库入门', '1636288684905074688', '03160001', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('794560129910808613', '2', '128045312767044786', '理财培训计划第二季度', '1636288684905074688', '数据库考试试卷4', '1', '1', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1336885413171826688', '1', '1334027100704870400', '如何快速掌握“天网”范围让邮件“飞”起来', '1323517823376560128', '在线习题', null, null, null);
INSERT INTO `train_exercises` VALUES ('1336885494906228736', '1', '1333698348032593920', '邮政营业员职业道德', '1323517823376560128', '在线习题', null, null, null);
INSERT INTO `train_exercises` VALUES ('1566977769613692928', '2', '1564825117907881984', '是飒飒', '1566959432447954944', '放纷纷', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1566989553129099264', '2', '1564825117907881984', '是飒飒', '1566959432447954944', '放纷纷', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1567080618028830720', '2', '1564825117907881984', '是飒飒', '1567076368796225536', '测试题1', '0', '0', '2,1,3,4');
INSERT INTO `train_exercises` VALUES ('1567080717811322880', '2', '1564825117907881984', '是飒飒', '1567076368796225536', '测试题1', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1567081499726057472', '2', '1564825117907881984', '是飒飒', '1567076368796225536', '测试题1', '0', '0', '2,1,3,4');
INSERT INTO `train_exercises` VALUES ('1567083423053516800', '2', '1564825117907881984', '是飒飒', '1567076368796225536', '测试题1', '0', '0', '2,1,3,4');
INSERT INTO `train_exercises` VALUES ('1574690213886824448', '2', '1574686196263686144', '在线投资第三期02', '1567076368796225536', '测试题1', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1575727170976878592', '2', '1574686196263686144', '在线投资第三期02', '1566959432447954944', '放纷纷', '0', '1', '1,3,2,4');
INSERT INTO `train_exercises` VALUES ('1583410071226945536', '1', '1583410043481624576', '在线课程金融投资第一课', '1567076368796225536', '测试题1', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1592067901681176576', '2', '1592065253888364544', '11月金融投资讲堂第一期02', '1567076368796225536', '测试题1', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1596020418291044352', '1', '1596020302926712832', 'v二十嗯嗯', '1567076368796225536', '测试题1', '0', '0', '1,2,3,4');
INSERT INTO `train_exercises` VALUES ('1596027660906139648', '1', '1596027627670474752', '份额顶顶顶顶顶顶顶顶顶顶顶', '1567076368796225536', '测试题1', '0', '0', '1,2,3,4');

-- ----------------------------
-- Table structure for train_face_log
-- ----------------------------
DROP TABLE IF EXISTS `train_face_log`;
CREATE TABLE `train_face_log` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `deviceUuid` varchar(1024) DEFAULT NULL COMMENT '设备UUID',
  `deviceName` varchar(1024) DEFAULT NULL COMMENT '设备名称',
  `personUuid` varchar(1024) DEFAULT NULL COMMENT '人员UUID',
  `personName` varchar(1024) DEFAULT NULL COMMENT '人员名称',
  `personImageUrl` varchar(3072) DEFAULT NULL COMMENT '底层图',
  `snapshotUri` varchar(3072) DEFAULT NULL COMMENT '抓拍图',
  `passTimestamp` bigint(19) DEFAULT NULL COMMENT '抓拍时间',
  `recognitionType` varchar(32) DEFAULT NULL COMMENT '人员类型 识别⼈员类型。1 - 员⼯; 2 - 访客; 3 - 重点⼈员（⿊名单）; 4 - ⽆权限⼈员; 5 - 未识 别; 6 - VIP访客',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT=' ';

-- ----------------------------
-- Records of train_face_log
-- ----------------------------
INSERT INTO `train_face_log` VALUES ('1594243094927249408', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '81d91743b2c24a4583bd8bca36357f91', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_a36ee3fcf7704e14a7911b322bda4c44?timestamp=1669040204&sig=a3fc6ee83f21ac8e911e41a822cc45ff', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_8fcea2cedbbd4c94b1850cd25ba038d7?timestamp=1669040204&sig=f7cb257fde37cc59f3279b347b803c64', '1668932204000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-20 16:15:48');
INSERT INTO `train_face_log` VALUES ('1594243970215579648', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', 'afa4c7485c644e2786baeb8c748f294e', '王三', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_1215a63d04074355893e11a50af39b6b?timestamp=1669040413&sig=0ffdcdab519e5fcaf8dd394ec2b2dfa0', '', '1668932412000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-20 16:19:17');
INSERT INTO `train_face_log` VALUES ('1594243970215579649', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', 'afa4c7485c644e2786baeb8c748f294e', '王三', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_1215a63d04074355893e11a50af39b6b?timestamp=1669040415&sig=fe6311a9aed7d422876d5db5e08871a3', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_844e7fff74d24e499310b2fa6c4b06ef?timestamp=1669040415&sig=2717a8220f5cc237cd223e0fff6fa2b5', '1668932415000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-20 16:19:17');
INSERT INTO `train_face_log` VALUES ('1594245368848191488', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_e247a06e0823431199cb434ac34f1cc8?timestamp=1669040746&sig=df01e3fd563ba5fd2668f9001af1565a', '1668932746000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-20 16:24:50');
INSERT INTO `train_face_log` VALUES ('1594263598786547712', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '849a8fc698594933906d867a7c3996d9', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_2c9ba1b11048455eb92a5a6ccf7e1553?timestamp=1669045092&sig=6498f37dd9970bb1670d0a16c4544c93', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_31671a5af4cd47b296e7e0ef73298a68?timestamp=1669045092&sig=648d1a0b8fc49e5d8547ab08ca42bf04', '1668937092000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-20 17:37:17');
INSERT INTO `train_face_log` VALUES ('1594501257257684992', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '849a8fc698594933906d867a7c3996d9', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_2c9ba1b11048455eb92a5a6ccf7e1553?timestamp=1669101754&sig=38edb9c395048d1345538247a65c50ed', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_a7b8ed44f36a4c75a15defaf83d2042e?timestamp=1669101754&sig=e724a0994533456f53bc427e42e24a18', '1668993754000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 09:21:39');
INSERT INTO `train_face_log` VALUES ('1594509331741675520', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '849a8fc698594933906d867a7c3996d9', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_2c9ba1b11048455eb92a5a6ccf7e1553?timestamp=1669103679&sig=b7892af7e9e7fdd057e0496d2085b232', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_4260d611a0b44bca83a72db52d807a12?timestamp=1669103679&sig=3df723bc5a042b7075df8fe1242fc13e', '1668995679000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 09:53:44');
INSERT INTO `train_face_log` VALUES ('1594509388016652288', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_e846c89ee95546aa986251f46a2303a9?timestamp=1669103693&sig=6ba221e1ed3afc8a357bc3b4a815bc0f', '1668995693000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 09:53:57');
INSERT INTO `train_face_log` VALUES ('1594509388016652289', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_a494b260d9304211a4cdf3ca27e3f163?timestamp=1669103695&sig=048958b4458a290dbea0bcd76a895536', '1668995695000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 09:53:57');
INSERT INTO `train_face_log` VALUES ('1594509432014901248', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_928f84b77ba04199965f9ade45f7885c?timestamp=1669103703&sig=f4a167322d084c590203e8d6b2b4a1a7', '1668995703000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 09:54:08');
INSERT INTO `train_face_log` VALUES ('1594509432014901249', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_f0f4804f9d20479089dfc2a305b6635e?timestamp=1669103705&sig=b208e6c0ce116cc66fc28a7eb6c856df', '1668995705000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 09:54:08');
INSERT INTO `train_face_log` VALUES ('1594596769315033088', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', 'e1a30008a4214ebda2013d0649ceb4c6', '刘一', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_a7b6be898bbf48c4b90e9193935772c0?timestamp=1669124527&sig=2c480940af1a043d2438fa4119df27ef', '', '1669016527000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 15:41:11');
INSERT INTO `train_face_log` VALUES ('1594596781365268480', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', 'e1a30008a4214ebda2013d0649ceb4c6', '刘一', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_a7b6be898bbf48c4b90e9193935772c0?timestamp=1669124531&sig=7e3aabfdea1b4574315e84c6d26f5052', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_49a86bd70ef34562a18c6ffdc6188576?timestamp=1669124531&sig=667b2f00f694821dd1c68752d6112284', '1669016531000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 15:41:14');
INSERT INTO `train_face_log` VALUES ('1594609109582352384', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669127469&sig=3b24f9fa2c5c8c25c97094df6ae13f1a', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_7af9117d212849cb86377c581f2dacc5?timestamp=1669127469&sig=c14ddfb83cfe4512fd3b07cd610a9b00', '1669019469000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 16:30:13');
INSERT INTO `train_face_log` VALUES ('1594609109586546688', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669127471&sig=868cc3766660ed68d6c83ea4324bd8a3', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_cc93d3003ef048b3a9233c9cbb48707c?timestamp=1669127471&sig=6fcdc6c15a41f0246d4c91bb93926d38', '1669019471000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 16:30:13');
INSERT INTO `train_face_log` VALUES ('1594612424986726400', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669020260000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 16:43:23');
INSERT INTO `train_face_log` VALUES ('1594612567781806080', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '25f3acbcf4a841dabefea09f3fdf5c7f', '六二', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_105c46df3fd34cf7be06271fee380b31?timestamp=1669128294&sig=28bc9d34134eecdf73be50ec5207e7a2', '', '1669020293000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-21 16:43:57');
INSERT INTO `train_face_log` VALUES ('1594648688821669888', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '723e3b65ac3e4e198f7aefe1efab2ac8', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_92cf63cedfef4d75b56fb3b5a26d3cba?timestamp=1669136906&sig=c2e7195e37638c98d68882d1e5055704', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_aee5f3a57822468ab5d27d0442a4d48b?timestamp=1669136906&sig=d1f3aae6abe6348910067d6633bead78', '1669028905000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-21 19:07:29');
INSERT INTO `train_face_log` VALUES ('1594854863559331840', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '723e3b65ac3e4e198f7aefe1efab2ac8', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_92cf63cedfef4d75b56fb3b5a26d3cba?timestamp=1669186062&sig=1086c48ca0c64216e7b9d874cb4a5a45', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_5a88201ff4174e8dbad65b2b52253e70?timestamp=1669186062&sig=1dbcafb37b325fb6d8dd18017726489c', '1669078062000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 08:46:45');
INSERT INTO `train_face_log` VALUES ('1594854863563526144', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '723e3b65ac3e4e198f7aefe1efab2ac8', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_92cf63cedfef4d75b56fb3b5a26d3cba?timestamp=1669186060&sig=f774a73ad41bd3ee6d00cfb29fc97c7b', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_5d172d0380c24967a5aa2c193ed78719?timestamp=1669186060&sig=94971b94593ebaeb15d8c153de13d3ee', '1669078060000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 08:46:45');
INSERT INTO `train_face_log` VALUES ('1594866342266277888', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_056fa705bbd54a50a73bb2a0e7dc42b1?timestamp=1669188800&sig=9958301bde8f57d291ea14dc81134a32', '1669080800000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 09:32:22');
INSERT INTO `train_face_log` VALUES ('1594866350793297920', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_c7b39ae6442e437eb91f2fd673a8baf1?timestamp=1669188802&sig=3fc7631d6f9c2c2ad01a349e1e2b3ecc', '1669080802000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 09:32:24');
INSERT INTO `train_face_log` VALUES ('1594866356682100736', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '723e3b65ac3e4e198f7aefe1efab2ac8', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_92cf63cedfef4d75b56fb3b5a26d3cba?timestamp=1669188803&sig=9af08f22d841159a304310a0ffab297e', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_031d39f2ed3f4c1fa8d3c6fd9642138d?timestamp=1669188803&sig=3e6a529e2f5ebc8d5d768c279ef56473', '1669080803000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 09:32:25');
INSERT INTO `train_face_log` VALUES ('1594866376428883968', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_26ecd7a0945945b1a7ba16477df4a951?timestamp=1669188808&sig=74e3edab74956c8a60917d4a9b680c8a', '1669080808000', '057cc0a5bec446daabad66a515036679', '2022-11-22 09:32:30');
INSERT INTO `train_face_log` VALUES ('1594866384427421696', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_87bac499ff1d4055ac2dc6a4679fdb3e?timestamp=1669188810&sig=f0a621272be9840ecf1f5743a8e2394b', '1669080810000', '057cc0a5bec446daabad66a515036679', '2022-11-22 09:32:32');
INSERT INTO `train_face_log` VALUES ('1594873234799595520', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '723e3b65ac3e4e198f7aefe1efab2ac8', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_92cf63cedfef4d75b56fb3b5a26d3cba?timestamp=1669190443&sig=0b407eeea94a09fa27c861470f0a57fc', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_6f4db3e4acae44f1b9260a1f9b83298c?timestamp=1669190443&sig=c407c594ae92b1b8339db02950713a3f', '1669082443000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 09:59:45');
INSERT INTO `train_face_log` VALUES ('1594873256312180736', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '723e3b65ac3e4e198f7aefe1efab2ac8', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_92cf63cedfef4d75b56fb3b5a26d3cba?timestamp=1669190445&sig=bbe32ea475c81ba93cdabd93763fb5fc', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_61f0121182a64a8d94482f8575392a53?timestamp=1669190445&sig=23ec1c6225a53495e78fcbad83ea4b3e', '1669082445000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 09:59:50');
INSERT INTO `train_face_log` VALUES ('1594885045401817089', '057cc0a5bec446daabad66a515036679', '22', null, null, null, '', '1669085256000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:46:41');
INSERT INTO `train_face_log` VALUES ('1594885045401817088', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669085259000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:46:41');
INSERT INTO `train_face_log` VALUES ('1594885058299301888', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'bea5ad0fe6d145a89b7801855006a923', '多设备', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_afa031f9e3014f5d97829d5ccc0e5021?timestamp=1669193261&sig=7e35da6097b8e4d811a4486b7c88395a', '', '1669085261000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:46:44');
INSERT INTO `train_face_log` VALUES ('1594885109671137280', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193271&sig=290e052901802de533050d96506c8fab', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_0159674a9e3a488684f4ddac40c5903e?timestamp=1669193271&sig=edba00fdc39d367aa5745d91e1fd554b', '1669085271000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:46:56');
INSERT INTO `train_face_log` VALUES ('1594885158090182656', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193285&sig=1e15007594be65649817b537b4bb8bc8', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_380cf43a44d748af9aa573d9d9ef6e3b?timestamp=1669193285&sig=1fed5b949423d7a664bf500717f4072e', '1669085285000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:47:08');
INSERT INTO `train_face_log` VALUES ('1594885158106959872', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193283&sig=ac7a3105552e11fe75e33d84a8e04979', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ba9008e16c9e45468fb17bac89ac1c8e?timestamp=1669193283&sig=be4b74eb5b21ba290b27ce363fd5d869', '1669085283000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:47:08');
INSERT INTO `train_face_log` VALUES ('1594885186443677696', '057cc0a5bec446daabad66a515036679', '22', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193292&sig=a7c0d70c2c613d071185c2c8957078c9', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_28628a6a28c440f59f8b4eb5e206fc77?timestamp=1669193292&sig=45fffef93be44741d88e6bf4fda9546c', '1669085292000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:47:15');
INSERT INTO `train_face_log` VALUES ('1594885186447872000', '057cc0a5bec446daabad66a515036679', '22', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193290&sig=8f2b36e841d6cf983aca8da4fe1f80af', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_c38c56a1c8714507adcd1cd00e61ee04?timestamp=1669193290&sig=d90a674186a1a77aa196956e2c0fbcda', '1669085290000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:47:15');
INSERT INTO `train_face_log` VALUES ('1594885217179537408', '057cc0a5bec446daabad66a515036679', '22', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193297&sig=58621cf6825b7b18cd96e11063c6332d', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_86477bf150a746d2ad1f3c3b8e60ecc0?timestamp=1669193297&sig=076ba3dff4b5f8885670ee5c6309953c', '1669085297000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:47:22');
INSERT INTO `train_face_log` VALUES ('1594885230064439296', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193302&sig=7dde9d675f567d57de3729296978819b', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_1e991046880d42f2a6cda03b8020d2e8?timestamp=1669193302&sig=9e80906b8e750dd04b32e90be5c1b41d', '1669085302000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:47:25');
INSERT INTO `train_face_log` VALUES ('1594885262264111104', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193308&sig=cd193396aafaf36e2a9b566de5a900e1', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_b4d17c2ced20457998347e461c81d778?timestamp=1669193308&sig=59b44bfb80a408adeaf1f52080213d65', '1669085308000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:47:33');
INSERT INTO `train_face_log` VALUES ('1594885491411521536', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '3eb8abac07d74e36aa173370b943ce38', '注销状态', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_f4e9ea7fee9f4d28802ec9b7a020c73b?timestamp=1669193363&sig=8c1a9885742d6aefa80baf13a911e852', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_bc228e99295547039a8ff5214a80a25c?timestamp=1669193363&sig=4ae2ee4373024bbd6b3086683cd4e785', '1669085362000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:48:27');
INSERT INTO `train_face_log` VALUES ('1594885504258674688', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_f8a488c4471c48828242d4a566d1354a?timestamp=1669193367&sig=9bd43d9bfacf5226cd898dcb48f3174a', '1669085367000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:48:30');
INSERT INTO `train_face_log` VALUES ('1594885539788623872', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_472f8277b1174d369e6c1852bc6e7d43?timestamp=1669193377&sig=0cdc7b08547071ffcd75fa9ab22a068c', '1669085377000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:48:39');
INSERT INTO `train_face_log` VALUES ('1594887191417458688', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_0c634828d59a4a1c86031e7b016907be?timestamp=1669193771&sig=a5bf5e36836d4e2f88ad83f2344a2986', '1669085771000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:55:13');
INSERT INTO `train_face_log` VALUES ('1594887199978033152', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_907eccd3d3e343d18e39abff1de490da?timestamp=1669193773&sig=e0a1f682e829f9ed9476c2a537b7114c', '1669085773000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:55:15');
INSERT INTO `train_face_log` VALUES ('1594887208861569024', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'bea5ad0fe6d145a89b7801855006a923', '多设备', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_afa031f9e3014f5d97829d5ccc0e5021?timestamp=1669193775&sig=6a8b5975d58a706c626de0c675d23ca4', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_380664d0d5734068902b1509ecf900f3?timestamp=1669193775&sig=37b24aeca336365b0f05a5d8a6f76f72', '1669085775000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:55:17');
INSERT INTO `train_face_log` VALUES ('1594887223080259584', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193778&sig=a0a1d622906cbd9c23df6fe95182b451', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_138423e2a2274e56bc8d119c43864ffe?timestamp=1669193778&sig=1a0c9adff8b92863159682175381614b', '1669085778000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:55:20');
INSERT INTO `train_face_log` VALUES ('1594887837663236096', '057cc0a5bec446daabad66a515036679', '22', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193925&sig=dbf48abbd56bd037920d2bf96de6b060', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ee64cc125a784b8c97decea3e1cc5c9b?timestamp=1669193925&sig=86664de721bae2f8461322346f7a8ee0', '1669085925000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:57:47');
INSERT INTO `train_face_log` VALUES ('1594887850946596864', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193928&sig=2d6741e071d38ba38818d598564011b0', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ae5d96e221734fec98384dbe2eaefe84?timestamp=1669193928&sig=3a31752387d064a4d9efaa6bbc5f9107', '1669085928000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:57:50');
INSERT INTO `train_face_log` VALUES ('1594887873008635904', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193933&sig=87591fe8e1a614871717f604431802eb', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_8a889fda235b4330874a043ac9d5e930?timestamp=1669193933&sig=65747446d8841744b2e636934a2847b1', '1669085933000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 10:57:55');
INSERT INTO `train_face_log` VALUES ('1594887972455583744', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193957&sig=4ad4b7a771bebc5c677d87c7a52d58de', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_5d82892b81ad4f9790f42a99e16b7231?timestamp=1669193957&sig=c390fcc9d747d34b99936ef1db426370', '1669085957000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:58:19');
INSERT INTO `train_face_log` VALUES ('1594887981246844928', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669193959&sig=07e8d5a1bbb5fb326e1647f854182cb1', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_f62cdc20c2934988b1bbbd885c8480ea?timestamp=1669193959&sig=c909dc1c55db4b7a58f159db90465622', '1669085959000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 10:58:21');
INSERT INTO `train_face_log` VALUES ('1594888052533235712', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_d072dc6544c44940aa96885f800727e4?timestamp=1669193976&sig=27aeca5f03b0ab0cac5290f7312cc2ef', '1669085976000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:58:38');
INSERT INTO `train_face_log` VALUES ('1594888061412577280', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_49762291e24f497eb97528532385b42e?timestamp=1669193978&sig=cf9d7b9f8935145b94eabc1ecf652008', '1669085978000', '057cc0a5bec446daabad66a515036679', '2022-11-22 10:58:40');
INSERT INTO `train_face_log` VALUES ('1594888479853121536', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', '46dcee8737f848ac9cb20a9ce5c299d1', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_401d38d96cc5460d97770e4198c932aa?timestamp=1669194078&sig=b8d0fa7be31f69b214952259a5fdd275', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_e3c0ff405c7749388659cc91bb882133?timestamp=1669194078&sig=40268c3fbcc3ad010153772c1196a095', '1669086078000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 11:00:20');
INSERT INTO `train_face_log` VALUES ('1594896870893817856', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669088079000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 11:33:40');
INSERT INTO `train_face_log` VALUES ('1594896879701856256', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, '', '1669088081000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 11:33:43');
INSERT INTO `train_face_log` VALUES ('1594896985943576576', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '3bd95d99983b4f1e8c4688cf652a26bc', '楼层卡', null, '', '1669088106000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 11:34:08');
INSERT INTO `train_face_log` VALUES ('1594897017140809728', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669088110000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 11:34:15');
INSERT INTO `train_face_log` VALUES ('1594897273094017024', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669088171000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 11:35:16');
INSERT INTO `train_face_log` VALUES ('1594897273098211328', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669088173000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 11:35:16');
INSERT INTO `train_face_log` VALUES ('1594932596238848000', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'b7cef63383bc4ab1887632b1da031238', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_39b35b7b96aa4478b3fcbfe834a2e6c3?timestamp=1669204593&sig=38395f65e39dda8efb48edbc950b10bc', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_bbed4b38321b4a258f24b573e9525e2d?timestamp=1669204593&sig=163ebaf59e4067f00aae6e3e90405a7b', '1669096593000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 13:55:38');
INSERT INTO `train_face_log` VALUES ('1594936944968732672', '057cc0a5bec446daabad66a515036679', '22', '8d6c11ca1781489bb509a2fec26bb7b7', '22房间', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_5a8b9de54fb84ccf9c73aa8e96284693?timestamp=1669205630&sig=f1963a6ec7b19a158a000ded648814bf', '', '1669097630000', '057cc0a5bec446daabad66a515036679', '2022-11-22 14:12:55');
INSERT INTO `train_face_log` VALUES ('1594936944998092800', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, '', '1669097632000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 14:12:55');
INSERT INTO `train_face_log` VALUES ('1594936957857828864', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669097634000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 14:12:58');
INSERT INTO `train_face_log` VALUES ('1594936970717564928', '057cc0a5bec446daabad66a515036679', '22', '8d6c11ca1781489bb509a2fec26bb7b7', '22房间', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_5a8b9de54fb84ccf9c73aa8e96284693?timestamp=1669205639&sig=f196b592afa3be7a0d000536c82bb39c', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_b09600635936424292edc17a7ebe7826?timestamp=1669205639&sig=93bd7d84acca544795ee3d2368d6cc04', '1669097638000', '057cc0a5bec446daabad66a515036679', '2022-11-22 14:13:01');
INSERT INTO `train_face_log` VALUES ('1594937001281458176', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_03b9983a84a64393a5ed57ffd2642d25?timestamp=1669205644&sig=c65428dbe1191d09d8d315be22a4f34c', '1669097643000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 14:13:08');
INSERT INTO `train_face_log` VALUES ('1594937014082473984', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_dc27aead6940463aa1c3096f02d1338f?timestamp=1669205648&sig=ce44c65103351a5d3f2939609b7814df', '1669097648000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 14:13:11');
INSERT INTO `train_face_log` VALUES ('1594937085784100864', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_626f31829b1546afa55fcb3acbe15b6a?timestamp=1669205666&sig=85fd1f4a771f29a6184f9f60760aa97d', '1669097666000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 14:13:28');
INSERT INTO `train_face_log` VALUES ('1594937085834432512', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'b7cef63383bc4ab1887632b1da031238', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_39b35b7b96aa4478b3fcbfe834a2e6c3?timestamp=1669205666&sig=b4644c64bd94452ff7186253951a4af3', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_29ea55891fae47a2a8d9eb5a35287845?timestamp=1669205666&sig=5566c02b485b37a8527ea8b27e219a53', '1669097666000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 14:13:28');
INSERT INTO `train_face_log` VALUES ('1594937085880569856', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_9284e6b52ae346119ebc50a4e587eeca?timestamp=1669205664&sig=e3e02c6928c0cf7339db19942518d628', '1669097664000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 14:13:28');
INSERT INTO `train_face_log` VALUES ('1594937166952271872', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_3d1f4ade945a430f8ffef19c37ab4e38?timestamp=1669205683&sig=127f9cd3adec7be6afd09c935cf28594', '1669097683000', '057cc0a5bec446daabad66a515036679', '2022-11-22 14:13:48');
INSERT INTO `train_face_log` VALUES ('1594950065884106752', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'b7cef63383bc4ab1887632b1da031238', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_39b35b7b96aa4478b3fcbfe834a2e6c3?timestamp=1669208761&sig=b4040dc0cff5640242c7241bf8e13056', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ba54478448d64f438a22be7e34bc4875?timestamp=1669208761&sig=f2d57ec69e76821adb95323ee6d77205', '1669100760000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 15:05:03');
INSERT INTO `train_face_log` VALUES ('1594950065884106753', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'b7cef63383bc4ab1887632b1da031238', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_39b35b7b96aa4478b3fcbfe834a2e6c3?timestamp=1669208759&sig=ef8a90b51719372194033db37a8be6dd', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_f4092a818e4e4914be1fe51e07d8bf47?timestamp=1669208759&sig=20aa446ee8cb8d61fbe90cc557370cf2', '1669100758000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 15:05:03');
INSERT INTO `train_face_log` VALUES ('1594950101204340736', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_39ec0eda1c374e8dad5dbbf0c8e0987e?timestamp=1669208770&sig=ab04ba0cadf064a1531f406e80791ee5', '1669100770000', '057cc0a5bec446daabad66a515036679', '2022-11-22 15:05:12');
INSERT INTO `train_face_log` VALUES ('1594950109987213312', '057cc0a5bec446daabad66a515036679', '22', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_4861f31ceaf048f8934bd8fbd5e959e9?timestamp=1669208772&sig=d2ff22854f7103d4319b2ad498021caf', '1669100772000', '057cc0a5bec446daabad66a515036679', '2022-11-22 15:05:14');
INSERT INTO `train_face_log` VALUES ('1594950124700831744', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_4efd5616f01f4cc586fbbccf7f06c109?timestamp=1669208776&sig=55c8045b572323a7365d0d2fbc7a83d2', '1669100775000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 15:05:17');
INSERT INTO `train_face_log` VALUES ('1594950132590317568', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ebcf84def72244a68d276c7c997398e2?timestamp=1669208777&sig=21befba86bc488e5ab2b285763124696', '1669100777000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-22 15:05:19');
INSERT INTO `train_face_log` VALUES ('1595030072887218176', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'b7cef63383bc4ab1887632b1da031238', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_39b35b7b96aa4478b3fcbfe834a2e6c3?timestamp=1669227837&sig=149a8a1fdbbd6083e51a543258e8c584', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_9723d7ed02e94f1491205e3400908635?timestamp=1669227837&sig=d1c39535c7ca717eeba64bdc5ec0164d', '1669119837000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-22 20:22:58');
INSERT INTO `train_face_log` VALUES ('1595219375252705280', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', 'b7cef63383bc4ab1887632b1da031238', '张磊', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_39b35b7b96aa4478b3fcbfe834a2e6c3?timestamp=1669272971&sig=7dadffcdcd14d6ed7edc91a661416015', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_12b2aa678ad24ee4a88851f39c6fe938?timestamp=1669272971&sig=69ed3526cdbf8819667aec17f374fc53', '1669164970000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-23 08:55:11');
INSERT INTO `train_face_log` VALUES ('1595219386820595712', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_981d79c2cfdf48ea854cf03f62b8b2f0?timestamp=1669272974&sig=b41ea49a63f20d76ecc9b5e3401b9b3c', '1669164973000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 08:55:14');
INSERT INTO `train_face_log` VALUES ('1595253689902305280', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '3bd95d99983b4f1e8c4688cf652a26bc', '楼层卡', null, '', '1669173152000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 11:11:33');
INSERT INTO `train_face_log` VALUES ('1595254413277138944', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '3bd95d99983b4f1e8c4688cf652a26bc', '楼层卡', null, '', '1669173325000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 11:14:25');
INSERT INTO `train_face_log` VALUES ('1595307400347389952', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669185953000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 14:44:58');
INSERT INTO `train_face_log` VALUES ('1595307595709681664', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669186000000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 14:45:45');
INSERT INTO `train_face_log` VALUES ('1595327419668107264', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, '', '1669190726000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-23 16:04:31');
INSERT INTO `train_face_log` VALUES ('1595327419668107265', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '6239029493134eb2ba3b00acc1fd3b43', 'cesh', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_70232eb235e34510a61495bec04bf1ad?timestamp=1669298728&sig=1c97a21cd483ed595f9ad2196d024fff', '', '1669190728000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:04:31');
INSERT INTO `train_face_log` VALUES ('1595328834813693953', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669191064000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:10:09');
INSERT INTO `train_face_log` VALUES ('1595328834813693952', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '6239029493134eb2ba3b00acc1fd3b43', 'cesh', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_70232eb235e34510a61495bec04bf1ad?timestamp=1669299066&sig=07525892e1a55bfc879ec0b38c0469c5', '', '1669191066000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:10:09');
INSERT INTO `train_face_log` VALUES ('1595329818860326912', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, '', '1669191300000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-23 16:14:03');
INSERT INTO `train_face_log` VALUES ('1595329818864521216', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669191298000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:14:03');
INSERT INTO `train_face_log` VALUES ('1595330244926115840', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '6239029493134eb2ba3b00acc1fd3b43', 'cesh', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_70232eb235e34510a61495bec04bf1ad?timestamp=1669299400&sig=1a3ad91c93c32cf1b382c6105476dfdf', '', '1669191400000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:15:45');
INSERT INTO `train_face_log` VALUES ('1595332370171564032', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', '16f542e9fd95462c9ead3a29900182f7', '103', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_43ddb2b58366421e99b51a29242b16fe?timestamp=1669299907&sig=d6aeae8c3c7805005948679aa4841aa5', '', '1669191907000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:24:12');
INSERT INTO `train_face_log` VALUES ('1595334186254864385', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669192340000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:31:25');
INSERT INTO `train_face_log` VALUES ('1595334186254864384', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, '', '1669192341000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-23 16:31:25');
INSERT INTO `train_face_log` VALUES ('1595334850146078720', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, '', '1669192500000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-23 16:34:03');
INSERT INTO `train_face_log` VALUES ('1595334850154467328', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, '', '1669192498000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:34:03');
INSERT INTO `train_face_log` VALUES ('1595334863077117952', '057cc0a5bec446daabad66a515036679', '22', null, null, null, '', '1669192503000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:34:06');
INSERT INTO `train_face_log` VALUES ('1595336838187454464', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_b9df511162164ce9bf1c50fb75ea502c?timestamp=1669300975&sig=7b62f8908e3643f198a82772c0b079b4', '1669192975000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:41:57');
INSERT INTO `train_face_log` VALUES ('1595336846999687168', '55f66792f29c4c5bb0a4d528cdf716b1', '8测', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_e12ee9fb1d33486a9df55d0744dedd90?timestamp=1669300977&sig=0f9b910fe6ae8741e68fdad2e1d1bac3', '1669192977000', '55f66792f29c4c5bb0a4d528cdf716b1', '2022-11-23 16:41:59');
INSERT INTO `train_face_log` VALUES ('1595336856550117376', 'ce1a12ebcdfc43baa629b394a1b6543b', '11', null, null, null, 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_507b70c96b4f4dd384eb701500830c5c?timestamp=1669300979&sig=d10274ecdd4d707afad073af5cbe2af9', '1669192979000', 'ce1a12ebcdfc43baa629b394a1b6543b', '2022-11-23 16:42:01');
INSERT INTO `train_face_log` VALUES ('1595336892851818496', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669300988&sig=f620e318669d61ee3da0f0d2835ed21d', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_dc685f2b9b4c46d38d9d244d3d894e12?timestamp=1669300988&sig=01ff25df086ec9db1322272f86f569d8', '1669192988000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:42:10');
INSERT INTO `train_face_log` VALUES ('1595336900770664448', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669300990&sig=05fae045910a99bfafe182370a0c18fb', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_608f4b5eb4384be79c77e37daf4c1c75?timestamp=1669300990&sig=76fb167733a83e1e0244fa3617172452', '1669192990000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:42:12');
INSERT INTO `train_face_log` VALUES ('1595337342053388288', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669301095&sig=0a8bf7df8b10aeadafbfef8a2ade7f23', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_201b7a9acd6640ecb1cbee8fd40aff09?timestamp=1669301095&sig=ffa9cf5fd9192999bd40cc46bc2c6590', '1669193095000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:43:57');
INSERT INTO `train_face_log` VALUES ('1595337732345958400', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669301188&sig=0342a02480d4474e86fe2d7574288a7f', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_57b352a334654d66aa8d4344a6e30932?timestamp=1669301188&sig=5e008d019ae75716f3bda981d3a5e3b3', '1669193188000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:45:30');
INSERT INTO `train_face_log` VALUES ('1595337741003001856', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669301190&sig=b8eb32f20cccc2fbfde34b9b4cfd1713', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_a58499982ab045cbad5e974836d38b1b?timestamp=1669301190&sig=7c60fcc50e43d0c4949277a3973f33fe', '1669193190000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:45:32');
INSERT INTO `train_face_log` VALUES ('1595339303532236800', '057cc0a5bec446daabad66a515036679', '22', 'ffda3d46e3d747218cfd68e03b2adc47', '何云凡', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_260d8444a8d741be876035eb2efab5d7?timestamp=1669301563&sig=abfd8133bdc4d9b18e3794d086cffb4c', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ffaac846dac848c780dac18a73198a6b?timestamp=1669301563&sig=4a27e4a44e01a809ba0483ef133f818a', '1669193563000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:51:45');
INSERT INTO `train_face_log` VALUES ('1595339852277223424', '057cc0a5bec446daabad66a515036679', '22', 'ffda3d46e3d747218cfd68e03b2adc47', '何云凡', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_260d8444a8d741be876035eb2efab5d7?timestamp=1669301694&sig=ec79d276af3cf9a0426886f7721bef28', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_883b0094f0b646f38e5de5835313bf2c?timestamp=1669301694&sig=d123901442b8d9a0c0c79dfef4c4dde8', '1669193694000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:53:55');
INSERT INTO `train_face_log` VALUES ('1595340889922867200', '057cc0a5bec446daabad66a515036679', '22', 'ffda3d46e3d747218cfd68e03b2adc47', '何云凡', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_260d8444a8d741be876035eb2efab5d7?timestamp=1669301941&sig=f7c78c90f6a8078ff58304e05f727233', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_e67020ffedfd402b95e8b9656932d887?timestamp=1669301941&sig=862798acc3a094efd2718cf59896d27e', '1669193941000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:58:03');

-- ----------------------------
-- Table structure for train_face_sign_log
-- ----------------------------
DROP TABLE IF EXISTS `train_face_sign_log`;
CREATE TABLE `train_face_sign_log` (
  `id` bigint(19) DEFAULT NULL COMMENT 'ID',
  `deviceUuid` varchar(1024) DEFAULT NULL COMMENT '设备UUID',
  `deviceName` varchar(1024) DEFAULT NULL COMMENT '设备名称',
  `personUuid` varchar(1024) DEFAULT NULL COMMENT '人员UUID',
  `personName` varchar(1024) DEFAULT NULL COMMENT '人员名称',
  `personImageUrl` varchar(3072) DEFAULT NULL COMMENT '底层图',
  `snapshotUri` varchar(3072) DEFAULT NULL COMMENT '抓拍图',
  `passTimestamp` bigint(19) DEFAULT NULL COMMENT '抓拍时间',
  `recognitionType` varchar(32) DEFAULT NULL COMMENT '人员类型 识别⼈员类型。1 - 员⼯; 2 - 访客; 3 - 重点⼈员（⿊名单）; 4 - ⽆权限⼈员; 5 - 未识 别; 6 - VIP访客',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT=' ';

-- ----------------------------
-- Records of train_face_sign_log
-- ----------------------------
INSERT INTO `train_face_sign_log` VALUES ('1595337728487198720', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669301188&sig=0342a02480d4474e86fe2d7574288a7f', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_57b352a334654d66aa8d4344a6e30932?timestamp=1669301188&sig=5e008d019ae75716f3bda981d3a5e3b3', '1669193188000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:45:29');
INSERT INTO `train_face_sign_log` VALUES ('1595337736582205440', '057cc0a5bec446daabad66a515036679', '22', 'e7bea8e956fa4ae39f8cf2ee2a63fc08', '黎利伯', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_86a2f9d44af846eb9ecb95edf784c8ef?timestamp=1669301190&sig=b8eb32f20cccc2fbfde34b9b4cfd1713', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_a58499982ab045cbad5e974836d38b1b?timestamp=1669301190&sig=7c60fcc50e43d0c4949277a3973f33fe', '1669193190000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:45:31');
INSERT INTO `train_face_sign_log` VALUES ('1595339321739710464', '057cc0a5bec446daabad66a515036679', '22', 'ffda3d46e3d747218cfd68e03b2adc47', '何云凡', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_260d8444a8d741be876035eb2efab5d7?timestamp=1669301563&sig=abfd8133bdc4d9b18e3794d086cffb4c', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_ffaac846dac848c780dac18a73198a6b?timestamp=1669301563&sig=4a27e4a44e01a809ba0483ef133f818a', '1669193563000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:51:49');
INSERT INTO `train_face_sign_log` VALUES ('1595339850536587264', '057cc0a5bec446daabad66a515036679', '22', 'ffda3d46e3d747218cfd68e03b2adc47', '何云凡', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_260d8444a8d741be876035eb2efab5d7?timestamp=1669301694&sig=ec79d276af3cf9a0426886f7721bef28', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_883b0094f0b646f38e5de5835313bf2c?timestamp=1669301694&sig=d123901442b8d9a0c0c79dfef4c4dde8', '1669193694000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:53:55');
INSERT INTO `train_face_sign_log` VALUES ('1595340899838201856', '057cc0a5bec446daabad66a515036679', '22', 'ffda3d46e3d747218cfd68e03b2adc47', '何云凡', 'http://10.65.12.98/pub/_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_260d8444a8d741be876035eb2efab5d7?timestamp=1669301941&sig=f7c78c90f6a8078ff58304e05f727233', 'http://10.65.12.98/pub/1_Y2FjdHVzMTAwXzNt_e67020ffedfd402b95e8b9656932d887?timestamp=1669301941&sig=862798acc3a094efd2718cf59896d27e', '1669193941000', '057cc0a5bec446daabad66a515036679', '2022-11-23 16:58:05');

-- ----------------------------
-- Table structure for train_feed_back
-- ----------------------------
DROP TABLE IF EXISTS `train_feed_back`;
CREATE TABLE `train_feed_back` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `content` varchar(300) DEFAULT NULL COMMENT '内容',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='反馈';

-- ----------------------------
-- Records of train_feed_back
-- ----------------------------

-- ----------------------------
-- Table structure for train_fixed_assets
-- ----------------------------
DROP TABLE IF EXISTS `train_fixed_assets`;
CREATE TABLE `train_fixed_assets` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `code` varchar(20) DEFAULT NULL COMMENT '资产编号',
  `name` varchar(20) DEFAULT NULL COMMENT '资产名称',
  `type` varchar(20) DEFAULT NULL COMMENT '资产类型(数据字典)',
  `model` varchar(20) DEFAULT NULL COMMENT '型号',
  `total_num` int(11) DEFAULT NULL COMMENT '资产总数',
  `num` int(11) DEFAULT NULL COMMENT '当前数量',
  `person_liable` varchar(20) DEFAULT NULL COMMENT '负责人',
  `mobile` varchar(20) DEFAULT NULL COMMENT '负责人电话',
  `annex` json DEFAULT NULL COMMENT '图片（附件）',
  `remark` varchar(200) DEFAULT '' COMMENT '备注',
  `state` smallint(6) DEFAULT '1' COMMENT '状态：0、禁用。1、启用。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_name` varchar(255) DEFAULT NULL COMMENT '机构名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='固定资产';

-- ----------------------------
-- Records of train_fixed_assets
-- ----------------------------
INSERT INTO `train_fixed_assets` VALUES ('1323470412193075200', 'A202011030001', '笔记本电脑', '电脑', '10001', '6', '6', '鲍岩', '18738182015', null, '1', '1', '1', '主宰', '001025', '2020-11-03 11:41:50', null, null);
INSERT INTO `train_fixed_assets` VALUES ('1323470753772998656', 'A202011030002', '投影仪', '投影', 'ty1001', '5', '4', '高超', '18003701573', null, '', '1', '1', '主宰', '001025', '2020-11-03 11:43:11', null, null);
INSERT INTO `train_fixed_assets` VALUES ('1323470970694012928', 'A202011030003', '相机', '相机', 'sn001', '3', '3', '鲍岩', '18738182015', null, '', '1', '1', '主宰', '001025', '2020-11-03 11:44:03', null, null);
INSERT INTO `train_fixed_assets` VALUES ('1567430095977713664', 'A202209070001', '平板电脑2', '电脑', null, '999', '999', '王', '13699999999', null, '', '1', '1564192820011601920', '郑州001', '001007018', '2022-09-07 16:30:31', null, null);
INSERT INTO `train_fixed_assets` VALUES ('1567430249287913472', 'A202209070002', '默认的电脑', '投影', null, '100', '100', '负责人', '13784777777', null, '', '1', '1564192820011601920', '郑州001', '001007018', '2022-09-07 16:31:08', null, null);
INSERT INTO `train_fixed_assets` VALUES ('1567431164724121600', 'A202209070003', '郑州的电视', '投影', null, '100', '100', '是飒飒', '13699999999', null, '', '1', '1564192820011601920', '郑州001', '001007018', '2022-09-07 16:34:46', '1323441314737557510', null);
INSERT INTO `train_fixed_assets` VALUES ('1567431786454192128', 'A202209070004', '河南省的电视机', '投影', '', '1', '1', '水水水水', '13611111111', null, '', '1', '1564191182190415872', '本部运营1', '001071', '2022-09-07 16:37:14', '1323441314733363200', null);
INSERT INTO `train_fixed_assets` VALUES ('1570610636310843392', 'A202209160001', '笔记本', '电脑', '222', '50', '50', '李四', '15478451247', '[{\"name\": \"20220914-1001-省级创建.png\", \"path\": \"/train/2022/9/16/e388344b1f4e4fb7a2d347dcfaf3eb77.png\", \"size\": 4.7373046875, \"suffix\": \".png\"}]', '发丰富我分公司发顺丰是分数分数法第三方三房的的是否是否SV是范德萨发生发顺丰爽肤水法神发生发顺丰是发顺丰爽肤水发顺丰爽肤水', '1', '1569970196410667008', '李露露', '001001001', '2022-09-16 11:08:51', '1323441314737557504', null);
INSERT INTO `train_fixed_assets` VALUES ('1570610765830950912', 'A202209160002', '投影仪', '投影', '', '20', '20', '李四', '154784512478', null, '', '1', '1569970196410667008', '李露露', '001001001', '2022-09-16 11:09:22', '1323441314737557504', null);
INSERT INTO `train_fixed_assets` VALUES ('1570610841617829888', 'A202209160003', '相机', '相机', '', '60', '60', '李四', '15457457845', null, '', '1', '1569970196410667008', '李露露', '001001001', '2022-09-16 11:09:40', '1323441314737557504', null);
INSERT INTO `train_fixed_assets` VALUES ('1570610960769617920', 'A202209160004', '插座', '插座', '', '400', '400', '李四', '15478457457', null, '', '0', '1569970196410667008', '李露露', '001001001', '2022-09-16 11:10:08', '1323441314737557504', null);
INSERT INTO `train_fixed_assets` VALUES ('1580829138346971136', 'A202210140001', '小米手机plus', '电脑', null, '100', '100', '王涵', '13888888888', null, '', '1', '1', '主宰', '001025', '2022-10-14 15:53:32', '1323441314733363200', null);
INSERT INTO `train_fixed_assets` VALUES ('1595239434746466304', 'A202211230001', '苹果牌耳机', '插座', null, '99', '99', '王二蛋', '13522222222', '[{\"name\": \"beijign.jpeg\", \"path\": \"/train/2022/11/23/4eb4e3b10114479ca9dbeff20a4085e9.jpeg\", \"size\": 15.2470703125, \"suffix\": \".jpeg\"}]', '', '0', '1', '主宰', '001025', '2022-11-23 10:14:54', '1323441314733363200', null);

-- ----------------------------
-- Table structure for train_goods
-- ----------------------------
DROP TABLE IF EXISTS `train_goods`;
CREATE TABLE `train_goods` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` smallint(6) DEFAULT NULL COMMENT '商品类型：1、虚拟商品。2、实物商品',
  `code` varchar(20) DEFAULT NULL COMMENT '商品编号',
  `name` varchar(100) DEFAULT NULL COMMENT '商品简介',
  `short_name` varchar(20) DEFAULT NULL COMMENT '商品名称',
  `points` bigint(20) DEFAULT NULL COMMENT '所需积分',
  `stock` int(11) DEFAULT NULL COMMENT '库存',
  `sales` int(11) DEFAULT NULL COMMENT '销量',
  `main_img` json DEFAULT NULL COMMENT '商品主图',
  `images` json DEFAULT NULL COMMENT '轮播图',
  `describes` longtext COMMENT '商品描述',
  `code_path` json DEFAULT NULL COMMENT '激活码excel',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：-1、下架。0、删除。1、上架。',
  `cause` varchar(255) DEFAULT NULL COMMENT '下架原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='商品表 ';

-- ----------------------------
-- Records of train_goods
-- ----------------------------
INSERT INTO `train_goods` VALUES ('1323804817654681600', '1', '1604454638291', '腾讯vip会员季卡', '腾讯vip会员季卡', '155', '12', null, '[{\"name\": \"timg (1).jpg\", \"path\": \"/train/2020/11/4/be30cd2618394d849efeec4a4b65611e.jpg\", \"size\": 12.984375, \"suffix\": \".jpg\"}]', '[{\"name\": \"timg (1).jpg\", \"path\": \"/train/2020/11/4/64398f817a6c46939ce53167210ccd87.jpg\", \"size\": 12.984375, \"suffix\": \".jpg\"}]', '<p><img src=\"https://pxzx.post183.net/sftp/train/2020/11/17/081a1d393fd94c71a46f833a653de249.jpg\" /></p>', '\"[{\\\"name\\\": \\\"activation_code (1).xlsx\\\", \\\"path\\\": \\\"/train/2020/11/4/d04dfdc854494e3ea83a46c01ddc1764.xlsx\\\", \\\"size\\\": 8.6923828125, \\\"suffix\\\": \\\".xlsx\\\"}]\"', '0', '1', '1', '主宰', '001025', '2020-11-04 09:50:38');
INSERT INTO `train_goods` VALUES ('1323805171184177152', '2', '1604454722578', '百香果蜂蜜茶', '百香果蜂蜜茶', '30', '100', null, '[{\"name\": \"百香果蜂蜜茶罐装果茶蜂蜜柠檬百香果柚子茶泡水喝的手工水果冲饮1.jpg\", \"path\": \"/train/2020/11/4/ac44742628894f348e0685cfaa158977.jpg\", \"size\": 66.337890625, \"suffix\": \".jpg\"}]', '[{\"name\": \"百香果蜂蜜茶罐装果茶蜂蜜柠檬百香果柚子茶泡水喝的手工水果冲饮1.jpg\", \"path\": \"/train/2020/11/4/0bcc8a16190840ea98cc47ad1c5bbec7.jpg\", \"size\": 66.337890625, \"suffix\": \".jpg\"}, {\"name\": \"百香果蜂蜜茶罐装果茶蜂蜜柠檬百香果柚子茶泡水喝的手工水果冲饮2.jpg\", \"path\": \"/train/2020/11/4/fbaf675d887e4cc59f48dee93a10d5df.jpg\", \"size\": 61.51953125, \"suffix\": \".jpg\"}, {\"name\": \"百香果蜂蜜茶罐装果茶蜂蜜柠檬百香果柚子茶泡水喝的手工水果冲饮3.jpg\", \"path\": \"/train/2020/11/4/8a49c5b633b94e329d1f51ed527fd9db.jpg\", \"size\": 36.8212890625, \"suffix\": \".jpg\"}]', '<p><img src=\"https://pxzx.post183.net/sftp/train/2020/11/17/92002d1240e1449bba4d053694fac257.jpg\" /></p>', null, '0', '1', '1', '主宰', '001025', '2020-11-04 09:52:03');
INSERT INTO `train_goods` VALUES ('1323805546314338304', '1', '1604454812016', '腾讯会员腾讯vip会员月卡', '腾讯会员腾讯vip会员月卡', '50', '14', null, '[{\"name\": \"timg (2).jpg\", \"path\": \"/train/2020/11/4/8e6523b0feb64668be0449d7a4fe9d20.jpg\", \"size\": 28.3935546875, \"suffix\": \".jpg\"}]', '[{\"name\": \"timg (2).jpg\", \"path\": \"/train/2020/11/4/49665d8c7d144dc7ae936f5639135df0.jpg\", \"size\": 28.3935546875, \"suffix\": \".jpg\"}]', '<p><img src=\"https://pxzx.post183.net/sftp/train/2020/11/17/ecdbc4332c884af69d9f6dccc9b5a335.jpg\" /></p>', '\"[{\\\"name\\\": \\\"activation_code (1).xlsx\\\", \\\"path\\\": \\\"/train/2020/11/4/3719b67a97d84500af8878a881eb1b0c.xlsx\\\", \\\"size\\\": 8.6923828125, \\\"suffix\\\": \\\".xlsx\\\"}]\"', '0', '1', '1', '主宰', '001025', '2020-11-04 09:53:32');
INSERT INTO `train_goods` VALUES ('1327439476280135680', '1', '1605321208436', 'sdsd', 'sdsd', '11', null, null, '[{\"name\": \"5e5c0a5033064acc9a356baef93d7faf.png\", \"path\": \"/train/2020/11/14/fe5201cb5e8c45f881ccce6932df49a8.png\", \"size\": 3.6259765625, \"suffix\": \".png\"}]', '[{\"name\": \"5e5c0a5033064acc9a356baef93d7faf.png\", \"path\": \"/train/2020/11/14/6252e003855d4319ba35efc28dda088d.png\", \"size\": 3.6259765625, \"suffix\": \".png\"}]', '<p>rwerwer </p>', null, '0', 'dfasf', '1', '主宰', '001025', '2020-11-14 10:33:28');
INSERT INTO `train_goods` VALUES ('1625368775383715840', '2', '1676353088600', '毛巾', '毛巾', '5', '10', null, '[{\"name\": \"微信图片_20230214133728.png\", \"path\": \"/train/2023/2/14/8ece0491323346498c05803083d005e6.png\", \"size\": 234.51171875, \"suffix\": \".png\"}]', '[{\"name\": \"微信图片_20230214133728.png\", \"path\": \"/train/2023/2/14/5fddf501f1c34933aaa08e0e2ea7bc98.png\", \"size\": 234.51171875, \"suffix\": \".png\"}]', '<p>毛巾</p>', null, '1', null, '1', '主宰', '001025', '2023-02-14 13:38:09');

-- ----------------------------
-- Table structure for train_goods_activation_code
-- ----------------------------
DROP TABLE IF EXISTS `train_goods_activation_code`;
CREATE TABLE `train_goods_activation_code` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `goods_id` bigint(20) DEFAULT NULL COMMENT '商品id',
  `code` varchar(20) DEFAULT NULL COMMENT '编号',
  `activation_code` varchar(20) DEFAULT NULL COMMENT '激活码',
  `import_time` datetime DEFAULT NULL COMMENT '导入时间',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：1、未兑换。2、已兑换。',
  `exchange_user_id` bigint(20) DEFAULT NULL COMMENT '兑换用户id',
  `exchange_user_name` varchar(20) DEFAULT NULL COMMENT '兑换用户名',
  `exchange_time` datetime DEFAULT NULL COMMENT '兑换时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='商品激活码';

-- ----------------------------
-- Records of train_goods_activation_code
-- ----------------------------
INSERT INTO `train_goods_activation_code` VALUES ('1323805546368864256', '1323805546314338304', '202011040016', 'jmy6366', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546373058560', '1323805546314338304', '202011040017', '123456', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546373058561', '1323805546314338304', '202011040018', 'qwertyuiop100000001', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546373058562', '1323805546314338304', '202011040019', 'qwertyuiop100000002', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546377252864', '1323805546314338304', '202011040020', 'qwertyuiop100000003', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546377252865', '1323805546314338304', '202011040021', 'qwertyuiop100000004', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546377252866', '1323805546314338304', '202011040022', 'qwertyuiop100000005', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546377252867', '1323805546314338304', '202011040023', 'qwertyuiop100000006', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546381447168', '1323805546314338304', '202011040024', '2020102201', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546381447169', '1323805546314338304', '202011040025', '2020102202', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546381447170', '1323805546314338304', '202011040026', '2020102203', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546385641472', '1323805546314338304', '202011040027', '2020102204', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546385641473', '1323805546314338304', '202011040028', '2020102205', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805546385641474', '1323805546314338304', '202011040029', '2020102206', '2020-11-04 09:53:32', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986414268416', '1323804817654681600', '202011040030', '2020110401', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986422657024', '1323804817654681600', '202011040031', '2020110402', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986426851328', '1323804817654681600', '202011040032', '2020110403', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986426851329', '1323804817654681600', '202011040033', '2020110404', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986426851330', '1323804817654681600', '202011040034', '2020110405', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986426851331', '1323804817654681600', '202011040035', '2020110406', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986431045632', '1323804817654681600', '202011040036', '2020110407', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986431045633', '1323804817654681600', '202011040037', '2020110408', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986431045634', '1323804817654681600', '202011040038', '2020110409', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986435239936', '1323804817654681600', '202011040039', '2020110410', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986435239937', '1323804817654681600', '202011040040', '2020110411', '2020-11-04 09:55:17', '1', null, null, null);
INSERT INTO `train_goods_activation_code` VALUES ('1323805986435239938', '1323804817654681600', '202011040041', '2020110412', '2020-11-04 09:55:17', '1', null, null, null);

-- ----------------------------
-- Table structure for train_goods_exchange_record
-- ----------------------------
DROP TABLE IF EXISTS `train_goods_exchange_record`;
CREATE TABLE `train_goods_exchange_record` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '编号',
  `goods_id` bigint(20) DEFAULT NULL COMMENT '商品id',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：1、未待领取。2、已领取。',
  `exchange_user_id` bigint(20) DEFAULT NULL COMMENT '兑换用户id',
  `exchange_user_name` varchar(20) DEFAULT NULL COMMENT '兑换用户名',
  `exchange_time` datetime DEFAULT NULL COMMENT '兑换时间',
  `receive_time` datetime DEFAULT NULL COMMENT '领取时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='商品兑换记录';

-- ----------------------------
-- Records of train_goods_exchange_record
-- ----------------------------

-- ----------------------------
-- Table structure for train_help
-- ----------------------------
DROP TABLE IF EXISTS `train_help`;
CREATE TABLE `train_help` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `title` varchar(50) DEFAULT NULL COMMENT '标题',
  `content` longtext COMMENT '内容',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='帮助';

-- ----------------------------
-- Records of train_help
-- ----------------------------
INSERT INTO `train_help` VALUES ('1339380569133420544', '如何退出登录？', '<p>您好，“我的”页面-“个人设置”页面：选择“退出登录”。</p>', '1', '1', '主宰', '001025', '2020-12-17 09:23:07');
INSERT INTO `train_help` VALUES ('1339381674458353664', '如何找回密码？', '<p>您好，在手机的登录首页，选择“忘记密码”，进行找回密码的操作。</p>', '1', '1', '主宰', '001025', '2020-12-17 09:27:30');
INSERT INTO `train_help` VALUES ('1339382569728348160', '如何修改密码？', '<p>您好，“我的”页面-“个人设置”页面，点击”修改资料“，选择“密码修改”进行密码的修改。</p>', '1', '1', '主宰', '001025', '2020-12-17 09:31:04');
INSERT INTO `train_help` VALUES ('1339385410262011904', '如何上传或修改头像呢？', '<p>您好，进入“我的”页面-“个人设置”-“修改资料，选择“我的头像”即可进行上传或修改。</p>', '1', '1', '主宰', '001025', '2020-12-17 09:42:21');

-- ----------------------------
-- Table structure for train_local_room
-- ----------------------------
DROP TABLE IF EXISTS `train_local_room`;
CREATE TABLE `train_local_room` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `name` varchar(50) DEFAULT NULL COMMENT '房间名',
  `room_code` varchar(255) DEFAULT NULL COMMENT '设备号',
  `room_id` varchar(255) DEFAULT NULL COMMENT '设备id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `type` int(5) DEFAULT NULL COMMENT '1是员工组  2 是访客组',
  `floor_id` bigint(19) DEFAULT NULL COMMENT '楼层ID',
  `floor_name` varchar(50) DEFAULT NULL COMMENT '楼层名',
  `num` int(11) DEFAULT NULL COMMENT '人数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_local_room
-- ----------------------------
INSERT INTO `train_local_room` VALUES ('1621426961521971200', '会议室', '00125', null, '2023-02-03 16:34:47', '1561995446459699200', null, null, null, null);
INSERT INTO `train_local_room` VALUES ('1622437629368864768', '是硕士', '是硕士', null, '2023-02-06 11:30:49', '1561995446459699200', null, null, null, null);
INSERT INTO `train_local_room` VALUES ('1622479544617406464', '123', '123', null, '2023-02-06 14:17:22', '1', null, null, null, null);
INSERT INTO `train_local_room` VALUES ('1622511313777463296', '的撒法', 'dsafsdddddddddd', null, '2023-02-06 16:23:42', '1', null, null, null, null);
INSERT INTO `train_local_room` VALUES ('1623567023235796992', '2023-02-09-202教室', '5e7e74dd230d47688c270e1aa78bbd87', '1623567023235796992', '2023-02-09 14:20:03', '1', null, null, null, null);

-- ----------------------------
-- Table structure for train_local_room_user
-- ----------------------------
DROP TABLE IF EXISTS `train_local_room_user`;
CREATE TABLE `train_local_room_user` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '本地人员id',
  `user_name` varchar(50) DEFAULT NULL COMMENT '本地人员名称',
  `room_id` bigint(20) DEFAULT NULL COMMENT '本地房间id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_local_room_user
-- ----------------------------
INSERT INTO `train_local_room_user` VALUES ('1', '0', '000', '1');
INSERT INTO `train_local_room_user` VALUES ('1622484282595479552', '1621425591725199360', '看看看看', '1622437629368864768');
INSERT INTO `train_local_room_user` VALUES ('1622487047262572545', '1622486946129514496', '计算公式', '1621426961521971200');
INSERT INTO `train_local_room_user` VALUES ('1622487163436404736', '1622486946129514496', '计算公式', '1622479544617406464');
INSERT INTO `train_local_room_user` VALUES ('1623606370152615936', '1623577241923489792', '李力博', '1623567023235796992');
INSERT INTO `train_local_room_user` VALUES ('1623606380864868352', '1623593720869949440', '戴眼镜', '1623567023235796992');
INSERT INTO `train_local_room_user` VALUES ('1623956794290343936', '1623577241923489792', '李力博', '1623956314906562560');
INSERT INTO `train_local_room_user` VALUES ('1623956794290343937', '1623598408436682752', '不带眼镜', '1623956314906562560');

-- ----------------------------
-- Table structure for train_local_user
-- ----------------------------
DROP TABLE IF EXISTS `train_local_user`;
CREATE TABLE `train_local_user` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `name` varchar(50) DEFAULT NULL COMMENT '姓名',
  `card_no` varchar(20) DEFAULT NULL COMMENT '身份证',
  `phone` varchar(11) DEFAULT NULL COMMENT '手机号',
  `img` json DEFAULT NULL COMMENT '照片',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `face_id` varchar(255) DEFAULT NULL COMMENT '人脸的id',
  `uuid` varchar(255) DEFAULT NULL COMMENT '旷世员工的id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_local_user
-- ----------------------------
INSERT INTO `train_local_user` VALUES ('1621425591725199360', '看看看看', '110101202302030516', '15877777777', '[{\"name\": \"1 (2).jpg\", \"path\": \"/train/2023/2/3/bff63d85e5cc46a695d2ceb49a1d6367.jpg\", \"size\": 30.61328125, \"suffix\": \".jpg\"}]', '2023-02-03 16:29:20', '1561995446459699200', null, null);
INSERT INTO `train_local_user` VALUES ('1622486946129514496', '计算公式', '110101199607281207', '15866666666', '[{\"name\": \"1 (2).jpg\", \"path\": \"/train/2023/2/6/d3663cc2584f4ad5a77f65ff3ecac8f2.jpg\", \"size\": 30.61328125, \"suffix\": \".jpg\"}]', '2023-02-06 14:46:47', '1561995446459699200', null, null);
INSERT INTO `train_local_user` VALUES ('1622828514342473728', '测试员工', '110101199603285200', '17319888888', '[{\"name\": \"732927087190c3e84922b4bbb514f64b.jpeg\", \"path\": \"/train/2023/2/7/cb70681471934d6b8a1f85463356f90f.jpeg\", \"size\": 73.6708984375, \"suffix\": \".jpeg\"}]', '2023-02-07 13:24:03', '1', null, null);
INSERT INTO `train_local_user` VALUES ('1623577241923489792', '李力博', '110101199607289401', '17319725555', '[{\"name\": \"人脸.jpg\", \"path\": \"/train/2023/2/9/8a4d67eee9c2446bb5be50cd14821483.jpg\", \"size\": 532.2373046875, \"suffix\": \".jpg\"}]', '2023-02-09 14:59:14', '1', '_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_b90702910f144b0dbe98f00c949f7bb3', '2a4939224ec944eb956b8d6c4b9b4980');
INSERT INTO `train_local_user` VALUES ('1623593720869949440', '戴眼镜', '11010119960728730X', '13699999988', '[{\"name\": \"人脸2.jpg\", \"path\": \"/train/2023/2/9/c36f20af6dd741878c3476b77de9c222.jpg\", \"size\": 178.0859375, \"suffix\": \".jpg\"}]', '2023-02-09 16:04:43', '1', '_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_e96ce5b8df944f3cad02f5583519ba9c', 'd6fdb3a039184c24b2e03ef93e5a82e9');
INSERT INTO `train_local_user` VALUES ('1623598408436682752', '不带眼镜', '110101199607286518', '13699999555', '[{\"name\": \"人脸2.jpg\", \"path\": \"/train/2023/2/9/79bef2181a264e57a811bfbfb161b3ca.jpg\", \"size\": 178.0859375, \"suffix\": \".jpg\"}]', '2023-02-09 16:23:20', '1', '_Y2FjdHVzMTAwX2ZvcmV2ZXJCdWNrZXQ=_4dfad45eb4c84ccbb8ab30d7cdfe53e1', '97f66a7b368f416f9b2d0dfe174399da');

-- ----------------------------
-- Table structure for train_login_log
-- ----------------------------
DROP TABLE IF EXISTS `train_login_log`;
CREATE TABLE `train_login_log` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `login_date` date DEFAULT NULL COMMENT '登录日期',
  `login_time` datetime DEFAULT NULL COMMENT '登录时间',
  `login_ip` varchar(32) DEFAULT NULL COMMENT '登录ip',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='App用户登录日志';

-- ----------------------------
-- Records of train_login_log
-- ----------------------------
INSERT INTO `train_login_log` VALUES ('105811361511400132', '1564137453919539200', '2023-07-28', '2023-07-28 15:18:54', '172.16.60.137');
INSERT INTO `train_login_log` VALUES ('108406024748570040', '1591967614425501696', '2023-07-25', '2023-07-25 11:40:30', '172.16.60.183');
INSERT INTO `train_login_log` VALUES ('128168395155374892', '1591967614425501696', '2023-09-22', '2023-09-22 17:43:09', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('130443339730918541', '1591967614425501696', '2023-09-25', '2023-09-25 08:54:44', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('246098251315200240', '1565939234546782208', '2023-09-21', '2023-09-21 10:57:51', '192.168.3.105');
INSERT INTO `train_login_log` VALUES ('435063450657546591', '1591967614425501696', '2023-10-03', '2023-10-03 11:19:01', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('803087478339268779', '1591967614425501696', '2023-10-07', '2023-10-07 17:32:45', '221.15.154.187');
INSERT INTO `train_login_log` VALUES ('909214529858959034', '1565939234546782208', '2023-08-10', '2023-08-10 15:04:55', '221.15.159.108');
INSERT INTO `train_login_log` VALUES ('909218048708355093', '1564137453919539200', '2023-08-10', '2023-08-10 15:05:30', '221.15.159.108');
INSERT INTO `train_login_log` VALUES ('909436617411173037', '1555010577007513600', '2023-08-10', '2023-08-10 15:41:56', '221.15.155.77');
INSERT INTO `train_login_log` VALUES ('924942497032492819', '1591967614425501696', '2023-08-12', '2023-08-12 10:46:15', '221.15.152.149');
INSERT INTO `train_login_log` VALUES ('1555028099161264128', '1555010577007513600', '2022-08-04', '2022-08-04 11:09:24', '172.16.60.178');
INSERT INTO `train_login_log` VALUES ('1557930488407134208', '1555010577007513600', '2022-08-12', '2022-08-12 11:22:28', '172.16.60.55');
INSERT INTO `train_login_log` VALUES ('1567770560858034176', '1567451914025701376', '2022-09-08', '2022-09-08 15:03:24', '172.16.60.83');
INSERT INTO `train_login_log` VALUES ('1569984531463802880', '1569928315261816832', '2022-09-14', '2022-09-14 17:40:56', '172.16.60.157');
INSERT INTO `train_login_log` VALUES ('1570312584119324672', '1555010577007513600', '2022-09-15', '2022-09-15 15:24:29', '172.16.60.115');
INSERT INTO `train_login_log` VALUES ('1570387301102653440', '1569928315261816832', '2022-09-15', '2022-09-15 20:21:23', '172.16.60.157');
INSERT INTO `train_login_log` VALUES ('1570672413472067584', '1555010577007513600', '2022-09-16', '2022-09-16 15:14:20', '172.16.60.115');
INSERT INTO `train_login_log` VALUES ('1570694411745103872', '1570252962423508992', '2022-09-16', '2022-09-16 16:41:44', '172.16.60.119');
INSERT INTO `train_login_log` VALUES ('1570694920992329728', '1569928315261816832', '2022-09-16', '2022-09-16 16:43:46', '172.16.60.119');
INSERT INTO `train_login_log` VALUES ('1571782057212907520', '1569928315261816832', '2022-09-19', '2022-09-19 16:43:39', '172.16.60.233');
INSERT INTO `train_login_log` VALUES ('1572153821520596992', '1569928315261816832', '2022-09-20', '2022-09-20 17:20:55', '172.16.60.78');
INSERT INTO `train_login_log` VALUES ('1572154252539858944', '1555010577007513600', '2022-09-20', '2022-09-20 17:22:38', '172.16.60.112');
INSERT INTO `train_login_log` VALUES ('1572518072156295168', '1569928315261816832', '2022-09-21', '2022-09-21 17:28:19', '172.16.60.24');
INSERT INTO `train_login_log` VALUES ('1572868576895963136', '1572825817233362944', '2022-09-22', '2022-09-22 16:41:06', '172.16.60.47');
INSERT INTO `train_login_log` VALUES ('1572875712099127296', '1567337243285262336', '2022-09-22', '2022-09-22 17:09:27', '172.16.60.24');
INSERT INTO `train_login_log` VALUES ('1572897675626549248', '1565939234546782208', '2022-09-22', '2022-09-22 18:36:43', '172.16.60.234');
INSERT INTO `train_login_log` VALUES ('1572900488783990784', '1567097186544652288', '2022-09-22', '2022-09-22 18:47:54', '172.16.60.234');
INSERT INTO `train_login_log` VALUES ('1573216975981776896', '1567451914025701376', '2022-09-23', '2022-09-23 15:45:31', '172.16.60.119');
INSERT INTO `train_login_log` VALUES ('1573228306747232256', '1569928315261816832', '2022-09-23', '2022-09-23 16:30:32', '172.16.60.24');
INSERT INTO `train_login_log` VALUES ('1574306617330110464', '1567451914025701376', '2022-09-26', '2022-09-26 15:55:21', '172.16.60.24');
INSERT INTO `train_login_log` VALUES ('1574662619980238848', '1567097186544652288', '2022-09-27', '2022-09-27 15:29:59', '172.16.60.234');
INSERT INTO `train_login_log` VALUES ('1574667343152418816', '1567451914025701376', '2022-09-27', '2022-09-27 15:48:45', '172.16.60.17');
INSERT INTO `train_login_log` VALUES ('1574673593684594688', '1565939234546782208', '2022-09-27', '2022-09-27 16:13:35', '172.16.60.132');
INSERT INTO `train_login_log` VALUES ('1574703596660985856', '1569928315261816832', '2022-09-27', '2022-09-27 18:12:49', '172.16.60.122');
INSERT INTO `train_login_log` VALUES ('1574953717067812864', '1565939234546782208', '2022-09-28', '2022-09-28 10:46:42', '172.16.60.79');
INSERT INTO `train_login_log` VALUES ('1574998840304603136', '1570252962423508992', '2022-09-28', '2022-09-28 13:46:00', '172.16.61.8');
INSERT INTO `train_login_log` VALUES ('1575060372275204096', '1569928315261816832', '2022-09-28', '2022-09-28 17:50:31', '172.16.60.122');
INSERT INTO `train_login_log` VALUES ('1575063814293032960', '1567097186544652288', '2022-09-28', '2022-09-28 18:04:11', '172.16.60.249');
INSERT INTO `train_login_log` VALUES ('1575304316519059456', '1569928315261816832', '2022-09-29', '2022-09-29 09:59:51', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1575366002819076096', '1570252962423508992', '2022-09-29', '2022-09-29 14:04:58', '172.16.61.8');
INSERT INTO `train_login_log` VALUES ('1575380088910909440', '1574653861665312768', '2022-09-29', '2022-09-29 15:00:57', '223.104.19.119');
INSERT INTO `train_login_log` VALUES ('1575381305934352384', '1567097186544652288', '2022-09-29', '2022-09-29 15:05:47', '172.16.60.249');
INSERT INTO `train_login_log` VALUES ('1575383832637607936', '1575324436016533504', '2022-09-29', '2022-09-29 15:15:50', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1575663438263357440', '1555010577007513600', '2022-09-30', '2022-09-30 09:46:53', '222.137.46.252');
INSERT INTO `train_login_log` VALUES ('1575674953171341312', '1567097186544652288', '2022-09-30', '2022-09-30 10:32:38', '172.16.60.49');
INSERT INTO `train_login_log` VALUES ('1575743901145370624', '1575324436016533504', '2022-09-30', '2022-09-30 15:06:37', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1575777923405844480', '1565939234546782208', '2022-09-30', '2022-09-30 17:21:48', '172.16.60.46');
INSERT INTO `train_login_log` VALUES ('1576927948756357120', '1565939234546782208', '2022-10-03', '2022-10-03 21:31:36', '139.178.130.14');
INSERT INTO `train_login_log` VALUES ('1578052534508064768', '1575324436016533504', '2022-10-07', '2022-10-07 00:00:18', '1.192.36.157');
INSERT INTO `train_login_log` VALUES ('1578589723503497216', '1575324436016533504', '2022-10-08', '2022-10-08 11:34:54', '182.119.36.253');
INSERT INTO `train_login_log` VALUES ('1578616293777608704', '1567097186544652288', '2022-10-08', '2022-10-08 13:20:28', '172.16.60.49');
INSERT INTO `train_login_log` VALUES ('1578952217203970048', '1555010577007513600', '2022-10-09', '2022-10-09 11:35:19', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1579020469464600576', '1565939234546782208', '2022-10-09', '2022-10-09 16:06:31', '172.16.60.103');
INSERT INTO `train_login_log` VALUES ('1579021931515088896', '1575324436016533504', '2022-10-09', '2022-10-09 16:12:20', '222.137.47.86');
INSERT INTO `train_login_log` VALUES ('1579036440321462272', '1567097186544652288', '2022-10-09', '2022-10-09 17:09:59', '172.16.61.5');
INSERT INTO `train_login_log` VALUES ('1579338871227944960', '1575324436016533504', '2022-10-10', '2022-10-10 13:11:44', '182.119.39.245');
INSERT INTO `train_login_log` VALUES ('1579340520654770176', '1565939234546782208', '2022-10-10', '2022-10-10 13:18:17', '172.16.60.49');
INSERT INTO `train_login_log` VALUES ('1579364789447168000', '1574653861665312768', '2022-10-10', '2022-10-10 14:54:44', '182.119.39.245');
INSERT INTO `train_login_log` VALUES ('1579370640220229632', '1570254194114433024', '2022-10-10', '2022-10-10 15:17:59', '182.119.39.245');
INSERT INTO `train_login_log` VALUES ('1579377189403627520', '1579374510346473472', '2022-10-10', '2022-10-10 15:44:00', '172.16.61.5');
INSERT INTO `train_login_log` VALUES ('1579384501656752128', '1567097186544652288', '2022-10-10', '2022-10-10 16:13:03', '172.16.60.186');
INSERT INTO `train_login_log` VALUES ('1579720861194260480', '1570254194114433024', '2022-10-11', '2022-10-11 14:29:38', '182.119.39.245');
INSERT INTO `train_login_log` VALUES ('1579740226794950656', '1567097186544652288', '2022-10-11', '2022-10-11 15:46:35', '172.16.60.186');
INSERT INTO `train_login_log` VALUES ('1579750080125210624', '1565939234546782208', '2022-10-11', '2022-10-11 16:25:44', '172.16.60.63');
INSERT INTO `train_login_log` VALUES ('1580008811291348992', '1567097186544652288', '2022-10-12', '2022-10-12 09:33:50', '192.168.10.182');
INSERT INTO `train_login_log` VALUES ('1580080633353474048', '1555010577007513600', '2022-10-12', '2022-10-12 14:19:14', '172.16.60.186');
INSERT INTO `train_login_log` VALUES ('1580085798718541824', '1570254194114433024', '2022-10-12', '2022-10-12 14:39:46', '222.137.47.94');
INSERT INTO `train_login_log` VALUES ('1580105508075999232', '1574656123775094784', '2022-10-12', '2022-10-12 15:58:05', '182.119.36.13');
INSERT INTO `train_login_log` VALUES ('1580432220114522112', '1574656123775094784', '2022-10-13', '2022-10-13 13:36:19', '182.119.36.13');
INSERT INTO `train_login_log` VALUES ('1580467492474720256', '1555010577007513600', '2022-10-13', '2022-10-13 15:56:28', '172.16.60.186');
INSERT INTO `train_login_log` VALUES ('1580764527035813888', '1565939234546782208', '2022-10-14', '2022-10-14 11:36:47', '222.137.46.182');
INSERT INTO `train_login_log` VALUES ('1581855215462780928', '1575324436016533504', '2022-10-17', '2022-10-17 11:50:47', '172.16.60.11');
INSERT INTO `train_login_log` VALUES ('1581855545550311424', '1567097186544652288', '2022-10-17', '2022-10-17 11:52:06', '172.16.60.11');
INSERT INTO `train_login_log` VALUES ('1581899638494072832', '1581888248500850688', '2022-10-17', '2022-10-17 14:47:19', '172.16.60.11');
INSERT INTO `train_login_log` VALUES ('1581927526131961856', '1574656123775094784', '2022-10-17', '2022-10-17 16:38:08', '172.16.60.11');
INSERT INTO `train_login_log` VALUES ('1582266850396475392', '1567097186544652288', '2022-10-18', '2022-10-18 15:06:29', '172.16.60.11');
INSERT INTO `train_login_log` VALUES ('1582272722375938048', '1579374510346473472', '2022-10-18', '2022-10-18 15:29:49', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1582644787067097088', '1574653861665312768', '2022-10-19', '2022-10-19 16:08:16', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1582652947953750016', '1575324436016533504', '2022-10-19', '2022-10-19 16:40:42', '221.15.155.15');
INSERT INTO `train_login_log` VALUES ('1582654319386300416', '1574656123775094784', '2022-10-19', '2022-10-19 16:46:09', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1583092567938043904', '1574656123775094784', '2022-10-20', '2022-10-20 21:47:35', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1583100355883962368', '1555010577007513600', '2022-10-20', '2022-10-20 22:18:32', '115.57.136.63');
INSERT INTO `train_login_log` VALUES ('1583333870529548288', '1574653861665312768', '2022-10-21', '2022-10-21 13:46:26', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1583355036858191872', '1569928315261816832', '2022-10-21', '2022-10-21 15:10:33', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1583362420565479424', '1567097186544652288', '2022-10-21', '2022-10-21 15:39:53', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1583375651170291712', '1565939234546782208', '2022-10-21', '2022-10-21 16:32:28', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1583384502363885568', '1555010577007513600', '2022-10-21', '2022-10-21 17:07:38', '115.57.136.180');
INSERT INTO `train_login_log` VALUES ('1583743654189731840', '1567097186544652288', '2022-10-22', '2022-10-22 16:54:46', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1583752403671453696', '1579374510346473472', '2022-10-22', '2022-10-22 17:29:32', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1584363258863816704', '1567097186544652288', '2022-10-24', '2022-10-24 09:56:52', '0:0:0:0:0:0:0:1');
INSERT INTO `train_login_log` VALUES ('1584432562841980928', '1574656123775094784', '2022-10-24', '2022-10-24 14:32:15', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1584434704046755840', '1570252962423508992', '2022-10-24', '2022-10-24 14:40:45', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1584447831912091648', '1565939234546782208', '2022-10-24', '2022-10-24 15:32:55', '223.88.67.230');
INSERT INTO `train_login_log` VALUES ('1584449675384197120', '1572825817233362944', '2022-10-24', '2022-10-24 15:40:15', '223.88.67.230');
INSERT INTO `train_login_log` VALUES ('1584451423213588480', '1555010577007513600', '2022-10-24', '2022-10-24 15:47:12', '115.57.143.15');
INSERT INTO `train_login_log` VALUES ('1584456273850667008', '1574653861665312768', '2022-10-24', '2022-10-24 16:06:28', '123.161.217.220');
INSERT INTO `train_login_log` VALUES ('1584733870820036608', '1567097186544652288', '2022-10-25', '2022-10-25 10:29:32', '0:0:0:0:0:0:0:1');
INSERT INTO `train_login_log` VALUES ('1584760771345256448', '1579374510346473472', '2022-10-25', '2022-10-25 12:16:26', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1584815741591490560', '1565939234546782208', '2022-10-25', '2022-10-25 15:54:52', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1584821852893745152', '1572825817233362944', '2022-10-25', '2022-10-25 16:19:09', '0:0:0:0:0:0:0:1');
INSERT INTO `train_login_log` VALUES ('1585098858076180480', '1565939234546782208', '2022-10-26', '2022-10-26 10:39:52', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1585175662195511296', '1567097186544652288', '2022-10-26', '2022-10-26 15:45:04', '192.168.31.133');
INSERT INTO `train_login_log` VALUES ('1585188962434158592', '1574653861665312768', '2022-10-26', '2022-10-26 16:37:55', '1.192.36.172');
INSERT INTO `train_login_log` VALUES ('1585212490055290880', '1572825817233362944', '2022-10-26', '2022-10-26 18:11:24', '192.168.31.133');
INSERT INTO `train_login_log` VALUES ('1585213401234280448', '1574656123775094784', '2022-10-26', '2022-10-26 18:15:01', '192.168.31.133');
INSERT INTO `train_login_log` VALUES ('1585462346753642496', '1555010577007513600', '2022-10-27', '2022-10-27 10:44:15', '115.57.139.211');
INSERT INTO `train_login_log` VALUES ('1585479164310458368', '1565939234546782208', '2022-10-27', '2022-10-27 11:51:04', '223.88.67.230');
INSERT INTO `train_login_log` VALUES ('1585546139753648128', '1574653861665312768', '2022-10-27', '2022-10-27 16:17:12', '1.192.36.172');
INSERT INTO `train_login_log` VALUES ('1585548276395020288', '1574656123775094784', '2022-10-27', '2022-10-27 16:25:42', '1.192.36.172');
INSERT INTO `train_login_log` VALUES ('1585832884252577792', '1567097186544652288', '2022-10-28', '2022-10-28 11:16:38', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1585907691371499520', '1572825817233362944', '2022-10-28', '2022-10-28 16:13:53', '192.168.31.64');
INSERT INTO `train_login_log` VALUES ('1585910277113778176', '1565939234546782208', '2022-10-28', '2022-10-28 16:24:09', '223.88.67.11');
INSERT INTO `train_login_log` VALUES ('1585913900241653760', '1574653861665312768', '2022-10-28', '2022-10-28 16:38:33', '223.88.67.11');
INSERT INTO `train_login_log` VALUES ('1585920144406876160', '1579374510346473472', '2022-10-28', '2022-10-28 17:03:22', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1586971312654520320', '1565939234546782208', '2022-10-31', '2022-10-31 14:40:20', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1587002707284201472', '1574656123775094784', '2022-10-31', '2022-10-31 16:45:05', '192.168.100.104');
INSERT INTO `train_login_log` VALUES ('1587286352691597312', '1579374510346473472', '2022-11-01', '2022-11-01 11:32:11', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1587613832254197760', '1574653861665312768', '2022-11-02', '2022-11-02 09:13:29', '1.192.39.66');
INSERT INTO `train_login_log` VALUES ('1587645705839841280', '1565939234546782208', '2022-11-02', '2022-11-02 11:20:08', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1587743506452058112', '1574656123775094784', '2022-11-02', '2022-11-02 17:48:45', '192.168.100.107');
INSERT INTO `train_login_log` VALUES ('1588076701374615552', '1555010577007513600', '2022-11-03', '2022-11-03 15:52:45', '115.57.137.154');
INSERT INTO `train_login_log` VALUES ('1588081300319899648', '1574656123775094784', '2022-11-03', '2022-11-03 16:11:02', '1.192.39.66');
INSERT INTO `train_login_log` VALUES ('1588085130965159936', '1574653861665312768', '2022-11-03', '2022-11-03 16:26:15', '1.192.39.66');
INSERT INTO `train_login_log` VALUES ('1588089287583338496', '1565939234546782208', '2022-11-03', '2022-11-03 16:42:46', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1588731876519055360', '1572825817233362944', '2022-11-05', '2022-11-05 11:16:11', '192.168.100.108');
INSERT INTO `train_login_log` VALUES ('1588823408899133440', '1574656123775094784', '2022-11-05', '2022-11-05 17:19:54', '192.168.100.108');
INSERT INTO `train_login_log` VALUES ('1589104709074030592', '1567097186544652288', '2022-11-06', '2022-11-06 11:57:41', '192.168.100.108');
INSERT INTO `train_login_log` VALUES ('1589470523778273280', '1567097186544652288', '2022-11-07', '2022-11-07 12:11:18', '192.168.100.108');
INSERT INTO `train_login_log` VALUES ('1589500781923536896', '1574656123775094784', '2022-11-07', '2022-11-07 14:11:32', '192.168.100.108');
INSERT INTO `train_login_log` VALUES ('1589849924151939072', '1565939234546782208', '2022-11-08', '2022-11-08 13:18:54', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1589855628535402496', '1555010577007513600', '2022-11-08', '2022-11-08 13:41:35', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1589878863301840896', '1589877695318200320', '2022-11-08', '2022-11-08 15:13:54', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1589895855975043072', '1589887987989221376', '2022-11-08', '2022-11-08 16:21:26', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1590219959047426048', '1565939234546782208', '2022-11-09', '2022-11-09 13:49:17', '172.16.60.49');
INSERT INTO `train_login_log` VALUES ('1590608738245545984', '1555010577007513600', '2022-11-10', '2022-11-10 15:34:10', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1590625595635666944', '1589887987989221376', '2022-11-10', '2022-11-10 16:41:09', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1590635903750115328', '1565939234546782208', '2022-11-10', '2022-11-10 17:22:06', '172.16.60.38');
INSERT INTO `train_login_log` VALUES ('1590637502497165312', '1589877695318200320', '2022-11-10', '2022-11-10 17:28:28', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1590639755224289280', '1590639495596871680', '2022-11-10', '2022-11-10 17:37:25', '172.16.60.180');
INSERT INTO `train_login_log` VALUES ('1590947895354462208', '1589887987989221376', '2022-11-11', '2022-11-11 14:01:51', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1592000604706836480', '1589887987989221376', '2022-11-14', '2022-11-14 11:44:57', '222.137.31.131');
INSERT INTO `train_login_log` VALUES ('1592030289314582528', '1592015564858068992', '2022-11-14', '2022-11-14 13:42:54', '222.137.31.131');
INSERT INTO `train_login_log` VALUES ('1592065962205646848', '1591967614425501696', '2022-11-14', '2022-11-14 16:04:39', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1592075931202228224', '1591989767631933440', '2022-11-14', '2022-11-14 16:44:16', '172.16.60.62');
INSERT INTO `train_login_log` VALUES ('1592076346811617280', '1574653861665312768', '2022-11-14', '2022-11-14 16:45:55', '172.16.60.62');
INSERT INTO `train_login_log` VALUES ('1592079717496918016', '1592077522693132288', '2022-11-14', '2022-11-14 16:59:19', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1592118057654947840', '1565939234546782208', '2022-11-14', '2022-11-14 19:31:39', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1592351327822942208', '1579374510346473472', '2022-11-15', '2022-11-15 10:58:35', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1592357084484210688', '1592077522693132288', '2022-11-15', '2022-11-15 11:21:28', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1592406190837600256', '1574653861665312768', '2022-11-15', '2022-11-15 14:36:36', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1592448820027985920', '1565939234546782208', '2022-11-15', '2022-11-15 17:26:00', '172.16.60.105');
INSERT INTO `train_login_log` VALUES ('1592818661306011648', '1574653861665312768', '2022-11-16', '2022-11-16 17:55:37', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1593130346789081088', '1593130018354106368', '2022-11-17', '2022-11-17 14:34:08', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593147437126651904', '1590949853146517504', '2022-11-17', '2022-11-17 15:42:03', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593172836770516992', '1593172328945160192', '2022-11-17', '2022-11-17 17:22:59', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593203191384772608', '1565939234546782208', '2022-11-17', '2022-11-17 19:23:36', '172.16.60.23');
INSERT INTO `train_login_log` VALUES ('1593204035098382336', '1574653861665312768', '2022-11-17', '2022-11-17 19:26:57', '172.16.60.23');
INSERT INTO `train_login_log` VALUES ('1593493805926060032', '1593130018354106368', '2022-11-18', '2022-11-18 14:38:24', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593502567458017280', '1590639495596871680', '2022-11-18', '2022-11-18 15:13:13', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593543196846198784', '1574653861665312768', '2022-11-18', '2022-11-18 17:54:39', '172.16.60.23');
INSERT INTO `train_login_log` VALUES ('1593561694574088192', '1555010577007513600', '2022-11-18', '2022-11-18 19:08:10', '172.16.60.23');
INSERT INTO `train_login_log` VALUES ('1593571598852558848', '1565939234546782208', '2022-11-18', '2022-11-18 19:47:31', '172.16.60.23');
INSERT INTO `train_login_log` VALUES ('1593835520859967488', '1565939234546782208', '2022-11-19', '2022-11-19 13:16:15', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1593835776590876672', '1574653861665312768', '2022-11-19', '2022-11-19 13:17:16', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1593842012950499328', '1579374510346473472', '2022-11-19', '2022-11-19 13:42:03', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1593853831832276992', '1593172328945160192', '2022-11-19', '2022-11-19 14:29:00', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593858973063319552', '1592034228969803776', '2022-11-19', '2022-11-19 14:49:26', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1593870054791974912', '1593130018354106368', '2022-11-19', '2022-11-19 15:33:28', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593870558569828352', '1593126345620197376', '2022-11-19', '2022-11-19 15:35:28', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1593886059647864832', '1555010577007513600', '2022-11-19', '2022-11-19 16:37:04', '172.16.60.240');
INSERT INTO `train_login_log` VALUES ('1593925479902089216', '1593908021333987328', '2022-11-19', '2022-11-19 19:13:43', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1594161347246034944', '1592034228969803776', '2022-11-20', '2022-11-20 10:50:58', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1594161601781567488', '1593937047876407296', '2022-11-20', '2022-11-20 10:51:58', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1594164229940842496', '1555010577007513600', '2022-11-20', '2022-11-20 11:02:25', '172.16.60.240');
INSERT INTO `train_login_log` VALUES ('1594505464245260288', '1591967614425501696', '2022-11-21', '2022-11-21 09:38:22', '172.16.60.181');
INSERT INTO `train_login_log` VALUES ('1594588631224422400', '1569928315261816832', '2022-11-21', '2022-11-21 15:08:50', '223.88.68.87');
INSERT INTO `train_login_log` VALUES ('1594597650706075648', '1593908021333987328', '2022-11-21', '2022-11-21 15:44:41', '172.16.60.141');
INSERT INTO `train_login_log` VALUES ('1594604557059624960', '1594603307282862080', '2022-11-21', '2022-11-21 16:12:07', '172.16.60.141');
INSERT INTO `train_login_log` VALUES ('1594610908821327872', '1593937047876407296', '2022-11-21', '2022-11-21 16:37:21', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1594611335558205440', '1593862922424160256', '2022-11-21', '2022-11-21 16:39:03', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1594627955101929472', '1565939234546782208', '2022-11-21', '2022-11-21 17:45:06', '172.16.61.7');
INSERT INTO `train_login_log` VALUES ('1594636828529528832', '1555010577007513600', '2022-11-21', '2022-11-21 18:20:21', '172.16.60.240');
INSERT INTO `train_login_log` VALUES ('1594873506175258624', '1593862922424160256', '2022-11-22', '2022-11-22 10:00:50', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1594878731611148288', '1565939234546782208', '2022-11-22', '2022-11-22 10:21:36', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1594878824292683776', '1572825817233362944', '2022-11-22', '2022-11-22 10:21:58', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1594941906457071616', '1594934928573861888', '2022-11-22', '2022-11-22 14:32:38', '172.16.60.240');
INSERT INTO `train_login_log` VALUES ('1594965107333533696', '1594603307282862080', '2022-11-22', '2022-11-22 16:04:49', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1594965377304104960', '1555010577007513600', '2022-11-22', '2022-11-22 16:05:53', '172.16.60.240');
INSERT INTO `train_login_log` VALUES ('1594974293186449408', '1574653861665312768', '2022-11-22', '2022-11-22 16:41:19', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1594977907804082176', '1567097186544652288', '2022-11-22', '2022-11-22 16:55:41', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1595305180457472000', '1574653861665312768', '2022-11-23', '2022-11-23 14:36:09', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1595309761023315968', '1595299618307051520', '2022-11-23', '2022-11-23 14:54:21', '172.16.60.167');
INSERT INTO `train_login_log` VALUES ('1595311558886559744', '1555010577007513600', '2022-11-23', '2022-11-23 15:01:30', '172.16.60.7');
INSERT INTO `train_login_log` VALUES ('1595312963890319360', '1595290317471485952', '2022-11-23', '2022-11-23 15:07:05', '172.16.60.144');
INSERT INTO `train_login_log` VALUES ('1595333042979868672', '1575324436016533504', '2022-11-23', '2022-11-23 16:26:52', '172.16.60.7');
INSERT INTO `train_login_log` VALUES ('1595333716887080960', '1594603307282862080', '2022-11-23', '2022-11-23 16:29:33', '172.16.60.7');
INSERT INTO `train_login_log` VALUES ('1595338734096748544', '1565939234546782208', '2022-11-23', '2022-11-23 16:49:29', '172.16.60.7');
INSERT INTO `train_login_log` VALUES ('1595338999633940480', '1567097186544652288', '2022-11-23', '2022-11-23 16:50:32', '172.16.60.7');
INSERT INTO `train_login_log` VALUES ('1595626452328517632', '1567097186544652288', '2022-11-24', '2022-11-24 11:52:46', '172.16.60.155');
INSERT INTO `train_login_log` VALUES ('1595653380515172352', '1593172328945160192', '2022-11-24', '2022-11-24 13:39:46', '172.16.60.155');
INSERT INTO `train_login_log` VALUES ('1595653998524895232', '1555010577007513600', '2022-11-24', '2022-11-24 13:42:14', '172.16.60.155');
INSERT INTO `train_login_log` VALUES ('1595976945236054016', '1555010577007513600', '2022-11-25', '2022-11-25 11:05:30', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1595985614220693504', '1591967614425501696', '2022-11-25', '2022-11-25 11:39:57', '172.16.4.65');
INSERT INTO `train_login_log` VALUES ('1596019487436574720', '1569928315261816832', '2022-11-25', '2022-11-25 13:54:33', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1596019842215972864', '1574656123775094784', '2022-11-25', '2022-11-25 13:55:58', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1596069296197472256', '1565939234546782208', '2022-11-25', '2022-11-25 17:12:28', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1596094976524161024', '1579374510346473472', '2022-11-25', '2022-11-25 18:54:31', '192.168.31.99');
INSERT INTO `train_login_log` VALUES ('1596104107595272192', '1574653861665312768', '2022-11-25', '2022-11-25 19:30:48', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1596112457657618432', '1567097186544652288', '2022-11-25', '2022-11-25 20:03:59', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1596413571250655232', '1579374510346473472', '2022-11-26', '2022-11-26 16:00:30', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1596426486485749760', '1591967614425501696', '2022-11-26', '2022-11-26 16:51:49', '218.28.234.62');
INSERT INTO `train_login_log` VALUES ('1596437029963567104', '1567097186544652288', '2022-11-26', '2022-11-26 17:33:43', '192.168.1.11');
INSERT INTO `train_login_log` VALUES ('1596487628318969856', '1574653861665312768', '2022-11-26', '2022-11-26 20:54:47', '223.88.67.212');
INSERT INTO `train_login_log` VALUES ('1596499990585413632', '1565939234546782208', '2022-11-26', '2022-11-26 21:43:54', '223.88.67.212');
INSERT INTO `train_login_log` VALUES ('1596747613527478272', '1574653861665312768', '2022-11-27', '2022-11-27 14:07:52', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1596786877699067904', '1567097186544652288', '2022-11-27', '2022-11-27 16:43:53', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1596800004138340352', '1579374510346473472', '2022-11-27', '2022-11-27 17:36:02', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1596828852599001088', '1596789432940367872', '2022-11-27', '2022-11-27 19:30:41', '192.168.1.7');
INSERT INTO `train_login_log` VALUES ('1596843602426859520', '1555010577007513600', '2022-11-27', '2022-11-27 20:29:17', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1596853106593894400', '1565939234546782208', '2022-11-27', '2022-11-27 21:07:03', '117.136.104.210');
INSERT INTO `train_login_log` VALUES ('1597137238834155520', '1596789432940367872', '2022-11-28', '2022-11-28 15:56:06', '192.168.1.4');
INSERT INTO `train_login_log` VALUES ('1597137750887370752', '1574653861665312768', '2022-11-28', '2022-11-28 15:58:08', '192.168.1.4');
INSERT INTO `train_login_log` VALUES ('1597209575902285824', '1567097186544652288', '2022-11-28', '2022-11-28 20:43:32', '192.168.0.101');
INSERT INTO `train_login_log` VALUES ('1597211233952600064', '1565939234546782208', '2022-11-28', '2022-11-28 20:50:07', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1597469896680280064', '1567097186544652288', '2022-11-29', '2022-11-29 13:57:58', '106.34.3.182');
INSERT INTO `train_login_log` VALUES ('1597582742860730368', '1565939234546782208', '2022-11-29', '2022-11-29 21:26:22', '120.235.137.93');
INSERT INTO `train_login_log` VALUES ('1597795632930754560', '1574653861665312768', '2022-11-30', '2022-11-30 11:32:19', '0:0:0:0:0:0:0:1');
INSERT INTO `train_login_log` VALUES ('1597859982399901696', '1565939234546782208', '2022-11-30', '2022-11-30 15:48:01', '223.88.67.165');
INSERT INTO `train_login_log` VALUES ('1598215897607180288', '1574653861665312768', '2022-12-01', '2022-12-01 15:22:18', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1598296654707036160', '1565939234546782208', '2022-12-01', '2022-12-01 20:43:12', '223.88.68.231');
INSERT INTO `train_login_log` VALUES ('1598525782517485568', '1555010577007513600', '2022-12-02', '2022-12-02 11:53:40', '172.16.60.79');
INSERT INTO `train_login_log` VALUES ('1598550186555215872', '1574653861665312768', '2022-12-02', '2022-12-02 13:30:39', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1598568685222629376', '1579374510346473472', '2022-12-02', '2022-12-02 14:44:09', '172.16.60.147');
INSERT INTO `train_login_log` VALUES ('1598581301546455040', '1565939234546782208', '2022-12-02', '2022-12-02 15:34:17', '172.16.60.186');
INSERT INTO `train_login_log` VALUES ('1598879308892475392', '1555010577007513600', '2022-12-03', '2022-12-03 11:18:28', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1598923972794257408', '1565939234546782208', '2022-12-03', '2022-12-03 14:15:56', '192.168.31.99');
INSERT INTO `train_login_log` VALUES ('1598925802177695744', '1579374510346473472', '2022-12-03', '2022-12-03 14:23:12', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1599581052064632832', '1579374510346473472', '2022-12-05', '2022-12-05 09:46:56', '172.16.60.195');
INSERT INTO `train_login_log` VALUES ('1599594910644834304', '1555010577007513600', '2022-12-05', '2022-12-05 10:42:00', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1599651491365392384', '1565939234546782208', '2022-12-05', '2022-12-05 14:26:50', '172.16.60.30');
INSERT INTO `train_login_log` VALUES ('1599948546738622464', '1594171185472606208', '2022-12-06', '2022-12-06 10:07:14', '172.16.60.119');
INSERT INTO `train_login_log` VALUES ('1599952150958575616', '1591967614425501696', '2022-12-06', '2022-12-06 10:21:33', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1600062056143392768', '1565939234546782208', '2022-12-06', '2022-12-06 17:38:17', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1600464819507564544', '1565939234546782208', '2022-12-07', '2022-12-07 20:18:43', '223.88.67.113');
INSERT INTO `train_login_log` VALUES ('1600738347746201600', '1565939234546782208', '2022-12-08', '2022-12-08 14:25:37', '223.88.67.113');
INSERT INTO `train_login_log` VALUES ('1600761264987049984', '1579374510346473472', '2022-12-08', '2022-12-08 15:56:41', '192.168.31.87');
INSERT INTO `train_login_log` VALUES ('1600769857522110464', '1555010577007513600', '2022-12-08', '2022-12-08 16:30:50', '218.28.234.62');
INSERT INTO `train_login_log` VALUES ('1600786917102850048', '1574653861665312768', '2022-12-08', '2022-12-08 17:38:37', '192.168.1.25');
INSERT INTO `train_login_log` VALUES ('1601125024679464960', '1579374510346473472', '2022-12-09', '2022-12-09 16:02:08', '192.168.31.88');
INSERT INTO `train_login_log` VALUES ('1601132823257944064', '1565939234546782208', '2022-12-09', '2022-12-09 16:33:07', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1602148744780976128', '1591967614425501696', '2022-12-12', '2022-12-12 11:50:02', '172.16.60.143');
INSERT INTO `train_login_log` VALUES ('1602187922675732480', '1565939234546782208', '2022-12-12', '2022-12-12 14:25:43', '172.16.60.143');
INSERT INTO `train_login_log` VALUES ('1602195628551704576', '1579374510346473472', '2022-12-12', '2022-12-12 14:56:20', '182.118.239.175');
INSERT INTO `train_login_log` VALUES ('1602901483681091584', '1579374510346473472', '2022-12-14', '2022-12-14 13:41:09', '192.168.31.88');
INSERT INTO `train_login_log` VALUES ('1603299180749656064', '1579374510346473472', '2022-12-15', '2022-12-15 16:01:27', '192.168.31.88');
INSERT INTO `train_login_log` VALUES ('1603323469758599168', '1565939234546782208', '2022-12-15', '2022-12-15 17:37:58', '172.16.60.186');
INSERT INTO `train_login_log` VALUES ('1605108075533045760', '1569928315261816832', '2022-12-20', '2022-12-20 15:49:21', '223.88.68.74');
INSERT INTO `train_login_log` VALUES ('1607263053324357632', '1565939234546782208', '2022-12-26', '2022-12-26 14:32:28', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1607662177332891648', '1565939234546782208', '2022-12-27', '2022-12-27 16:58:27', '172.16.60.105');
INSERT INTO `train_login_log` VALUES ('1607663430565761024', '1574653861665312768', '2022-12-27', '2022-12-27 17:03:25', '172.16.60.105');
INSERT INTO `train_login_log` VALUES ('1607978481407365120', '1569928315261816832', '2022-12-28', '2022-12-28 13:55:19', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1608109240680058880', '1565939234546782208', '2022-12-28', '2022-12-28 22:34:55', '120.216.254.49');
INSERT INTO `train_login_log` VALUES ('1610200966848712704', '1555010577007513600', '2023-01-03', '2023-01-03 17:06:41', '172.16.60.193');
INSERT INTO `train_login_log` VALUES ('1610510747958382592', '1574653861665312768', '2023-01-04', '2023-01-04 13:37:39', '192.168.1.11');
INSERT INTO `train_login_log` VALUES ('1610517142153859072', '1594171185472606208', '2023-01-04', '2023-01-04 14:03:03', '218.28.234.62');
INSERT INTO `train_login_log` VALUES ('1610552727488827392', '1591967614425501696', '2023-01-04', '2023-01-04 16:24:28', '218.28.234.62');
INSERT INTO `train_login_log` VALUES ('1610553235909775360', '1555010577007513600', '2023-01-04', '2023-01-04 16:26:29', '218.28.234.62');
INSERT INTO `train_login_log` VALUES ('1610874450545348608', '1574653861665312768', '2023-01-05', '2023-01-05 13:42:52', '192.168.1.3');
INSERT INTO `train_login_log` VALUES ('1610881061573758976', '1579374510346473472', '2023-01-05', '2023-01-05 14:09:08', '192.168.1.3');
INSERT INTO `train_login_log` VALUES ('1611242056238370816', '1574653861665312768', '2023-01-06', '2023-01-06 14:03:36', '192.168.1.15');
INSERT INTO `train_login_log` VALUES ('1611289371720421376', '1579374510346473472', '2023-01-06', '2023-01-06 17:11:37', '192.168.1.3');
INSERT INTO `train_login_log` VALUES ('1611703101763489792', '1555010577007513600', '2023-01-07', '2023-01-07 20:35:38', '123.161.216.81');
INSERT INTO `train_login_log` VALUES ('1611993158466539520', '1574653861665312768', '2023-01-08', '2023-01-08 15:48:13', '172.16.60.148');
INSERT INTO `train_login_log` VALUES ('1612030249770553344', '1555010577007513600', '2023-01-08', '2023-01-08 18:15:36', '17.232.67.151');
INSERT INTO `train_login_log` VALUES ('1612394844628586496', '1574653861665312768', '2023-01-09', '2023-01-09 18:24:22', '192.168.1.6');
INSERT INTO `train_login_log` VALUES ('1612395751428722688', '1579374510346473472', '2023-01-09', '2023-01-09 18:27:59', '192.168.1.11');
INSERT INTO `train_login_log` VALUES ('1612654666418622464', '1565939234546782208', '2023-01-10', '2023-01-10 11:36:49', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1612687256223617024', '1579374510346473472', '2023-01-10', '2023-01-10 13:46:19', '192.168.1.11');
INSERT INTO `train_login_log` VALUES ('1612765237776355328', '1574653861665312768', '2023-01-10', '2023-01-10 18:56:11', '192.168.1.3');
INSERT INTO `train_login_log` VALUES ('1612998159854866432', '1574653861665312768', '2023-01-11', '2023-01-11 10:21:44', '192.168.1.9');
INSERT INTO `train_login_log` VALUES ('1613100232936132608', '1565939234546782208', '2023-01-11', '2023-01-11 17:07:20', '182.119.38.207');
INSERT INTO `train_login_log` VALUES ('1613102704295546880', '1579374510346473472', '2023-01-11', '2023-01-11 17:17:09', '182.119.38.207');
INSERT INTO `train_login_log` VALUES ('1613103001524899840', '1555010577007513600', '2023-01-11', '2023-01-11 17:18:20', '182.119.38.207');
INSERT INTO `train_login_log` VALUES ('1613343876280619008', '1574653861665312768', '2023-01-12', '2023-01-12 09:15:29', '192.168.1.11');
INSERT INTO `train_login_log` VALUES ('1613423979224240128', '1555010577007513600', '2023-01-12', '2023-01-12 14:33:47', '192.168.1.11');
INSERT INTO `train_login_log` VALUES ('1613431335597248512', '1579374510346473472', '2023-01-12', '2023-01-12 15:03:01', '192.168.1.10');
INSERT INTO `train_login_log` VALUES ('1613439997858418688', '1591967614425501696', '2023-01-12', '2023-01-12 15:37:26', '192.168.1.5');
INSERT INTO `train_login_log` VALUES ('1613693841083338752', '1555010577007513600', '2023-01-13', '2023-01-13 08:26:07', '17.222.112.139');
INSERT INTO `train_login_log` VALUES ('1613722417220423680', '1574653861665312768', '2023-01-13', '2023-01-13 10:19:40', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1613809456188100608', '1579374510346473472', '2023-01-13', '2023-01-13 16:05:32', '172.16.4.59');
INSERT INTO `train_login_log` VALUES ('1614162237604368384', '1574653861665312768', '2023-01-14', '2023-01-14 15:27:22', '172.16.4.95');
INSERT INTO `train_login_log` VALUES ('1614171159715254272', '1579374510346473472', '2023-01-14', '2023-01-14 16:02:49', '192.168.1.4');
INSERT INTO `train_login_log` VALUES ('1614496271723270144', '1555010577007513600', '2023-01-15', '2023-01-15 13:34:42', '182.119.36.239');
INSERT INTO `train_login_log` VALUES ('1614541451528638464', '1579374510346473472', '2023-01-15', '2023-01-15 16:34:13', '172.16.60.94');
INSERT INTO `train_login_log` VALUES ('1614866815379443712', '1591967614425501696', '2023-01-16', '2023-01-16 14:07:06', '172.16.60.84');
INSERT INTO `train_login_log` VALUES ('1614901795769946112', '1555010577007513600', '2023-01-16', '2023-01-16 16:26:06', '172.16.60.210');
INSERT INTO `train_login_log` VALUES ('1618542502976032768', '1565939234546782208', '2023-01-26', '2023-01-26 17:32:58', '139.178.128.6');
INSERT INTO `train_login_log` VALUES ('1619604723390877696', '1579374510346473472', '2023-01-29', '2023-01-29 15:53:51', '172.16.60.16');
INSERT INTO `train_login_log` VALUES ('1619981963425353728', '1555010577007513600', '2023-01-30', '2023-01-30 16:52:52', '172.16.60.146');
INSERT INTO `train_login_log` VALUES ('1620256951017541632', '1574653861665312768', '2023-01-31', '2023-01-31 11:05:35', '172.16.4.104');
INSERT INTO `train_login_log` VALUES ('1620605067394682880', '1555010577007513600', '2023-02-01', '2023-02-01 10:08:52', '172.16.60.230');
INSERT INTO `train_login_log` VALUES ('1620608757610450944', '1572825817233362944', '2023-02-01', '2023-02-01 10:23:32', '172.16.60.39');
INSERT INTO `train_login_log` VALUES ('1620977532054671360', '1594171185472606208', '2023-02-02', '2023-02-02 10:48:55', '172.16.4.141');
INSERT INTO `train_login_log` VALUES ('1620978756569141248', '1591967614425501696', '2023-02-02', '2023-02-02 10:53:47', '172.16.4.141');
INSERT INTO `train_login_log` VALUES ('1621050845376417792', '1579374510346473472', '2023-02-02', '2023-02-02 15:40:14', '172.16.60.255');
INSERT INTO `train_login_log` VALUES ('1621054744946675712', '1572825817233362944', '2023-02-02', '2023-02-02 15:55:44', '172.16.60.39');
INSERT INTO `train_login_log` VALUES ('1621326591005167616', '1579374510346473472', '2023-02-03', '2023-02-03 09:55:57', '172.16.60.255');
INSERT INTO `train_login_log` VALUES ('1621327902031351808', '1572825817233362944', '2023-02-03', '2023-02-03 10:01:09', '172.16.60.39');
INSERT INTO `train_login_log` VALUES ('1621398088008732672', '1565939234546782208', '2023-02-03', '2023-02-03 14:40:03', '172.16.4.64');
INSERT INTO `train_login_log` VALUES ('1623584635160236032', '1572825817233362944', '2023-02-09', '2023-02-09 15:28:36', '182.119.39.117');
INSERT INTO `train_login_log` VALUES ('1623949081867063296', '1574653861665312768', '2023-02-10', '2023-02-10 15:36:47', '172.16.4.58');
INSERT INTO `train_login_log` VALUES ('1624946360283435008', '1572825817233362944', '2023-02-13', '2023-02-13 09:39:37', '172.16.60.143');
INSERT INTO `train_login_log` VALUES ('1625009853070184448', '1555010577007513600', '2023-02-13', '2023-02-13 13:51:55', '172.16.60.72');
INSERT INTO `train_login_log` VALUES ('1625102859785867264', '1591967614425501696', '2023-02-13', '2023-02-13 20:01:29', '223.104.111.49');
INSERT INTO `train_login_log` VALUES ('1625104161467142144', '1589887987989221376', '2023-02-13', '2023-02-13 20:06:40', '223.104.111.49');
INSERT INTO `train_login_log` VALUES ('1625398019803451392', '1591967614425501696', '2023-02-14', '2023-02-14 15:34:21', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1626502110218686464', '1567451914025701376', '2023-02-17', '2023-02-17 16:41:37', '172.16.60.22');
INSERT INTO `train_login_log` VALUES ('1626510974024552448', '1572825817233362944', '2023-02-17', '2023-02-17 17:16:50', '172.16.60.22');
INSERT INTO `train_login_log` VALUES ('1626511449746706432', '1565939234546782208', '2023-02-17', '2023-02-17 17:18:43', '172.16.60.22');
INSERT INTO `train_login_log` VALUES ('1626512224338186240', '1590639495596871680', '2023-02-17', '2023-02-17 17:21:48', '172.16.60.22');
INSERT INTO `train_login_log` VALUES ('1628211586684555264', '1572825817233362944', '2023-02-22', '2023-02-22 09:54:28', '222.137.30.35');
INSERT INTO `train_login_log` VALUES ('1636265773519474688', '1555010577007513600', '2023-03-16', '2023-03-16 15:18:55', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1636291696637644800', '1565939234546782208', '2023-03-16', '2023-03-16 17:01:56', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1636297483862806528', '1567097186544652288', '2023-03-16', '2023-03-16 17:24:56', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1637629670834966528', '1591967614425501696', '2023-03-20', '2023-03-20 09:38:34', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1638161010269491200', '1591967614425501696', '2023-03-21', '2023-03-21 20:49:55', '221.15.152.17');
INSERT INTO `train_login_log` VALUES ('1638349700576972800', '1591967614425501696', '2023-03-22', '2023-03-22 09:19:42', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1638741399191031808', '1591967614425501696', '2023-03-23', '2023-03-23 11:16:10', '172.16.60.115');
INSERT INTO `train_login_log` VALUES ('1638742024624672768', '1555010577007513600', '2023-03-23', '2023-03-23 11:18:40', '172.16.60.115');
INSERT INTO `train_login_log` VALUES ('1640986439065931776', '1591967614425501696', '2023-03-29', '2023-03-29 15:57:10', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1641258016416337920', '1591967614425501696', '2023-03-30', '2023-03-30 09:56:19', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1641670768846835712', '1569928315261816832', '2023-03-31', '2023-03-31 13:16:27', '221.15.159.163');
INSERT INTO `train_login_log` VALUES ('1642759850490466304', '1591967614425501696', '2023-04-03', '2023-04-03 13:24:04', '221.15.157.28');
INSERT INTO `train_login_log` VALUES ('1643868536906584064', '1591967614425501696', '2023-04-06', '2023-04-06 14:49:35', '221.15.157.180');
INSERT INTO `train_login_log` VALUES ('1643882858982543360', '1555010577007513600', '2023-04-06', '2023-04-06 15:46:30', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1643900568093200384', '1569928315261816832', '2023-04-06', '2023-04-06 16:56:52', '221.15.152.1');
INSERT INTO `train_login_log` VALUES ('1644242172029046784', '1569928315261816832', '2023-04-07', '2023-04-07 15:34:17', '221.15.157.180');
INSERT INTO `train_login_log` VALUES ('1644315544691806208', '1591967614425501696', '2023-04-07', '2023-04-07 20:25:50', '223.104.111.155');
INSERT INTO `train_login_log` VALUES ('1644521641004371968', '1591967614425501696', '2023-04-08', '2023-04-08 10:04:48', '221.15.157.180');
INSERT INTO `train_login_log` VALUES ('1651480782205751296', '1591967614425501696', '2023-04-27', '2023-04-27 14:57:45', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1658381269807009792', '1555010577007513600', '2023-05-16', '2023-05-16 15:58:01', '221.15.156.140');
INSERT INTO `train_login_log` VALUES ('1658382345553711104', '1565939234546782208', '2023-05-16', '2023-05-16 16:02:17', '221.15.156.140');
INSERT INTO `train_login_log` VALUES ('1658676950899757056', '1565939234546782208', '2023-05-17', '2023-05-17 11:32:56', '221.15.157.145');
INSERT INTO `train_login_log` VALUES ('1658677147851689984', '1555010577007513600', '2023-05-17', '2023-05-17 11:33:43', '221.15.157.145');
INSERT INTO `train_login_log` VALUES ('1661178138643795968', '1591967614425501696', '2023-05-24', '2023-05-24 09:11:46', '221.15.154.29');
INSERT INTO `train_login_log` VALUES ('1661212465679175680', '1555010577007513600', '2023-05-24', '2023-05-24 11:28:10', '106.34.63.200');
INSERT INTO `train_login_log` VALUES ('1661218676193497088', '1569928315261816832', '2023-05-24', '2023-05-24 11:52:51', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1663060735913234432', '1591967614425501696', '2023-05-29', '2023-05-29 13:52:32', '172.16.60.16');
INSERT INTO `train_login_log` VALUES ('1664183152702263296', '1565939234546782208', '2023-06-01', '2023-06-01 16:12:37', '221.15.152.132');
INSERT INTO `train_login_log` VALUES ('1664190850361593856', '1567097186544652288', '2023-06-01', '2023-06-01 16:43:13', '106.33.181.123');
INSERT INTO `train_login_log` VALUES ('1664192846162432000', '1592077522693132288', '2023-06-01', '2023-06-01 16:51:08', '221.15.152.132');
INSERT INTO `train_login_log` VALUES ('1664283611693715456', '1591989767631933440', '2023-06-01', '2023-06-01 22:51:49', '171.15.63.17');
INSERT INTO `train_login_log` VALUES ('1664568019965317120', '1591989767631933440', '2023-06-02', '2023-06-02 17:41:57', '123.15.38.202');
INSERT INTO `train_login_log` VALUES ('1665539564195942400', '1592077522693132288', '2023-06-05', '2023-06-05 10:02:31', '221.15.155.57');
INSERT INTO `train_login_log` VALUES ('1665620748535992320', '1555010577007513600', '2023-06-05', '2023-06-05 15:25:05', '106.34.18.194');
INSERT INTO `train_login_log` VALUES ('1665654423306768384', '1579374510346473472', '2023-06-05', '2023-06-05 17:38:56', '106.34.18.194');
INSERT INTO `train_login_log` VALUES ('1665655168588451840', '1564137453919539200', '2023-06-05', '2023-06-05 17:41:53', '106.34.18.194');
INSERT INTO `train_login_log` VALUES ('1666373088427773952', '1591967614425501696', '2023-06-07', '2023-06-07 17:14:39', '106.34.61.10');
INSERT INTO `train_login_log` VALUES ('1666378500220784640', '1590949853146517504', '2023-06-07', '2023-06-07 17:36:09', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1666696427453157376', '1591967614425501696', '2023-06-08', '2023-06-08 14:39:29', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1666702760042696704', '1590949853146517504', '2023-06-08', '2023-06-08 15:04:38', '172.16.61.5');
INSERT INTO `train_login_log` VALUES ('1668086082115342336', '1590949853146517504', '2023-06-12', '2023-06-12 10:41:28', '172.16.60.173');
INSERT INTO `train_login_log` VALUES ('1668167966384066560', '1555010577007513600', '2023-06-12', '2023-06-12 16:06:51', '172.16.60.63');
INSERT INTO `train_login_log` VALUES ('1668503022386417664', '1564137453919539200', '2023-06-13', '2023-06-13 14:18:14', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1668511847906676736', '1591967614425501696', '2023-06-13', '2023-06-13 14:53:19', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1668520560658878464', '1590949853146517504', '2023-06-13', '2023-06-13 15:27:56', '218.28.192.38');
INSERT INTO `train_login_log` VALUES ('1669151305152729088', '1555010577007513600', '2023-06-15', '2023-06-15 09:14:17', '127.0.0.1');
INSERT INTO `train_login_log` VALUES ('1669156846759448576', '1574653861665312768', '2023-06-15', '2023-06-15 09:36:18', '172.16.60.233');
INSERT INTO `train_login_log` VALUES ('1689153316963094528', '1591967614425501696', '2023-08-09', '2023-08-09 13:55:07', '112.66.72.189');
INSERT INTO `train_login_log` VALUES ('1689177623948824576', '1564137453919539200', '2023-08-09', '2023-08-09 15:31:44', '112.66.72.189');
INSERT INTO `train_login_log` VALUES ('1689250745859313664', '1569928315261816832', '2023-08-09', '2023-08-09 20:22:17', '123.161.219.116');
INSERT INTO `train_login_log` VALUES ('1689484350082650112', '1572825817233362944', '2023-08-10', '2023-08-10 11:50:33', '182.118.232.147');
INSERT INTO `train_login_log` VALUES ('6675428343484009302', '1565939234546782208', '2023-07-20', '2023-07-20 15:58:42', '172.16.60.143');

-- ----------------------------
-- Table structure for train_look_into_bank
-- ----------------------------
DROP TABLE IF EXISTS `train_look_into_bank`;
CREATE TABLE `train_look_into_bank` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、多选。2、单选。3、问答题。',
  `content` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '题目内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='班级调查问卷题库';

-- ----------------------------
-- Records of train_look_into_bank
-- ----------------------------
INSERT INTO `train_look_into_bank` VALUES ('128138976900915174', '2', '您对老师课程作何评价');
INSERT INTO `train_look_into_bank` VALUES ('128138976941252856', '3', '在前五天的学习中，您的最大收获是什么？有什么建议');
INSERT INTO `train_look_into_bank` VALUES ('128138976941583283', '2', '教学方法是否适合本次培训主题');
INSERT INTO `train_look_into_bank` VALUES ('128141823977515654', '2', '您住的是几人间');
INSERT INTO `train_look_into_bank` VALUES ('128141823978666822', '2', '房间环境如何');
INSERT INTO `train_look_into_bank` VALUES ('128141823987389367', '3', '对住宿环境的合理化建议');
INSERT INTO `train_look_into_bank` VALUES ('128143851488547425', '2', '您对本次培训班提供的食谱是否满意');
INSERT INTO `train_look_into_bank` VALUES ('128143851489658477', '2', '您认为饭菜是否卫生');
INSERT INTO `train_look_into_bank` VALUES ('128143851490439703', '3', '对伙食的合理化建议');
INSERT INTO `train_look_into_bank` VALUES ('1564816654104399872', '2', '3333');
INSERT INTO `train_look_into_bank` VALUES ('1564822917777330176', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1564894670427918336', '3', '钱钱钱钱钱钱钱钱钱钱钱钱钱钱钱钱钱');
INSERT INTO `train_look_into_bank` VALUES ('1564894670469861377', '1', '哇哇哇哇哇哇哇哇哇哇哇哇哇');
INSERT INTO `train_look_into_bank` VALUES ('1564894670474055684', '2', '为谔谔谔谔谔谔谔谔谔谔谔谔谔谔');
INSERT INTO `train_look_into_bank` VALUES ('1564918472092291072', '3', '哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇哇');
INSERT INTO `train_look_into_bank` VALUES ('1564918702196002816', '3', '1');
INSERT INTO `train_look_into_bank` VALUES ('1564918743165964288', '3', '2');
INSERT INTO `train_look_into_bank` VALUES ('1564918921243529216', '3', '1');
INSERT INTO `train_look_into_bank` VALUES ('1564920139147776000', '3', '1');
INSERT INTO `train_look_into_bank` VALUES ('1565234353011822592', '3', '5');
INSERT INTO `train_look_into_bank` VALUES ('1565234443583623168', '3', '8');
INSERT INTO `train_look_into_bank` VALUES ('1565234477775589376', '3', '9');
INSERT INTO `train_look_into_bank` VALUES ('1565234513188098048', '3', '0');
INSERT INTO `train_look_into_bank` VALUES ('1565584689647980544', '3', '0');
INSERT INTO `train_look_into_bank` VALUES ('1565584689681534977', '2', '111111');
INSERT INTO `train_look_into_bank` VALUES ('1565951828041011200', '2', '11111111111111111');
INSERT INTO `train_look_into_bank` VALUES ('1565951828087148549', '1', '22222222222');
INSERT INTO `train_look_into_bank` VALUES ('1565951828087148556', '3', '33333333333');
INSERT INTO `train_look_into_bank` VALUES ('1565952545367658496', '2', '11111111111111111');
INSERT INTO `train_look_into_bank` VALUES ('1565952545405407236', '1', '22222222222');
INSERT INTO `train_look_into_bank` VALUES ('1565952545405407243', '3', '33333333333');
INSERT INTO `train_look_into_bank` VALUES ('1565953101226184704', '2', '11111111111111111');
INSERT INTO `train_look_into_bank` VALUES ('1565953101226184710', '1', '22222222222');
INSERT INTO `train_look_into_bank` VALUES ('1565953101226184717', '3', '33333333333');
INSERT INTO `train_look_into_bank` VALUES ('1565978075395657728', '3', '杀杀杀杀杀杀杀杀杀');
INSERT INTO `train_look_into_bank` VALUES ('1565978075433406465', '1', '是');
INSERT INTO `train_look_into_bank` VALUES ('1565978075433406471', '2', '散打王');
INSERT INTO `train_look_into_bank` VALUES ('1566006761805189120', '2', '打不下');
INSERT INTO `train_look_into_bank` VALUES ('1566006761805189126', '1', '啊实打实的');
INSERT INTO `train_look_into_bank` VALUES ('1566006761805189132', '3', '阿松大私人访问方式');
INSERT INTO `train_look_into_bank` VALUES ('1566006761805189134', '3', '的发生大苏打');
INSERT INTO `train_look_into_bank` VALUES ('1566007925862961152', '2', '打不下');
INSERT INTO `train_look_into_bank` VALUES ('1566007925875544068', '1', '啊实打实的');
INSERT INTO `train_look_into_bank` VALUES ('1566007925875544074', '3', '阿松大私人访问方式');
INSERT INTO `train_look_into_bank` VALUES ('1566007925875544076', '3', '的发生大苏打');
INSERT INTO `train_look_into_bank` VALUES ('1566008095715495936', '2', '打不下');
INSERT INTO `train_look_into_bank` VALUES ('1566008095728078852', '1', '啊实打实的');
INSERT INTO `train_look_into_bank` VALUES ('1566008095728078858', '3', '阿松大私人访问方式');
INSERT INTO `train_look_into_bank` VALUES ('1566008095728078860', '3', '的发生大苏打');
INSERT INTO `train_look_into_bank` VALUES ('1566008279413428224', '2', '打不下');
INSERT INTO `train_look_into_bank` VALUES ('1566008279451176964', '1', '啊实打实的');
INSERT INTO `train_look_into_bank` VALUES ('1566008279451176970', '3', '阿松大私人访问方式');
INSERT INTO `train_look_into_bank` VALUES ('1566008279451176972', '3', '的发生大苏打');
INSERT INTO `train_look_into_bank` VALUES ('1566009837018550272', '2', '11111111111111111');
INSERT INTO `train_look_into_bank` VALUES ('1566009837060493312', '1', '22222222222');
INSERT INTO `train_look_into_bank` VALUES ('1566009837060493319', '3', '33333333333');
INSERT INTO `train_look_into_bank` VALUES ('1570605105466707968', '1', '啊实打实的');
INSERT INTO `train_look_into_bank` VALUES ('1570605105466707974', '3', '阿松大私人访问方式');
INSERT INTO `train_look_into_bank` VALUES ('1570605105466707976', '3', '的发生大苏打');
INSERT INTO `train_look_into_bank` VALUES ('1570605105466707978', '2', '今天时间');
INSERT INTO `train_look_into_bank` VALUES ('1571699448873095168', '2', '打不下');
INSERT INTO `train_look_into_bank` VALUES ('1571699448898260997', '1', '啊实打实的');
INSERT INTO `train_look_into_bank` VALUES ('1571699448898261003', '3', '阿松大私人访问方式');
INSERT INTO `train_look_into_bank` VALUES ('1571699448898261005', '3', '的发生大苏打');
INSERT INTO `train_look_into_bank` VALUES ('1571742184833683456', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1571742184875626502', '1', '222');
INSERT INTO `train_look_into_bank` VALUES ('1571742184875626509', '3', '333');
INSERT INTO `train_look_into_bank` VALUES ('1571742184875626511', '2', '444');
INSERT INTO `train_look_into_bank` VALUES ('1571742184879820804', '1', '555');
INSERT INTO `train_look_into_bank` VALUES ('1571787303213469696', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1571787303251218442', '1', '222');
INSERT INTO `train_look_into_bank` VALUES ('1571787303251218449', '3', '333');
INSERT INTO `train_look_into_bank` VALUES ('1571787303251218451', '2', '444');
INSERT INTO `train_look_into_bank` VALUES ('1571787303251218458', '1', '555');
INSERT INTO `train_look_into_bank` VALUES ('1571787769074814976', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1571787769074814987', '1', '222');
INSERT INTO `train_look_into_bank` VALUES ('1571787769079009284', '3', '333');
INSERT INTO `train_look_into_bank` VALUES ('1571787769079009286', '2', '444');
INSERT INTO `train_look_into_bank` VALUES ('1571787769079009293', '1', '555');
INSERT INTO `train_look_into_bank` VALUES ('1572049433372266496', '1', '1111');
INSERT INTO `train_look_into_bank` VALUES ('1572049433372266502', '2', '123');
INSERT INTO `train_look_into_bank` VALUES ('1572049993605451776', '1', '11');
INSERT INTO `train_look_into_bank` VALUES ('1572049993605451780', '2', '12');
INSERT INTO `train_look_into_bank` VALUES ('1572515807907418112', '3', '1111');
INSERT INTO `train_look_into_bank` VALUES ('1572515807961944065', '2', '222');
INSERT INTO `train_look_into_bank` VALUES ('1572515807961944071', '1', '33');
INSERT INTO `train_look_into_bank` VALUES ('1572516460679532544', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1572516460729864198', '1', '222');
INSERT INTO `train_look_into_bank` VALUES ('1572516460729864205', '3', '333');
INSERT INTO `train_look_into_bank` VALUES ('1572516460729864207', '2', '444');
INSERT INTO `train_look_into_bank` VALUES ('1572516460729864214', '1', '555');
INSERT INTO `train_look_into_bank` VALUES ('1572873749844332544', '2', '以下哪种学习形式，能够很好地支持到您的实际工作？');
INSERT INTO `train_look_into_bank` VALUES ('1572873749873692676', '1', '您觉得以下哪种学习形式，能支持到您的实际工作？');
INSERT INTO `train_look_into_bank` VALUES ('1572873749873692681', '3', '您觉得以下哪种学习形式，能够很好地支持到您的实际工作？测试实测');
INSERT INTO `train_look_into_bank` VALUES ('1573216560087175168', '3', '司机取货中，发现扫描枪故障无法使用，应该如何处理');
INSERT INTO `train_look_into_bank` VALUES ('1573216560095563777', '2', '您对老师课程作何评价');
INSERT INTO `train_look_into_bank` VALUES ('1573216560095563783', '3', '在前五天的学习中，您的最大收获是什么？有什么建议');
INSERT INTO `train_look_into_bank` VALUES ('1573216560095563785', '1', '列表展示评估名称');
INSERT INTO `train_look_into_bank` VALUES ('1575419956428935168', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1575419956449906692', '1', '222');
INSERT INTO `train_look_into_bank` VALUES ('1575425271576793088', '2', '111');
INSERT INTO `train_look_into_bank` VALUES ('1575425271576793093', '1', '222');
INSERT INTO `train_look_into_bank` VALUES ('1578661176907272192', '2', '你还好么');
INSERT INTO `train_look_into_bank` VALUES ('1578663489113821184', '2', '你还好么');
INSERT INTO `train_look_into_bank` VALUES ('1578665501515714560', '2', '你还好么');
INSERT INTO `train_look_into_bank` VALUES ('1578942891672342528', '2', '今天冷不冷');
INSERT INTO `train_look_into_bank` VALUES ('1583389380536569856', '2', '该老师语言是否得体?');
INSERT INTO `train_look_into_bank` VALUES ('1583389380553347075', '1', '该老师语言是否得体?1');
INSERT INTO `train_look_into_bank` VALUES ('1583389380553347078', '3', '本次学习中你最大的收获是什么？');
INSERT INTO `train_look_into_bank` VALUES ('1592025195999268864', '3', '根据现场环境，设计选用功能和适合现场情况');
INSERT INTO `train_look_into_bank` VALUES ('1596405388658479104', '2', '你吃饭了吗');

-- ----------------------------
-- Table structure for train_look_into_link
-- ----------------------------
DROP TABLE IF EXISTS `train_look_into_link`;
CREATE TABLE `train_look_into_link` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id( 班级id/模板id)',
  `bank_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='题库关联表';

-- ----------------------------
-- Records of train_look_into_link
-- ----------------------------
INSERT INTO `train_look_into_link` VALUES ('128138976939793492', '1573216558669500416', '128138976900915174');
INSERT INTO `train_look_into_link` VALUES ('128138976941493219', '1573216558669500416', '128138976941252856');
INSERT INTO `train_look_into_link` VALUES ('128138976941738765', '1573216558669500416', '128138976941583283');
INSERT INTO `train_look_into_link` VALUES ('128141823978044536', '1596405572448686080', '128141823977515654');
INSERT INTO `train_look_into_link` VALUES ('128141823986846957', '1596405572448686080', '128141823978666822');
INSERT INTO `train_look_into_link` VALUES ('128141823988092338', '1596405572448686080', '128141823987389367');
INSERT INTO `train_look_into_link` VALUES ('128143851489030033', '1596405386905260032', '128143851488547425');
INSERT INTO `train_look_into_link` VALUES ('128143851489803147', '1596405386905260032', '128143851489658477');
INSERT INTO `train_look_into_link` VALUES ('128143851490583253', '1596405386905260032', '128143851490439703');
INSERT INTO `train_look_into_link` VALUES ('1564816654129565696', '1564802849098043392', '1564816654104399872');
INSERT INTO `train_look_into_link` VALUES ('1564822917777330177', '1564822818892419072', '1564822917777330176');
INSERT INTO `train_look_into_link` VALUES ('1564918702196002817', '1564918698286911488', '1564918702196002816');
INSERT INTO `train_look_into_link` VALUES ('1564918743165964289', '1564918738896162816', '1564918743165964288');
INSERT INTO `train_look_into_link` VALUES ('1564918921243529217', '1564918917426712576', '1564918921243529216');
INSERT INTO `train_look_into_link` VALUES ('1564920139210690560', '1564920127282089984', '1564920139147776000');
INSERT INTO `train_look_into_link` VALUES ('1565234443583623169', '1565234438969888768', '1565234443583623168');
INSERT INTO `train_look_into_link` VALUES ('1565234477775589377', '1565234474160099328', '1565234477775589376');
INSERT INTO `train_look_into_link` VALUES ('1565278217198243840', '1565278194486087680', '1565234477775589376');
INSERT INTO `train_look_into_link` VALUES ('1565510573632917504', '1565510572924080128', '1565234513188098048');
INSERT INTO `train_look_into_link` VALUES ('1565534897291005952', '1565534896892547072', '1564894670427918336');
INSERT INTO `train_look_into_link` VALUES ('1565534897291005953', '1565534896892547072', '1564894670469861377');
INSERT INTO `train_look_into_link` VALUES ('1565534897291005954', '1565534896892547072', '1564894670474055684');
INSERT INTO `train_look_into_link` VALUES ('1565538414542065664', '1565538406111514624', '1564918472092291072');
INSERT INTO `train_look_into_link` VALUES ('1565538801802153984', '1565538793862336512', '1565234353011822592');
INSERT INTO `train_look_into_link` VALUES ('1565540368852848640', '1565540360778813440', '1565234513188098048');
INSERT INTO `train_look_into_link` VALUES ('1565584689681534976', '1565548421048307712', '1565584689647980544');
INSERT INTO `train_look_into_link` VALUES ('1565584689681534978', '1565548421048307712', '1565584689681534977');
INSERT INTO `train_look_into_link` VALUES ('1565951828087148544', '1565951819904061440', '1565951828041011200');
INSERT INTO `train_look_into_link` VALUES ('1565951828087148550', '1565951819904061440', '1565951828087148549');
INSERT INTO `train_look_into_link` VALUES ('1565951828087148557', '1565951819904061440', '1565951828087148556');
INSERT INTO `train_look_into_link` VALUES ('1565952545401212928', '1565952540053475328', '1565952545367658496');
INSERT INTO `train_look_into_link` VALUES ('1565952545405407237', '1565952540053475328', '1565952545405407236');
INSERT INTO `train_look_into_link` VALUES ('1565952545405407244', '1565952540053475328', '1565952545405407243');
INSERT INTO `train_look_into_link` VALUES ('1565953101226184705', '1565953096536952832', '1565953101226184704');
INSERT INTO `train_look_into_link` VALUES ('1565953101226184711', '1565953096536952832', '1565953101226184710');
INSERT INTO `train_look_into_link` VALUES ('1565953101226184718', '1565953096536952832', '1565953101226184717');
INSERT INTO `train_look_into_link` VALUES ('1565953151578804224', '1565953147535495168', '1565234513188098048');
INSERT INTO `train_look_into_link` VALUES ('1566007925867155456', '1566007451214548992', '1566007925862961152');
INSERT INTO `train_look_into_link` VALUES ('1566007925875544069', '1566007451214548992', '1566007925875544068');
INSERT INTO `train_look_into_link` VALUES ('1566007925875544075', '1566007451214548992', '1566007925875544074');
INSERT INTO `train_look_into_link` VALUES ('1566007925875544077', '1566007451214548992', '1566007925875544076');
INSERT INTO `train_look_into_link` VALUES ('1566008095719690240', '1566008092460716032', '1566008095715495936');
INSERT INTO `train_look_into_link` VALUES ('1566008095728078853', '1566008092460716032', '1566008095728078852');
INSERT INTO `train_look_into_link` VALUES ('1566008095728078859', '1566008092460716032', '1566008095728078858');
INSERT INTO `train_look_into_link` VALUES ('1566008095728078861', '1566008092460716032', '1566008095728078860');
INSERT INTO `train_look_into_link` VALUES ('1566008279434399744', '1566008276016041984', '1566008279413428224');
INSERT INTO `train_look_into_link` VALUES ('1566008279451176965', '1566008276016041984', '1566008279451176964');
INSERT INTO `train_look_into_link` VALUES ('1566008279451176971', '1566008276016041984', '1566008279451176970');
INSERT INTO `train_look_into_link` VALUES ('1566008279451176973', '1566008276016041984', '1566008279451176972');
INSERT INTO `train_look_into_link` VALUES ('1566009837056299008', '1566009833302396928', '1566009837018550272');
INSERT INTO `train_look_into_link` VALUES ('1566009837060493313', '1566009833302396928', '1566009837060493312');
INSERT INTO `train_look_into_link` VALUES ('1566009837060493320', '1566009833302396928', '1566009837060493319');
INSERT INTO `train_look_into_link` VALUES ('1569515989090045952', '1569515984308539392', '1566007925862961152');
INSERT INTO `train_look_into_link` VALUES ('1569515989090045953', '1569515984308539392', '1566007925875544068');
INSERT INTO `train_look_into_link` VALUES ('1569515989090045954', '1569515984308539392', '1566007925875544074');
INSERT INTO `train_look_into_link` VALUES ('1569515989090045955', '1569515984308539392', '1566007925875544076');
INSERT INTO `train_look_into_link` VALUES ('1570605105466707969', '1570601070508511232', '1570605105466707968');
INSERT INTO `train_look_into_link` VALUES ('1570605105466707975', '1570601070508511232', '1570605105466707974');
INSERT INTO `train_look_into_link` VALUES ('1570605105466707977', '1570601070508511232', '1570605105466707976');
INSERT INTO `train_look_into_link` VALUES ('1570605105466707979', '1570601070508511232', '1570605105466707978');
INSERT INTO `train_look_into_link` VALUES ('1570605576906477568', '1570605576096976896', '1566008095715495936');
INSERT INTO `train_look_into_link` VALUES ('1570605576906477569', '1570605576096976896', '1566008095728078852');
INSERT INTO `train_look_into_link` VALUES ('1570605576906477570', '1570605576096976896', '1566008095728078858');
INSERT INTO `train_look_into_link` VALUES ('1570605576906477571', '1570605576096976896', '1566008095728078860');
INSERT INTO `train_look_into_link` VALUES ('1570615810492338176', '1570615803097780224', '1566008095715495936');
INSERT INTO `train_look_into_link` VALUES ('1570615810492338177', '1570615803097780224', '1566008095728078852');
INSERT INTO `train_look_into_link` VALUES ('1570615810492338178', '1570615803097780224', '1566008095728078858');
INSERT INTO `train_look_into_link` VALUES ('1570615810492338179', '1570615803097780224', '1566008095728078860');
INSERT INTO `train_look_into_link` VALUES ('1570616576338694144', '1570616572278607872', '1566006761805189120');
INSERT INTO `train_look_into_link` VALUES ('1570616576338694145', '1570616572278607872', '1566006761805189126');
INSERT INTO `train_look_into_link` VALUES ('1570616576338694146', '1570616572278607872', '1566006761805189132');
INSERT INTO `train_look_into_link` VALUES ('1570616576338694147', '1570616572278607872', '1566006761805189134');
INSERT INTO `train_look_into_link` VALUES ('1571699448898260992', '1571696465787621376', '1571699448873095168');
INSERT INTO `train_look_into_link` VALUES ('1571699448898260998', '1571696465787621376', '1571699448898260997');
INSERT INTO `train_look_into_link` VALUES ('1571699448898261004', '1571696465787621376', '1571699448898261003');
INSERT INTO `train_look_into_link` VALUES ('1571699448898261006', '1571696465787621376', '1571699448898261005');
INSERT INTO `train_look_into_link` VALUES ('1571742184875626496', '1571742175484579840', '1571742184833683456');
INSERT INTO `train_look_into_link` VALUES ('1571742184875626503', '1571742175484579840', '1571742184875626502');
INSERT INTO `train_look_into_link` VALUES ('1571742184875626510', '1571742175484579840', '1571742184875626509');
INSERT INTO `train_look_into_link` VALUES ('1571742184875626512', '1571742175484579840', '1571742184875626511');
INSERT INTO `train_look_into_link` VALUES ('1571742184879820805', '1571742175484579840', '1571742184879820804');
INSERT INTO `train_look_into_link` VALUES ('1571751114511093760', '1571751105258459136', '1566008279413428224');
INSERT INTO `train_look_into_link` VALUES ('1571751114511093761', '1571751105258459136', '1566008279451176964');
INSERT INTO `train_look_into_link` VALUES ('1571751114511093762', '1571751105258459136', '1566008279451176970');
INSERT INTO `train_look_into_link` VALUES ('1571751114511093763', '1571751105258459136', '1566008279451176972');
INSERT INTO `train_look_into_link` VALUES ('1571758405654286336', '1571758404173697024', '1566008095715495936');
INSERT INTO `train_look_into_link` VALUES ('1571758405654286337', '1571758404173697024', '1566008095728078852');
INSERT INTO `train_look_into_link` VALUES ('1571758405654286338', '1571758404173697024', '1566008095728078858');
INSERT INTO `train_look_into_link` VALUES ('1571758405654286339', '1571758404173697024', '1566008095728078860');
INSERT INTO `train_look_into_link` VALUES ('1571787303251218432', '1571787296154456064', '1571787303213469696');
INSERT INTO `train_look_into_link` VALUES ('1571787303251218443', '1571787296154456064', '1571787303251218442');
INSERT INTO `train_look_into_link` VALUES ('1571787303251218450', '1571787296154456064', '1571787303251218449');
INSERT INTO `train_look_into_link` VALUES ('1571787303251218452', '1571787296154456064', '1571787303251218451');
INSERT INTO `train_look_into_link` VALUES ('1571787303251218459', '1571787296154456064', '1571787303251218458');
INSERT INTO `train_look_into_link` VALUES ('1571787769074814977', '1571787764427526144', '1571787769074814976');
INSERT INTO `train_look_into_link` VALUES ('1571787769074814988', '1571787764427526144', '1571787769074814987');
INSERT INTO `train_look_into_link` VALUES ('1571787769079009285', '1571787764427526144', '1571787769079009284');
INSERT INTO `train_look_into_link` VALUES ('1571787769079009287', '1571787764427526144', '1571787769079009286');
INSERT INTO `train_look_into_link` VALUES ('1571787769079009294', '1571787764427526144', '1571787769079009293');
INSERT INTO `train_look_into_link` VALUES ('1572049433372266497', '1572048988054622208', '1572049433372266496');
INSERT INTO `train_look_into_link` VALUES ('1572049433372266503', '1572048988054622208', '1572049433372266502');
INSERT INTO `train_look_into_link` VALUES ('1572049993605451777', '1572049990124179456', '1572049993605451776');
INSERT INTO `train_look_into_link` VALUES ('1572049993605451781', '1572049990124179456', '1572049993605451780');
INSERT INTO `train_look_into_link` VALUES ('1572126737301639168', '1572126731702243328', '1565978075395657728');
INSERT INTO `train_look_into_link` VALUES ('1572126737301639169', '1572126731702243328', '1565978075433406465');
INSERT INTO `train_look_into_link` VALUES ('1572126737301639170', '1572126731702243328', '1565978075433406471');
INSERT INTO `train_look_into_link` VALUES ('1572515807961944064', '1572515797560070144', '1572515807907418112');
INSERT INTO `train_look_into_link` VALUES ('1572515807961944066', '1572515797560070144', '1572515807961944065');
INSERT INTO `train_look_into_link` VALUES ('1572515807961944072', '1572515797560070144', '1572515807961944071');
INSERT INTO `train_look_into_link` VALUES ('1572516460729864192', '1572516456334233600', '1572516460679532544');
INSERT INTO `train_look_into_link` VALUES ('1572516460729864199', '1572516456334233600', '1572516460729864198');
INSERT INTO `train_look_into_link` VALUES ('1572516460729864206', '1572516456334233600', '1572516460729864205');
INSERT INTO `train_look_into_link` VALUES ('1572516460729864208', '1572516456334233600', '1572516460729864207');
INSERT INTO `train_look_into_link` VALUES ('1572516460734058496', '1572516456334233600', '1572516460729864214');
INSERT INTO `train_look_into_link` VALUES ('1572867889193684992', '1572867888287715328', '1572515807907418112');
INSERT INTO `train_look_into_link` VALUES ('1572867889193684993', '1572867888287715328', '1572515807961944065');
INSERT INTO `train_look_into_link` VALUES ('1572867889193684994', '1572867888287715328', '1572515807961944071');
INSERT INTO `train_look_into_link` VALUES ('1572867992889462784', '1572867991966715904', '1572049993605451776');
INSERT INTO `train_look_into_link` VALUES ('1572867992889462785', '1572867991966715904', '1572049993605451780');
INSERT INTO `train_look_into_link` VALUES ('1572873749873692672', '1572873747701043200', '1572873749844332544');
INSERT INTO `train_look_into_link` VALUES ('1572873749873692677', '1572873747701043200', '1572873749873692676');
INSERT INTO `train_look_into_link` VALUES ('1572873749873692682', '1572873747701043200', '1572873749873692681');
INSERT INTO `train_look_into_link` VALUES ('1573211932884865024', '1573211930959679488', '1565978075395657728');
INSERT INTO `train_look_into_link` VALUES ('1573211932884865025', '1573211930959679488', '1565978075433406465');
INSERT INTO `train_look_into_link` VALUES ('1573211932884865026', '1573211930959679488', '1565978075433406471');
INSERT INTO `train_look_into_link` VALUES ('1573214787066793984', '1573214785879805952', '1572049993605451776');
INSERT INTO `train_look_into_link` VALUES ('1573214787066793985', '1573214785879805952', '1572049993605451780');
INSERT INTO `train_look_into_link` VALUES ('1573216872793509888', '1573216871975620608', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1573216872793509889', '1573216871975620608', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1573216872793509890', '1573216871975620608', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1573216872793509891', '1573216871975620608', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1574684776051380224', '1574684774994415616', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1574684776051380225', '1574684774994415616', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1574684776051380226', '1574684774994415616', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1574684776051380227', '1574684774994415616', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1575360870576427008', '1575360869183918080', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1575360870576427009', '1575360869183918080', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1575360870576427010', '1575360869183918080', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1575360870576427011', '1575360869183918080', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1575363010413858816', '1575363009595969536', '1572515807907418112');
INSERT INTO `train_look_into_link` VALUES ('1575363010413858817', '1575363009595969536', '1572515807961944065');
INSERT INTO `train_look_into_link` VALUES ('1575363010413858818', '1575363009595969536', '1572515807961944071');
INSERT INTO `train_look_into_link` VALUES ('1575401728570953728', '1575401727795007488', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1575401728570953729', '1575401727795007488', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1575401728570953730', '1575401727795007488', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1575401728570953731', '1575401727795007488', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1575417466618777600', '1575417465939300352', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1575417466618777601', '1575417465939300352', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1575417466618777602', '1575417465939300352', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1575417466618777603', '1575417465939300352', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1575419956449906688', '1575419954923180032', '1575419956428935168');
INSERT INTO `train_look_into_link` VALUES ('1575419956449906693', '1575419954923180032', '1575419956449906692');
INSERT INTO `train_look_into_link` VALUES ('1575425271576793089', '1575425269781630976', '1575425271576793088');
INSERT INTO `train_look_into_link` VALUES ('1575425271576793094', '1575425269781630976', '1575425271576793093');
INSERT INTO `train_look_into_link` VALUES ('1578617386536407040', '1578617376688181248', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1578617386536407041', '1578617376688181248', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1578617386536407042', '1578617376688181248', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1578617386536407043', '1578617376688181248', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1578617671166070784', '1578617665252102144', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1578617671166070785', '1578617665252102144', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1578617671166070786', '1578617665252102144', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1578617671166070787', '1578617665252102144', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1578661176965992448', '1578661154371276800', '1578661176907272192');
INSERT INTO `train_look_into_link` VALUES ('1578663489113821185', '1578663477193609216', '1578663489113821184');
INSERT INTO `train_look_into_link` VALUES ('1578665501515714561', '1578665496637739008', '1578665501515714560');
INSERT INTO `train_look_into_link` VALUES ('1578942842548654080', '1578942821208035328', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1578942842548654081', '1578942821208035328', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1578942842548654082', '1578942821208035328', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1578942842548654083', '1578942821208035328', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1578942891672342529', '1578942874777686016', '1578942891672342528');
INSERT INTO `train_look_into_link` VALUES ('1579004531927289856', '1579004529792389120', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1579004531927289857', '1579004529792389120', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1579004531927289858', '1579004529792389120', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1579004531927289859', '1579004529792389120', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1579013782418624512', '1579013781474906112', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1579013782418624513', '1579013781474906112', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1579013782418624514', '1579013781474906112', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1579013782418624515', '1579013781474906112', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1579377914749784064', '1579377907820793856', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1579377914749784065', '1579377907820793856', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1579377914749784066', '1579377907820793856', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1579377914749784067', '1579377907820793856', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1579382797330681856', '1579382787402764288', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1579382797330681857', '1579382787402764288', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1579382797330681858', '1579382787402764288', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1579382797330681859', '1579382787402764288', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1579384117324288000', '1579384111838138368', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1579384117324288001', '1579384111838138368', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1579384117324288002', '1579384111838138368', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1579384117324288003', '1579384111838138368', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1580115554256162816', '1580115553345998848', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1580115554256162817', '1580115553345998848', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1580115554256162818', '1580115553345998848', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1580115554256162819', '1580115553345998848', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1580115651949891584', '1580115651245248512', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1580115651949891585', '1580115651245248512', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1580115651949891586', '1580115651245248512', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1580115651949891587', '1580115651245248512', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1580455535717781504', '1580455531145990144', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1580455535717781505', '1580455531145990144', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1580455535717781506', '1580455531145990144', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1580455535717781507', '1580455531145990144', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1580798366739206144', '1580798365732573184', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1580798366739206145', '1580798365732573184', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1580798366739206146', '1580798365732573184', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1580798366739206147', '1580798365732573184', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1582567520357978112', '1582567513445765120', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1582567520357978113', '1582567513445765120', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1582567520357978114', '1582567513445765120', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1582567520357978115', '1582567513445765120', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1582568276540657664', '1582568271545241600', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1582568276540657665', '1582568271545241600', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1582568276540657666', '1582568271545241600', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1582568276540657667', '1582568271545241600', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1582568701494956032', '1582568696583426048', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1582568701494956033', '1582568696583426048', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1582568701494956034', '1582568696583426048', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1582568701494956035', '1582568696583426048', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1582569536316641280', '1582569530348146688', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1582569536316641281', '1582569530348146688', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1582569536316641282', '1582569530348146688', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1582569536316641283', '1582569530348146688', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1582644377535254528', '1582644376763502592', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1582644377535254529', '1582644376763502592', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1582644377535254530', '1582644376763502592', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1582644377535254531', '1582644376763502592', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1582944646798118912', '1582944642889027584', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1582944646798118913', '1582944642889027584', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1582944646798118914', '1582944642889027584', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1582944646798118915', '1582944642889027584', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1583363471150551040', '1583363470408159232', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1583363471150551041', '1583363470408159232', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1583363471150551042', '1583363470408159232', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1583363471150551043', '1583363470408159232', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1583389380553347072', '1583389379106312192', '1583389380536569856');
INSERT INTO `train_look_into_link` VALUES ('1583389380553347076', '1583389379106312192', '1583389380553347075');
INSERT INTO `train_look_into_link` VALUES ('1583389380553347079', '1583389379106312192', '1583389380553347078');
INSERT INTO `train_look_into_link` VALUES ('1583751591566118912', '1583751585136250880', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1583751591566118913', '1583751585136250880', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1583751591566118914', '1583751585136250880', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1583751591566118915', '1583751585136250880', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1584420168736575488', '1584420167784468480', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1584420168736575489', '1584420167784468480', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1584420168736575490', '1584420167784468480', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1584420168736575491', '1584420167784468480', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1584487473587818496', '1584487472455356416', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1584487473587818497', '1584487472455356416', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1584487473587818498', '1584487472455356416', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1584487473587818499', '1584487472455356416', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1592025196020240384', '1592025195114270720', '1592025195999268864');
INSERT INTO `train_look_into_link` VALUES ('1592448134200561664', '1592448132090826752', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1592448134200561665', '1592448132090826752', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1592448134200561666', '1592448132090826752', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1592448134200561667', '1592448132090826752', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1592449774873874432', '1592449773993070592', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1592449774873874433', '1592449773993070592', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1592449774873874434', '1592449773993070592', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1592449774873874435', '1592449773993070592', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1593202479632355328', '1593202474683076608', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1593202479632355329', '1593202474683076608', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1593202479632355330', '1593202474683076608', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1593202479632355331', '1593202474683076608', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1593202774273822720', '1593202769576202240', '1573216560087175168');
INSERT INTO `train_look_into_link` VALUES ('1593202774273822721', '1593202769576202240', '1573216560095563777');
INSERT INTO `train_look_into_link` VALUES ('1593202774273822722', '1593202769576202240', '1573216560095563783');
INSERT INTO `train_look_into_link` VALUES ('1593202774273822723', '1593202769576202240', '1573216560095563785');
INSERT INTO `train_look_into_link` VALUES ('1596471047023104000', '1596471042757496832', '1596405388658479104');

-- ----------------------------
-- Table structure for train_look_into_mould
-- ----------------------------
DROP TABLE IF EXISTS `train_look_into_mould`;
CREATE TABLE `train_look_into_mould` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `name` varchar(50) DEFAULT NULL COMMENT '模板名称',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `describes` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '描述',
  `qr_code` json DEFAULT NULL COMMENT '二维码地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='班级调查问卷模板';

-- ----------------------------
-- Records of train_look_into_mould
-- ----------------------------
INSERT INTO `train_look_into_mould` VALUES ('1573216558669500416', '培训效果调查问卷', '1', '主宰', '001025', '2022-09-23 15:43:52', '培训效果调查问卷', '[{\"name\": \"61b31daa8e5a41d3965befe2b122d9c9.png\", \"path\": \"/train/2023/9/22/61b31daa8e5a41d3965befe2b122d9c9.png\"}]');
INSERT INTO `train_look_into_mould` VALUES ('1596405386905260032', '餐厅伙食调查问卷', '1590648570632081408', '张芳芳', '001025', '2022-11-26 15:27:59', '餐厅伙食调查问卷', '[{\"name\": \"9d581370b9c64f5ab48912c6bd8db171.png\", \"path\": \"/train/2023/9/22/9d581370b9c64f5ab48912c6bd8db171.png\"}]');
INSERT INTO `train_look_into_mould` VALUES ('1596405572448686080', '住宿环境调查问卷', '1590648570632081408', '张芳芳', '001025', '2022-11-26 15:28:43', '住宿环境调查问卷', '[{\"name\": \"7f8e622432774f20b56fb0ba59d641e8.png\", \"path\": \"/train/2023/9/22/7f8e622432774f20b56fb0ba59d641e8.png\"}]');

-- ----------------------------
-- Table structure for train_look_into_option
-- ----------------------------
DROP TABLE IF EXISTS `train_look_into_option`;
CREATE TABLE `train_look_into_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `bank_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  `content` varchar(2000) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '内容',
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  `is_other` smallint(1) DEFAULT NULL COMMENT '是否其他选项：1、是。 0、不是。',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='班级调查问卷选项';

-- ----------------------------
-- Records of train_look_into_option
-- ----------------------------
INSERT INTO `train_look_into_option` VALUES ('128138976940554166', '128138976900915174', '优秀', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('128138976940958856', '128138976900915174', '良好', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('128138976941055838', '128138976900915174', '及格', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('128138976941148159', '128138976900915174', '一般', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('128138976941863438', '128138976941583283', '适合', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('128138976941959382', '128138976941583283', '不适合', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('128138976942048479', '128138976941583283', '较适合', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823978225398', '128141823977515654', '单人间', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823978386467', '128141823977515654', '双人间', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823978479547', '128141823977515654', '三人间', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823978572394', '128141823977515654', '四人间', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823987075158', '128141823978666822', '一般', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823987199079', '128141823978666822', '很好', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('128141823987287593', '128141823978666822', '差', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851489213299', '128143851488547425', '非常满意', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851489379466', '128143851488547425', '满意', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851489471339', '128143851488547425', '一般', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851489561572', '128143851488547425', '不满意', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851489923229', '128143851489658477', '非常卫生', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851490155071', '128143851489658477', '卫生', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('128143851490248834', '128143851489658477', '一般', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('128143851490343607', '128143851489658477', '不卫生', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1564816654129565697', '1564816654104399872', '3333', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1564816654129565698', '1564816654104399872', '333', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1564816654129565699', '1564816654104399872', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1564816654129565700', '1564816654104399872', '3', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1564822917777330178', '1564822917777330176', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1564822917777330179', '1564822917777330176', '11', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1564822917777330180', '1564822917777330176', '11', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1564822917777330181', '1564822917777330176', '1', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1564822917777330182', '1564822917777330176', '11', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055680', '1564894670469861377', '哇哇哇哇哇哇哇', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055681', '1564894670469861377', '哇哇哇哇哇哇哇哇', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055682', '1564894670469861377', '嗡嗡嗡嗡嗡嗡嗡嗡嗡', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055683', '1564894670469861377', '哇哇哇哇哇哇哇哇哇哇哇哇', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055686', '1564894670474055684', '呃呃呃呃呃呃呃呃呃呃', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055687', '1564894670474055684', '呃呃呃呃呃呃呃呃', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055688', '1564894670474055684', '呃呃呃呃呃', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1564894670474055689', '1564894670474055684', '呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565584689681534979', '1565584689681534977', '11', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565584689681534980', '1565584689681534977', '111', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565584689681534981', '1565584689681534977', '111', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1565584689681534982', '1565584689681534977', '111', '4', '1');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148545', '1565951828041011200', 'aaaaaa', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148546', '1565951828041011200', 'bbbbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148547', '1565951828041011200', 'ccccc', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148548', '1565951828041011200', 'dddd', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148551', '1565951828087148549', 'AAAAAA', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148552', '1565951828087148549', 'BBBBBB', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148553', '1565951828087148549', 'CCCCC', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148554', '1565951828087148549', 'DDDDD', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565951828087148555', '1565951828087148549', 'EEEEEE', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407232', '1565952545367658496', 'aaaaaa', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407233', '1565952545367658496', 'bbbbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407234', '1565952545367658496', 'ccccc', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407235', '1565952545367658496', 'dddd', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407238', '1565952545405407236', 'AAAAAA', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407239', '1565952545405407236', 'BBBBBB', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407240', '1565952545405407236', 'CCCCC', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407241', '1565952545405407236', 'DDDDD', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565952545405407242', '1565952545405407236', 'EEEEEE', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184706', '1565953101226184704', 'aaaaaa', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184707', '1565953101226184704', 'bbbbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184708', '1565953101226184704', 'ccccc', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184709', '1565953101226184704', 'dddd', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184712', '1565953101226184710', 'AAAAAA', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184713', '1565953101226184710', 'BBBBBB', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184714', '1565953101226184710', 'CCCCC', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184715', '1565953101226184710', 'DDDDD', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565953101226184716', '1565953101226184710', 'EEEEEE', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406467', '1565978075433406465', '水水水水水', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406468', '1565978075433406465', '杀杀杀', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406469', '1565978075433406465', '杀杀杀', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406470', '1565978075433406465', '水水大大撒旦', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406473', '1565978075433406471', '撒大大', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406474', '1565978075433406471', 'a实打实', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406475', '1565978075433406471', '啊实打实', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1565978075433406476', '1565978075433406471', 'a撒大苏打伟大', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189122', '1566006761805189120', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189123', '1566006761805189120', '222', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189124', '1566006761805189120', '22223', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189125', '1566006761805189120', 'qweqwe', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189128', '1566006761805189126', 'nnnn', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189129', '1566006761805189126', 'bbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189130', '1566006761805189126', 'vcvvv', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566006761805189131', '1566006761805189126', 'asdas', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544064', '1566007925862961152', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544065', '1566007925862961152', '222', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544066', '1566007925862961152', '22223', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544067', '1566007925862961152', 'qweqwe', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544070', '1566007925875544068', 'nnnn', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544071', '1566007925875544068', 'bbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544072', '1566007925875544068', 'vcvvv', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566007925875544073', '1566007925875544068', 'asdas', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078848', '1566008095715495936', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078849', '1566008095715495936', '222', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078850', '1566008095715495936', '22223', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078851', '1566008095715495936', 'qweqwe', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078854', '1566008095728078852', 'nnnn', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078855', '1566008095728078852', 'bbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078856', '1566008095728078852', 'vcvvv', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008095728078857', '1566008095728078852', 'asdas', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176960', '1566008279413428224', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176961', '1566008279413428224', '222', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176962', '1566008279413428224', '22223', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176963', '1566008279413428224', 'qweqwe', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176966', '1566008279451176964', 'nnnn', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176967', '1566008279451176964', 'bbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176968', '1566008279451176964', 'vcvvv', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1566008279451176969', '1566008279451176964', 'asdas', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837056299009', '1566009837018550272', 'aaaaaa', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837056299010', '1566009837018550272', 'bbbbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837056299011', '1566009837018550272', 'ccccc', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1566009837056299012', '1566009837018550272', 'dddd', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837060493314', '1566009837060493312', 'AAAAAA', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837060493315', '1566009837060493312', 'BBBBBB', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837060493316', '1566009837060493312', 'CCCCC', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1566009837060493317', '1566009837060493312', 'DDDDD', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1566009837060493318', '1566009837060493312', 'EEEEEE', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707970', '1570605105466707968', 'nnnn', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707971', '1570605105466707968', 'bbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707972', '1570605105466707968', 'vcvvv', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707973', '1570605105466707968', 'asdas', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707980', '1570605105466707978', '1', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707981', '1570605105466707978', '2', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1570605105466707982', '1570605105466707978', '3', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571699448898260993', '1571699448873095168', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571699448898260994', '1571699448873095168', '222', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1571699448898260995', '1571699448873095168', '22223', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571699448898260996', '1571699448873095168', 'qweqwe', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571699448898260999', '1571699448898260997', 'nnnn', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1571699448898261000', '1571699448898260997', 'bbbb', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571699448898261001', '1571699448898260997', 'vcvvv', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571699448898261002', '1571699448898260997', 'asdas', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626497', '1571742184833683456', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626498', '1571742184833683456', '222', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626499', '1571742184833683456', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626500', '1571742184833683456', '444', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626501', '1571742184833683456', '555', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626504', '1571742184875626502', '钱钱钱嗡嗡嗡呃呃呃日日日日涛涛涛涛', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626505', '1571742184875626502', '阿达', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626506', '1571742184875626502', '啊圣诞袜', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626507', '1571742184875626502', '哈哈哈', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626508', '1571742184875626502', '22仨', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184875626513', '1571742184875626511', '在这种打', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820800', '1571742184875626511', '所属', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820801', '1571742184875626511', '阿松大副主席vesa', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820802', '1571742184875626511', '杀杀杀', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820803', '1571742184875626511', '哇哇哇哇', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820806', '1571742184879820804', '啊圣诞', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820807', '1571742184879820804', '啊实打实', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820808', '1571742184879820804', '啊实打实的', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820809', '1571742184879820804', '阿松大', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571742184879820810', '1571742184879820804', '嗡嗡嗡', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218433', '1571787303213469696', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218434', '1571787303213469696', '222', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218435', '1571787303213469696', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218436', '1571787303213469696', '444', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218437', '1571787303213469696', '555', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218438', '1571787303213469696', '666', '6', '1');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218439', '1571787303213469696', '777', '7', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218440', '1571787303213469696', '888', '8', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218441', '1571787303213469696', '其他', '9', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218444', '1571787303251218442', '钱钱钱嗡嗡嗡呃呃呃日日日日涛涛涛涛', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218445', '1571787303251218442', '阿达', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218446', '1571787303251218442', '啊圣诞袜', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218447', '1571787303251218442', '哈哈哈', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218448', '1571787303251218442', '22仨', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218453', '1571787303251218451', '在这种打', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218454', '1571787303251218451', '所属', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218455', '1571787303251218451', '阿松大副主席vesa', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218456', '1571787303251218451', '杀杀杀', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218457', '1571787303251218451', '哇哇哇哇', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218460', '1571787303251218458', '啊圣诞', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218461', '1571787303251218458', '啊实打实', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218462', '1571787303251218458', '啊实打实的', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218463', '1571787303251218458', '阿松大', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787303251218464', '1571787303251218458', '嗡嗡嗡', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814978', '1571787769074814976', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814979', '1571787769074814976', '222', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814980', '1571787769074814976', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814981', '1571787769074814976', '444', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814982', '1571787769074814976', '555', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814983', '1571787769074814976', '666', '6', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814984', '1571787769074814976', '777', '7', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814985', '1571787769074814976', '888', '8', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814986', '1571787769074814976', '其他', '9', '1');
INSERT INTO `train_look_into_option` VALUES ('1571787769074814989', '1571787769074814987', '钱钱钱嗡嗡嗡呃呃呃日日日日涛涛涛涛', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009280', '1571787769074814987', '阿达', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009281', '1571787769074814987', '啊圣诞袜', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009282', '1571787769074814987', '哈哈哈', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009283', '1571787769074814987', '22仨', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009288', '1571787769079009286', '在这种打', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009289', '1571787769079009286', '所属', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009290', '1571787769079009286', '阿松大副主席vesa', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009291', '1571787769079009286', '杀杀杀', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009292', '1571787769079009286', '哇哇哇哇', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009295', '1571787769079009293', '啊圣诞', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009296', '1571787769079009293', '啊实打实', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009297', '1571787769079009293', '啊实打实的', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009298', '1571787769079009293', '阿松大', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1571787769079009299', '1571787769079009293', '嗡嗡嗡', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266498', '1572049433372266496', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266499', '1572049433372266496', '11', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266500', '1572049433372266496', '1', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266501', '1572049433372266496', '1111', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266504', '1572049433372266502', '1111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266505', '1572049433372266502', '444', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266506', '1572049433372266502', '44', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266507', '1572049433372266502', '44', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049433372266508', '1572049433372266502', '其他', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1572049993605451778', '1572049993605451776', '1', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049993605451779', '1572049993605451776', '11', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049993605451782', '1572049993605451780', '11', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572049993605451783', '1572049993605451780', '其他', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944067', '1572515807961944065', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944068', '1572515807961944065', '22', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944069', '1572515807961944065', '33', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944070', '1572515807961944065', '44', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944073', '1572515807961944071', '55', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944074', '1572515807961944071', '66', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572515807961944075', '1572515807961944071', '77', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864193', '1572516460679532544', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864194', '1572516460679532544', '222', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864195', '1572516460679532544', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864196', '1572516460679532544', '444', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864197', '1572516460679532544', '555', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864200', '1572516460729864198', '钱钱钱嗡嗡嗡呃呃呃日日日日涛涛涛涛', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864201', '1572516460729864198', '阿达', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864202', '1572516460729864198', '啊圣诞袜', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864203', '1572516460729864198', '哈哈哈', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864204', '1572516460729864198', '22仨', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864209', '1572516460729864207', '在这种打', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864210', '1572516460729864207', '所属', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864211', '1572516460729864207', '阿松大副主席vesa', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864212', '1572516460729864207', '杀杀杀', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460729864213', '1572516460729864207', '哇哇哇哇', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1572516460734058497', '1572516460729864214', '啊圣诞', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460734058498', '1572516460729864214', '啊实打实', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460734058499', '1572516460729864214', '啊实打实的', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460734058500', '1572516460729864214', '阿松大', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1572516460734058501', '1572516460729864214', '嗡嗡嗡', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1572873749873692673', '1572873749844332544', '在线学习', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1572873749873692674', '1572873749844332544', '集中培训', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572873749873692675', '1572873749844332544', '提供资料', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1572873749873692678', '1572873749873692676', '在线学习', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1572873749873692679', '1572873749873692676', '集中培训', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1572873749873692680', '1572873749873692676', '提供资料', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563779', '1573216560095563777', '优秀', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563780', '1573216560095563777', '良好', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563781', '1573216560095563777', '及格', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563782', '1573216560095563777', '一般', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563787', '1573216560095563785', '开始时间', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563788', '1573216560095563785', '结束时间', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563789', '1573216560095563785', '是否关联有讲师', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563790', '1573216560095563785', '以及评估的状态', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1573216560095563791', '1573216560095563785', '原系统内评价只能进行一次', '5', '0');
INSERT INTO `train_look_into_option` VALUES ('1575419956449906689', '1575419956428935168', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1575419956449906690', '1575419956428935168', '22', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1575419956449906691', '1575419956428935168', '3', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1575419956449906694', '1575419956449906692', '111', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1575419956449906695', '1575419956449906692', '222', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1575419956449906696', '1575419956449906692', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1575425271576793090', '1575425271576793088', '111', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1575425271576793091', '1575425271576793088', '22', '2', '1');
INSERT INTO `train_look_into_option` VALUES ('1575425271576793092', '1575425271576793088', '3', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1575425271576793095', '1575425271576793093', '111', '1', '1');
INSERT INTO `train_look_into_option` VALUES ('1575425271576793096', '1575425271576793093', '222', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1575425271576793097', '1575425271576793093', '333', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1578661176970186752', '1578661176907272192', '好', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1578661176970186753', '1578661176907272192', '不好', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1578661176970186754', '1578661176907272192', '一般般', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1578661176970186755', '1578661176907272192', '凑合', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1578663489113821186', '1578663489113821184', '好', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1578663489113821187', '1578663489113821184', '不好', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1578663489113821188', '1578663489113821184', '一般般', '3', '1');
INSERT INTO `train_look_into_option` VALUES ('1578663489113821189', '1578663489113821184', '凑合', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1578665501515714562', '1578665501515714560', '好', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1578665501515714563', '1578665501515714560', '不好', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1578665501515714564', '1578665501515714560', '一般般', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1578665501515714565', '1578665501515714560', '凑合', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1578665501515714566', '1578665501515714560', '其他', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1578942891672342530', '1578942891672342528', '冷', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1578942891672342531', '1578942891672342528', '不冷', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1578942891672342532', '1578942891672342528', '一般般', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1578942891672342533', '1578942891672342528', '冷的很', '4', '0');
INSERT INTO `train_look_into_option` VALUES ('1578942891672342534', '1578942891672342528', '其他', '5', '1');
INSERT INTO `train_look_into_option` VALUES ('1583389380553347073', '1583389380536569856', '生动有趣?', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1583389380553347074', '1583389380536569856', '最大的收获是什么？', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1583389380553347077', '1583389380553347075', '中你最大的收获是什么？', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1596405388679450625', '1596405388658479104', '1', '1', '0');
INSERT INTO `train_look_into_option` VALUES ('1596405388679450626', '1596405388658479104', '2', '2', '0');
INSERT INTO `train_look_into_option` VALUES ('1596405388679450627', '1596405388658479104', '3', '3', '0');
INSERT INTO `train_look_into_option` VALUES ('1596405388679450628', '1596405388658479104', '4', '4', '0');

-- ----------------------------
-- Table structure for train_manage_exam
-- ----------------------------
DROP TABLE IF EXISTS `train_manage_exam`;
CREATE TABLE `train_manage_exam` (
  `id` bigint(19) NOT NULL COMMENT '主键id',
  `EXAM_OPEN` smallint(5) DEFAULT NULL COMMENT '考试是否公开：0非公开、1公开',
  `SECRET_KEY` varchar(255) DEFAULT NULL COMMENT '密钥：非公开时',
  `EXAM_NAME` varchar(30) DEFAULT NULL COMMENT '考试名称',
  `TEST_PAPER_ID` bigint(19) DEFAULT NULL COMMENT '试卷id',
  `EXAM_TYPE` smallint(5) DEFAULT NULL COMMENT '考试类型：1、倒计时。2、固定时间段。',
  `EXAM_TIME_LEN` int(10) DEFAULT NULL COMMENT 'EXAM_TYPE=1时、考试时长（分钟）',
  `EXAM_START_TIME` datetime DEFAULT NULL COMMENT 'EXAM_TYPE=2时、开始时间',
  `EXAM_END_TIME` datetime DEFAULT NULL COMMENT 'EXAM_TYPE=2时、开始时间',
  `EXAM_TIMES` int(10) DEFAULT NULL COMMENT '允许考试次数',
  `OPTION_DISORDER` smallint(5) DEFAULT NULL COMMENT '乱序 0、非乱序 。 1、乱序',
  `TOPIC_DISORDER` smallint(5) DEFAULT NULL COMMENT '试题乱序 0、非 。1、乱序',
  `TYPE_REORDER` varchar(50) DEFAULT NULL COMMENT '试题类型 排序  1、多选。2、单选。3、判断。4、填空。',
  `state` smallint(5) DEFAULT NULL COMMENT '0未发布、1已发布',
  `IS_DELETED` smallint(5) DEFAULT NULL COMMENT '删除标志：0未删除、1已删除',
  `CREATE_USER_ID` bigint(19) DEFAULT NULL COMMENT '创建用户id',
  `CREATE_USER_NAME` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `CREATE_DEPT_CODE` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `random` smallint(5) unsigned DEFAULT '0' COMMENT '0 不随机  1 随机',
  `answer` smallint(5) DEFAULT NULL COMMENT '0 不显示答案 1显示答案',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='考试管理【非培训】 ';

-- ----------------------------
-- Records of train_manage_exam
-- ----------------------------
INSERT INTO `train_manage_exam` VALUES ('1585457635958853632', '1', '', '数据库考试1', '1575321969711255552', '2', null, '2022-10-27 10:00:06', '2022-10-28 10:00:09', '1', '0', '0', '1,2,3,4', '1', '0', '1570604410206294016', '张磊', '001', '2022-10-27 10:25:31', null, null);
INSERT INTO `train_manage_exam` VALUES ('1585533481595834368', '1', '', '数据库考试2', '1575321969711255552', '1', '60', null, null, '1', '0', '0', '1,2,3,4', '1', '0', '1569970196410667008', '李露露', '001', '2022-10-27 15:26:54', null, null);
INSERT INTO `train_manage_exam` VALUES ('1596409793633980416', '1', '', '数据库考试3', '1575404402032906240', '2', null, '2022-11-26 16:45:15', '2022-11-27 15:45:20', '1', '0', '0', '1,2,3,4', '0', '1', '1590648570632081408', '张芳芳', '001', '2022-11-26 15:45:29', null, null);
INSERT INTO `train_manage_exam` VALUES ('1596803196284702720', '1', '', 'java开发考试1', '1596801143953035264', '1', '30', null, null, '1', '0', '0', '1,2,3,4', '1', '0', '1561995446459699200', '李昊杰', '001', '2022-11-27 17:48:44', null, null);
INSERT INTO `train_manage_exam` VALUES ('1598503134177660928', '1', '', 'java开发考试2', '1596801143953035264', '1', '30', null, null, '1', '0', '0', '1,2,3,4', '1', '0', '1561995446459699200', '李昊杰', '001', '2022-12-02 10:23:41', null, null);
INSERT INTO `train_manage_exam` VALUES ('1598516448714690560', '1', '', 'java开发考试3', '1596801143953035264', '1', '44', null, null, '1', '0', '0', '1,2,3,4', '1', '0', '1561995446459699200', '李昊杰', '001', '2022-12-02 11:16:35', null, null);
INSERT INTO `train_manage_exam` VALUES ('1598571562217377792', '1', '', 'java开发考试4', '1596801143953035264', '1', '20', null, null, '1', '0', '0', '1,2,3,4', '1', '0', '1561995446459699200', '李昊杰', '001', '2022-12-02 14:55:35', null, null);
INSERT INTO `train_manage_exam` VALUES ('1599581575111118848', '1', '', '理财考试1', '1596801143953035264', '1', '20', null, null, '2', '0', '0', '1,2,3,4', '1', '0', '1561995446459699200', '李昊杰', '001', '2022-12-05 09:49:01', null, null);
INSERT INTO `train_manage_exam` VALUES ('1601108411154567168', '0', '123456', '理财考试2', '1567769553742729216', '2', null, '2022-12-09 14:52:59', '2022-12-09 22:55:15', '10', '0', '0', '1,2,3,4', '1', '0', '1567046004463767552', '刘国灿', '001', '2022-12-09 14:56:07', null, null);
INSERT INTO `train_manage_exam` VALUES ('1601114723284291584', '0', '123456', '理财考试3', '1596436456811925504', '2', null, '2022-12-09 15:30:00', '2022-12-09 18:20:55', '6', '0', '0', '1,2,3,4', '1', '0', '1567046004463767552', '刘国灿', '001', '2022-12-09 15:21:12', null, null);
INSERT INTO `train_manage_exam` VALUES ('1602196052755222528', '1', '', '理财考试4', '1596801143953035264', '1', '20', null, null, '1', '0', '0', '1,2,3,4', '1', '0', '1561995446459699200', '李昊杰', '001', '2022-12-12 14:58:01', null, null);

-- ----------------------------
-- Table structure for train_manage_exam_extend
-- ----------------------------
DROP TABLE IF EXISTS `train_manage_exam_extend`;
CREATE TABLE `train_manage_exam_extend` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `exam_id` bigint(20) DEFAULT NULL COMMENT '考试id',
  `test_paper_id` bigint(19) DEFAULT NULL COMMENT '试卷id',
  `checkbox_num` int(11) DEFAULT '0' COMMENT '多选数量',
  `checkbox_score` int(11) DEFAULT '0' COMMENT '多选分值',
  `radio_num` int(11) DEFAULT '0' COMMENT '单选数量',
  `radio_score` int(11) DEFAULT '0' COMMENT '单选分值',
  `true_false_num` int(11) DEFAULT '0' COMMENT '判断题数量',
  `true_false_score` int(11) DEFAULT '0' COMMENT '判断题分值',
  `fill_bank_num` int(11) DEFAULT '0' COMMENT '填空题数量',
  `fill_bank_score` int(11) DEFAULT '0' COMMENT '填空题分值',
  `total_score` int(11) DEFAULT '0' COMMENT '总分数',
  `pass_score` int(11) DEFAULT '0' COMMENT '及格分数',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `checkbox_order` int(11) DEFAULT '0' COMMENT '多选排序',
  `radio_order` int(11) DEFAULT '0' COMMENT '单选排序',
  `true_false_order` int(11) DEFAULT '0' COMMENT '判断题排序',
  `fill_bank_order` int(11) DEFAULT '0' COMMENT '填空题排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='考试管理【非培训】  扩展表  当考试管理是选择随机的';

-- ----------------------------
-- Records of train_manage_exam_extend
-- ----------------------------
INSERT INTO `train_manage_exam_extend` VALUES ('1635905215184113664', '1635905210113200128', '1596801143953035264', '1', '40', '1', '20', '1', '40', '0', '0', null, null, '0', '1', '2', '3', '4');
INSERT INTO `train_manage_exam_extend` VALUES ('1635910644228296704', '1635907674581372928', '1575404402032906240', '2', '20', '1', '10', '2', '20', '1', '30', '120', '88', '0', '1', '2', '3', '4');
INSERT INTO `train_manage_exam_extend` VALUES ('1636172480672567296', '1635907665966272512', '1575404402032906240', '2', '20', '1', '10', '2', '20', '1', '30', '120', '88', '0', '1', '2', '3', '4');
INSERT INTO `train_manage_exam_extend` VALUES ('1636186209808158721', '1636186209808158720', '1575404402032906240', '2', '10', '1', '10', '2', '10', '2', '10', '100', '60', '0', '3', '2', '1', '4');
INSERT INTO `train_manage_exam_extend` VALUES ('1636289576131760129', '1636289576131760128', '1636289051902480384', '1', '20', '2', '10', '2', '15', '1', '30', '100', null, '0', '5', '1', '2', '4');
INSERT INTO `train_manage_exam_extend` VALUES ('1637627284863193088', '1637627284858998784', '1637627036333903872', '0', '0', '2', '20', '1', '20', '1', '20', '80', '60', '0', '1', '2', '3', '4');
INSERT INTO `train_manage_exam_extend` VALUES ('1669149013405995008', '1669148689152741376', '1669148533384679424', '20', '2', '30', '1', '30', '1', '0', '1', '100', '60', '0', null, null, null, null);
INSERT INTO `train_manage_exam_extend` VALUES ('1669153025786253313', '1669153025786253312', '1669148533384679424', '20', '2', '30', '1', '30', '1', '0', '0', '100', '60', '0', '1', '2', '3', '4');

-- ----------------------------
-- Table structure for train_manage_exam_random
-- ----------------------------
DROP TABLE IF EXISTS `train_manage_exam_random`;
CREATE TABLE `train_manage_exam_random` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `question_id` bigint(20) DEFAULT NULL COMMENT '问题id',
  `exam_user_id` bigint(20) DEFAULT NULL COMMENT '考试学生id',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '专业名',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、多选。2、单选。3、判断。4、填空。',
  `content` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '题目内容',
  `answer` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '答案',
  `analysis` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '解析',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `sort` int(10) DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='常规考试中的随机试题';

-- ----------------------------
-- Records of train_manage_exam_random
-- ----------------------------
INSERT INTO `train_manage_exam_random` VALUES ('1636271969492144128', '1575404402074849280', '1636271868182925312', '1575404402032906240', '1301400742761992192', null, null, '1', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 15:43:33', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1636271970733658112', '1575404402074849285', '1636271868182925312', '1575404402032906240', '1301400742761992192', null, null, '1', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 15:43:33', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1636271971899674624', '1575404402074849295', '1636271868182925312', '1575404402032906240', '1301400742761992192', null, null, '2', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 15:43:33', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1636271973174743040', '1575404402083237892', '1636271868182925312', '1575404402032906240', '1301400742761992192', null, null, '3', '稻 塘 溪 竿 铜 号 领', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 15:43:34', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1636271974374313984', '1575404402083237891', '1636271868182925312', '1575404402032906240', '1301400742761992192', null, null, '3', '识字六 海 鸥 滩 军 舰 帆 秧 ', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 15:43:34', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1636271975506776064', '1575404402083237890', '1636271868182925312', '1575404402032906240', '1301400742761992192', null, null, '4', '这段话是围绕哪一句话来写的？请用', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 15:43:34', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1636282751911071744', '1575404402074849301', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '3', '怕 攻 互 尊 重 令 纯', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:23', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1636282753173557248', '1575404402083237891', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '3', '识字六 海 鸥 滩 军 舰 帆 秧 ', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:24', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1636282754377322496', '1575404402074849295', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '2', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:24', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1636282755610447872', '1575404402074849290', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '1', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:24', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1636282756646440960', '1575404402074849285', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '1', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:25', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1636282757833428992', '1575404402083237889', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '4', '给短文加个合适的题目：', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:25', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1636282758957502464', '1575404402083237890', '1636265868314939392', '1575404402032906240', '1301400742761992192', null, null, '4', '这段话是围绕哪一句话来写的？请用', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:26:25', '6');
INSERT INTO `train_manage_exam_random` VALUES ('1636290089929805824', '1636289052586151959', '1636290084015837184', '1636289051902480384', '1301398461240971264', '005002', '报刊', '2', '单选0316001', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:55:33', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1636290091083239424', '1636289052586151949', '1636290084015837184', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '2', '单选0316003', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:55:33', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1636290092198924288', '1636289052586151937', '1636290084015837184', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:55:33', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1636290093327192064', '1636289052586151938', '1636290084015837184', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:55:34', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1636290094509985792', '1636289052586151936', '1636290084015837184', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:55:34', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1636290095579533312', '1636289052586151944', '1636290084015837184', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '1', '多选0316001', null, null, '1555010577007513600', '张磊', '001026', '2023-03-16 16:55:34', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1636291748118532096', '1636289052586151959', '1636291741155987456', '1636289051902480384', '1301398461240971264', '005002', '报刊', '2', '单选0316001', null, null, '1565939234546782208', '王涵', '001071', '2023-03-16 17:02:08', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1636291749334880256', '1636289052586151954', '1636291741155987456', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '2', '单选0316002', null, null, '1565939234546782208', '王涵', '001071', '2023-03-16 17:02:09', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1636291750542839808', '1636289052586151937', '1636291741155987456', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', null, null, '1565939234546782208', '王涵', '001071', '2023-03-16 17:02:09', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1636291751713050624', '1636289052586151938', '1636291741155987456', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', null, null, '1565939234546782208', '王涵', '001071', '2023-03-16 17:02:09', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1636291752858095616', '1636289052586151936', '1636291741155987456', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', null, null, '1565939234546782208', '王涵', '001071', '2023-03-16 17:02:09', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1636291754074443776', '1636289052586151939', '1636291741155987456', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '1', '多选0316002', null, null, '1565939234546782208', '王涵', '001071', '2023-03-16 17:02:10', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1636297741648924672', '1636289052586151959', '1636297674175156224', '1636289051902480384', '1301398461240971264', '005002', '报刊', '2', '单选0316001', null, null, '1567097186544652288', '何云凡', '001025', '2023-03-16 17:25:57', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1636297742718472192', '1636289052586151954', '1636297674175156224', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '2', '单选0316002', null, null, '1567097186544652288', '何云凡', '001025', '2023-03-16 17:25:57', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1636297743720910848', '1636289052586151937', '1636297674175156224', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', null, null, '1567097186544652288', '何云凡', '001025', '2023-03-16 17:25:58', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1636297744777875456', '1636289052586151938', '1636297674175156224', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', null, null, '1567097186544652288', '何云凡', '001025', '2023-03-16 17:25:58', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1636297745956474880', '1636289052586151936', '1636297674175156224', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', null, null, '1567097186544652288', '何云凡', '001025', '2023-03-16 17:25:58', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1636297747051188224', '1636289052586151944', '1636297674175156224', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '1', '多选0316001', null, null, '1567097186544652288', '何云凡', '001025', '2023-03-16 17:25:58', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1644237066097266688', '1636289052586151949', '1644234130940104704', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '2', '单选0316003', null, null, '1569928315261816832', null, null, '2023-04-07 15:14:00', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1644237066114043904', '1636289052586151959', '1644234130940104704', '1636289051902480384', '1301398461240971264', '005002', '报刊', '2', '单选0316001', null, null, '1569928315261816832', null, null, '2023-04-07 15:14:00', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1644237066135015424', '1636289052586151937', '1644234130940104704', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', null, null, '1569928315261816832', null, null, '2023-04-07 15:14:00', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1644237066151792640', '1636289052586151938', '1644234130940104704', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', null, null, '1569928315261816832', null, null, '2023-04-07 15:14:00', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1644237066168569856', '1636289052586151936', '1644234130940104704', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', null, null, '1569928315261816832', null, null, '2023-04-07 15:14:00', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1644237066181152768', '1636289052586151944', '1644234130940104704', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '1', '多选0316001', null, null, '1569928315261816832', null, null, '2023-04-07 15:14:00', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1669153996201398272', '1669148534122877308', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1669153996696326144', '1669148534122877322', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1669153997191254016', '1669148534110294040', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1669153997665210368', '1669148534122877266', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1669153998164332544', '1669148534122877342', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1669153998608928768', '1669148534122877352', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1669153999070302208', '1669148534122877161', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', null, null, '1555010577007513600', null, null, '2023-06-15 09:24:59', '6');
INSERT INTO `train_manage_exam_random` VALUES ('1669153999523287040', '1669148534122877303', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '7');
INSERT INTO `train_manage_exam_random` VALUES ('1669154000026603520', '1669148534122877298', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '8');
INSERT INTO `train_manage_exam_random` VALUES ('1669154000521531392', '1669148534122877294', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '9');
INSERT INTO `train_manage_exam_random` VALUES ('1669154000924184576', '1669148534122877285', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '10');
INSERT INTO `train_manage_exam_random` VALUES ('1669154001381363712', '1669148534122877312', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '11');
INSERT INTO `train_manage_exam_random` VALUES ('1669154001863708672', '1669148534110294048', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '12');
INSERT INTO `train_manage_exam_random` VALUES ('1669154002350247936', '1669148534122877317', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '13');
INSERT INTO `train_manage_exam_random` VALUES ('1669154002757095424', '1669148534122877280', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '14');
INSERT INTO `train_manage_exam_random` VALUES ('1669154003201691648', '1669148534122877166', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '15');
INSERT INTO `train_manage_exam_random` VALUES ('1669154003604344832', '1669148534122877334', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:00', '16');
INSERT INTO `train_manage_exam_random` VALUES ('1669154004048941056', '1669148534122877271', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '17');
INSERT INTO `train_manage_exam_random` VALUES ('1669154004485148672', '1669148534118682739', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '18');
INSERT INTO `train_manage_exam_random` VALUES ('1669154004929744896', '1669148534122877289', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '19');
INSERT INTO `train_manage_exam_random` VALUES ('1669154005403701248', '1669148534118682707', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '20');
INSERT INTO `train_manage_exam_random` VALUES ('1669154005873463296', '1669148534122876986', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '21');
INSERT INTO `train_manage_exam_random` VALUES ('1669154006271922176', '1669148534110294058', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '22');
INSERT INTO `train_manage_exam_random` VALUES ('1669154006787821568', '1669148534097711104', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '23');
INSERT INTO `train_manage_exam_random` VALUES ('1669154007228223488', '1669148534122877191', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '24');
INSERT INTO `train_manage_exam_random` VALUES ('1669154007672819712', '1669148534122877036', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:01', '25');
INSERT INTO `train_manage_exam_random` VALUES ('1669154008113221632', '1669148534122877046', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '26');
INSERT INTO `train_manage_exam_random` VALUES ('1669154008566206464', '1669148534122877031', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '27');
INSERT INTO `train_manage_exam_random` VALUES ('1669154008968859648', '1669148534118682637', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '28');
INSERT INTO `train_manage_exam_random` VALUES ('1669154009405067264', '1669148534122877001', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '29');
INSERT INTO `train_manage_exam_random` VALUES ('1669154009820303360', '1669148534122877126', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '30');
INSERT INTO `train_manage_exam_random` VALUES ('1669154010218762240', '1669148534122877011', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '31');
INSERT INTO `train_manage_exam_random` VALUES ('1669154010642386944', '1669148534118682757', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '32');
INSERT INTO `train_manage_exam_random` VALUES ('1669154011082788864', '1669148534118682662', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '33');
INSERT INTO `train_manage_exam_random` VALUES ('1669154011481247744', '1669148534122877136', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '34');
INSERT INTO `train_manage_exam_random` VALUES ('1669154011913261056', '1669148534118682647', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:02', '35');
INSERT INTO `train_manage_exam_random` VALUES ('1669154012320108544', '1669148534122877121', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '36');
INSERT INTO `train_manage_exam_random` VALUES ('1669154012735344640', '1669148534122877246', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '37');
INSERT INTO `train_manage_exam_random` VALUES ('1669154013121220608', '1669148534122877076', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '38');
INSERT INTO `train_manage_exam_random` VALUES ('1669154013544845312', '1669148534118682657', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '39');
INSERT INTO `train_manage_exam_random` VALUES ('1669154013976858624', '1669148534118682682', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '40');
INSERT INTO `train_manage_exam_random` VALUES ('1669154014371123200', '1669148534118682642', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '41');
INSERT INTO `train_manage_exam_random` VALUES ('1669154014811525120', '1669148534118682702', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '42');
INSERT INTO `train_manage_exam_random` VALUES ('1669154015327424512', '1669148534122876971', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '43');
INSERT INTO `train_manage_exam_random` VALUES ('1669154015784603648', '1669148534122877016', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:03', '44');
INSERT INTO `train_manage_exam_random` VALUES ('1669154016204034048', '1669148534122877066', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '45');
INSERT INTO `train_manage_exam_random` VALUES ('1669154016640241664', '1669148534122876931', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '46');
INSERT INTO `train_manage_exam_random` VALUES ('1669154017030311936', '1669148534122877096', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '47');
INSERT INTO `train_manage_exam_random` VALUES ('1669154017479102464', '1669148534122876981', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '48');
INSERT INTO `train_manage_exam_random` VALUES ('1669154017902727168', '1669148534118682712', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '49');
INSERT INTO `train_manage_exam_random` VALUES ('1669154018322157568', '1669148534122877101', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '50');
INSERT INTO `train_manage_exam_random` VALUES ('1669154018821279744', '1669148534122877174', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '51');
INSERT INTO `train_manage_exam_random` VALUES ('1669154019307819008', '1669148534122877258', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '52');
INSERT INTO `train_manage_exam_random` VALUES ('1669154019748220928', '1669148534122876939', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '53');
INSERT INTO `train_manage_exam_random` VALUES ('1669154020230565888', '1669148534122876963', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:04', '54');
INSERT INTO `train_manage_exam_random` VALUES ('1669154020691939328', '1669148534122877022', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '55');
INSERT INTO `train_manage_exam_random` VALUES ('1669154021077815296', '1669148534122877024', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '56');
INSERT INTO `train_manage_exam_random` VALUES ('1669154021522411520', '1669148534122877102', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '57');
INSERT INTO `train_manage_exam_random` VALUES ('1669154021933453312', '1669148534122876995', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '58');
INSERT INTO `train_manage_exam_random` VALUES ('1669154022327717888', '1669148534122876965', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '59');
INSERT INTO `train_manage_exam_random` VALUES ('1669154022755536896', '1669148534122877173', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '60');
INSERT INTO `train_manage_exam_random` VALUES ('1669154023158190080', '1669148534110294073', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '61');
INSERT INTO `train_manage_exam_random` VALUES ('1669154023544066048', '1669148534122877142', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '62');
INSERT INTO `train_manage_exam_random` VALUES ('1669154023959302144', '1669148534122876991', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '63');
INSERT INTO `train_manage_exam_random` VALUES ('1669154024374538240', '1669148534122877143', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:05', '64');
INSERT INTO `train_manage_exam_random` VALUES ('1669154024970129408', '1669148534118682655', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '65');
INSERT INTO `train_manage_exam_random` VALUES ('1669154025410531328', '1669148534122877255', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '66');
INSERT INTO `train_manage_exam_random` VALUES ('1669154025855127552', '1669148534122877252', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '67');
INSERT INTO `train_manage_exam_random` VALUES ('1669154026324889600', '1669148534122877254', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '68');
INSERT INTO `train_manage_exam_random` VALUES ('1669154026777874432', '1669148534122877251', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '69');
INSERT INTO `train_manage_exam_random` VALUES ('1669154027230859264', '1669148534122877144', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '70');
INSERT INTO `train_manage_exam_random` VALUES ('1669154027742564352', '1669148534122876964', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '71');
INSERT INTO `train_manage_exam_random` VALUES ('1669154028220715008', '1669148534122877023', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '72');
INSERT INTO `train_manage_exam_random` VALUES ('1669154028644339712', '1669148534122877103', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:06', '73');
INSERT INTO `train_manage_exam_random` VALUES ('1669154029105713152', '1669148534110294072', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:07', '74');
INSERT INTO `train_manage_exam_random` VALUES ('1669154029516754944', '1669148534110294069', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:07', '75');
INSERT INTO `train_manage_exam_random` VALUES ('1669154029994905600', '1669148534122877261', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:07', '76');
INSERT INTO `train_manage_exam_random` VALUES ('1669154030410141696', '1669148534110294071', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:07', '77');
INSERT INTO `train_manage_exam_random` VALUES ('1669154030892486656', '1669148534122877259', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:07', '78');
INSERT INTO `train_manage_exam_random` VALUES ('1669154031345471488', '1669148534122876993', '1669153223635767296', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', null, null, '1555010577007513600', null, null, '2023-06-15 09:25:07', '79');
INSERT INTO `train_manage_exam_random` VALUES ('1669156911699857408', '1669148534118682729', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '0');
INSERT INTO `train_manage_exam_random` VALUES ('1669156912173813760', '1669148534122877285', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '1');
INSERT INTO `train_manage_exam_random` VALUES ('1669156912614215680', '1669148534122877166', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '2');
INSERT INTO `train_manage_exam_random` VALUES ('1669156913033646080', '1669148534122877322', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '3');
INSERT INTO `train_manage_exam_random` VALUES ('1669156913465659392', '1669148534122877317', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '4');
INSERT INTO `train_manage_exam_random` VALUES ('1669156913931227136', '1669148534110294035', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '5');
INSERT INTO `train_manage_exam_random` VALUES ('1669156914380017664', '1669148534122877276', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:34', '6');
INSERT INTO `train_manage_exam_random` VALUES ('1669156914862362624', '1669148534122877280', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '7');
INSERT INTO `train_manage_exam_random` VALUES ('1669156915428593664', '1669148534122877289', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '8');
INSERT INTO `train_manage_exam_random` VALUES ('1669156915990630400', '1669148534110294048', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '9');
INSERT INTO `train_manage_exam_random` VALUES ('1669156916418449408', '1669148534122877342', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '10');
INSERT INTO `train_manage_exam_random` VALUES ('1669156916837879808', '1669148534122877271', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '11');
INSERT INTO `train_manage_exam_random` VALUES ('1669156917261504512', '1669148534122877308', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '12');
INSERT INTO `train_manage_exam_random` VALUES ('1669156917685129216', '1669148534118682724', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '13');
INSERT INTO `train_manage_exam_random` VALUES ('1669156918129725440', '1669148534122877298', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '14');
INSERT INTO `train_manage_exam_random` VALUES ('1669156918591098880', '1669148534122877347', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:35', '15');
INSERT INTO `train_manage_exam_random` VALUES ('1669156919010529280', '1669148534122877334', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '16');
INSERT INTO `train_manage_exam_random` VALUES ('1669156919467708416', '1669148534122877327', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '返单邮件投递要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '17');
INSERT INTO `train_manage_exam_random` VALUES ('1669156919962636288', '1669148534122877352', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '18');
INSERT INTO `train_manage_exam_random` VALUES ('1669156920428204032', '1669148534122877266', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '19');
INSERT INTO `train_manage_exam_random` VALUES ('1669156920860217344', '1669148534122877221', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '20');
INSERT INTO `train_manage_exam_random` VALUES ('1669156921262870528', '1669148534118682712', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '21');
INSERT INTO `train_manage_exam_random` VALUES ('1669156921690689536', '1669148534122877236', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '22');
INSERT INTO `train_manage_exam_random` VALUES ('1669156922202394624', '1669148534118682662', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '23');
INSERT INTO `train_manage_exam_random` VALUES ('1669156922630213632', '1669148534118682761', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:36', '24');
INSERT INTO `train_manage_exam_random` VALUES ('1669156923125141504', '1669148534118682702', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '25');
INSERT INTO `train_manage_exam_random` VALUES ('1669156923586514944', '1669148534122877026', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '26');
INSERT INTO `train_manage_exam_random` VALUES ('1669156924060471296', '1669148534118682734', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '27');
INSERT INTO `train_manage_exam_random` VALUES ('1669156924500873216', '1669148534122877056', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '28');
INSERT INTO `train_manage_exam_random` VALUES ('1669156924953858048', '1669148534118682717', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '29');
INSERT INTO `train_manage_exam_random` VALUES ('1669156925390065664', '1669148534122877226', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '30');
INSERT INTO `train_manage_exam_random` VALUES ('1669156925838856192', '1669148534122877061', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '31');
INSERT INTO `train_manage_exam_random` VALUES ('1669156926275063808', '1669148534118682697', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '32');
INSERT INTO `train_manage_exam_random` VALUES ('1669156926715465728', '1669148534122876996', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:37', '33');
INSERT INTO `train_manage_exam_random` VALUES ('1669156927181033472', '1669148534118682632', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '34');
INSERT INTO `train_manage_exam_random` VALUES ('1669156927625629696', '1669148534122876986', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '35');
INSERT INTO `train_manage_exam_random` VALUES ('1669156928066031616', '1669148534118682692', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '36');
INSERT INTO `train_manage_exam_random` VALUES ('1669156928519016448', '1669148534122877011', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '37');
INSERT INTO `train_manage_exam_random` VALUES ('1669156928976195584', '1669148534122876966', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '38');
INSERT INTO `train_manage_exam_random` VALUES ('1669156929374654464', '1669148534118682749', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '39');
INSERT INTO `train_manage_exam_random` VALUES ('1669156929848610816', '1669148534122877151', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '40');
INSERT INTO `train_manage_exam_random` VALUES ('1669156930284818432', '1669148534122877001', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '41');
INSERT INTO `train_manage_exam_random` VALUES ('1669156930754580480', '1669148534110294025', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '42');
INSERT INTO `train_manage_exam_random` VALUES ('1669156931199176704', '1669148534118682657', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:38', '43');
INSERT INTO `train_manage_exam_random` VALUES ('1669156931702493184', '1669148534122877096', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:39', '44');
INSERT INTO `train_manage_exam_random` VALUES ('1669156932608462848', '1669148534122877216', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:39', '45');
INSERT INTO `train_manage_exam_random` VALUES ('1669156933216636928', '1669148534122877071', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:39', '46');
INSERT INTO `train_manage_exam_random` VALUES ('1669156933669621760', '1669148534122877041', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:39', '47');
INSERT INTO `train_manage_exam_random` VALUES ('1669156938308521984', '1669148534118682757', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:40', '48');
INSERT INTO `train_manage_exam_random` VALUES ('1669156938786672640', '1669148534110294058', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:40', '49');
INSERT INTO `train_manage_exam_random` VALUES ('1669156939269017600', '1669148534122877259', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:40', '50');
INSERT INTO `train_manage_exam_random` VALUES ('1669156939734585344', '1669148534122877108', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '51');
INSERT INTO `train_manage_exam_random` VALUES ('1669156940200153088', '1669148534118682656', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '52');
INSERT INTO `train_manage_exam_random` VALUES ('1669156940632166400', '1669148534122877106', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '53');
INSERT INTO `train_manage_exam_random` VALUES ('1669156941085151232', '1669148534122876995', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '54');
INSERT INTO `train_manage_exam_random` VALUES ('1669156941546524672', '1669148534122877260', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '55');
INSERT INTO `train_manage_exam_random` VALUES ('1669156942020481024', '1669148534122877111', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '56');
INSERT INTO `train_manage_exam_random` VALUES ('1669156942511214592', '1669148534122876992', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '57');
INSERT INTO `train_manage_exam_random` VALUES ('1669156942951616512', '1669148534122877022', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '58');
INSERT INTO `train_manage_exam_random` VALUES ('1669156943547207680', '1669148534122877103', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:41', '59');
INSERT INTO `train_manage_exam_random` VALUES ('1669156944151187456', '1669148534122877263', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '60');
INSERT INTO `train_manage_exam_random` VALUES ('1669156944658698240', '1669148534122876965', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '61');
INSERT INTO `train_manage_exam_random` VALUES ('1669156945178791936', '1669148534122877141', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '62');
INSERT INTO `train_manage_exam_random` VALUES ('1669156945690497024', '1669148534122877101', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '63');
INSERT INTO `train_manage_exam_random` VALUES ('1669156946227367936', '1669148534122877264', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '64');
INSERT INTO `train_manage_exam_random` VALUES ('1669156946776821760', '1669148534110294073', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '65');
INSERT INTO `train_manage_exam_random` VALUES ('1669156947221417984', '1669148534122877110', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '66');
INSERT INTO `train_manage_exam_random` VALUES ('1669156947758288896', '1669148534122876939', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:42', '67');
INSERT INTO `train_manage_exam_random` VALUES ('1669156948370657280', '1669148534122877025', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '68');
INSERT INTO `train_manage_exam_random` VALUES ('1669156948915916800', '1669148534122877256', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '69');
INSERT INTO `train_manage_exam_random` VALUES ('1669156949494730752', '1669148534122877258', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '70');
INSERT INTO `train_manage_exam_random` VALUES ('1669156949943521280', '1669148534122876963', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '71');
INSERT INTO `train_manage_exam_random` VALUES ('1669156950430060544', '1669148534122877257', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '72');
INSERT INTO `train_manage_exam_random` VALUES ('1669156950887239680', '1669148534122877145', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '73');
INSERT INTO `train_manage_exam_random` VALUES ('1669156951361196032', '1669148534118682655', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '74');
INSERT INTO `train_manage_exam_random` VALUES ('1669156951877095424', '1669148534122877105', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:43', '75');
INSERT INTO `train_manage_exam_random` VALUES ('1669156952384606208', '1669148534122877252', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:44', '76');
INSERT INTO `train_manage_exam_random` VALUES ('1669156952845979648', '1669148534122877143', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:44', '77');
INSERT INTO `train_manage_exam_random` VALUES ('1669156953391239168', '1669148534122877175', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:44', '78');
INSERT INTO `train_manage_exam_random` VALUES ('1669156953844224000', '1669148534122877115', '1669156904955416576', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', null, null, '1574653861665312768', null, null, '2023-06-15 09:36:44', '79');

-- ----------------------------
-- Table structure for train_manage_exam_user
-- ----------------------------
DROP TABLE IF EXISTS `train_manage_exam_user`;
CREATE TABLE `train_manage_exam_user` (
  `id` bigint(19) NOT NULL COMMENT '主键id',
  `MANAGE_EXAM_ID` bigint(19) DEFAULT NULL COMMENT '考试id',
  `USER_ID` bigint(19) DEFAULT NULL COMMENT '用户id',
  `USER_NAME` varchar(20) DEFAULT NULL COMMENT '用户姓名',
  `TEST_PAPER_ID` bigint(19) DEFAULT NULL COMMENT '试卷id',
  `TEST_PAPER_NAME` varchar(30) DEFAULT NULL COMMENT '试卷名',
  `START_TIME` datetime DEFAULT NULL COMMENT '考试开始时间',
  `END_TIME` datetime DEFAULT NULL COMMENT '考试结束时间',
  `score` int(10) DEFAULT NULL COMMENT '考试成绩',
  `ERROR_NUM` int(10) DEFAULT NULL COMMENT '错误数量',
  `TOTAL_NUM` int(10) DEFAULT NULL COMMENT '题目数量',
  `state` smallint(5) DEFAULT NULL COMMENT '状态：0、未考试。1、已考试。',
  `EXAM_TIMES` int(10) DEFAULT NULL COMMENT '当前考试次数',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `make_up_num` int(10) DEFAULT '0' COMMENT '补考次数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户考试【非培训】 ';

-- ----------------------------
-- Records of train_manage_exam_user
-- ----------------------------
INSERT INTO `train_manage_exam_user` VALUES ('1', '1575732863339466752', '1565939234546782208', '汪涵', '1567769553742729216', '啊啊啊啊啊啊啊啊', null, null, '0', '0', '0', '0', '0', '2022-09-30 14:26:26', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1575754189202657280', '1574947848255049728', '1565939234546782208', '王涵', '1565588869397745664', '两道题', '2022-10-09 10:03:32', '2022-10-09 11:28:33', '0', '1', '1', '1', '2', '2022-09-30 15:47:29', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1578616635873431552', '1574947848255049728', '1567097186544652288', '何云凡', '1565588869397745664', '两道题', null, null, null, null, '1', '0', '0', '2022-10-08 13:21:50', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1578919327359438848', '1575732863339466752', '1567097186544652288', '何云凡', '1567769553742729216', '测试添加', null, null, null, null, '0', '0', '0', '2022-10-09 09:24:37', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1578946804953780224', '1578946528414928896', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '2022-10-09 10:03:32', '2022-10-09 11:39:42', '0', '11', '11', '1', '1', '2022-10-09 11:13:48', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1578947204704505856', '1578946528414928896', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '2022-10-10 15:28:33', '2022-10-10 15:29:28', '0', '11', '11', '1', '1', '2022-10-09 11:15:24', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1585923792331476992', '1585533481595834368', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '2022-10-28 17:17:52', '2022-10-28 17:18:15', '10', '9', '10', '1', '1', '2022-10-28 17:17:52', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1596803242321383424', '1596803196284702720', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-11-27 17:41:34', '2022-11-27 17:49:05', '0', '5', '5', '1', '2', '2022-11-27 17:48:55', '10');
INSERT INTO `train_manage_exam_user` VALUES ('1598503214091735040', '1598503134177660928', '1565939234546782208', '王涵', '1596801143953035264', '100', '2022-12-02 10:24:00', '2022-12-02 10:24:09', '0', '5', '5', '1', '1', '2022-12-02 10:24:00', '20');
INSERT INTO `train_manage_exam_user` VALUES ('1598507035295617024', '1598503134177660928', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-12-02 10:39:11', '2022-12-02 10:39:22', '20', '4', '5', '1', '2', '2022-12-02 10:39:11', '10');
INSERT INTO `train_manage_exam_user` VALUES ('1598526657889701888', '1598516448714690560', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-12-02 10:39:11', '2022-12-02 11:57:17', '0', '5', '5', '1', '1', '2022-12-02 11:57:09', '1');
INSERT INTO `train_manage_exam_user` VALUES ('1598573186608402432', '1598571562217377792', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-12-02 10:39:11', '2022-12-02 15:02:11', '0', '5', '5', '1', '3', '2022-12-02 15:02:02', '1');
INSERT INTO `train_manage_exam_user` VALUES ('1598879612941766656', '1598875102810869760', '1555010577007513600', '张磊', '1596436456811925504', '测出四十卷', '2022-12-03 11:19:40', '2022-12-03 11:20:01', '0', '2', '2', '1', '1', '2022-12-03 11:19:40', '1');
INSERT INTO `train_manage_exam_user` VALUES ('1598885313479053312', '1598884653555650560', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '2022-12-03 11:19:40', '2022-12-03 11:42:47', '30', '7', '10', '1', '1', '2022-12-03 11:42:19', '3');
INSERT INTO `train_manage_exam_user` VALUES ('1598927178043625472', '1598875102810869760', '1579374510346473472', '李昊杰', '1596436456811925504', '测出四十卷', '2022-12-03 14:28:41', '2022-12-03 14:28:52', '0', '2', '2', '1', '3', '2022-12-03 14:28:41', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1598929414077419520', '1598884653555650560', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '2022-12-03 14:28:41', '2022-12-03 14:38:48', '20', '8', '10', '1', '3', '2022-12-03 14:37:34', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1599581614197837824', '1599581575111118848', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-12-05 09:49:10', '2022-12-05 09:49:21', '0', '5', '5', '1', '3', '2022-12-05 09:49:10', '5');
INSERT INTO `train_manage_exam_user` VALUES ('1601128597542801408', '1601114723284291584', '1579374510346473472', '李昊杰', '1596436456811925504', '测出四十卷', '2022-12-09 15:30:00', '2022-12-09 18:20:55', null, null, '2', '0', '0', '2022-12-09 16:16:20', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1601133273562615808', '1601114723284291584', '1565939234546782208', '王涵', '1596436456811925504', '测出四十卷', '2022-12-09 16:34:55', '2022-12-09 16:36:53', '0', '2', '2', '1', '1', '2022-12-09 16:34:55', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1602196096942215168', '1602196052755222528', '1579374510346473472', '李昊杰', '1596801143953035264', '100', null, null, null, null, '5', '0', '0', '2022-12-12 14:58:12', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1602196812645666816', '1602196286021439488', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '2022-12-12 15:00:33', '2022-12-12 18:45:47', null, null, '5', '0', '0', '2022-12-12 15:01:02', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1636187357231321088', '1636186209808158720', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '2023-03-16 10:07:20', '2023-03-16 13:53:08', '5', '10', '11', '1', '1', '2023-03-16 10:07:20', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1636265868314939392', '1636186209808158720', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '2023-03-16 15:19:19', '2023-03-16 16:32:34', '0', '7', '7', '1', '1', '2023-03-16 15:19:18', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1636271868182925312', '1635907665966272512', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '2023-03-16 15:19:19', '2023-03-16 15:43:51', '0', '11', '11', '1', '1', '2023-03-16 15:43:09', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1636290084015837184', '1636289576131760128', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '2023-03-16 15:19:19', '2023-03-16 16:59:14', '100', '0', '6', '1', '1', '2023-03-16 16:55:32', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1636291741155987456', '1636289576131760128', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '2023-03-16 17:02:07', '2023-03-16 17:02:47', '60', '2', '6', '1', '1', '2023-03-16 17:02:07', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1636297674175156224', '1636289576131760128', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '2023-03-16 17:25:42', '2023-03-16 17:26:59', '35', '3', '6', '1', '1', '2023-03-16 17:25:41', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1644234130940104704', '1636289576131760128', '1569928315261816832', '小石头', '1636289051902480384', '0316111111111', null, null, null, null, '6', '0', '0', '2023-04-07 15:02:20', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1669150502857871360', '1669148689152741376', '1574653861665312768', '李露', '1669148533384679424', '0615001', '2023-06-15 09:03:36', '2023-06-15 09:45:36', null, null, '187', '0', '0', '2023-06-15 09:11:06', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1669151367341674496', '1669148689152741376', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '2023-06-15 09:03:36', '2023-06-15 09:45:36', null, null, '187', '0', '0', '2023-06-15 09:14:32', '0');
INSERT INTO `train_manage_exam_user` VALUES ('1669153223635767296', '1669153025786253312', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '2023-06-15 09:14:33', '2023-06-15 09:23:41', '27', '53', '80', '1', '2', '2023-06-15 09:21:55', '1');
INSERT INTO `train_manage_exam_user` VALUES ('1669156904955416576', '1669153025786253312', '1574653861665312768', '李露', '1669148533384679424', '0615001', '2023-06-15 09:20:07', '2023-06-16 09:20:09', null, null, '80', '0', '0', '2023-06-15 09:36:32', '0');

-- ----------------------------
-- Table structure for train_manage_exam_user_answer
-- ----------------------------
DROP TABLE IF EXISTS `train_manage_exam_user_answer`;
CREATE TABLE `train_manage_exam_user_answer` (
  `id` bigint(19) NOT NULL COMMENT '主键id',
  `USER_EXAM_ID` bigint(19) DEFAULT NULL COMMENT '用户考试id',
  `USER_ID` bigint(19) DEFAULT NULL COMMENT '用户id',
  `USER_NAME` varchar(20) DEFAULT NULL COMMENT '用户姓名',
  `TEST_PAPER_ID` bigint(19) DEFAULT NULL COMMENT '试卷id',
  `TEST_PAPER_NAME` varchar(30) DEFAULT NULL COMMENT '试卷名',
  `TEST_PAPER_QUESTION_ID` bigint(19) DEFAULT NULL COMMENT '考题id',
  `content` varchar(200) DEFAULT NULL COMMENT '考题内容',
  `answer` varchar(200) DEFAULT NULL COMMENT '答案',
  `result` smallint(5) DEFAULT NULL COMMENT '结果：1、正确。2、错误。',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户考试答案【非培训】 ';

-- ----------------------------
-- Records of train_manage_exam_user_answer
-- ----------------------------
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578950513641263104', '1575754189202657280', '1565939234546782208', '王涵', '1565588869397745664', '两道题', '1565639340619599872', '第三方第三方斯蒂芬鼎折覆餗 是的', '是', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225216', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225217', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225218', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225219', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225220', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225221', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225222', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '111', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225223', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '222', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225224', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '333', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225225', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1578953320377225226', '1578946804953780224', '1565939234546782208', '王涵', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530225709056', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097664', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1,2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097665', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1,2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097666', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097667', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097668', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097669', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', 'Kkkkkk', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097670', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', 'Llll', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097671', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', 'Kkkk', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097672', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1579373530234097673', '1578947204704505856', '1567097186544652288', '何云凡', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889320562688', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951296', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951297', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951298', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951299', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951300', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951301', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951302', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951303', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1585923889328951304', '1585923792331476992', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '哈哈哈哈哈', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1596803283211653120', '1596803242321383424', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1596803283215847424', '1596803242321383424', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1596803283215847425', '1596803242321383424', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1596803283215847426', '1596803242321383424', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1596803283215847427', '1596803242321383424', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598503254805843968', '1598503214091735040', '1565939234546782208', '王涵', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598503254810038272', '1598503214091735040', '1565939234546782208', '王涵', '1596801143953035264', '100', '1596801144653484036', '2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598503254810038273', '1598503214091735040', '1565939234546782208', '王涵', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598503254810038274', '1598503214091735040', '1565939234546782208', '王涵', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598503254810038275', '1598503214091735040', '1565939234546782208', '王涵', '1596801143953035264', '100', '1596801144653484047', '45', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598507081651064832', '1598507035295617024', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598507081659453440', '1598507035295617024', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '3,4', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598507081659453441', '1598507035295617024', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598507081659453442', '1598507035295617024', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598507081659453443', '1598507035295617024', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598526690370392064', '1598526657889701888', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598526690378780672', '1598526657889701888', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598526690378780673', '1598526657889701888', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598526690378780674', '1598526657889701888', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598526690378780675', '1598526657889701888', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598573224063537152', '1598573186608402432', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598573224071925760', '1598573186608402432', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598573224076120064', '1598573186608402432', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598573224076120065', '1598573186608402432', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598573224076120066', '1598573186608402432', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598879699432509440', '1598879612941766656', '1555010577007513600', '张磊', '1596436456811925504', '测出四十卷', '1596436457038417920', '123', '老师', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598879699436703744', '1598879612941766656', '1555010577007513600', '张磊', '1596436456811925504', '测出四十卷', '1596436457063583744', '456', '看你', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550656', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550657', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1,2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550658', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550659', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550660', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550661', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550662', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550663', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550664', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598885428868550665', '1598885313479053312', '1555010577007513600', '张磊', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '哈比', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598927226701746176', '1598927178043625472', '1579374510346473472', '李昊杰', '1596436456811925504', '测出四十卷', '1596436457038417920', '123', '，', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598927226710134784', '1598927178043625472', '1579374510346473472', '李昊杰', '1596436456811925504', '测出四十卷', '1596436457063583744', '456', '，，，', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942144', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969795141632', '测试多选3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942145', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113156', '测试多选1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942146', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113161', '今天是不是没有了？', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942147', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113166', '测试单选2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942148', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307456', '测试多选2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942149', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969820307461', '金融业务管理', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942150', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501764', '测试单选1', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942151', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969824501769', '单选题', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725319942152', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113171', '你是人吗', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1598929725324136448', '1598929414077419520', '1579374510346473472', '李昊杰', '1575321969711255552', '考试题', '1575321969816113172', '第三方第三方斯蒂芬鼎折覆餗 是的', '@@@@gmail.com', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1599581659156582400', '1599581614197837824', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144636706816', '1', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1599581659160776704', '1599581614197837824', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484036', '2', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1599581659160776705', '1599581614197837824', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484041', '3', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1599581659164971008', '1599581614197837824', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484046', '4', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1599581659164971009', '1599581614197837824', '1579374510346473472', '李昊杰', '1596801143953035264', '100', '1596801144653484047', '45', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1601133768545013760', '1601133273562615808', '1565939234546782208', '王涵', '1596436456811925504', '测出四十卷', '1596436457038417920', '123', '0', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1601133768545013761', '1601133273562615808', '1565939234546782208', '王涵', '1596436456811925504', '测出四十卷', '1596436457063583744', '456', '0', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184480485376', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184484679680', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184484679681', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184484679682', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184484679683', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184484679684', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184484679685', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '33333', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184488873984', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '22', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184488873985', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184488873986', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636244184488873987', '1636187357231321088', '1340957333395738624', '尹晶晶', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045920751616', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849280', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945920', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945921', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945922', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945923', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849300', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945924', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945925', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237888', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945926', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '未答', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945927', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945928', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636272045924945929', '1636271868182925312', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237892', '稻 塘 溪 竿 铜 号 领', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291296137216', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849301', '怕 攻 互 尊 重 令 纯', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291300331520', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237891', '识字六 海 鸥 滩 军 舰 帆 秧 ', '1', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291300331521', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849295', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291304525824', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849290', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291304525825', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402074849285', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291304525826', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237889', '给短文加个合适的题目：', '123', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636284291304525827', '1636265868314939392', '1555010577007513600', '张磊', '1575404402032906240', '试卷001', '1575404402083237890', '这段话是围绕哪一句话来写的？请用', '123123', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291008830509056', '1636290084015837184', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '1636289052586151959', '单选0316001', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291008834703360', '1636290084015837184', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '1636289052586151949', '单选0316003', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291008834703361', '1636290084015837184', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '1636289052586151937', '判断0316002', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291008834703362', '1636290084015837184', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '1636289052586151938', '判断0316001', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291008834703363', '1636290084015837184', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '1636289052586151936', '填空0316001', '填空0316001', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291008834703364', '1636290084015837184', '1555010577007513600', '张磊', '1636289051902480384', '0316111111111', '1636289052586151944', '多选0316001', '1,2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291911952240640', '1636291741155987456', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '1636289052586151959', '单选0316001', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291911952240641', '1636291741155987456', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '1636289052586151954', '单选0316002', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291911952240642', '1636291741155987456', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '1636289052586151937', '判断0316002', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291911952240643', '1636291741155987456', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '1636289052586151938', '判断0316001', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291911952240644', '1636291741155987456', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '1636289052586151936', '填空0316001', '11', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636291911952240645', '1636291741155987456', '1565939234546782208', '王涵', '1636289051902480384', '0316111111111', '1636289052586151939', '多选0316002', '1,3', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636298000928215040', '1636297674175156224', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '1636289052586151959', '单选0316001', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636298000928215041', '1636297674175156224', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '1636289052586151954', '单选0316002', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636298000928215042', '1636297674175156224', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '1636289052586151937', '判断0316002', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636298000928215043', '1636297674175156224', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '1636289052586151938', '判断0316001', '1', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636298000928215044', '1636297674175156224', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '1636289052586151936', '填空0316001', '123', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1636298000928215045', '1636297674175156224', '1567097186544652288', '何云凡', '1636289051902480384', '0316111111111', '1636289052586151944', '多选0316001', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669020520448', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682724', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669020520449', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682739', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669020520450', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877289', '正确详情单异常处理要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669020520451', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877342', '特安邮件投递要求：', '2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909056', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294048', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909057', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877285', '正确水湿、油污、破损处理要求：', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909058', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877352', '未妥投邮件操作要求：', '1,2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909059', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877166', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909060', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877317', '密码邮件投递要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909061', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877327', '返单邮件投递要求：', '3,4,5', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909062', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294040', '《寄递业务责任追究办法》的责任追究范围是    ', '3,4,5', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909063', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877266', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909064', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877276', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909065', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877312', '极速鲜邮件投递要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909066', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877308', '特快邮件基本投递要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909067', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877322', '一票多件邮件投递要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909068', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877298', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909069', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877161', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909070', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294035', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '2,3,4', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909071', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877294', '再投邮件出库操作要求：', '2,3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909072', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294058', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909073', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682657', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909074', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876931', '正确揽投部报刊的检查不包括（   ）', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909075', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877066', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909076', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682627', '网点监控保存时长不少于（）日', '3', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909077', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876966', '国内快递包裹最大限重是（  ）千克。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909078', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876951', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909079', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682687', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909080', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877061', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909081', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877136', '司法类邮件投递时要执行什么标准？', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909082', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876976', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909083', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682662', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909084', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877131', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909085', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876956', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909086', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682637', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909087', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876981', '2号标准箱最大限重为（  ）千克。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909088', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682717', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909089', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877211', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909090', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877201', '下列哪些人不需要履行现场巡查工作（）', '3', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909091', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682707', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909092', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877176', '处理中心的数据信息员的工作内容不包括（）', '3', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909093', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682682', '服检APP使用率要达到（ ）。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909094', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294063', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909095', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682749', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909096', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682692', '总体来说，服检系统总共有（ ）个操作步骤。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909097', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877071', '普遍服务营业场所（）内可以迁址', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909098', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682697', '使用服检APP开展检查时，首先要进行（  ）。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909099', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877081', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909100', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877026', '六项禁止类服务不包括。', '3', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909101', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682642', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909102', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877264', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909103', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877106', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909104', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877114', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909105', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876995', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909106', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877142', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909107', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877251', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909108', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876963', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909109', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294073', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909110', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534110294068', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909111', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876940', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909112', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682626', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909113', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877109', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909114', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876938', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909115', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876992', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909116', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877021', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909117', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877172', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909118', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877254', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909119', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877262', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909120', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682624', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909121', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877112', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909122', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877173', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909123', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877252', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909124', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682655', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909125', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877261', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909126', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877141', '特快特惠产品收寄限重为20kg。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909127', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876994', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '1');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909128', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122877171', '非寄递业务点均投诉量的达标值≤0.3。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909129', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534118682722', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909130', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876993', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '2', '0');
INSERT INTO `train_manage_exam_user_answer` VALUES ('1669153669028909131', '1669153223635767296', '1555010577007513600', '张磊', '1669148533384679424', '0615001', '1669148534122876937', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '2', '0');

-- ----------------------------
-- Table structure for train_material
-- ----------------------------
DROP TABLE IF EXISTS `train_material`;
CREATE TABLE `train_material` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'id',
  `CATE_ID` bigint(19) DEFAULT NULL COMMENT '分类',
  `MATERIAL_NAME` varchar(100) DEFAULT NULL COMMENT '文档名称',
  `URL` json DEFAULT NULL COMMENT '文档路径',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '上传人',
  `CREATED_NAME` varchar(32) DEFAULT NULL COMMENT '上传人名字',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `DEL_FALG` smallint(5) DEFAULT NULL COMMENT '是否删除0删除1未删除',
  `REMARK` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_default` int(2) DEFAULT NULL COMMENT '是否默认 0否 1是（默认）'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='资料库';

-- ----------------------------
-- Records of train_material
-- ----------------------------
INSERT INTO `train_material` VALUES ('1561997580299276288', '1561987268422537216', '测试文档一', '[{\"name\": \"推送代码代码到gitblit.pdf\", \"path\": \"/train/2022/8/23/8a8ecd44265b4c70b83fcc9c525d12a4.pdf\", \"size\": 37.900390625, \"suffix\": \".pdf\"}]', '1', '主宰', '2022-08-23 16:43:38', '1590543166828843008', '2023-09-22 16:47:42', '0', null, null);
INSERT INTO `train_material` VALUES ('1562332968620527616', '1561987268422537216', '集中培训后天操作流程', '[{\"name\": \"集中培训班后台操作流程.docx\", \"path\": \"/train/2023/9/22/2d92230db7774f08a4f3a9f5dea67541.docx\", \"size\": 1781.5693359375, \"suffix\": \".docx\"}]', '1562314510612697088', '国产007', '2022-08-24 14:56:21', '1590543166828843008', '2023-09-22 16:50:39', '0', null, '0');
INSERT INTO `train_material` VALUES ('1570655184479195136', '1561987268422537216', '数字化培训平台操作手册', '[{\"name\": \"数字化培训服务管理平台-后台操作手册.docx\", \"path\": \"/train/2023/9/22/76e78164b3894b99a467f71a8b128213.docx\", \"size\": 7012.6689453125, \"suffix\": \".docx\"}]', '1569970196410667008', '李露露', '2022-09-16 14:05:52', '1569970196410667008', '2022-09-16 14:05:52', '1', null, '0');
INSERT INTO `train_material` VALUES ('1588074624426577920', '1561987268422537216', '关于集中培训班班级管理须知', '[{\"name\": \"新建 Microsoft Word 文档.docx\", \"path\": \"/train/2022/11/3/16101d77c063440ca15dcdac487f25fc.docx\", \"size\": 0, \"suffix\": \".docx\"}]', '1561995446459699200', '李昊杰', '2022-11-03 15:44:30', '1590543166828843008', '2023-09-22 16:51:15', '0', '111111', '0');
INSERT INTO `train_material` VALUES ('1588076776884670464', '1561987268422537216', '集中培训后台操作流程', '[{\"name\": \"集中培训班后台操作流程.docx\", \"path\": \"/train/2023/9/22/09b84b573fd043e5b158a680db651f60.docx\", \"size\": 1781.5693359375, \"suffix\": \".docx\"}]', '1561995446459699200', '李昊杰', '2022-11-03 15:53:04', '1561995446459699200', '2022-11-03 15:53:04', '1', '集中培训后台操作流程', '1');
INSERT INTO `train_material` VALUES ('128135737421887741', '1561987268422537216', '学员操作手册', '[{\"name\": \"数字化培训平台APP学员操作.docx\", \"path\": \"/train/2023/9/22/749a2bb3111f4d2280e66cf38b38e0b6.docx\", \"size\": 1710.845703125, \"suffix\": \".docx\"}]', '1590543166828843008', '张磊', '2023-09-22 16:48:44', '1590543166828843008', '2023-09-22 16:48:44', '1', '', '0');

-- ----------------------------
-- Table structure for train_notice
-- ----------------------------
DROP TABLE IF EXISTS `train_notice`;
CREATE TABLE `train_notice` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `title` varchar(50) DEFAULT NULL COMMENT '通知标题',
  `digest` varchar(200) DEFAULT NULL COMMENT '摘要',
  `content` longtext COMMENT '发布内容',
  `user_id` bigint(20) DEFAULT NULL COMMENT '非系统发布指定用户',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、未发布。1、已发布。',
  `is_top` smallint(1) DEFAULT NULL COMMENT '置顶设置 1非置顶、  2置顶。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='通知公告';

-- ----------------------------
-- Records of train_notice
-- ----------------------------
INSERT INTO `train_notice` VALUES ('1323492028981579776', '数字化培训平台V1.0.1版本发布啦！', '数字化培训平台V1.0.1版本发布', '<p>新版本发布啦！</p>\n<p>新版修复了一些体验上的问题，视频播放更流畅；</p>\n<p>考试错题现在也能加入到错题本中进行练习。</p>', null, '1', '2', '1', '王莉', '001025', '2022-11-26 16:14:05');
INSERT INTO `train_notice` VALUES ('1323492315553206272', '平台使用须知，新用户必看！', '平台使用须知，新用户必看', '<p>新平台使用须知：</p>\n<p>1.请及时修改您的默认密码，并妥善保管您的账号密码；</p>\n<p>2.个人兴趣关注可在个人设置-兴趣关注中做调整；</p>\n<p>3.短视频发布上传后请等待后台审核，审核通过后才会进入视频列表中。</p>', null, '1', '1', '1', '王莉', '001025', '2020-12-01 16:13:55');
INSERT INTO `train_notice` VALUES ('1328577783802236928', 'APP上线了，欢迎下载。', 'APP上线了，欢迎下载。', '<p><img src=\"https://pxzx.post183.net/sftp/train/2020/11/17/49ada3de4cb34c88a66395e686dfc147.png\" width=\"256\" height=\"256\" /></p>', null, '0', '1', '1', '管理员', '001025', '2020-12-02 16:13:40');
INSERT INTO `train_notice` VALUES ('1579380081359458304', '公告', '2', '<p>2</p>', null, '1', '1', '1569970196410667008', '2', '001001001', '2022-11-25 16:14:01');

-- ----------------------------
-- Table structure for train_online_assess
-- ----------------------------
DROP TABLE IF EXISTS `train_online_assess`;
CREATE TABLE `train_online_assess` (
  `id` bigint(20) NOT NULL,
  `online_id` bigint(20) DEFAULT NULL COMMENT '短视频id',
  `assess_score` bigint(20) DEFAULT NULL COMMENT '评价分数（单人评分）',
  `assess_id` bigint(20) DEFAULT NULL COMMENT '评价人id。train_user的id',
  `assess_name` varchar(50) DEFAULT NULL COMMENT '评价人名字',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_online_assess
-- ----------------------------
INSERT INTO `train_online_assess` VALUES ('1621342012869578752', '1583408987863388160', '66', '1579374510346473472', '李昊杰', '2023-02-03 10:57:14', null);
INSERT INTO `train_online_assess` VALUES ('1621346858498658304', '1583408987863388160', '52', '1572825817233362944', '灿', '2023-02-03 11:16:29', null);
INSERT INTO `train_online_assess` VALUES ('1621406233632313344', '1583408987863388160', '100', '1565939234546782208', '王涵', '2023-02-03 15:12:26', null);

-- ----------------------------
-- Table structure for train_online_assess_detail
-- ----------------------------
DROP TABLE IF EXISTS `train_online_assess_detail`;
CREATE TABLE `train_online_assess_detail` (
  `id` bigint(20) NOT NULL,
  `online_assess_id` bigint(20) DEFAULT NULL COMMENT '短视频评价id (pid)',
  `assess_content_id` bigint(20) DEFAULT NULL COMMENT '评价项目id',
  `assess_content_name` varchar(255) DEFAULT NULL COMMENT '评价项目',
  `assess_content_score` bigint(20) DEFAULT NULL COMMENT '评分',
  `assess_content_init_score` bigint(20) DEFAULT NULL COMMENT '初始化分数',
  `create_id` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_online_assess_detail
-- ----------------------------
INSERT INTO `train_online_assess_detail` VALUES ('1621342013578416128', '1621342012869578752', '1620687648786092032', '逻辑清晰', '55', '88', '1579374510346473472', '2023-02-03 10:57:14');
INSERT INTO `train_online_assess_detail` VALUES ('1621342013595193344', '1621342012869578752', '1620688740538257408', '推广性强', '10', '11', '1579374510346473472', '2023-02-03 10:57:14');
INSERT INTO `train_online_assess_detail` VALUES ('1621342013603581952', '1621342012869578752', '1620689594351751168', '设计合理', '1', '1', '1579374510346473472', '2023-02-03 10:57:14');
INSERT INTO `train_online_assess_detail` VALUES ('1621346859090055168', '1621346858498658304', '1620687648786092032', '逻辑清晰', '44', '88', '1572825817233362944', '2023-02-03 11:16:29');
INSERT INTO `train_online_assess_detail` VALUES ('1621346859102638080', '1621346858498658304', '1620688740538257408', '推广性强', '7', '11', '1572825817233362944', '2023-02-03 11:16:29');
INSERT INTO `train_online_assess_detail` VALUES ('1621346859111026688', '1621346858498658304', '1620689594351751168', '设计合理', '1', '1', '1572825817233362944', '2023-02-03 11:16:29');
INSERT INTO `train_online_assess_detail` VALUES ('1621406234148212736', '1621406233632313344', '1620687648786092032', '逻辑清晰', '88', '88', '1565939234546782208', '2023-02-03 15:12:25');
INSERT INTO `train_online_assess_detail` VALUES ('1621406234550865920', '1621406233632313344', '1620688740538257408', '推广性强', '11', '11', '1565939234546782208', '2023-02-03 15:12:25');
INSERT INTO `train_online_assess_detail` VALUES ('1621406234945130496', '1621406233632313344', '1620689594351751168', '设计合理', '1', '1', '1565939234546782208', '2023-02-03 15:12:25');

-- ----------------------------
-- Table structure for train_plan
-- ----------------------------
DROP TABLE IF EXISTS `train_plan`;
CREATE TABLE `train_plan` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `year` int(11) DEFAULT NULL COMMENT '年度',
  `code` varchar(20) DEFAULT NULL COMMENT '计划编号',
  `name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `contact_person` varchar(10) DEFAULT NULL COMMENT '联系人',
  `contact_tel` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `target` varchar(255) DEFAULT NULL COMMENT '培训对象',
  `three_lv_leader` smallint(6) DEFAULT NULL COMMENT '是否包含三级领导：1、是。0、否。',
  `four_lv_leader` smallint(6) DEFAULT NULL COMMENT '是否包含三级领导：1、是。0、否。',
  `train_start_time` datetime DEFAULT NULL COMMENT '拟办开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '拟办结束时间',
  `type` smallint(6) DEFAULT NULL COMMENT '培训类型：1、集中。2、远程。3、集中+远程。',
  `train_day` int(11) DEFAULT NULL COMMENT '培训天数',
  `class_hour` int(11) DEFAULT NULL COMMENT '培训时长',
  `site` varchar(50) DEFAULT NULL COMMENT '培训地点',
  `lat` varchar(20) DEFAULT NULL COMMENT '经度',
  `lng` varchar(20) DEFAULT NULL COMMENT '维度',
  `num` int(11) DEFAULT NULL COMMENT '培训人数',
  `content` varchar(1024) DEFAULT NULL COMMENT '培训内容',
  `budget` bigint(20) DEFAULT NULL COMMENT '培训预算',
  `num_offline` int(3) DEFAULT '0' COMMENT '集中创建次数',
  `limit_offline` int(3) DEFAULT NULL COMMENT '集中创建次数上限',
  `num_online` int(3) DEFAULT '0' COMMENT '远程创建次数',
  `limit_online` int(3) DEFAULT NULL COMMENT '远程创建次数上限',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、已拒绝。1、待审核。10、已通过。20、进行中。30、集中创建完成。40、远程创建完成。',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训计划';

-- ----------------------------
-- Records of train_plan
-- ----------------------------
INSERT INTO `train_plan` VALUES ('130453467331607919', '2023', '202309250006', '2023第四季度员工培训计划', '1323441314737557504', '001001', '001001', '河南省本部', '1323441857514049545', '001001005', '培训部', '1301371223997026304', '006', '综合', '高志远', '15225279244', '公司员工', null, null, '2023-09-01 00:00:00', '2023-09-01 00:00:00', '1', null, null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '100', '公司员工技能培训', '1000000', '0', '100', '0', '0', '10', null, '1590543166828843008', '张磊', '001001001', '2023-09-25 09:11:37');
INSERT INTO `train_plan` VALUES ('1594585471550361600', '2022', '202211210031', '数据库操作培训第一季度', '1323441314733363200', '001', '001', '河南省分公司本部', null, null, null, '1301371223997026304', '006', '综合', '李四', '15748745687', '社会对象', null, null, '2022-11-01 00:00:00', '2022-11-01 00:00:00', '3', null, null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121培训库课程-a1121', '157835', '30', '30', '1', '30', '20', null, '1569970196410667008', '李露露', '001041', '2022-11-21 14:56:17');
INSERT INTO `train_plan` VALUES ('1596331640714563584', '2022', '202211260032', '数据库操作培训第二季度', '1323441314733363200', '001', '001', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1301371132523450368', '004', '渠道', '刘芳', '15838150666', '全体', null, null, '2022-11-01 00:00:00', '2022-11-01 00:00:00', '1', null, null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '10', '2022年11月26日培训计划', '1000000', '1', '6', '0', '0', '50', null, '1590543166828843008', '张磊', '001071', '2022-11-26 10:34:56');
INSERT INTO `train_plan` VALUES ('1597514699832954880', '2022', '202211290040', '数据库操作培训第三季度', '1323441314733363200', '001', '001', '河南省分公司本部', null, null, null, '1301371085220089856', '003', '寄递', '瑞如', '13678211111', '8778', null, null, '2022-11-01 00:00:00', '2022-11-01 00:00:00', '1', null, null, '河南省郑州市金水区杨金路街道中升教育河南集训基地郑东新区', '34.843156', '113.743082', '2', '怕怕怕怕怕怕怕怕', null, '7', '10', '0', '0', '20', null, '1590648570632081408', '张芳芳', '001025', '2022-11-29 16:56:00');
INSERT INTO `train_plan` VALUES ('1598950921180680192', '2022', '202212030033', '数据库操作培训第四季度', '1323441314737557506', '001003', '001003', '河南省报刊发行局', '1323441857518243845', '001003002', '非领导职务部门', '1301371132523450368', '004', '渠道', '刘丽丽', '15838150622', '全体', null, null, '2022-12-01 00:00:00', '2022-12-01 00:00:00', '3', null, null, null, null, null, '15', '123培训班', '100000', '1', '5', '0', '5', '20', null, '1590543166828843008', '张磊', '001001001', '2022-12-03 16:03:01');
INSERT INTO `train_plan` VALUES ('1601140540873773056', '2022', '202212090001', '理财培训计划第一季度', '1323441314737557504', '001001', '001001', '河南省培训中心', null, null, null, '1301371027162533888', '002', '金融', '告知有', '15225279244', '23233', null, null, '2022-12-01 00:00:00', '2022-12-01 00:00:00', '1', null, null, null, null, null, '300', '的方式发送', null, '2', '10', '0', '0', '20', null, '1583278909414313984', '测试省级', '001001001', '2022-12-09 17:03:47');
INSERT INTO `train_plan` VALUES ('1640981263219298304', '2023', '202303290003', '理财培训计划第二季度', '1323441314737557504', '001001', '001001', '河南省培训中心', null, null, null, '1301371027162533888', '002', '金融', '高志远', '15225279244', '员工', null, null, '2023-03-01 00:00:00', '2023-03-01 00:00:00', '3', null, null, null, null, null, '100', '培训人员能力培训', null, '2', '999', '2', '999', '20', null, '1327473526785052672', '高志远', '001071', '2023-03-29 15:36:36');
INSERT INTO `train_plan` VALUES ('1691377667674345472', '2023', '202308150004', '理财培训计划第三季度', '1323441314737557504', '001001', '001001', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '1301371027162533888', '002', '金融', '李路', '15713872512', '测试部门', null, null, '2023-08-01 00:00:00', '2023-08-01 00:00:00', '1', null, null, '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.843966', '113.743703', '30', '培训线下课程', '100000', '1', '20', '0', '0', '20', null, '1327473526785052672', '高志远', '001001005', '2023-08-15 17:13:55');
INSERT INTO `train_plan` VALUES ('1691385409055100928', '2023', '202308150005', '理财培训计划第四季度', '1323441314733363200', '001', '001', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1301371945044021248', '002001', '保险业务', '李露', '15713872547', '社会人士', null, null, '2023-08-01 00:00:00', '2023-08-01 00:00:00', '1', null, null, null, null, null, '30', '正常培训线上课程', '100000', '1', '6', '0', '0', '20', null, '1', '主宰', '001025', '2023-08-15 17:44:41');

-- ----------------------------
-- Table structure for train_plan_fee
-- ----------------------------
DROP TABLE IF EXISTS `train_plan_fee`;
CREATE TABLE `train_plan_fee` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `plan_id` bigint(20) DEFAULT NULL COMMENT '计划id',
  `meal_fee` bigint(20) DEFAULT '0' COMMENT '餐费/天（单位：分）',
  `hotel_fee` bigint(20) DEFAULT '0' COMMENT '住宿费/天（单位：分）',
  `school_fee` bigint(20) DEFAULT '0' COMMENT '学习用品（单位：分）用品用具费',
  `teacher_fee` bigint(20) DEFAULT '0' COMMENT '教师酬金（单位：分）讲师费用',
  `train_fee` bigint(20) DEFAULT '0' COMMENT '培训费（单位：分）',
  `traffic_fee` bigint(20) DEFAULT '0' COMMENT '交通费（单位：分）租车费',
  `souvenir_fee` bigint(20) DEFAULT '0' COMMENT '纪念品（单位：分）差旅费',
  `education_fee` bigint(20) DEFAULT '0' COMMENT '考务费（单位：分）',
  `training_fee` bigint(20) DEFAULT '0' COMMENT '扩展训练（单位：分）去掉',
  `inner_training_fee` bigint(20) DEFAULT '0' COMMENT '内训费（单位：分）内训师教酬',
  `site_fee` bigint(20) DEFAULT '0' COMMENT '场地费（单位：分）',
  `tax_fee` bigint(20) DEFAULT '0' COMMENT '税款（单位：分）去掉',
  `datum_fee` bigint(20) DEFAULT '0' COMMENT '资料费（单位：分）',
  `budget` bigint(20) DEFAULT '0' COMMENT '培训预算（单位：分）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训计划费用设置';

-- ----------------------------
-- Records of train_plan_fee
-- ----------------------------
INSERT INTO `train_plan_fee` VALUES ('130453467610825572', '130453467331607919', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1556456593942515712', '1556456591505625088', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1562349761061851136', '1562349759270883328', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '999900');
INSERT INTO `train_plan_fee` VALUES ('1562723509019480064', '1562723505257189376', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1564126239134978048', '1564126237058797568', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1500000');
INSERT INTO `train_plan_fee` VALUES ('1564162075352240128', '1564162072172957696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1564176375336800256', '1564176373382254592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20000000');
INSERT INTO `train_plan_fee` VALUES ('1564518007080882176', '1564518005419937792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1564521761473695744', '1564521759267491840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1564522359883436032', '1564522357081640960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1564544086055194624', '1564544084452970496', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1564790745980866560', '1564790744189898752', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1564888304858566656', '1564888303189233664', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1564890003761401856', '1564890002159177728', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1564896752488812544', '1564896750538461184', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10000');
INSERT INTO `train_plan_fee` VALUES ('1565162391652667392', '1565162389870088192', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565619278487621632', '1565619278084968448', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565619431948816384', '1565619431525191680', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565619613293744128', '1565619612870119424', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565621333881131008', '1565621333495255040', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565621692305379328', '1565621691936280576', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565624373879115776', '1565624373468073984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1565624583514624000', '1565624583111970816', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1566727523935588352', '1566727523369357312', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12300');
INSERT INTO `train_plan_fee` VALUES ('1567789230195871744', '1567789229789024256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1567789721847992320', '1567789721441144832', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1567789935942045696', '1567789935489060864', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12300');
INSERT INTO `train_plan_fee` VALUES ('1567791937795264512', '1567791937367445504', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12300');
INSERT INTO `train_plan_fee` VALUES ('1567793028045869056', '1567793027630632960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2000');
INSERT INTO `train_plan_fee` VALUES ('1567793628062027776', '1567793627646791680', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '23400');
INSERT INTO `train_plan_fee` VALUES ('1567794644467716096', '1567794644065062912', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1200');
INSERT INTO `train_plan_fee` VALUES ('1567796173698371584', '1567796173245386752', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12300');
INSERT INTO `train_plan_fee` VALUES ('1567810548819693568', '1567810548320571392', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '300000');
INSERT INTO `train_plan_fee` VALUES ('1567811920436793344', '1567811920067694592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12300');
INSERT INTO `train_plan_fee` VALUES ('1569646397093974016', '1569646396963950592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1569883817563525120', '1569883817492221952', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '11000000');
INSERT INTO `train_plan_fee` VALUES ('1569894819294220288', '1569894819201945600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1569898268245233664', '1569898268102627328', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1569924036014772224', '1569924035524038656', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1569938025318846464', '1569938025188823040', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10000');
INSERT INTO `train_plan_fee` VALUES ('1569954609051602944', '1569954608648949760', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1569980745953447936', '1569980745836007424', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100045');
INSERT INTO `train_plan_fee` VALUES ('1569981764686974976', '1569981764502425600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '434300');
INSERT INTO `train_plan_fee` VALUES ('1572035332369682432', '1572035330373193728', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10000');
INSERT INTO `train_plan_fee` VALUES ('1572404701515878400', '1572404701343911936', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8933');
INSERT INTO `train_plan_fee` VALUES ('1572405901493669888', '1572405899660759040', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1572793192032636928', '1572793191894224896', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1572878594852655104', '1572878594689077248', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1573148561460301824', '1573148561300918272', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1573149474736443392', '1573149474635780096', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100099');
INSERT INTO `train_plan_fee` VALUES ('1574690774942093312', '1574690774564605952', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1575324262653366272', '1575324260937895936', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200000');
INSERT INTO `train_plan_fee` VALUES ('1575325132589764608', '1575325132472324096', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1575694377081245696', '1575694376674398208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1575694727695699968', '1575694727334989824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1575695229070217216', '1575695228998914048', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1575729770946236416', '1575729770510028800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1579722077341093888', '1579722077160738816', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1579723024687566848', '1579723024578514944', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1579723819961159680', '1579723819835330560', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1579724125079998464', '1579724124996112384', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1579756619099672576', '1579756618948677632', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1580068400170930176', '1580068400112209920', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '500000');
INSERT INTO `train_plan_fee` VALUES ('1580068905966243840', '1580068905538424832', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '9900');
INSERT INTO `train_plan_fee` VALUES ('1580114810119524352', '1580114809758814208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12300');
INSERT INTO `train_plan_fee` VALUES ('1580123208986791936', '1580123208584138752', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10000');
INSERT INTO `train_plan_fee` VALUES ('1582675047741526016', '1582675047649251328', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50000');
INSERT INTO `train_plan_fee` VALUES ('1583294694803247104', '1583294694719361024', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '158900');
INSERT INTO `train_plan_fee` VALUES ('1583316304130084864', '1583316304054587392', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1583346623289888768', '1583346623210196992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1583705960264896512', '1583705958499094528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '44400');
INSERT INTO `train_plan_fee` VALUES ('1583721686971322368', '1583721686904213504', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1583722016723308544', '1583722016647811072', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1583723357935898624', '1583723356295925760', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1583738937757798400', '1583738937669718016', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1584722911539892224', '1584722909803450368', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1585275486391635968', '1585275486320332800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1500');
INSERT INTO `train_plan_fee` VALUES ('1585280479047847936', '1585280478980739072', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1585459583776854016', '1585459583697162240', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1588043080852967424', '1588043080735526912', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1591966352086798336', '1591966351977746432', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1591970848682676224', '1591970848594595840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15022');
INSERT INTO `train_plan_fee` VALUES ('1591991852754669568', '1591991852674977792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1592026907573096448', '1592026907501793280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1592329128013598720', '1592329127896158208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1592352551402082304', '1592352551293030400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1592811344678227968', '1592811343038255104', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15836');
INSERT INTO `train_plan_fee` VALUES ('1592868443969949696', '1592868442380308480', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1593497002245754880', '1593497000475758592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '120000');
INSERT INTO `train_plan_fee` VALUES ('1593815167974641664', '1593815166217228288', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20000');
INSERT INTO `train_plan_fee` VALUES ('1594241644188798976', '1594241640934019072', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15632');
INSERT INTO `train_plan_fee` VALUES ('1594501605229727744', '1594501602352435200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1594522349552668672', '1594522349460393984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20000');
INSERT INTO `train_plan_fee` VALUES ('1594585474155024384', '1594585471550361600', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '157835');
INSERT INTO `train_plan_fee` VALUES ('1596331640790061056', '1596331640714563584', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1000000');
INSERT INTO `train_plan_fee` VALUES ('1597514701410013184', '1597514699832954880', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1598950921285537792', '1598950921180680192', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100000');
INSERT INTO `train_plan_fee` VALUES ('1601140542543106048', '1601140540873773056', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1640981263521288192', '1640981263219298304', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `train_plan_fee` VALUES ('1691377669423370240', '1691377667674345472', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100000');
INSERT INTO `train_plan_fee` VALUES ('1691385410586021888', '1691385409055100928', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100000');

-- ----------------------------
-- Table structure for train_questionnaire
-- ----------------------------
DROP TABLE IF EXISTS `train_questionnaire`;
CREATE TABLE `train_questionnaire` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `name` varchar(30) DEFAULT NULL COMMENT '标题',
  `describes` varchar(200) DEFAULT NULL COMMENT '描述',
  `scope` smallint(6) DEFAULT NULL COMMENT '调查范围：1、不公开。2、公开',
  `qr_code` json DEFAULT NULL COMMENT '不公开二维码地址',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `state` smallint(6) DEFAULT NULL COMMENT '状态 （0. 待发布 1. 未开始 2. 进行中 3.已结束  ）',
  `survey_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `survey_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷';

-- ----------------------------
-- Records of train_questionnaire
-- ----------------------------
INSERT INTO `train_questionnaire` VALUES ('128122655261317314', '培训效果调查', '培训效果调查', '2', null, '1301398904977362944', '006003', '企业文化', '2', '2023-09-22 16:21:12', '2023-11-30 16:21:23', '1590543166828843008', '张磊', '001001001', '2023-09-22 16:26:55');
INSERT INTO `train_questionnaire` VALUES ('1564450601608286208', '餐厅伙食调查问卷', '1111111111111111111111111', '1', '[{\"name\": \"a393e15c1b2b432bb86d471f85ccab6f.png\", \"path\": \"/train/2022/8/30/a393e15c1b2b432bb86d471f85ccab6f.png\"}]', '1301371027162533888', '002', '金融', '3', '2022-08-01 11:09:57', '2023-08-31 11:10:01', '1561995446459699200', '李昊杰', '001025', '2022-08-30 11:11:07');
INSERT INTO `train_questionnaire` VALUES ('1570614680051912704', '住宿环境调查问卷', '', '1', '[{\"name\": \"4cdba2362d69467f9c233a22ef6f9c92.png\", \"path\": \"/train/2022/9/16/4cdba2362d69467f9c233a22ef6f9c92.png\"}]', '1301397857819037696', '003001', '寄递业务', '3', '2022-09-16 11:24:27', '2022-09-17 11:24:31', '1570604410206294016', '张磊', '001071', '2022-09-16 11:24:55');
INSERT INTO `train_questionnaire` VALUES ('1571747379546296320', 'APP使用调查问卷', null, '1', '[{\"name\": \"d7fc2022bec34c0f8ad68f3de240004f.png\", \"path\": \"/train/2022/9/19/d7fc2022bec34c0f8ad68f3de240004f.png\"}]', '1301371945044021248', '002001', '保险业务', '3', '2022-09-19 14:57:19', '2022-09-22 14:57:27', '1569970196410667008', '李露露', '001001001', '2022-09-19 14:25:52');

-- ----------------------------
-- Table structure for train_questionnaire_answer
-- ----------------------------
DROP TABLE IF EXISTS `train_questionnaire_answer`;
CREATE TABLE `train_questionnaire_answer` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `questionnaire_id` bigint(20) DEFAULT NULL COMMENT '问卷id',
  `questionnaire_bank_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  `questionnaire_option_id` bigint(20) DEFAULT NULL COMMENT '选项id',
  `content` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷答案';

-- ----------------------------
-- Records of train_questionnaire_answer
-- ----------------------------
INSERT INTO `train_questionnaire_answer` VALUES ('1579036639450238976', '1567097186544652288', '1579033288020987904', '1579033290587901952', '1579033290608873475', null);
INSERT INTO `train_questionnaire_answer` VALUES ('1579036639450238977', '1567097186544652288', '1579033288020987904', '1579033290608873476', '1579033290608873480', null);
INSERT INTO `train_questionnaire_answer` VALUES ('1579037535739449344', '1555010577007513600', '1579030867936940032', '1579030870369636352', null, '好的');

-- ----------------------------
-- Table structure for train_questionnaire_bank
-- ----------------------------
DROP TABLE IF EXISTS `train_questionnaire_bank`;
CREATE TABLE `train_questionnaire_bank` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `questionnaire_id` bigint(20) DEFAULT NULL COMMENT '问卷id',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、多选。2、单选。3、问答题。',
  `content` varchar(200) DEFAULT NULL COMMENT '题目内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷题库';

-- ----------------------------
-- Records of train_questionnaire_bank
-- ----------------------------
INSERT INTO `train_questionnaire_bank` VALUES ('128122655528666514', '128122655261317314', '1', '教学方法是否适合本次培训主题');
INSERT INTO `train_questionnaire_bank` VALUES ('128122655574971183', '128122655261317314', '2', '培训讲师讲授是否通俗易懂');
INSERT INTO `train_questionnaire_bank` VALUES ('128122655575627614', '128122655261317314', '3', '哪些内容需要增加或删减');
INSERT INTO `train_questionnaire_bank` VALUES ('128122655575864762', '128122655261317314', '2', '培训讲师对教学内容、培训目标的阐述是否具体、完整、明确');
INSERT INTO `train_questionnaire_bank` VALUES ('128122655576760759', '128122655261317314', '1', '参加此次培训，你觉得有哪些收益');
INSERT INTO `train_questionnaire_bank` VALUES ('1564450614946172928', '1564450601608286208', '3', '11111');
INSERT INTO `train_questionnaire_bank` VALUES ('1564450614983921664', '1564450601608286208', '1', '22222');
INSERT INTO `train_questionnaire_bank` VALUES ('1564450614983921669', '1564450601608286208', '2', '33333');
INSERT INTO `train_questionnaire_bank` VALUES ('1570614681427644416', '1570614680051912704', '1', '12');
INSERT INTO `train_questionnaire_bank` VALUES ('1571759220683051008', '1571747379546296320', '3', '1');
INSERT INTO `train_questionnaire_bank` VALUES ('1571759220683051009', '1571747379546296320', '2', '史学家陈寅恪在评述“武');
INSERT INTO `train_questionnaire_bank` VALUES ('1571759220683051013', '1571747379546296320', '2', '史学家陈寅恪在评述“武周之代李唐”的历史意义时说，此“不仅为政治之变迁，实亦社会之革命。”此处“社会之革命”是指');
INSERT INTO `train_questionnaire_bank` VALUES ('1579030870369636352', '1579030867936940032', '3', 'JJJII');
INSERT INTO `train_questionnaire_bank` VALUES ('1579031876079849472', '1579031873559072768', '2', 'gdfgd');
INSERT INTO `train_questionnaire_bank` VALUES ('1579033290587901952', '1579033288020987904', '2', 'wrgwe');
INSERT INTO `train_questionnaire_bank` VALUES ('1579033290608873476', '1579033288020987904', '2', 'asdfvazsdc');

-- ----------------------------
-- Table structure for train_questionnaire_dept
-- ----------------------------
DROP TABLE IF EXISTS `train_questionnaire_dept`;
CREATE TABLE `train_questionnaire_dept` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `questionnaire_id` bigint(20) DEFAULT NULL COMMENT '调查问卷id',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷部门';

-- ----------------------------
-- Records of train_questionnaire_dept
-- ----------------------------
INSERT INTO `train_questionnaire_dept` VALUES ('1564450615881502720', '1564450601608286208', '1366299625929183232');
INSERT INTO `train_questionnaire_dept` VALUES ('1570614681545084928', '1570614680051912704', '1366299625929183232');
INSERT INTO `train_questionnaire_dept` VALUES ('1571759220750159872', '1571747379546296320', '1323441857501466624');

-- ----------------------------
-- Table structure for train_questionnaire_option
-- ----------------------------
DROP TABLE IF EXISTS `train_questionnaire_option`;
CREATE TABLE `train_questionnaire_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `questionnaire_bank_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  `is_other` smallint(1) DEFAULT NULL COMMENT '是否其他选项：1、是。 0、不是。',
  `content` varchar(2000) DEFAULT NULL,
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷题目选项';

-- ----------------------------
-- Records of train_questionnaire_option
-- ----------------------------
INSERT INTO `train_questionnaire_option` VALUES ('128122655574177299', '128122655528666514', '0', '适合', '1');
INSERT INTO `train_questionnaire_option` VALUES ('128122655574813349', '128122655528666514', '0', '不适合', '2');
INSERT INTO `train_questionnaire_option` VALUES ('128122655575351913', '128122655574971183', '0', '是', '1');
INSERT INTO `train_questionnaire_option` VALUES ('128122655575492656', '128122655574971183', '0', '否', '2');
INSERT INTO `train_questionnaire_option` VALUES ('128122655576183243', '128122655575864762', '0', '优', '1');
INSERT INTO `train_questionnaire_option` VALUES ('128122655576407071', '128122655575864762', '0', '良', '2');
INSERT INTO `train_questionnaire_option` VALUES ('128122655576524229', '128122655575864762', '0', '中', '3');
INSERT INTO `train_questionnaire_option` VALUES ('128122655576638848', '128122655575864762', '0', '差', '4');
INSERT INTO `train_questionnaire_option` VALUES ('128122655577322038', '128122655576760759', '0', '接触到一些适用的新知识', '1');
INSERT INTO `train_questionnaire_option` VALUES ('128122655577447681', '128122655576760759', '0', '获得一些可以用在工作上的技巧及技术', '2');
INSERT INTO `train_questionnaire_option` VALUES ('128122655577565353', '128122655576760759', '0', '帮助我改变自己的工作态度', '3');
INSERT INTO `train_questionnaire_option` VALUES ('128122655577680846', '128122655576760759', '0', '给了我一个客观认识自己及从事工作的机会', '4');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921665', '1564450614983921664', '0', '1111', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921666', '1564450614983921664', '1', '2222', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921667', '1564450614983921664', '0', '33333', '3');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921668', '1564450614983921664', '0', '444444', '4');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921670', '1564450614983921669', '0', '11', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921671', '1564450614983921669', '0', '22', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921672', '1564450614983921669', '0', '33', '3');
INSERT INTO `train_questionnaire_option` VALUES ('1564450614983921673', '1564450614983921669', '1', '44', '4');
INSERT INTO `train_questionnaire_option` VALUES ('1570614681473781760', '1570614681427644416', '0', '1', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1570614681473781761', '1570614681427644416', '0', '2', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1571759220683051010', '1571759220683051009', '1', '重用酷吏，实行法治', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1571759220683051011', '1571759220683051009', '0', '女皇当政，任用女官', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1571759220683051012', '1571759220683051009', '0', '32332323', '3');
INSERT INTO `train_questionnaire_option` VALUES ('1571759220683051014', '1571759220683051013', '1', '重用酷吏，实行法治', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1571759220683051015', '1571759220683051013', '0', '女皇当政，任用女官', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1579031876079849473', '1579031876079849472', '0', 'r', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1579031876079849474', '1579031876079849472', '0', 'r555', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1579031876079849475', '1579031876079849472', '0', '555', '3');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873472', '1579033290587901952', '1', 'sss', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873473', '1579033290587901952', '0', 's', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873474', '1579033290587901952', '0', 'sssss', '3');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873475', '1579033290587901952', '0', 'wqqwqq', '4');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873477', '1579033290608873476', '0', 'axczczxc', '1');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873478', '1579033290608873476', '0', 'sdaas', '2');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873479', '1579033290608873476', '0', 'dddd', '3');
INSERT INTO `train_questionnaire_option` VALUES ('1579033290608873480', '1579033290608873476', '1', 'wwww', '4');

-- ----------------------------
-- Table structure for train_questionnaire_user
-- ----------------------------
DROP TABLE IF EXISTS `train_questionnaire_user`;
CREATE TABLE `train_questionnaire_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `questionnaire_id` bigint(20) DEFAULT NULL COMMENT '问卷id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='调查问卷用户';

-- ----------------------------
-- Records of train_questionnaire_user
-- ----------------------------
INSERT INTO `train_questionnaire_user` VALUES ('1579036639676731392', '1567097186544652288', '1579033288020987904', '2022-10-09 17:10:47');
INSERT INTO `train_questionnaire_user` VALUES ('1579037535877861376', '1555010577007513600', '1579030867936940032', '2022-10-09 17:14:20');

-- ----------------------------
-- Table structure for train_question_bank
-- ----------------------------
DROP TABLE IF EXISTS `train_question_bank`;
CREATE TABLE `train_question_bank` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、多选。2、单选。3、判断。4、填空。',
  `content` varchar(200) DEFAULT NULL COMMENT '题目内容',
  `answer` varchar(200) DEFAULT NULL COMMENT '答案',
  `analysis` varchar(200) DEFAULT NULL COMMENT '解析',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='题库';

-- ----------------------------
-- Records of train_question_bank
-- ----------------------------
INSERT INTO `train_question_bank` VALUES ('1555166849610682368', '1301371132523450368', '004', '渠道', '2', '今天是不是没有了？', '2', '今天是不是没有了？', '1', '主宰', '001025', '2022-08-04 20:20:45');
INSERT INTO `train_question_bank` VALUES ('1555172122211520512', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', '111', '222', '1', '主宰', '001025', '2022-08-04 20:41:42');
INSERT INTO `train_question_bank` VALUES ('1565599708985036800', '1301371027162533888', '002', '金融', '1', '测试多选1', '1,2', '123', '1', '主宰', '001025', '2022-09-02 15:17:13');
INSERT INTO `train_question_bank` VALUES ('1565599818619949056', '1301371027162533888', '002', '金融', '1', '测试多选2', '2,3', 'D', '1', '主宰', '001025', '2022-09-02 15:17:39');
INSERT INTO `train_question_bank` VALUES ('1565599954716725248', '1301371027162533888', '002', '金融', '1', '测试多选3', '3,4', '选择D', '1', '主宰', '001025', '2022-09-02 15:18:11');
INSERT INTO `train_question_bank` VALUES ('1565600060362854400', '1301371027162533888', '002', '金融', '2', '测试单选1', '1', '选择D', '1', '主宰', '001025', '2022-09-02 15:18:36');
INSERT INTO `train_question_bank` VALUES ('1565600155321896960', '1301371027162533888', '002', '金融', '2', '测试单选2', '2', '选择D', '1', '主宰', '001025', '2022-09-02 15:18:59');
INSERT INTO `train_question_bank` VALUES ('1567438007970172928', '1301371027162533888', '002', '金融', '3', '你是人吗', '2', '你不是人', '1', '主宰', '001025', '2022-09-07 17:01:57');
INSERT INTO `train_question_bank` VALUES ('1568123158882553856', '1301371945044021248', '002001', '保险业务', '2', '单选题', 'A', '', '1567046004463767552', '刘国灿', '001025', '2022-09-09 14:24:30');
INSERT INTO `train_question_bank` VALUES ('1570220154791530496', '1301371995069485056', '002002', '金融业务', '1', '金融业务管理', '1,2,3', '', '1', '主宰', '001025', '2022-09-15 09:17:13');
INSERT INTO `train_question_bank` VALUES ('1579714246483251200', '1301371945044021248', '002001', '保险业务', '1', '史学家陈寅恪在评述“武周之代李唐”的历史意义时说，此“不仅为政治之变迁，实亦社会之革命。”此处“社会之革命”是指', '3,2', '实亦社会之革命。”此处“社会之革命”是指实亦社会之革命。”此处“社会之革命”是指', '1569970196410667008', '李露露', '001001001', '2022-10-11 14:03:21');
INSERT INTO `train_question_bank` VALUES ('1636287294606544896', '1301398461240971264', '005002', '报刊', '2', '单选0316001', '1', '单选1单选1', '1', '主宰', '001025', '2023-03-16 16:44:27');
INSERT INTO `train_question_bank` VALUES ('1636287663050985472', '1301371945044021248', '002001', '保险业务', '2', '单选0316002', '1', '112', '1', '主宰', '001025', '2023-03-16 16:45:54');
INSERT INTO `train_question_bank` VALUES ('1636287749046800384', '1301371945044021248', '002001', '保险业务', '2', '单选0316003', '1', '单选0316003', '1', '主宰', '001025', '2023-03-16 16:46:15');
INSERT INTO `train_question_bank` VALUES ('1636287874880114688', '1301371945044021248', '002001', '保险业务', '1', '多选0316001', '1,2', '多选0316001', '1', '主宰', '001025', '2023-03-16 16:46:45');
INSERT INTO `train_question_bank` VALUES ('1636287997513175040', '1301371945044021248', '002001', '保险业务', '1', '多选0316002', '1,3', '', '1', '主宰', '001025', '2023-03-16 16:47:14');
INSERT INTO `train_question_bank` VALUES ('1636288088433102848', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', '1', '判断0316001', '1', '主宰', '001025', '2023-03-16 16:47:36');
INSERT INTO `train_question_bank` VALUES ('1636288201511538688', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', '1', '判断0316002', '1', '主宰', '001025', '2023-03-16 16:48:03');
INSERT INTO `train_question_bank` VALUES ('1636288303147913216', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', '填空0316001', '填空0316001', '1', '主宰', '001025', '2023-03-16 16:48:27');

-- ----------------------------
-- Table structure for train_question_option
-- ----------------------------
DROP TABLE IF EXISTS `train_question_option`;
CREATE TABLE `train_question_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `question_bank_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  `content` varchar(100) DEFAULT NULL COMMENT '选项内容',
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='考题选项';

-- ----------------------------
-- Records of train_question_option
-- ----------------------------
INSERT INTO `train_question_option` VALUES ('1555166850348879872', '1555166849610682368', '今天是不是没有了？', '0');
INSERT INTO `train_question_option` VALUES ('1555166850348879873', '1555166849610682368', '今天是不是没有了？', '1');
INSERT INTO `train_question_option` VALUES ('1555166850348879874', '1555166849610682368', '今天是不是没有了？', '2');
INSERT INTO `train_question_option` VALUES ('1555166850348879875', '1555166849610682368', '今天是不是没有了？', '3');
INSERT INTO `train_question_option` VALUES ('1565599709232500736', '1565599708985036800', '测试A', '0');
INSERT INTO `train_question_option` VALUES ('1565599709232500737', '1565599708985036800', '测试B', '1');
INSERT INTO `train_question_option` VALUES ('1565599709232500738', '1565599708985036800', '测试C', '2');
INSERT INTO `train_question_option` VALUES ('1565599709232500739', '1565599708985036800', '测试D', '3');
INSERT INTO `train_question_option` VALUES ('1565599818821275652', '1565599818619949056', '测试A', '0');
INSERT INTO `train_question_option` VALUES ('1565599818821275653', '1565599818619949056', '测试B', '1');
INSERT INTO `train_question_option` VALUES ('1565599818821275654', '1565599818619949056', '测试C', '2');
INSERT INTO `train_question_option` VALUES ('1565599818825469952', '1565599818619949056', '测试D', '3');
INSERT INTO `train_question_option` VALUES ('1565599954930634752', '1565599954716725248', '选择A', '0');
INSERT INTO `train_question_option` VALUES ('1565599954930634753', '1565599954716725248', '选择B', '1');
INSERT INTO `train_question_option` VALUES ('1565599954930634754', '1565599954716725248', '选择C', '2');
INSERT INTO `train_question_option` VALUES ('1565599954930634755', '1565599954716725248', '选择D', '3');
INSERT INTO `train_question_option` VALUES ('1565600060551598084', '1565600060362854400', '选择A', '0');
INSERT INTO `train_question_option` VALUES ('1565600060551598085', '1565600060362854400', '选择B', '1');
INSERT INTO `train_question_option` VALUES ('1565600060551598086', '1565600060362854400', '选择C', '2');
INSERT INTO `train_question_option` VALUES ('1565600060551598087', '1565600060362854400', '选择D', '3');
INSERT INTO `train_question_option` VALUES ('1565600155552583680', '1565600155321896960', '选择A', '0');
INSERT INTO `train_question_option` VALUES ('1565600155552583681', '1565600155321896960', '选择B', '1');
INSERT INTO `train_question_option` VALUES ('1565600155552583682', '1565600155321896960', '选择C', '2');
INSERT INTO `train_question_option` VALUES ('1565600155552583683', '1565600155321896960', '选择D', '3');
INSERT INTO `train_question_option` VALUES ('1569526361830330368', '1568123158882553856', 'A', '0');
INSERT INTO `train_question_option` VALUES ('1569526361834524672', '1568123158882553856', 'B', '1');
INSERT INTO `train_question_option` VALUES ('1569526361834524673', '1568123158882553856', 'C', '2');
INSERT INTO `train_question_option` VALUES ('1569526361834524674', '1568123158882553856', 'D', '3');
INSERT INTO `train_question_option` VALUES ('1570220154862833664', '1570220154791530496', '1', '0');
INSERT INTO `train_question_option` VALUES ('1570220154862833665', '1570220154791530496', '2', '1');
INSERT INTO `train_question_option` VALUES ('1570220154862833666', '1570220154791530496', '3', '2');
INSERT INTO `train_question_option` VALUES ('1570220154862833667', '1570220154791530496', '4', '3');
INSERT INTO `train_question_option` VALUES ('1579714246600691712', '1579714246483251200', '史学家陈寅恪在评述“武周之代李唐”的历', '0');
INSERT INTO `train_question_option` VALUES ('1579714246609080320', '1579714246483251200', '史意义时说，此“不仅为政治之变迁，', '1');
INSERT INTO `train_question_option` VALUES ('1579714246609080321', '1579714246483251200', '实亦社会之革命。”此处“社会之革命”是指', '2');
INSERT INTO `train_question_option` VALUES ('1636287295424434176', '1636287294606544896', '11', '0');
INSERT INTO `train_question_option` VALUES ('1636287295428628480', '1636287294606544896', '22', '1');
INSERT INTO `train_question_option` VALUES ('1636287295428628481', '1636287294606544896', '33', '2');
INSERT INTO `train_question_option` VALUES ('1636287295428628482', '1636287294606544896', '44', '3');
INSERT INTO `train_question_option` VALUES ('1636287663910817796', '1636287663050985472', '1', '0');
INSERT INTO `train_question_option` VALUES ('1636287663910817797', '1636287663050985472', '2', '1');
INSERT INTO `train_question_option` VALUES ('1636287663910817798', '1636287663050985472', '3', '2');
INSERT INTO `train_question_option` VALUES ('1636287663910817799', '1636287663050985472', '4', '3');
INSERT INTO `train_question_option` VALUES ('1636287749722083332', '1636287749046800384', '1', '0');
INSERT INTO `train_question_option` VALUES ('1636287749722083333', '1636287749046800384', '2', '1');
INSERT INTO `train_question_option` VALUES ('1636287749722083334', '1636287749046800384', '3', '2');
INSERT INTO `train_question_option` VALUES ('1636287749722083335', '1636287749046800384', '4', '3');
INSERT INTO `train_question_option` VALUES ('1636287875622506500', '1636287874880114688', '1', '0');
INSERT INTO `train_question_option` VALUES ('1636287875622506501', '1636287874880114688', '1', '1');
INSERT INTO `train_question_option` VALUES ('1636287875622506502', '1636287874880114688', '3333', '2');
INSERT INTO `train_question_option` VALUES ('1636287875622506503', '1636287874880114688', '3333', '3');
INSERT INTO `train_question_option` VALUES ('1636287998180069380', '1636287997513175040', '1', '0');
INSERT INTO `train_question_option` VALUES ('1636287998180069381', '1636287997513175040', '332', '1');
INSERT INTO `train_question_option` VALUES ('1636287998180069382', '1636287997513175040', '1', '2');
INSERT INTO `train_question_option` VALUES ('1636287998180069383', '1636287997513175040', '12313', '3');

-- ----------------------------
-- Table structure for train_recommend
-- ----------------------------
DROP TABLE IF EXISTS `train_recommend`;
CREATE TABLE `train_recommend` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1，课程。2，讲师。',
  `prop` varchar(20) DEFAULT NULL COMMENT '属性',
  `val` int(11) DEFAULT NULL COMMENT '值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='推荐设置';

-- ----------------------------
-- Records of train_recommend
-- ----------------------------
INSERT INTO `train_recommend` VALUES ('128055880358804377', '1', 'courseRecommendNum', '2');
INSERT INTO `train_recommend` VALUES ('128055880467291188', '1', 'courseViewNum', '10');
INSERT INTO `train_recommend` VALUES ('128055880591194848', '1', 'courseLikeNum', '20');
INSERT INTO `train_recommend` VALUES ('128055880692632443', '1', 'courseShareNum', '10');
INSERT INTO `train_recommend` VALUES ('128055880817621385', '1', 'courseViewLen', '40');
INSERT INTO `train_recommend` VALUES ('128055880919265656', '1', 'courseScore', '20');
INSERT INTO `train_recommend` VALUES ('1608371358457270272', '2', 'trainerRecommendNum', '5');
INSERT INTO `train_recommend` VALUES ('1608371358662791168', '2', 'topTrainerNum', '5');
INSERT INTO `train_recommend` VALUES ('1608371358864117760', '2', 'trainerLv', '20');
INSERT INTO `train_recommend` VALUES ('1608371359073832960', '2', 'trainerShareNum', '20');
INSERT INTO `train_recommend` VALUES ('1608371359287742464', '2', 'trainerVideoNum', '10');
INSERT INTO `train_recommend` VALUES ('1608371359501651968', '2', 'trainerCourseViewNum', '10');
INSERT INTO `train_recommend` VALUES ('1608371359707172864', '2', 'trainerCourseLikeNum', '10');
INSERT INTO `train_recommend` VALUES ('1608371359912693760', '2', 'trainerFansNum', '10');
INSERT INTO `train_recommend` VALUES ('1608371360126603264', '2', 'trainerScore', '20');

-- ----------------------------
-- Table structure for train_rule
-- ----------------------------
DROP TABLE IF EXISTS `train_rule`;
CREATE TABLE `train_rule` (
  `id` bigint(20) NOT NULL,
  `seat` smallint(6) DEFAULT NULL COMMENT '位置 ',
  `type` smallint(6) DEFAULT NULL COMMENT '1是讲师 2 是积分兑换',
  `prop` varchar(30) DEFAULT NULL COMMENT '键',
  `val` varchar(30) DEFAULT NULL COMMENT '值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='考核规则';

-- ----------------------------
-- Records of train_rule
-- ----------------------------
INSERT INTO `train_rule` VALUES ('1582673753677107200', '3', '1', 'excellent', '1000');
INSERT INTO `train_rule` VALUES ('1582673753685495808', '3', '1', 'good', '500');
INSERT INTO `train_rule` VALUES ('1582673753685495809', '3', '1', 'pass', '200');
INSERT INTO `train_rule` VALUES ('1584810898046980096', '2', '1', 'checkStartTime', '2022-10-01');
INSERT INTO `train_rule` VALUES ('1584810898151837696', '2', '1', 'checkEndTime', '2022-12-31');
INSERT INTO `train_rule` VALUES ('1584810898156032000', '2', '1', 'checkCreateTime', '2022-12-31');
INSERT INTO `train_rule` VALUES ('1584810898156032001', '2', '1', 'checkHourTime', '1');
INSERT INTO `train_rule` VALUES ('1611978246155538432', '1', '1', 'trainHour', '1000');
INSERT INTO `train_rule` VALUES ('1611978246398808064', '1', '1', 'trainHourLimit', '6000');
INSERT INTO `train_rule` VALUES ('1611978246407196672', '1', '1', 'trainVideo', '1000');
INSERT INTO `train_rule` VALUES ('1611978246407196673', '1', '1', 'trainVideoLimit', '2000');
INSERT INTO `train_rule` VALUES ('1611978246407196674', '1', '1', 'offlineTeach', '1000');
INSERT INTO `train_rule` VALUES ('1611978246407196675', '1', '1', 'offlineTeachLimit', '2000');
INSERT INTO `train_rule` VALUES ('1611978246407196676', '1', '1', 'allStudy', '1000');
INSERT INTO `train_rule` VALUES ('1611978246407196677', '1', '1', 'allStudyLimit', '2000');
INSERT INTO `train_rule` VALUES ('1611978246407196678', '1', '1', 'sums', '10000');
INSERT INTO `train_rule` VALUES ('1614494410723168256', '109', '1', 'otherTrainingName', '其他考核上报');

-- ----------------------------
-- Table structure for train_setting
-- ----------------------------
DROP TABLE IF EXISTS `train_setting`;
CREATE TABLE `train_setting` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `seat` smallint(6) DEFAULT NULL COMMENT '位置 ',
  `prop` varchar(30) DEFAULT NULL COMMENT '键',
  `val` varchar(200) DEFAULT NULL COMMENT '值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='轮播图设置';

-- ----------------------------
-- Records of train_setting
-- ----------------------------
INSERT INTO `train_setting` VALUES ('1611971057735045120', '102', 'phone', '13699999999');
INSERT INTO `train_setting` VALUES ('1623502637280399360', '101', 'password', '123');

-- ----------------------------
-- Table structure for train_sign_in_info
-- ----------------------------
DROP TABLE IF EXISTS `train_sign_in_info`;
CREATE TABLE `train_sign_in_info` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `CREATED_BY` bigint(20) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(20) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `plan_name` varchar(128) DEFAULT NULL COMMENT '计划名称',
  `site_id` bigint(20) DEFAULT NULL COMMENT '培训地点',
  `start_time` datetime DEFAULT NULL COMMENT '签到开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '签到结束时间',
  `schedule_id` bigint(20) DEFAULT NULL COMMENT '课程表id',
  `is_sign` varchar(5) DEFAULT NULL COMMENT '是否已有人签到（1是）',
  `integral_type` varchar(5) DEFAULT '1' COMMENT '积分类型（1主动赠送积分 2申请积分   3参与活动积分）',
  `site_name` varchar(500) DEFAULT NULL COMMENT '培训地点名字',
  `face_uuid` varchar(50) DEFAULT NULL COMMENT '设备id',
  `face_shedule` varchar(255) DEFAULT NULL COMMENT '时间计划',
  `face_group` varchar(255) DEFAULT NULL COMMENT '组',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='签到管理主表';

-- ----------------------------
-- Records of train_sign_in_info
-- ----------------------------
INSERT INTO `train_sign_in_info` VALUES ('127051794680996672', null, '2023-09-21 10:42:09', null, null, '127050043999518848', '123', null, '2023-09-21 09:39:18', '2023-09-21 10:39:18', '127050160366146136', null, '1', '123', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('128965053856078104', '1590543166828843008', '2023-09-23 15:50:55', null, null, '127931103763926586', '签到计划', '1564138623174053888', '2023-09-22 15:50:00', '2023-09-24 15:50:00', null, null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570600210487447552', null, '2022-09-16 10:27:25', null, null, '1570339436661706752', '嗡嗡嗡', '1564138623174053888', '2022-09-16 08:24:39', '2022-09-23 09:24:39', '1570584471206498304', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570600240678047744', null, '2022-09-16 10:27:32', null, null, '1570339436661706752', '嗡嗡嗡', '1565538098622894080', '2022-09-16 08:25:40', '2022-09-23 09:25:42', '1570584725586841600', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570604704839372800', '1', '2022-09-16 10:45:17', null, null, null, 'aaa', '1564138623174053888', '2022-09-16 10:39:47', '2022-09-26 10:44:40', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570607545209458688', '1', '2022-09-16 10:56:34', null, null, null, 'rrr', '1564138623174053888', '2022-09-16 10:54:21', '2022-09-16 12:57:18', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570611381626081280', '1', '2022-09-16 11:11:49', null, null, '1570339436661706752', 'rrttt', '1565538098622894080', '2022-09-16 11:11:30', '2022-09-17 11:11:27', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570648329094828032', null, '2022-09-16 13:38:38', null, null, '1570351035338330112', '测试培训计划测试就餐信息', '1564138623174053888', '2022-09-15 16:57:22', '2022-09-17 17:57:25', '1570351092884180992', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1570649579685285888', null, '2022-09-16 13:43:36', null, null, '1570339435038511104', '测试修改次数', '1564138623174053888', '2022-09-16 12:42:48', '2022-09-17 13:42:49', '1570649410445119488', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572038707840684032', null, '2022-09-20 09:43:30', null, null, '1571736395163242496', '郑州的1111831+=', '1564138623174053888', '2022-09-19 12:43:38', '2022-09-30 13:43:40', '1571736800504975360', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572055260166492160', null, '2022-09-20 10:49:16', null, null, '1570693801251573760', '测试====>37', '1565538098622894080', '2022-09-16 15:39:24', '2022-09-30 16:39:25', '1570693860273819648', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572161902170214400', null, '2022-09-20 17:53:01', null, null, '1572161388133093376', '这个测试工具包======', '1564138623174053888', '2022-09-20 16:51:03', '2022-09-30 17:51:05', '1572161441048432640', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572416469441056768', null, '2022-09-21 10:44:35', null, null, '1572406044859174912', '测试修改次数', '1564138623174053888', '2022-09-21 12:00:43', '2022-09-21 15:03:57', '1572406401022693376', '1', '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572416471613706240', null, '2022-09-21 10:44:36', null, null, '1572406044859174912', '测试修改次数', '1565538098622894080', '2022-09-21 15:00:07', '2022-09-21 18:00:15', '1572406672146698240', '1', '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572491816723419136', '1569970196410667008', '2022-09-21 15:43:59', null, null, null, '开课演讲', '1564138623174053888', '2022-09-21 15:43:45', '2022-09-22 15:43:34', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572514626300678144', null, '2022-09-21 17:14:37', null, null, '1571698237209972736', '2023测试=====>8', '1564138623174053888', '2022-09-07 09:47:18', '2022-09-23 10:47:21', '1572417198243319808', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572514628989227008', null, '2022-09-21 17:14:38', null, null, '1571698237209972736', '2023测试=====>8', '1564138623174053888', '2022-09-21 16:12:25', '2022-09-21 19:45:28', '1572514186603401216', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572763562844229632', null, '2022-09-22 09:43:49', null, null, '1572520923607732224', '测试审核失败2', '1565538098622894080', '2022-09-21 16:39:45', '2022-09-30 17:39:46', '1572520983443673088', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572769826580074496', null, '2022-09-22 10:08:42', null, null, '1572766217247264768', '测试的计划', '1564138623174053888', '2022-09-22 09:45:27', '2022-09-22 12:00:56', '1572766561914195968', '1', '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572769828811444224', null, '2022-09-22 10:08:42', null, null, '1572766217247264768', '测试的计划', '1564138623174053888', '2022-09-22 12:00:07', '2022-09-22 17:00:14', '1572766751467376640', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572777038098599936', null, '2022-09-22 10:37:21', null, null, '1572776695600123904', '线上测试报道，舞动', '1564138623174053888', '2022-09-22 09:36:10', '2022-09-30 10:36:12', '1572776794455674880', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572797221643096064', null, '2022-09-22 11:57:33', null, null, '1572796033749094400', 'sda', '1564138623174053888', '2022-09-23 06:00:04', '2022-09-23 12:00:00', '1572796250804326400', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572797224797212672', null, '2022-09-22 11:57:34', null, null, '1572796033749094400', 'sda', '1565538098622894080', '2022-09-23 12:00:00', '2022-09-23 16:00:00', '1572796606032515072', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572797227099885568', null, '2022-09-22 11:57:35', null, null, '1572796033749094400', 'sda', '1564138623174053888', '2022-09-23 18:00:00', '2022-09-23 20:00:00', '1572796822315995136', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572836145056845824', null, '2022-09-22 14:32:14', null, null, '1572824712692764672', '测试的计划', '1564138623174053888', '2022-09-22 13:00:12', '2022-09-22 15:00:23', '1572825058055950336', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572836145203646464', null, '2022-09-22 14:32:14', null, null, '1572824712692764672', '测试的计划', '1565538098622894080', '2022-09-22 13:30:52', '2022-09-22 14:30:54', '1572835882686353408', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572839640027762688', null, '2022-09-22 14:46:07', null, null, '1572797449381220352', '复测0922-001', '1564138623174053888', '2022-09-14 10:58:34', '2022-09-23 11:58:36', '1572797511935070208', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572839640203923456', null, '2022-09-22 14:46:07', null, null, '1572797449381220352', '复测0922-001', '1564138623174053888', '2022-09-16 12:58:00', '2022-09-23 13:58:01', '1572828020249595904', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572841356039163904', null, '2022-09-22 14:52:56', null, null, '1572840721512271872', '测试的计划', '1564138623174053888', '2022-09-22 13:50:31', '2022-09-25 14:50:33', '1572840792421175296', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572866790718050304', null, '2022-09-22 16:34:00', null, null, '1572842240676597760', '新课教学第一课', '1564138623174053888', '2022-09-22 15:28:23', '2022-09-23 16:28:25', '1572865415141527552', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572870885382164480', null, '2022-09-22 16:50:16', null, null, '1572869789519581184', '本部111111111111', '1564138623174053888', '2022-09-22 15:46:04', '2022-09-23 16:46:06', '1572869902560268288', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572874188476256256', null, '2022-09-22 17:03:24', null, null, '1572870717807136768', '所上述', '1564138623174053888', '2022-09-21 15:49:45', '2022-09-23 16:49:47', '1572870786803437568', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572874190921535488', null, '2022-09-22 17:03:24', null, null, '1572870717807136768', '所上述', '1564138623174053888', '2022-09-21 15:49:45', '2022-09-23 16:49:47', '1572870788162392064', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572874583776825344', null, '2022-09-22 17:04:58', null, null, '1572408168884080640', '09-21-1001直接创建的培训班-1001', '1564138623174053888', '2022-09-21 09:11:38', '2022-09-22 10:13:47', '1572410409095401472', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572874586167578624', null, '2022-09-22 17:04:59', null, null, '1572408168884080640', '09-21-1001直接创建的培训班-1001', null, '2022-09-21 12:00:20', '2022-09-22 13:30:24', '1572463188023316480', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572875178373943296', null, '2022-09-22 17:07:20', null, null, '1572874824055918592', '测试计划', '1565538098622894080', '2022-09-21 16:06:35', '2022-09-29 17:06:37', '1572875031531360256', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572875830240088064', null, '2022-09-22 17:09:55', null, null, '1572875655060787200', '本部111111111111', '1564138623174053888', '2022-09-21 16:09:24', '2022-09-23 17:09:25', '1572875728964423680', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572876510677831680', null, '2022-09-22 17:12:37', null, null, '1572876333464293376', '测试的计划', '1564138623174053888', '2022-09-22 16:12:08', '2022-09-24 17:12:09', '1572876413420310528', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572877040636530688', null, '2022-09-22 17:14:44', null, null, '1572876886546190336', '测试计划', '1565538098622894080', '2022-09-23 16:14:15', '2022-09-24 17:14:17', '1572876957803220992', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572877755857637376', null, '2022-09-22 17:17:34', null, null, '1572877572822405120', '本部111111111111', '1565538098622894080', '2022-09-21 16:17:09', '2022-09-24 17:17:11', '1572877682876747776', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572878563340849152', null, '2022-09-22 17:20:47', null, null, '1572878373611507712', '测试的计划', '1564138623174053888', '2023-08-17 16:20:09', '2023-09-24 17:20:18', '1572878486689943552', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572879358064988160', null, '2022-09-22 17:23:56', null, null, '1572879202766688256', '的说法是', '1565538098622894080', '2022-09-22 16:23:31', '2022-09-23 17:23:33', '1572879282613653504', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572879748491776000', null, '2022-09-22 17:25:29', null, null, '1572878780698071040', '2022年9月份培训班', '1565538098622894080', '2022-09-23 07:00:05', '2022-09-23 09:00:16', '1572879008692047872', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572880079959232512', null, '2022-09-22 17:26:48', null, null, '1572879924723847168', '本部111111111111', '1564138623174053888', '2022-09-22 16:26:22', '2022-09-23 17:26:25', '1572880001861292032', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572883435033333760', null, '2022-09-22 17:40:08', null, null, '1572883200882118656', '测试的计划', '1565538098622894080', '2022-09-08 16:39:20', '2022-09-30 17:39:22', '1572883270809554944', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572884907221454848', '1569970196410667008', '2022-09-22 17:45:59', null, null, '1572797449381220352', '进班签到表', '1564138623174053888', '2022-09-22 17:45:32', '2022-09-22 18:45:16', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572885313561432064', null, '2022-09-22 17:47:36', null, null, '1572885174935490560', '测试的计划', '1564138623174053888', '2022-09-22 16:47:12', '2022-09-23 17:47:15', '1572885247106879488', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572885754437308416', null, '2022-09-22 17:49:21', null, null, '1572885613240258560', '测试计划', '1564138623174053888', '2022-09-22 16:48:55', '2022-09-24 17:48:57', '1572885673881505792', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1572889665718063104', null, '2022-09-22 18:04:54', null, null, '1572889486155714560', '测试计划', null, '2022-09-22 17:04:22', '2022-09-23 18:04:24', '1572889574944935936', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1573200857309253632', '1569970196410667008', '2022-09-23 14:41:28', null, null, '1573151458042449920', '到场签到', '1564138623174053888', '2022-09-23 14:41:14', '2022-09-23 15:40:56', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1573218669025169408', null, '2022-09-23 15:52:14', null, null, '1573151458042449920', '金融理财第一期', '1564138623174053888', '2022-09-23 10:25:39', '2022-09-23 11:45:43', '1573151643812368384', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1573218669226496000', null, '2022-09-23 15:52:14', null, null, '1573151458042449920', '金融理财第一期', '1564138623174053888', '2022-09-23 10:26:05', '2022-09-23 11:45:07', '1573151766336376832', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574243590601838592', null, '2022-09-26 11:44:55', null, null, '1574243202679050240', 'wwwww', '1565538098622894080', '2022-09-26 10:43:45', '2022-09-30 12:00:00', '1574243342252904448', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574651526595612672', null, '2022-09-27 14:45:54', null, null, '1574650579148476416', '测试的计划', '1564138623174053888', '2022-09-27 13:42:14', '2022-09-28 18:00:00', '1574650638871171072', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574668655428505600', null, '2022-09-27 15:53:58', null, null, '1574244875245850624', '说的都是', '1564138623174053888', '2022-09-26 10:50:28', '2022-09-27 12:00:00', '1574245011187437568', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574669071641874432', null, '2022-09-27 15:55:37', null, null, '1574668938376253440', '测试的计划', '1564138623174053888', '2022-09-26 14:55:11', '2022-09-29 18:00:00', '1574668997704683520', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574674000104263680', null, '2022-09-27 16:15:12', null, null, '1574673833242267648', '测试1614', '1564138623174053888', '2022-09-26 15:14:40', '2022-09-28 18:00:00', '1574673910971109376', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574681842307698688', '1569970196410667008', '2022-09-27 16:46:22', null, null, '1572842240676597760', '第二节课签到', '1564138623174053888', '2022-09-27 16:46:11', '2022-09-27 17:46:03', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574998229932707840', null, '2022-09-28 13:43:35', null, null, '1574679042467172352', '0908河南省第一次会议1343', '1564138623174053888', '2022-09-27 12:42:42', '2022-09-29 18:00:00', '1574998047287545856', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1574999258644484096', null, '2022-09-28 13:47:40', null, null, '1574690990105694208', '0908河南省2次会议1346', '1564138623174053888', '2022-09-27 12:47:10', '2022-09-29 18:00:00', '1574999171621064704', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575323055536869376', null, '2022-09-29 11:14:19', null, null, '1575322855934136320', '20220929', '1564138623174053888', '2022-09-28 10:13:42', '2022-09-30 12:00:00', '1575322944933072896', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575326625015402496', null, '2022-09-29 11:28:30', null, null, '1575325299946688512', '2022年9月29日培训计划', '1567767144270270464', '2022-10-09 10:20:32', '2022-10-09 12:00:00', '1575325460810829824', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575326625388695552', null, '2022-09-29 11:28:30', null, null, '1575325299946688512', '2022年9月29日培训计划', '1564138623174053888', '2022-10-09 13:00:00', '2022-10-09 18:00:00', '1575325600896389120', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575365570822541312', null, '2022-09-29 14:03:16', null, null, '1575364705646678016', '投资第三期', '1565538098622894080', '2022-09-29 13:00:01', '2022-09-29 18:00:00', '1575364877017550848', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575370374588272640', null, '2022-09-29 14:22:21', null, null, '1575327504024080384', '2022年9月29日培训计划2', null, '2022-10-09 09:32:08', '2022-10-09 12:00:00', '1575327738078826496', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575407689327054848', null, '2022-09-29 16:50:37', null, null, '1575407526655168512', '0908河南省第一次会议', '1564138623174053888', '2022-09-29 15:50:06', '2022-09-29 18:00:00', '1575407586944094208', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1575692822303084544', null, '2022-09-30 11:43:38', null, null, '1575691944053575680', '0908发布33333', '1564138623174053888', '2022-09-28 10:40:13', '2022-09-30 12:00:00', '1575692028757544960', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1578645136550793216', '1', '2022-10-08 15:15:06', null, null, '1575407526655168512', '积极就急急急急', '1564138623174053888', '2022-10-08 15:14:52', '2022-10-09 15:14:44', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1578925776848424960', null, '2022-10-09 09:50:15', null, null, '1578925079021096960', '0908河南省第一次会议', '1564138623174053888', '2022-10-09 08:47:43', '2022-10-27 12:00:00', '1578925187435466752', '1', '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579008241856286720', '1569970196410667008', '2022-10-09 15:17:56', null, null, '1573151458042449920', '1', '1564138623174053888', '2022-10-08 15:17:50', '2022-10-20 15:17:49', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579282905774034944', null, '2022-10-10 09:29:21', null, null, '1579281614876315648', '0908河南省第一次会议', '1565538098622894080', '2022-10-10 08:28:19', '2022-10-22 12:00:00', '1579282695022841856', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579283454372220928', null, '2022-10-10 09:31:32', null, null, '1579283027245273088', '测试湖西岸0', '1565538098622894080', '2022-10-10 08:30:07', '2022-10-23 12:00:00', '1579283168882724864', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579284251961069568', null, '2022-10-10 09:34:42', null, null, '1579283811680784384', '单选密钥', '1565538098622894080', '2022-10-10 08:33:05', '2022-10-22 12:00:00', '1579283889938108416', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579284779608707072', null, '2022-10-10 09:36:48', null, null, '1579284493464899584', '单选名单内', '1564138623174053888', '2022-10-10 08:35:45', '2022-10-22 12:00:00', '1579284556211687424', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579341628903133184', null, '2022-10-10 13:22:42', null, null, '1579001547617079296', '投资第三期App测试1001', '1564138623174053888', '2022-10-09 14:29:36', '2022-10-10 18:00:00', '1579011208068075520', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579655088920727552', null, '2022-10-11 10:08:16', null, null, '1579654776772235264', '2022年邮政培训中心培训', '1564138623174053888', '2022-10-11 09:07:09', '2022-10-20 12:00:00', '1579654846959718400', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579713237707001856', null, '2022-10-11 13:59:20', null, null, '1579712896307433472', 'popopop', '1564138623174053888', '2022-10-11 12:58:07', '2022-10-27 18:00:00', '1579712970139766784', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579714018933870592', null, '2022-10-11 14:02:26', null, null, '1579713717669597184', 'hhhhhh', '1565538098622894080', '2022-10-11 13:01:23', '2022-10-20 18:00:00', '1579713788322648064', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579714884407529472', null, '2022-10-11 14:05:53', null, null, '1579714620262846464', 'oppopjhbnb', '1564138623174053888', '2022-10-11 13:04:58', '2022-10-27 18:00:00', '1579714697509343232', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579716470294843392', null, '2022-10-11 14:12:11', null, null, '1579716155344556032', 'sdsfsfs', '1564138623174053888', '2022-10-11 13:11:04', '2022-10-27 18:00:00', '1579716227981512704', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1579725658127470592', null, '2022-10-11 14:48:41', null, null, '1579723260835270656', '2022年10月培训班', '1565538098622894080', '2022-10-11 13:39:41', '2022-10-11 18:00:00', '1579723511948251136', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580088728406331392', null, '2022-10-12 14:51:24', null, null, '1580081304689577984', '郑州市级十月份金融培训第一期', '1564138623174053888', '2022-10-12 13:22:02', '2022-10-14 18:00:00', '1580081379478212608', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580091879368822784', null, '2022-10-12 15:03:55', null, null, '1580091399771131904', '郑州市级十月份金融培训第一期002', '1564138623174053888', '2022-10-12 14:02:08', '2022-10-12 18:00:00', '1580091462438227968', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580100644583378944', null, '2022-10-12 15:38:45', null, null, '1580097115676348416', '我直接创建', '1564138623174053888', '2022-10-12 14:25:01', '2022-10-30 18:00:00', '1580097227509075968', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580448463626309632', null, '2022-10-13 14:40:52', null, null, '1580447986499063808', '郑州0908时间', '1564138623174053888', '2022-10-13 13:39:11', '2022-10-14 18:00:00', '1580448070791991296', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580454988059119616', null, '2022-10-13 15:06:47', null, null, '1580454783322558464', '2022年9月份培训班', '1564138623174053888', '2022-10-13 14:06:08', '2022-10-14 18:00:00', '1580454872447324160', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580794222410338304', null, '2022-10-14 13:34:47', null, null, '1580770390802829312', '郑州市级十月份金融培训第一期', null, '2022-10-14 12:17:08', '2022-10-14 18:00:00', '1580789909424312320', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580804785991454720', null, '2022-10-14 14:16:46', null, null, '1580803715470856192', '测试签到', null, '2022-10-14 13:12:45', '2022-10-15 18:00:00', '1580803835155320832', null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1580822070567243776', null, '2022-10-14 15:25:27', null, null, '1580821763359641600', '郑州测试签到333333', null, '2022-10-14 14:24:19', '2022-10-30 18:00:00', '1580821840392228864', null, '1', '嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡嗡', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1582677520107573248', null, '2022-10-19 18:18:20', null, null, '1582675574806155264', '1019第一期1019第一期1019第一期1019第一期01', null, '2022-10-19 17:00:14', '2022-10-19 18:15:18', '1582675866230591488', null, '1', '第二阶梯第二阶梯第二阶梯第二阶梯第二阶梯第二阶梯教室内', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1582686541724127232', null, '2022-10-19 18:54:11', null, null, '1582686163125276672', '1019第一期02', null, '2022-10-19 17:00:59', '2022-10-19 20:15:03', '1582686323762925568', '1', '1', '阶梯教室002', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583313296214331392', null, '2022-10-21 12:24:41', null, null, '1583297332093521920', '1021计划库第一版', '1564138623174053888', '2022-10-20 10:41:32', '2022-10-22 12:00:00', '1583302466919862272', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583332059408109568', null, '2022-10-21 13:39:15', null, null, '1583317513494728704', '1021第二版数据勿动001', '1564138623174053888', '2022-10-21 12:35:58', '2022-10-21 18:00:00', '1583331281234694144', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583345552555380736', null, '2022-10-21 14:32:52', null, null, '1583293356560224256', '2012-09-10培训计划', '1564138623174053888', '2022-10-20 10:05:34', '2022-10-22 12:00:00', '1583293419411869696', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583348891863093248', null, '2022-10-21 14:46:08', null, null, '1583346873849221120', '2022年金融课程培训班', '1567767144270270464', '2022-10-21 13:42:53', '2022-10-21 18:00:00', '1583348171965337600', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583350946119946240', null, '2022-10-21 14:54:17', null, null, '1583289626242715648', '2022年邮政培训中心培训', '1564138623174053888', '2022-10-20 11:26:58', '2022-10-22 18:00:00', '1583313905688645632', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583369864251314176', null, '2022-10-21 16:09:28', null, null, '1583369261261393920', '2022年邮政培训中心培训', '1565538098622894080', '2022-10-21 15:07:19', '2022-10-30 18:00:00', '1583369361178103808', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583373505204981760', null, '2022-10-21 16:23:56', null, null, '1583372859424772096', '2022年邮政培训中心培训', '1565538098622894080', '2022-10-21 15:22:24', '2022-10-31 18:00:00', '1583373169232842752', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583392412347273216', null, '2022-10-21 17:39:04', null, null, '1583392110638403584', '1021第二版数据勿动002', '1564138623174053888', '2022-10-21 16:38:09', '2022-10-21 18:00:00', '1583392217345691648', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583722777523916800', null, '2022-10-22 15:31:49', null, null, '1583722097811787776', '2022年培训班', '1567767144270270464', '2022-10-22 14:29:20', '2022-10-22 18:00:00', '1583722254959775744', '1', '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583741824227479552', null, '2022-10-22 16:47:30', null, null, '1583739434711519232', '2022金融培训', '1567767144270270464', '2022-10-22 15:38:16', '2022-10-22 18:00:00', '1583739604832489472', '1', '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1583741824332337152', null, '2022-10-22 16:47:30', null, null, '1583739434711519232', '2022金融培训', '1567767144270270464', '2022-10-22 17:38:46', '2022-10-22 19:45:55', '1583739726207258624', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1584363597990072320', null, '2022-10-24 09:58:12', null, null, '1583683407156744192', '1022黎利伯聘雇计划u到处', '1565538098622894080', '2022-10-22 11:55:31', '2022-10-29 18:00:00', '1583683488178114560', '1', '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1584445241484775424', null, '2022-10-24 15:22:38', null, null, '1583413010712629248', '1021第二版数据勿动03', '1564138623174053888', '2022-10-24 13:21:00', '2022-10-24 18:00:00', '1584444983673491456', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1584732829714092032', null, '2022-10-25 10:25:24', null, null, '1584732496656994304', '测试费用', '1564138623174053888', '2022-10-25 09:24:10', '2022-10-30 12:00:00', '1584732561974890496', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1584805851493961728', null, '2022-10-25 15:15:34', null, null, '1584515014952357888', '2023新', '1564138623174053888', '2022-10-25 14:14:47', '2022-10-30 18:00:00', '1584805692726972416', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585158056625442816', '1', '2022-10-26 14:35:06', null, null, '1584515014952357888', '测试签到', '1567767144270270464', '2022-10-26 14:34:52', '2022-10-27 14:34:49', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585183056564719616', '1', '2022-10-26 16:14:27', null, null, '1583683407156744192', '是啥', '1564138623174053888', '2022-10-26 16:14:18', '2022-10-27 16:14:17', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585184030310141952', null, '2022-10-26 16:18:19', null, null, '1585183526750392320', '1026黎利伯测试股', '1565538098622894080', '2022-10-26 15:16:29', '2022-10-30 18:00:00', '1585183611420807168', '1', '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585193390306365440', '1', '2022-10-26 16:55:31', null, null, '1585183526750392320', '1027', '1564138623174053888', '2022-10-27 16:55:22', '2022-10-28 16:55:18', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585257090639859712', null, '2022-10-26 21:08:38', null, null, '1584875379850612736', '2022年9月份培训', '1565538098622894080', '2022-10-26 17:07:51', '2022-10-26 20:00:22', '1585256956313079808', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585461589606273024', null, '2022-10-27 10:41:14', null, null, '1585459813435969536', '2022年10月底的培训', '1564138623174053888', '2022-10-27 09:00:17', '2022-10-27 12:00:00', '1585459966779723776', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585461589694353408', null, '2022-10-27 10:41:14', null, null, '1585459813435969536', '2022年10月底的培训', '1567767144270270464', '2022-10-27 12:00:59', '2022-10-27 18:00:00', '1585460116164055040', '1', '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585520836847210496', null, '2022-10-27 14:36:40', null, null, '1585278127179960320', '测试统计分析数据-lu01勿动', '1564138623174053888', '2022-10-27 13:00:06', '2022-10-27 18:00:00', '1585520522958082048', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585524392463568896', '1569970196410667008', '2022-10-27 14:50:47', null, null, '1585278127179960320', '12', '1565538098622894080', '2022-10-27 14:45:00', '2022-10-27 15:45:00', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585525487957053440', null, '2022-10-27 14:55:09', null, null, '1585282067011342336', '测试统计分析省级本公司数据-lu勿动002', '1564138623174053888', '2022-10-27 15:00:24', '2022-10-27 18:00:00', '1585524913945579520', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585529323887136768', '1569970196410667008', '2022-10-27 15:10:23', null, null, '1585278127179960320', '43', '1565538098622894080', '2022-10-27 15:10:00', '2022-10-27 15:45:00', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585838272058363904', '1', '2022-10-28 11:38:02', null, null, '1585282067011342336', 'dd', '1564138623174053888', '2022-10-29 11:37:00', '2022-10-30 11:37:00', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585851262799319040', null, '2022-10-28 12:29:39', null, null, '1585850472554696704', '2022年10月底的培训', '1567767144270270464', '2022-10-28 13:00:41', '2022-10-28 18:00:00', '1585850613722386432', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585851262887399424', null, '2022-10-28 12:29:39', null, null, '1585850472554696704', '2022年10月底的培训', '1567767144270270464', '2022-10-29 08:30:00', '2022-10-29 12:00:00', '1585850924545478656', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585852334909558784', '1570604410206294016', '2022-10-28 12:33:55', null, null, '1585850472554696704', '签到3', '1565538098622894080', '2022-10-28 20:00:00', '2022-10-28 20:30:00', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585881551554613248', null, '2022-10-28 14:30:01', null, null, '1585453051727187968', '2023测试', '1564138623174053888', '2022-10-28 13:28:38', '2022-10-28 18:00:00', '1585881300064145408', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585904357298278400', null, '2022-10-28 16:00:38', null, null, '1585836831126196224', '测试费用预算为0000', '1564138623174053888', '2022-10-28 08:57:00', '2022-10-28 12:00:00', '1585903932515946496', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585904359462539264', null, '2022-10-28 16:00:39', null, null, '1585836831126196224', '测试费用预算为0000', '1564138623174053888', '2022-10-28 14:59:05', '2022-10-28 18:00:00', '1585904027395297280', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585905102328303616', '1562314510612697088', '2022-10-28 16:03:36', null, null, '1585453051727187968', '测试计划', '1564138623174053888', '2022-10-28 16:03:00', '2022-10-28 17:03:00', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1585906795740794880', '1562314510612697088', '2022-10-28 16:10:20', null, null, '1585453051727187968', '测试一', '1564138623174053888', '2022-10-28 16:10:00', '2022-10-28 16:10:00', null, null, '1', null, null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1586565065321091072', null, '2022-10-30 11:46:03', null, null, '1586564275265212416', '123', '1564138623174053888', '2022-10-29 10:45:04', '2022-10-31 12:00:00', '1586564842112815104', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1586965260852662272', null, '2022-10-31 14:16:17', null, null, '1586964413733277696', '2022年10月培训班', '1564138623174053888', '2022-10-31 13:14:29', '2022-10-31 18:00:00', '1586964882539024384', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1586970391090434048', null, '2022-10-31 14:36:40', null, null, '1586969194119958528', '再次测试工具包', '1565538098622894080', '2022-10-31 13:32:07', '2022-10-31 18:00:00', '1586969321387724800', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1587744085152763904', null, '2022-11-02 17:51:03', null, null, '1587268699407126528', '单词', '1565538098622894080', '2022-11-01 09:22:17', '2022-11-30 12:00:00', '1587268793959321600', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1587759111272009728', null, '2022-11-02 18:50:46', null, null, '1587758825031733248', '000000000000000', '1565538098622894080', '2022-11-02 17:49:59', '2022-11-04 18:50:00', '1587758958284771328', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1587759469482348544', null, '2022-11-02 18:52:11', null, null, '1587759227248709632', '1111111111111', '1565538098622894080', '2022-11-02 17:51:22', '2022-11-27 18:51:24', '1587759298757398528', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588057443773059072', null, '2022-11-03 14:36:14', null, null, '1588056226653147136', '1103金融培训班001', '1564138623174053888', '2022-11-03 09:00:34', '2022-11-03 12:00:00', '1588056400020508672', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588057443911471104', null, '2022-11-03 14:36:14', null, null, '1588056226653147136', '1103金融培训班001', '1565538098622894080', '2022-11-03 14:30:15', '2022-11-03 18:00:00', '1588056531990089728', '1', '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588057444024717312', null, '2022-11-03 14:36:14', null, null, '1588056226653147136', '1103金融培训班001', '1565538098622894080', '2022-11-03 19:30:50', '2022-11-03 21:30:56', '1588056671438114816', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588060165352067072', '1569970196410667008', '2022-11-03 14:47:03', null, null, '1588056226653147136', '天际的数据', '1564138623174053888', '2022-11-04 14:46:00', '2022-11-04 15:45:00', null, null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588061004204478464', null, '2022-11-03 14:50:23', null, null, '1588059480422223872', '11月没有计划的培训班', '1564138623174053888', '2022-11-03 14:00:47', '2022-11-03 18:00:00', '1588060468440862720', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588089081835950080', null, '2022-11-03 16:41:57', null, null, '1588072776831471616', '2023测试', '1565538098622894080', '2022-11-02 14:37:19', '2022-11-04 18:00:00', '1588072847543242752', '1', '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588731657811267584', null, '2022-11-05 11:15:19', null, null, '1588729101563334656', '115评估计划', '1564138623174053888', '2022-11-05 10:05:15', '2022-11-30 12:00:00', '1588729157167222784', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1588733617784360960', null, '2022-11-05 11:23:06', null, null, '1588733407918166016', '20221115测试省级', '1564138623174053888', '2022-11-05 10:22:21', '2022-11-27 12:00:00', '1588733456970551296', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1589100168106610688', null, '2022-11-06 11:39:39', null, null, '1589098507447439360', '测试116导出', '1565538098622894080', '2022-11-06 10:33:08', '2022-11-30 12:00:00', '1589098562308935680', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1589519126739685376', null, '2022-11-07 15:24:26', null, null, '1589461007993016320', '测试湖西岸0', '1564138623174053888', '2022-11-06 10:44:44', '2022-11-08 12:00:00', '1589463866750930944', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1589527669605797888', null, '2022-11-07 15:58:23', null, null, '1589527113264926720', '短期住宿', '1564138623174053888', '2022-11-07 14:56:18', '2022-11-07 18:00:00', '1589527240402669568', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1589549534516744192', null, '2022-11-07 17:25:16', null, null, '1589549121218416640', '2022年培训住宿管理', '1565538098622894080', '2022-11-07 16:00:46', '2022-11-07 18:00:00', '1589549254395957248', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1589849943739338752', null, '2022-11-08 13:18:59', null, null, '1589849256125140992', '2022年11月7日住宿测试', '1564138623174053888', '2022-11-08 13:00:26', '2022-11-08 18:00:00', '1589849401852039168', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1589917130055356416', null, '2022-11-08 17:45:58', null, null, '1589916039288852480', '11月7日培训住宿', '1564138623174053888', '2022-11-08 16:00:54', '2022-11-08 18:00:00', '1589916179273748480', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590544551926435840', null, '2022-11-10 11:19:07', null, null, '1590543802567888896', '2022年11月10日培训班', '1564138623174053888', '2022-11-10 10:30:16', '2022-11-10 12:00:00', '1590543956020695040', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590544554107473920', null, '2022-11-10 11:19:07', null, null, '1590543802567888896', '2022年11月10日培训班', '1564138623174053888', '2022-11-10 12:00:05', '2022-11-10 18:00:00', '1590544125223112704', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590575124988432384', null, '2022-11-10 13:20:36', null, null, '1590573038678708224', '2022年培训班新的培训班', '1565538098622894080', '2022-11-10 12:00:26', '2022-11-10 18:00:00', '1590573158849712128', '1', '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590598636100784128', null, '2022-11-10 14:54:01', null, null, '1590598103071854592', '培训住宿', '1564138623174053888', '2022-11-10 13:00:03', '2022-11-10 18:00:00', '1590598474724937728', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590602321354690560', null, '2022-11-10 15:08:40', null, null, '1590602024376995840', '呀拉索', '1564138623174053888', '2022-11-09 14:07:35', '2022-11-11 18:00:00', '1590602084003221504', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590626225301360640', null, '2022-11-10 16:43:39', null, null, '1590625766897487872', '2022年12月培训班', '1564138623174053888', '2022-11-11 07:00:58', '2022-11-11 12:00:00', '1590625929070252032', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1590639541860044800', null, '2022-11-10 17:36:34', null, null, '1590639322640551936', '11', '1564138623174053888', '2022-11-09 16:35:47', '2022-11-11 18:00:00', '1590639380790382592', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1591966869022183424', null, '2022-11-14 09:30:54', null, null, '1591966465936986112', '测试次数为1', '1564138623174053888', '2022-11-13 08:29:25', '2022-11-15 12:00:00', '1591966568638713856', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1591967316671860736', null, '2022-11-14 09:32:40', null, null, '1591966612427247616', '2022培训中心集中培训测试', '1567767144270270464', '2022-11-14 09:00:59', '2022-11-14 12:00:00', '1591966808347381760', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1591979587523448832', null, '2022-11-14 10:21:26', null, null, '1591972857506828288', '11月金融投资讲堂第一期', '1564138623174053888', '2022-11-14 10:45:33', '2022-11-14 12:00:00', '1591975906862305280', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1591979587624112128', null, '2022-11-14 10:21:26', null, null, '1591972857506828288', '11月金融投资讲堂第一期', '1564138623174053888', '2022-11-14 15:08:33', '2022-11-14 18:00:00', '1591976543213719552', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1591995131706347520', null, '2022-11-14 11:23:12', null, null, '1591992260067725312', '2022郑州地市培训', '1564138623174053888', '2022-11-14 11:15:02', '2022-11-14 18:00:00', '1591993172635029504', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592028241420488704', null, '2022-11-14 13:34:46', null, null, '1592027379281301504', '2022郑州金融培训', '1564138623174053888', '2022-11-14 12:45:54', '2022-11-14 18:00:00', '1592028086612922368', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592031566333349888', null, '2022-11-14 13:47:59', null, null, '1592030599865044992', '2022年培训班APP班主任', '1564138623174053888', '2022-11-14 12:00:20', '2022-11-14 18:00:00', '1592030900902825984', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592033269531152384', null, '2022-11-14 13:54:45', null, null, '1592032895428595712', '2022郑州金融培训2', '1564138623174053888', '2022-11-14 12:53:40', '2022-11-14 18:00:00', '1592033043906957312', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592059336979517440', null, '2022-11-14 15:38:20', null, null, '1592057692325810176', '2022年金融课程培训班-省', '1564138623174053888', '2022-11-14 14:45:05', '2022-11-14 18:00:00', '1592057847699607552', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592061618542481408', '1569970196410667008', '2022-11-14 15:47:24', null, null, '1592048661980909568', '001', '1564138623174053888', '2022-11-14 16:45:00', '2022-11-14 17:45:00', null, null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592067076695134208', null, '2022-11-14 16:09:05', null, null, '1592066677061849088', '2022年金融课程培训班(2)', '1564138623174053888', '2022-11-14 15:15:36', '2022-11-14 18:00:00', '1592066760209731584', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592348839535316992', null, '2022-11-15 10:48:42', null, null, '1592347795233312768', '考试', '1564138623174053888', '2022-11-15 09:44:46', '2022-11-15 12:00:00', '1592347947650125824', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592356787376492544', null, '2022-11-15 11:20:17', null, null, '1592356114652073984', '2022集中培训', '1564138623174053888', '2022-11-15 10:30:50', '2022-11-15 12:00:00', '1592356255811375104', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592356787514904576', null, '2022-11-15 11:20:17', null, null, '1592356114652073984', '2022集中培训', '1564138623174053888', '2022-11-15 11:00:19', '2022-11-15 18:00:00', '1592356361306509312', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592418414822035456', '1569970196410667008', '2022-11-15 15:25:10', null, null, '1592048661980909568', '补签101', '1565538098622894080', '2022-11-15 15:15:00', '2022-11-15 17:30:00', null, null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592723099541966848', null, '2022-11-16 11:35:53', null, null, '1592720948858064896', '郑州的188888888888888', '1565538098622894080', '2022-11-16 10:27:24', '2022-11-30 12:00:00', '1592721003094609920', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592799433408516096', null, '2022-11-16 16:39:12', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03', '1564138623174053888', '2022-11-16 16:45:46', '2022-11-17 18:00:00', '1592790134472970240', '1', '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592799441717432320', null, '2022-11-16 16:39:14', null, null, '1592783387914014720', '11月金融投资讲堂第一期1116-03', '1565538098622894080', '2022-11-16 17:03:36', '2022-11-16 19:03:42', '1592790585490673664', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1592817987809841152', null, '2022-11-16 17:52:56', null, null, '1592817481695760384', '11月金融第二讲-勿动', '1564138623174053888', '2022-11-16 16:51:05', '2022-11-16 18:00:00', '1592817592849010688', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593069314620133376', null, '2022-11-17 10:31:37', null, null, '1593055771002802176', '11月金融第二讲=1117-01', '1564138623174053888', '2022-11-17 10:45:08', '2022-11-17 12:00:00', '1593055933301395456', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593075305793327104', null, '2022-11-17 10:55:25', null, null, '1593074623937908736', '金融第二讲-1117-02', '1564138623174053888', '2022-11-17 11:00:56', '2022-11-17 18:00:00', '1593074761360084992', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593075308083417088', null, '2022-11-17 10:55:26', null, null, '1593074623937908736', '金融第二讲-1117-02', '1564138623174053888', '2022-11-18 09:53:51', '2022-11-18 12:00:00', '1593074998468284416', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593123424560091136', null, '2022-11-17 14:06:38', null, null, '1585921029040115712', '2023测试', '1567767144270270464', '2022-11-17 13:05:35', '2022-11-17 18:00:00', '1593123247312998400', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593134184472383488', null, '2022-11-17 14:49:23', null, null, '1593133878619541504', '集中1次', '1564138623174053888', '2022-11-17 13:48:16', '2022-11-18 18:00:00', '1593133960349749248', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593164219900104704', null, '2022-11-17 16:48:44', null, null, '1593163290295537664', '测试住宿结束四小时内状态数据', '1564138623174053888', '2022-11-17 17:47:26', '2022-11-17 22:47:33', '1593163960876666880', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593203149043273728', null, '2022-11-17 19:23:26', null, null, '1593195024294744064', '十月测试AAA', '1564138623174053888', '2022-11-17 17:51:21', '2022-11-18 18:51:23', '1593195115483107328', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593493510286348288', null, '2022-11-18 14:37:13', null, null, '1593493000393199616', '第二讲1118-1001', '1564138623174053888', '2022-11-18 14:30:00', '2022-11-18 18:00:00', '1593493363947081728', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593496517019308032', null, '2022-11-18 14:49:10', null, null, '1593493864797310976', '十月测试A测试评价', '1564138623174053888', '2022-11-18 13:38:45', '2022-11-30 18:00:00', '1593493950625353728', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593499582350888960', null, '2022-11-18 15:01:21', null, null, '1593499312577449984', '金融第二讲1118-1002', '1564138623174053888', '2022-11-18 15:00:41', '2022-11-18 18:00:00', '1593499493934960640', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593505922934771712', '1', '2022-11-18 15:26:33', null, null, '1593195024294744064', '的撒法 ', '1564138623174053888', '2022-11-18 15:26:00', '2022-11-30 15:26:00', null, null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593506010977406976', '1', '2022-11-18 15:26:54', null, null, '1593195024294744064', '的放大', '1565538098622894080', '2022-11-18 15:26:00', '2022-11-30 15:26:00', null, null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593521538680885248', '1', '2022-11-18 16:28:36', null, null, '1593195024294744064', 'dsfas ', '1565538098622894080', '2022-11-18 16:28:00', '2022-11-30 21:28:00', null, null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593575766187184128', null, '2022-11-18 20:04:05', null, null, '1593575269023748096', '1021计划库第一版', '1564138623174053888', '2022-11-18 19:02:23', '2022-11-24 20:02:25', '1593575502424182784', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593809839077855232', null, '2022-11-19 11:34:12', null, null, '1593802731448045568', '1119-1001', '1564138623174053888', '2022-11-19 11:00:13', '2022-11-19 18:00:00', '1593803073304793088', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593809841531523072', null, '2022-11-19 11:34:12', null, null, '1593802731448045568', '1119-1001', '1565538098622894080', '2022-11-19 14:15:34', '2022-11-19 18:00:00', '1593803216733212672', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593815270441488384', null, '2022-11-19 11:55:47', null, null, '1592401367887122432', '212213231321', '1564138623174053888', '2022-11-19 14:24:04', '2022-11-19 18:00:00', '1593807403676209152', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593839344534294528', null, '2022-11-19 13:31:26', null, null, '1593838490360090624', '1119-1002', '1564138623174053888', '2022-11-19 14:30:36', '2022-11-19 18:00:00', '1593838954023620608', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1593841717222707200', null, '2022-11-19 13:40:52', null, null, '1593841368902537216', '测试供应商评价', '1564138623174053888', '2022-11-19 12:39:42', '2022-11-19 18:00:00', '1593841553690988544', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594223348609585152', null, '2022-11-20 14:57:20', null, null, '1594222226587127808', '1120课程-1001', '1564138623174053888', '2022-11-20 15:00:32', '2022-11-20 18:00:00', '1594222457647140864', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594223350778040320', null, '2022-11-20 14:57:21', null, null, '1594222226587127808', '1120课程-1001', '1564138623174053888', '2022-11-20 18:45:04', '2022-11-20 20:00:18', '1594222677688717312', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594242319765344256', null, '2022-11-20 16:12:43', null, null, '1594241800200130560', '课程第一讲1120-a', '1564138623174053888', '2022-11-20 17:15:33', '2022-11-20 20:15:42', '1594242100789121024', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594244687496089600', null, '2022-11-20 16:22:08', null, null, '1594244407400468480', '测试消息提醒', '1564138623174053888', '2022-11-19 15:21:09', '2022-11-21 18:00:00', '1594244486073028608', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594502819241660416', null, '2022-11-21 09:27:51', null, null, '1594501807982383104', '1121住宿测试', '1564138623174053888', '2022-11-21 08:25:34', '2022-11-21 12:00:00', '1594502306903232512', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594504516600991744', null, '2022-11-21 09:34:36', null, null, '1594504240024391680', '2022集中培训', '1565538098622894080', '2022-11-21 08:33:37', '2022-11-23 12:00:00', '1594504317006647296', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594539310533709824', '1', '2022-11-21 11:52:52', null, null, '1594523997104640000', '打发撒', '1567767144270270464', '2022-11-21 11:52:00', '2022-11-29 11:52:00', null, null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594558664319045632', null, '2022-11-21 13:09:46', null, null, '1594530952930004992', '2022年集中培训计划库', '1564138623174053888', '2022-11-21 12:30:43', '2022-11-21 18:00:00', '1594558022879940608', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594563228271251456', null, '2022-11-21 13:27:54', null, null, null, '十月测试测试 签到计划1111', '1565538098622894080', '2022-11-21 07:15:32', '2022-11-21 08:15:32', '1594562463783849984', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594563229928001536', null, '2022-11-21 13:27:54', null, null, null, '十月测试测试 签到计划1111', '1565538098622894080', '2022-11-21 12:30:05', '2022-11-21 13:30:05', '1594562601709342720', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594563231484088320', null, '2022-11-21 13:27:55', null, null, null, '十月测试测试 签到计划1111', '1567767144270270464', '2022-11-21 19:00:30', '2022-11-21 20:00:30', '1594562694474764288', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594566240570052608', null, '2022-11-21 13:39:52', null, null, '1594565664650170368', '测试签到22222222222', '1567767144270270464', '2022-11-21 07:30:45', '2022-11-21 08:30:45', '1594565793578881024', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594566242625261568', null, '2022-11-21 13:39:53', null, null, '1594565664650170368', '测试签到22222222222', '1565538098622894080', '2022-11-21 11:15:16', '2022-11-21 12:15:16', '1594565937305096192', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594566244265234432', null, '2022-11-21 13:39:53', null, null, '1594565664650170368', '测试签到22222222222', '1565538098622894080', '2022-11-21 15:45:54', '2022-11-21 16:45:54', '1594566088962740224', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594570318020743168', null, '2022-11-21 13:56:04', null, null, '1594569101844549632', '8', '1564138623174053888', '2022-11-21 07:00:08', '2022-11-21 08:00:08', '1594569486650970112', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594570319618772992', null, '2022-11-21 13:56:05', null, null, '1594569101844549632', '14：30', '1565538098622894080', '2022-11-21 13:30:03', '2022-11-21 14:30:03', '1594569882664570880', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594570321455878144', null, '2022-11-21 13:56:05', null, null, '1594569101844549632', '20.45', '1567767144270270464', '2022-11-21 19:45:33', '2022-11-21 20:45:33', '1594570021105963008', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594573079860875264', null, '2022-11-21 14:07:03', null, null, '1594571954189373440', '14', '1565538098622894080', '2022-11-14 13:15:33', '2022-11-14 14:15:33', '1594572276429361152', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594573083090489344', null, '2022-11-21 14:07:03', null, null, '1594571954189373440', '8', '1565538098622894080', '2022-11-21 07:30:40', '2022-11-21 08:30:40', '1594572056400367616', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594573086273966080', null, '2022-11-21 14:07:04', null, null, '1594571954189373440', '12', '1567767144270270464', '2022-11-21 11:00:04', '2022-11-21 12:00:04', '1594572650112487424', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594573091370045440', null, '2022-11-21 14:07:05', null, null, '1594571954189373440', '20', '1567767144270270464', '2022-11-21 19:30:08', '2022-11-21 20:30:08', '1594572167788498944', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594574457295474688', null, '2022-11-21 14:12:31', null, null, '1594571954189373440', '14', '1565538098622894080', '2022-11-14 13:15:33', '2022-11-14 14:15:33', '1594572276429361152', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594574460399259648', null, '2022-11-21 14:12:32', null, null, '1594571954189373440', '8', '1565538098622894080', '2022-11-21 07:30:40', '2022-11-21 08:30:40', '1594572056400367616', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594574462882287616', null, '2022-11-21 14:12:32', null, null, '1594571954189373440', '12', '1567767144270270464', '2022-11-21 11:00:04', '2022-11-21 12:00:04', '1594572650112487424', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594574465843466240', null, '2022-11-21 14:12:33', null, null, '1594571954189373440', '20', '1567767144270270464', '2022-11-21 19:30:08', '2022-11-21 20:30:08', '1594572167788498944', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594595735234547712', null, '2022-11-21 15:37:04', null, null, '1594586018877673472', '1121培训库课程-b', '1564138623174053888', '2022-11-21 16:45:47', '2022-11-21 18:00:00', '1594586224419540992', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594595737503666176', null, '2022-11-21 15:37:05', null, null, '1594586018877673472', '1121培训库课程-b', '1565538098622894080', '2022-11-21 20:00:22', '2022-11-21 22:30:30', '1594586587537215488', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1594875625460600832', null, '2022-11-22 10:09:15', null, null, '1594874152140017664', '1122培训库课程-c', '1564138623174053888', '2022-11-22 12:00:41', '2022-11-22 18:00:00', '1594874339755429888', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1595287790852116480', null, '2022-11-23 13:27:03', null, null, '1595287546621988864', '112325', '1594986488129523712', '2022-11-22 12:26:16', '2022-11-22 13:26:16', '1595287636782747648', null, '1', '101', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1595322934044528640', null, '2022-11-23 15:46:42', null, null, '1595322590518448128', '1', '1594986488129523712', '2022-11-23 15:48:26', '2022-11-23 16:45:26', '1595322689155895296', null, '1', '101', '057cc0a5bec446daabad66a515036679', '1224c922e4a74b5aa762a1fd8359825e', '1594986488129523712');
INSERT INTO `train_sign_in_info` VALUES ('1595338320022474752', null, '2022-11-23 16:47:50', null, null, '1594539630882066432', '1', '1594986488129523712', '2022-11-23 16:15:44', '2022-11-23 17:15:44', '1595338168553574400', null, '1', '101', '057cc0a5bec446daabad66a515036679', '3227f004c1104ed39b689b24944da7f0', '1594986488129523712');
INSERT INTO `train_sign_in_info` VALUES ('1595345071190970368', null, '2022-11-23 17:14:40', null, null, '1595344829099937792', '1111', '1564138623174053888', '2022-11-23 16:13:53', '2022-11-23 17:13:53', '1595344916421152768', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1595346940466434048', null, '2022-11-23 17:22:05', null, null, '1595346555282526208', '111', '1564138623174053888', '2022-11-23 16:20:46', '2022-11-23 17:20:46', '1595346658969915392', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596328226215563264', null, '2022-11-26 10:21:22', null, null, '1596328011639164928', '1', '1564138623174053888', '2022-11-26 09:20:37', '2022-11-26 10:20:37', '1596328088256516096', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596331630283329536', null, '2022-11-26 10:34:54', null, null, '1596330952991313920', '111', '1564138623174053888', '2022-11-26 09:32:24', '2022-11-26 10:32:24', '1596331042787168256', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596347141683548160', null, '2022-11-26 11:36:32', null, null, '1596346735863664640', '烦烦烦', '1565538098622894080', '2022-11-26 10:35:01', '2022-11-26 11:35:01', '1596346812694925312', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596347142501437440', null, '2022-11-26 11:36:32', null, null, '1596346735863664640', '顶顶顶', '1567767144270270464', '2022-11-26 10:35:22', '2022-11-26 11:35:22', '1596346891367485440', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596407252602982400', null, '2022-11-26 15:35:23', null, null, '1596385685659586560', '得到', '1565538098622894080', '2022-11-26 13:09:45', '2022-11-26 14:09:45', '1596385749010354176', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596407253420871680', null, '2022-11-26 15:35:24', null, null, '1596385685659586560', '顶顶顶', '1567767144270270464', '2022-11-26 13:10:03', '2022-11-26 14:10:03', '1596385833299087360', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596499198537240576', null, '2022-11-26 21:40:45', null, null, '1596498438508384256', '测试消息提醒', '1564138623174053888', '2022-11-26 20:38:10', '2022-11-27 21:38:12', '1596498574961676288', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596671333712924672', null, '2022-11-27 09:04:45', null, null, '1596670850063536128', '嘎嘎嘎', '1565538098622894080', '2022-11-27 08:02:58', '2022-11-27 09:02:58', '1596670930875191296', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596671334526619648', null, '2022-11-27 09:04:46', null, null, '1596670850063536128', '哈哈哈', '1565538098622894080', '2022-11-27 08:03:14', '2022-11-27 09:03:14', '1596670994058186752', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596671335369674752', null, '2022-11-27 09:04:46', null, null, '1596670850063536128', '急急急', '1567767144270270464', '2022-11-27 08:03:30', '2022-11-27 09:03:30', '1596671062182072320', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596746210880917504', null, '2022-11-27 14:02:17', null, null, '1596745761951977472', '11', '1564138623174053888', '2022-11-27 13:00:37', '2022-11-27 14:00:37', '1596745832663748608', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596746211698806784', null, '2022-11-27 14:02:18', null, null, '1596745761951977472', '22', '1567767144270270464', '2022-11-27 13:00:51', '2022-11-27 14:00:51', '1596745909385957376', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596746212537667584', null, '2022-11-27 14:02:18', null, null, '1596745761951977472', '333', '1570609322549972992', '2022-11-27 13:01:12', '2022-11-27 14:01:12', '1596745980521353216', null, '1', '2楼会议室1002', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596788604615659520', null, '2022-11-27 16:50:45', null, null, '1596788426072526848', '1', '1564138623174053888', '2022-11-26 15:50:09', '2022-11-26 16:50:09', '1596788483203141632', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1596790281666170880', null, '2022-11-27 16:57:25', null, null, '1596789911623700480', '范德萨', '1565538098622894080', '2022-11-27 15:56:01', '2022-11-27 16:56:01', '1596789969828057088', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597123583803527168', null, '2022-11-28 15:01:50', null, null, '1597123371915677696', '1', '1564138623174053888', '2022-11-27 14:01:05', '2022-11-27 15:01:05', '1597123424478695424', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597130023960186880', null, '2022-11-28 15:27:26', null, null, '1597129836160225280', '1', '1564138623174053888', '2022-11-27 14:26:46', '2022-11-27 15:26:46', '1597129893861265408', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597136104568524800', null, '2022-11-28 15:51:35', null, null, '1597135726384910336', '1', '1564138623174053888', '2022-11-27 14:50:11', '2022-11-27 15:50:11', '1597135778658521088', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597146585039507456', null, '2022-11-28 16:33:14', null, null, '1597146387521343488', '课程2', null, '2022-11-28 15:32:33', '2022-11-28 16:32:33', '1597146461890547712', null, '1', '花半里', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597505490932338688', null, '2022-11-29 16:19:24', null, null, '1597505217669238784', '课程1', null, '2022-11-29 15:18:29', '2022-11-29 16:18:29', '1597505324212948992', null, '1', '场地2', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597515740855013376', null, '2022-11-29 17:00:08', null, null, '1597515216793505792', '一样', '1565538098622894080', '2022-11-29 15:58:08', '2022-11-29 16:58:08', '1597515276071604224', null, '1', 'A009', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597555449404723200', null, '2022-11-29 19:37:55', null, null, '1597552958424354816', '测试签到1129', '1564138623174053888', '2022-11-29 18:35:37', '2022-11-29 19:35:37', '1597555024437841920', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597556947610112000', null, '2022-11-29 19:43:52', null, null, '1597556737949437952', '测试签到', '1564138623174053888', '2022-11-29 18:43:10', '2022-11-29 19:43:10', '1597556823949447168', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597557932436885504', null, '2022-11-29 19:47:47', null, null, '1597557770041823232', '1', '1564138623174053888', '2022-11-29 18:47:14', '2022-11-29 19:47:14', '1597557833468088320', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1597559918049759232', null, '2022-11-29 19:55:40', null, null, '1597559736184737792', '1', '1564138623174053888', '2022-11-29 18:55:03', '2022-11-29 19:55:03', '1597559808263852032', null, '1', 'A008', 'c527ed8f5d1246ac869b2ac916bef031', '533f7d9e4d634e64b90c78e93c64775c', '1564138623174053888');
INSERT INTO `train_sign_in_info` VALUES ('1597757512495534080', null, '2022-11-30 09:00:51', null, null, '1597757293041160192', '1', '1564138623174053888', '2022-11-29 08:00:04', '2022-11-29 09:00:04', '1597757371495616512', null, '1', 'A008', 'c527ed8f5d1246ac869b2ac916bef031', 'fb4452e6c77a453d99cde1ed338926b4', '1564138623174053888');
INSERT INTO `train_sign_in_info` VALUES ('1598509362794598400', null, '2022-12-02 10:48:26', null, null, '1597161124694986752', '课程1', null, '2022-12-02 09:46:22', '2022-12-02 10:46:22', '1598508963748515840', null, '1', '场地1', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1598522080725438464', null, '2022-12-02 11:38:58', null, null, '1598521650104635392', '培训1', null, '2022-12-02 10:37:22', '2022-12-02 11:37:22', '1598521723756613632', null, '1', '1231', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1598522082273136640', null, '2022-12-02 11:38:58', null, null, '1598521650104635392', '22222', null, '2022-12-02 10:37:38', '2022-12-02 11:37:38', '1598521785618403328', null, '1', '22', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1598522083862777856', null, '2022-12-02 11:38:59', null, null, '1598521650104635392', '21312', null, '2022-12-02 10:37:53', '2022-12-02 11:37:53', '1598521850747555840', null, '1', '2132', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1598522085448224768', null, '2022-12-02 11:38:59', null, null, '1598521650104635392', '日日日日日', null, '2022-12-02 10:38:09', '2022-12-02 11:38:09', '1598521935329890304', null, '1', '日日日', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1598951400497352704', null, '2022-12-03 16:04:56', null, null, '1598951182674563072', '课程1', null, '2022-12-03 15:04:08', '2022-12-03 16:04:08', '1598951280540258304', null, '1', '场地1', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1600726372723068928', null, '2022-12-08 13:38:02', null, null, '1596689079976726528', '111', null, '2022-12-08 14:00:06', '2022-12-08 15:00:06', '1597176621029265408', null, '1', '1111', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1607634490358894592', null, '2022-12-27 15:08:26', null, null, '1607634115245510656', '打发打发', null, '2022-12-27 14:07:22', '2022-12-27 15:07:22', '1607634263195389952', null, '1', '对的', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1610176309613432832', null, '2023-01-03 15:28:42', null, null, '1610175794691313664', '的方法', null, '2023-01-03 14:26:45', '2023-01-03 15:26:45', '1610175850341339136', null, '1', '方法', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1610464963804139520', null, '2023-01-04 10:35:43', null, null, '1610464458696691712', '是硕士', null, '2023-01-04 09:33:47', '2023-01-04 10:33:47', '1610464524031365120', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1611989830047240192', null, '2023-01-08 15:34:59', null, null, '1611989569824231424', '试试', null, '2023-01-08 14:34:13', '2023-01-08 15:34:13', '1611989678960021504', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1612324617660272640', null, '2023-01-09 13:45:19', null, null, '1612324397706776576', '123', null, '2023-01-09 12:44:33', '2023-01-09 13:44:33', '1612324461711855616', null, '1', '123', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1612768159302029312', null, '2023-01-10 19:07:48', null, null, '1612767792682110976', '巍峨', null, '2023-01-10 18:07:00', '2023-01-10 19:07:00', '1612767995090833408', null, '1', '二恶而', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1613804849697263616', null, '2023-01-13 15:47:14', null, null, '1613804407424684032', '123', '1601102700597088256', '2023-01-13 14:46:10', '2023-01-13 15:46:10', '1613804643526250496', null, '1', '3', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1613810854476779520', null, '2023-01-13 16:11:06', null, null, '1613808331804250112', '123', '1601102700597088256', '2023-01-13 15:01:11', '2023-01-13 16:01:11', '1613808403061280768', null, '1', '3', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1613814583984787456', null, '2023-01-13 16:25:55', null, null, '1613814276676521984', '123', '1601102700597088256', '2023-01-13 15:24:47', '2023-01-13 16:24:47', '1613814371581038592', null, '1', '3', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1614180944007270400', null, '2023-01-14 16:41:42', null, null, '1614180571775373312', '1111111', '1567767144270270464', '2023-01-14 15:40:28', '2023-01-14 16:40:28', '1614180723479154688', null, '1', '郑州1001', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1619875099727499264', null, '2023-01-30 09:48:14', null, null, '1619874679139471360', '是硕士', null, '2023-01-30 08:46:39', '2023-01-30 09:46:39', '1619874739428397056', null, '1', '我问问', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1620325266826072064', null, '2023-01-31 15:37:02', null, null, '1620324158833561600', '1212', '1601102700597088256', '2023-01-31 14:32:46', '2023-01-31 15:32:46', '1620324227934720000', null, '1', '3', '', 'fc355f42d54344caafb050507ef06a61', '');
INSERT INTO `train_sign_in_info` VALUES ('1620601125235462144', null, '2023-02-01 09:53:12', null, null, '1620598592655986688', '测试支付的课程内容', '1564138623174053888', '2023-02-01 08:43:20', '2023-02-01 09:43:20', '1620598695655510016', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1620614334369632256', null, '2023-02-01 10:45:42', null, null, '1620613930487517184', '测', '1601102781710733312', '2023-02-01 09:44:11', '2023-02-01 10:44:11', '1620613993792147456', null, '1', '2', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1623945106988077056', null, '2023-02-10 15:21:00', null, null, '1623944808060030976', '士大夫', null, '2023-02-10 14:20:03', '2023-02-10 15:20:03', '1623944944416854016', null, '1', '的撒法', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638711041422659584', null, '2023-03-23 09:15:33', null, null, '1638710381205655552', '课程', null, '2023-03-22 08:13:06', '2023-03-22 09:13:06', '1638710579550097408', null, '1', '课程', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638718232431038464', null, '2023-03-23 09:44:07', null, null, '1613015858672701440', '测', null, '2023-01-11 10:38:10', '2023-01-11 11:38:10', '1613017428219006976', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638718591085973504', null, '2023-03-23 09:45:33', null, null, '1613015858672701440', '测', null, '2023-01-11 10:38:10', '2023-01-11 11:38:10', '1613017428219006976', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638719182117933056', null, '2023-03-23 09:47:54', null, null, '1613015858672701440', '测', null, '2023-01-11 10:38:10', '2023-01-11 11:38:10', '1613017428219006976', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638719560679034880', null, '2023-03-23 09:49:24', null, null, '1613015858672701440', '测', null, '2023-01-11 10:38:10', '2023-01-11 11:38:10', '1613017428219006976', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638720250985975808', null, '2023-03-23 09:52:08', null, null, '1613015858672701440', '测', null, '2023-01-11 10:38:10', '2023-01-11 11:38:10', '1613017428219006976', null, '1', '是硕士', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638721976103211008', null, '2023-03-23 09:59:00', null, null, '1610175243224223744', '对的', null, '2023-01-03 14:24:34', '2023-01-03 15:24:34', '1610175334605524992', null, '1', '时代的', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1638722388764004352', null, '2023-03-23 10:00:38', null, null, '1597791737093427200', '方法', null, '2022-11-30 10:16:57', '2022-11-30 11:16:57', '1597791821025644544', null, '1', '方法', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640982063307952128', null, '2023-03-29 15:39:47', null, null, '1640981421491359744', '培训启动会', '1564138623174053888', '2023-03-31 08:00:31', '2023-03-31 09:00:31', '1640981599770251264', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640982063765131264', null, '2023-03-29 15:39:47', null, null, '1640981421491359744', '员工能力提升课程1', '1564138623174053888', '2023-04-01 07:00:14', '2023-04-01 08:00:14', '1640981777113812992', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640982075660177408', null, '2023-03-29 15:39:49', null, null, '1640981421491359744', '培训启动会', '1564138623174053888', '2023-03-31 08:00:31', '2023-03-31 09:00:31', '1640981599770251264', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640982076092190720', null, '2023-03-29 15:39:50', null, null, '1640981421491359744', '员工能力提升课程1', '1564138623174053888', '2023-04-01 07:00:14', '2023-04-01 08:00:14', '1640981777113812992', null, '1', 'A008', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640984377548738560', null, '2023-03-29 15:48:58', null, null, '1640983724587880448', '快速了解和熟悉Vue.js 基础知识', '1601102781710733312', '2023-03-31 08:00:15', '2023-03-31 09:00:15', '1640984027760562176', null, '1', '2', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640984377771036672', null, '2023-03-29 15:48:58', null, null, '1640983724587880448', '快速熟悉 ES6', '1601102781710733312', '2023-04-02 13:00:50', '2023-04-02 14:00:50', '1640984189740388352', null, '1', '2', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1640984378060443648', null, '2023-03-29 15:48:58', null, null, '1640983724587880448', '深入实战来了解 SPA 项目搭建', '1601102781710733312', '2023-04-05 14:48:22', '2023-04-05 15:48:22', '1640984292958015488', null, '1', '2', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1691378879824007168', '1327473526785052672', '2023-08-15 17:18:44', null, null, '1691377993613709312', '课程第一天签到', '1570609322549972992', '2023-08-15 08:45:00', '2023-08-15 09:30:00', null, null, '1', '2楼会议室1002', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1691386615005581312', null, '2023-08-15 17:49:28', null, null, '1691385882579439616', '线上语文课程', null, '2023-08-15 08:00:58', '2023-08-15 09:00:58', '1691386112246943744', null, '1', '2号楼3层302', null, null, null);
INSERT INTO `train_sign_in_info` VALUES ('1691386887694061568', '1', '2023-08-15 17:50:33', null, null, '1691385882579439616', '第一节课程签到001', '1567767144270270464', '2023-08-15 08:00:00', '2023-08-15 10:45:00', null, null, '1', '郑州1001', null, null, null);

-- ----------------------------
-- Table structure for train_sign_in_management
-- ----------------------------
DROP TABLE IF EXISTS `train_sign_in_management`;
CREATE TABLE `train_sign_in_management` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `CREATED_BY` bigint(20) DEFAULT NULL COMMENT '创建人',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(20) DEFAULT NULL COMMENT '更新人',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `info_id` bigint(20) DEFAULT NULL COMMENT '主表id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '签到人员',
  `user_name` varchar(128) DEFAULT NULL COMMENT '签到人员姓名',
  `sign_time` datetime DEFAULT NULL COMMENT '签到时间',
  `state` smallint(6) DEFAULT NULL COMMENT '状态(1未签到 2正常 3迟到)',
  `class_id` bigint(20) DEFAULT NULL COMMENT '班级id',
  `is_countersign` varchar(10) DEFAULT NULL COMMENT '是否补签   1为是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1643901197725339650 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='签到管理';

-- ----------------------------
-- Records of train_sign_in_management
-- ----------------------------
INSERT INTO `train_sign_in_management` VALUES ('1', null, '2022-09-16 10:27:27', null, null, '1570600210487447552', '1568115277298798592', '周老师', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('2', null, '2022-09-16 10:27:27', null, null, '1570600210487447552', '1568122981111173120', '李昊杰', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('3', null, '2022-09-16 10:27:27', null, null, '1570600210487447552', '1568128408850927616', '周老师', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('4', null, '2022-09-16 10:27:29', null, null, '1570600240678047744', '1568115277298798592', '周老师', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('5', null, '2022-09-16 10:27:29', null, null, '1570600240678047744', '1568122981111173120', '李昊杰', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('6', null, '2022-09-16 10:27:29', null, null, '1570600240678047744', '1568128408850927616', '周老师', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('7', null, '2022-09-16 11:11:45', null, null, '1570611381626081280', '1568115277298798592', '周老师', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('8', null, '2022-09-16 11:11:45', null, null, '1570611381626081280', '1568122981111173120', '李昊杰', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('9', null, '2022-09-16 11:11:45', null, null, '1570611381626081280', '1568128408850927616', '周老师', null, '1', '1570339436661706752', null);
INSERT INTO `train_sign_in_management` VALUES ('10', null, '2022-09-21 10:44:34', null, null, '1572416469441056768', '1570339436661706755', '李昊杰', null, '1', '1572406044859174912', null);
INSERT INTO `train_sign_in_management` VALUES ('11', null, '2022-09-21 10:44:34', null, null, '1572416469441056768', '1572039706189893639', '小石头', '2022-09-21 15:12:59', '3', '1572406044859174912', null);
INSERT INTO `train_sign_in_management` VALUES ('13', null, '2022-09-21 10:44:35', null, null, '1572416471613706240', '1570339436661706755', '李昊杰', null, '1', '1572406044859174912', null);
INSERT INTO `train_sign_in_management` VALUES ('14', null, '2022-09-21 10:44:35', null, null, '1572416471613706240', '1572039706189893639', '小石头', '2022-09-21 15:16:11', '2', '1572406044859174912', null);
INSERT INTO `train_sign_in_management` VALUES ('16', null, '2022-09-21 17:14:37', null, null, '1572514626300678144', '1572039706189893632', '小石头', null, '1', '1571698237209972736', null);
INSERT INTO `train_sign_in_management` VALUES ('17', null, '2022-09-21 17:14:38', null, null, '1572514628989227008', '1572039706189893632', '小石头', null, '1', '1571698237209972736', null);
INSERT INTO `train_sign_in_management` VALUES ('245311049123500997', null, '2023-09-21 10:44:44', null, null, '127051794680996672', '1565939234546782208', '王涵', null, '1', '127050043999518848', null);
INSERT INTO `train_sign_in_management` VALUES ('1572780721561538560', null, '2022-09-22 10:52:00', null, null, '1572769826580074496', '1569928315261816832', '小石头', '2022-09-22 11:05:36', '3', '1572766217247264768', null);
INSERT INTO `train_sign_in_management` VALUES ('1572780723235065856', null, '2022-09-22 10:52:00', null, null, '1572769828811444224', '1569928315261816832', '小石头', null, '1', '1572766217247264768', null);
INSERT INTO `train_sign_in_management` VALUES ('1572828664117202944', null, '2022-09-22 14:02:30', null, null, '1572769826580074496', '1567337243285262336', '何云凡', null, '1', '1572766217247264768', null);
INSERT INTO `train_sign_in_management` VALUES ('1572828665643929600', null, '2022-09-22 14:02:30', null, null, '1572769828811444224', '1567337243285262336', '何云凡', null, '1', '1572766217247264768', null);
INSERT INTO `train_sign_in_management` VALUES ('1572828665643929601', null, '2022-09-22 17:45:59', null, null, '1572884907221454848', '1572860973084184576', '王涵', null, '1', '1572797449381220352', null);
INSERT INTO `train_sign_in_management` VALUES ('1573140781907185664', null, '2022-09-23 10:42:45', null, null, '1572038707840684032', '1567451914025701376', '何神', null, '1', '1571736395163242496', null);
INSERT INTO `train_sign_in_management` VALUES ('1573140781907185665', null, '2022-09-23 14:41:27', null, null, '1573200857309253632', '1573151458398965760', '小石头', '2022-09-23 14:43:38', '2', '1573151458042449920', null);
INSERT INTO `train_sign_in_management` VALUES ('1573140781907185666', null, '2022-09-23 15:52:14', null, null, '1573218669025169408', '1573151458398965760', '小石头', null, '1', '1573151458042449920', null);
INSERT INTO `train_sign_in_management` VALUES ('1573140781907185667', null, '2022-09-23 15:52:14', null, null, '1573218669226496000', '1573151458398965760', '小石头', null, '1', '1573151458042449920', null);
INSERT INTO `train_sign_in_management` VALUES ('1574285645239685120', null, '2022-09-26 14:32:01', null, null, '1574243590601838592', '1567451914025701376', '何神', null, '1', '1574243202679050240', null);
INSERT INTO `train_sign_in_management` VALUES ('1574598975816863744', null, '2022-09-27 11:17:05', null, null, '1574243590601838592', '1569928315261816832', '小石头', null, '1', '1574243202679050240', null);
INSERT INTO `train_sign_in_management` VALUES ('1574651961075175424', null, '2022-09-27 14:47:38', null, null, '1574651526595612672', '1565939234546782208', '王涵', null, '1', '1574650579148476416', null);
INSERT INTO `train_sign_in_management` VALUES ('1574653088860606464', null, '2022-09-27 14:52:07', null, null, '1574651526595612672', '1567097186544652288', '何云凡', null, '1', '1574650579148476416', null);
INSERT INTO `train_sign_in_management` VALUES ('1574669372444774400', null, '2022-09-27 15:56:49', null, null, '1574669071641874432', '1565939234546782208', '王涵', null, '1', '1574668938376253440', null);
INSERT INTO `train_sign_in_management` VALUES ('1574674074389581824', null, '2022-09-27 16:15:30', null, null, '1574674000104263680', '1565939234546782208', '王涵', null, '1', '1574673833242267648', null);
INSERT INTO `train_sign_in_management` VALUES ('1574674074389581825', null, '2022-09-27 16:46:22', null, null, '1574681842307698688', '1572868475238617088', '王涵', '2022-09-27 16:47:09', '2', '1572842240676597760', null);
INSERT INTO `train_sign_in_management` VALUES ('1574674074389581826', null, '2022-09-27 16:46:39', null, null, '1574681915552829440', '1572868475238617088', '王涵', null, '1', '1572842240676597760', null);
INSERT INTO `train_sign_in_management` VALUES ('1574995965436366848', null, '2022-09-28 13:34:35', null, null, '1574674000104263680', '1570252962423508992', '李主任001', null, '1', '1574673833242267648', null);
INSERT INTO `train_sign_in_management` VALUES ('1574998292943736832', null, '2022-09-28 13:43:50', null, null, '1574998229932707840', '1570252962423508992', '李主任001', null, '1', '1574679042467172352', null);
INSERT INTO `train_sign_in_management` VALUES ('1574999314114154496', null, '2022-09-28 13:47:53', null, null, '1574999258644484096', '1570252962423508992', '李主任001', null, '1', '1574690990105694208', null);
INSERT INTO `train_sign_in_management` VALUES ('1575326532170289152', null, '2022-09-29 11:28:08', null, null, '1575323055536869376', '1567097186544652288', '何云凡', null, '1', '1575322855934136320', null);
INSERT INTO `train_sign_in_management` VALUES ('1575326767357497344', null, '2022-09-29 11:29:04', null, null, '1575326625015402496', '1567097186544652288', '何云凡', '2022-09-29 15:57:54', '2', '1575325299946688512', null);
INSERT INTO `train_sign_in_management` VALUES ('1575326767508492288', null, '2022-09-29 11:29:04', null, null, '1575326625388695552', '1567097186544652288', '何云凡', null, '1', '1575325299946688512', null);
INSERT INTO `train_sign_in_management` VALUES ('1575329504790974464', null, '2022-09-29 11:39:57', null, null, '1575323055536869376', '1570252962423508992', '李主任001', null, '1', '1575322855934136320', null);
INSERT INTO `train_sign_in_management` VALUES ('1575366492399210496', null, '2022-09-29 14:06:55', null, null, '1575365570822541312', '1574653861665312768', '李露', null, '1', '1575364705646678016', null);
INSERT INTO `train_sign_in_management` VALUES ('1575366776462643200', null, '2022-09-29 14:08:03', null, null, '1575326625015402496', '1570252962423508992', '李主任001', null, '1', '1575325299946688512', null);
INSERT INTO `train_sign_in_management` VALUES ('1575366778131976192', null, '2022-09-29 14:08:03', null, null, '1575326625388695552', '1570252962423508992', '李主任001', null, '1', '1575325299946688512', null);
INSERT INTO `train_sign_in_management` VALUES ('1575370501163978752', null, '2022-09-29 14:22:51', null, null, '1575370374588272640', '1567097186544652288', '何云凡', null, '2', '1575327504024080384', null);
INSERT INTO `train_sign_in_management` VALUES ('1575388995452538880', null, '2022-09-29 15:36:20', null, null, '1575365570822541312', '1575324436016533504', '省管理员', null, '1', '1575364705646678016', null);
INSERT INTO `train_sign_in_management` VALUES ('1575419873545293824', null, '2022-09-29 17:39:02', null, null, '1575370374588272640', '1569928315261816832', '小石头', null, '1', '1575327504024080384', null);
INSERT INTO `train_sign_in_management` VALUES ('1578982561336659968', null, '2022-10-09 13:35:53', null, null, '1578925776848424960', '1565939234546782208', '王涵', '2022-10-09 14:38:16', '3', '1578925079021096960', null);
INSERT INTO `train_sign_in_management` VALUES ('1578982561336659969', null, '2022-10-09 14:09:27', null, null, '1578991001618485248', '1565939234546782208', '王涵', null, '1', '1578925079021096960', null);
INSERT INTO `train_sign_in_management` VALUES ('1578982561336659970', null, '2022-10-09 15:17:56', null, null, '1579008241856286720', '1569928315261816832', '小石头', null, '1', '1573151458042449920', null);
INSERT INTO `train_sign_in_management` VALUES ('1579030383574519808', null, '2022-10-09 16:45:55', null, null, '1578925776848424960', '1567097186544652288', '何云凡', null, '1', '1578925079021096960', null);
INSERT INTO `train_sign_in_management` VALUES ('1579289950858383360', null, '2022-10-10 09:57:21', null, null, '1579282905774034944', '1567097186544652288', '何云凡', null, '1', '1579281614876315648', null);
INSERT INTO `train_sign_in_management` VALUES ('1579339239898877952', null, '2022-10-10 13:13:12', null, null, '1579283454372220928', '1574653861665312768', '李露', null, '1', '1579283027245273088', null);
INSERT INTO `train_sign_in_management` VALUES ('1579352957214920704', null, '2022-10-10 14:07:43', null, null, '1579283454372220928', '1565939234546782208', '王涵', null, '1', '1579283027245273088', null);
INSERT INTO `train_sign_in_management` VALUES ('1579364877007458304', null, '2022-10-10 14:55:05', null, null, '1579341628903133184', '1574653861665312768', '李露', null, '1', '1579001547617079296', null);
INSERT INTO `train_sign_in_management` VALUES ('1579371975648874496', null, '2022-10-10 15:23:17', null, null, '1579341628903133184', '1570254194114433024', '李主任002', null, '1', '1579001547617079296', null);
INSERT INTO `train_sign_in_management` VALUES ('1579374665648967680', null, '2022-10-10 15:33:58', null, null, '1579341628903133184', '1567097186544652288', '何云凡', null, '1', '1579001547617079296', null);
INSERT INTO `train_sign_in_management` VALUES ('1579377649212592128', null, '2022-10-10 15:45:50', null, null, '1579341628903133184', '1579374510346473472', '李昊杰', null, '1', '1579001547617079296', null);
INSERT INTO `train_sign_in_management` VALUES ('1579652972412014592', null, '2022-10-11 09:59:52', null, null, '1579284251961069568', '1567097186544652288', '何云凡', null, '1', '1579283811680784384', null);
INSERT INTO `train_sign_in_management` VALUES ('1579653873142992896', null, '2022-10-11 10:03:27', null, null, '1579283454372220928', '1567097186544652288', '何云凡', null, '1', '1579283027245273088', null);
INSERT INTO `train_sign_in_management` VALUES ('1579655508405653504', null, '2022-10-11 10:09:56', null, null, '1579655088920727552', '1567097186544652288', '何云凡', null, '1', '1579654776772235264', null);
INSERT INTO `train_sign_in_management` VALUES ('1579666402321764352', null, '2022-10-11 10:53:14', null, null, '1579655088920727552', '1565939234546782208', '王涵', null, '1', '1579654776772235264', null);
INSERT INTO `train_sign_in_management` VALUES ('1579709847019065344', null, '2022-10-11 13:45:52', null, null, '1579284251961069568', '1565939234546782208', '王涵', null, '1', '1579283811680784384', null);
INSERT INTO `train_sign_in_management` VALUES ('1579713321907654656', null, '2022-10-11 13:59:40', null, null, '1579713237707001856', '1565939234546782208', '王涵', null, '1', '1579712896307433472', null);
INSERT INTO `train_sign_in_management` VALUES ('1579714169920425984', null, '2022-10-11 14:03:02', null, null, '1579714018933870592', '1565939234546782208', '王涵', null, '1', '1579713717669597184', null);
INSERT INTO `train_sign_in_management` VALUES ('1579714957010931712', null, '2022-10-11 14:06:10', null, null, '1579714884407529472', '1565939234546782208', '王涵', null, '1', '1579714620262846464', null);
INSERT INTO `train_sign_in_management` VALUES ('1579716533687554048', null, '2022-10-11 14:12:26', null, null, '1579716470294843392', '1565939234546782208', '王涵', null, '1', '1579716155344556032', null);
INSERT INTO `train_sign_in_management` VALUES ('1579726318365446144', null, '2022-10-11 14:51:19', null, null, '1579725658127470592', '1555010577007513600', '周老师', null, '1', '1579723260835270656', null);
INSERT INTO `train_sign_in_management` VALUES ('1579726318365446145', null, '2022-10-12 14:51:24', null, null, '1580088728406331392', '1574653861665312768', '李露', null, '1', '1580081304689577984', null);
INSERT INTO `train_sign_in_management` VALUES ('1580106437143695360', null, '2022-10-12 16:01:46', null, null, '1580091879368822784', '1574656123775094784', '李露露', null, '1', '1580091399771131904', null);
INSERT INTO `train_sign_in_management` VALUES ('1580113341366538240', null, '2022-10-12 16:29:12', null, null, '1580088728406331392', '1574656123775094784', '李露露', null, '1', '1580081304689577984', null);
INSERT INTO `train_sign_in_management` VALUES ('1580794855762825216', null, '2022-10-14 13:37:18', null, null, '1580794222410338304', '1574656123775094784', '李露露', null, '1', '1580770390802829312', null);
INSERT INTO `train_sign_in_management` VALUES ('1581927790800932864', null, '2022-10-17 16:39:11', null, null, '1580822070567243776', '1574656123775094784', '李露露', null, '1', '1580821763359641600', null);
INSERT INTO `train_sign_in_management` VALUES ('1582206942628155392', null, '2022-10-18 11:08:26', null, null, '1580822070567243776', '1567097186544652288', '何云凡', null, '1', '1580821763359641600', null);
INSERT INTO `train_sign_in_management` VALUES ('1582678153652998144', null, '2022-10-19 18:20:51', null, null, '1582677520107573248', '1574656123775094784', '李露露', '2022-10-19 18:30:53', '2', '1582675574806155264', null);
INSERT INTO `train_sign_in_management` VALUES ('1582686733135384576', null, '2022-10-19 18:54:57', null, null, '1582686541724127232', '1574656123775094784', '李露露', '2022-10-19 18:58:24', '3', '1582686163125276672', null);
INSERT INTO `train_sign_in_management` VALUES ('1583103781971824640', null, '2022-10-20 22:32:09', null, null, '1582677520107573248', '1555010577007513600', '周老师', null, '1', '1582675574806155264', null);
INSERT INTO `train_sign_in_management` VALUES ('1583353784946528256', null, '2022-10-21 15:05:34', null, null, '1583348891863093248', '1555010577007513600', '周老师', null, '1', '1583346873849221120', null);
INSERT INTO `train_sign_in_management` VALUES ('1583362132853002240', null, '2022-10-21 15:38:45', null, null, '1583350946119946240', '1569928315261816832', '小石头', '2022-10-21 15:38:45', '3', '1583289626242715648', null);
INSERT INTO `train_sign_in_management` VALUES ('1583367524089729024', null, '2022-10-21 16:00:10', null, null, '1583332059408109568', '1574653861665312768', '李露', null, '1', '1583317513494728704', null);
INSERT INTO `train_sign_in_management` VALUES ('1583376119724380160', null, '2022-10-21 16:34:19', null, null, '1583350946119946240', '1565939234546782208', '王涵', null, '1', '1583289626242715648', null);
INSERT INTO `train_sign_in_management` VALUES ('1583383168365498368', null, '2022-10-21 17:02:20', null, null, '1583369864251314176', '1574653861665312768', '李露', null, '1', '1583369261261393920', null);
INSERT INTO `train_sign_in_management` VALUES ('1583723422083584000', null, '2022-10-22 15:34:23', null, null, '1583722777523916800', '1555010577007513600', '周老师', '2022-10-22 15:35:49', '3', '1583722097811787776', null);
INSERT INTO `train_sign_in_management` VALUES ('1583742144626167808', null, '2022-10-22 16:48:46', null, null, '1583741824227479552', '1555010577007513600', '周老师', '2022-10-22 16:50:53', '2', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1583742144718442496', null, '2022-10-22 16:48:46', null, null, '1583741824332337152', '1555010577007513600', '周老师', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1583742399518216192', null, '2022-10-22 16:49:47', null, null, '1583741824227479552', '1555010577007513600', '周老师', '2022-10-22 16:50:53', '2', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1583745190320017408', null, '2022-10-22 17:00:53', null, null, '1583741824227479552', '1579374510346473472', '李昊杰', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1583745191976767488', null, '2022-10-22 17:00:53', null, null, '1583741824332337152', '1579374510346473472', '李昊杰', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1584363740332167168', null, '2022-10-24 09:58:46', null, null, '1584363597990072320', '1567097186544652288', '何云凡', null, '1', '1583683407156744192', null);
INSERT INTO `train_sign_in_management` VALUES ('1584419039407640576', null, '2022-10-24 13:38:31', null, null, '1583332059408109568', '1574656123775094784', '李露露', null, '1', '1583317513494728704', null);
INSERT INTO `train_sign_in_management` VALUES ('1584439720077824000', null, '2022-10-24 15:00:41', null, null, '1583741824227479552', '1565939234546782208', '王涵', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1584439720149127168', null, '2022-10-24 15:00:41', null, null, '1583741824332337152', '1565939234546782208', '王涵', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1584441600329781248', null, '2022-10-24 15:08:10', null, null, '1583741824227479552', '1570252962423508992', '李主任001', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1584441600388501504', null, '2022-10-24 15:08:10', null, null, '1583741824332337152', '1570252962423508992', '李主任001', null, '1', '1583739434711519232', null);
INSERT INTO `train_sign_in_management` VALUES ('1584445301358465024', null, '2022-10-24 15:22:52', null, null, '1584445241484775424', '1570252962423508992', '李主任001', null, '1', '1583413010712629248', null);
INSERT INTO `train_sign_in_management` VALUES ('1584445646780370944', null, '2022-10-24 15:24:14', null, null, '1584445241484775424', '1570252962423508992', '李主任001', '2022-10-24 15:24:14', '3', '1583413010712629248', null);
INSERT INTO `train_sign_in_management` VALUES ('1584448456695615488', null, '2022-10-24 15:35:24', null, null, '1583722777523916800', '1565939234546782208', '王涵', null, '1', '1583722097811787776', null);
INSERT INTO `train_sign_in_management` VALUES ('1584451748234399744', null, '2022-10-24 15:48:29', null, null, '1583722777523916800', '1572825817233362944', '灿', null, '1', '1583722097811787776', null);
INSERT INTO `train_sign_in_management` VALUES ('1584734342884757504', null, '2022-10-25 10:31:25', null, null, '1584732829714092032', '1567097186544652288', '何云凡', null, '1', '1584732496656994304', null);
INSERT INTO `train_sign_in_management` VALUES ('1584805989851467776', null, '2022-10-25 15:16:07', null, null, '1584805851493961728', '1565939234546782208', '王涵', null, '1', '1584515014952357888', null);
INSERT INTO `train_sign_in_management` VALUES ('1584806338226163712', null, '2022-10-25 15:17:30', null, null, '1584445241484775424', '1574653861665312768', '李露', null, '1', '1583413010712629248', null);
INSERT INTO `train_sign_in_management` VALUES ('1584808292402728960', null, '2022-10-25 15:25:16', null, null, '1583722777523916800', '1574653861665312768', '李露', null, '1', '1583722097811787776', null);
INSERT INTO `train_sign_in_management` VALUES ('1584808292402728961', null, '2022-10-26 14:35:07', null, null, '1585158056625442816', '1565939234546782208', '王涵', null, '1', '1584515014952357888', null);
INSERT INTO `train_sign_in_management` VALUES ('1585169333401817088', null, '2022-10-26 15:19:55', null, null, '1584363597990072320', '1572825817233362944', '灿', null, '1', '1583683407156744192', null);
INSERT INTO `train_sign_in_management` VALUES ('1585175871906516992', null, '2022-10-26 15:45:56', null, null, '1584363597990072320', '1567097186544652288', '何云凡', '2022-10-26 15:45:54', '3', '1583683407156744192', null);
INSERT INTO `train_sign_in_management` VALUES ('1585175871906516993', null, '2022-10-26 16:14:28', null, null, '1585183056564719616', '1567097186544652288', '何云凡', null, '1', '1583683407156744192', null);
INSERT INTO `train_sign_in_management` VALUES ('1585175871906516994', null, '2022-10-26 16:14:28', null, null, '1585183056564719616', '1572825817233362944', '灿', null, '1', '1583683407156744192', null);
INSERT INTO `train_sign_in_management` VALUES ('1585184143183056896', null, '2022-10-26 16:18:46', null, null, '1585184030310141952', '1567097186544652288', '何云凡', '2022-10-26 16:30:44', '3', '1585183526750392320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585184143183056897', null, '2022-10-26 16:55:32', null, null, '1585193390306365440', '1567097186544652288', '何云凡', null, '1', '1585183526750392320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585462614471872512', null, '2022-10-27 10:45:18', null, null, '1585461589606273024', '1555010577007513600', '周老师', null, '1', '1585459813435969536', null);
INSERT INTO `train_sign_in_management` VALUES ('1585462614530592768', null, '2022-10-27 10:45:18', null, null, '1585461589694353408', '1555010577007513600', '周老师', null, '1', '1585459813435969536', null);
INSERT INTO `train_sign_in_management` VALUES ('1585463429513220096', null, '2022-10-27 10:48:33', null, null, '1585461589606273024', '1555010577007513600', '周老师', '2022-10-27 10:48:33', '3', '1585459813435969536', null);
INSERT INTO `train_sign_in_management` VALUES ('1585465029757636608', null, '2022-10-27 10:54:54', null, null, '1585461589606273024', '1574653861665312768', '李露', null, '1', '1585459813435969536', null);
INSERT INTO `train_sign_in_management` VALUES ('1585465029820551168', null, '2022-10-27 10:54:54', null, null, '1585461589694353408', '1574653861665312768', '李露', null, '1', '1585459813435969536', null);
INSERT INTO `train_sign_in_management` VALUES ('1585521132012965888', null, '2022-10-27 14:37:50', null, null, '1585520836847210496', '1574653861665312768', '李露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585521987005059072', null, '2022-10-27 14:41:14', null, null, '1585520836847210496', '1574653861665312768', '李露', '2022-10-27 14:41:14', '3', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585522216999718912', null, '2022-10-27 14:42:09', null, null, '1585461589694353408', '1574653861665312768', '李露', '2022-10-27 14:42:09', '3', '1585459813435969536', null);
INSERT INTO `train_sign_in_management` VALUES ('1585522216999718913', null, '2022-10-27 14:48:48', null, null, '1585523895157526528', '1574653861665312768', '李露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585522216999718914', null, '2022-10-27 14:50:47', null, null, '1585524392463568896', '1574653861665312768', '李露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585527248721678336', null, '2022-10-27 15:02:08', null, null, '1585525487957053440', '1574653861665312768', '李露', null, '1', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585527432847429632', null, '2022-10-27 15:02:52', null, null, '1585525487957053440', '1574653861665312768', '李露', '2022-10-27 15:02:52', '2', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585527432847429633', null, '2022-10-27 15:10:23', null, null, '1585529323887136768', '1574653861665312768', '李露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585548350118301696', null, '2022-10-27 16:25:59', null, null, '1585520836847210496', '1574656123775094784', '李露露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585548350168633344', null, '2022-10-27 16:25:59', null, null, '1585524392463568896', '1574656123775094784', '李露露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585548350223159296', null, '2022-10-27 16:25:59', null, null, '1585529323887136768', '1574656123775094784', '李露露', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585548645967728640', null, '2022-10-27 16:27:10', null, null, '1585525487957053440', '1574656123775094784', '李露露', null, '1', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585829010976411648', null, '2022-10-28 11:01:14', null, null, '1585525487957053440', '1565939234546782208', '王涵', null, '1', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585829127754223616', null, '2022-10-28 11:01:42', null, null, '1585520836847210496', '1565939234546782208', '王涵', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585829129188675584', null, '2022-10-28 11:01:42', null, null, '1585524392463568896', '1565939234546782208', '王涵', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585829130602156032', null, '2022-10-28 11:01:43', null, null, '1585529323887136768', '1565939234546782208', '王涵', null, '1', '1585278127179960320', null);
INSERT INTO `train_sign_in_management` VALUES ('1585832998702551040', null, '2022-10-28 11:17:05', null, null, '1579713237707001856', '1567097186544652288', '何云凡', null, '1', '1579712896307433472', null);
INSERT INTO `train_sign_in_management` VALUES ('1585832998702551041', null, '2022-10-28 11:38:03', null, null, '1585838272058363904', '1574653861665312768', '李露', null, '1', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585832998702551042', null, '2022-10-28 11:38:03', null, null, '1585838272058363904', '1574656123775094784', '李露露', null, '1', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585832998702551043', null, '2022-10-28 11:38:03', null, null, '1585838272058363904', '1565939234546782208', '王涵', null, '1', '1585282067011342336', null);
INSERT INTO `train_sign_in_management` VALUES ('1585852944862023680', null, '2022-10-28 12:36:20', null, null, '1585851262799319040', '1555010577007513600', '周老师', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585852944916549632', null, '2022-10-28 12:36:20', null, null, '1585851262887399424', '1555010577007513600', '周老师', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585852944966881280', null, '2022-10-28 12:36:20', null, null, '1585852334909558784', '1555010577007513600', '周老师', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585876429881610240', null, '2022-10-28 14:09:40', null, null, '1583369864251314176', '1567097186544652288', '何云凡', null, '1', '1583369261261393920', null);
INSERT INTO `train_sign_in_management` VALUES ('1585876741719724032', null, '2022-10-28 14:10:54', null, null, '1583348891863093248', '1567097186544652288', '何云凡', null, '1', '1583346873849221120', null);
INSERT INTO `train_sign_in_management` VALUES ('1585886510182436864', null, '2022-10-28 14:49:43', null, null, '1585881551554613248', '1567097186544652288', '何云凡', '2022-10-28 08:44:00', '2', '1585453051727187968', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969116332032', null, '2022-10-28 15:23:20', null, null, '1585851262799319040', '1565939234546782208', '王涵', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969170857984', null, '2022-10-28 15:23:20', null, null, '1585851262887399424', '1565939234546782208', '王涵', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969225383936', null, '2022-10-28 15:23:20', null, null, '1585852334909558784', '1565939234546782208', '王涵', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969225383937', null, '2022-10-28 15:47:08', null, null, '1585900958972514304', '1567097186544652288', '何云凡', null, '1', '1585453051727187968', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969225383938', null, '2022-10-28 16:00:14', null, null, '1585904256735645696', '1555010577007513600', '周老师', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969225383939', null, '2022-10-28 16:00:14', null, null, '1585904256735645696', '1565939234546782208', '王涵', null, '1', '1585850472554696704', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969225383941', null, '2022-10-28 16:03:36', null, null, '1585905102328303616', '1567097186544652288', '何云凡', null, '1', '1585453051727187968', null);
INSERT INTO `train_sign_in_management` VALUES ('1585894969225383942', null, '2022-10-28 16:10:19', null, null, '1585906795740794880', '1567097186544652288', '何云凡', null, '1', '1585453051727187968', null);
INSERT INTO `train_sign_in_management` VALUES ('1585912635965181952', null, '2022-10-28 16:33:32', null, null, '1585904357298278400', '1579374510346473472', '李昊杰', null, '1', '1585836831126196224', null);
INSERT INTO `train_sign_in_management` VALUES ('1585912637542240256', null, '2022-10-28 16:33:32', null, null, '1585904359462539264', '1579374510346473472', '李昊杰', '2022-10-28 17:22:48', '3', '1585836831126196224', null);
INSERT INTO `train_sign_in_management` VALUES ('1587003265894191104', null, '2022-10-31 16:47:18', null, null, '1586970391090434048', '1574656123775094784', '李露露', null, '1', '1586969194119958528', null);
INSERT INTO `train_sign_in_management` VALUES ('1587286470715117568', null, '2022-11-01 11:32:40', null, null, '1586970391090434048', '1579374510346473472', '李昊杰', null, '1', '1586969194119958528', null);
INSERT INTO `train_sign_in_management` VALUES ('1587744186797527040', null, '2022-11-02 17:51:28', null, null, '1587744085152763904', '1574656123775094784', '李露露', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1587760459698802688', null, '2022-11-02 18:56:07', null, null, '1587759111272009728', '1574656123775094784', '李露露', null, '1', '1587758825031733248', null);
INSERT INTO `train_sign_in_management` VALUES ('1587760537679302656', null, '2022-11-02 18:56:26', null, null, '1587759469482348544', '1574656123775094784', '李露露', null, '1', '1587759227248709632', null);
INSERT INTO `train_sign_in_management` VALUES ('1588059413745373184', null, '2022-11-03 14:44:04', null, null, '1588057443773059072', '1574653861665312768', '李露', null, '1', '1588056226653147136', null);
INSERT INTO `train_sign_in_management` VALUES ('1588059413816676352', null, '2022-11-03 14:44:04', null, null, '1588057443911471104', '1574653861665312768', '李露', '2022-11-03 14:44:21', '2', '1588056226653147136', null);
INSERT INTO `train_sign_in_management` VALUES ('1588059413879590912', null, '2022-11-03 14:44:04', null, null, '1588057444024717312', '1574653861665312768', '李露', null, '1', '1588056226653147136', null);
INSERT INTO `train_sign_in_management` VALUES ('1588059413879590913', null, '2022-11-03 14:47:02', null, null, '1588060165352067072', '1574653861665312768', '李露', null, '1', '1588056226653147136', null);
INSERT INTO `train_sign_in_management` VALUES ('1588089513874427904', null, '2022-11-03 16:43:40', null, null, '1588089081835950080', '1565939234546782208', '王涵', '2022-11-03 16:44:04', '3', '1588072776831471616', null);
INSERT INTO `train_sign_in_management` VALUES ('1588731944529694720', null, '2022-11-05 11:16:27', null, null, '1588731657811267584', '1572825817233362944', '灿', null, '1', '1588729101563334656', null);
INSERT INTO `train_sign_in_management` VALUES ('1588733868620517376', null, '2022-11-05 11:24:06', null, null, '1588733617784360960', '1572825817233362944', '灿', null, '1', '1588733407918166016', null);
INSERT INTO `train_sign_in_management` VALUES ('1588823464670793728', null, '2022-11-05 17:20:08', null, null, '1588733617784360960', '1574656123775094784', '李露露', null, '1', '1588733407918166016', null);
INSERT INTO `train_sign_in_management` VALUES ('1589104198765645824', null, '2022-11-06 11:55:40', null, null, '1589100168106610688', '1574656123775094784', '李露露', null, '1', '1589098507447439360', null);
INSERT INTO `train_sign_in_management` VALUES ('1589104752556380160', null, '2022-11-06 11:57:52', null, null, '1589100168106610688', '1567097186544652288', '何云凡', null, '1', '1589098507447439360', null);
INSERT INTO `train_sign_in_management` VALUES ('1589470705651683328', null, '2022-11-07 12:12:02', null, null, '1588731657811267584', '1567097186544652288', '何云凡', null, '1', '1588729101563334656', null);
INSERT INTO `train_sign_in_management` VALUES ('1589500890262409216', null, '2022-11-07 14:11:58', null, null, '1588731657811267584', '1574656123775094784', '李露露', null, '1', '1588729101563334656', null);
INSERT INTO `train_sign_in_management` VALUES ('1589787839271407616', null, '2022-11-08 09:12:12', null, null, '1589549534516744192', '1555010577007513600', '张磊', null, '1', '1589549121218416640', null);
INSERT INTO `train_sign_in_management` VALUES ('1589850195489853440', null, '2022-11-08 13:19:59', null, null, '1589549534516744192', '1565939234546782208', '王涵', null, '1', '1589549121218416640', null);
INSERT INTO `train_sign_in_management` VALUES ('1589851114130509824', null, '2022-11-08 13:23:38', null, null, '1589849943739338752', '1555010577007513600', '张磊', null, '1', '1589849256125140992', null);
INSERT INTO `train_sign_in_management` VALUES ('1589879354370953216', null, '2022-11-08 15:15:51', null, null, '1589849943739338752', '1589877695318200320', '周丽丽1', null, '1', '1589849256125140992', null);
INSERT INTO `train_sign_in_management` VALUES ('1589882708698468352', null, '2022-11-08 15:29:11', null, null, '1589549534516744192', '1589877695318200320', '周丽丽1', null, '1', '1589549121218416640', null);
INSERT INTO `train_sign_in_management` VALUES ('1589889491823366144', null, '2022-11-08 15:56:08', null, null, '1589549534516744192', '1589887987989221376', '王丹丹', null, '1', '1589549121218416640', null);
INSERT INTO `train_sign_in_management` VALUES ('1590544897327370240', null, '2022-11-10 11:20:29', null, null, '1590544551926435840', '1589887987989221376', '王丹丹', null, '1', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1590544899105755136', null, '2022-11-10 11:20:29', null, null, '1590544554107473920', '1589887987989221376', '王丹丹', null, '1', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1590545865137852416', null, '2022-11-10 11:24:20', null, null, '1590544551926435840', '1589877695318200320', '周丽丽1', '2022-11-10 11:46:03', '3', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1590545866710716416', null, '2022-11-10 11:24:20', null, null, '1590544554107473920', '1589877695318200320', '周丽丽1', null, '1', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1590552721902145536', null, '2022-11-10 11:51:35', null, null, '1590544551926435840', '1565939234546782208', '王涵', '2022-11-10 11:52:39', '3', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1590552723294654464', null, '2022-11-10 11:51:35', null, null, '1590544554107473920', '1565939234546782208', '王涵', null, '1', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1590576063975657472', null, '2022-11-10 13:24:20', null, null, '1590575124988432384', '1565939234546782208', '王涵', null, '1', '1590573038678708224', null);
INSERT INTO `train_sign_in_management` VALUES ('1590589826363691008', null, '2022-11-10 14:19:01', null, null, '1590575124988432384', '1589877695318200320', '周丽丽1', '2022-11-10 14:19:01', '3', '1590573038678708224', null);
INSERT INTO `train_sign_in_management` VALUES ('1590598730749448192', null, '2022-11-10 14:54:24', null, null, '1590598636100784128', '1589877695318200320', '周丽丽1', null, '1', '1590598103071854592', null);
INSERT INTO `train_sign_in_management` VALUES ('1590599222795833344', null, '2022-11-10 14:56:21', null, null, '1590598636100784128', '1589877695318200320', '周丽丽1', null, '1', '1590598103071854592', null);
INSERT INTO `train_sign_in_management` VALUES ('1590602990950158336', null, '2022-11-10 15:11:20', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590604994812448768', null, '2022-11-10 15:19:17', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590606203795410944', null, '2022-11-10 15:24:06', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590608402210492416', null, '2022-11-10 15:32:50', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590613741760811008', null, '2022-11-10 15:54:03', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590615164422590464', null, '2022-11-10 15:59:42', null, null, '1590602321354690560', '1555010577007513600', '张磊', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590619802492342272', null, '2022-11-10 16:18:08', null, null, '1590598636100784128', '1555010577007513600', '张磊', null, '1', '1590598103071854592', null);
INSERT INTO `train_sign_in_management` VALUES ('1590620831736795136', null, '2022-11-10 16:22:13', null, null, '1590598636100784128', '1589887987989221376', '王丹丹', null, '1', '1590598103071854592', null);
INSERT INTO `train_sign_in_management` VALUES ('1590621514074558464', null, '2022-11-10 16:24:56', null, null, '1590602321354690560', '1589877695318200320', '周丽丽1', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590622418576216064', null, '2022-11-10 16:28:32', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590623001316036608', null, '2022-11-10 16:30:51', null, null, '1590602321354690560', '1565939234546782208', '王涵', null, '1', '1590602024376995840', null);
INSERT INTO `train_sign_in_management` VALUES ('1590624006787174400', null, '2022-11-10 16:34:50', null, null, '1590598636100784128', '1565939234546782208', '王涵', null, '1', '1590598103071854592', null);
INSERT INTO `train_sign_in_management` VALUES ('1590624900077457408', null, '2022-11-10 16:38:23', null, null, '1590598636100784128', '1589877695318200320', '周丽丽1', null, '1', '1590598103071854592', null);
INSERT INTO `train_sign_in_management` VALUES ('1590634427090866176', null, '2022-11-10 17:16:15', null, null, '1590626225301360640', '1589887987989221376', '王丹丹', null, '1', '1590625766897487872', null);
INSERT INTO `train_sign_in_management` VALUES ('1590635982858883072', null, '2022-11-10 17:22:26', null, null, '1590626225301360640', '1565939234546782208', '王涵', null, '1', '1590625766897487872', null);
INSERT INTO `train_sign_in_management` VALUES ('1590637804914872320', null, '2022-11-10 17:29:40', null, null, '1590626225301360640', '1589877695318200320', '周丽丽1', null, '1', '1590625766897487872', null);
INSERT INTO `train_sign_in_management` VALUES ('1590639755220094976', null, '2022-11-10 17:37:25', null, null, '1590639541860044800', '1565939234546782208', '王涵', null, '1', '1590639322640551936', null);
INSERT INTO `train_sign_in_management` VALUES ('1590878294650261504', null, '2022-11-11 09:25:17', null, null, '1590626225301360640', '1590639495596871680', '刘芳芳', null, '1', '1590625766897487872', null);
INSERT INTO `train_sign_in_management` VALUES ('1591974211562377216', null, '2022-11-14 10:00:04', null, null, '1591967316671860736', '1591967614425501696', '高志远', null, '1', '1591966612427247616', null);
INSERT INTO `train_sign_in_management` VALUES ('1591988811628417024', null, '2022-11-14 10:58:05', null, null, '1591979587523448832', '1574653861665312768', '李露', '2022-11-14 11:06:43', '2', '1591972857506828288', null);
INSERT INTO `train_sign_in_management` VALUES ('1591988811691331584', null, '2022-11-14 10:58:05', null, null, '1591979587624112128', '1574653861665312768', '李露', null, '1', '1591972857506828288', null);
INSERT INTO `train_sign_in_management` VALUES ('1591993032243286016', null, '2022-11-14 11:14:51', null, null, '1591979587523448832', '1589887987989221376', '王丹丹', null, '1', '1591972857506828288', null);
INSERT INTO `train_sign_in_management` VALUES ('1591993032306200576', null, '2022-11-14 11:14:51', null, null, '1591979587624112128', '1589887987989221376', '王丹丹', null, '1', '1591972857506828288', null);
INSERT INTO `train_sign_in_management` VALUES ('1591996102465425408', null, '2022-11-14 11:27:03', null, null, '1591995131706347520', '1591967614425501696', '高志远', null, '1', '1591992260067725312', null);
INSERT INTO `train_sign_in_management` VALUES ('1592000680443383808', null, '2022-11-14 11:45:15', null, null, '1591995131706347520', '1589887987989221376', '王丹丹', null, '1', '1591992260067725312', null);
INSERT INTO `train_sign_in_management` VALUES ('1592001721289281536', null, '2022-11-14 11:49:23', null, null, '1591995131706347520', '1591989767631933440', '高郑州', null, '1', '1591992260067725312', null);
INSERT INTO `train_sign_in_management` VALUES ('1592028835157774336', null, '2022-11-14 13:37:07', null, null, '1592028241420488704', '1591989767631933440', '高郑州', '2022-11-14 14:02:30', '3', '1592027379281301504', null);
INSERT INTO `train_sign_in_management` VALUES ('1592035455619174400', null, '2022-11-14 14:03:26', null, null, '1592033269531152384', '1591989767631933440', '高郑州', null, '1', '1592032895428595712', null);
INSERT INTO `train_sign_in_management` VALUES ('1592060850850631680', null, '2022-11-14 15:44:21', null, null, '1592059336979517440', '1591967614425501696', '高志远', '2022-11-14 15:46:17', '3', '1592057692325810176', null);
INSERT INTO `train_sign_in_management` VALUES ('1592068748037197824', null, '2022-11-14 16:15:43', null, null, '1592067076695134208', '1591967614425501696', '高志远', '2022-11-14 16:16:12', '3', '1592066677061849088', null);
INSERT INTO `train_sign_in_management` VALUES ('1592109678886785024', null, '2022-11-14 18:58:22', null, null, '1592031566333349888', '1574653861665312768', '李露', null, '1', '1592030599865044992', null);
INSERT INTO `train_sign_in_management` VALUES ('1592114103374188544', null, '2022-11-14 19:15:57', null, null, '1592061618542481408', '1565939234546782208', '王涵', null, '1', '1592048661980909568', null);
INSERT INTO `train_sign_in_management` VALUES ('1592349024005001216', null, '2022-11-15 10:49:26', null, null, '1592348839535316992', '1579374510346473472', '李昊杰', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1592357141497384960', null, '2022-11-15 11:21:42', null, null, '1592356787376492544', '1592077522693132288', '高老师', '2022-11-15 11:22:24', '2', '1592356114652073984', null);
INSERT INTO `train_sign_in_management` VALUES ('1592357141577076736', null, '2022-11-15 11:21:42', null, null, '1592356787514904576', '1592077522693132288', '高老师', null, '1', '1592356114652073984', null);
INSERT INTO `train_sign_in_management` VALUES ('1592418134810300416', null, '2022-11-15 15:24:04', null, null, '1592061618542481408', '1574653861665312768', '李露', null, '1', '1592048661980909568', null);
INSERT INTO `train_sign_in_management` VALUES ('1592418134810300417', null, '2022-11-15 15:25:10', null, null, '1592418414822035456', '1565939234546782208', '王涵', null, '1', '1592048661980909568', null);
INSERT INTO `train_sign_in_management` VALUES ('1592418134810300418', null, '2022-11-15 15:25:10', null, null, '1592418414822035456', '1574653861665312768', '李露', null, '1', '1592048661980909568', null);
INSERT INTO `train_sign_in_management` VALUES ('1592449592287432704', null, '2022-11-15 17:29:04', null, null, '1592348839535316992', '1565939234546782208', '王涵', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1592799627441213440', null, '2022-11-16 16:39:59', null, null, '1592799433408516096', '1574653861665312768', '李露', '2022-11-16 16:48:26', '2', '1592783387914014720', null);
INSERT INTO `train_sign_in_management` VALUES ('1592799627512516608', null, '2022-11-16 16:39:59', null, null, '1592799441717432320', '1574653861665312768', '李露', null, '1', '1592783387914014720', null);
INSERT INTO `train_sign_in_management` VALUES ('1592818079040147456', null, '2022-11-16 17:53:18', null, null, '1592817987809841152', '1574653861665312768', '李露', null, '1', '1592817481695760384', null);
INSERT INTO `train_sign_in_management` VALUES ('1593070174184017920', null, '2022-11-17 10:35:02', null, null, '1593069314620133376', '1574653861665312768', '李露', null, '1', '1593055771002802176', null);
INSERT INTO `train_sign_in_management` VALUES ('1593075422168485888', null, '2022-11-17 10:55:53', null, null, '1593075305793327104', '1574653861665312768', '李露', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593075422239789056', null, '2022-11-17 10:55:53', null, null, '1593075308083417088', '1574653861665312768', '李露', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593123740479262720', null, '2022-11-17 14:07:53', null, null, '1593123424560091136', '1565939234546782208', '王涵', null, '1', '1585921029040115712', null);
INSERT INTO `train_sign_in_management` VALUES ('1593130580277596160', null, '2022-11-17 14:35:04', null, null, '1593075305793327104', '1593130018354106368', '李婷', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593130581741408256', null, '2022-11-17 14:35:04', null, null, '1593075308083417088', '1593130018354106368', '李婷', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593134314143485952', null, '2022-11-17 14:49:54', null, null, '1593134184472383488', '1565939234546782208', '王涵', null, '1', '1593133878619541504', null);
INSERT INTO `train_sign_in_management` VALUES ('1593147550582575104', null, '2022-11-17 15:42:30', null, null, '1593075305793327104', '1590949853146517504', '王涵', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593147552067358720', null, '2022-11-17 15:42:30', null, null, '1593075308083417088', '1590949853146517504', '王涵', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593164377945673728', null, '2022-11-17 16:49:22', null, null, '1593164219900104704', '1574653861665312768', '李露', null, '1', '1593163290295537664', null);
INSERT INTO `train_sign_in_management` VALUES ('1593172992958009344', null, '2022-11-17 17:23:36', null, null, '1593075305793327104', '1593172328945160192', '李厅', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593173000352567296', null, '2022-11-17 17:23:38', null, null, '1593075308083417088', '1593172328945160192', '李厅', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593203311035682816', null, '2022-11-17 19:24:04', null, null, '1593203149043273728', '1565939234546782208', '王涵', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593496876924145664', null, '2022-11-18 14:50:36', null, null, '1593496517019308032', '1555010577007513600', '张磊', null, '1', '1593493864797310976', null);
INSERT INTO `train_sign_in_management` VALUES ('1593499679264477184', null, '2022-11-18 15:01:44', null, null, '1593499582350888960', '1593130018354106368', '李婷', null, '1', '1593499312577449984', null);
INSERT INTO `train_sign_in_management` VALUES ('1593499886379208704', null, '2022-11-18 15:02:33', null, null, '1593499582350888960', '1574653861665312768', '李露', null, '1', '1593499312577449984', null);
INSERT INTO `train_sign_in_management` VALUES ('1593502645140721664', null, '2022-11-18 15:13:31', null, null, '1593499582350888960', '1590639495596871680', '刘芳芳', null, '1', '1593499312577449984', null);
INSERT INTO `train_sign_in_management` VALUES ('1593502645140721665', null, '2022-11-18 15:26:32', null, null, '1593505922934771712', '1565939234546782208', '王涵', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593502645140721666', null, '2022-11-18 15:26:53', null, null, '1593506010977406976', '1565939234546782208', '王涵', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593502645140721667', null, '2022-11-18 16:28:35', null, null, '1593521538680885248', '1565939234546782208', '王涵', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593557783150727168', null, '2022-11-18 18:52:37', null, null, '1593203149043273728', '1574653861665312768', '李露', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593557786288066560', null, '2022-11-18 18:52:38', null, null, '1593505922934771712', '1574653861665312768', '李露', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593557789152776192', null, '2022-11-18 18:52:38', null, null, '1593506010977406976', '1574653861665312768', '李露', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593557791975542784', null, '2022-11-18 18:52:39', null, null, '1593521538680885248', '1574653861665312768', '李露', null, '1', '1593195024294744064', null);
INSERT INTO `train_sign_in_management` VALUES ('1593565450833367040', null, '2022-11-18 19:23:05', null, null, '1593075305793327104', '1565939234546782208', '王涵', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593565452423008256', null, '2022-11-18 19:23:06', null, null, '1593075308083417088', '1565939234546782208', '王涵', null, '1', '1593074623937908736', null);
INSERT INTO `train_sign_in_management` VALUES ('1593567086301548544', null, '2022-11-18 19:29:35', null, null, '1593496517019308032', '1565939234546782208', '王涵', null, '1', '1593493864797310976', null);
INSERT INTO `train_sign_in_management` VALUES ('1593572418616692736', null, '2022-11-18 19:50:46', null, null, '1587744085152763904', '1565939234546782208', '王涵', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1593576040658243584', null, '2022-11-18 20:05:10', null, null, '1593575766187184128', '1565939234546782208', '王涵', null, '1', '1593575269023748096', null);
INSERT INTO `train_sign_in_management` VALUES ('1593810024872939520', null, '2022-11-19 11:34:56', null, null, '1593809839077855232', '1574653861665312768', '李露', null, '1', '1593802731448045568', null);
INSERT INTO `train_sign_in_management` VALUES ('1593810026554855424', null, '2022-11-19 11:34:57', null, null, '1593809841531523072', '1574653861665312768', '李露', null, '1', '1593802731448045568', null);
INSERT INTO `train_sign_in_management` VALUES ('1593839964532117504', null, '2022-11-19 13:33:54', null, null, '1593839344534294528', '1593172328945160192', '李厅', null, '1', '1593838490360090624', null);
INSERT INTO `train_sign_in_management` VALUES ('1593842143905058816', null, '2022-11-19 13:42:34', null, null, '1593841717222707200', '1579374510346473472', '李昊杰', null, '1', '1593841368902537216', null);
INSERT INTO `train_sign_in_management` VALUES ('1593869548711448576', null, '2022-11-19 15:31:28', null, null, '1593839344534294528', '1593130018354106368', '李婷', null, '1', '1593838490360090624', null);
INSERT INTO `train_sign_in_management` VALUES ('1593870862270992384', null, '2022-11-19 15:36:41', null, null, '1593839344534294528', '1593126345620197376', 'lilu', null, '1', '1593838490360090624', null);
INSERT INTO `train_sign_in_management` VALUES ('1593871992996630528', null, '2022-11-19 15:41:10', null, null, '1593841717222707200', '1593126345620197376', 'lilu', null, '1', '1593841368902537216', null);
INSERT INTO `train_sign_in_management` VALUES ('1593882314755149824', null, '2022-11-19 16:22:11', null, null, '1593815270441488384', '1593126345620197376', 'lilu', null, '1', '1592401367887122432', null);
INSERT INTO `train_sign_in_management` VALUES ('1593886759761088512', null, '2022-11-19 16:39:51', null, null, '1593839344534294528', '1555010577007513600', '张磊', null, '1', '1593838490360090624', null);
INSERT INTO `train_sign_in_management` VALUES ('1593923654410964992', null, '2022-11-19 19:06:28', null, null, '1593575766187184128', '1593126345620197376', 'lilu', null, '1', '1593575269023748096', null);
INSERT INTO `train_sign_in_management` VALUES ('1593924630098350080', null, '2022-11-19 19:10:20', null, null, '1593809839077855232', '1593126345620197376', 'lilu', null, '1', '1593802731448045568', null);
INSERT INTO `train_sign_in_management` VALUES ('1593924631566356480', null, '2022-11-19 19:10:21', null, null, '1593809841531523072', '1593126345620197376', 'lilu', null, '1', '1593802731448045568', null);
INSERT INTO `train_sign_in_management` VALUES ('1593925781195722752', null, '2022-11-19 19:14:55', null, null, '1593809839077855232', '1593908021333987328', '李琦', null, '1', '1593802731448045568', null);
INSERT INTO `train_sign_in_management` VALUES ('1593925782667923456', null, '2022-11-19 19:14:55', null, null, '1593809841531523072', '1593908021333987328', '李琦', null, '1', '1593802731448045568', null);
INSERT INTO `train_sign_in_management` VALUES ('1594214648100556800', null, '2022-11-20 14:22:46', null, null, '1593841717222707200', '1593937047876407296', '李露露', null, '1', '1593841368902537216', null);
INSERT INTO `train_sign_in_management` VALUES ('1594218946788200448', null, '2022-11-20 14:39:51', null, null, '1588731657811267584', '1593937047876407296', '李露露', null, '1', '1588729101563334656', null);
INSERT INTO `train_sign_in_management` VALUES ('1594223455853744128', null, '2022-11-20 14:57:46', null, null, '1594223348609585152', '1555010577007513600', '张磊', null, '1', '1594222226587127808', null);
INSERT INTO `train_sign_in_management` VALUES ('1594223457288196096', null, '2022-11-20 14:57:46', null, null, '1594223350778040320', '1555010577007513600', '张磊', null, '1', '1594222226587127808', null);
INSERT INTO `train_sign_in_management` VALUES ('1594229487007043584', null, '2022-11-20 15:21:44', null, null, '1594223348609585152', '1555010577007513600', '张磊', null, '1', '1594222226587127808', null);
INSERT INTO `train_sign_in_management` VALUES ('1594229488596684800', null, '2022-11-20 15:21:44', null, null, '1594223350778040320', '1555010577007513600', '张磊', null, '1', '1594222226587127808', null);
INSERT INTO `train_sign_in_management` VALUES ('1594242500904751104', null, '2022-11-20 16:13:26', null, null, '1594242319765344256', '1555010577007513600', '张磊', null, '1', '1594241800200130560', null);
INSERT INTO `train_sign_in_management` VALUES ('1594245576218775552', null, '2022-11-20 16:25:40', null, null, '1594244687496089600', '1555010577007513600', '张磊', null, '1', '1594244407400468480', null);
INSERT INTO `train_sign_in_management` VALUES ('1594503184934637568', null, '2022-11-21 09:29:18', null, null, '1594502819241660416', '1555010577007513600', '张磊', null, '1', '1594501807982383104', null);
INSERT INTO `train_sign_in_management` VALUES ('1594503286776532992', null, '2022-11-21 09:29:43', null, null, '1594502819241660416', '1591967614425501696', '高志远', null, '1', '1594501807982383104', null);
INSERT INTO `train_sign_in_management` VALUES ('1594504592236875776', null, '2022-11-21 09:34:54', null, null, '1594504516600991744', '1591967614425501696', '高志远', null, '1', '1594504240024391680', null);
INSERT INTO `train_sign_in_management` VALUES ('1594504614881923072', null, '2022-11-21 09:34:59', null, null, '1594504516600991744', '1555010577007513600', null, null, '1', '1594504240024391680', null);
INSERT INTO `train_sign_in_management` VALUES ('1594597924120170496', null, '2022-11-21 15:45:46', null, null, '1594595735234547712', '1593908021333987328', '李琦', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594597925890166784', null, '2022-11-21 15:45:46', null, null, '1594595737503666176', '1593908021333987328', '李琦', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594598959928709120', null, '2022-11-21 15:49:53', null, null, '1594595735234547712', '1593937047876407296', '李露露', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594598961455435776', null, '2022-11-21 15:49:53', null, null, '1594595737503666176', '1593937047876407296', '李露露', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594607886191955968', null, '2022-11-21 16:25:21', null, null, '1594595735234547712', '1594603307282862080', '黎利伯', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594607894123384832', null, '2022-11-21 16:25:23', null, null, '1594595737503666176', '1594603307282862080', '黎利伯', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594607970589741056', null, '2022-11-21 16:25:41', null, null, '1594570318020743168', '1565939234546782208', '王涵', null, '1', '1594569101844549632', null);
INSERT INTO `train_sign_in_management` VALUES ('1594607972099690496', null, '2022-11-21 16:25:42', null, null, '1594570319618772992', '1565939234546782208', '王涵', null, '1', '1594569101844549632', null);
INSERT INTO `train_sign_in_management` VALUES ('1594607973697720320', null, '2022-11-21 16:25:42', null, null, '1594570321455878144', '1565939234546782208', '王涵', null, '1', '1594569101844549632', null);
INSERT INTO `train_sign_in_management` VALUES ('1594611468605722624', null, '2022-11-21 16:39:35', null, null, '1594595735234547712', '1593862922424160256', '李四', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594611470119866368', null, '2022-11-21 16:39:36', null, null, '1594595737503666176', '1593862922424160256', '李四', null, '1', '1594586018877673472', null);
INSERT INTO `train_sign_in_management` VALUES ('1594889781861552128', null, '2022-11-22 11:05:30', null, null, '1594875625460600832', '1572825817233362944', '灿', null, '1', '1594874152140017664', null);
INSERT INTO `train_sign_in_management` VALUES ('1595321092619243520', null, '2022-11-23 15:39:23', null, null, '1595306789547675648', '1565939234546782208', '王涵', '2022-11-23 15:40:30', '2', '1595306464161959936', null);
INSERT INTO `train_sign_in_management` VALUES ('1595323047311708160', null, '2022-11-23 15:47:09', null, null, '1595322934044528640', '1565939234546782208', '王涵', null, '1', '1595322590518448128', null);
INSERT INTO `train_sign_in_management` VALUES ('1595325236818087936', null, '2022-11-23 15:55:51', null, null, '1595322934044528640', '1567097186544652288', '何云凡', null, '1', '1595322590518448128', null);
INSERT INTO `train_sign_in_management` VALUES ('1595333108587171840', null, '2022-11-23 16:27:08', null, null, '1595322934044528640', '1575324436016533504', '省管理员', null, '1', '1595322590518448128', null);
INSERT INTO `train_sign_in_management` VALUES ('1595333801049985024', null, '2022-11-23 16:29:53', null, null, '1595322934044528640', '1594603307282862080', '黎利伯', null, '1', '1595322590518448128', null);
INSERT INTO `train_sign_in_management` VALUES ('1595338524683538432', null, '2022-11-23 16:48:39', null, null, '1595338320022474752', '1594603307282862080', '黎利伯', null, '1', '1594539630882066432', null);
INSERT INTO `train_sign_in_management` VALUES ('1595338800995897344', null, '2022-11-23 16:49:45', null, null, '1595338320022474752', '1565939234546782208', '王涵', null, '1', '1594539630882066432', null);
INSERT INTO `train_sign_in_management` VALUES ('1595339073285918720', null, '2022-11-23 16:50:50', null, null, '1595338320022474752', '1567097186544652288', '何云凡', null, '1', '1594539630882066432', null);
INSERT INTO `train_sign_in_management` VALUES ('1595340901264265216', null, '2022-11-23 16:58:06', null, null, '1595338320022474752', null, '何云凡', '2022-11-23 16:58:06', '2', '1594539630882066432', null);
INSERT INTO `train_sign_in_management` VALUES ('1596349270791950336', null, '2022-11-26 11:45:00', null, null, '1596347141683548160', '1567097186544652288', '何云凡', null, '1', '1596346735863664640', null);
INSERT INTO `train_sign_in_management` VALUES ('1596349270993276928', null, '2022-11-26 11:45:00', null, null, '1596347142501437440', '1567097186544652288', '何云凡', null, '1', '1596346735863664640', null);
INSERT INTO `train_sign_in_management` VALUES ('1596350776328982528', null, '2022-11-26 11:50:58', null, null, '1596347141683548160', '1574653861665312768', '李露', null, '1', '1596346735863664640', null);
INSERT INTO `train_sign_in_management` VALUES ('1596350776542892032', null, '2022-11-26 11:50:59', null, null, '1596347142501437440', '1574653861665312768', '李露', null, '1', '1596346735863664640', null);
INSERT INTO `train_sign_in_management` VALUES ('1596369259888513024', null, '2022-11-26 13:04:25', null, null, '1596347141683548160', '1565939234546782208', '王涵', null, '1', '1596346735863664640', null);
INSERT INTO `train_sign_in_management` VALUES ('1596369259951427584', null, '2022-11-26 13:04:25', null, null, '1596347142501437440', '1565939234546782208', '王涵', null, '1', '1596346735863664640', null);
INSERT INTO `train_sign_in_management` VALUES ('1596376874093776896', null, '2022-11-26 13:34:41', null, null, '1596331630283329536', '1565939234546782208', '王涵', null, '1', '1596330952991313920', null);
INSERT INTO `train_sign_in_management` VALUES ('1596407490461962240', null, '2022-11-26 15:36:20', null, null, '1596407252602982400', '1574653861665312768', '李露', null, '1', '1596385685659586560', null);
INSERT INTO `train_sign_in_management` VALUES ('1596407490654900224', null, '2022-11-26 15:36:20', null, null, '1596407253420871680', '1574653861665312768', '李露', null, '1', '1596385685659586560', null);
INSERT INTO `train_sign_in_management` VALUES ('1596437114466209792', null, '2022-11-26 17:34:03', null, null, '1596407252602982400', '1567097186544652288', '何云凡', null, '1', '1596385685659586560', null);
INSERT INTO `train_sign_in_management` VALUES ('1596437114659147776', null, '2022-11-26 17:34:03', null, null, '1596407253420871680', '1567097186544652288', '何云凡', null, '1', '1596385685659586560', null);
INSERT INTO `train_sign_in_management` VALUES ('1596499800445030400', null, '2022-11-26 21:43:09', null, null, '1596499198537240576', '1565939234546782208', '王涵', null, '1', '1596498438508384256', null);
INSERT INTO `train_sign_in_management` VALUES ('1596672683515449344', null, '2022-11-27 09:10:07', null, null, '1596671333712924672', '1574653861665312768', '李露', null, '1', '1596670850063536128', null);
INSERT INTO `train_sign_in_management` VALUES ('1596672683716775936', null, '2022-11-27 09:10:07', null, null, '1596671334526619648', '1574653861665312768', '李露', null, '1', '1596670850063536128', null);
INSERT INTO `train_sign_in_management` VALUES ('1596672683943268352', null, '2022-11-27 09:10:07', null, null, '1596671335369674752', '1574653861665312768', '李露', null, '1', '1596670850063536128', null);
INSERT INTO `train_sign_in_management` VALUES ('1596675386194923520', null, '2022-11-27 09:20:52', null, null, '1596499198537240576', '1574653861665312768', '李露', null, '1', '1596498438508384256', null);
INSERT INTO `train_sign_in_management` VALUES ('1596743299585150976', null, '2022-11-27 13:50:43', null, null, '1596671333712924672', '1567097186544652288', '何云凡', null, '1', '1596670850063536128', null);
INSERT INTO `train_sign_in_management` VALUES ('1596743299828420608', null, '2022-11-27 13:50:43', null, null, '1596671334526619648', '1567097186544652288', '何云凡', null, '1', '1596670850063536128', null);
INSERT INTO `train_sign_in_management` VALUES ('1596743300059107328', null, '2022-11-27 13:50:43', null, null, '1596671335369674752', '1567097186544652288', '何云凡', null, '1', '1596670850063536128', null);
INSERT INTO `train_sign_in_management` VALUES ('1596747157610827776', null, '2022-11-27 14:06:03', null, null, '1596746210880917504', '1567097186544652288', '何云凡', null, '1', '1596745761951977472', null);
INSERT INTO `train_sign_in_management` VALUES ('1596747157870874624', null, '2022-11-27 14:06:03', null, null, '1596746211698806784', '1567097186544652288', '何云凡', null, '1', '1596745761951977472', null);
INSERT INTO `train_sign_in_management` VALUES ('1596747158097367040', null, '2022-11-27 14:06:03', null, null, '1596746212537667584', '1567097186544652288', '何云凡', null, '1', '1596745761951977472', null);
INSERT INTO `train_sign_in_management` VALUES ('1596747668527386624', null, '2022-11-27 14:08:05', null, null, '1596746210880917504', '1574653861665312768', '李露', null, '1', '1596745761951977472', null);
INSERT INTO `train_sign_in_management` VALUES ('1596747668720324608', null, '2022-11-27 14:08:05', null, null, '1596746211698806784', '1574653861665312768', '李露', null, '1', '1596745761951977472', null);
INSERT INTO `train_sign_in_management` VALUES ('1596747668909068288', null, '2022-11-27 14:08:05', null, null, '1596746212537667584', '1574653861665312768', '李露', null, '1', '1596745761951977472', null);
INSERT INTO `train_sign_in_management` VALUES ('1596775229705818112', null, '2022-11-27 15:57:36', null, null, '1596499198537240576', '1567097186544652288', '何云凡', null, '1', '1596498438508384256', null);
INSERT INTO `train_sign_in_management` VALUES ('1596788867124563968', null, '2022-11-27 16:51:47', null, null, '1596788604615659520', '1567097186544652288', '何云凡', null, '1', '1596788426072526848', null);
INSERT INTO `train_sign_in_management` VALUES ('1596790353682370560', null, '2022-11-27 16:57:42', null, null, '1596790281666170880', '1567097186544652288', '何云凡', null, '1', '1596789911623700480', null);
INSERT INTO `train_sign_in_management` VALUES ('1596796808787529728', null, '2022-11-27 17:23:21', null, null, '1596790281666170880', '1574653861665312768', '李露', null, '1', '1596789911623700480', null);
INSERT INTO `train_sign_in_management` VALUES ('1596800210254827520', null, '2022-11-27 17:36:52', null, null, '1596499198537240576', '1579374510346473472', '李昊杰', null, '1', '1596498438508384256', null);
INSERT INTO `train_sign_in_management` VALUES ('1597131500455858176', null, '2022-11-28 15:33:18', null, null, '1596790281666170880', '1565939234546782208', '王涵', null, '1', '1596789911623700480', null);
INSERT INTO `train_sign_in_management` VALUES ('1597131500455858177', null, '2022-11-28 15:51:35', null, null, '1597136104568524800', '1567097186544652288', '何云凡', null, '1', '1597135726384910336', null);
INSERT INTO `train_sign_in_management` VALUES ('1597146669647007744', null, '2022-11-28 16:33:34', null, null, '1597146585039507456', '1565939234546782208', '王涵', null, '1', '1597146387521343488', null);
INSERT INTO `train_sign_in_management` VALUES ('1597217444844408832', null, '2022-11-28 21:14:48', null, null, '1587744085152763904', '1597216880005877760', '2112', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597217806850592768', null, '2022-11-28 21:16:15', null, null, '1592348839535316992', '1597217797556015104', '2115', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597218770995253248', null, '2022-11-28 21:20:05', null, null, '1592348839535316992', '1597218763445506048', '2119', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597223735654486016', null, '2022-11-28 21:39:48', null, null, '1592348839535316992', '1597223725911117824', '娃娃', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597224131177353216', null, '2022-11-28 21:41:23', null, null, '1592348839535316992', '1597224121203298304', '小小', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597225015617654784', null, '2022-11-28 21:44:53', null, null, '1592348839535316992', '1597225005823954944', '11', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597402414074433536', null, '2022-11-29 09:29:48', null, null, '1592348839535316992', '1597402389248348160', '1129', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597464591514865664', null, '2022-11-29 13:36:53', null, null, '1592348839535316992', '1597464184969367552', '1334', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597467598717587456', null, '2022-11-29 13:48:50', null, null, '1592348839535316992', '1597467267455651840', '1347', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597468287007068160', null, '2022-11-29 13:51:34', null, null, '1592348839535316992', '1597467985432416256', '1350', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597469343929733120', null, '2022-11-29 13:55:46', null, null, '1592348839535316992', '1597464184969367552', '1334', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597469733320527872', null, '2022-11-29 13:57:19', null, null, '1590544551926435840', '1597464184969367552', '1334', null, '1', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1597469734004199424', null, '2022-11-29 13:57:19', null, null, '1590544554107473920', '1597464184969367552', '1334', null, '1', '1590543802567888896', null);
INSERT INTO `train_sign_in_management` VALUES ('1597479703395045376', null, '2022-11-29 14:36:56', null, null, '1587744085152763904', '1597479346963091456', '1435', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597481607323848704', null, '2022-11-29 14:44:30', null, null, '1587744085152763904', '1597480279696609280', '1437', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597482283974135808', null, '2022-11-29 14:47:11', null, null, '1586970391090434048', '1597482125739823104', '1444', null, '1', '1586969194119958528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597482691584987136', null, '2022-11-29 14:48:48', null, null, '1592348839535316992', '1597482125739823104', '1444', null, '1', '1592347795233312768', null);
INSERT INTO `train_sign_in_management` VALUES ('1597484655509114880', null, '2022-11-29 14:56:36', null, null, '1595338320022474752', '1597482125739823104', '1444', null, '1', '1594539630882066432', null);
INSERT INTO `train_sign_in_management` VALUES ('1597485628038189056', null, '2022-11-29 15:00:28', null, null, '1587744085152763904', '1597485315180859392', '1458', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597487104143790080', null, '2022-11-29 15:06:20', null, null, '1587744085152763904', '1597486704833466368', '1504', null, '1', '1587268699407126528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597492741242228736', null, '2022-11-29 15:28:44', null, null, '1597146585039507456', '1597489600065048576', '1515', null, '1', '1597146387521343488', null);
INSERT INTO `train_sign_in_management` VALUES ('1597494683481804800', null, '2022-11-29 15:36:27', null, null, '1595345071190970368', '1597489600065048576', '1515', null, '1', '1595344829099937792', null);
INSERT INTO `train_sign_in_management` VALUES ('1597495568140210176', null, '2022-11-29 15:39:58', null, null, '1586970391090434048', '1597495016090112000', '1537', null, '1', '1586969194119958528', null);
INSERT INTO `train_sign_in_management` VALUES ('1597511134800384000', null, '2022-11-29 16:41:50', null, null, '1597505490932338688', '1565939234546782208', '王涵', null, '1', '1597505217669238784', null);
INSERT INTO `train_sign_in_management` VALUES ('1597517787985743872', null, '2022-11-29 17:08:16', null, null, '1597515740855013376', '1565939234546782208', '王涵', null, '1', '1597515216793505792', null);
INSERT INTO `train_sign_in_management` VALUES ('1597562978922795008', null, '2022-11-29 20:07:50', null, null, '1597559918049759232', '1597562316260511744', '2004', null, '1', '1597559736184737792', null);
INSERT INTO `train_sign_in_management` VALUES ('1597759088614313984', null, '2022-11-30 09:07:06', null, null, '1597757512495534080', '1567097186544652288', '何云凡', null, '1', '1597757293041160192', null);
INSERT INTO `train_sign_in_management` VALUES ('1597760601701093376', null, '2022-11-30 09:13:07', null, null, '1597757512495534080', '1567097186544652288', '何云凡', null, '1', '1597757293041160192', null);
INSERT INTO `train_sign_in_management` VALUES ('1597773974648000512', null, '2022-11-30 10:06:15', null, null, '1597757512495534080', '1565939234546782208', '王涵', null, '1', '1597757293041160192', null);
INSERT INTO `train_sign_in_management` VALUES ('1597773974648000513', null, '2022-12-02 10:48:25', null, null, '1598509362794598400', '1579374510346473472', '李昊杰', '2022-12-09 12:39:00', '2', '1597161124694986752', null);
INSERT INTO `train_sign_in_management` VALUES ('1598509560023355392', null, '2022-12-02 10:49:13', null, null, '1598509362794598400', '1565939234546782208', '王涵', null, '1', '1597161124694986752', null);
INSERT INTO `train_sign_in_management` VALUES ('1598519439333134336', null, '2022-12-02 11:28:28', null, null, '1598509362794598400', '1574653861665312768', '李露', null, '1', '1597161124694986752', null);
INSERT INTO `train_sign_in_management` VALUES ('1598522992835563520', null, '2022-12-02 11:42:35', null, null, '1598522080725438464', '1574653861665312768', '李露', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598522994173546496', null, '2022-12-02 11:42:36', null, null, '1598522082273136640', '1574653861665312768', '李露', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598522995599609856', null, '2022-12-02 11:42:36', null, null, '1598522083862777856', '1574653861665312768', '李露', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598522996950175744', null, '2022-12-02 11:42:36', null, null, '1598522085448224768', '1574653861665312768', '李露', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598524394043478016', null, '2022-12-02 11:48:09', null, null, '1598522080725438464', '1565939234546782208', '王涵', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598524395473735680', null, '2022-12-02 11:48:10', null, null, '1598522082273136640', '1565939234546782208', '王涵', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598524396857856000', null, '2022-12-02 11:48:10', null, null, '1598522083862777856', '1565939234546782208', '王涵', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598524398300696576', null, '2022-12-02 11:48:10', null, null, '1598522085448224768', '1565939234546782208', '王涵', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598525903158251520', null, '2022-12-02 11:54:09', null, null, '1598522080725438464', '1555010577007513600', '张磊', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598525904664006656', null, '2022-12-02 11:54:10', null, null, '1598522082273136640', '1555010577007513600', '张磊', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598525906123624448', null, '2022-12-02 11:54:10', null, null, '1598522083862777856', '1555010577007513600', '张磊', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598525907574853632', null, '2022-12-02 11:54:10', null, null, '1598522085448224768', '1555010577007513600', '张磊', null, '1', '1598521650104635392', null);
INSERT INTO `train_sign_in_management` VALUES ('1598953429546438656', null, '2022-12-03 16:12:59', null, null, '1598951400497352704', '1555010577007513600', '张磊', '2022-12-06 15:53:00', '2', '1598951182674563072', null);
INSERT INTO `train_sign_in_management` VALUES ('1599966385939812352', null, '2022-12-06 11:18:07', null, null, '1598951400497352704', '1565939234546782208', '王涵', null, '1', '1598951182674563072', null);
INSERT INTO `train_sign_in_management` VALUES ('1610462694140416000', null, '2023-01-04 10:26:42', null, null, '1610176309613432832', '1574653861665312768', '李露', null, '1', '1610175794691313664', null);
INSERT INTO `train_sign_in_management` VALUES ('1610465118657843200', null, '2023-01-04 10:36:20', null, null, '1610464963804139520', '1574653861665312768', '李露', null, '1', '1610464458696691712', null);
INSERT INTO `train_sign_in_management` VALUES ('1610823825623224320', null, '2023-01-05 10:21:42', null, null, '1595338320022474752', '1579374510346473472', '李昊杰', null, '1', '1594539630882066432', null);
INSERT INTO `train_sign_in_management` VALUES ('1610825760216584192', null, '2023-01-05 10:29:24', null, null, '1610464963804139520', '1579374510346473472', '李昊杰', null, '1', '1610464458696691712', null);
INSERT INTO `train_sign_in_management` VALUES ('1611993280919244800', null, '2023-01-08 15:48:42', null, null, '1611989830047240192', '1574653861665312768', '李露', null, '1', '1611989569824231424', null);
INSERT INTO `train_sign_in_management` VALUES ('1612326033367896064', null, '2023-01-09 13:50:57', null, null, '1612324617660272640', '1574653861665312768', '李露', null, '1', '1612324397706776576', null);
INSERT INTO `train_sign_in_management` VALUES ('1612768274012049408', null, '2023-01-10 19:08:15', null, null, '1612768159302029312', '1574653861665312768', '李露', null, '1', '1612767792682110976', null);
INSERT INTO `train_sign_in_management` VALUES ('1613808042212724736', null, '2023-01-13 15:59:55', null, null, '1613804849697263616', '1579374510346473472', '李昊杰', null, '1', '1613804407424684032', null);
INSERT INTO `train_sign_in_management` VALUES ('1613811232798806016', null, '2023-01-13 16:12:36', null, null, '1613810854476779520', '1579374510346473472', '李昊杰', null, '1', '1613808331804250112', null);
INSERT INTO `train_sign_in_management` VALUES ('1613814797076402176', null, '2023-01-13 16:26:46', null, null, '1613814583984787456', '1579374510346473472', '李昊杰', null, '1', '1613814276676521984', null);
INSERT INTO `train_sign_in_management` VALUES ('1614162331636469760', null, '2023-01-14 15:27:44', null, null, '1613814583984787456', '1574653861665312768', '李露', null, '1', '1613814276676521984', null);
INSERT INTO `train_sign_in_management` VALUES ('1614181111699738624', null, '2023-01-14 16:42:22', null, null, '1614180944007270400', '1579374510346473472', '李昊杰', null, '1', '1614180571775373312', null);
INSERT INTO `train_sign_in_management` VALUES ('1614869267075960832', null, '2023-01-16 14:16:51', null, null, '1612324617660272640', '1555010577007513600', '张磊', null, '1', '1612324397706776576', null);
INSERT INTO `train_sign_in_management` VALUES ('1619879222132740096', null, '2023-01-30 10:04:37', null, null, '1619875099727499264', '1555010577007513600', '张磊', null, '1', '1619874679139471360', null);
INSERT INTO `train_sign_in_management` VALUES ('1620257057712246784', null, '2023-01-31 11:06:00', null, null, '1619875099727499264', '1574653861665312768', '李露', null, '1', '1619874679139471360', null);
INSERT INTO `train_sign_in_management` VALUES ('1620613129362870272', null, '2023-02-01 10:40:54', null, null, '1620601125235462144', '1555010577007513600', '张磊', null, '1', '1620598592655986688', null);
INSERT INTO `train_sign_in_management` VALUES ('1620614619968180224', null, '2023-02-01 10:46:50', null, null, '1620614334369632256', '1555010577007513600', '张磊', null, '1', '1620613930487517184', null);
INSERT INTO `train_sign_in_management` VALUES ('1623949325958778880', null, '2023-02-10 15:37:45', null, null, '1623945106988077056', '1574653861665312768', '李露', null, '1', '1623944808060030976', null);
INSERT INTO `train_sign_in_management` VALUES ('1626502262429978624', null, '2023-02-17 16:42:13', null, null, '1623945106988077056', '1567451914025701376', '何神', null, '1', '1623944808060030976', null);
INSERT INTO `train_sign_in_management` VALUES ('1626512387383365632', null, '2023-02-17 17:22:27', null, null, '1623945106988077056', '1590639495596871680', '刘芳芳', null, '1', '1623944808060030976', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729139851104256', null, '2023-04-03 11:22:02', null, null, '1640982063307952128', '1591967614425501696', '高志远', null, '1', '1640981421491359744', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729139997904896', null, '2023-04-03 11:22:02', null, null, '1640982063765131264', '1591967614425501696', '高志远', null, '1', '1640981421491359744', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729140148899840', null, '2023-04-03 11:22:02', null, null, '1640982075660177408', '1591967614425501696', '高志远', null, '1', '1640981421491359744', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729140299894784', null, '2023-04-03 11:22:02', null, null, '1640982076092190720', '1591967614425501696', '高志远', null, '1', '1640981421491359744', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729232541028352', null, '2023-04-03 11:22:24', null, null, '1640984377548738560', '1591967614425501696', '高志远', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729232679440384', null, '2023-04-03 11:22:24', null, null, '1640984377771036672', '1591967614425501696', '高志远', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1642729232893349888', null, '2023-04-03 11:22:24', null, null, '1640984378060443648', '1591967614425501696', '高志远', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643890588887683072', null, '2023-04-06 16:17:13', null, null, '1640984377548738560', '1555010577007513600', '张磊', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643890588975763456', null, '2023-04-06 16:17:13', null, null, '1640984377771036672', '1555010577007513600', '张磊', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643890589051260928', null, '2023-04-06 16:17:13', null, null, '1640984378060443648', '1555010577007513600', '张磊', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643901197599510528', null, '2023-04-06 16:59:22', null, null, '1640984377548738560', '1569928315261816832', '小石头', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643901197662425088', null, '2023-04-06 16:59:22', null, null, '1640984377771036672', '1569928315261816832', '小石头', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643901197725339648', null, '2023-04-06 16:59:22', null, null, '1640984378060443648', '1569928315261816832', '小石头', null, '1', '1640983724587880448', null);
INSERT INTO `train_sign_in_management` VALUES ('1643901197725339649', null, '2023-09-23 15:50:55', null, null, '128965053856078104', '1591967614425501696', '高志远', null, '1', '127931103763926586', null);

-- ----------------------------
-- Table structure for train_sim_list
-- ----------------------------
DROP TABLE IF EXISTS `train_sim_list`;
CREATE TABLE `train_sim_list` (
  `id` varchar(50) NOT NULL,
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id',
  `type` int(5) DEFAULT NULL COMMENT '100 讲师 200 课程 300 短视频',
  `msg` varchar(1024) DEFAULT NULL COMMENT '描述',
  `user_id` bigint(20) DEFAULT NULL COMMENT 'app用户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='智能推荐 - 推荐结果返回表';

-- ----------------------------
-- Records of train_sim_list
-- ----------------------------

-- ----------------------------
-- Table structure for train_sim_push_only
-- ----------------------------
DROP TABLE IF EXISTS `train_sim_push_only`;
CREATE TABLE `train_sim_push_only` (
  `id` bigint(20) NOT NULL,
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id',
  `type` int(5) DEFAULT NULL COMMENT '100 讲师 200 课程 300 短视频',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='智能推荐 - 推送记录表';

-- ----------------------------
-- Records of train_sim_push_only
-- ----------------------------
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508864', '1583408987863388160', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508865', '1596426852812066816', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508866', '1596427591307366400', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508867', '1597473765221076992', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508868', '1597475098443517952', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508869', '1597475233277808640', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508870', '1597475392854298624', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508871', '1597475819360489472', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508872', '1597476124437385216', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508873', '1597476258860634112', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508874', '1597476405627719680', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508875', '1597476528046870528', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508876', '1597476697958125568', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508877', '1597477515172122624', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508878', '1597478385641197568', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508879', '1597478580571475968', '300');
INSERT INTO `train_sim_push_only` VALUES ('1601049558249508880', '1598139818007728128', '300');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661824', '1582666858753036288', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661825', '1583286950952046592', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661826', '1583287459507212288', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661827', '1583368171707043840', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661828', '1583400561250799616', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661829', '1585921881540792320', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661830', '1592037025505218560', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661831', '1592055082256568320', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661832', '1592077733855367168', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608133169859661833', '1596789614633422848', '100');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535872', '1567705722337234944', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535873', '1575665665078071296', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535874', '1583410043481624576', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535875', '1587642806577532928', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535876', '1596020302926712832', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535877', '1596027627670474752', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535878', '1600764481632342016', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535879', '1602895608639787008', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535880', '1602895937418694656', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535881', '1602896300674781184', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535882', '1602896515964211200', '200');
INSERT INTO `train_sim_push_only` VALUES ('1608135686387535883', '1602897387829989376', '200');

-- ----------------------------
-- Table structure for train_space
-- ----------------------------
DROP TABLE IF EXISTS `train_space`;
CREATE TABLE `train_space` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `code` varchar(20) DEFAULT NULL COMMENT '教室编号',
  `room_number` varchar(20) DEFAULT NULL COMMENT '教室号',
  `room_type` varchar(20) DEFAULT NULL COMMENT '教室类型(数据字典)',
  `room_area` bigint(20) DEFAULT NULL COMMENT '教室面积(米)',
  `capacity_number` int(11) DEFAULT NULL COMMENT '最大容纳（人数）',
  `address` varchar(50) DEFAULT NULL COMMENT '地址',
  `person_liable` varchar(20) DEFAULT NULL COMMENT '教室负责人',
  `mobile` varchar(20) DEFAULT NULL COMMENT '负责人联系方式',
  `annex` json DEFAULT NULL COMMENT '图片',
  `remark` varchar(255) DEFAULT '' COMMENT '备注',
  `state` smallint(6) DEFAULT '1' COMMENT '状态：0、禁用。1、启用',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_name` varchar(255) DEFAULT NULL COMMENT '机构名',
  `uuid` varchar(50) DEFAULT NULL COMMENT '面板机id',
  `seq` int(11) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='场地';

-- ----------------------------
-- Records of train_space
-- ----------------------------
INSERT INTO `train_space` VALUES ('1564138623174053888', 'R202208290001', 'A008', '会议室', null, '150', '150', '万股', '15666666666', null, '', '1', '1', '主宰', '001025', '2022-08-29 14:31:23', null, null, 'c527ed8f5d1246ac869b2ac916bef031', '10000');
INSERT INTO `train_space` VALUES ('1565538098622894080', 'R202209020001', 'A009', '报告厅', null, '20', '222', '是飒飒', '13644444444', null, '', '1', '1564191182190415872', '本部运营1', '001071', '2022-09-02 11:12:24', null, null, 'c527ed8f5d1246ac869b2ac916bef031', '10000');
INSERT INTO `train_space` VALUES ('1567767144270270464', 'R202209080002', '郑州1001', '会议室', null, '20', '杀杀杀水水水水', '水水水水', '13611111111', null, '', '1', '1564192820011601920', '郑州001', '001007018', '2022-09-08 14:49:50', '1323441314737557510', null, 'c527ed8f5d1246ac869b2ac916bef031', '10000');
INSERT INTO `train_space` VALUES ('1570609322549972992', 'R202209160002', '2楼会议室1002', '会议室', '999', '100', '郑州市金水区56号', '李四', '15458745475', '[{\"name\": \"20220914-1001-省级创建.png\", \"path\": \"/train/2022/9/16/2e7e8158a6f04b4abfdb8833ad9ea7b7.png\", \"size\": 4.7373046875, \"suffix\": \".png\"}]', '32323', '1', '1569970196410667008', '李露露', '001001001', '2022-09-16 11:03:38', '1323441314737557504', null, 'c527ed8f5d1246ac869b2ac916bef031', '10000');
INSERT INTO `train_space` VALUES ('1570609511855689728', 'R202209160003', '三楼机房', '机房', '32', '50', '三楼1025室', '李四', '15474547454', null, '', '0', '1569970196410667008', '李露露', '001001001', '2022-09-16 11:04:23', '1323441314737557504', null, 'c527ed8f5d1246ac869b2ac916bef031', '10000');
INSERT INTO `train_space` VALUES ('1594986488129523712', 'R202211220001', '101', '会议室', null, '1', '1', '你好', '18390909090', null, '', '1', '1590648570632081408', '张芳芳', '001025', '2022-11-22 17:29:47', '1323441314733363200', null, 'c527ed8f5d1246ac869b2ac916bef031', '10000');
INSERT INTO `train_space` VALUES ('1601102463518248960', 'R202212090001', '1', '报告厅', '455', '1', '11', '瑟瑟发抖', '13673876402', null, '答复', '1', '1', '主宰', '001025', '2022-12-09 14:32:29', '1323441314733363200', null, '时代的', '112');
INSERT INTO `train_space` VALUES ('1601102700597088256', 'R202212090002', '3', '会议室', null, '3', '3', '是硕士', '13699999999', null, '', '1', '1', '主宰', '001025', '2022-12-09 14:33:26', '1323441314733363200', null, '', '3');
INSERT INTO `train_space` VALUES ('1601102781710733312', 'R202212090003', '2', '报告厅', null, '2', '2', '日日日', '13699999999', null, '', '1', '1', '主宰', '001025', '2022-12-09 14:33:45', '1323441314733363200', null, '', '2');

-- ----------------------------
-- Table structure for train_supplier_notice
-- ----------------------------
DROP TABLE IF EXISTS `train_supplier_notice`;
CREATE TABLE `train_supplier_notice` (
  `id` bigint(20) NOT NULL,
  `title` varchar(255) DEFAULT NULL COMMENT '公告标题',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `supplier_list` text COMMENT '供应商',
  `note` text COMMENT '内容',
  `file` json DEFAULT NULL COMMENT '文件',
  `img` json DEFAULT NULL COMMENT '图片',
  `create_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `create_name` varchar(50) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `state` int(1) DEFAULT NULL COMMENT '状态，0待发布。1.未开始。2已发布（进行中）。3带选定。4完成',
  `org_code` varchar(255) DEFAULT NULL COMMENT '所属机构',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `supplier_opt` text COMMENT '选中的供应商',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='供应商公告';

-- ----------------------------
-- Records of train_supplier_notice
-- ----------------------------
INSERT INTO `train_supplier_notice` VALUES ('130623124513119214', '员工入职培训方案征集', '2023-09-25 13:54:07', '2023-09-25 14:00:09', '130622069114534317', '员工入职培训方案征集', '[]', '[]', '1590543166828843008', '张磊', '2023-09-25 13:54:22', '3', '001001', '1323441314737557504', '[]');
INSERT INTO `train_supplier_notice` VALUES ('1568122525051916288', '数据库培训供应商方案征集1', '2022-09-10 14:21:29', '2022-09-11 14:21:34', '12345679899,222222346545,1567395562704211968', 'afsdasdfasdfasdf', '[{\"name\": \"zhiban (1).xlsx\", \"path\": \"/train/2022/9/9/7fd5e09fb7984526a7c78b609f3ccb17.xlsx\", \"size\": 10.9619140625, \"suffix\": \".xlsx\"}]', '[{\"name\": \"1 (1).jpg\", \"path\": \"/train/2022/9/9/5d7a6fede4dc4e31b5d8bdb5c463197d.jpg\", \"size\": 30.61328125, \"suffix\": \".jpg\"}]', '1', '主宰', '2022-09-09 14:21:59', '3', '001', '1323441314733363200', null);
INSERT INTO `train_supplier_notice` VALUES ('1568123152956002304', '数据库培训供应商方案征集2', '2022-09-09 14:24:12', '2022-09-10 14:24:13', '222222346545,98745622222', '22222', '[{\"name\": \"值班表.xls.xls\", \"path\": \"/train/2022/9/9/ac279fe371a54f2695204cdd34873135.xls\", \"size\": 5.5, \"suffix\": \".xls\"}]', '[{\"name\": \"image(2) (5).jpg\", \"path\": \"/train/2022/9/9/9c72b3d4b3294dedb0c6ec7e1b32ed7f.jpg\", \"size\": 30.61328125, \"suffix\": \".jpg\"}]', '1', '主宰', '2022-09-09 14:24:29', '3', '001', '1323441314733363200', null);
INSERT INTO `train_supplier_notice` VALUES ('1568124797899116544', '数据库培训供应商方案征集3', '2022-09-09 14:30:41', '2022-09-11 14:30:42', '1567395562704211968,98745622222', '212', '[{\"name\": \"用户-手机绑定关系 (2).xls\", \"path\": \"/train/2022/9/9/73be00eac760465684da8c1b9c003281.xls\", \"size\": 5, \"suffix\": \".xls\"}]', '[{\"name\": \"image(2) (1).jpg\", \"path\": \"/train/2022/9/9/3fb3c9d130b74527ad789e1c2318d09a.jpg\", \"size\": 30.61328125, \"suffix\": \".jpg\"}]', '1', '主宰', '2022-09-09 14:31:01', '4', '001', '1323441314733363200', '1568124798431793153');
INSERT INTO `train_supplier_notice` VALUES ('1568127516038795264', '数据库培训供应商方案征集4', '2022-09-09 14:41:28', '2022-09-10 14:41:30', '12345679899,222222346545,98745622222,1567395562704211968', '12345', '[{\"name\": \"用户-手机绑定关系 (2).xls\", \"path\": \"/train/2022/9/9/9788d62182ba4848a892e63da9d9fd92.xls\", \"size\": 5, \"suffix\": \".xls\"}]', '[{\"name\": \"image(2) (5).jpg\", \"path\": \"/train/2022/9/9/60f8876850564def9dc57b429a7cf628.jpg\", \"size\": 30.61328125, \"suffix\": \".jpg\"}]', '1', '主宰', '2022-09-09 14:41:49', '4', '001', '1323441314733363200', '1568127516701495296');
INSERT INTO `train_supplier_notice` VALUES ('1579810432296816640', '数据库培训供应商方案征集5', '2022-10-11 20:23:33', '2022-10-15 20:23:37', '1570589823574609920', '选择公司', '[{\"name\": \"大学生试题样表.xls\", \"path\": \"/train/2022/10/11/80db992480664a7d977d8469310f2f4c.xls\", \"size\": 51.5, \"suffix\": \".xls\"}]', '[{\"name\": \"画板 1 拷贝 3.png\", \"path\": \"/train/2022/10/11/486eda1111864832897f9646d9baa37e.png\", \"size\": 69.1396484375, \"suffix\": \".png\"}]', '1570604410206294016', '张磊', '2022-10-11 20:25:33', '4', '001', '1323441314733363200', '1579810432523309056');
INSERT INTO `train_supplier_notice` VALUES ('1580017064691765248', '数据库培训供应商方案征集6', '2022-10-12 10:06:24', '2022-10-13 10:06:24', '1570246814479814656', '323', '[{\"name\": \"鹤壁财政测试点复测梳理.xlsx\", \"path\": \"/train/2022/10/12/0a3586af4ed44fc288ded60e69308c90.xlsx\", \"size\": 16.4443359375, \"suffix\": \".xlsx\"}]', '[{\"name\": \"人员签到.png\", \"path\": \"/train/2022/10/12/8efed55d07d44758aa64a27bde90d374.png\", \"size\": 6.4296875, \"suffix\": \".png\"}]', '1569970196410667008', '李露露', '2022-10-12 10:06:38', '3', '001001', '1323441314737557504', null);
INSERT INTO `train_supplier_notice` VALUES ('1580017206408908800', '数据库培训供应商方案征集7', '2022-10-11 10:06:48', '2022-10-13 10:06:58', '1572853287001133056', '32', '[{\"name\": \"【0714正式确认】结果导入模版---热敏打印历史(普通excel)0616154924.xls\", \"path\": \"/train/2022/10/12/04c89a908df64ec49bb665b422c3d5f8.xls\", \"size\": 25.0234375, \"suffix\": \".xls\"}]', '[{\"name\": \"投资第三期App测试1001.png\", \"path\": \"/train/2022/10/12/199d9874bc584015aa971768f775f426.png\", \"size\": 4.80078125, \"suffix\": \".png\"}]', '1569970196410667008', '李露露', '2022-10-12 10:07:12', '3', '001001', '1323441314737557504', null);
INSERT INTO `train_supplier_notice` VALUES ('1580462728701677568', '数据库培训供应商方案征集8', '2022-10-13 15:37:19', '2022-10-14 15:37:21', '1572853721715576832', '342423', '[{\"name\": \"鹤壁财政测试点复测梳理.xlsx\", \"path\": \"/train/2022/10/13/4e2cceb88ae84ebe8053c02bf445aabc.xlsx\", \"size\": 16.4443359375, \"suffix\": \".xlsx\"}]', '[{\"name\": \"郑州市级十月份金融培训第一期(1).png\", \"path\": \"/train/2022/10/13/7b6982c985f6487a878c06a2d271d15b.png\", \"size\": 5.01953125, \"suffix\": \".png\"}]', '1569970621243330560', '李市级', '2022-10-13 15:37:33', '3', '001007', '1323441314737557510', null);
INSERT INTO `train_supplier_notice` VALUES ('1580463448326803456', '数据库培训供应商方案征集9', '2022-10-13 15:40:08', '2022-10-13 15:40:11', '1572853721715576832', '323', '[{\"name\": \"鹤壁财政测试点复测梳理.xlsx\", \"path\": \"/train/2022/10/13/9b0505e4ae4c4be5a58a15bd124f4862.xlsx\", \"size\": 16.4443359375, \"suffix\": \".xlsx\"}]', '[{\"name\": \"郑州市级十月份金融培训第一期002.png\", \"path\": \"/train/2022/10/13/198f80a1d54646fda5a346b2af0170e8.png\", \"size\": 5.06640625, \"suffix\": \".png\"}]', '1569970621243330560', '李市级', '2022-10-13 15:40:24', '3', '001007', '1323441314737557510', null);

-- ----------------------------
-- Table structure for train_supplier_notice_result
-- ----------------------------
DROP TABLE IF EXISTS `train_supplier_notice_result`;
CREATE TABLE `train_supplier_notice_result` (
  `id` bigint(20) NOT NULL,
  `pid` bigint(20) DEFAULT NULL COMMENT '公告id',
  `supplier_id` bigint(20) DEFAULT NULL COMMENT '供应商id',
  `plan_file` json DEFAULT NULL COMMENT '方案文件',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='供应商公告反馈文件';

-- ----------------------------
-- Records of train_supplier_notice_result
-- ----------------------------
INSERT INTO `train_supplier_notice_result` VALUES ('130489437695638557', '130489437269666509', '1570246814479814656', '[{\"name\": \"eec.jpg\", \"path\": \"/train/2023/9/25/f89354fe9a3d4ab98e98e28f0fd30ba0.jpg\"}, {\"name\": \"eec.jpg\", \"path\": \"/train/2023/9/25/15ba57c432a141cda9ded21460edf969.jpg\"}, {\"name\": \"eec.jpg\", \"path\": \"/train/2023/9/25/f6730fedfda146ea8f571029a35b8a86.jpg\"}]');
INSERT INTO `train_supplier_notice_result` VALUES ('130489437696147733', '130489437269666509', '1572853287001133056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('130623125231718775', '130623124513119214', '130622069114534317', '[{\"name\": \"eec.jpg\", \"path\": \"/train/2023/9/25/f522c5ad69104a82862121e2df195033.jpg\"}]');
INSERT INTO `train_supplier_notice_result` VALUES ('1567448851831459840', '1567448851269423104', '12345679899', '{\"name\": \"APP开票管理模块.docx\", \"path\": \"/train/2022/9/8/582dfd6e7ceb4cc7b7ecee39fffa0b3a.docx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1567448851831459841', '1567448851269423104', '222222346545', '{\"name\": \"APP开票管理模块.docx\", \"path\": \"/train/2022/9/8/582dfd6e7ceb4cc7b7ecee39fffa0b3a.docx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1567448851831459842', '1567448851269423104', '98745622222', '{\"name\": \"APP开票管理模块.docx\", \"path\": \"/train/2022/9/8/582dfd6e7ceb4cc7b7ecee39fffa0b3a.docx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1567448851831459843', '1567448851269423104', '1567088424874283008', '{\"name\": \"APP开票管理模块.docx\", \"path\": \"/train/2022/9/8/582dfd6e7ceb4cc7b7ecee39fffa0b3a.docx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1567448851831459844', '1567448851269423104', '1567395562704211968', '{\"name\": \"APP开票管理模块.docx\", \"path\": \"/train/2022/9/8/582dfd6e7ceb4cc7b7ecee39fffa0b3a.docx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1567774444892590080', '1567762390446116864', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567774444892590081', '1567762390446116864', '1567088424874283008', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567774444892590082', '1567762390446116864', '1567395562704211968', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567775209962999808', '1567775209438711808', '12345679899', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567775209962999809', '1567775209438711808', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567775350874836992', '1567775350291828736', '12345679899', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567775350874836993', '1567775350291828736', '98745622222', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567775350874836994', '1567775350291828736', '1580121127580209152', '{\"name\": \"finish.png\", \"path\": \"/train/2022/10/24/ab30755ff5c0410faf19ce41dea8b327.png\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1567805637663002624', '1567805636878667776', '1567395562704211968', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567805637663002625', '1567805636878667776', '98745622222', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567805637663002626', '1567805636878667776', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567817463406661632', '1567817417906851840', '1567395562704211968', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567817463406661633', '1567817417906851840', '98745622222', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567817463406661634', '1567817417906851840', '1567088424874283008', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567817597389508608', '1567817596932329472', '12345679899', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567818409490649088', '1567818409016692736', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1567818409490649089', '1567818409016692736', '1567088424874283008', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568122525559427072', '1568122525051916288', '12345679899', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568122525559427073', '1568122525051916288', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568122525559427074', '1568122525051916288', '1567395562704211968', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568123153371238400', '1568123152956002304', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568123153375432704', '1568123152956002304', '98745622222', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568124798431793152', '1568124797899116544', '1567395562704211968', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568124798431793153', '1568124797899116544', '98745622222', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568127516701495296', '1568127516038795264', '12345679899', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568127516701495297', '1568127516038795264', '222222346545', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568127516701495298', '1568127516038795264', '98745622222', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1568127516701495299', '1568127516038795264', '1567395562704211968', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1579810432523309056', '1579810432296816640', '1570589823574609920', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1580017064985366528', '1580017064691765248', '1570246814479814656', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1580017206685732864', '1580017206408908800', '1572853287001133056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1580462728886226944', '1580462728701677568', '1572853721715576832', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1580463477254918144', '1580463448326803456', '1572853721715576832', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1583753566974251008', '1583753563732054016', '1582646957980127232', '{\"name\": \"调查问卷试题模板.xlsx\", \"path\": \"/train/2022/10/22/dba4df36153240d7bfcdf0bb35135896.xlsx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1584484532638322688', '1584484532516687872', '1580121127580209152', '{\"name\": \"Screenshot_20221024_161137_com.lazyit.train.jpg\", \"path\": \"/train/2022/10/24/51ac530bb3564eb8bee956bccab3f164.jpg\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1584484532638322689', '1584484532516687872', '1582646957980127232', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1584486000191737856', '1584486000065908736', '1580121127580209152', '{\"name\": \"Screenshot_20221024_161137_com.lazyit.train.jpg\", \"path\": \"/train/2022/10/24/0e98b6e44fbc426ba11faa6992b875e5.jpg\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1584486267679281152', '1584486267557646336', '1580121127580209152', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1591979243645046784', '1591979243494051840', '1591978213070999552', '{\"name\": \"2021年全省安全生产管理远程培训班.xlsx\", \"path\": \"/train/2022/11/14/8e755d1505584493a38d23a99244574e.xlsx\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1591979243645046785', '1591979243494051840', '1586564161255641088', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1591979243645046786', '1591979243494051840', '1582646957980127232', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1592395622688886784', '1592395602157768704', '1580121127580209152', '{\"name\": \"F8D6BAED-4977-45D9-926D-A45720564AC5.jpeg\", \"path\": \"/train/2022/11/15/9757cce08f0a4a44ac808341623c3e02.jpeg\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1592395622688886785', '1592395602157768704', '1580075100462518272', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1593439108989063168', '1593439108875816960', '1570589823574609920', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1594206791531630592', '1594206788616589312', '1580121127580209152', '{\"name\": \"Screenshot_20221120_105555_com.lazyit.train.jpg\", \"path\": \"/train/2022/11/20/be4475fa4af7408fa3ad06c9a79adc2e.jpg\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1594980532624691200', '1594980487787581440', '1580121127580209152', '{\"name\": \"17A3C5AF-B962-487A-86B5-1FECE7556323.png\", \"path\": \"/train/2022/11/22/2d356c1bb4134984a01626726c1b37b2.png\"}');
INSERT INTO `train_supplier_notice_result` VALUES ('1594980532624691201', '1594980487787581440', '1582646957980127232', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1594980532624691202', '1594980487787581440', '1586564161255641088', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1594992850456678400', '1594992847499694080', '1594992684735533056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1595237745549250560', '1595237742520963072', '1580121127580209152', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1595247997116092416', '1595237949748940800', '1580121127580209152', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1595247997116092417', '1595237949748940800', '1580075100462518272', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1595258110182821888', '1595258107091619840', '1582646957980127232', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1596417068377444352', '1596417068268392448', '1594992684735533056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1596433184944427008', '1596433181685452800', '1594992684735533056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1597820777682571264', '1597820774566203392', '1572853287001133056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1597820777682571265', '1597820774566203392', '1570246814479814656', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1597823383519760384', '1597823380449529856', '1572853287001133056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1597823383519760385', '1597823380449529856', '1570246814479814656', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1607984960877236224', '1607984960407474176', '1594992684735533056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1607991602775724032', '1607991602264018944', '1594992684735533056', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1608705859981021184', '1608705859330904064', '1608652465597714432', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1608707957799915520', '1608707957330153472', '1608652465597714432', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1613728979733319680', '1613728979066425344', '1570246814479814656', null);
INSERT INTO `train_supplier_notice_result` VALUES ('1613728979733319681', '1613728979066425344', '1572853287001133056', null);

-- ----------------------------
-- Table structure for train_supplier_trade
-- ----------------------------
DROP TABLE IF EXISTS `train_supplier_trade`;
CREATE TABLE `train_supplier_trade` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `supplier_id` bigint(20) DEFAULT NULL COMMENT '供应商',
  `dict_id` bigint(20) DEFAULT NULL COMMENT '数据字典',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `supplier_index` (`supplier_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='供应商-行业关联表';

-- ----------------------------
-- Records of train_supplier_trade
-- ----------------------------
INSERT INTO `train_supplier_trade` VALUES ('127895949802745572', '1572853287001133056', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('127896334902034693', '1570246814479814656', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('127896334902966391', '1570246814479814656', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('127896334903275537', '1570246814479814656', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('127896334903512941', '1570246814479814656', '1566978072358555648');
INSERT INTO `train_supplier_trade` VALUES ('127896334903645529', '1570246814479814656', '1566978151446351872');
INSERT INTO `train_supplier_trade` VALUES ('130622069694238559', '130622069114534317', '1566978271638327296');
INSERT INTO `train_supplier_trade` VALUES ('1567071539835310080', '1566997411497381888', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1567071539835310081', '1566997411497381888', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1567071539835310082', '1566997411497381888', '1566978072358555648');
INSERT INTO `train_supplier_trade` VALUES ('1567071539835310083', '1566997411497381888', '1566978151446351872');
INSERT INTO `train_supplier_trade` VALUES ('1567071539835310084', '1566997411497381888', '1566978228537659392');
INSERT INTO `train_supplier_trade` VALUES ('1567088426069659648', '1567088424874283008', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1567088426069659649', '1567088424874283008', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1567088426073853952', '1567088424874283008', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1567088426073853953', '1567088424874283008', '1566978072358555648');
INSERT INTO `train_supplier_trade` VALUES ('1567088426073853954', '1567088424874283008', '1566978151446351872');
INSERT INTO `train_supplier_trade` VALUES ('1567088426073853955', '1567088424874283008', '1566978228537659392');
INSERT INTO `train_supplier_trade` VALUES ('1567088426073853956', '1567088424874283008', '1566978271638327296');
INSERT INTO `train_supplier_trade` VALUES ('1570246574280413184', '1570246474552446976', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1570246574280413185', '1570246474552446976', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1570589899982245888', '1570589899546038272', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1570589899982245889', '1570589899546038272', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1572053742914768896', '1567395562704211968', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1572069025066913792', '1570589823574609920', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1572069025066913793', '1570589823574609920', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1572069169149644800', '12345679899', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1572069169153839104', '12345679899', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1572069169153839105', '12345679899', '1566978072358555648');
INSERT INTO `train_supplier_trade` VALUES ('1572070459141394432', '98745622222', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1572070459141394433', '98745622222', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1572853721946263552', '1572853721715576832', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1580075103159455744', '1580075100462518272', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1580075103159455745', '1580075100462518272', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1580439376402452480', '1580121127580209152', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1580479048520437760', '1580479045383098368', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1582655330565885952', '1582646957980127232', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1582655330565885953', '1582646957980127232', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1586564163633811456', '1586564161255641088', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1591978213184245760', '1591978213070999552', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1591992721223061504', '1591992721109815296', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1608652466159751168', '1608652465597714432', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1608652466163945472', '1608652465597714432', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1608652466163945473', '1608652465597714432', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1608652466163945474', '1608652465597714432', '1566978072358555648');
INSERT INTO `train_supplier_trade` VALUES ('1608652466163945475', '1608652465597714432', '1566978151446351872');
INSERT INTO `train_supplier_trade` VALUES ('1608652466163945476', '1608652465597714432', '1566978228537659392');
INSERT INTO `train_supplier_trade` VALUES ('1608652466163945477', '1608652465597714432', '1566978271638327296');
INSERT INTO `train_supplier_trade` VALUES ('1608653169871687680', '1594992684735533056', '1566977877541523456');
INSERT INTO `train_supplier_trade` VALUES ('1608653169871687681', '1594992684735533056', '1566977937771728896');
INSERT INTO `train_supplier_trade` VALUES ('1608653169871687682', '1594992684735533056', '1566978032755937280');
INSERT INTO `train_supplier_trade` VALUES ('1608653169871687683', '1594992684735533056', '1566978151446351872');
INSERT INTO `train_supplier_trade` VALUES ('1608653169871687684', '1594992684735533056', '1566978228537659392');
INSERT INTO `train_supplier_trade` VALUES ('1608653169871687685', '1594992684735533056', '1566978271638327296');

-- ----------------------------
-- Table structure for train_test_paper
-- ----------------------------
DROP TABLE IF EXISTS `train_test_paper`;
CREATE TABLE `train_test_paper` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `name` varchar(30) DEFAULT NULL COMMENT '试卷名称',
  `type` smallint(6) DEFAULT NULL COMMENT '试卷类型：1、在线考卷。2、在线习题。',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `description` varchar(200) DEFAULT NULL COMMENT '试卷描述',
  `checkbox_num` int(11) DEFAULT '0' COMMENT '多选数量',
  `checkbox_score` int(11) DEFAULT '0' COMMENT '多选分值',
  `radio_num` int(11) DEFAULT '0' COMMENT '单选数量',
  `radio_score` int(11) DEFAULT '0' COMMENT '单选分值',
  `true_false_num` int(11) DEFAULT '0' COMMENT '判断题数量',
  `true_false_score` int(11) DEFAULT '0' COMMENT '判断题分值',
  `fill_bank_num` int(11) DEFAULT '0' COMMENT '填空题数量',
  `fill_bank_score` int(11) DEFAULT '0' COMMENT '填空题分值',
  `total_score` int(11) DEFAULT '0' COMMENT '总分数',
  `pass_score` int(11) DEFAULT '0' COMMENT '及格分数',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='考卷';

-- ----------------------------
-- Records of train_test_paper
-- ----------------------------
INSERT INTO `train_test_paper` VALUES ('1565588869397745664', '理财类考试试卷1', '1', '1301371027162533888', '002', '金融', null, '0', '0', '0', '0', '0', '0', '1', '50', '50', '50', '1', '1', '主宰', '001025', '2022-09-02 14:34:08');
INSERT INTO `train_test_paper` VALUES ('1565644013246222336', '理财类考试试卷2', '1', '1301371945044021248', '002001', '保险业务', null, '3', '30', '3', '0', '0', '0', '1', '0', '90', '0', '1', '1', '主宰', '001025', '2022-09-02 18:13:16');
INSERT INTO `train_test_paper` VALUES ('1566959432447954944', '理财类考试试卷3', '2', '1301372066913718272', '002003', '职业技能', '烦烦方法', '1', '20', '0', '0', '0', '0', '0', '0', '20', '10', '1', '1564191182190415872', '本部运营1', '001071', '2022-09-06 09:20:16');
INSERT INTO `train_test_paper` VALUES ('1567076368796225536', '理财类考试试卷4', '2', '1301372066913718272', '002003', '职业技能', '测试题1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1564191182190415872', '本部运营1', '001071', '2022-09-06 17:04:56');
INSERT INTO `train_test_paper` VALUES ('1567765306045239296', '金融类考试试卷1', null, '1301371945044021248', '002001', '保险业务', null, '3', '5', '3', '5', '1', '5', '1', '5', '40', '20', '1', '1', '主宰', '001025', '2022-09-08 14:42:31');
INSERT INTO `train_test_paper` VALUES ('1567769553742729216', '金融类考试试卷2', '1', '1301371945044021248', '002001', '保险业务', null, '3', '10', '3', '20', '1', '10', '1', '20', '120', '10', '1', '1', '主宰', '001025', '2022-09-08 14:59:24');
INSERT INTO `train_test_paper` VALUES ('1575321969711255552', '金融类考试试卷3', '1', '1301371027162533888', '002', '金融', null, '4', '10', '4', '10', '1', '10', '1', '10', '100', '80', '1', '1570604410206294016', '张磊', '001071', '2022-09-29 11:10:00');
INSERT INTO `train_test_paper` VALUES ('1575382894912868352', '金融类考试试卷4', '1', '1301371945044021248', '002001', '保险业务', null, '1', '0', '1', '0', '1', '0', '1', '0', '0', '0', '1', '1', '主宰', '001025', '2022-09-29 15:12:06');
INSERT INTO `train_test_paper` VALUES ('1575404402032906240', '数据库考试试卷1', '1', '1301400742761992192', '006019', '通用基础', null, '3', '5', '1', '2', '4', '2', '3', '3', '34', '10', '1', '1569970196410667008', '李露露', '001001001', '2022-09-29 16:37:34');
INSERT INTO `train_test_paper` VALUES ('1596436456811925504', '数据库考试试卷2', '1', '1301372177148416000', '002005', '营销类', null, '0', '0', '0', '0', '0', '0', '2', '50', '100', '60', '1', '1', '主宰', '001025', '2022-11-26 17:31:26');
INSERT INTO `train_test_paper` VALUES ('1596801143953035264', '数据库考试试卷3', '1', '1301371945044021248', '002001', '保险业务', null, '2', '20', '1', '20', '2', '20', '0', '0', '100', '80', '1', '1561995446459699200', '李昊杰', '001025', '2022-11-27 17:40:35');
INSERT INTO `train_test_paper` VALUES ('1636288684905074688', '数据库考试试卷4', '2', '1301371945044021248', '002001', '保险业务', null, '2', '10', '3', '10', '2', '10', '1', '10', '80', '50', '1', '1', '主宰', '001025', '2023-03-16 16:49:58');
INSERT INTO `train_test_paper` VALUES ('1636289051902480384', 'java开发考试试卷1', '1', '1301371945044021248', '002001', '保险业务', null, '2', '10', '3', '10', '2', '10', '1', '10', '80', '60', '1', '1', '主宰', '001025', '2023-03-16 16:51:26');
INSERT INTO `train_test_paper` VALUES ('1637627036333903872', 'java开发考试试卷2', '1', '1301371945044021248', '002001', '保险业务', null, '0', '0', '3', '0', '2', '0', '1', '0', '0', '0', '1', '1', '主宰', '001025', '2023-03-20 09:28:06');
INSERT INTO `train_test_paper` VALUES ('1668934407173574656', 'java开发考试试卷3', '1', '1301371945044021248', '002001', '保险业务', null, '53', '2', '168', '2', '152', '1', '0', '1', '594', '60', '1', '1327473526785052672', '高志远', '001001005', '2023-06-14 18:52:25');
INSERT INTO `train_test_paper` VALUES ('1668935415576530944', 'java开发考试试卷4', '1', '1301371027162533888', '002', '金融', null, '27', '2', '84', '1', '76', '1', '0', '0', '214', '60', '1', '1327473526785052672', '高志远', '001001005', '2023-06-14 18:56:25');
INSERT INTO `train_test_paper` VALUES ('1669148533384679424', 'java开发考试试卷5', '1', '1301371223997026304', '006', '综合', null, '27', '2', '84', '1', '76', '1', '0', '0', '214', '60', '1', '1327473526785052672', '高志远', '001001005', '2023-06-15 09:03:16');

-- ----------------------------
-- Table structure for train_test_paper_question
-- ----------------------------
DROP TABLE IF EXISTS `train_test_paper_question`;
CREATE TABLE `train_test_paper_question` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、多选。2、单选。3、判断。4、填空。',
  `content` varchar(200) DEFAULT NULL COMMENT '题目内容',
  `answer` varchar(200) DEFAULT NULL COMMENT '答案',
  `analysis` varchar(200) DEFAULT NULL COMMENT '解析',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='试卷题目';

-- ----------------------------
-- Records of train_test_paper_question
-- ----------------------------
INSERT INTO `train_test_paper_question` VALUES ('128127930344815292', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930346710434', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快邮件单边最大尺寸为______厘米，长度和长度之外的最大横周合计不超过_____米。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930347444899', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930348243434', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪项不属于定置管理的检査要点？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930348942977', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '1,2,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930349624436', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', '1,2,3,4,5,6,7', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930350706702', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930351398198', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '问题邮件应_______发验，视为有效。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930352093485', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930352793996', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930353566982', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930353886111', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930354232532', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '留存邮件必须置于电子监控范围之内。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930354545318', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930354858317', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930355165828', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930355473251', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930355783318', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于延误类工单，主导客服接到工单6个工作小时内响应客户；正确于其它工单，协查客服在接到工单2个工作小时内响应客户。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930356090037', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930356397863', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '网点监控保存时长不少于（）日', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930357081607', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930357768895', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930358463259', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930359145798', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930359830544', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点，当忙于手中的内部工作，未及时发现客户时，应坚持“先外后内”的原则，首先向客户道歉，并立即停下手中的工作，为客户办理业务。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930360241647', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点，正确于结束营业时仍滞留在营业厅内的用户，应为用户办理完业务再结束营业。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930360554512', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点为客户办理业务时，单手接递资料。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930360863933', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930361170841', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930361484553', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930362202136', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930363117951', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做整改回复审批工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930363810985', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，一份报告书检查6个营业网点、1个揽投部、1个邮件处理中心、3个转接点，至少要录入（  ）个问题。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930364540962', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做报告书签发工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930365241755', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930454961444', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930455947357', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930456660723', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930457363275', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930458046791', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930458868264', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930459558723', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930460358977', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930460685025', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '服检系统中的检查模板需要每月创建一次，市、县分公司不需要统一模板。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930460996946', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930461680555', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', '2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930462461985', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930463373348', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930464064564', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每月的检查结果录入服检系统时，点均问题数量最少不能少于      。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930464748904', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930465431427', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '目前全国统一集团、省、市、县各级报刊发行部门提供订阅业务处理功能的系统是（   ）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930466027297', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930466637013', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930467233738', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930468006064', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在“扫黄打非”检查中，每位一线人员都要熟练使用“画像法”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930468320239', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930468629666', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930468942688', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930469249939', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930469558177', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '检查库存票品是否账实相符时，现场要抽查（）个以上品种邮票、品的账实相符情况。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930470332113', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '市分公司集邮库房每年要全面盘存（）次，动态盘存（）次。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930471016221', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930471694926', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930472377315', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '彩色数字化防伪邮资机宣传戳（自贴型）除集团批准的特殊情况、重大活动外，不能单独出售裸签，不能重复使用。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930472685247', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '公示零售网点要及时向用户公布零售邮票品种、零售数量，摆放新邮预报折。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930473067752', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930473378272', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930473688622', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930473992892', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930474715525', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930475420828', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930476100591', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930476784575', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930477462564', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930477775649', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930478105897', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930478414807', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930478721175', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930479028863', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930479744412', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930480528868', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：支局所月均库存不得超过该支局所年度分销商品月均销售额的（）倍？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930481207245', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930481888704', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930482573754', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930482884753', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930483329686', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930483645832', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930483984935', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930484290591', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930484972833', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930485654496', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930486332175', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930487012913', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930487694753', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业员的调账申请，必须由支局班组长进行授权，（  ）元以内的调账由支局长授权完成即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930488369941', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930489091799', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930489773819', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930490535304', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930491225929', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930491903882', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930492583199', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当营业员要求验视邮件内件时，以下属于营业员用语的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930493334146', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '如果客户需要办理非本柜台业务时，以下属于营业员用语的是（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930494027691', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930494704861', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930495029419', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930495336157', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930495646233', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '农村地区开取信箱（筒）的频次每周不应少于 3 天，每天不应少于 1 次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930495950276', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930496260931', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930496568582', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '公益包裹一律不得退回寄件人（捐赠人）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930496883045', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930497378453', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930497687945', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930497997993', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930498314204', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930498619033', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集团公司层面，在营业管理系统中审批各省分公司每笔超过5000元以上的调账申请。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930498928647', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930499240736', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930499550015', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '烟的限寄数量是多少？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930500377636', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930501091163', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930501786267', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930502473804', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930503206567', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930503555068', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930503874394', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930504189164', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930504508903', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930504824324', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国家局申诉是指客户在邮政企业投诉后，正确处理结果不满意或在(  )个自然日内未得到处理结果，而向政府管理部门提出请求处理的行为，是有别于邮政企业自有渠道产生的投诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930505554116', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930506288869', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '纳入集团公司战略绩效考核指标中，寄递业务客户投诉率达标值（  ）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930507021311', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930507742331', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930508459159', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '非寄递业务点均投诉量的达标值≤0.3。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930508786626', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930509100647', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930509416777', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930509734941', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930510138144', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心的数据信息员的工作内容不包括（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930510872402', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心每个网格生产人员应控制在（）人', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930511647176', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开拆环节效率目标（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930512375474', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930513168401', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '直连装车效率目标（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930513893903', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪些人不需要履行现场巡查工作（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930514706369', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪种邮件不属于“劣三类”邮件（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930515441827', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930516161129', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930516892193', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930517617397', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930518347673', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于袋牌粘贴正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930519074148', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930519800443', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开启、收回伸缩胶带机要注意安全，人员要在胶带机（）进行操作，防止人员撞伤', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930520613498', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930521353684', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930521679348', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930522001824', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机直连配发，已落格配发的邮件无法装发的，要正确无法装发的邮件进行扫描取消配发，确保实物和信息一致。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930522319667', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930522639822', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930523018476', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930523335391', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930523662018', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930523981309', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930524304446', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930524627592', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930524954122', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930525274491', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930525588444', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930525908051', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '班中清理就是要在生产过程中，随时拖地、打扫卫生。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930526223008', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930526948166', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930527673957', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930528309321', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930529031179', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930529670025', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930530481919', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930531156661', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930531894247', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930532635369', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930533330735', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930534064561', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930534792581', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930535552376', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '返单邮件投递要求：', '1,2,3,4,5', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930536495662', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930537135863', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '军队喜报专递邮件投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930537766438', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930538493735', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127930539222231', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940391706775', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940393499724', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快邮件单边最大尺寸为______厘米，长度和长度之外的最大横周合计不超过_____米。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940394308643', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940395050762', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪项不属于定置管理的检査要点？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940395745094', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '1,2,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940396428904', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', '1,2,3,4,5,6,7', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940397381569', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940398066142', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '问题邮件应_______发验，视为有效。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940398756508', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940399442752', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940400258166', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940400576252', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940400880421', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '留存邮件必须置于电子监控范围之内。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940401185267', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940401491136', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940401794785', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940402105104', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940402411829', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于延误类工单，主导客服接到工单6个工作小时内响应客户；正确于其它工单，协查客服在接到工单2个工作小时内响应客户。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940402718356', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940403335964', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '网点监控保存时长不少于（）日', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940404326759', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940405316199', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940406058328', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940406747775', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940407543749', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点，当忙于手中的内部工作，未及时发现客户时，应坚持“先外后内”的原则，首先向客户道歉，并立即停下手中的工作，为客户办理业务。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940407855694', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点，正确于结束营业时仍滞留在营业厅内的用户，应为用户办理完业务再结束营业。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940408231236', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点为客户办理业务时，单手接递资料。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940408538951', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940408845002', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940409153908', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940409837378', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940410634871', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做整改回复审批工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940411312694', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，一份报告书检查6个营业网点、1个揽投部、1个邮件处理中心、3个转接点，至少要录入（  ）个问题。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940411987743', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做报告书签发工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940412660194', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940413841053', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940414577225', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940415253778', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940415988457', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940416665036', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940417371183', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940418045781', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940418956899', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940419275341', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '服检系统中的检查模板需要每月创建一次，市、县分公司不需要统一模板。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940419589059', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940420356017', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', '2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940421057609', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940421738883', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940422456209', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每月的检查结果录入服检系统时，点均问题数量最少不能少于      。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940423341408', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940424108904', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '目前全国统一集团、省、市、县各级报刊发行部门提供订阅业务处理功能的系统是（   ）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940424709715', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940425307777', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940425893972', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940426573004', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在“扫黄打非”检查中，每位一线人员都要熟练使用“画像法”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940426886469', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940427195146', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940427503144', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940427806109', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940428113248', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '检查库存票品是否账实相符时，现场要抽查（）个以上品种邮票、品的账实相符情况。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940428789554', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '市分公司集邮库房每年要全面盘存（）次，动态盘存（）次。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940429469762', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940430227606', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940431273357', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '彩色数字化防伪邮资机宣传戳（自贴型）除集团批准的特殊情况、重大活动外，不能单独出售裸签，不能重复使用。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940431601089', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '公示零售网点要及时向用户公布零售邮票品种、零售数量，摆放新邮预报折。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940431918804', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940432236674', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940432548184', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940432870985', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940434089681', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940434839951', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940435567037', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940436288613', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940437029656', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940437345993', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940437747059', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940438058804', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940438372299', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940438694416', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940439414983', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940442833023', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：支局所月均库存不得超过该支局所年度分销商品月均销售额的（）倍？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940443881805', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940444694035', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940445423071', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940445752712', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940446069642', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940446379578', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940446693228', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940447006525', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940447717052', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940448431773', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940449146559', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940449853072', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940450696089', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业员的调账申请，必须由支局班组长进行授权，（  ）元以内的调账由支局长授权完成即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940451579945', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940452292494', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940453102089', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940454045038', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940454859182', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940455580427', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940456337627', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当营业员要求验视邮件内件时，以下属于营业员用语的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940457045865', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '如果客户需要办理非本柜台业务时，以下属于营业员用语的是（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940457753652', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940458484969', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940458798769', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940459139887', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940459458036', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '农村地区开取信箱（筒）的频次每周不应少于 3 天，每天不应少于 1 次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940459785967', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940460200005', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940460513133', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '公益包裹一律不得退回寄件人（捐赠人）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940460826424', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940461136166', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940461448678', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940461760773', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940462075586', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940462385967', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集团公司层面，在营业管理系统中审批各省分公司每笔超过5000元以上的调账申请。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940462697943', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940463077081', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940463419138', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '烟的限寄数量是多少？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940464624178', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940465373726', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940466104019', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940466833285', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940467547318', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940467865448', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940468175106', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940468486001', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940468797415', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940469109196', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国家局申诉是指客户在邮政企业投诉后，正确处理结果不满意或在(  )个自然日内未得到处理结果，而向政府管理部门提出请求处理的行为，是有别于邮政企业自有渠道产生的投诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940469819581', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940470621372', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '纳入集团公司战略绩效考核指标中，寄递业务客户投诉率达标值（  ）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940471334514', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940472042594', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940472750712', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '非寄递业务点均投诉量的达标值≤0.3。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940473121289', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940473438177', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940473987591', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940474408555', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940474818487', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心的数据信息员的工作内容不包括（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940475602955', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心每个网格生产人员应控制在（）人', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940476329405', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开拆环节效率目标（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940477045083', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940477760038', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '直连装车效率目标（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940478493907', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪些人不需要履行现场巡查工作（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940479202539', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪种邮件不属于“劣三类”邮件（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940479918802', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940480715233', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940481435732', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940482153623', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940482860855', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于袋牌粘贴正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940483641213', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940485015092', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开启、收回伸缩胶带机要注意安全，人员要在胶带机（）进行操作，防止人员撞伤', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940485817865', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940486554969', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940487507255', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940487837872', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机直连配发，已落格配发的邮件无法装发的，要正确无法装发的邮件进行扫描取消配发，确保实物和信息一致。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940488166198', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940488481636', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940488787725', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940489103143', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940489415311', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940489724335', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940490137249', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940490456227', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940490771849', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940491083574', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940491402069', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940491722251', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '班中清理就是要在生产过程中，随时拖地、打扫卫生。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940492034407', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940492826171', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940493636676', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940494622862', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940495384073', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940496021169', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940496746765', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940497374236', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940498125052', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940498854901', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940499498743', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940500319668', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940501222437', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940501993378', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '返单邮件投递要求：', '1,2,3,4,5', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940502987712', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940503615095', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '军队喜报专递邮件投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940504486977', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940505282458', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128127940506368509', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005941019769', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005942638559', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快邮件单边最大尺寸为______厘米，长度和长度之外的最大横周合计不超过_____米。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005943460205', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005944158179', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪项不属于定置管理的检査要点？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005945050612', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '1,2,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005945740102', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', '1,2,3,4,5,6,7', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005946683895', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005947347913', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '问题邮件应_______发验，视为有效。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005948144908', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005948963856', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005949627228', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005949944792', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005950347628', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '留存邮件必须置于电子监控范围之内。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005950653675', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005950959634', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005951264343', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005951565719', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005951873335', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于延误类工单，主导客服接到工单6个工作小时内响应客户；正确于其它工单，协查客服在接到工单2个工作小时内响应客户。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005952177038', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005952476009', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '网点监控保存时长不少于（）日', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005953231438', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005953893697', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005954643261', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005955310455', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005956084121', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点，当忙于手中的内部工作，未及时发现客户时，应坚持“先外后内”的原则，首先向客户道歉，并立即停下手中的工作，为客户办理业务。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005956533822', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点，正确于结束营业时仍滞留在营业厅内的用户，应为用户办理完业务再结束营业。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005956978319', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在代理金融网点为客户办理业务时，单手接递资料。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005957397149', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005957835446', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005958280854', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005959390808', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005960522409', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做整改回复审批工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005961621916', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，一份报告书检查6个营业网点、1个揽投部、1个邮件处理中心、3个转接点，至少要录入（  ）个问题。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005962643616', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做报告书签发工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005963809631', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005964813896', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005965865582', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005966894452', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005968211286', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005970306623', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005971586404', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005972678971', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005973849665', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005974328349', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '服检系统中的检查模板需要每月创建一次，市、县分公司不需要统一模板。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005974778672', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005975798226', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', '2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005976917143', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005978161374', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005979173764', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每月的检查结果录入服检系统时，点均问题数量最少不能少于      。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005980865528', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005981929667', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '目前全国统一集团、省、市、县各级报刊发行部门提供订阅业务处理功能的系统是（   ）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005982869898', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005983954484', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005984552715', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005985226918', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '在“扫黄打非”检查中，每位一线人员都要熟练使用“画像法”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005985537409', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005985837927', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005986143099', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005986450744', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005986751809', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '检查库存票品是否账实相符时，现场要抽查（）个以上品种邮票、品的账实相符情况。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005987428679', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '市分公司集邮库房每年要全面盘存（）次，动态盘存（）次。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005988253147', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005988935038', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005989698031', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '彩色数字化防伪邮资机宣传戳（自贴型）除集团批准的特殊情况、重大活动外，不能单独出售裸签，不能重复使用。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005990104161', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '公示零售网点要及时向用户公布零售邮票品种、零售数量，摆放新邮预报折。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005990408515', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005990723678', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005991023629', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005991328891', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005992025163', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005992809478', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005993662796', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005994335638', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005995129844', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005995442504', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005995748065', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005996111108', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005996411427', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005996712862', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005997641064', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005998318194', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：支局所月均库存不得超过该支局所年度分销商品月均销售额的（）倍？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005998980915', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128005999645645', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006000404002', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006000710263', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006001012355', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006001316007', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006001617106', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006001922072', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006002587602', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006003318107', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006004165218', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006005123333', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006005794695', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业员的调账申请，必须由支局班组长进行授权，（  ）元以内的调账由支局长授权完成即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006006460018', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006008074741', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006008759255', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006009426719', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006010181852', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006010837748', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006011489004', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当营业员要求验视邮件内件时，以下属于营业员用语的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006012210295', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '如果客户需要办理非本柜台业务时，以下属于营业员用语的是（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006012900783', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006013691022', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006013997468', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006014298698', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006014603967', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '农村地区开取信箱（筒）的频次每周不应少于 3 天，每天不应少于 1 次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006014907128', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006015241024', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006015545115', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '公益包裹一律不得退回寄件人（捐赠人）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006015846231', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006016146462', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006016451729', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006016755796', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006017054732', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006017361377', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '集团公司层面，在营业管理系统中审批各省分公司每笔超过5000元以上的调账申请。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006017659054', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006017959471', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006018258207', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '烟的限寄数量是多少？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006018908253', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006019685964', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006020437948', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006021088803', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006021737192', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006022045407', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006022353982', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006022648318', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006023007422', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006023305588', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '国家局申诉是指客户在邮政企业投诉后，正确处理结果不满意或在(  )个自然日内未得到处理结果，而向政府管理部门提出请求处理的行为，是有别于邮政企业自有渠道产生的投诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006023956237', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006024608427', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '纳入集团公司战略绩效考核指标中，寄递业务客户投诉率达标值（  ）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006025256974', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006025907982', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006026575948', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '非寄递业务点均投诉量的达标值≤0.3。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006026877172', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006027176588', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006027476621', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006027776004', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006028079801', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心的数据信息员的工作内容不包括（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006028773113', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心每个网格生产人员应控制在（）人', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006029425182', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开拆环节效率目标（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006030159695', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006030813624', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '直连装车效率目标（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006031459948', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪些人不需要履行现场巡查工作（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006032106964', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列哪种邮件不属于“劣三类”邮件（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006032758441', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006033470283', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006034121005', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006034779726', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006035430767', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列关于袋牌粘贴正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006036402193', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006037429858', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '开启、收回伸缩胶带机要注意安全，人员要在胶带机（）进行操作，防止人员撞伤', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006038328632', '1669148533384679424', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006039210245', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006039616903', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006040161304', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机直连配发，已落格配发的邮件无法装发的，要正确无法装发的邮件进行扫描取消配发，确保实物和信息一致。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006040543987', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006041132546', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006041591694', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006041964816', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006042270194', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006042564298', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006043097853', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006043403354', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006043744303', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006044153527', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006044512639', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006044815038', '1669148533384679424', '1301371223997026304', '006', '综合', '3', '班中清理就是要在生产过程中，随时拖地、打扫卫生。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006045120652', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006045849077', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006046873312', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006047456904', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006049095614', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006049669056', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006050436617', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006050998373', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006051645717', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006052296755', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006052865569', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006053589717', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006054239921', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006054905442', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '返单邮件投递要求：', '1,2,3,4,5', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006055733372', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006056302153', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '军队喜报专递邮件投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006056876428', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006057770453', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('128128006058421695', '1669148533384679424', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565639340619599872', '1565588869397745664', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', '111', '222', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784708751360', '1565644013246222336', '1301371027162533888', '002', '金融', '2', '测试单选2', '3', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784708751365', '1565644013246222336', '1301371027162533888', '002', '金融', '2', '测试单选1', '1', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784712945668', '1565644013246222336', '1301371027162533888', '002', '金融', '1', '测试多选3', '3,4', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784712945673', '1565644013246222336', '1301371027162533888', '002', '金融', '1', '测试多选2', '2,3', 'D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784759083012', '1565644013246222336', '1301371027162533888', '002', '金融', '1', '测试多选1', '1,2', '123', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784763277316', '1565644013246222336', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', '111', '222', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1565644784763277317', '1565644013246222336', '1301371132523450368', '004', '渠道', '2', '今天是不是没有了？', '2', '今天是不是没有了？', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1566959432712196096', '1566959432447954944', '1301371027162533888', '002', '金融', '1', '测试多选3', '3,4', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567076369047883776', '1567076368796225536', '1301371027162533888', '002', '金融', '2', '1+1=？', '2', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567076369064660996', '1567076368796225536', '1301371027162533888', '002', '金融', '1', '测试多选2', '2,3', 'D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306334646272', '1567765306045239296', '1301371027162533888', '002', '金融', '3', '你是人吗', '2', '你不是人', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306380783616', '1567765306045239296', '1301371027162533888', '002', '金融', '2', '测试单选2', '2', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306384977923', '1567765306045239296', '1301371027162533888', '002', '金融', '2', '测试单选1', '1', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306384977928', '1567765306045239296', '1301371027162533888', '002', '金融', '1', '测试多选3', '3,4', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306384977933', '1567765306045239296', '1301371027162533888', '002', '金融', '1', '测试多选2', '2,3', 'D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306389172224', '1567765306045239296', '1301371027162533888', '002', '金融', '1', '测试多选1', '1,2', '123', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306389172229', '1567765306045239296', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', '111', '222', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567765306389172230', '1567765306045239296', '1301371132523450368', '004', '渠道', '2', '今天是不是没有了？', '2', '今天是不是没有了？', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277821079552', '1567769553742729216', '1301371027162533888', '002', '金融', '3', '你是人吗', '2', '你不是人', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277821079553', '1567769553742729216', '1301371027162533888', '002', '金融', '2', '测试单选2', '2', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277821079558', '1567769553742729216', '1301371027162533888', '002', '金融', '2', '测试单选1', '1', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277825273860', '1567769553742729216', '1301371027162533888', '002', '金融', '1', '测试多选3', '3,4', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277825273865', '1567769553742729216', '1301371027162533888', '002', '金融', '1', '测试多选2', '2,3', 'D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277825273870', '1567769553742729216', '1301371027162533888', '002', '金融', '1', '测试多选1', '1,2', '123', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277825273875', '1567769553742729216', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', '111', '222', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1567805277829468160', '1567769553742729216', '1301371132523450368', '004', '渠道', '2', '今天是不是没有了？', '2', '今天是不是没有了？', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969795141632', '1575321969711255552', '1301371027162533888', '002', '金融', '1', '测试多选3', '3,4', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969816113156', '1575321969711255552', '1301371027162533888', '002', '金融', '1', '测试多选1', '1,2', '123', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969816113161', '1575321969711255552', '1301371132523450368', '004', '渠道', '2', '今天是不是没有了？', '2', '今天是不是没有了？', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969816113166', '1575321969711255552', '1301371027162533888', '002', '金融', '2', '测试单选2', '2', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969816113171', '1575321969711255552', '1301371027162533888', '002', '金融', '3', '你是人吗', '2', '你不是人', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969816113172', '1575321969711255552', '1301371132523450368', '004', '渠道', '4', '第三方第三方斯蒂芬鼎折覆餗 是的', '111', '222', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969820307456', '1575321969711255552', '1301371027162533888', '002', '金融', '1', '测试多选2', '2,3', 'D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969820307461', '1575321969711255552', '1301371995069485056', '002002', '金融业务', '1', '金融业务管理', '1,2,3', null, null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969824501764', '1575321969711255552', '1301371027162533888', '002', '金融', '2', '测试单选1', '1', '选择D', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575321969824501769', '1575321969711255552', '1301371945044021248', '002001', '保险业务', '2', '单选题', 'A', null, null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575382895177109504', '1575382894912868352', '1301371945044021248', null, null, '1', '测试多选', '1,2', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575382895210663940', '1575382894912868352', '1301371945044021248', null, null, '2', '测试单选', '3', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575382895210663945', '1575382894912868352', '1301371945044021248', null, null, '3', '测试判断', '1', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575382895210663946', '1575382894912868352', '1301371945044021248', null, null, '4', '填空', '1', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402074849280', '1575404402032906240', '1301400742761992192', null, null, '1', '识字一：万 复 苏 柳 歌 舞 冰 泉 丁 百 齐 争 鸣', '1,2', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402074849285', '1575404402032906240', '1301400742761992192', null, null, '1', '识字二：懂 貌 父 母 教 认 错 事 改 愿 碗 筷 扫 夸', '1', '写 音 蹈', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402074849290', '1575404402032906240', '1301400742761992192', null, null, '1', '识字3  雾 霜 朝 霞 夕 蝶 蜂 碧 紫 千 李 杨 秀', '1', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402074849295', '1575404402032906240', '1301400742761992192', null, null, '2', '识字4 蜻 蜓 展 蝴 蚯 蚓 蚂 蚁 运 蝌 蚪 蜘 蛛 网', 'A', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402074849300', '1575404402032906240', '1301400742761992192', null, null, '3', '识字五 团 量 相 遇 及 怕 攻 互 尊 重 令 纯', 'A', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402074849301', '1575404402032906240', '1301400742761992192', null, null, '3', '怕 攻 互 尊 重 令 纯', 'A', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402083237888', '1575404402032906240', '1301400742761992192', null, null, '4', '这一段中有一句写济南泉水名气大的，是哪一句？用“——”划下来', '43242', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402083237889', '1575404402032906240', '1301400742761992192', null, null, '4', '给短文加个合适的题目：', '324234', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402083237890', '1575404402032906240', '1301400742761992192', null, null, '4', '这段话是围绕哪一句话来写的？请用', '2121', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402083237891', '1575404402032906240', '1301400742761992192', null, null, '3', '识字六 海 鸥 滩 军 舰 帆 秧 ', 'A', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1575404402083237892', '1575404402032906240', '1301400742761992192', null, null, '3', '稻 塘 溪 竿 铜 号 领', 'A', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596436457038417920', '1596436456811925504', '1301372177148416000', null, null, '4', '123', '123', '999', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596436457063583744', '1596436456811925504', '1301372177148416000', null, null, '4', '456', '456', '465', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596801144636706816', '1596801143953035264', '1301371945044021248', null, null, '1', '1', '4,3', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596801144653484036', '1596801143953035264', '1301371945044021248', null, null, '1', '2', '3,4', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596801144653484041', '1596801143953035264', '1301371945044021248', null, null, '2', '3', '4', '', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596801144653484046', '1596801143953035264', '1301371945044021248', null, null, '3', '4', '2', '444444', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1596801144653484047', '1596801143953035264', '1301371945044021248', null, null, '3', '45', '2', '45', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685697798144', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', '填空0316001', '填空0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685718769664', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', '1', '判断0316002', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685718769665', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', '1', '判断0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685718769666', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '1', '多选0316002', '1,3', null, null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685722963972', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '1', '多选0316001', '1,2', '多选0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685722963977', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '2', '单选0316003', '1', '单选0316003', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685722963982', '1636288684905074688', '1301371945044021248', '002001', '保险业务', '2', '单选0316002', '1', '112', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636288685722963987', '1636288684905074688', '1301398461240971264', '005002', '报刊', '2', '单选0316001', '1', '单选1单选1', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151936', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', '填空0316001', '填空0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151937', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', '1', '判断0316002', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151938', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', '1', '判断0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151939', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '1', '多选0316002', '1,3', null, null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151944', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '1', '多选0316001', '1,2', '多选0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151949', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '2', '单选0316003', '1', '单选0316003', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151954', '1636289051902480384', '1301371945044021248', '002001', '保险业务', '2', '单选0316002', '1', '112', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1636289052586151959', '1636289051902480384', '1301398461240971264', '005002', '报刊', '2', '单选0316001', '1', '单选1单选1', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1637627037348925440', '1637627036333903872', '1301371945044021248', '002001', '保险业务', '4', '填空0316001', '填空0316001', '填空0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1637627037365702656', '1637627036333903872', '1301371945044021248', '002001', '保险业务', '3', '判断0316002', '1', '判断0316002', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1637627037365702657', '1637627036333903872', '1301371945044021248', '002001', '保险业务', '3', '判断0316001', '1', '判断0316001', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1637627037365702658', '1637627036333903872', '1301371945044021248', '002001', '保险业务', '2', '单选0316003', '1', '单选0316003', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1637627037365702663', '1637627036333903872', '1301371945044021248', '002001', '保险业务', '2', '单选0316002', '1', '112', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1637627037365702668', '1637627036333903872', '1301398461240971264', '005002', '报刊', '2', '单选0316001', '1', '单选1单选1', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407978881024', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852548', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '特快邮件单边最大尺寸为______厘米，长度和长度之外的最大横周合计不超过_____米。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852553', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852558', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列哪项不属于定置管理的检査要点？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852563', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '1,2,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852568', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', '1,2,3,4,5,6,7', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852576', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852581', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '问题邮件应_______发验，视为有效。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852586', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934407999852591', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046852', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046853', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046854', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '留存邮件必须置于电子监控范围之内。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046855', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046856', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046857', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046858', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046859', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '正确于延误类工单，主导客服接到工单6个工作小时内响应客户；正确于其它工单，协查客服在接到工单2个工作小时内响应客户。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046860', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408004046861', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '网点监控保存时长不少于（）日', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241156', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241161', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241166', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241171', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241176', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在代理金融网点，当忙于手中的内部工作，未及时发现客户时，应坚持“先外后内”的原则，首先向客户道歉，并立即停下手中的工作，为客户办理业务。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241177', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在代理金融网点，正确于结束营业时仍滞留在营业厅内的用户，应为用户办理完业务再结束营业。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241178', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在代理金融网点为客户办理业务时，单手接递资料。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241179', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241180', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241181', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241186', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241191', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做整改回复审批工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241196', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，一份报告书检查6个营业网点、1个揽投部、1个邮件处理中心、3个转接点，至少要录入（  ）个问题。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241201', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做报告书签发工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241206', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241211', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241216', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241221', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241226', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241231', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241236', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241241', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241246', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241247', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '服检系统中的检查模板需要每月创建一次，市、县分公司不需要统一模板。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241248', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241253', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', '2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241258', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241263', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241268', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '每月的检查结果录入服检系统时，点均问题数量最少不能少于      。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241273', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241277', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '目前全国统一集团、省、市、县各级报刊发行部门提供订阅业务处理功能的系统是（   ）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241281', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241285', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241289', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241294', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在“扫黄打非”检查中，每位一线人员都要熟练使用“画像法”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241295', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241296', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241297', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241298', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241299', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '检查库存票品是否账实相符时，现场要抽查（）个以上品种邮票、品的账实相符情况。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241304', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '市分公司集邮库房每年要全面盘存（）次，动态盘存（）次。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241309', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241314', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241319', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '彩色数字化防伪邮资机宣传戳（自贴型）除集团批准的特殊情况、重大活动外，不能单独出售裸签，不能重复使用。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241320', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '公示零售网点要及时向用户公布零售邮票品种、零售数量，摆放新邮预报折。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241321', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241322', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241323', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241324', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241329', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241334', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241339', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241344', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241349', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241350', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241351', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241352', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241353', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241354', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241359', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241364', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：支局所月均库存不得超过该支局所年度分销商品月均销售额的（）倍？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241369', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241374', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241379', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241380', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241381', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241382', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241383', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241384', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241389', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241394', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241399', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241404', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241409', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '营业员的调账申请，必须由支局班组长进行授权，（  ）元以内的调账由支局长授权完成即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241414', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241419', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241424', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241429', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241434', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241439', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241444', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '当营业员要求验视邮件内件时，以下属于营业员用语的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241449', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '如果客户需要办理非本柜台业务时，以下属于营业员用语的是（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241454', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408008241459', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435456', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435457', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435458', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '农村地区开取信箱（筒）的频次每周不应少于 3 天，每天不应少于 1 次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435459', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435460', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435461', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '公益包裹一律不得退回寄件人（捐赠人）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435462', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435463', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435464', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435465', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435466', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435467', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '集团公司层面，在营业管理系统中审批各省分公司每笔超过5000元以上的调账申请。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435468', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435469', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435470', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '烟的限寄数量是多少？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435475', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435480', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435485', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435490', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435495', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435496', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435497', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435498', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435499', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435500', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国家局申诉是指客户在邮政企业投诉后，正确处理结果不满意或在(  )个自然日内未得到处理结果，而向政府管理部门提出请求处理的行为，是有别于邮政企业自有渠道产生的投诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435505', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435510', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '纳入集团公司战略绩效考核指标中，寄递业务客户投诉率达标值（  ）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435515', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435520', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435525', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '非寄递业务点均投诉量的达标值≤0.3。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435526', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435527', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435528', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435529', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435530', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '处理中心的数据信息员的工作内容不包括（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435535', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '处理中心每个网格生产人员应控制在（）人', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435540', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '开拆环节效率目标（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435545', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435550', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '直连装车效率目标（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435555', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列哪些人不需要履行现场巡查工作（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435560', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列哪种邮件不属于“劣三类”邮件（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435565', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435570', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435575', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435580', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435585', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列关于袋牌粘贴正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435590', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435595', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '开启、收回伸缩胶带机要注意安全，人员要在胶带机（）进行操作，防止人员撞伤', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435600', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435605', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435606', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435607', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分拣机直连配发，已落格配发的邮件无法装发的，要正确无法装发的邮件进行扫描取消配发，确保实物和信息一致。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435608', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435609', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435610', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435611', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435612', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435613', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435614', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435615', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435616', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435617', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435618', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435619', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '班中清理就是要在生产过程中，随时拖地、打扫卫生。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435620', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435625', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435630', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435634', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435639', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435643', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435648', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435652', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435657', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435662', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435666', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435671', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435676', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435681', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435685', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '军队喜报专递邮件投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435689', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435694', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435699', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435704', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435709', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '特快邮件单边最大尺寸为______厘米，长度和长度之外的最大横周合计不超过_____米。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435714', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435719', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列哪项不属于定置管理的检査要点？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408012435724', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '1,2,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629764', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', '1,2,3,4,5,6,7', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629772', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629777', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '问题邮件应_______发验，视为有效。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629782', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629787', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629792', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629793', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629794', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '留存邮件必须置于电子监控范围之内。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629795', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629796', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629797', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629798', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629799', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '正确于延误类工单，主导客服接到工单6个工作小时内响应客户；正确于其它工单，协查客服在接到工单2个工作小时内响应客户。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629800', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629801', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '网点监控保存时长不少于（）日', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629806', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629811', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629816', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629821', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629826', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在代理金融网点，当忙于手中的内部工作，未及时发现客户时，应坚持“先外后内”的原则，首先向客户道歉，并立即停下手中的工作，为客户办理业务。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629827', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在代理金融网点，正确于结束营业时仍滞留在营业厅内的用户，应为用户办理完业务再结束营业。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629828', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在代理金融网点为客户办理业务时，单手接递资料。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629829', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629830', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629831', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629836', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629841', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做整改回复审批工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629846', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，一份报告书检查6个营业网点、1个揽投部、1个邮件处理中心、3个转接点，至少要录入（  ）个问题。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629851', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做报告书签发工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629856', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629861', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629866', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629871', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629876', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629881', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629886', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629891', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629896', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629897', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '服检系统中的检查模板需要每月创建一次，市、县分公司不需要统一模板。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629898', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629903', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', '2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629908', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629913', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629918', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '每月的检查结果录入服检系统时，点均问题数量最少不能少于      。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629923', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629927', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '目前全国统一集团、省、市、县各级报刊发行部门提供订阅业务处理功能的系统是（   ）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629931', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629935', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629939', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629944', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '在“扫黄打非”检查中，每位一线人员都要熟练使用“画像法”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629945', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629946', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629947', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629948', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629949', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '检查库存票品是否账实相符时，现场要抽查（）个以上品种邮票、品的账实相符情况。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629954', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '市分公司集邮库房每年要全面盘存（）次，动态盘存（）次。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629959', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629964', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629969', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '彩色数字化防伪邮资机宣传戳（自贴型）除集团批准的特殊情况、重大活动外，不能单独出售裸签，不能重复使用。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629970', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '公示零售网点要及时向用户公布零售邮票品种、零售数量，摆放新邮预报折。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629971', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629972', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629973', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629974', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629979', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629984', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629989', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629994', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016629999', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630000', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630001', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630002', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630003', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630004', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630009', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630014', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：支局所月均库存不得超过该支局所年度分销商品月均销售额的（）倍？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630019', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630024', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630029', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630030', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630031', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630032', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630033', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630034', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630039', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630044', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630049', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630054', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630059', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '营业员的调账申请，必须由支局班组长进行授权，（  ）元以内的调账由支局长授权完成即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630064', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630069', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630074', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630079', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630084', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630089', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630094', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '当营业员要求验视邮件内件时，以下属于营业员用语的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630099', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '如果客户需要办理非本柜台业务时，以下属于营业员用语的是（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630104', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630109', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630110', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630111', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630112', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '农村地区开取信箱（筒）的频次每周不应少于 3 天，每天不应少于 1 次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630113', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630114', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630115', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '公益包裹一律不得退回寄件人（捐赠人）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630116', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630117', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630118', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630119', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630120', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630121', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '集团公司层面，在营业管理系统中审批各省分公司每笔超过5000元以上的调账申请。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630122', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630123', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630124', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '烟的限寄数量是多少？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630129', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630134', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630139', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630144', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630149', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630150', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630151', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630152', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630153', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630154', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '国家局申诉是指客户在邮政企业投诉后，正确处理结果不满意或在(  )个自然日内未得到处理结果，而向政府管理部门提出请求处理的行为，是有别于邮政企业自有渠道产生的投诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630159', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630164', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '纳入集团公司战略绩效考核指标中，寄递业务客户投诉率达标值（  ）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630169', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630174', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630179', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '非寄递业务点均投诉量的达标值≤0.3。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408016630180', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824064', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824065', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824066', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824067', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '处理中心的数据信息员的工作内容不包括（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824072', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '处理中心每个网格生产人员应控制在（）人', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824077', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '开拆环节效率目标（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824082', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824087', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '直连装车效率目标（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824092', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列哪些人不需要履行现场巡查工作（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824097', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列哪种邮件不属于“劣三类”邮件（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824102', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824107', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824112', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824117', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824122', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列关于袋牌粘贴正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824127', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824132', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '开启、收回伸缩胶带机要注意安全，人员要在胶带机（）进行操作，防止人员撞伤', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824137', '1668934407173574656', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824142', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824143', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824144', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分拣机直连配发，已落格配发的邮件无法装发的，要正确无法装发的邮件进行扫描取消配发，确保实物和信息一致。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824145', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824146', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824147', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824148', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824149', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824150', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824151', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824152', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824153', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824154', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824155', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824156', '1668934407173574656', '1301371223997026304', '006', '综合', '3', '班中清理就是要在生产过程中，随时拖地、打扫卫生。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824157', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824162', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824167', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824171', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824176', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824180', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824185', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824189', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824194', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824199', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824203', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824208', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824213', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824218', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '返单邮件投递要求：', '1,2,3,4,5', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824225', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824229', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '军队喜报专递邮件投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824233', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824238', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668934408020824243', '1668934407173574656', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510720', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '收寄单边超过____厘米以上的物品类特快邮件时，需要按照业务规范计泡。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510725', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '特快邮件单边最大尺寸为______厘米，长度和长度之外的最大横周合计不超过_____米。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510730', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '国内特快专递邮件重量应符合以下哪个要求？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510735', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列哪项不属于定置管理的检査要点？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510740', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》依据不同违规行为的严重程度，将各类为违规行为划分为    ', '1,2,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510745', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究范围是    ', '1,2,3,4,5,6,7', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510753', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '《寄递业务责任追究办法》的责任追究方式有哪些    ', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510758', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '问题邮件应_______发验，视为有效。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510763', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '寄递业务“降投诉、提品质”专项治理活动中，郑州邮区中心、市邮件处理中心、县处理中心、揽投部（含邮政支局等），当月三次以上投诉量分别发生100起、（）起、（）起、（）起及以上的，考核该生产机构负责人不少于200元/次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510768', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '《寄递业务责任追究办法》的整体机构中共包含（）大责任主体，共计（ ）项考核项', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510773', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '视察检査人员在进行检査时，不需要正确问题邮件拍照留存。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510774', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '详情单必须平整粘贴在包裹包装箱尺寸较大的一面上。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510775', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '留存邮件必须置于电子监控范围之内。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510776', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动开展时间范围是2023年5月份至12月份。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510777', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '寄递业务“降投诉、提品质”专项治理活动的客户投诉率目标是万分之13。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510778', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '要加强正确投交包裹柜、代投点超时未取邮件管理，正确超过72小时未取的，及时联系客户自取或再投。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510779', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '除特殊情况外，特快邮件必须执行两次按址投递才能转局内投交。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510780', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '正确于延误类工单，主导客服接到工单6个工作小时内响应客户；正确于其它工单，协查客服在接到工单2个工作小时内响应客户。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510781', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '《寄递业务责任追究办法》中规定的重大问题：易形成客户体验不佳需要立即纠正和改进的生产操作问题。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510782', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '网点监控保存时长不少于（）日', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510787', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '现场查看代理金融网点的客户意见簿，要求网点人员在（）天内回复。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510792', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '代理金融网点服务质量监督检查频次要求：市分公司每月至少要检查（）个县（区）分公司，正确每个县（区）至少抽查（）个代理金融网点。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510797', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '开展代理金融网点服务质量监督检查时，要调阅近一季度检查记录和报告书，抽查检查记录不少于( )个单位。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510802', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '代理金融网点岗位人员离岗超过（ ）分钟，未摆放暂停服务牌会扣分。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510807', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '在代理金融网点，当忙于手中的内部工作，未及时发现客户时，应坚持“先外后内”的原则，首先向客户道歉，并立即停下手中的工作，为客户办理业务。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510808', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '在代理金融网点，正确于结束营业时仍滞留在营业厅内的用户，应为用户办理完业务再结束营业。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510809', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '在代理金融网点为客户办理业务时，单手接递资料。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510810', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '代理金融网点客户较少，直接去柜台不需要排队时，可不使用叫号机。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510811', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '代理金融网点内员工可选择统一不佩戴丝巾、领带，保持统一即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510812', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在服检系统创建城市综合网点模板，至少需要勾选（  ）项目。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510817', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在服检系统中，以下哪个层级的工号可以生成报告书。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510822', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做整改回复审批工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510827', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在服检系统中，一份报告书检查6个营业网点、1个揽投部、1个邮件处理中心、3个转接点，至少要录入（  ）个问题。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510832', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在服检系统中，需要用哪个层级的工号做报告书签发工作。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510837', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '服检APP使用率要达到（ ）。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510842', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '某单位渠道平台部8月份检查结果，在服检系统中录入了6次，总共10条问题，需要至少再录入（ ）次（ ）条问题，才能达到集团要求。(   )', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510847', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '总体来说，服检系统总共有（ ）个操作步骤。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510852', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '使用服检APP开展检查时，首先要进行（  ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510857', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '视察检查履职率的达标值为(  ) ，视察检查问题及时整改率为（ ）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510862', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '业务检查履职率的达标值为    ，业务检查问题及时整改率为   。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510867', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '服检APP时，到位确认功能提供各级综合检查人员现场确认功能，现场检查到位后，各级综合检查人员需              进行现场确认。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510872', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '使用服检APP中，到位确认的差异距离，超过    米时，系统会进行提示。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510877', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '标快监控岗在服检系统录入检查时，如果勾选上快包的业务种类，系统能统计上快包人员的履职率。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510878', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '服检系统中的检查模板需要每月创建一次，市、县分公司不需要统一模板。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510879', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村单邮邮政网点模板，最多可以勾选哪些项目。', '1,2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510884', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '在服检系统中创建农村综合邮政网点模板，最多可以勾选哪些项目。', '2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510889', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '使用服检APP检查邮政营业环节，以下哪一项属于选查项目需要上传的照片。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510894', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '服检系统中的整改回复完成后，可以用以下哪些工号进行审批。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510899', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '每月的检查结果录入服检系统时，点均问题数量最少不能少于      。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510904', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '订阅报刊要严格执行（  ）制度，不缴款不录入，个人订户不允许发生欠费。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510908', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '目前全国统一集团、省、市、县各级报刊发行部门提供订阅业务处理功能的系统是（   ）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510912', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在订阅报刊规范经营检查中，地市报代投费率不得低于(  )。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510916', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '系统下发的待维护订阅地址信息（0段道订阅名址）数据，要在下发的（  ）内处理完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510920', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '正确揽投部报刊的检查不包括（   ）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510925', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '在“扫黄打非”检查中，每位一线人员都要熟练使用“画像法”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510926', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '报刊订阅新系统上线后，0段道订阅名址的批局批段数据处理工作由报刊业务管理部门和报刊投递机构共同完成的。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510927', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '关于目前我省县及县以上党报党刊传递时限要求是：区县上午11点以前进局的，上午要完成投递；当天进局的，当天要完成投递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510928', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '关于目前我省重点乡镇党报党刊传递时限要求是：乡镇所在地17点前进局的，当天要投递完毕。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510929', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '投递个人订户报刊时，有信报箱的投入信报箱；无信报箱的报刊，可以随意放在订户门口或门外等地方。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510930', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '检查库存票品是否账实相符时，现场要抽查（）个以上品种邮票、品的账实相符情况。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510935', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '市分公司集邮库房每年要全面盘存（）次，动态盘存（）次。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510940', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '以下哪个邮资机宣传戳的邮资金额，不是信函封片的标准资费（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510945', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '邮资机使用当天，需在新一代营业渠道系统进行入收、（）操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510950', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '彩色数字化防伪邮资机宣传戳（自贴型）除集团批准的特殊情况、重大活动外，不能单独出售裸签，不能重复使用。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510951', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '公示零售网点要及时向用户公布零售邮票品种、零售数量，摆放新邮预报折。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510952', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '用户进行新邮预订、邮票兑付、邮票自提时，只须刷身份证。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510953', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '集邮系统正确网点连号兑付量进行限制，营业员兑付每50版连号时要跳号兑付。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510954', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '省集邮与文化传媒部邮票分配出库时，版式一及其他整张邮票可整箱、整包或整张连号扫码出库下发地市。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510955', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '国内快递包裹最大限重是（  ）千克。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510960', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '国内快递包裹单边最长不超过（ ）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510965', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '快递包裹长宽高三边之和≧（  ）须进行计泡。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510970', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '2号标准箱最大限重为（  ）千克。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510975', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '“劣三类”邮件是指（  ）、刷单件和低效轻泡件，严禁按照快递包裹收寄。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510980', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '经营单位必须与协议客户规范签订两个协议：《客户用邮协议》和《邮件安全协议》。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510981', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '快递包裹邮件要执行人工抽查验视制度，正确每批交寄邮件根据交寄邮件数量按规定比例进行抽查，协议客户每批交寄数量在1000件以上的抽查比例不少于 5%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510982', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮政企业必须严格执行实名收寄、收寄验视、过机安检等收寄安全管理制度，严防禁寄物品流入邮政寄递渠道。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510983', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '标准箱邮件要严格执行收寄规范，必须在标准箱箱体或胶带上显示“标准箱”标识。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510984', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '快递包裹不得收寄信函型邮件，信函型邮件认定标准为：传统信封封装的邮件，以及塑料袋封装，内件为文件票据且邮件厚度（最小边尺寸）小于2厘米的邮件（书刊、杂志除外）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510985', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分销：商品库存周转率标准中农资类为（）次？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510990', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分销：配送员库存滞留在配送车上不得超过（）天', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180510995', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分销：支局所月均库存不得超过该支局所年度分销商品月均销售额的（）倍？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180511000', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分销：分销业务“两级引入”制度包括统签和（）？', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180511005', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分销：农资类商品验收入库期限？（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180511010', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分销：因非人为因素造成的库存短缺、破损损失，在当月销售商品进货成本5‰以内的，经审批后可以进行账务处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180511011', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分销：分销业务环节中处于第二环节的是库存管理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416180511012', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分销：商品销售出库原则是先进先出。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705024', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分销：项目月均销售额低于5000元，要执行项目终止运作', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705025', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分销：商品引入后，要在Edms系统进行商品赋码', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705026', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '六项禁止类服务不包括。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705031', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '正确于（）元及以上的国内保价包裹，必须粘贴“保价包裹封志”。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705036', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '用户交寄附回执的邮件时，回执费应按（）计收。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705041', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '“扫黄打非”责任书（ ）签订一次。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705046', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '可按邮政公事寄递的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705051', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '营业员的调账申请，必须由支局班组长进行授权，（  ）元以内的调账由支局长授权完成即可。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705056', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '营业终了，正确关门时滞留在营业场所内的用户，应（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705061', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '每日营业前，营业局所应在营业系统中生成支局日报（可不打印），核正确（）与实际是否相符', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705066', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '停止办理或者限制办理邮政普遍服务业务的期限一般不超过（）。超过期限的，应当重新履行审批手续。', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705071', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '普遍服务营业场所（）内可以迁址', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705076', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '新一代营业渠道系统中的邮件收寄数据，只允许删除、修改(  )的信息', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705081', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '普遍服务业务范围中印刷品的重量不超过（ ）KG。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705086', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '当营业员要求验视邮件内件时，以下属于营业员用语的是（）。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705091', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '如果客户需要办理非本柜台业务时，以下属于营业员用语的是（）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705096', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '当客户邮寄物品封装不合格时，以下属于营业员用语的是（）。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705101', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '除规定按信函寄递以外的各种书籍、报纸、期刊、教材、目录 及各种印刷的图文资料等可按印刷品寄递。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705102', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '停止使用邮资凭证，应当经国务院邮政管理部门批准，并在停止使用九十日前予以公告，停止销售。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705103', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮政日戳包括普通日戳、风景日戳、文化日戳、营业系统中的电子日戳、邮资机戳中的日戳部分。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705104', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '农村地区开取信箱（筒）的频次每周不应少于 3 天，每天不应少于 1 次。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705105', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮简是一种露封交寄的具有通信性质的卡片式邮件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705106', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮政局所收订的报刊款，最晚需次日全部上缴。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705107', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '公益包裹一律不得退回寄件人（捐赠人）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705108', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '严格执行收寄验视和实名收寄制度，确保函包等普服业务通过新一代寄递平台完成收寄处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705109', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '每个县区分公司可指定1个营业网点收寄非危险化工类产品。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705110', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '登录新一代营业渠道系统通常使用谷歌浏览器。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705111', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮政营业作业区各种设施、用品、用具应定置定位、摆放合理、干净整洁。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705112', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '义务兵免费信件是指现役及退役义务兵免费从营业网点发出的，一项特殊的免费优惠业务。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705113', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '集团公司层面，在营业管理系统中审批各省分公司每笔超过5000元以上的调账申请。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705114', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '普遍服务业务范围包括信件、单件重量不超过5KG的印刷品、单件重量不超过10KG的包裹和义务兵免费信件。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705115', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '营业局所出口各类邮件时，应通过清单与趟车押运人员办理交接。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705116', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '烟的限寄数量是多少？', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705121', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '特快特惠产品计泡公式？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705126', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '标准特快专递包装箱的最大尺寸为长度不超过多少cm，长度和长度以外最大横周合计不超过多少cm？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705131', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '特安邮件在使用新一代寄递平台或PDA收寄时要勾选什么标识？', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705136', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '司法类邮件投递时要执行什么标准？', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705141', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '特快特惠产品收寄限重为20kg。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705142', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '已签订邮件寄递安全承诺书的协议客户批量交寄邮件时，日常每批交寄数量在1000件以上的抽查比例不少于2%。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705143', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '揽投部（站）、营业厅每日须正确当日出口的散件物品型邮件100%稽核，协议客户物品型邮件稽核比例不少于5%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705144', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '高招录取通知书邮件必须逐件扫描、单独封装总包，可直封在南京集散总包内。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705145', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '极速鲜邮件在收寄时，需在新一代PC端或PDA选择“国内极速鲜”产品进行收寄。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705146', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '国家局申诉是指客户在邮政企业投诉后，正确处理结果不满意或在(  )个自然日内未得到处理结果，而向政府管理部门提出请求处理的行为，是有别于邮政企业自有渠道产生的投诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705151', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '邮政企业正确外服务过程中，因服务质量、服务设施、邮件传递时限等方面引发客户申诉，经查证属实，被(  )判定为有效的客户申诉。', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705156', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '纳入集团公司战略绩效考核指标中，寄递业务客户投诉率达标值（  ）。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705161', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '邮政客户投诉渠道包括（）、（）、（）、（）、国家邮政局申诉电话12305、河南省消费者协会投诉电话12315等。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705166', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '集团公司战略绩效考核指标中，寄递业务客户投诉及时解决率达标值（  ），客户有责申诉率达标值（  ）。', '3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705171', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '非寄递业务点均投诉量的达标值≤0.3。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705172', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮政客户申诉分为邮政服务申诉和邮政快递包裹服务申诉。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705173', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '客户有效申诉量是邮政监管部门判定邮政企业在规定时间内处理客户申诉的数量。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705174', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮政客户投诉渠道不包括河南省消费者协会投诉电话12315。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705175', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '协同机构服务调度一次及时解决率是指协同机构在规定时限内反馈的调度指令占应处理调度指令的比重，达标值≥95%。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705176', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '处理中心的数据信息员的工作内容不包括（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705181', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '处理中心每个网格生产人员应控制在（）人', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705186', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '开拆环节效率目标（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705191', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分拣机封发（收格）效率目标（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705196', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '直连装车效率目标（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705201', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列哪些人不需要履行现场巡查工作（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705206', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列哪种邮件不属于“劣三类”邮件（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705211', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '处理中心视频监控要做到全覆盖、无死角，视频保存期限应不低于（）天', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705216', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列关于班结清场的描述，错误误的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705221', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '在装车作业中，已扫描配发的邮件从装车垛口掉落，下面描述正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705226', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列关于检查车封正确的是（）', '3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705231', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列关于袋牌粘贴正确的是（）', '4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705236', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '分拣环节中，无法识别、信息不完整、规格不符的邮件要（）', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705241', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '开启、收回伸缩胶带机要注意安全，人员要在胶带机（）进行操作，防止人员撞伤', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705246', '1668935415576530944', '1301371223997026304', '006', '综合', '2', '下列卸车操作顺序正确的是（）', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705251', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '正确于特安邮件，卸车是可以不用当面交给卸车人员。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705252', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '卸车时垛口下方发现遗留邮件，卸车员通知场院巡场人员进行处理，可以翻越站台进行处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705253', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分拣机直连配发，已落格配发的邮件无法装发的，要正确无法装发的邮件进行扫描取消配发，确保实物和信息一致。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705254', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '分拣机格口满格报警和落格邮件较多的格口可以延后处理。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705255', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮件进入处理中心后，按接收顺序处理邮件，做到“先到先处理，先处理先装车”。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705256', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '驾押人员可独自一人，正确车门眼同施封，检查车门是否严合。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705257', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '出口环节发现超大、超重邮件，邮件可继续发往前程。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705258', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '扫描邮件后，确认为网上收寄信息和面单收寄信息不一致的，按照面单上收件人全地址信息进行地址修正操作。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705259', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '处理中心根据生产需求设置生产管控角色，生产主管、数据信息员、质量检查员、现场调度员、接发员，特安邮件处理人员等关键角色原则上安排自有人员。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705260', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '处理中心要以“6S”为抓手，明确部门职责，严格落实标准，按时检查考核，及时整改完善，并正确看板、标识、标牌等进行统一标准化管理，不断提升现场管理水平。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705261', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '设备维护员应在开机之后到岗，进行交接班复查，按规定做好记录。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705262', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '生产人员进入生产场地时不佩戴金属饰品，不携带手机、背包、香烟、打火机等物品。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705263', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '邮件封发环节PDA逐件扫描封发，提示无格口信息异常时，可以强封。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705264', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '装车时要确认装车路向、车次，根据现场调度发出的派车单信息表核正确车牌或车厢号是否相同，避免错误装。', '1', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705265', '1668935415576530944', '1301371223997026304', '006', '综合', '3', '班中清理就是要在生产过程中，随时拖地、打扫卫生。', '2', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705266', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '进口接收包括（），是按照作业计划规定的频次和时间正确市趟进行解车、正确邮件进行卸车、正确信息进行扫描接收的作业过程。', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705271', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '市趟解车包含市趟车辆到达、验看车厢封志、核正确发运路向、扫描派车单条码、批量解车。市趟解车操作应在市趟车辆到达后5分钟内完成。要合理安排邮件卸车：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705276', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '邮件卸车后要扫描接收邮件信息，说法正确的是：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705280', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '揽投员在进行人工邮件分拣时，应注意以下几点：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705285', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '正确水湿、油污、破损处理要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705289', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '正确详情单异常处理要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705294', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '再投邮件出库操作要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705298', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '揽投员正确于道段范围的邮件进行下段扫描操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705303', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '检查现场遗漏邮件操作要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705308', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '特快邮件基本投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705312', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '极速鲜邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705317', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '密码邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705322', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '一票多件邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705327', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '返单邮件投递要求：', '1,2,3,4,5', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705334', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '金融卡函项目投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705338', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '军队喜报专递邮件投递要求：', '1,2,3', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705342', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '特安邮件投递要求：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705347', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '未妥投邮件分类包括：', '1,2,3,4', '无', null, null, null, null);
INSERT INTO `train_test_paper_question` VALUES ('1668935416184705352', '1668935415576530944', '1301371223997026304', '006', '综合', '1', '未妥投邮件操作要求：', '1,2,3,4', '无', null, null, null, null);

-- ----------------------------
-- Table structure for train_test_paper_question_option
-- ----------------------------
DROP TABLE IF EXISTS `train_test_paper_question_option`;
CREATE TABLE `train_test_paper_question_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `test_paper_question_id` bigint(20) DEFAULT NULL COMMENT '考卷试题id',
  `content` varchar(100) DEFAULT NULL COMMENT '选项内容',
  `seq` smallint(6) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='试卷考题选项';

-- ----------------------------
-- Records of train_test_paper_question_option
-- ----------------------------
INSERT INTO `train_test_paper_question_option` VALUES ('128127930345822406', '128127930344815292', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930346384514', '128127930344815292', '40', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930346530981', '128127930344815292', '50', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930346618031', '128127930344815292', '60', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347097987', '128127930346710434', '60、150', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347186059', '128127930346710434', '80、150', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347271096', '128127930346710434', '150、300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347358098', '128127930346710434', '120、300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347795905', '128127930347444899', '重量≤20千克', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347885669', '128127930347444899', '重量≤30千克', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930347970649', '128127930347444899', '重量≤40千克', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930348055585', '128127930347444899', '重量≤50千克', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930348598171', '128127930348243434', '投递桌、分拣格口、批信台等摆放整齐，无个人物品', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930348686641', '128127930348243434', 'PDA充电座、电源插座、线路等摆放有序', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930348771036', '128127930348243434', '电动车、摩托车等生产车辆整洁，停放有序', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930348853956', '128127930348243434', '揽投员与内部处理人员严格执行点数或扫描交接制度，验视邮件封装及规格质量，操作手续规范', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930349289324', '128127930348942977', '一般问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930349372757', '128127930348942977', '较大问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930349457255', '128127930348942977', '严重问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930349540395', '128127930348942977', '重大问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350100617', '128127930349624436', '一线操作', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350198587', '128127930349624436', '生产机构负责人', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350281951', '128127930349624436', '检查岗位人员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350368341', '128127930349624436', '管理人员', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350451446', '128127930349624436', '领导人员', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350538264', '128127930349624436', '市分公司', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930350621978', '128127930349624436', '县分公司', '6');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351058596', '128127930350706702', '约谈', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351142826', '128127930350706702', '批评教育', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351226201', '128127930350706702', '责令改正', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351312228', '128127930350706702', '经济处理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351750935', '128127930351398198', '当天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351837642', '128127930351398198', '当班', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930351921683', '128127930351398198', '下一班次', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930352007355', '128127930351398198', '2个工作日内', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930352455057', '128127930352093485', '50、10、5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930352540477', '128127930352093485', '50、20、5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930352625267', '128127930352093485', '60、10、5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930352709581', '128127930352093485', '50、10、10', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930353229977', '128127930352793996', '6、255', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930353314002', '128127930352793996', '6、254', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930353398567', '128127930352793996', '5、255', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930353481404', '128127930352793996', '5、254', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930356743908', '128127930356397863', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930356828362', '128127930356397863', '60', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930356912066', '128127930356397863', '90', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930356997838', '128127930356397863', '120', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930357428557', '128127930357081607', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930357513489', '128127930357081607', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930357596846', '128127930357081607', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930357685056', '128127930357081607', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358127806', '128127930357768895', '1,2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358211923', '128127930357768895', '2,2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358294844', '128127930357768895', '2,4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358379027', '128127930357768895', '4,4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358808596', '128127930358463259', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358892981', '128127930358463259', '8', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930358976967', '128127930358463259', '10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930359061092', '128127930358463259', '12', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930359493532', '128127930359145798', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930359578655', '128127930359145798', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930359661251', '128127930359145798', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930359745175', '128127930359145798', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930361859579', '128127930361484553', '邮政营业、投递', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930361947244', '128127930361484553', '邮政营业、金融', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930362031825', '128127930361484553', '投递、金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930362117297', '128127930361484553', '投递、集邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930362605752', '128127930362202136', '部门领导工号', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930362691931', '128127930362202136', '检查方案的组长', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930362775505', '128127930362202136', '参与检查的组员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930362861478', '128127930362202136', '任何人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930363471167', '128127930363117951', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930363555232', '128127930363117951', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930363638684', '128127930363117951', '任何人', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930363724141', '128127930363117951', '部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930364202216', '128127930363810985', '8个', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930364286593', '128127930363810985', '18个', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930364369547', '128127930363810985', '20个', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930364455742', '128127930363810985', '22个', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930364884595', '128127930364540962', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930364969214', '128127930364540962', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930365053882', '128127930364540962', '被查单位部门领导工号', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930365138014', '128127930364540962', '检查单位部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930454466792', '128127930365241755', '0.98', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930454681298', '128127930365241755', '0.99', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930454769996', '128127930365241755', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930454858201', '128127930365241755', '0.95', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930455603102', '128127930454961444', '1，4', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930455692314', '128127930454961444', '2，4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930455776689', '128127930454961444', '2，6', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930455860436', '128127930454961444', '1, 5', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930456310154', '128127930455947357', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930456398089', '128127930455947357', '6', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930456482413', '128127930455947357', '4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930456571648', '128127930455947357', '7', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457023361', '128127930456660723', '选择检查模板', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457109484', '128127930456660723', '到位确认', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457193478', '128127930456660723', '完成确认', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457279128', '128127930456660723', '以上三个选项都不正确', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457709609', '128127930457363275', '100%，100%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457794875', '128127930457363275', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457877796', '128127930457363275', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930457960856', '128127930457363275', '99%，95%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930458529365', '128127930458046791', '95%、95%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930458615739', '128127930458046791', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930458699523', '128127930458046791', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930458783792', '128127930458046791', '100%，100%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930459218441', '128127930458868264', '定位', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930459302467', '128127930458868264', '拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930459385464', '128127930458868264', '录入', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930459474354', '128127930458868264', '签字', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930459903356', '128127930459558723', '1000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930460090134', '128127930459558723', '100', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930460187731', '128127930459558723', '500', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930460271453', '128127930459558723', '2000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930461339173', '128127930460996946', '邮政营业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930461425817', '128127930460996946', '投递', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930461510891', '128127930460996946', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930461596224', '128127930460996946', '乡邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930462101434', '128127930461680555', '乡邮', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930462188451', '128127930461680555', '邮政营业', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930462272738', '128127930461680555', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930462375127', '128127930461680555', '投递', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930462806545', '128127930462461985', '局名牌', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930462890362', '128127930462461985', '店招', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930463200381', '128127930462461985', '服务监督电话', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930463285828', '128127930462461985', '信（筒）箱', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930463723893', '128127930463373348', '检查组组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930463809218', '128127930463373348', '检查组成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930463893223', '128127930463373348', '部门领导', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930463979392', '128127930463373348', '分管领导', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930464413764', '128127930464064564', '0条问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930464497101', '128127930464064564', '1条问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930464580838', '128127930464064564', '2条问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930464663569', '128127930464064564', '3条问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930465147231', '128127930464748904', '预订预收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930465231105', '128127930464748904', '现金交易', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930465315405', '128127930464748904', '货款两清', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930465774316', '128127930465431427', '报刊订销系统', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930465859307', '128127930465431427', '新一代寄递系统', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930465941628', '128127930465431427', '中国邮政书报刊供应链信息系统', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930466369104', '128127930466027297', '0.25', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930466453866', '128127930466027297', '0.35', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930466537865', '128127930466027297', '0.15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930466978749', '128127930466637013', '24小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930467063934', '128127930466637013', '48小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930467147275', '128127930466637013', '72小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930467666955', '128127930467233738', '总包信息接收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930467751763', '128127930467233738', '党报党刊当日见报', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930467835594', '128127930467233738', '缺报少刊', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930467919966', '128127930467233738', '投递频次', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930469899934', '128127930469558177', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470067905', '128127930469558177', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470164295', '128127930469558177', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470247011', '128127930469558177', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470676816', '128127930470332113', '一，六', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470762572', '128127930470332113', '二，六', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470845115', '128127930470332113', '一，十二', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930470930211', '128127930470332113', '二，十二', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930471358528', '128127930471016221', '1.2元', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930471441888', '128127930471016221', '3.8元', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930471527284', '128127930471016221', '4.8元', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930471610138', '128127930471016221', '6元', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930472036584', '128127930471694926', '上传表头数据', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930472123698', '128127930471694926', '录入邮件数量', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930472208103', '128127930471694926', '录入收款金额', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930472292271', '128127930471694926', '填制营业日报', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930474377089', '128127930473992892', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930474461539', '128127930473992892', '20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930474547355', '128127930473992892', '40', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930474630352', '128127930473992892', '50', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475080809', '128127930474715525', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475165204', '128127930474715525', '80cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475250404', '128127930474715525', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475335247', '128127930474715525', '150cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475760782', '128127930475420828', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475844424', '128127930475420828', '60cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930475928776', '128127930475420828', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930476014983', '128127930475420828', '120cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930476447638', '128127930476100591', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930476531668', '128127930476100591', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930476615795', '128127930476100591', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930476698996', '128127930476100591', '11', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930477126634', '128127930476784575', '信函', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930477210595', '128127930476784575', '违禁邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930477294446', '128127930476784575', '异形件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930477377428', '128127930476784575', '轻小件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930479368225', '128127930479028863', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930479456469', '128127930479028863', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930479539438', '128127930479028863', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930479657888', '128127930479028863', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930480185479', '128127930479744412', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930480271835', '128127930479744412', '5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930480359341', '128127930479744412', '7', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930480442623', '128127930479744412', '9', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930480870682', '128127930480528868', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930480956183', '128127930480528868', '1.2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930481039369', '128127930480528868', '1.5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930481122862', '128127930480528868', '2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930481553814', '128127930481207245', '统签', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930481638708', '128127930481207245', '省签', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930481721059', '128127930481207245', '省签区域运作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930481805115', '128127930481207245', '市签', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930482230605', '128127930481888704', '3天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930482315198', '128127930481888704', '3个工作日', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930482398574', '128127930481888704', '5天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930482482158', '128127930481888704', '5个工作日', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930484635151', '128127930484290591', '擅自停办、限办规定业务；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930484719878', '128127930484290591', '未做到满时服务；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930484803978', '128127930484290591', '未执行收寄验视和实名收寄制度；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930484887598', '128127930484290591', '现金收款', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930485319825', '128127930484972833', '500', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930485402893', '128127930484972833', '800', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930485485769', '128127930484972833', '1000', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930485570765', '128127930484972833', '1500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930485997494', '128127930485654496', '重量', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486081065', '128127930485654496', '单据', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486164822', '128127930485654496', '件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486248558', '128127930485654496', '数量', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486675488', '128127930486332175', '半年', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486758851', '128127930486332175', '一年', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486841012', '128127930486332175', '90天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930486923778', '128127930486332175', '180天', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930487352421', '128127930487012913', '烈士遗物', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930487438119', '128127930487012913', '上缴的无着邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930487521046', '128127930487012913', '法院证明', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930487608948', '128127930487012913', '单位正确账单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488034254', '128127930487694753', '100', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488118996', '128127930487694753', '200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488202099', '128127930487694753', '300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488284365', '128127930487694753', '500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488756265', '128127930488369941', '予以办理业务', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488841112', '128127930488369941', '不予办理业务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930488923945', '128127930488369941', '催促用户抓紧离开', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930489007592', '128127930488369941', '不予办理后督促离开', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930489434391', '128127930489091799', '前日缴款', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930489517749', '128127930489091799', '当日缴款', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930489601826', '128127930489091799', '路单', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930489687213', '128127930489091799', '清单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930490195443', '128127930489773819', '三个月', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930490279373', '128127930489773819', '六个月', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930490365301', '128127930489773819', '九个月', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930490449821', '128127930489773819', '十二个月', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930490882316', '128127930490535304', '一公里', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930490966913', '128127930490535304', '二公里', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930491058736', '128127930490535304', '三公里', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930491141964', '128127930490535304', '四公里', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930491568863', '128127930491225929', '当班收寄未出口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930491651935', '128127930491225929', '当班收寄已出口', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930491735462', '128127930491225929', '隔天未确定', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930491819374', '128127930491225929', '隔天已确定', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930492244728', '128127930491903882', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930492329321', '128127930491903882', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930492413325', '128127930491903882', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930492498286', '128127930491903882', '6', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930492973146', '128127930492583199', '打开检查!', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493077771', '128127930492583199', '请协助我们工作，打开您的邮件，谢谢合作', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493164394', '128127930492583199', '拆开，都拿出来！', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493249181', '128127930492583199', '让你拿出来听见没有？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493690073', '128127930493334146', '正确不起，请到XX号柜台办理（同时用手势引导正确方向）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493773761', '128127930493334146', '我这儿不能办', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493858744', '128127930493334146', '该找谁找谁去', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930493943065', '128127930493334146', '去隔壁办理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930494368188', '128127930494027691', '拆了，重新包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930494452692', '128127930494027691', '不能寄就是不能寄', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930494536165', '128127930494027691', '正确不起，为了邮件安全，您的包裹需要重新封装，我们可以协助你', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930494618623', '128127930494027691', '封装好了再来寄', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930499901812', '128127930499550015', '一条', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930500119312', '128127930499550015', '二条', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930500206795', '128127930499550015', '二条400支', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930500290593', '128127930499550015', '200支', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930500747658', '128127930500377636', '1-5区，长*宽*高/6000，6-7区，长*宽*高/5000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930500833034', '128127930500377636', '1-5区，长*宽*高/8000，6-7区，长*宽*高/4000', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930500918813', '128127930500377636', '1-5区，长*宽*高/6000，6-7区，长*宽*高/4000  ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930501004268', '128127930500377636', '1-5区，长*宽*高/8000，6-7区，长*宽*高/5000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930501443789', '128127930501091163', '100，200', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930501531362', '128127930501091163', '150，200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930501617337', '128127930501091163', '100，300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930501700884', '128127930501091163', '150，300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930502137956', '128127930501786267', '特惠', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930502221288', '128127930501786267', '增值服务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930502304713', '128127930501786267', '保价', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930502389763', '128127930501786267', '特安', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930502821284', '128127930502473804', '五日三投', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930502904708', '128127930502473804', '三日两投', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930503038246', '128127930502473804', '五日两投', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930503121542', '128127930502473804', '三日三投', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930505172872', '128127930504824324', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930505270359', '128127930504824324', '7', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930505363598', '128127930504824324', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930505457796', '128127930504824324', '3', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930505915592', '128127930505554116', '邮政企业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506010593', '128127930505554116', '人民法院', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506104254', '128127930505554116', '政府管理部门', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506195074', '128127930505554116', '仲裁委员会', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506652267', '128127930506288869', '≤万分之15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506744793', '128127930506288869', '≤万分之14', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506837249', '128127930506288869', '≤万分之10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930506927724', '128127930506288869', '≤万分之8', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930507372055', '128127930507021311', '集团公司统一客服电话11185', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930507465107', '128127930507021311', '11183', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930507557208', '128127930507021311', '95580', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930507648767', '128127930507021311', '国家邮政局申诉网站', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930508089425', '128127930507742331', '≥90%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930508181141', '128127930507742331', '≤百万分之1.4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930508272125', '128127930507742331', '≥91% ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930508365023', '128127930507742331', '≤百万分之2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930510488295', '128127930510138144', '每日进行生产车间特快、快包处理量的数据分析', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930510584954', '128127930510138144', '每周进行生产车间特快、快包外包结算量数据分析', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930510676635', '128127930510138144', '每月做好班组质量分析会内容的传达落实，落实存在问题的整改工作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930510768806', '128127930510138144', '每月进行特快、快包损益核算分析和生产耗材成本管控', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930511235937', '128127930510872402', '10-15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930511366995', '128127930510872402', '15-20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930511464979', '128127930510872402', '8-10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930511555768', '128127930510872402', '20-25', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512007043', '128127930511647176', '60袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512100838', '128127930511647176', '50袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512191855', '128127930511647176', '40袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512283281', '128127930511647176', '70袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512727081', '128127930512375474', '50袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512818387', '128127930512375474', '40袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930512978613', '128127930512375474', '60袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930513075596', '128127930512375474', '30袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930513520238', '128127930513168401', '700袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930513615009', '128127930513168401', '500袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930513707704', '128127930513168401', '450袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930513800297', '128127930513168401', '400袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930514326904', '128127930513893903', '生产主管（大班长）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930514422404', '128127930513893903', '质量检查员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930514516037', '128127930513893903', '接发员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930514607465', '128127930513893903', '网格长', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515064385', '128127930514706369', '异形件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515162505', '128127930514706369', '低效轻泡件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515254689', '128127930514706369', '刷单件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515345216', '128127930514706369', '电子产品邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515793096', '128127930515441827', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515884712', '128127930515441827', '45', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930515975001', '128127930515441827', '60', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930516068406', '128127930515441827', '90', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930516520683', '128127930516161129', '班结清场工作要覆盖所有接发垛口及停靠车辆、处理中心内所有场地、所有设备，清查车辆内、生产场地内、生产设备上停留和遗漏的未处理邮件及总包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930516616857', '128127930516161129', '水湿油污、破损、禁限寄、安检不合格、邮件损毁等特殊问题件直接发至下一环节，无需登记拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930516707456', '128127930516161129', '班结清场时要做到当班次接卸邮件全部卸车完毕，所有卸车邮件全部扫描完毕', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930516798435', '128127930516161129', '做完班结清场后在新一代系统进行班结操作，班结清场次数与处理中心新一代寄递平台班次结束次数保持一致', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930517247523', '128127930516892193', '从旁边空闲垛口跳下，捡拾邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930517342435', '128127930516892193', '等封车离垛后，再跳下垛口捡拾邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930517434465', '128127930516892193', '等班结清场后，统一处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930517525165', '128127930516892193', '车辆离开垛口后，在封车前，将掉落邮件装车，确保信实相符', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930517974291', '128127930517617397', '驾驶员可以自行倒车停到指定垛口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518067885', '128127930517617397', '若遇车厢漏雨，需立即打开车门处理邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518160815', '128127930517617397', '检查车厢无异常，检查车辆后门、侧门能不能打开，若能打开，按异常情况处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518252636', '128127930517617397', '检查车锁、车封是否完整无破损，若有问题，登记记录即可进行下一步操作', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518704395', '128127930518347673', '粘贴可以歪斜', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518797339', '128127930518347673', '可粘贴在透明窗以外的范围', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518890404', '128127930518347673', '新旧袋牌错误位粘贴，露出多个条码', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930518981275', '128127930518347673', '以上均错误误', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930519428634', '128127930519074148', '及时交问题邮件台席处理', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930519523924', '128127930519074148', '先放一边，等有时间再研究', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930519615487', '128127930519074148', '主观臆断，随便分拣至某一路向', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930519707441', '128127930519074148', '自己电话核实收寄件人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930520239945', '128127930519800443', '上方', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930520333544', '128127930519800443', '侧方', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930520425713', '128127930519800443', '后方', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930520516977', '128127930519800443', '无特定方位', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930520972008', '128127930520613498', '解车，检查车封，卸载邮件，分剔，卸车完毕', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930521063685', '128127930520613498', '检查车封，解车，卸载邮件，分剔，卸车完毕', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930521155051', '128127930520613498', '解车，检查车封，卸载邮件，卸车完毕，分剔', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930521247738', '128127930520613498', '检查车封，解车，卸载邮件，卸车完毕，分剔', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930526575792', '128127930526223008', '市趟解车', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930526672101', '128127930526223008', '邮件卸车', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930526762964', '128127930526223008', '稽核扫描', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930526854842', '128127930526223008', '道段分拣', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930527307017', '128127930526948166', '正确一频次进口市趟车辆在揽投员上班时点前到达揽投部的，揽投部要安排内务员和揽投员分组轮班，提前到岗接卸邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930527399884', '128127930526948166', '正确一频次进口市趟车辆在揽投员上班时点后到达揽投部的，内务员和揽投员全体参与接卸邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930527491814', '128127930526948166', '正确二频次及以后进口的市趟车辆，揽投部要安排内务员和部分揽投员（实行网格化作业的，每个网格安排1-2名揽投员）归班共同接卸邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930527582649', '128127930526948166', '趟车接卸要做到“一车一清”。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528029761', '128127930527673957', '正确系统提示带有“稽核扫描标识”的高考录取通知书、云艺考、特安等重点邮件必须逐件进行稽核扫描。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528122747', '128127930527673957', '稽核扫描分为二码合一稽核扫描和总包邮件稽核扫描，由内务员单独在视频监控范围内的分拣区进行邮件稽核扫描。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528214368', '128127930527673957', '顶扫设备或道段自动分拣机的扫描勾核等同PDA稽核扫描。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528667912', '128127930528309321', '优先根据面单上四段码分拣邮件；若面单上无四段码，使用中邮揽投APP辅助下段功能进行分拣；或根据收件人具体地址信息进行分拣。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528758586', '128127930528309321', '遵循轻拿轻放、大不压小、重不压轻的操作原则，禁止出现抛、摔、踩、踢、坐等任何损害邮件的行为。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528849172', '128127930528309321', '正确于较重或体积较大的物品类邮件，在邮件分拣时与其它物品类邮件区别分拣。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930528939661', '128127930528309321', '全部分拣完毕，巡视工作现场，看有无漏分、遗落的邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930529384023', '128127930529031179', '整理异常邮件实物：正确水湿、油污、破损等异常邮件进行复秤、拍照、封装处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930529478969', '128127930529031179', '系统及时登记发验：揽投员根据异常邮件情况在系统登记正确应选项并提交，内务员审核后及时发验。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930529576909', '128127930529031179', '分类处理投递：轻微破损但重量相符的邮件按址投递；严重破损、水湿、油污等不宜按址投递的邮件，电话通知收件人到揽投部领取，如收件人要求按址投递的，安排揽投员按址投递。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930530109797', '128127930529670025', '一件多单的邮件，根据核查结果，划销多余详情单。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930530204854', '128127930529670025', '详情单脱落、破损无法辩识的邮件，确认邮件信息后，补打详情单并粘贴覆盖原详情单。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930530296789', '128127930529670025', '邮件信息与详情单不符的邮件，电话联系收寄部门进行信息确认，确认后及时投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930530388849', '128127930529670025', '详情单批注代收到付金额和系统要求代收到付金额不符时，在新一代系统“代收异常提交”界面填写相关情况，并正确邮件和详情单拍照举证后提交处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930530880927', '128127930530481919', '正确上一频次未妥投邮件中符合当频投递要求的，与当频进口邮件一同下段扫描，带出投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930530972013', '128127930530481919', '内务员将再投邮件从留存邮件存放区取出。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930531062148', '128127930530481919', '内务员与揽投员正确留存邮件进行点数交接后，揽投员及时投递邮件。出库信息根据揽投员下段扫描动作自动生成。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930531520342', '128127930531156661', '正确分拣完成邮件，揽投员使用PDA“下段扫描”功能进行下段扫码操作，如遇特殊邮件系统弹出提示框，需按提示的要求进行处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930531611233', '128127930531156661', '投交自提点且需打印清单的邮件，选择“自提点名称”，将该自提点的邮件逐件扫描下段；内务员按自提点打印清单，打印后将清单交给揽投员。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930531704551', '128127930531156661', '确认下段完成后，系统自动跳转到投递清单界面，展示所有下段邮件的详细信息，正确下段邮件进行核正确，核正确无误后返回。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930531797701', '128127930531156661', '揽投员要避免漏扫当频本段邮件，错误段邮件需及时交所属道段揽投员下段或交内务员处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930532259439', '128127930531894247', '正确皮带机、分拣机、分拣格架设备底部、缝隙等处检查有无遗漏邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930532351202', '128127930531894247', '正确台席桌面、格口等检查有无遗漏邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930532445814', '128127930531894247', '正确处理场地地面角落等检查有无遗漏邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930532539337', '128127930531894247', '如清理现场时发现揽投员有遗漏邮件，要立即通知揽投员折返取回，及时进行投递。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533056674', '128127930532635369', '特快邮件必须按照邮件详情单上的收件人具体地址投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533148916', '128127930532635369', '如收件人不在收件地址时，揽投员必须“预约投递”功能电话联系收件人，征得收件人同意后，才可将邮件投放至包裹柜、自提点，同时要提醒收件人及时领取邮件；通话时长不少于 10 秒。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533239131', '128127930532635369', '正确于未妥投的特快邮件，揽投员要电话联系收件人约定再投时间，并按约定时间上门投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533698858', '128127930533330735', '要确保邮件当频进口，当频完成投递。如遇趟车晚点，正确于居民小区等可投递区域，要组织小夜班确保邮件当日妥投。正确“极速鲜”邮件，应以外包装是否完好作为签收依据；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533791501', '128127930533330735', '因收件人原因进口当日无法投递的，妥善保管邮件，要将邮件放置到降温保鲜容器或背阴处暂存，防止邮件变质；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533882244', '128127930533330735', '正确节假日进口到投递机构的单位地址的个人“极速鲜”邮件，要在电话预约的基础上，根据收件人要求，提供同城改址投递服务，及时转发邮件，不得随意留存处理。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930533972647', '128127930533330735', '如收件人提出开箱验货服务，揽投员应予以配合；开箱验货时发现短少、部分损毁等问题，应现场拍照留证，主动与源头项目组联系，并按项目组意见进行相应处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930534425024', '128127930534064561', '在揽投员完成邮件下段操作后，系统自动触发短信，将密码短信实时发送至收件人手机。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930534515502', '128127930534064561', '投递时，揽投员要请收件人提供短信密码，在手持智能终端录入短信密码病确认提交后，完成邮件妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930534605729', '128127930534064561', '密码投递邮件的存局自取，只能凭取件密码取件，不能凭身份证号或手机号取件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930534697746', '128127930534064561', '出现收件人误删短信的，揽投员在手持智能终端的短信密码输入界面点击“重发短信”，向收件人重新发送短信密码。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930535182251', '128127930534792581', '正确“整投”的一票多件邮件，做下段操作时，揽投员须扫描所有主件、子件条码后，方可完成下段操作。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930535276608', '128127930534792581', '投递员下段后，按址上门投递，收件人需逐件进行签收，逐件在详情单签收栏签字。收件人拒收或部分拒收的邮件，逐件注明原因退回。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930535369302', '128127930534792581', '投交一票多件邮件时，投递员在核正确投交一票多件的全部邮件后，全票统一进行投递信息反馈。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930535460327', '128127930534792581', '收寄机构正确特快专递可在系统中配置是否允许“拆投”，快递包裹无系统配置“拆投\"功能，如收件人要求“拆投”邮件，投递机构可根据用户要求，直接拆投邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930535933202', '128127930535552376', '揽投员投递邮件前，应检查背胶袋内的反向邮件详情单及需要签收的返单是否完好；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536027467', '128127930535552376', '投交邮件时，除完成正常特快邮件的投递要求外，揽投员还要将收件人签收的返单交收件人签收；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536119345', '128127930535552376', '会同收件人检查签收的返单资料是否完全准确，将客户签收并检查完毕的单据，眼同装入特快专递封套并封口，粘贴反向邮件详情单；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536211058', '128127930535552376', '请收件人在“寄件人签署”一栏签字确认，扫描反向邮件详情单号码，对反向邮件做收寄处理，当频寄回收寄机构；', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536301676', '128127930535552376', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536398155', '128127930535552376', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536852779', '128127930536495662', '要电话联系收件人，按收件人地址进行投递。严格按封套上的VIP标签提示进行投递。要求必须本人签收的，不得交他人代收。VIP标签未明确要求必须本人签收的，征得收件人本人同意后，可由他人代为签收。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930536947212', '128127930536495662', '严禁未经收件人同意将卡函类邮件投递至自提点、智能包裹柜、收发室或交他人代收。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930537041774', '128127930536495662', '严禁泄露客户信息，严禁在邮件上张贴广告。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930537491163', '128127930537135863', '军队喜报专递邮件应按址投交收件人本人、收件人指定的代收人或单位收发室。投递前必须与收件人电话联系，请收件人提前准备好相关证件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930537582484', '128127930537135863', '执行“五日三投”标准，邮件到达各揽投机构5个工作日内，应按照详情单上的收件地址分3天至少投递3次 (按址投递时，收件人拒收的除外)。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930537675576', '128127930537135863', '投递时，由收件人本人签收或由收件人指定的代收人签收，并出示身份证件，代收人还应填写与收件人的关系。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930538123344', '128127930537766438', '特安邮件要优先投递，做到100%电话预约，要做到当频进口当频妥投。上门投递特安邮件时，需随身携带特安邮件专用封口签，用于拒收退件处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930538215051', '128127930537766438', '特安邮件应由收件人本人签收或他人代收，签收时应实名签字，揽投员拍照上传签收联后完成妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930538306322', '128127930537766438', '特安邮件投递时，如收件人或代收人提出开箱验货要求，揽投员应主动配合，眼同开箱验货。仅可开拆外包装进行验视及清点内件数量，不可开拆物品内包装。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930538398004', '128127930537766438', '正确于无法联系收件人的特安邮件，投递员应按址进行3次试投。试投不成功的特安邮件，由内务员集中存局保管，并与收寄部门联系确定处理方式。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930538849622', '128127930538493735', '再投邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930538942404', '128127930538493735', '改址邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930539036067', '128127930538493735', '退回邮件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930539126038', '128127930538493735', '错误分邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930539581295', '128127930539222231', '在未妥投邮件上标识“再投”、“转”、“退”字样。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930539674555', '128127930539222231', '在系统上选择未妥投原因，提交完成信息反馈。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930539769998', '128127930539222231', '揽投员正确当天未妥投的特快专递邮件，必须使用PDA“中邮揽投-预约投递”功能拨打电话，联系收件人约定再投时间。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127930539864046', '128127930539222231', '把未妥投邮件分类盛装入袋，放入投递车辆固定位置，待归班后一并交内务员留存。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940393048413', '128127940391706775', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940393230543', '128127940391706775', '40', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940393318978', '128127940391706775', '50', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940393403835', '128127940391706775', '60', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940393961829', '128127940393499724', '60、150', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394047167', '128127940393499724', '80、150', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394129823', '128127940393499724', '150、300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394223898', '128127940393499724', '120、300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394668661', '128127940394308643', '重量≤20千克', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394754834', '128127940394308643', '重量≤30千克', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394839463', '128127940394308643', '重量≤40千克', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940394964714', '128127940394308643', '重量≤50千克', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940395406152', '128127940395050762', '投递桌、分拣格口、批信台等摆放整齐，无个人物品', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940395489819', '128127940395050762', 'PDA充电座、电源插座、线路等摆放有序', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940395575372', '128127940395050762', '电动车、摩托车等生产车辆整洁，停放有序', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940395659119', '128127940395050762', '揽投员与内部处理人员严格执行点数或扫描交接制度，验视邮件封装及规格质量，操作手续规范', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396090754', '128127940395745094', '一般问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396174758', '128127940395745094', '较大问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396259103', '128127940395745094', '严重问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396340724', '128127940395745094', '重大问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396789868', '128127940396428904', '一线操作', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396874511', '128127940396428904', '生产机构负责人', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940396958554', '128127940396428904', '检查岗位人员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397043474', '128127940396428904', '管理人员', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397126909', '128127940396428904', '领导人员', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397213583', '128127940396428904', '市分公司', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397296895', '128127940396428904', '县分公司', '6');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397725682', '128127940397381569', '约谈', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397811673', '128127940397381569', '批评教育', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397894086', '128127940397381569', '责令改正', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940397978611', '128127940397381569', '经济处理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940398418352', '128127940398066142', '当天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940398501804', '128127940398066142', '当班', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940398586254', '128127940398066142', '下一班次', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940398670664', '128127940398066142', '2个工作日内', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940399104355', '128127940398756508', '50、10、5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940399188973', '128127940398756508', '50、20、5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940399274306', '128127940398756508', '60、10、5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940399358148', '128127940398756508', '50、10、10', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940399824013', '128127940399442752', '6、255', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940399909004', '128127940399442752', '6、254', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940400088461', '128127940399442752', '5、255', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940400173728', '128127940399442752', '5、254', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940403784806', '128127940403335964', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940403930267', '128127940403335964', '60', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940404063055', '128127940403335964', '90', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940404196301', '128127940403335964', '120', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940404825153', '128127940404326759', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940404946949', '128127940404326759', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940405068011', '128127940404326759', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940405190144', '128127940404326759', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940405712582', '128127940405316199', '1,2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940405799311', '128127940405316199', '2,2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940405884911', '128127940405316199', '2,4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940405969033', '128127940405316199', '4,4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940406409389', '128127940406058328', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940406495675', '128127940406058328', '8', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940406579872', '128127940406058328', '10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940406662735', '128127940406058328', '12', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940407125342', '128127940406747775', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940407210536', '128127940406747775', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940407376649', '128127940406747775', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940407458186', '128127940406747775', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940409501964', '128127940409153908', '邮政营业、投递', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940409588932', '128127940409153908', '邮政营业、金融', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940409670123', '128127940409153908', '投递、金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940409753118', '128127940409153908', '投递、集邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940410303017', '128127940409837378', '部门领导工号', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940410386359', '128127940409837378', '检查方案的组长', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940410469894', '128127940409837378', '参与检查的组员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940410552817', '128127940409837378', '任何人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940410977404', '128127940410634871', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411060654', '128127940410634871', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411143141', '128127940410634871', '任何人', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411225576', '128127940410634871', '部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411653881', '128127940411312694', '8个', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411737331', '128127940411312694', '18个', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411817952', '128127940411312694', '20个', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940411902717', '128127940411312694', '22个', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940412326188', '128127940411987743', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940412409434', '128127940411987743', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940412493469', '128127940411987743', '被查单位部门领导工号', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940412576858', '128127940411987743', '检查单位部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940413476933', '128127940412660194', '0.98', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940413587092', '128127940412660194', '0.99', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940413669939', '128127940412660194', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940413754555', '128127940412660194', '0.95', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940414244494', '128127940413841053', '1，4', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940414328249', '128127940413841053', '2，4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940414410017', '128127940413841053', '2，6', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940414490989', '128127940413841053', '1, 5', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940414924797', '128127940414577225', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415007336', '128127940414577225', '6', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415087528', '128127940414577225', '4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415170618', '128127940414577225', '7', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415632301', '128127940415253778', '选择检查模板', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415713853', '128127940415253778', '到位确认', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415796026', '128127940415253778', '完成确认', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940415905157', '128127940415253778', '以上三个选项都不正确', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940416334973', '128127940415988457', '100%，100%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940416417901', '128127940415988457', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940416499944', '128127940415988457', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940416581607', '128127940415988457', '99%，95%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417028992', '128127940416665036', '95%、95%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417113212', '128127940416665036', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417194054', '128127940416665036', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417276666', '128127940416665036', '100%，100%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417712759', '128127940417371183', '定位', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417796048', '128127940417371183', '拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417878611', '128127940417371183', '录入', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940417961472', '128127940417371183', '签字', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940418388513', '128127940418045781', '1000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940418472138', '128127940418045781', '100', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940418552754', '128127940418045781', '500', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940418868963', '128127940418045781', '2000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940419935727', '128127940419589059', '邮政营业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420108583', '128127940419589059', '投递', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420191734', '128127940419589059', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420273677', '128127940419589059', '乡邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420727224', '128127940420356017', '乡邮', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420811404', '128127940420356017', '邮政营业', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420892227', '128127940420356017', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940420973279', '128127940420356017', '投递', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940421407525', '128127940421057609', '局名牌', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940421488857', '128127940421057609', '店招', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940421572503', '128127940421057609', '服务监督电话', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940421654572', '128127940421057609', '信（筒）箱', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940422077454', '128127940421738883', '检查组组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940422159461', '128127940421738883', '检查组成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940422247643', '128127940421738883', '部门领导', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940422372104', '128127940421738883', '分管领导', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940422791294', '128127940422456209', '0条问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940422873041', '128127940422456209', '1条问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940423028344', '128127940422456209', '2条问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940423109946', '128127940422456209', '3条问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940423837698', '128127940423341408', '预订预收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940423938911', '128127940423341408', '现金交易', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940424022014', '128127940423341408', '货款两清', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940424459178', '128127940424108904', '报刊订销系统', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940424544193', '128127940424108904', '新一代寄递系统', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940424626593', '128127940424108904', '中国邮政书报刊供应链信息系统', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940425059552', '128127940424709715', '0.25', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940425142566', '128127940424709715', '0.35', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940425223565', '128127940424709715', '0.15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940425645133', '128127940425307777', '24小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940425728112', '128127940425307777', '48小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940425810104', '128127940425307777', '72小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940426236594', '128127940425893972', '总包信息接收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940426321097', '128127940425893972', '党报党刊当日见报', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940426404351', '128127940425893972', '缺报少刊', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940426486468', '128127940425893972', '投递频次', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940428451553', '128127940428113248', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940428535748', '128127940428113248', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940428622346', '128127940428113248', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940428706396', '128127940428113248', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429135247', '128127940428789554', '一，六', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429218114', '128127940428789554', '二，六', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429304458', '128127940428789554', '一，十二', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429385992', '128127940428789554', '二，十二', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429810363', '128127940429469762', '1.2元', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429893387', '128127940429469762', '3.8元', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940429975215', '128127940429469762', '4.8元', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940430144419', '128127940429469762', '6元', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940430572502', '128127940430227606', '上传表头数据', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940430656811', '128127940430227606', '录入邮件数量', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940430737852', '128127940430227606', '录入收款金额', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940430977716', '128127940430227606', '填制营业日报', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940433694912', '128127940432870985', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940433809681', '128127940432870985', '20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940433903125', '128127940432870985', '40', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940433994467', '128127940432870985', '50', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940434476338', '128127940434089681', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940434567459', '128127940434089681', '80cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940434658664', '128127940434089681', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940434747972', '128127940434089681', '150cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940435198625', '128127940434839951', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940435288531', '128127940434839951', '60cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940435378719', '128127940434839951', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940435469055', '128127940434839951', '120cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940435919707', '128127940435567037', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436011055', '128127940435567037', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436102494', '128127940435567037', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436194618', '128127940435567037', '11', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436663327', '128127940436288613', '信函', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436758122', '128127940436288613', '违禁邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436848221', '128127940436288613', '异形件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940436938021', '128127940436288613', '轻小件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940439041583', '128127940438694416', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940439133647', '128127940438694416', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940439230419', '128127940438694416', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940439321326', '128127940438694416', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940442464027', '128127940439414983', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940442562146', '128127940439414983', '5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940442652657', '128127940439414983', '7', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940442742135', '128127940439414983', '9', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940443284145', '128127940442833023', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940443564111', '128127940442833023', '1.2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940443694051', '128127940442833023', '1.5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940443784713', '128127940442833023', '2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940444329608', '128127940443881805', '统签', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940444421847', '128127940443881805', '省签', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940444512491', '128127940443881805', '省签区域运作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940444601718', '128127940443881805', '市签', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940445060319', '128127940444694035', '3天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940445150894', '128127940444694035', '3个工作日', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940445241866', '128127940444694035', '5天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940445331063', '128127940444694035', '5个工作日', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940447352522', '128127940447006525', '擅自停办、限办规定业务；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940447444113', '128127940447006525', '未做到满时服务；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940447535737', '128127940447006525', '未执行收寄验视和实名收寄制度；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940447625904', '128127940447006525', '现金收款', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448072052', '128127940447717052', '500', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448162583', '128127940447717052', '800', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448251697', '128127940447717052', '1000', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448340893', '128127940447717052', '1500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448783161', '128127940448431773', '重量', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448873575', '128127940448431773', '单据', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940448963817', '128127940448431773', '件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940449055063', '128127940448431773', '数量', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940449490278', '128127940449146559', '半年', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940449580375', '128127940449146559', '一年', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940449669247', '128127940449146559', '90天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940449759869', '128127940449146559', '180天', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940450304992', '128127940449853072', '烈士遗物', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940450396144', '128127940449853072', '上缴的无着邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940450484965', '128127940449853072', '法院证明', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940450573843', '128127940449853072', '单位正确账单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940451198533', '128127940450696089', '100', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940451295383', '128127940450696089', '200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940451385547', '128127940450696089', '300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940451488853', '128127940450696089', '500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940451933397', '128127940451579945', '予以办理业务', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452023325', '128127940451579945', '不予办理业务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452112187', '128127940451579945', '催促用户抓紧离开', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452202298', '128127940451579945', '不予办理后督促离开', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452646684', '128127940452292494', '前日缴款', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452736306', '128127940452292494', '当日缴款', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452826674', '128127940452292494', '路单', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940452994401', '128127940452292494', '清单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940453626745', '128127940453102089', '三个月', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940453765849', '128127940453102089', '六个月', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940453857025', '128127940453102089', '九个月', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940453949213', '128127940453102089', '十二个月', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940454493247', '128127940454045038', '一公里', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940454582991', '128127940454045038', '二公里', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940454679377', '128127940454045038', '三公里', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940454768106', '128127940454045038', '四公里', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940455216894', '128127940454859182', '当班收寄未出口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940455309197', '128127940454859182', '当班收寄已出口', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940455398658', '128127940454859182', '隔天未确定', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940455490453', '128127940454859182', '隔天已确定', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940455927954', '128127940455580427', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456017753', '128127940455580427', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456108362', '128127940455580427', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456200933', '128127940455580427', '6', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456686526', '128127940456337627', '打开检查!', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456776149', '128127940456337627', '请协助我们工作，打开您的邮件，谢谢合作', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456864482', '128127940456337627', '拆开，都拿出来！', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940456955396', '128127940456337627', '让你拿出来听见没有？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940457396141', '128127940457045865', '正确不起，请到XX号柜台办理（同时用手势引导正确方向）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940457485493', '128127940457045865', '我这儿不能办', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940457575261', '128127940457045865', '该找谁找谁去', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940457663532', '128127940457045865', '去隔壁办理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940458124759', '128127940457753652', '拆了，重新包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940458214946', '128127940457753652', '不能寄就是不能寄', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940458304572', '128127940457753652', '正确不起，为了邮件安全，您的包裹需要重新封装，我们可以协助你', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940458393431', '128127940457753652', '封装好了再来寄', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940464224831', '128127940463419138', '一条', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940464342249', '128127940463419138', '二条', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940464436999', '128127940463419138', '二条400支', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940464528065', '128127940463419138', '200支', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465004769', '128127940464624178', '1-5区，长*宽*高/6000，6-7区，长*宽*高/5000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465097652', '128127940464624178', '1-5区，长*宽*高/8000，6-7区，长*宽*高/4000', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465187734', '128127940464624178', '1-5区，长*宽*高/6000，6-7区，长*宽*高/4000  ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465281262', '128127940464624178', '1-5区，长*宽*高/8000，6-7区，长*宽*高/5000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465738032', '128127940465373726', '100，200', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465830205', '128127940465373726', '150，200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940465921556', '128127940465373726', '100，300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940466011554', '128127940465373726', '150，300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940466474259', '128127940466104019', '特惠', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940466564702', '128127940466104019', '增值服务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940466654277', '128127940466104019', '保价', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940466743016', '128127940466104019', '特安', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940467187443', '128127940466833285', '五日三投', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940467278753', '128127940466833285', '三日两投', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940467367784', '128127940466833285', '五日两投', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940467456524', '128127940466833285', '三日三投', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940469452423', '128127940469109196', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940469543094', '128127940469109196', '7', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940469632423', '128127940469109196', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940469727674', '128127940469109196', '3', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940470257041', '128127940469819581', '邮政企业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940470352073', '128127940469819581', '人民法院', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940470441978', '128127940469819581', '政府管理部门', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940470530413', '128127940469819581', '仲裁委员会', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940470975726', '128127940470621372', '≤万分之15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471065474', '128127940470621372', '≤万分之14', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471155392', '128127940470621372', '≤万分之10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471244108', '128127940470621372', '≤万分之8', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471683787', '128127940471334514', '集团公司统一客服电话11185', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471773051', '128127940471334514', '11183', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471863214', '128127940471334514', '95580', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940471952804', '128127940471334514', '国家邮政局申诉网站', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940472390931', '128127940472042594', '≥90%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940472480776', '128127940472042594', '≤百万分之1.4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940472569981', '128127940472042594', '≥91% ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940472660209', '128127940472042594', '≤百万分之2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940475221755', '128127940474818487', '每日进行生产车间特快、快包处理量的数据分析', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940475327248', '128127940474818487', '每周进行生产车间特快、快包外包结算量数据分析', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940475419297', '128127940474818487', '每月做好班组质量分析会内容的传达落实，落实存在问题的整改工作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940475509293', '128127940474818487', '每月进行特快、快包损益核算分析和生产耗材成本管控', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940475966283', '128127940475602955', '10-15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476058205', '128127940475602955', '15-20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476148116', '128127940475602955', '8-10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476237566', '128127940475602955', '20-25', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476682138', '128127940476329405', '60袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476773135', '128127940476329405', '50袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476861599', '128127940476329405', '40袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940476950227', '128127940476329405', '70袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940477399337', '128127940477045083', '50袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940477488774', '128127940477045083', '40袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940477577916', '128127940477045083', '60袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940477670292', '128127940477045083', '30袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940478126854', '128127940477760038', '700袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940478219804', '128127940477760038', '500袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940478311375', '128127940477760038', '450袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940478401052', '128127940477760038', '400袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940478838196', '128127940478493907', '生产主管（大班长）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940478929983', '128127940478493907', '质量检查员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940479021469', '128127940478493907', '接发员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940479112142', '128127940478493907', '网格长', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940479554628', '128127940479202539', '异形件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940479644975', '128127940479202539', '低效轻泡件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940479734295', '128127940479202539', '刷单件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940479823685', '128127940479202539', '电子产品邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940480354805', '128127940479918802', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940480444484', '128127940479918802', '45', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940480533663', '128127940479918802', '60', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940480624815', '128127940479918802', '90', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481067119', '128127940480715233', '班结清场工作要覆盖所有接发垛口及停靠车辆、处理中心内所有场地、所有设备，清查车辆内、生产场地内、生产设备上停留和遗漏的未处理邮件及总包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481160795', '128127940480715233', '水湿油污、破损、禁限寄、安检不合格、邮件损毁等特殊问题件直接发至下一环节，无需登记拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481252192', '128127940480715233', '班结清场时要做到当班次接卸邮件全部卸车完毕，所有卸车邮件全部扫描完毕', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481343734', '128127940480715233', '做完班结清场后在新一代系统进行班结操作，班结清场次数与处理中心新一代寄递平台班次结束次数保持一致', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481791391', '128127940481435732', '从旁边空闲垛口跳下，捡拾邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481880418', '128127940481435732', '等封车离垛后，再跳下垛口捡拾邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940481972523', '128127940481435732', '等班结清场后，统一处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940482063039', '128127940481435732', '车辆离开垛口后，在封车前，将掉落邮件装车，确保信实相符', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940482504684', '128127940482153623', '驾驶员可以自行倒车停到指定垛口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940482593552', '128127940482153623', '若遇车厢漏雨，需立即打开车门处理邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940482681951', '128127940482153623', '检查车厢无异常，检查车辆后门、侧门能不能打开，若能打开，按异常情况处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940482770098', '128127940482153623', '检查车锁、车封是否完整无破损，若有问题，登记记录即可进行下一步操作', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940483273369', '128127940482860855', '粘贴可以歪斜', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940483370779', '128127940482860855', '可粘贴在透明窗以外的范围', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940483461073', '128127940482860855', '新旧袋牌错误位粘贴，露出多个条码', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940483551511', '128127940482860855', '以上均错误误', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940484440292', '128127940483641213', '及时交问题邮件台席处理', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940484606029', '128127940483641213', '先放一边，等有时间再研究', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940484744195', '128127940483641213', '主观臆断，随便分拣至某一路向', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940484876521', '128127940483641213', '自己电话核实收寄件人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940485451555', '128127940485015092', '上方', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940485544552', '128127940485015092', '侧方', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940485633454', '128127940485015092', '后方', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940485725103', '128127940485015092', '无特定方位', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940486184781', '128127940485817865', '解车，检查车封，卸载邮件，分剔，卸车完毕', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940486275875', '128127940485817865', '检查车封，解车，卸载邮件，分剔，卸车完毕', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940486365694', '128127940485817865', '解车，检查车封，卸载邮件，卸车完毕，分剔', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940486456206', '128127940485817865', '检查车封，解车，卸载邮件，卸车完毕，分剔', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940492397952', '128127940492034407', '市趟解车', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940492551334', '128127940492034407', '邮件卸车', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940492643803', '128127940492034407', '稽核扫描', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940492734981', '128127940492034407', '道段分拣', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940493269449', '128127940492826171', '正确一频次进口市趟车辆在揽投员上班时点前到达揽投部的，揽投部要安排内务员和揽投员分组轮班，提前到岗接卸邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940493362005', '128127940492826171', '正确一频次进口市趟车辆在揽投员上班时点后到达揽投部的，内务员和揽投员全体参与接卸邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940493455031', '128127940492826171', '正确二频次及以后进口的市趟车辆，揽投部要安排内务员和部分揽投员（实行网格化作业的，每个网格安排1-2名揽投员）归班共同接卸邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940493544365', '128127940492826171', '趟车接卸要做到“一车一清”。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940494302136', '128127940493636676', '正确系统提示带有“稽核扫描标识”的高考录取通知书、云艺考、特安等重点邮件必须逐件进行稽核扫描。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940494421865', '128127940493636676', '稽核扫描分为二码合一稽核扫描和总包邮件稽核扫描，由内务员单独在视频监控范围内的分拣区进行邮件稽核扫描。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940494517624', '128127940493636676', '顶扫设备或道段自动分拣机的扫描勾核等同PDA稽核扫描。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495010846', '128127940494622862', '优先根据面单上四段码分拣邮件；若面单上无四段码，使用中邮揽投APP辅助下段功能进行分拣；或根据收件人具体地址信息进行分拣。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495106484', '128127940494622862', '遵循轻拿轻放、大不压小、重不压轻的操作原则，禁止出现抛、摔、踩、踢、坐等任何损害邮件的行为。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495197228', '128127940494622862', '正确于较重或体积较大的物品类邮件，在邮件分拣时与其它物品类邮件区别分拣。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495289533', '128127940494622862', '全部分拣完毕，巡视工作现场，看有无漏分、遗落的邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495741624', '128127940495384073', '整理异常邮件实物：正确水湿、油污、破损等异常邮件进行复秤、拍照、封装处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495836481', '128127940495384073', '系统及时登记发验：揽投员根据异常邮件情况在系统登记正确应选项并提交，内务员审核后及时发验。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940495929074', '128127940495384073', '分类处理投递：轻微破损但重量相符的邮件按址投递；严重破损、水湿、油污等不宜按址投递的邮件，电话通知收件人到揽投部领取，如收件人要求按址投递的，安排揽投员按址投递。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940496379749', '128127940496021169', '一件多单的邮件，根据核查结果，划销多余详情单。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940496471682', '128127940496021169', '详情单脱落、破损无法辩识的邮件，确认邮件信息后，补打详情单并粘贴覆盖原详情单。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940496562899', '128127940496021169', '邮件信息与详情单不符的邮件，电话联系收寄部门进行信息确认，确认后及时投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940496655441', '128127940496021169', '详情单批注代收到付金额和系统要求代收到付金额不符时，在新一代系统“代收异常提交”界面填写相关情况，并正确邮件和详情单拍照举证后提交处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940497100576', '128127940496746765', '正确上一频次未妥投邮件中符合当频投递要求的，与当频进口邮件一同下段扫描，带出投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940497192947', '128127940496746765', '内务员将再投邮件从留存邮件存放区取出。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940497282773', '128127940496746765', '内务员与揽投员正确留存邮件进行点数交接后，揽投员及时投递邮件。出库信息根据揽投员下段扫描动作自动生成。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940497759828', '128127940497374236', '正确分拣完成邮件，揽投员使用PDA“下段扫描”功能进行下段扫码操作，如遇特殊邮件系统弹出提示框，需按提示的要求进行处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940497850537', '128127940497374236', '投交自提点且需打印清单的邮件，选择“自提点名称”，将该自提点的邮件逐件扫描下段；内务员按自提点打印清单，打印后将清单交给揽投员。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940497941295', '128127940497374236', '确认下段完成后，系统自动跳转到投递清单界面，展示所有下段邮件的详细信息，正确下段邮件进行核正确，核正确无误后返回。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940498032562', '128127940497374236', '揽投员要避免漏扫当频本段邮件，错误段邮件需及时交所属道段揽投员下段或交内务员处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940498487559', '128127940498125052', '正确皮带机、分拣机、分拣格架设备底部、缝隙等处检查有无遗漏邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940498578354', '128127940498125052', '正确台席桌面、格口等检查有无遗漏邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940498673289', '128127940498125052', '正确处理场地地面角落等检查有无遗漏邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940498763608', '128127940498125052', '如清理现场时发现揽投员有遗漏邮件，要立即通知揽投员折返取回，及时进行投递。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940499223152', '128127940498854901', '特快邮件必须按照邮件详情单上的收件人具体地址投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940499313849', '128127940498854901', '如收件人不在收件地址时，揽投员必须“预约投递”功能电话联系收件人，征得收件人同意后，才可将邮件投放至包裹柜、自提点，同时要提醒收件人及时领取邮件；通话时长不少于 10 秒。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940499404245', '128127940498854901', '正确于未妥投的特快邮件，揽投员要电话联系收件人约定再投时间，并按约定时间上门投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940499851973', '128127940499498743', '要确保邮件当频进口，当频完成投递。如遇趟车晚点，正确于居民小区等可投递区域，要组织小夜班确保邮件当日妥投。正确“极速鲜”邮件，应以外包装是否完好作为签收依据；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940499954126', '128127940499498743', '因收件人原因进口当日无法投递的，妥善保管邮件，要将邮件放置到降温保鲜容器或背阴处暂存，防止邮件变质；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940500136329', '128127940499498743', '正确节假日进口到投递机构的单位地址的个人“极速鲜”邮件，要在电话预约的基础上，根据收件人要求，提供同城改址投递服务，及时转发邮件，不得随意留存处理。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940500227123', '128127940499498743', '如收件人提出开箱验货服务，揽投员应予以配合；开箱验货时发现短少、部分损毁等问题，应现场拍照留证，主动与源头项目组联系，并按项目组意见进行相应处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940500685505', '128127940500319668', '在揽投员完成邮件下段操作后，系统自动触发短信，将密码短信实时发送至收件人手机。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940500776065', '128127940500319668', '投递时，揽投员要请收件人提供短信密码，在手持智能终端录入短信密码病确认提交后，完成邮件妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940501032656', '128127940500319668', '密码投递邮件的存局自取，只能凭取件密码取件，不能凭身份证号或手机号取件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940501130744', '128127940500319668', '出现收件人误删短信的，揽投员在手持智能终端的短信密码输入界面点击“重发短信”，向收件人重新发送短信密码。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940501621151', '128127940501222437', '正确“整投”的一票多件邮件，做下段操作时，揽投员须扫描所有主件、子件条码后，方可完成下段操作。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940501718645', '128127940501222437', '投递员下段后，按址上门投递，收件人需逐件进行签收，逐件在详情单签收栏签字。收件人拒收或部分拒收的邮件，逐件注明原因退回。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940501810916', '128127940501222437', '投交一票多件邮件时，投递员在核正确投交一票多件的全部邮件后，全票统一进行投递信息反馈。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940501901447', '128127940501222437', '收寄机构正确特快专递可在系统中配置是否允许“拆投”，快递包裹无系统配置“拆投\"功能，如收件人要求“拆投”邮件，投递机构可根据用户要求，直接拆投邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940502367078', '128127940501993378', '揽投员投递邮件前，应检查背胶袋内的反向邮件详情单及需要签收的返单是否完好；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940502461047', '128127940501993378', '投交邮件时，除完成正常特快邮件的投递要求外，揽投员还要将收件人签收的返单交收件人签收；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940502553813', '128127940501993378', '会同收件人检查签收的返单资料是否完全准确，将客户签收并检查完毕的单据，眼同装入特快专递封套并封口，粘贴反向邮件详情单；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940502643795', '128127940501993378', '请收件人在“寄件人签署”一栏签字确认，扫描反向邮件详情单号码，对反向邮件做收寄处理，当频寄回收寄机构；', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940502733896', '128127940501993378', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940502829225', '128127940501993378', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940503342623', '128127940502987712', '要电话联系收件人，按收件人地址进行投递。严格按封套上的VIP标签提示进行投递。要求必须本人签收的，不得交他人代收。VIP标签未明确要求必须本人签收的，征得收件人本人同意后，可由他人代为签收。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940503432886', '128127940502987712', '严禁未经收件人同意将卡函类邮件投递至自提点、智能包裹柜、收发室或交他人代收。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940503523661', '128127940502987712', '严禁泄露客户信息，严禁在邮件上张贴广告。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940504186417', '128127940503615095', '军队喜报专递邮件应按址投交收件人本人、收件人指定的代收人或单位收发室。投递前必须与收件人电话联系，请收件人提前准备好相关证件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940504300796', '128127940503615095', '执行“五日三投”标准，邮件到达各揽投机构5个工作日内，应按照详情单上的收件地址分3天至少投递3次 (按址投递时，收件人拒收的除外)。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940504391356', '128127940503615095', '投递时，由收件人本人签收或由收件人指定的代收人签收，并出示身份证件，代收人还应填写与收件人的关系。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940504916507', '128127940504486977', '特安邮件要优先投递，做到100%电话预约，要做到当频进口当频妥投。上门投递特安邮件时，需随身携带特安邮件专用封口签，用于拒收退件处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940505010105', '128127940504486977', '特安邮件应由收件人本人签收或他人代收，签收时应实名签字，揽投员拍照上传签收联后完成妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940505099564', '128127940504486977', '特安邮件投递时，如收件人或代收人提出开箱验货要求，揽投员应主动配合，眼同开箱验货。仅可开拆外包装进行验视及清点内件数量，不可开拆物品内包装。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940505189685', '128127940504486977', '正确于无法联系收件人的特安邮件，投递员应按址进行3次试投。试投不成功的特安邮件，由内务员集中存局保管，并与收寄部门联系确定处理方式。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940505648072', '128127940505282458', '再投邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940506090533', '128127940505282458', '改址邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940506182974', '128127940505282458', '退回邮件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940506271784', '128127940505282458', '错误分邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940506733439', '128127940506368509', '在未妥投邮件上标识“再投”、“转”、“退”字样。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940506825733', '128127940506368509', '在系统上选择未妥投原因，提交完成信息反馈。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940506917667', '128127940506368509', '揽投员正确当天未妥投的特快专递邮件，必须使用PDA“中邮揽投-预约投递”功能拨打电话，联系收件人约定再投时间。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128127940507009745', '128127940506368509', '把未妥投邮件分类盛装入袋，放入投递车辆固定位置，待归班后一并交内务员留存。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005942087092', '128128005941019769', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005942230806', '128128005941019769', '40', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005942314913', '128128005941019769', '50', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005942547077', '128128005941019769', '60', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943127766', '128128005942638559', '60、150', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943211855', '128128005942638559', '80、150', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943294081', '128128005942638559', '150、300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943376689', '128128005942638559', '120、300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943807311', '128128005943460205', '重量≤20千克', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943889164', '128128005943460205', '重量≤30千克', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005943970229', '128128005943460205', '重量≤40千克', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005944051759', '128128005943460205', '重量≤50千克', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005944671089', '128128005944158179', '投递桌、分拣格口、批信台等摆放整齐，无个人物品', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005944799628', '128128005944158179', 'PDA充电座、电源插座、线路等摆放有序', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005944883568', '128128005944158179', '电动车、摩托车等生产车辆整洁，停放有序', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005944964189', '128128005944158179', '揽投员与内部处理人员严格执行点数或扫描交接制度，验视邮件封装及规格质量，操作手续规范', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005945412017', '128128005945050612', '一般问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005945493741', '128128005945050612', '较大问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005945574032', '128128005945050612', '严重问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005945656519', '128128005945050612', '重大问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946086265', '128128005945740102', '一线操作', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946167264', '128128005945740102', '生产机构负责人', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946250573', '128128005945740102', '检查岗位人员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946332044', '128128005945740102', '管理人员', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946414288', '128128005945740102', '领导人员', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946497073', '128128005945740102', '市分公司', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005946600899', '128128005945740102', '县分公司', '6');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947019864', '128128005946683895', '约谈', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947103484', '128128005946683895', '批评教育', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947184423', '128128005946683895', '责令改正', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947266521', '128128005946683895', '经济处理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947754966', '128128005947347913', '当天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947876955', '128128005947347913', '当班', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005947979311', '128128005947347913', '下一班次', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005948062989', '128128005947347913', '2个工作日内', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005948632168', '128128005948144908', '50、10、5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005948718892', '128128005948144908', '50、20、5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005948798987', '128128005948144908', '60、10、5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005948881813', '128128005948144908', '50、10、10', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005949301529', '128128005948963856', '6、255', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005949383174', '128128005948963856', '6、254', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005949464097', '128128005948963856', '5、255', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005949543848', '128128005948963856', '5、254', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005952821685', '128128005952476009', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005952905712', '128128005952476009', '60', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005953067018', '128128005952476009', '90', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005953149306', '128128005952476009', '120', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005953568056', '128128005953231438', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005953649533', '128128005953231438', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005953731025', '128128005953231438', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005953812255', '128128005953231438', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005954228959', '128128005953893697', '1,2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005954312467', '128128005953893697', '2,2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005954393537', '128128005953893697', '2,4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005954554956', '128128005953893697', '4,4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005954987706', '128128005954643261', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955068626', '128128005954643261', '8', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955149593', '128128005954643261', '10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955228845', '128128005954643261', '12', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955646859', '128128005955310455', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955727622', '128128005955310455', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955832517', '128128005955310455', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005955951311', '128128005955310455', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005958837785', '128128005958280854', '邮政营业、投递', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005958976415', '128128005958280854', '邮政营业、金融', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005959101373', '128128005958280854', '投递、金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005959271046', '128128005958280854', '投递、集邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005959910669', '128128005959390808', '部门领导工号', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005960166543', '128128005959390808', '检查方案的组长', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005960293404', '128128005959390808', '参与检查的组员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005960407245', '128128005959390808', '任何人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005961097464', '128128005960522409', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005961236645', '128128005960522409', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005961356752', '128128005960522409', '任何人', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005961493024', '128128005960522409', '部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005962130283', '128128005961621916', '8个', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005962265332', '128128005961621916', '18个', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005962384511', '128128005961621916', '20个', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005962508465', '128128005961621916', '22个', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005963261875', '128128005962643616', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005963390694', '128128005962643616', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005963527443', '128128005962643616', '被查单位部门领导工号', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005963685258', '128128005962643616', '检查单位部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005964314871', '128128005963809631', '0.98', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005964440679', '128128005963809631', '0.99', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005964565923', '128128005963809631', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005964698471', '128128005963809631', '0.95', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005965330596', '128128005964813896', '1，4', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005965452518', '128128005964813896', '2，4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005965586192', '128128005964813896', '2，6', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005965708796', '128128005964813896', '1, 5', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005966388042', '128128005965865582', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005966519896', '128128005965865582', '6', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005966642853', '128128005965865582', '4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005966757846', '128128005965865582', '7', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005967423485', '128128005966894452', '选择检查模板', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005967813442', '128128005966894452', '到位确认', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005967957185', '128128005966894452', '完成确认', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005968088941', '128128005966894452', '以上三个选项都不正确', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005968778215', '128128005968211286', '100%，100%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005968904684', '128128005968211286', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005969028238', '128128005968211286', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005970171215', '128128005968211286', '99%，95%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005970956943', '128128005970306623', '95%、95%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005971085531', '128128005970306623', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005971213974', '128128005970306623', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005971459843', '128128005970306623', '100%，100%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005972181118', '128128005971586404', '定位', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005972304636', '128128005971586404', '拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005972421045', '128128005971586404', '录入', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005972552173', '128128005971586404', '签字', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005973360716', '128128005972678971', '1000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005973485766', '128128005972678971', '100', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005973616919', '128128005972678971', '500', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005973732402', '128128005972678971', '2000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005975300778', '128128005974778672', '邮政营业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005975426931', '128128005974778672', '投递', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005975543247', '128128005974778672', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005975675122', '128128005974778672', '乡邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005976315123', '128128005975798226', '乡邮', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005976442131', '128128005975798226', '邮政营业', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005976580854', '128128005975798226', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005976708998', '128128005975798226', '投递', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005977632997', '128128005976917143', '局名牌', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005977776699', '128128005976917143', '店招', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005977906547', '128128005976917143', '服务监督电话', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005978030806', '128128005976917143', '信（筒）箱', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005978683662', '128128005978161374', '检查组组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005978817861', '128128005978161374', '检查组成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005978942611', '128128005978161374', '部门领导', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005979056155', '128128005978161374', '分管领导', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005980370054', '128128005979173764', '0条问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005980507257', '128128005979173764', '1条问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005980625688', '128128005979173764', '2条问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005980741027', '128128005979173764', '3条问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005981552855', '128128005980865528', '预订预收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005981677121', '128128005980865528', '现金交易', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005981810017', '128128005980865528', '货款两清', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005982471251', '128128005981929667', '报刊订销系统', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005982605745', '128128005981929667', '新一代寄递系统', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005982739331', '128128005981929667', '中国邮政书报刊供应链信息系统', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005983484247', '128128005982869898', '0.25', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005983776938', '128128005982869898', '0.35', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005983869934', '128128005982869898', '0.15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005984303247', '128128005983954484', '24小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005984386685', '128128005983954484', '48小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005984468975', '128128005983954484', '72小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005984899006', '128128005984552715', '总包信息接收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005984980918', '128128005984552715', '党报党刊当日见报', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005985062831', '128128005984552715', '缺报少刊', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005985144206', '128128005984552715', '投递频次', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987100557', '128128005986751809', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987184426', '128128005986751809', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987264532', '128128005986751809', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987347087', '128128005986751809', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987768371', '128128005987428679', '一，六', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987851284', '128128005987428679', '二，六', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005987932594', '128128005987428679', '一，十二', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005988013473', '128128005987428679', '二，十二', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005988600176', '128128005988253147', '1.2元', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005988685089', '128128005988253147', '3.8元', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005988766365', '128128005988253147', '4.8元', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005988849622', '128128005988253147', '6元', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005989363526', '128128005988935038', '上传表头数据', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005989450742', '128128005988935038', '录入邮件数量', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005989533216', '128128005988935038', '录入收款金额', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005989616035', '128128005988935038', '填制营业日报', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005991697527', '128128005991328891', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005991779973', '128128005991328891', '20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005991863619', '128128005991328891', '40', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005991943447', '128128005991328891', '50', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005992484092', '128128005992025163', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005992565828', '128128005992025163', '80cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005992646175', '128128005992025163', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005992726392', '128128005992025163', '150cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005993332979', '128128005992809478', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005993416281', '128128005992809478', '60cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005993496801', '128128005992809478', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005993578303', '128128005992809478', '120cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994006534', '128128005993662796', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994087721', '128128005993662796', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994168796', '128128005993662796', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994249186', '128128005993662796', '11', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994799772', '128128005994335638', '信函', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994884161', '128128005994335638', '违禁邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005994966197', '128128005994335638', '异形件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005995047265', '128128005994335638', '轻小件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005997306798', '128128005996712862', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005997393281', '128128005996712862', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005997473077', '128128005996712862', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005997555549', '128128005996712862', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005997990192', '128128005997641064', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998072907', '128128005997641064', '5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998154506', '128128005997641064', '7', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998235197', '128128005997641064', '9', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998655452', '128128005998318194', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998738246', '128128005998318194', '1.2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998819193', '128128005998318194', '1.5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005998899135', '128128005998318194', '2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005999322967', '128128005998980915', '统签', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005999404171', '128128005998980915', '省签', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005999484315', '128128005998980915', '省签区域运作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128005999564352', '128128005998980915', '市签', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006000067595', '128128005999645645', '3天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006000160116', '128128005999645645', '3个工作日', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006000241367', '128128005999645645', '5天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006000322051', '128128005999645645', '5个工作日', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006002258178', '128128006001922072', '擅自停办、限办规定业务；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006002340228', '128128006001922072', '未做到满时服务；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006002423303', '128128006001922072', '未执行收寄验视和实名收寄制度；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006002504515', '128128006001922072', '现金收款', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006002921678', '128128006002587602', '500', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006003074319', '128128006002587602', '800', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006003155971', '128128006002587602', '1000', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006003235734', '128128006002587602', '1500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006003697244', '128128006003318107', '重量', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006003813414', '128128006003318107', '单据', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006003931767', '128128006003318107', '件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006004047876', '128128006003318107', '数量', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006004794726', '128128006004165218', '半年', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006004879137', '128128006004165218', '一年', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006004960435', '128128006004165218', '90天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006005041991', '128128006004165218', '180天', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006005467552', '128128006005123333', '烈士遗物', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006005548412', '128128006005123333', '上缴的无着邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006005629381', '128128006005123333', '法院证明', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006005712047', '128128006005123333', '单位正确账单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006006131906', '128128006005794695', '100', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006006213033', '128128006005794695', '200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006006294636', '128128006005794695', '300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006006377053', '128128006005794695', '500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006007742449', '128128006006460018', '予以办理业务', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006007826596', '128128006006460018', '不予办理业务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006007909685', '128128006006460018', '催促用户抓紧离开', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006007991555', '128128006006460018', '不予办理后督促离开', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006008433043', '128128006008074741', '前日缴款', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006008517437', '128128006008074741', '当日缴款', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006008597342', '128128006008074741', '路单', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006008678343', '128128006008074741', '清单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009099011', '128128006008759255', '三个月', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009181415', '128128006008759255', '六个月', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009261517', '128128006008759255', '九个月', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009342049', '128128006008759255', '十二个月', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009756503', '128128006009426719', '一公里', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009837017', '128128006009426719', '二公里', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006009921554', '128128006009426719', '三公里', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006010099486', '128128006009426719', '四公里', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006010514879', '128128006010181852', '当班收寄未出口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006010595673', '128128006010181852', '当班收寄已出口', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006010676531', '128128006010181852', '隔天未确定', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006010756174', '128128006010181852', '隔天已确定', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006011162784', '128128006010837748', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006011243921', '128128006010837748', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006011324768', '128128006010837748', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006011406413', '128128006010837748', '6', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006011885414', '128128006011489004', '打开检查!', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006011965874', '128128006011489004', '请协助我们工作，打开您的邮件，谢谢合作', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006012047481', '128128006011489004', '拆开，都拿出来！', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006012127527', '128128006011489004', '让你拿出来听见没有？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006012548767', '128128006012210295', '正确不起，请到XX号柜台办理（同时用手势引导正确方向）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006012631474', '128128006012210295', '我这儿不能办', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006012712431', '128128006012210295', '该找谁找谁去', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006012816989', '128128006012210295', '去隔壁办理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006013362486', '128128006012900783', '拆了，重新包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006013446462', '128128006012900783', '不能寄就是不能寄', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006013527076', '128128006012900783', '正确不起，为了邮件安全，您的包裹需要重新封装，我们可以协助你', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006013608752', '128128006012900783', '封装好了再来寄', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006018580563', '128128006018258207', '一条', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006018662797', '128128006018258207', '二条', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006018743865', '128128006018258207', '二条400支', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006018825833', '128128006018258207', '200支', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006019246824', '128128006018908253', '1-5区，长*宽*高/6000，6-7区，长*宽*高/5000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006019329414', '128128006018908253', '1-5区，长*宽*高/8000，6-7区，长*宽*高/4000', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006019410473', '128128006018908253', '1-5区，长*宽*高/6000，6-7区，长*宽*高/4000  ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006019585728', '128128006018908253', '1-5区，长*宽*高/8000，6-7区，长*宽*高/5000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020112517', '128128006019685964', '100，200', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020193424', '128128006019685964', '150，200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020275342', '128128006019685964', '100，300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020355539', '128128006019685964', '150，300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020761143', '128128006020437948', '特惠', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020843408', '128128006020437948', '增值服务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006020924093', '128128006020437948', '保价', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006021006634', '128128006020437948', '特安', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006021412569', '128128006021088803', '五日三投', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006021492988', '128128006021088803', '三日两投', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006021574665', '128128006021088803', '五日两投', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006021654521', '128128006021088803', '三日三投', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006023627209', '128128006023305588', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006023710597', '128128006023305588', '7', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006023790843', '128128006023305588', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006023873752', '128128006023305588', '3', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006024279962', '128128006023956237', '邮政企业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006024361102', '128128006023956237', '人民法院', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006024444147', '128128006023956237', '政府管理部门', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006024526415', '128128006023956237', '仲裁委员会', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006024930271', '128128006024608427', '≤万分之15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025011376', '128128006024608427', '≤万分之14', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025092802', '128128006024608427', '≤万分之10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025174921', '128128006024608427', '≤万分之8', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025578751', '128128006025256974', '集团公司统一客服电话11185', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025663132', '128128006025256974', '11183', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025743589', '128128006025256974', '95580', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006025825443', '128128006025256974', '国家邮政局申诉网站', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006026241387', '128128006025907982', '≥90%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006026323718', '128128006025907982', '≤百万分之1.4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006026405776', '128128006025907982', '≥91% ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006026488025', '128128006025907982', '≤百万分之2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006028402746', '128128006028079801', '每日进行生产车间特快、快包处理量的数据分析', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006028484684', '128128006028079801', '每周进行生产车间特快、快包外包结算量数据分析', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006028566152', '128128006028079801', '每月做好班组质量分析会内容的传达落实，落实存在问题的整改工作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006028691269', '128128006028079801', '每月进行特快、快包损益核算分析和生产耗材成本管控', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029101461', '128128006028773113', '10-15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029182155', '128128006028773113', '15-20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029262753', '128128006028773113', '8-10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029343728', '128128006028773113', '20-25', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029752451', '128128006029425182', '60袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029834783', '128128006029425182', '50袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006029915262', '128128006029425182', '40袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006030076062', '128128006029425182', '70袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006030483479', '128128006030159695', '50袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006030564895', '128128006030159695', '40袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006030646126', '128128006030159695', '60袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006030729224', '128128006030159695', '30袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031136856', '128128006030813624', '700袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031216783', '128128006030813624', '500袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031296165', '128128006030813624', '450袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031377924', '128128006030813624', '400袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031785077', '128128006031459948', '生产主管（大班长）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031864891', '128128006031459948', '质量检查员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006031945143', '128128006031459948', '接发员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006032025464', '128128006031459948', '网格长', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006032436712', '128128006032106964', '异形件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006032516184', '128128006032106964', '低效轻泡件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006032596424', '128128006032106964', '刷单件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006032677273', '128128006032106964', '电子产品邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033145803', '128128006032758441', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033226805', '128128006032758441', '45', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033307624', '128128006032758441', '60', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033388476', '128128006032758441', '90', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033796286', '128128006033470283', '班结清场工作要覆盖所有接发垛口及停靠车辆、处理中心内所有场地、所有设备，清查车辆内、生产场地内、生产设备上停留和遗漏的未处理邮件及总包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033878339', '128128006033470283', '水湿油污、破损、禁限寄、安检不合格、邮件损毁等特殊问题件直接发至下一环节，无需登记拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006033958853', '128128006033470283', '班结清场时要做到当班次接卸邮件全部卸车完毕，所有卸车邮件全部扫描完毕', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006034038214', '128128006033470283', '做完班结清场后在新一代系统进行班结操作，班结清场次数与处理中心新一代寄递平台班次结束次数保持一致', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006034455786', '128128006034121005', '从旁边空闲垛口跳下，捡拾邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006034536541', '128128006034121005', '等封车离垛后，再跳下垛口捡拾邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006034617077', '128128006034121005', '等班结清场后，统一处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006034697678', '128128006034121005', '车辆离开垛口后，在封车前，将掉落邮件装车，确保信实相符', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006035106142', '128128006034779726', '驾驶员可以自行倒车停到指定垛口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006035187244', '128128006034779726', '若遇车厢漏雨，需立即打开车门处理邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006035267797', '128128006034779726', '检查车厢无异常，检查车辆后门、侧门能不能打开，若能打开，按异常情况处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006035348533', '128128006034779726', '检查车锁、车封是否完整无破损，若有问题，登记记录即可进行下一步操作', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006035877399', '128128006035430767', '粘贴可以歪斜', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006036014803', '128128006035430767', '可粘贴在透明窗以外的范围', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006036144492', '128128006035430767', '新旧袋牌错误位粘贴，露出多个条码', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006036282983', '128128006035430767', '以上均错误误', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006036949884', '128128006036402193', '及时交问题邮件台席处理', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006037066868', '128128006036402193', '先放一边，等有时间再研究', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006037180681', '128128006036402193', '主观臆断，随便分拣至某一路向', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006037309728', '128128006036402193', '自己电话核实收寄件人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006037891757', '128128006037429858', '上方', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006038005181', '128128006037429858', '侧方', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006038112589', '128128006037429858', '后方', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006038219494', '128128006037429858', '无特定方位', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006038743328', '128128006038328632', '解车，检查车封，卸载邮件，分剔，卸车完毕', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006038874272', '128128006038328632', '检查车封，解车，卸载邮件，分剔，卸车完毕', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006038984031', '128128006038328632', '解车，检查车封，卸载邮件，卸车完毕，分剔', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006039089604', '128128006038328632', '检查车封，解车，卸载邮件，卸车完毕，分剔', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006045490262', '128128006045120652', '市趟解车', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006045597798', '128128006045120652', '邮件卸车', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006045681174', '128128006045120652', '稽核扫描', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006045762687', '128128006045120652', '道段分拣', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006046224416', '128128006045849077', '正确一频次进口市趟车辆在揽投员上班时点前到达揽投部的，揽投部要安排内务员和揽投员分组轮班，提前到岗接卸邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006046383285', '128128006045849077', '正确一频次进口市趟车辆在揽投员上班时点后到达揽投部的，内务员和揽投员全体参与接卸邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006046467285', '128128006045849077', '正确二频次及以后进口的市趟车辆，揽投部要安排内务员和部分揽投员（实行网格化作业的，每个网格安排1-2名揽投员）归班共同接卸邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006046789846', '128128006045849077', '趟车接卸要做到“一车一清”。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006047205314', '128128006046873312', '正确系统提示带有“稽核扫描标识”的高考录取通知书、云艺考、特安等重点邮件必须逐件进行稽核扫描。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006047289534', '128128006046873312', '稽核扫描分为二码合一稽核扫描和总包邮件稽核扫描，由内务员单独在视频监控范围内的分拣区进行邮件稽核扫描。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006047372692', '128128006046873312', '顶扫设备或道段自动分拣机的扫描勾核等同PDA稽核扫描。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006048763802', '128128006047456904', '优先根据面单上四段码分拣邮件；若面单上无四段码，使用中邮揽投APP辅助下段功能进行分拣；或根据收件人具体地址信息进行分拣。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006048850069', '128128006047456904', '遵循轻拿轻放、大不压小、重不压轻的操作原则，禁止出现抛、摔、踩、踢、坐等任何损害邮件的行为。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006048932147', '128128006047456904', '正确于较重或体积较大的物品类邮件，在邮件分拣时与其它物品类邮件区别分拣。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006049012244', '128128006047456904', '全部分拣完毕，巡视工作现场，看有无漏分、遗落的邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006049422489', '128128006049095614', '整理异常邮件实物：正确水湿、油污、破损等异常邮件进行复秤、拍照、封装处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006049503793', '128128006049095614', '系统及时登记发验：揽投员根据异常邮件情况在系统登记正确应选项并提交，内务员审核后及时发验。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006049584998', '128128006049095614', '分类处理投递：轻微破损但重量相符的邮件按址投递；严重破损、水湿、油污等不宜按址投递的邮件，电话通知收件人到揽投部领取，如收件人要求按址投递的，安排揽投员按址投递。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050107053', '128128006049669056', '一件多单的邮件，根据核查结果，划销多余详情单。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050190602', '128128006049669056', '详情单脱落、破损无法辩识的邮件，确认邮件信息后，补打详情单并粘贴覆盖原详情单。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050272477', '128128006049669056', '邮件信息与详情单不符的邮件，电话联系收寄部门进行信息确认，确认后及时投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050353476', '128128006049669056', '详情单批注代收到付金额和系统要求代收到付金额不符时，在新一代系统“代收异常提交”界面填写相关情况，并正确邮件和详情单拍照举证后提交处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050754394', '128128006050436617', '正确上一频次未妥投邮件中符合当频投递要求的，与当频进口邮件一同下段扫描，带出投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050835713', '128128006050436617', '内务员将再投邮件从留存邮件存放区取出。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006050915853', '128128006050436617', '内务员与揽投员正确留存邮件进行点数交接后，揽投员及时投递邮件。出库信息根据揽投员下段扫描动作自动生成。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006051321691', '128128006050998373', '正确分拣完成邮件，揽投员使用PDA“下段扫描”功能进行下段扫码操作，如遇特殊邮件系统弹出提示框，需按提示的要求进行处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006051403109', '128128006050998373', '投交自提点且需打印清单的邮件，选择“自提点名称”，将该自提点的邮件逐件扫描下段；内务员按自提点打印清单，打印后将清单交给揽投员。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006051483639', '128128006050998373', '确认下段完成后，系统自动跳转到投递清单界面，展示所有下段邮件的详细信息，正确下段邮件进行核正确，核正确无误后返回。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006051563931', '128128006050998373', '揽投员要避免漏扫当频本段邮件，错误段邮件需及时交所属道段揽投员下段或交内务员处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006051969323', '128128006051645717', '正确皮带机、分拣机、分拣格架设备底部、缝隙等处检查有无遗漏邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006052052275', '128128006051645717', '正确台席桌面、格口等检查有无遗漏邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006052134037', '128128006051645717', '正确处理场地地面角落等检查有无遗漏邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006052215052', '128128006051645717', '如清理现场时发现揽投员有遗漏邮件，要立即通知揽投员折返取回，及时进行投递。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006052622206', '128128006052296755', '特快邮件必须按照邮件详情单上的收件人具体地址投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006052702595', '128128006052296755', '如收件人不在收件地址时，揽投员必须“预约投递”功能电话联系收件人，征得收件人同意后，才可将邮件投放至包裹柜、自提点，同时要提醒收件人及时领取邮件；通话时长不少于 10 秒。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006052783387', '128128006052296755', '正确于未妥投的特快邮件，揽投员要电话联系收件人约定再投时间，并按约定时间上门投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006053262257', '128128006052865569', '要确保邮件当频进口，当频完成投递。如遇趟车晚点，正确于居民小区等可投递区域，要组织小夜班确保邮件当日妥投。正确“极速鲜”邮件，应以外包装是否完好作为签收依据；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006053344062', '128128006052865569', '因收件人原因进口当日无法投递的，妥善保管邮件，要将邮件放置到降温保鲜容器或背阴处暂存，防止邮件变质；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006053424086', '128128006052865569', '正确节假日进口到投递机构的单位地址的个人“极速鲜”邮件，要在电话预约的基础上，根据收件人要求，提供同城改址投递服务，及时转发邮件，不得随意留存处理。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006053507771', '128128006052865569', '如收件人提出开箱验货服务，揽投员应予以配合；开箱验货时发现短少、部分损毁等问题，应现场拍照留证，主动与源头项目组联系，并按项目组意见进行相应处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006053916108', '128128006053589717', '在揽投员完成邮件下段操作后，系统自动触发短信，将密码短信实时发送至收件人手机。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006053996674', '128128006053589717', '投递时，揽投员要请收件人提供短信密码，在手持智能终端录入短信密码病确认提交后，完成邮件妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006054077255', '128128006053589717', '密码投递邮件的存局自取，只能凭取件密码取件，不能凭身份证号或手机号取件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006054157868', '128128006053589717', '出现收件人误删短信的，揽投员在手持智能终端的短信密码输入界面点击“重发短信”，向收件人重新发送短信密码。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006054581477', '128128006054239921', '正确“整投”的一票多件邮件，做下段操作时，揽投员须扫描所有主件、子件条码后，方可完成下段操作。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006054663013', '128128006054239921', '投递员下段后，按址上门投递，收件人需逐件进行签收，逐件在详情单签收栏签字。收件人拒收或部分拒收的邮件，逐件注明原因退回。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006054744097', '128128006054239921', '投交一票多件邮件时，投递员在核正确投交一票多件的全部邮件后，全票统一进行投递信息反馈。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006054823624', '128128006054239921', '收寄机构正确特快专递可在系统中配置是否允许“拆投”，快递包裹无系统配置“拆投\"功能，如收件人要求“拆投”邮件，投递机构可根据用户要求，直接拆投邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006055244072', '128128006054905442', '揽投员投递邮件前，应检查背胶袋内的反向邮件详情单及需要签收的返单是否完好；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006055325455', '128128006054905442', '投交邮件时，除完成正常特快邮件的投递要求外，揽投员还要将收件人签收的返单交收件人签收；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006055406457', '128128006054905442', '会同收件人检查签收的返单资料是否完全准确，将客户签收并检查完毕的单据，眼同装入特快专递封套并封口，粘贴反向邮件详情单；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006055489208', '128128006054905442', '请收件人在“寄件人签署”一栏签字确认，扫描反向邮件详情单号码，对反向邮件做收寄处理，当频寄回收寄机构；', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006055570222', '128128006054905442', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006055651042', '128128006054905442', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006056054394', '128128006055733372', '要电话联系收件人，按收件人地址进行投递。严格按封套上的VIP标签提示进行投递。要求必须本人签收的，不得交他人代收。VIP标签未明确要求必须本人签收的，征得收件人本人同意后，可由他人代为签收。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006056137523', '128128006055733372', '严禁未经收件人同意将卡函类邮件投递至自提点、智能包裹柜、收发室或交他人代收。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006056217278', '128128006055733372', '严禁泄露客户信息，严禁在邮件上张贴广告。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006056627971', '128128006056302153', '军队喜报专递邮件应按址投交收件人本人、收件人指定的代收人或单位收发室。投递前必须与收件人电话联系，请收件人提前准备好相关证件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006056712023', '128128006056302153', '执行“五日三投”标准，邮件到达各揽投机构5个工作日内，应按照详情单上的收件地址分3天至少投递3次 (按址投递时，收件人拒收的除外)。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006056793233', '128128006056302153', '投递时，由收件人本人签收或由收件人指定的代收人签收，并出示身份证件，代收人还应填写与收件人的关系。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006057199779', '128128006056876428', '特安邮件要优先投递，做到100%电话预约，要做到当频进口当频妥投。上门投递特安邮件时，需随身携带特安邮件专用封口签，用于拒收退件处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006057443786', '128128006056876428', '特安邮件应由收件人本人签收或他人代收，签收时应实名签字，揽投员拍照上传签收联后完成妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006057604229', '128128006056876428', '特安邮件投递时，如收件人或代收人提出开箱验货要求，揽投员应主动配合，眼同开箱验货。仅可开拆外包装进行验视及清点内件数量，不可开拆物品内包装。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006057685922', '128128006056876428', '正确于无法联系收件人的特安邮件，投递员应按址进行3次试投。试投不成功的特安邮件，由内务员集中存局保管，并与收寄部门联系确定处理方式。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058095134', '128128006057770453', '再投邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058175767', '128128006057770453', '改址邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058258081', '128128006057770453', '退回邮件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058337964', '128128006057770453', '错误分邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058764011', '128128006058421695', '在未妥投邮件上标识“再投”、“转”、“退”字样。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058845755', '128128006058421695', '在系统上选择未妥投原因，提交完成信息反馈。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006058926143', '128128006058421695', '揽投员正确当天未妥投的特快专递邮件，必须使用PDA“中邮揽投-预约投递”功能拨打电话，联系收件人约定再投时间。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('128128006059007985', '128128006058421695', '把未妥投邮件分类盛装入袋，放入投递车辆固定位置，待归班后一并交内务员留存。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784708751361', '1565644784708751360', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784708751362', '1565644784708751360', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784708751363', '1565644784708751360', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784708751364', '1565644784708751360', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945664', '1565644784708751365', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945665', '1565644784708751365', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945666', '1565644784708751365', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945667', '1565644784708751365', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945669', '1565644784712945668', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945670', '1565644784712945668', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945671', '1565644784712945668', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784712945672', '1565644784712945668', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784759083008', '1565644784712945673', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784759083009', '1565644784712945673', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784759083010', '1565644784712945673', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784759083011', '1565644784712945673', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277312', '1565644784759083012', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277313', '1565644784759083012', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277314', '1565644784759083012', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277315', '1565644784759083012', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277318', '1565644784763277317', '今天是不是没有了？', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277319', '1565644784763277317', '今天是不是没有了？', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277320', '1565644784763277317', '今天是不是没有了？', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1565644784763277321', '1565644784763277317', '今天是不是没有了？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1566959432737361920', '1566959432712196096', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1566959432737361921', '1566959432712196096', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1566959432737361922', '1566959432712196096', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1566959432737361923', '1566959432712196096', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660992', '1567076369047883776', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660993', '1567076369047883776', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660994', '1567076369047883776', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660995', '1567076369047883776', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660997', '1567076369064660996', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660998', '1567076369064660996', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064660999', '1567076369064660996', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567076369064661000', '1567076369064660996', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306380783617', '1567765306380783616', '{\"value\":\"选择A\"}', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977920', '1567765306380783616', '{\"value\":\"选择B\"}', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977921', '1567765306380783616', '{\"value\":\"选择C\"}', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977922', '1567765306380783616', '{\"value\":\"选择D\"}', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977924', '1567765306384977923', '{\"value\":\"选择A\"}', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977925', '1567765306384977923', '{\"value\":\"选择B\"}', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977926', '1567765306384977923', '{\"value\":\"选择C\"}', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977927', '1567765306384977923', '{\"value\":\"选择D\"}', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977929', '1567765306384977928', '{\"value\":\"选择A\"}', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977930', '1567765306384977928', '{\"value\":\"选择B\"}', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977931', '1567765306384977928', '{\"value\":\"选择C\"}', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977932', '1567765306384977928', '{\"value\":\"选择D\"}', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977934', '1567765306384977933', '{\"value\":\"测试A\"}', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977935', '1567765306384977933', '{\"value\":\"测试B\"}', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977936', '1567765306384977933', '{\"value\":\"测试C\"}', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306384977937', '1567765306384977933', '{\"value\":\"测试D\"}', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306389172225', '1567765306389172224', '{\"value\":\"测试A\"}', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306389172226', '1567765306389172224', '{\"value\":\"测试B\"}', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306389172227', '1567765306389172224', '{\"value\":\"测试C\"}', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306389172228', '1567765306389172224', '{\"value\":\"测试D\"}', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306397560832', '1567765306389172230', '{\"value\":\"今天是不是没有了？\"}', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306397560833', '1567765306389172230', '{\"value\":\"今天是不是没有了？\"}', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306397560834', '1567765306389172230', '{\"value\":\"今天是不是没有了？\"}', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567765306397560835', '1567765306389172230', '{\"value\":\"今天是不是没有了？\"}', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277821079554', '1567805277821079553', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277821079555', '1567805277821079553', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277821079556', '1567805277821079553', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277821079557', '1567805277821079553', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273856', '1567805277821079558', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273857', '1567805277821079558', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273858', '1567805277821079558', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273859', '1567805277821079558', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273861', '1567805277825273860', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273862', '1567805277825273860', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273863', '1567805277825273860', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273864', '1567805277825273860', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273866', '1567805277825273865', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273867', '1567805277825273865', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273868', '1567805277825273865', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273869', '1567805277825273865', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273871', '1567805277825273870', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273872', '1567805277825273870', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273873', '1567805277825273870', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277825273874', '1567805277825273870', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277829468161', '1567805277829468160', '今天是不是没有了？', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277829468162', '1567805277829468160', '今天是不是没有了？', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277829468163', '1567805277829468160', '今天是不是没有了？', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1567805277829468164', '1567805277829468160', '今天是不是没有了？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113152', '1575321969795141632', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113153', '1575321969795141632', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113154', '1575321969795141632', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113155', '1575321969795141632', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113157', '1575321969816113156', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113158', '1575321969816113156', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113159', '1575321969816113156', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113160', '1575321969816113156', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113162', '1575321969816113161', '今天是不是没有了？', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113163', '1575321969816113161', '今天是不是没有了？', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113164', '1575321969816113161', '今天是不是没有了？', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113165', '1575321969816113161', '今天是不是没有了？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113167', '1575321969816113166', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113168', '1575321969816113166', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113169', '1575321969816113166', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969816113170', '1575321969816113166', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969820307457', '1575321969820307456', '测试A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969820307458', '1575321969820307456', '测试B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969820307459', '1575321969820307456', '测试C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969820307460', '1575321969820307456', '测试D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501760', '1575321969820307461', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501761', '1575321969820307461', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501762', '1575321969820307461', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501763', '1575321969820307461', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501765', '1575321969824501764', '选择A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501766', '1575321969824501764', '选择B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501767', '1575321969824501764', '选择C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501768', '1575321969824501764', '选择D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501770', '1575321969824501769', 'A', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501771', '1575321969824501769', 'B', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501772', '1575321969824501769', 'C', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575321969824501773', '1575321969824501769', 'D', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663936', '1575382895177109504', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663937', '1575382895177109504', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663938', '1575382895177109504', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663939', '1575382895177109504', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663941', '1575382895210663940', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663942', '1575382895210663940', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663943', '1575382895210663940', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575382895210663944', '1575382895210663940', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849281', '1575404402074849280', '醒 雷 澡', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849282', '1575404402074849280', ' 枝 软  枝 ', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849283', '1575404402074849280', '软 梳 ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849284', '1575404402074849280', '梢 耍', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849286', '1575404402074849285', '全 奇 ', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849287', '1575404402074849285', '妙 却 精 赛 ', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849288', '1575404402074849285', '关 掉 ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849289', '1575404402074849285', '完 换 员 ', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849291', '1575404402074849290', ' 聪 活 ', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849292', '1575404402074849290', '泼 忽 然', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849293', '1575404402074849290', ' 眨 如 总', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849294', '1575404402074849290', ' 以 主 意', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849296', '1575404402074849295', '所 牧 ', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849297', '1575404402074849295', '捕 蝉 闭 立', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849298', '1575404402074849295', ' 池 惜 阴 ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1575404402074849299', '1575404402074849295', '晴 柔 露', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484032', '1596801144636706816', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484033', '1596801144636706816', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484034', '1596801144636706816', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484035', '1596801144636706816', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484037', '1596801144653484036', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484038', '1596801144653484036', '22', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484039', '1596801144653484036', '222', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484040', '1596801144653484036', '2222', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484042', '1596801144653484041', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484043', '1596801144653484041', '33', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484044', '1596801144653484041', '333', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1596801144653484045', '1596801144653484041', '333', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963968', '1636288685718769666', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963969', '1636288685718769666', '332', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963970', '1636288685718769666', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963971', '1636288685718769666', '12313', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963973', '1636288685722963972', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963974', '1636288685722963972', '1', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963975', '1636288685722963972', '3333', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963976', '1636288685722963972', '3333', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963978', '1636288685722963977', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963979', '1636288685722963977', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963980', '1636288685722963977', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963981', '1636288685722963977', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963983', '1636288685722963982', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963984', '1636288685722963982', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963985', '1636288685722963982', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963986', '1636288685722963982', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963988', '1636288685722963987', '11', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963989', '1636288685722963987', '22', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963990', '1636288685722963987', '33', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636288685722963991', '1636288685722963987', '44', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151940', '1636289052586151939', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151941', '1636289052586151939', '332', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151942', '1636289052586151939', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151943', '1636289052586151939', '12313', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151945', '1636289052586151944', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151946', '1636289052586151944', '1', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151947', '1636289052586151944', '3333', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151948', '1636289052586151944', '3333', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151950', '1636289052586151949', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151951', '1636289052586151949', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151952', '1636289052586151949', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151953', '1636289052586151949', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151955', '1636289052586151954', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151956', '1636289052586151954', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151957', '1636289052586151954', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052586151958', '1636289052586151954', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052594540544', '1636289052586151959', '11', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052594540545', '1636289052586151959', '22', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052594540546', '1636289052586151959', '33', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1636289052594540547', '1636289052586151959', '44', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702659', '1637627037365702658', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702660', '1637627037365702658', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702661', '1637627037365702658', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702662', '1637627037365702658', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702664', '1637627037365702663', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702665', '1637627037365702663', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702666', '1637627037365702663', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702667', '1637627037365702663', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702669', '1637627037365702668', '11', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702670', '1637627037365702668', '22', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702671', '1637627037365702668', '33', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1637627037365702672', '1637627037365702668', '44', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852544', '1668934407978881024', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852545', '1668934407978881024', '40', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852546', '1668934407978881024', '50', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852547', '1668934407978881024', '60', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852549', '1668934407999852548', '60、150', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852550', '1668934407999852548', '80、150', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852551', '1668934407999852548', '150、300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852552', '1668934407999852548', '120、300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852554', '1668934407999852553', '重量≤20千克', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852555', '1668934407999852553', '重量≤30千克', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852556', '1668934407999852553', '重量≤40千克', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852557', '1668934407999852553', '重量≤50千克', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852559', '1668934407999852558', '投递桌、分拣格口、批信台等摆放整齐，无个人物品', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852560', '1668934407999852558', 'PDA充电座、电源插座、线路等摆放有序', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852561', '1668934407999852558', '电动车、摩托车等生产车辆整洁，停放有序', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852562', '1668934407999852558', '揽投员与内部处理人员严格执行点数或扫描交接制度，验视邮件封装及规格质量，操作手续规范', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852564', '1668934407999852563', '一般问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852565', '1668934407999852563', '较大问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852566', '1668934407999852563', '严重问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852567', '1668934407999852563', '重大问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852569', '1668934407999852568', '一线操作', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852570', '1668934407999852568', '生产机构负责人', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852571', '1668934407999852568', '检查岗位人员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852572', '1668934407999852568', '管理人员', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852573', '1668934407999852568', '领导人员', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852574', '1668934407999852568', '市分公司', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852575', '1668934407999852568', '县分公司', '6');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852577', '1668934407999852576', '约谈', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852578', '1668934407999852576', '批评教育', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852579', '1668934407999852576', '责令改正', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852580', '1668934407999852576', '经济处理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852582', '1668934407999852581', '当天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852583', '1668934407999852581', '当班', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852584', '1668934407999852581', '下一班次', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852585', '1668934407999852581', '2个工作日内', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852587', '1668934407999852586', '50、10、5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852588', '1668934407999852586', '50、20、5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852589', '1668934407999852586', '60、10、5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934407999852590', '1668934407999852586', '50、10、10', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408004046848', '1668934407999852591', '6、255', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408004046849', '1668934407999852591', '6、254', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408004046850', '1668934407999852591', '5、255', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408004046851', '1668934407999852591', '5、254', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241152', '1668934408004046861', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241153', '1668934408004046861', '60', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241154', '1668934408004046861', '90', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241155', '1668934408004046861', '120', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241157', '1668934408008241156', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241158', '1668934408008241156', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241159', '1668934408008241156', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241160', '1668934408008241156', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241162', '1668934408008241161', '1,2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241163', '1668934408008241161', '2,2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241164', '1668934408008241161', '2,4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241165', '1668934408008241161', '4,4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241167', '1668934408008241166', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241168', '1668934408008241166', '8', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241169', '1668934408008241166', '10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241170', '1668934408008241166', '12', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241172', '1668934408008241171', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241173', '1668934408008241171', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241174', '1668934408008241171', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241175', '1668934408008241171', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241182', '1668934408008241181', '邮政营业、投递', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241183', '1668934408008241181', '邮政营业、金融', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241184', '1668934408008241181', '投递、金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241185', '1668934408008241181', '投递、集邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241187', '1668934408008241186', '部门领导工号', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241188', '1668934408008241186', '检查方案的组长', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241189', '1668934408008241186', '参与检查的组员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241190', '1668934408008241186', '任何人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241192', '1668934408008241191', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241193', '1668934408008241191', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241194', '1668934408008241191', '任何人', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241195', '1668934408008241191', '部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241197', '1668934408008241196', '8个', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241198', '1668934408008241196', '18个', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241199', '1668934408008241196', '20个', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241200', '1668934408008241196', '22个', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241202', '1668934408008241201', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241203', '1668934408008241201', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241204', '1668934408008241201', '被查单位部门领导工号', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241205', '1668934408008241201', '检查单位部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241207', '1668934408008241206', '0.98', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241208', '1668934408008241206', '0.99', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241209', '1668934408008241206', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241210', '1668934408008241206', '0.95', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241212', '1668934408008241211', '1，4', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241213', '1668934408008241211', '2，4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241214', '1668934408008241211', '2，6', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241215', '1668934408008241211', '1, 5', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241217', '1668934408008241216', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241218', '1668934408008241216', '6', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241219', '1668934408008241216', '4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241220', '1668934408008241216', '7', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241222', '1668934408008241221', '选择检查模板', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241223', '1668934408008241221', '到位确认', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241224', '1668934408008241221', '完成确认', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241225', '1668934408008241221', '以上三个选项都不正确', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241227', '1668934408008241226', '100%，100%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241228', '1668934408008241226', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241229', '1668934408008241226', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241230', '1668934408008241226', '99%，95%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241232', '1668934408008241231', '95%、95%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241233', '1668934408008241231', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241234', '1668934408008241231', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241235', '1668934408008241231', '100%，100%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241237', '1668934408008241236', '定位', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241238', '1668934408008241236', '拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241239', '1668934408008241236', '录入', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241240', '1668934408008241236', '签字', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241242', '1668934408008241241', '1000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241243', '1668934408008241241', '100', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241244', '1668934408008241241', '500', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241245', '1668934408008241241', '2000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241249', '1668934408008241248', '邮政营业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241250', '1668934408008241248', '投递', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241251', '1668934408008241248', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241252', '1668934408008241248', '乡邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241254', '1668934408008241253', '乡邮', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241255', '1668934408008241253', '邮政营业', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241256', '1668934408008241253', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241257', '1668934408008241253', '投递', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241259', '1668934408008241258', '局名牌', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241260', '1668934408008241258', '店招', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241261', '1668934408008241258', '服务监督电话', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241262', '1668934408008241258', '信（筒）箱', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241264', '1668934408008241263', '检查组组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241265', '1668934408008241263', '检查组成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241266', '1668934408008241263', '部门领导', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241267', '1668934408008241263', '分管领导', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241269', '1668934408008241268', '0条问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241270', '1668934408008241268', '1条问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241271', '1668934408008241268', '2条问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241272', '1668934408008241268', '3条问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241274', '1668934408008241273', '预订预收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241275', '1668934408008241273', '现金交易', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241276', '1668934408008241273', '货款两清', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241278', '1668934408008241277', '报刊订销系统', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241279', '1668934408008241277', '新一代寄递系统', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241280', '1668934408008241277', '中国邮政书报刊供应链信息系统', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241282', '1668934408008241281', '0.25', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241283', '1668934408008241281', '0.35', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241284', '1668934408008241281', '0.15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241286', '1668934408008241285', '24小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241287', '1668934408008241285', '48小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241288', '1668934408008241285', '72小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241290', '1668934408008241289', '总包信息接收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241291', '1668934408008241289', '党报党刊当日见报', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241292', '1668934408008241289', '缺报少刊', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241293', '1668934408008241289', '投递频次', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241300', '1668934408008241299', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241301', '1668934408008241299', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241302', '1668934408008241299', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241303', '1668934408008241299', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241305', '1668934408008241304', '一，六', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241306', '1668934408008241304', '二，六', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241307', '1668934408008241304', '一，十二', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241308', '1668934408008241304', '二，十二', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241310', '1668934408008241309', '1.2元', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241311', '1668934408008241309', '3.8元', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241312', '1668934408008241309', '4.8元', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241313', '1668934408008241309', '6元', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241315', '1668934408008241314', '上传表头数据', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241316', '1668934408008241314', '录入邮件数量', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241317', '1668934408008241314', '录入收款金额', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241318', '1668934408008241314', '填制营业日报', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241325', '1668934408008241324', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241326', '1668934408008241324', '20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241327', '1668934408008241324', '40', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241328', '1668934408008241324', '50', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241330', '1668934408008241329', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241331', '1668934408008241329', '80cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241332', '1668934408008241329', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241333', '1668934408008241329', '150cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241335', '1668934408008241334', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241336', '1668934408008241334', '60cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241337', '1668934408008241334', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241338', '1668934408008241334', '120cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241340', '1668934408008241339', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241341', '1668934408008241339', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241342', '1668934408008241339', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241343', '1668934408008241339', '11', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241345', '1668934408008241344', '信函', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241346', '1668934408008241344', '违禁邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241347', '1668934408008241344', '异形件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241348', '1668934408008241344', '轻小件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241355', '1668934408008241354', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241356', '1668934408008241354', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241357', '1668934408008241354', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241358', '1668934408008241354', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241360', '1668934408008241359', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241361', '1668934408008241359', '5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241362', '1668934408008241359', '7', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241363', '1668934408008241359', '9', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241365', '1668934408008241364', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241366', '1668934408008241364', '1.2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241367', '1668934408008241364', '1.5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241368', '1668934408008241364', '2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241370', '1668934408008241369', '统签', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241371', '1668934408008241369', '省签', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241372', '1668934408008241369', '省签区域运作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241373', '1668934408008241369', '市签', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241375', '1668934408008241374', '3天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241376', '1668934408008241374', '3个工作日', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241377', '1668934408008241374', '5天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241378', '1668934408008241374', '5个工作日', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241385', '1668934408008241384', '擅自停办、限办规定业务；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241386', '1668934408008241384', '未做到满时服务；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241387', '1668934408008241384', '未执行收寄验视和实名收寄制度；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241388', '1668934408008241384', '现金收款', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241390', '1668934408008241389', '500', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241391', '1668934408008241389', '800', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241392', '1668934408008241389', '1000', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241393', '1668934408008241389', '1500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241395', '1668934408008241394', '重量', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241396', '1668934408008241394', '单据', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241397', '1668934408008241394', '件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241398', '1668934408008241394', '数量', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241400', '1668934408008241399', '半年', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241401', '1668934408008241399', '一年', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241402', '1668934408008241399', '90天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241403', '1668934408008241399', '180天', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241405', '1668934408008241404', '烈士遗物', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241406', '1668934408008241404', '上缴的无着邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241407', '1668934408008241404', '法院证明', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241408', '1668934408008241404', '单位正确账单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241410', '1668934408008241409', '100', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241411', '1668934408008241409', '200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241412', '1668934408008241409', '300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241413', '1668934408008241409', '500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241415', '1668934408008241414', '予以办理业务', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241416', '1668934408008241414', '不予办理业务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241417', '1668934408008241414', '催促用户抓紧离开', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241418', '1668934408008241414', '不予办理后督促离开', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241420', '1668934408008241419', '前日缴款', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241421', '1668934408008241419', '当日缴款', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241422', '1668934408008241419', '路单', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241423', '1668934408008241419', '清单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241425', '1668934408008241424', '三个月', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241426', '1668934408008241424', '六个月', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241427', '1668934408008241424', '九个月', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241428', '1668934408008241424', '十二个月', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241430', '1668934408008241429', '一公里', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241431', '1668934408008241429', '二公里', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241432', '1668934408008241429', '三公里', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241433', '1668934408008241429', '四公里', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241435', '1668934408008241434', '当班收寄未出口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241436', '1668934408008241434', '当班收寄已出口', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241437', '1668934408008241434', '隔天未确定', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241438', '1668934408008241434', '隔天已确定', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241440', '1668934408008241439', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241441', '1668934408008241439', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241442', '1668934408008241439', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241443', '1668934408008241439', '6', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241445', '1668934408008241444', '打开检查!', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241446', '1668934408008241444', '请协助我们工作，打开您的邮件，谢谢合作', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241447', '1668934408008241444', '拆开，都拿出来！', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241448', '1668934408008241444', '让你拿出来听见没有？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241450', '1668934408008241449', '正确不起，请到XX号柜台办理（同时用手势引导正确方向）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241451', '1668934408008241449', '我这儿不能办', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241452', '1668934408008241449', '该找谁找谁去', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241453', '1668934408008241449', '去隔壁办理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241455', '1668934408008241454', '拆了，重新包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241456', '1668934408008241454', '不能寄就是不能寄', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241457', '1668934408008241454', '正确不起，为了邮件安全，您的包裹需要重新封装，我们可以协助你', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408008241458', '1668934408008241454', '封装好了再来寄', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435471', '1668934408012435470', '一条', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435472', '1668934408012435470', '二条', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435473', '1668934408012435470', '二条400支', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435474', '1668934408012435470', '200支', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435476', '1668934408012435475', '1-5区，长*宽*高/6000，6-7区，长*宽*高/5000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435477', '1668934408012435475', '1-5区，长*宽*高/8000，6-7区，长*宽*高/4000', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435478', '1668934408012435475', '1-5区，长*宽*高/6000，6-7区，长*宽*高/4000  ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435479', '1668934408012435475', '1-5区，长*宽*高/8000，6-7区，长*宽*高/5000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435481', '1668934408012435480', '100，200', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435482', '1668934408012435480', '150，200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435483', '1668934408012435480', '100，300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435484', '1668934408012435480', '150，300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435486', '1668934408012435485', '特惠', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435487', '1668934408012435485', '增值服务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435488', '1668934408012435485', '保价', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435489', '1668934408012435485', '特安', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435491', '1668934408012435490', '五日三投', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435492', '1668934408012435490', '三日两投', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435493', '1668934408012435490', '五日两投', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435494', '1668934408012435490', '三日三投', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435501', '1668934408012435500', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435502', '1668934408012435500', '7', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435503', '1668934408012435500', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435504', '1668934408012435500', '3', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435506', '1668934408012435505', '邮政企业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435507', '1668934408012435505', '人民法院', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435508', '1668934408012435505', '政府管理部门', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435509', '1668934408012435505', '仲裁委员会', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435511', '1668934408012435510', '≤万分之15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435512', '1668934408012435510', '≤万分之14', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435513', '1668934408012435510', '≤万分之10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435514', '1668934408012435510', '≤万分之8', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435516', '1668934408012435515', '集团公司统一客服电话11185', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435517', '1668934408012435515', '11183', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435518', '1668934408012435515', '95580', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435519', '1668934408012435515', '国家邮政局申诉网站', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435521', '1668934408012435520', '≥90%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435522', '1668934408012435520', '≤百万分之1.4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435523', '1668934408012435520', '≥91% ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435524', '1668934408012435520', '≤百万分之2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435531', '1668934408012435530', '每日进行生产车间特快、快包处理量的数据分析', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435532', '1668934408012435530', '每周进行生产车间特快、快包外包结算量数据分析', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435533', '1668934408012435530', '每月做好班组质量分析会内容的传达落实，落实存在问题的整改工作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435534', '1668934408012435530', '每月进行特快、快包损益核算分析和生产耗材成本管控', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435536', '1668934408012435535', '10-15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435537', '1668934408012435535', '15-20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435538', '1668934408012435535', '8-10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435539', '1668934408012435535', '20-25', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435541', '1668934408012435540', '60袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435542', '1668934408012435540', '50袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435543', '1668934408012435540', '40袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435544', '1668934408012435540', '70袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435546', '1668934408012435545', '50袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435547', '1668934408012435545', '40袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435548', '1668934408012435545', '60袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435549', '1668934408012435545', '30袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435551', '1668934408012435550', '700袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435552', '1668934408012435550', '500袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435553', '1668934408012435550', '450袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435554', '1668934408012435550', '400袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435556', '1668934408012435555', '生产主管（大班长）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435557', '1668934408012435555', '质量检查员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435558', '1668934408012435555', '接发员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435559', '1668934408012435555', '网格长', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435561', '1668934408012435560', '异形件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435562', '1668934408012435560', '低效轻泡件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435563', '1668934408012435560', '刷单件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435564', '1668934408012435560', '电子产品邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435566', '1668934408012435565', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435567', '1668934408012435565', '45', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435568', '1668934408012435565', '60', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435569', '1668934408012435565', '90', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435571', '1668934408012435570', '班结清场工作要覆盖所有接发垛口及停靠车辆、处理中心内所有场地、所有设备，清查车辆内、生产场地内、生产设备上停留和遗漏的未处理邮件及总包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435572', '1668934408012435570', '水湿油污、破损、禁限寄、安检不合格、邮件损毁等特殊问题件直接发至下一环节，无需登记拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435573', '1668934408012435570', '班结清场时要做到当班次接卸邮件全部卸车完毕，所有卸车邮件全部扫描完毕', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435574', '1668934408012435570', '做完班结清场后在新一代系统进行班结操作，班结清场次数与处理中心新一代寄递平台班次结束次数保持一致', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435576', '1668934408012435575', '从旁边空闲垛口跳下，捡拾邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435577', '1668934408012435575', '等封车离垛后，再跳下垛口捡拾邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435578', '1668934408012435575', '等班结清场后，统一处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435579', '1668934408012435575', '车辆离开垛口后，在封车前，将掉落邮件装车，确保信实相符', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435581', '1668934408012435580', '驾驶员可以自行倒车停到指定垛口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435582', '1668934408012435580', '若遇车厢漏雨，需立即打开车门处理邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435583', '1668934408012435580', '检查车厢无异常，检查车辆后门、侧门能不能打开，若能打开，按异常情况处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435584', '1668934408012435580', '检查车锁、车封是否完整无破损，若有问题，登记记录即可进行下一步操作', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435586', '1668934408012435585', '粘贴可以歪斜', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435587', '1668934408012435585', '可粘贴在透明窗以外的范围', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435588', '1668934408012435585', '新旧袋牌错误位粘贴，露出多个条码', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435589', '1668934408012435585', '以上均错误误', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435591', '1668934408012435590', '及时交问题邮件台席处理', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435592', '1668934408012435590', '先放一边，等有时间再研究', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435593', '1668934408012435590', '主观臆断，随便分拣至某一路向', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435594', '1668934408012435590', '自己电话核实收寄件人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435596', '1668934408012435595', '上方', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435597', '1668934408012435595', '侧方', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435598', '1668934408012435595', '后方', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435599', '1668934408012435595', '无特定方位', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435601', '1668934408012435600', '解车，检查车封，卸载邮件，分剔，卸车完毕', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435602', '1668934408012435600', '检查车封，解车，卸载邮件，分剔，卸车完毕', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435603', '1668934408012435600', '解车，检查车封，卸载邮件，卸车完毕，分剔', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435604', '1668934408012435600', '检查车封，解车，卸载邮件，卸车完毕，分剔', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435621', '1668934408012435620', '市趟解车', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435622', '1668934408012435620', '邮件卸车', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435623', '1668934408012435620', '稽核扫描', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435624', '1668934408012435620', '道段分拣', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435626', '1668934408012435625', '正确一频次进口市趟车辆在揽投员上班时点前到达揽投部的，揽投部要安排内务员和揽投员分组轮班，提前到岗接卸邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435627', '1668934408012435625', '正确一频次进口市趟车辆在揽投员上班时点后到达揽投部的，内务员和揽投员全体参与接卸邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435628', '1668934408012435625', '正确二频次及以后进口的市趟车辆，揽投部要安排内务员和部分揽投员（实行网格化作业的，每个网格安排1-2名揽投员）归班共同接卸邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435629', '1668934408012435625', '趟车接卸要做到“一车一清”。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435631', '1668934408012435630', '正确系统提示带有“稽核扫描标识”的高考录取通知书、云艺考、特安等重点邮件必须逐件进行稽核扫描。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435632', '1668934408012435630', '稽核扫描分为二码合一稽核扫描和总包邮件稽核扫描，由内务员单独在视频监控范围内的分拣区进行邮件稽核扫描。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435633', '1668934408012435630', '顶扫设备或道段自动分拣机的扫描勾核等同PDA稽核扫描。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435635', '1668934408012435634', '优先根据面单上四段码分拣邮件；若面单上无四段码，使用中邮揽投APP辅助下段功能进行分拣；或根据收件人具体地址信息进行分拣。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435636', '1668934408012435634', '遵循轻拿轻放、大不压小、重不压轻的操作原则，禁止出现抛、摔、踩、踢、坐等任何损害邮件的行为。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435637', '1668934408012435634', '正确于较重或体积较大的物品类邮件，在邮件分拣时与其它物品类邮件区别分拣。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435638', '1668934408012435634', '全部分拣完毕，巡视工作现场，看有无漏分、遗落的邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435640', '1668934408012435639', '整理异常邮件实物：正确水湿、油污、破损等异常邮件进行复秤、拍照、封装处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435641', '1668934408012435639', '系统及时登记发验：揽投员根据异常邮件情况在系统登记正确应选项并提交，内务员审核后及时发验。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435642', '1668934408012435639', '分类处理投递：轻微破损但重量相符的邮件按址投递；严重破损、水湿、油污等不宜按址投递的邮件，电话通知收件人到揽投部领取，如收件人要求按址投递的，安排揽投员按址投递。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435644', '1668934408012435643', '一件多单的邮件，根据核查结果，划销多余详情单。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435645', '1668934408012435643', '详情单脱落、破损无法辩识的邮件，确认邮件信息后，补打详情单并粘贴覆盖原详情单。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435646', '1668934408012435643', '邮件信息与详情单不符的邮件，电话联系收寄部门进行信息确认，确认后及时投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435647', '1668934408012435643', '详情单批注代收到付金额和系统要求代收到付金额不符时，在新一代系统“代收异常提交”界面填写相关情况，并正确邮件和详情单拍照举证后提交处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435649', '1668934408012435648', '正确上一频次未妥投邮件中符合当频投递要求的，与当频进口邮件一同下段扫描，带出投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435650', '1668934408012435648', '内务员将再投邮件从留存邮件存放区取出。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435651', '1668934408012435648', '内务员与揽投员正确留存邮件进行点数交接后，揽投员及时投递邮件。出库信息根据揽投员下段扫描动作自动生成。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435653', '1668934408012435652', '正确分拣完成邮件，揽投员使用PDA“下段扫描”功能进行下段扫码操作，如遇特殊邮件系统弹出提示框，需按提示的要求进行处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435654', '1668934408012435652', '投交自提点且需打印清单的邮件，选择“自提点名称”，将该自提点的邮件逐件扫描下段；内务员按自提点打印清单，打印后将清单交给揽投员。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435655', '1668934408012435652', '确认下段完成后，系统自动跳转到投递清单界面，展示所有下段邮件的详细信息，正确下段邮件进行核正确，核正确无误后返回。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435656', '1668934408012435652', '揽投员要避免漏扫当频本段邮件，错误段邮件需及时交所属道段揽投员下段或交内务员处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435658', '1668934408012435657', '正确皮带机、分拣机、分拣格架设备底部、缝隙等处检查有无遗漏邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435659', '1668934408012435657', '正确台席桌面、格口等检查有无遗漏邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435660', '1668934408012435657', '正确处理场地地面角落等检查有无遗漏邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435661', '1668934408012435657', '如清理现场时发现揽投员有遗漏邮件，要立即通知揽投员折返取回，及时进行投递。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435663', '1668934408012435662', '特快邮件必须按照邮件详情单上的收件人具体地址投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435664', '1668934408012435662', '如收件人不在收件地址时，揽投员必须“预约投递”功能电话联系收件人，征得收件人同意后，才可将邮件投放至包裹柜、自提点，同时要提醒收件人及时领取邮件；通话时长不少于 10 秒。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435665', '1668934408012435662', '正确于未妥投的特快邮件，揽投员要电话联系收件人约定再投时间，并按约定时间上门投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435667', '1668934408012435666', '要确保邮件当频进口，当频完成投递。如遇趟车晚点，正确于居民小区等可投递区域，要组织小夜班确保邮件当日妥投。正确“极速鲜”邮件，应以外包装是否完好作为签收依据；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435668', '1668934408012435666', '因收件人原因进口当日无法投递的，妥善保管邮件，要将邮件放置到降温保鲜容器或背阴处暂存，防止邮件变质；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435669', '1668934408012435666', '正确节假日进口到投递机构的单位地址的个人“极速鲜”邮件，要在电话预约的基础上，根据收件人要求，提供同城改址投递服务，及时转发邮件，不得随意留存处理。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435670', '1668934408012435666', '如收件人提出开箱验货服务，揽投员应予以配合；开箱验货时发现短少、部分损毁等问题，应现场拍照留证，主动与源头项目组联系，并按项目组意见进行相应处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435672', '1668934408012435671', '在揽投员完成邮件下段操作后，系统自动触发短信，将密码短信实时发送至收件人手机。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435673', '1668934408012435671', '投递时，揽投员要请收件人提供短信密码，在手持智能终端录入短信密码病确认提交后，完成邮件妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435674', '1668934408012435671', '密码投递邮件的存局自取，只能凭取件密码取件，不能凭身份证号或手机号取件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435675', '1668934408012435671', '出现收件人误删短信的，揽投员在手持智能终端的短信密码输入界面点击“重发短信”，向收件人重新发送短信密码。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435677', '1668934408012435676', '正确“整投”的一票多件邮件，做下段操作时，揽投员须扫描所有主件、子件条码后，方可完成下段操作。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435678', '1668934408012435676', '投递员下段后，按址上门投递，收件人需逐件进行签收，逐件在详情单签收栏签字。收件人拒收或部分拒收的邮件，逐件注明原因退回。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435679', '1668934408012435676', '投交一票多件邮件时，投递员在核正确投交一票多件的全部邮件后，全票统一进行投递信息反馈。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435680', '1668934408012435676', '收寄机构正确特快专递可在系统中配置是否允许“拆投”，快递包裹无系统配置“拆投\"功能，如收件人要求“拆投”邮件，投递机构可根据用户要求，直接拆投邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435682', '1668934408012435681', '要电话联系收件人，按收件人地址进行投递。严格按封套上的VIP标签提示进行投递。要求必须本人签收的，不得交他人代收。VIP标签未明确要求必须本人签收的，征得收件人本人同意后，可由他人代为签收。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435683', '1668934408012435681', '严禁未经收件人同意将卡函类邮件投递至自提点、智能包裹柜、收发室或交他人代收。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435684', '1668934408012435681', '严禁泄露客户信息，严禁在邮件上张贴广告。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435686', '1668934408012435685', '军队喜报专递邮件应按址投交收件人本人、收件人指定的代收人或单位收发室。投递前必须与收件人电话联系，请收件人提前准备好相关证件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435687', '1668934408012435685', '执行“五日三投”标准，邮件到达各揽投机构5个工作日内，应按照详情单上的收件地址分3天至少投递3次 (按址投递时，收件人拒收的除外)。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435688', '1668934408012435685', '投递时，由收件人本人签收或由收件人指定的代收人签收，并出示身份证件，代收人还应填写与收件人的关系。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435690', '1668934408012435689', '特安邮件要优先投递，做到100%电话预约，要做到当频进口当频妥投。上门投递特安邮件时，需随身携带特安邮件专用封口签，用于拒收退件处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435691', '1668934408012435689', '特安邮件应由收件人本人签收或他人代收，签收时应实名签字，揽投员拍照上传签收联后完成妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435692', '1668934408012435689', '特安邮件投递时，如收件人或代收人提出开箱验货要求，揽投员应主动配合，眼同开箱验货。仅可开拆外包装进行验视及清点内件数量，不可开拆物品内包装。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435693', '1668934408012435689', '正确于无法联系收件人的特安邮件，投递员应按址进行3次试投。试投不成功的特安邮件，由内务员集中存局保管，并与收寄部门联系确定处理方式。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435695', '1668934408012435694', '再投邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435696', '1668934408012435694', '改址邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435697', '1668934408012435694', '退回邮件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435698', '1668934408012435694', '错误分邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435700', '1668934408012435699', '在未妥投邮件上标识“再投”、“转”、“退”字样。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435701', '1668934408012435699', '在系统上选择未妥投原因，提交完成信息反馈。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435702', '1668934408012435699', '揽投员正确当天未妥投的特快专递邮件，必须使用PDA“中邮揽投-预约投递”功能拨打电话，联系收件人约定再投时间。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435703', '1668934408012435699', '把未妥投邮件分类盛装入袋，放入投递车辆固定位置，待归班后一并交内务员留存。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435705', '1668934408012435704', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435706', '1668934408012435704', '40', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435707', '1668934408012435704', '50', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435708', '1668934408012435704', '60', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435710', '1668934408012435709', '60、150', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435711', '1668934408012435709', '80、150', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435712', '1668934408012435709', '150、300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435713', '1668934408012435709', '120、300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435715', '1668934408012435714', '重量≤20千克', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435716', '1668934408012435714', '重量≤30千克', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435717', '1668934408012435714', '重量≤40千克', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435718', '1668934408012435714', '重量≤50千克', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435720', '1668934408012435719', '投递桌、分拣格口、批信台等摆放整齐，无个人物品', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435721', '1668934408012435719', 'PDA充电座、电源插座、线路等摆放有序', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435722', '1668934408012435719', '电动车、摩托车等生产车辆整洁，停放有序', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408012435723', '1668934408012435719', '揽投员与内部处理人员严格执行点数或扫描交接制度，验视邮件封装及规格质量，操作手续规范', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629760', '1668934408012435724', '一般问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629761', '1668934408012435724', '较大问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629762', '1668934408012435724', '严重问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629763', '1668934408012435724', '重大问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629765', '1668934408016629764', '一线操作', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629766', '1668934408016629764', '生产机构负责人', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629767', '1668934408016629764', '检查岗位人员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629768', '1668934408016629764', '管理人员', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629769', '1668934408016629764', '领导人员', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629770', '1668934408016629764', '市分公司', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629771', '1668934408016629764', '县分公司', '6');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629773', '1668934408016629772', '约谈', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629774', '1668934408016629772', '批评教育', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629775', '1668934408016629772', '责令改正', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629776', '1668934408016629772', '经济处理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629778', '1668934408016629777', '当天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629779', '1668934408016629777', '当班', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629780', '1668934408016629777', '下一班次', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629781', '1668934408016629777', '2个工作日内', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629783', '1668934408016629782', '50、10、5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629784', '1668934408016629782', '50、20、5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629785', '1668934408016629782', '60、10、5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629786', '1668934408016629782', '50、10、10', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629788', '1668934408016629787', '6、255', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629789', '1668934408016629787', '6、254', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629790', '1668934408016629787', '5、255', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629791', '1668934408016629787', '5、254', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629802', '1668934408016629801', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629803', '1668934408016629801', '60', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629804', '1668934408016629801', '90', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629805', '1668934408016629801', '120', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629807', '1668934408016629806', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629808', '1668934408016629806', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629809', '1668934408016629806', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629810', '1668934408016629806', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629812', '1668934408016629811', '1,2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629813', '1668934408016629811', '2,2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629814', '1668934408016629811', '2,4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629815', '1668934408016629811', '4,4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629817', '1668934408016629816', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629818', '1668934408016629816', '8', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629819', '1668934408016629816', '10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629820', '1668934408016629816', '12', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629822', '1668934408016629821', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629823', '1668934408016629821', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629824', '1668934408016629821', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629825', '1668934408016629821', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629832', '1668934408016629831', '邮政营业、投递', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629833', '1668934408016629831', '邮政营业、金融', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629834', '1668934408016629831', '投递、金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629835', '1668934408016629831', '投递、集邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629837', '1668934408016629836', '部门领导工号', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629838', '1668934408016629836', '检查方案的组长', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629839', '1668934408016629836', '参与检查的组员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629840', '1668934408016629836', '任何人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629842', '1668934408016629841', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629843', '1668934408016629841', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629844', '1668934408016629841', '任何人', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629845', '1668934408016629841', '部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629847', '1668934408016629846', '8个', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629848', '1668934408016629846', '18个', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629849', '1668934408016629846', '20个', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629850', '1668934408016629846', '22个', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629852', '1668934408016629851', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629853', '1668934408016629851', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629854', '1668934408016629851', '被查单位部门领导工号', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629855', '1668934408016629851', '检查单位部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629857', '1668934408016629856', '0.98', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629858', '1668934408016629856', '0.99', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629859', '1668934408016629856', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629860', '1668934408016629856', '0.95', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629862', '1668934408016629861', '1，4', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629863', '1668934408016629861', '2，4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629864', '1668934408016629861', '2，6', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629865', '1668934408016629861', '1, 5', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629867', '1668934408016629866', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629868', '1668934408016629866', '6', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629869', '1668934408016629866', '4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629870', '1668934408016629866', '7', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629872', '1668934408016629871', '选择检查模板', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629873', '1668934408016629871', '到位确认', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629874', '1668934408016629871', '完成确认', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629875', '1668934408016629871', '以上三个选项都不正确', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629877', '1668934408016629876', '100%，100%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629878', '1668934408016629876', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629879', '1668934408016629876', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629880', '1668934408016629876', '99%，95%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629882', '1668934408016629881', '95%、95%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629883', '1668934408016629881', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629884', '1668934408016629881', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629885', '1668934408016629881', '100%，100%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629887', '1668934408016629886', '定位', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629888', '1668934408016629886', '拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629889', '1668934408016629886', '录入', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629890', '1668934408016629886', '签字', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629892', '1668934408016629891', '1000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629893', '1668934408016629891', '100', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629894', '1668934408016629891', '500', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629895', '1668934408016629891', '2000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629899', '1668934408016629898', '邮政营业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629900', '1668934408016629898', '投递', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629901', '1668934408016629898', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629902', '1668934408016629898', '乡邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629904', '1668934408016629903', '乡邮', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629905', '1668934408016629903', '邮政营业', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629906', '1668934408016629903', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629907', '1668934408016629903', '投递', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629909', '1668934408016629908', '局名牌', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629910', '1668934408016629908', '店招', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629911', '1668934408016629908', '服务监督电话', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629912', '1668934408016629908', '信（筒）箱', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629914', '1668934408016629913', '检查组组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629915', '1668934408016629913', '检查组成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629916', '1668934408016629913', '部门领导', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629917', '1668934408016629913', '分管领导', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629919', '1668934408016629918', '0条问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629920', '1668934408016629918', '1条问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629921', '1668934408016629918', '2条问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629922', '1668934408016629918', '3条问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629924', '1668934408016629923', '预订预收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629925', '1668934408016629923', '现金交易', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629926', '1668934408016629923', '货款两清', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629928', '1668934408016629927', '报刊订销系统', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629929', '1668934408016629927', '新一代寄递系统', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629930', '1668934408016629927', '中国邮政书报刊供应链信息系统', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629932', '1668934408016629931', '0.25', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629933', '1668934408016629931', '0.35', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629934', '1668934408016629931', '0.15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629936', '1668934408016629935', '24小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629937', '1668934408016629935', '48小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629938', '1668934408016629935', '72小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629940', '1668934408016629939', '总包信息接收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629941', '1668934408016629939', '党报党刊当日见报', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629942', '1668934408016629939', '缺报少刊', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629943', '1668934408016629939', '投递频次', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629950', '1668934408016629949', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629951', '1668934408016629949', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629952', '1668934408016629949', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629953', '1668934408016629949', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629955', '1668934408016629954', '一，六', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629956', '1668934408016629954', '二，六', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629957', '1668934408016629954', '一，十二', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629958', '1668934408016629954', '二，十二', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629960', '1668934408016629959', '1.2元', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629961', '1668934408016629959', '3.8元', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629962', '1668934408016629959', '4.8元', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629963', '1668934408016629959', '6元', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629965', '1668934408016629964', '上传表头数据', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629966', '1668934408016629964', '录入邮件数量', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629967', '1668934408016629964', '录入收款金额', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629968', '1668934408016629964', '填制营业日报', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629975', '1668934408016629974', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629976', '1668934408016629974', '20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629977', '1668934408016629974', '40', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629978', '1668934408016629974', '50', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629980', '1668934408016629979', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629981', '1668934408016629979', '80cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629982', '1668934408016629979', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629983', '1668934408016629979', '150cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629985', '1668934408016629984', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629986', '1668934408016629984', '60cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629987', '1668934408016629984', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629988', '1668934408016629984', '120cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629990', '1668934408016629989', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629991', '1668934408016629989', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629992', '1668934408016629989', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629993', '1668934408016629989', '11', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629995', '1668934408016629994', '信函', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629996', '1668934408016629994', '违禁邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629997', '1668934408016629994', '异形件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016629998', '1668934408016629994', '轻小件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630005', '1668934408016630004', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630006', '1668934408016630004', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630007', '1668934408016630004', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630008', '1668934408016630004', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630010', '1668934408016630009', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630011', '1668934408016630009', '5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630012', '1668934408016630009', '7', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630013', '1668934408016630009', '9', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630015', '1668934408016630014', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630016', '1668934408016630014', '1.2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630017', '1668934408016630014', '1.5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630018', '1668934408016630014', '2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630020', '1668934408016630019', '统签', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630021', '1668934408016630019', '省签', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630022', '1668934408016630019', '省签区域运作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630023', '1668934408016630019', '市签', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630025', '1668934408016630024', '3天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630026', '1668934408016630024', '3个工作日', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630027', '1668934408016630024', '5天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630028', '1668934408016630024', '5个工作日', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630035', '1668934408016630034', '擅自停办、限办规定业务；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630036', '1668934408016630034', '未做到满时服务；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630037', '1668934408016630034', '未执行收寄验视和实名收寄制度；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630038', '1668934408016630034', '现金收款', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630040', '1668934408016630039', '500', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630041', '1668934408016630039', '800', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630042', '1668934408016630039', '1000', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630043', '1668934408016630039', '1500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630045', '1668934408016630044', '重量', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630046', '1668934408016630044', '单据', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630047', '1668934408016630044', '件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630048', '1668934408016630044', '数量', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630050', '1668934408016630049', '半年', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630051', '1668934408016630049', '一年', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630052', '1668934408016630049', '90天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630053', '1668934408016630049', '180天', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630055', '1668934408016630054', '烈士遗物', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630056', '1668934408016630054', '上缴的无着邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630057', '1668934408016630054', '法院证明', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630058', '1668934408016630054', '单位正确账单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630060', '1668934408016630059', '100', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630061', '1668934408016630059', '200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630062', '1668934408016630059', '300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630063', '1668934408016630059', '500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630065', '1668934408016630064', '予以办理业务', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630066', '1668934408016630064', '不予办理业务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630067', '1668934408016630064', '催促用户抓紧离开', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630068', '1668934408016630064', '不予办理后督促离开', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630070', '1668934408016630069', '前日缴款', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630071', '1668934408016630069', '当日缴款', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630072', '1668934408016630069', '路单', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630073', '1668934408016630069', '清单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630075', '1668934408016630074', '三个月', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630076', '1668934408016630074', '六个月', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630077', '1668934408016630074', '九个月', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630078', '1668934408016630074', '十二个月', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630080', '1668934408016630079', '一公里', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630081', '1668934408016630079', '二公里', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630082', '1668934408016630079', '三公里', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630083', '1668934408016630079', '四公里', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630085', '1668934408016630084', '当班收寄未出口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630086', '1668934408016630084', '当班收寄已出口', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630087', '1668934408016630084', '隔天未确定', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630088', '1668934408016630084', '隔天已确定', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630090', '1668934408016630089', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630091', '1668934408016630089', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630092', '1668934408016630089', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630093', '1668934408016630089', '6', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630095', '1668934408016630094', '打开检查!', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630096', '1668934408016630094', '请协助我们工作，打开您的邮件，谢谢合作', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630097', '1668934408016630094', '拆开，都拿出来！', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630098', '1668934408016630094', '让你拿出来听见没有？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630100', '1668934408016630099', '正确不起，请到XX号柜台办理（同时用手势引导正确方向）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630101', '1668934408016630099', '我这儿不能办', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630102', '1668934408016630099', '该找谁找谁去', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630103', '1668934408016630099', '去隔壁办理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630105', '1668934408016630104', '拆了，重新包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630106', '1668934408016630104', '不能寄就是不能寄', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630107', '1668934408016630104', '正确不起，为了邮件安全，您的包裹需要重新封装，我们可以协助你', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630108', '1668934408016630104', '封装好了再来寄', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630125', '1668934408016630124', '一条', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630126', '1668934408016630124', '二条', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630127', '1668934408016630124', '二条400支', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630128', '1668934408016630124', '200支', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630130', '1668934408016630129', '1-5区，长*宽*高/6000，6-7区，长*宽*高/5000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630131', '1668934408016630129', '1-5区，长*宽*高/8000，6-7区，长*宽*高/4000', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630132', '1668934408016630129', '1-5区，长*宽*高/6000，6-7区，长*宽*高/4000  ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630133', '1668934408016630129', '1-5区，长*宽*高/8000，6-7区，长*宽*高/5000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630135', '1668934408016630134', '100，200', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630136', '1668934408016630134', '150，200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630137', '1668934408016630134', '100，300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630138', '1668934408016630134', '150，300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630140', '1668934408016630139', '特惠', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630141', '1668934408016630139', '增值服务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630142', '1668934408016630139', '保价', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630143', '1668934408016630139', '特安', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630145', '1668934408016630144', '五日三投', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630146', '1668934408016630144', '三日两投', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630147', '1668934408016630144', '五日两投', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630148', '1668934408016630144', '三日三投', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630155', '1668934408016630154', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630156', '1668934408016630154', '7', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630157', '1668934408016630154', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630158', '1668934408016630154', '3', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630160', '1668934408016630159', '邮政企业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630161', '1668934408016630159', '人民法院', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630162', '1668934408016630159', '政府管理部门', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630163', '1668934408016630159', '仲裁委员会', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630165', '1668934408016630164', '≤万分之15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630166', '1668934408016630164', '≤万分之14', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630167', '1668934408016630164', '≤万分之10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630168', '1668934408016630164', '≤万分之8', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630170', '1668934408016630169', '集团公司统一客服电话11185', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630171', '1668934408016630169', '11183', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630172', '1668934408016630169', '95580', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630173', '1668934408016630169', '国家邮政局申诉网站', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630175', '1668934408016630174', '≥90%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630176', '1668934408016630174', '≤百万分之1.4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630177', '1668934408016630174', '≥91% ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408016630178', '1668934408016630174', '≤百万分之2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824068', '1668934408020824067', '每日进行生产车间特快、快包处理量的数据分析', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824069', '1668934408020824067', '每周进行生产车间特快、快包外包结算量数据分析', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824070', '1668934408020824067', '每月做好班组质量分析会内容的传达落实，落实存在问题的整改工作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824071', '1668934408020824067', '每月进行特快、快包损益核算分析和生产耗材成本管控', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824073', '1668934408020824072', '10-15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824074', '1668934408020824072', '15-20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824075', '1668934408020824072', '8-10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824076', '1668934408020824072', '20-25', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824078', '1668934408020824077', '60袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824079', '1668934408020824077', '50袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824080', '1668934408020824077', '40袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824081', '1668934408020824077', '70袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824083', '1668934408020824082', '50袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824084', '1668934408020824082', '40袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824085', '1668934408020824082', '60袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824086', '1668934408020824082', '30袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824088', '1668934408020824087', '700袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824089', '1668934408020824087', '500袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824090', '1668934408020824087', '450袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824091', '1668934408020824087', '400袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824093', '1668934408020824092', '生产主管（大班长）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824094', '1668934408020824092', '质量检查员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824095', '1668934408020824092', '接发员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824096', '1668934408020824092', '网格长', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824098', '1668934408020824097', '异形件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824099', '1668934408020824097', '低效轻泡件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824100', '1668934408020824097', '刷单件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824101', '1668934408020824097', '电子产品邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824103', '1668934408020824102', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824104', '1668934408020824102', '45', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824105', '1668934408020824102', '60', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824106', '1668934408020824102', '90', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824108', '1668934408020824107', '班结清场工作要覆盖所有接发垛口及停靠车辆、处理中心内所有场地、所有设备，清查车辆内、生产场地内、生产设备上停留和遗漏的未处理邮件及总包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824109', '1668934408020824107', '水湿油污、破损、禁限寄、安检不合格、邮件损毁等特殊问题件直接发至下一环节，无需登记拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824110', '1668934408020824107', '班结清场时要做到当班次接卸邮件全部卸车完毕，所有卸车邮件全部扫描完毕', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824111', '1668934408020824107', '做完班结清场后在新一代系统进行班结操作，班结清场次数与处理中心新一代寄递平台班次结束次数保持一致', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824113', '1668934408020824112', '从旁边空闲垛口跳下，捡拾邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824114', '1668934408020824112', '等封车离垛后，再跳下垛口捡拾邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824115', '1668934408020824112', '等班结清场后，统一处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824116', '1668934408020824112', '车辆离开垛口后，在封车前，将掉落邮件装车，确保信实相符', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824118', '1668934408020824117', '驾驶员可以自行倒车停到指定垛口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824119', '1668934408020824117', '若遇车厢漏雨，需立即打开车门处理邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824120', '1668934408020824117', '检查车厢无异常，检查车辆后门、侧门能不能打开，若能打开，按异常情况处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824121', '1668934408020824117', '检查车锁、车封是否完整无破损，若有问题，登记记录即可进行下一步操作', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824123', '1668934408020824122', '粘贴可以歪斜', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824124', '1668934408020824122', '可粘贴在透明窗以外的范围', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824125', '1668934408020824122', '新旧袋牌错误位粘贴，露出多个条码', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824126', '1668934408020824122', '以上均错误误', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824128', '1668934408020824127', '及时交问题邮件台席处理', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824129', '1668934408020824127', '先放一边，等有时间再研究', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824130', '1668934408020824127', '主观臆断，随便分拣至某一路向', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824131', '1668934408020824127', '自己电话核实收寄件人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824133', '1668934408020824132', '上方', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824134', '1668934408020824132', '侧方', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824135', '1668934408020824132', '后方', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824136', '1668934408020824132', '无特定方位', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824138', '1668934408020824137', '解车，检查车封，卸载邮件，分剔，卸车完毕', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824139', '1668934408020824137', '检查车封，解车，卸载邮件，分剔，卸车完毕', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824140', '1668934408020824137', '解车，检查车封，卸载邮件，卸车完毕，分剔', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824141', '1668934408020824137', '检查车封，解车，卸载邮件，卸车完毕，分剔', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824158', '1668934408020824157', '市趟解车', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824159', '1668934408020824157', '邮件卸车', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824160', '1668934408020824157', '稽核扫描', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824161', '1668934408020824157', '道段分拣', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824163', '1668934408020824162', '正确一频次进口市趟车辆在揽投员上班时点前到达揽投部的，揽投部要安排内务员和揽投员分组轮班，提前到岗接卸邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824164', '1668934408020824162', '正确一频次进口市趟车辆在揽投员上班时点后到达揽投部的，内务员和揽投员全体参与接卸邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824165', '1668934408020824162', '正确二频次及以后进口的市趟车辆，揽投部要安排内务员和部分揽投员（实行网格化作业的，每个网格安排1-2名揽投员）归班共同接卸邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824166', '1668934408020824162', '趟车接卸要做到“一车一清”。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824168', '1668934408020824167', '正确系统提示带有“稽核扫描标识”的高考录取通知书、云艺考、特安等重点邮件必须逐件进行稽核扫描。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824169', '1668934408020824167', '稽核扫描分为二码合一稽核扫描和总包邮件稽核扫描，由内务员单独在视频监控范围内的分拣区进行邮件稽核扫描。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824170', '1668934408020824167', '顶扫设备或道段自动分拣机的扫描勾核等同PDA稽核扫描。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824172', '1668934408020824171', '优先根据面单上四段码分拣邮件；若面单上无四段码，使用中邮揽投APP辅助下段功能进行分拣；或根据收件人具体地址信息进行分拣。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824173', '1668934408020824171', '遵循轻拿轻放、大不压小、重不压轻的操作原则，禁止出现抛、摔、踩、踢、坐等任何损害邮件的行为。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824174', '1668934408020824171', '正确于较重或体积较大的物品类邮件，在邮件分拣时与其它物品类邮件区别分拣。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824175', '1668934408020824171', '全部分拣完毕，巡视工作现场，看有无漏分、遗落的邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824177', '1668934408020824176', '整理异常邮件实物：正确水湿、油污、破损等异常邮件进行复秤、拍照、封装处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824178', '1668934408020824176', '系统及时登记发验：揽投员根据异常邮件情况在系统登记正确应选项并提交，内务员审核后及时发验。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824179', '1668934408020824176', '分类处理投递：轻微破损但重量相符的邮件按址投递；严重破损、水湿、油污等不宜按址投递的邮件，电话通知收件人到揽投部领取，如收件人要求按址投递的，安排揽投员按址投递。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824181', '1668934408020824180', '一件多单的邮件，根据核查结果，划销多余详情单。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824182', '1668934408020824180', '详情单脱落、破损无法辩识的邮件，确认邮件信息后，补打详情单并粘贴覆盖原详情单。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824183', '1668934408020824180', '邮件信息与详情单不符的邮件，电话联系收寄部门进行信息确认，确认后及时投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824184', '1668934408020824180', '详情单批注代收到付金额和系统要求代收到付金额不符时，在新一代系统“代收异常提交”界面填写相关情况，并正确邮件和详情单拍照举证后提交处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824186', '1668934408020824185', '正确上一频次未妥投邮件中符合当频投递要求的，与当频进口邮件一同下段扫描，带出投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824187', '1668934408020824185', '内务员将再投邮件从留存邮件存放区取出。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824188', '1668934408020824185', '内务员与揽投员正确留存邮件进行点数交接后，揽投员及时投递邮件。出库信息根据揽投员下段扫描动作自动生成。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824190', '1668934408020824189', '正确分拣完成邮件，揽投员使用PDA“下段扫描”功能进行下段扫码操作，如遇特殊邮件系统弹出提示框，需按提示的要求进行处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824191', '1668934408020824189', '投交自提点且需打印清单的邮件，选择“自提点名称”，将该自提点的邮件逐件扫描下段；内务员按自提点打印清单，打印后将清单交给揽投员。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824192', '1668934408020824189', '确认下段完成后，系统自动跳转到投递清单界面，展示所有下段邮件的详细信息，正确下段邮件进行核正确，核正确无误后返回。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824193', '1668934408020824189', '揽投员要避免漏扫当频本段邮件，错误段邮件需及时交所属道段揽投员下段或交内务员处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824195', '1668934408020824194', '正确皮带机、分拣机、分拣格架设备底部、缝隙等处检查有无遗漏邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824196', '1668934408020824194', '正确台席桌面、格口等检查有无遗漏邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824197', '1668934408020824194', '正确处理场地地面角落等检查有无遗漏邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824198', '1668934408020824194', '如清理现场时发现揽投员有遗漏邮件，要立即通知揽投员折返取回，及时进行投递。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824200', '1668934408020824199', '特快邮件必须按照邮件详情单上的收件人具体地址投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824201', '1668934408020824199', '如收件人不在收件地址时，揽投员必须“预约投递”功能电话联系收件人，征得收件人同意后，才可将邮件投放至包裹柜、自提点，同时要提醒收件人及时领取邮件；通话时长不少于 10 秒。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824202', '1668934408020824199', '正确于未妥投的特快邮件，揽投员要电话联系收件人约定再投时间，并按约定时间上门投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824204', '1668934408020824203', '要确保邮件当频进口，当频完成投递。如遇趟车晚点，正确于居民小区等可投递区域，要组织小夜班确保邮件当日妥投。正确“极速鲜”邮件，应以外包装是否完好作为签收依据；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824205', '1668934408020824203', '因收件人原因进口当日无法投递的，妥善保管邮件，要将邮件放置到降温保鲜容器或背阴处暂存，防止邮件变质；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824206', '1668934408020824203', '正确节假日进口到投递机构的单位地址的个人“极速鲜”邮件，要在电话预约的基础上，根据收件人要求，提供同城改址投递服务，及时转发邮件，不得随意留存处理。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824207', '1668934408020824203', '如收件人提出开箱验货服务，揽投员应予以配合；开箱验货时发现短少、部分损毁等问题，应现场拍照留证，主动与源头项目组联系，并按项目组意见进行相应处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824209', '1668934408020824208', '在揽投员完成邮件下段操作后，系统自动触发短信，将密码短信实时发送至收件人手机。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824210', '1668934408020824208', '投递时，揽投员要请收件人提供短信密码，在手持智能终端录入短信密码病确认提交后，完成邮件妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824211', '1668934408020824208', '密码投递邮件的存局自取，只能凭取件密码取件，不能凭身份证号或手机号取件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824212', '1668934408020824208', '出现收件人误删短信的，揽投员在手持智能终端的短信密码输入界面点击“重发短信”，向收件人重新发送短信密码。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824214', '1668934408020824213', '正确“整投”的一票多件邮件，做下段操作时，揽投员须扫描所有主件、子件条码后，方可完成下段操作。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824215', '1668934408020824213', '投递员下段后，按址上门投递，收件人需逐件进行签收，逐件在详情单签收栏签字。收件人拒收或部分拒收的邮件，逐件注明原因退回。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824216', '1668934408020824213', '投交一票多件邮件时，投递员在核正确投交一票多件的全部邮件后，全票统一进行投递信息反馈。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824217', '1668934408020824213', '收寄机构正确特快专递可在系统中配置是否允许“拆投”，快递包裹无系统配置“拆投\"功能，如收件人要求“拆投”邮件，投递机构可根据用户要求，直接拆投邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824219', '1668934408020824218', '揽投员投递邮件前，应检查背胶袋内的反向邮件详情单及需要签收的返单是否完好；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824220', '1668934408020824218', '投交邮件时，除完成正常特快邮件的投递要求外，揽投员还要将收件人签收的返单交收件人签收；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824221', '1668934408020824218', '会同收件人检查签收的返单资料是否完全准确，将客户签收并检查完毕的单据，眼同装入特快专递封套并封口，粘贴反向邮件详情单；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824222', '1668934408020824218', '请收件人在“寄件人签署”一栏签字确认，扫描反向邮件详情单号码，对反向邮件做收寄处理，当频寄回收寄机构；', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824223', '1668934408020824218', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824224', '1668934408020824218', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824226', '1668934408020824225', '要电话联系收件人，按收件人地址进行投递。严格按封套上的VIP标签提示进行投递。要求必须本人签收的，不得交他人代收。VIP标签未明确要求必须本人签收的，征得收件人本人同意后，可由他人代为签收。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824227', '1668934408020824225', '严禁未经收件人同意将卡函类邮件投递至自提点、智能包裹柜、收发室或交他人代收。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824228', '1668934408020824225', '严禁泄露客户信息，严禁在邮件上张贴广告。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824230', '1668934408020824229', '军队喜报专递邮件应按址投交收件人本人、收件人指定的代收人或单位收发室。投递前必须与收件人电话联系，请收件人提前准备好相关证件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824231', '1668934408020824229', '执行“五日三投”标准，邮件到达各揽投机构5个工作日内，应按照详情单上的收件地址分3天至少投递3次 (按址投递时，收件人拒收的除外)。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824232', '1668934408020824229', '投递时，由收件人本人签收或由收件人指定的代收人签收，并出示身份证件，代收人还应填写与收件人的关系。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824234', '1668934408020824233', '特安邮件要优先投递，做到100%电话预约，要做到当频进口当频妥投。上门投递特安邮件时，需随身携带特安邮件专用封口签，用于拒收退件处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824235', '1668934408020824233', '特安邮件应由收件人本人签收或他人代收，签收时应实名签字，揽投员拍照上传签收联后完成妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824236', '1668934408020824233', '特安邮件投递时，如收件人或代收人提出开箱验货要求，揽投员应主动配合，眼同开箱验货。仅可开拆外包装进行验视及清点内件数量，不可开拆物品内包装。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824237', '1668934408020824233', '正确于无法联系收件人的特安邮件，投递员应按址进行3次试投。试投不成功的特安邮件，由内务员集中存局保管，并与收寄部门联系确定处理方式。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824239', '1668934408020824238', '再投邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824240', '1668934408020824238', '改址邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824241', '1668934408020824238', '退回邮件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824242', '1668934408020824238', '错误分邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824244', '1668934408020824243', '在未妥投邮件上标识“再投”、“转”、“退”字样。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824245', '1668934408020824243', '在系统上选择未妥投原因，提交完成信息反馈。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824246', '1668934408020824243', '揽投员正确当天未妥投的特快专递邮件，必须使用PDA“中邮揽投-预约投递”功能拨打电话，联系收件人约定再投时间。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668934408020824247', '1668934408020824243', '把未妥投邮件分类盛装入袋，放入投递车辆固定位置，待归班后一并交内务员留存。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510721', '1668935416180510720', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510722', '1668935416180510720', '40', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510723', '1668935416180510720', '50', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510724', '1668935416180510720', '60', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510726', '1668935416180510725', '60、150', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510727', '1668935416180510725', '80、150', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510728', '1668935416180510725', '150、300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510729', '1668935416180510725', '120、300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510731', '1668935416180510730', '重量≤20千克', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510732', '1668935416180510730', '重量≤30千克', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510733', '1668935416180510730', '重量≤40千克', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510734', '1668935416180510730', '重量≤50千克', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510736', '1668935416180510735', '投递桌、分拣格口、批信台等摆放整齐，无个人物品', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510737', '1668935416180510735', 'PDA充电座、电源插座、线路等摆放有序', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510738', '1668935416180510735', '电动车、摩托车等生产车辆整洁，停放有序', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510739', '1668935416180510735', '揽投员与内部处理人员严格执行点数或扫描交接制度，验视邮件封装及规格质量，操作手续规范', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510741', '1668935416180510740', '一般问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510742', '1668935416180510740', '较大问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510743', '1668935416180510740', '严重问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510744', '1668935416180510740', '重大问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510746', '1668935416180510745', '一线操作', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510747', '1668935416180510745', '生产机构负责人', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510748', '1668935416180510745', '检查岗位人员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510749', '1668935416180510745', '管理人员', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510750', '1668935416180510745', '领导人员', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510751', '1668935416180510745', '市分公司', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510752', '1668935416180510745', '县分公司', '6');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510754', '1668935416180510753', '约谈', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510755', '1668935416180510753', '批评教育', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510756', '1668935416180510753', '责令改正', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510757', '1668935416180510753', '经济处理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510759', '1668935416180510758', '当天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510760', '1668935416180510758', '当班', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510761', '1668935416180510758', '下一班次', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510762', '1668935416180510758', '2个工作日内', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510764', '1668935416180510763', '50、10、5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510765', '1668935416180510763', '50、20、5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510766', '1668935416180510763', '60、10、5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510767', '1668935416180510763', '50、10、10', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510769', '1668935416180510768', '6、255', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510770', '1668935416180510768', '6、254', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510771', '1668935416180510768', '5、255', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510772', '1668935416180510768', '5、254', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510783', '1668935416180510782', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510784', '1668935416180510782', '60', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510785', '1668935416180510782', '90', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510786', '1668935416180510782', '120', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510788', '1668935416180510787', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510789', '1668935416180510787', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510790', '1668935416180510787', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510791', '1668935416180510787', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510793', '1668935416180510792', '1,2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510794', '1668935416180510792', '2,2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510795', '1668935416180510792', '2,4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510796', '1668935416180510792', '4,4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510798', '1668935416180510797', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510799', '1668935416180510797', '8', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510800', '1668935416180510797', '10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510801', '1668935416180510797', '12', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510803', '1668935416180510802', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510804', '1668935416180510802', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510805', '1668935416180510802', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510806', '1668935416180510802', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510813', '1668935416180510812', '邮政营业、投递', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510814', '1668935416180510812', '邮政营业、金融', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510815', '1668935416180510812', '投递、金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510816', '1668935416180510812', '投递、集邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510818', '1668935416180510817', '部门领导工号', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510819', '1668935416180510817', '检查方案的组长', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510820', '1668935416180510817', '参与检查的组员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510821', '1668935416180510817', '任何人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510823', '1668935416180510822', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510824', '1668935416180510822', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510825', '1668935416180510822', '任何人', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510826', '1668935416180510822', '部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510828', '1668935416180510827', '8个', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510829', '1668935416180510827', '18个', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510830', '1668935416180510827', '20个', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510831', '1668935416180510827', '22个', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510833', '1668935416180510832', '检查方案的组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510834', '1668935416180510832', '检查组所有成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510835', '1668935416180510832', '被查单位部门领导工号', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510836', '1668935416180510832', '检查单位部门领导工号', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510838', '1668935416180510837', '0.98', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510839', '1668935416180510837', '0.99', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510840', '1668935416180510837', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510841', '1668935416180510837', '0.95', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510843', '1668935416180510842', '1，4', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510844', '1668935416180510842', '2，4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510845', '1668935416180510842', '2，6', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510846', '1668935416180510842', '1, 5', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510848', '1668935416180510847', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510849', '1668935416180510847', '6', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510850', '1668935416180510847', '4', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510851', '1668935416180510847', '7', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510853', '1668935416180510852', '选择检查模板', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510854', '1668935416180510852', '到位确认', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510855', '1668935416180510852', '完成确认', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510856', '1668935416180510852', '以上三个选项都不正确', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510858', '1668935416180510857', '100%，100%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510859', '1668935416180510857', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510860', '1668935416180510857', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510861', '1668935416180510857', '99%，95%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510863', '1668935416180510862', '95%、95%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510864', '1668935416180510862', '98%，95%', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510865', '1668935416180510862', '98%，98%', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510866', '1668935416180510862', '100%，100%', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510868', '1668935416180510867', '定位', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510869', '1668935416180510867', '拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510870', '1668935416180510867', '录入', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510871', '1668935416180510867', '签字', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510873', '1668935416180510872', '1000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510874', '1668935416180510872', '100', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510875', '1668935416180510872', '500', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510876', '1668935416180510872', '2000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510880', '1668935416180510879', '邮政营业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510881', '1668935416180510879', '投递', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510882', '1668935416180510879', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510883', '1668935416180510879', '乡邮', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510885', '1668935416180510884', '乡邮', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510886', '1668935416180510884', '邮政营业', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510887', '1668935416180510884', '金融', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510888', '1668935416180510884', '投递', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510890', '1668935416180510889', '局名牌', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510891', '1668935416180510889', '店招', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510892', '1668935416180510889', '服务监督电话', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510893', '1668935416180510889', '信（筒）箱', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510895', '1668935416180510894', '检查组组长', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510896', '1668935416180510894', '检查组成员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510897', '1668935416180510894', '部门领导', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510898', '1668935416180510894', '分管领导', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510900', '1668935416180510899', '0条问题', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510901', '1668935416180510899', '1条问题', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510902', '1668935416180510899', '2条问题', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510903', '1668935416180510899', '3条问题', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510905', '1668935416180510904', '预订预收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510906', '1668935416180510904', '现金交易', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510907', '1668935416180510904', '货款两清', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510909', '1668935416180510908', '报刊订销系统', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510910', '1668935416180510908', '新一代寄递系统', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510911', '1668935416180510908', '中国邮政书报刊供应链信息系统', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510913', '1668935416180510912', '0.25', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510914', '1668935416180510912', '0.35', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510915', '1668935416180510912', '0.15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510917', '1668935416180510916', '24小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510918', '1668935416180510916', '48小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510919', '1668935416180510916', '72小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510921', '1668935416180510920', '总包信息接收', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510922', '1668935416180510920', '党报党刊当日见报', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510923', '1668935416180510920', '缺报少刊', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510924', '1668935416180510920', '投递频次', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510931', '1668935416180510930', '5', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510932', '1668935416180510930', '10', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510933', '1668935416180510930', '15', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510934', '1668935416180510930', '20', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510936', '1668935416180510935', '一，六', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510937', '1668935416180510935', '二，六', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510938', '1668935416180510935', '一，十二', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510939', '1668935416180510935', '二，十二', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510941', '1668935416180510940', '1.2元', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510942', '1668935416180510940', '3.8元', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510943', '1668935416180510940', '4.8元', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510944', '1668935416180510940', '6元', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510946', '1668935416180510945', '上传表头数据', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510947', '1668935416180510945', '录入邮件数量', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510948', '1668935416180510945', '录入收款金额', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510949', '1668935416180510945', '填制营业日报', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510956', '1668935416180510955', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510957', '1668935416180510955', '20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510958', '1668935416180510955', '40', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510959', '1668935416180510955', '50', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510961', '1668935416180510960', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510962', '1668935416180510960', '80cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510963', '1668935416180510960', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510964', '1668935416180510960', '150cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510966', '1668935416180510965', '50cm', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510967', '1668935416180510965', '60cm', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510968', '1668935416180510965', '100cm', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510969', '1668935416180510965', '120cm', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510971', '1668935416180510970', '6', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510972', '1668935416180510970', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510973', '1668935416180510970', '1', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510974', '1668935416180510970', '11', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510976', '1668935416180510975', '信函', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510977', '1668935416180510975', '违禁邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510978', '1668935416180510975', '异形件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510979', '1668935416180510975', '轻小件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510986', '1668935416180510985', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510987', '1668935416180510985', '2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510988', '1668935416180510985', '3', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510989', '1668935416180510985', '4', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510991', '1668935416180510990', '3', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510992', '1668935416180510990', '5', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510993', '1668935416180510990', '7', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510994', '1668935416180510990', '9', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510996', '1668935416180510995', '1', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510997', '1668935416180510995', '1.2', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510998', '1668935416180510995', '1.5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180510999', '1668935416180510995', '2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511001', '1668935416180511000', '统签', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511002', '1668935416180511000', '省签', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511003', '1668935416180511000', '省签区域运作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511004', '1668935416180511000', '市签', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511006', '1668935416180511005', '3天', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511007', '1668935416180511005', '3个工作日', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511008', '1668935416180511005', '5天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416180511009', '1668935416180511005', '5个工作日', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705027', '1668935416184705026', '擅自停办、限办规定业务；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705028', '1668935416184705026', '未做到满时服务；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705029', '1668935416184705026', '未执行收寄验视和实名收寄制度；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705030', '1668935416184705026', '现金收款', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705032', '1668935416184705031', '500', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705033', '1668935416184705031', '800', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705034', '1668935416184705031', '1000', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705035', '1668935416184705031', '1500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705037', '1668935416184705036', '重量', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705038', '1668935416184705036', '单据', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705039', '1668935416184705036', '件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705040', '1668935416184705036', '数量', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705042', '1668935416184705041', '半年', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705043', '1668935416184705041', '一年', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705044', '1668935416184705041', '90天', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705045', '1668935416184705041', '180天', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705047', '1668935416184705046', '烈士遗物', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705048', '1668935416184705046', '上缴的无着邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705049', '1668935416184705046', '法院证明', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705050', '1668935416184705046', '单位正确账单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705052', '1668935416184705051', '100', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705053', '1668935416184705051', '200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705054', '1668935416184705051', '300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705055', '1668935416184705051', '500', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705057', '1668935416184705056', '予以办理业务', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705058', '1668935416184705056', '不予办理业务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705059', '1668935416184705056', '催促用户抓紧离开', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705060', '1668935416184705056', '不予办理后督促离开', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705062', '1668935416184705061', '前日缴款', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705063', '1668935416184705061', '当日缴款', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705064', '1668935416184705061', '路单', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705065', '1668935416184705061', '清单', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705067', '1668935416184705066', '三个月', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705068', '1668935416184705066', '六个月', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705069', '1668935416184705066', '九个月', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705070', '1668935416184705066', '十二个月', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705072', '1668935416184705071', '一公里', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705073', '1668935416184705071', '二公里', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705074', '1668935416184705071', '三公里', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705075', '1668935416184705071', '四公里', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705077', '1668935416184705076', '当班收寄未出口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705078', '1668935416184705076', '当班收寄已出口', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705079', '1668935416184705076', '隔天未确定', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705080', '1668935416184705076', '隔天已确定', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705082', '1668935416184705081', '2', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705083', '1668935416184705081', '3', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705084', '1668935416184705081', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705085', '1668935416184705081', '6', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705087', '1668935416184705086', '打开检查!', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705088', '1668935416184705086', '请协助我们工作，打开您的邮件，谢谢合作', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705089', '1668935416184705086', '拆开，都拿出来！', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705090', '1668935416184705086', '让你拿出来听见没有？', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705092', '1668935416184705091', '正确不起，请到XX号柜台办理（同时用手势引导正确方向）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705093', '1668935416184705091', '我这儿不能办', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705094', '1668935416184705091', '该找谁找谁去', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705095', '1668935416184705091', '去隔壁办理', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705097', '1668935416184705096', '拆了，重新包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705098', '1668935416184705096', '不能寄就是不能寄', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705099', '1668935416184705096', '正确不起，为了邮件安全，您的包裹需要重新封装，我们可以协助你', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705100', '1668935416184705096', '封装好了再来寄', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705117', '1668935416184705116', '一条', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705118', '1668935416184705116', '二条', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705119', '1668935416184705116', '二条400支', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705120', '1668935416184705116', '200支', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705122', '1668935416184705121', '1-5区，长*宽*高/6000，6-7区，长*宽*高/5000', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705123', '1668935416184705121', '1-5区，长*宽*高/8000，6-7区，长*宽*高/4000', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705124', '1668935416184705121', '1-5区，长*宽*高/6000，6-7区，长*宽*高/4000  ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705125', '1668935416184705121', '1-5区，长*宽*高/8000，6-7区，长*宽*高/5000', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705127', '1668935416184705126', '100，200', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705128', '1668935416184705126', '150，200', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705129', '1668935416184705126', '100，300', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705130', '1668935416184705126', '150，300', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705132', '1668935416184705131', '特惠', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705133', '1668935416184705131', '增值服务', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705134', '1668935416184705131', '保价', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705135', '1668935416184705131', '特安', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705137', '1668935416184705136', '五日三投', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705138', '1668935416184705136', '三日两投', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705139', '1668935416184705136', '五日两投', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705140', '1668935416184705136', '三日三投', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705147', '1668935416184705146', '10', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705148', '1668935416184705146', '7', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705149', '1668935416184705146', '5', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705150', '1668935416184705146', '3', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705152', '1668935416184705151', '邮政企业', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705153', '1668935416184705151', '人民法院', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705154', '1668935416184705151', '政府管理部门', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705155', '1668935416184705151', '仲裁委员会', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705157', '1668935416184705156', '≤万分之15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705158', '1668935416184705156', '≤万分之14', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705159', '1668935416184705156', '≤万分之10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705160', '1668935416184705156', '≤万分之8', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705162', '1668935416184705161', '集团公司统一客服电话11185', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705163', '1668935416184705161', '11183', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705164', '1668935416184705161', '95580', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705165', '1668935416184705161', '国家邮政局申诉网站', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705167', '1668935416184705166', '≥90%', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705168', '1668935416184705166', '≤百万分之1.4', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705169', '1668935416184705166', '≥91% ', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705170', '1668935416184705166', '≤百万分之2', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705177', '1668935416184705176', '每日进行生产车间特快、快包处理量的数据分析', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705178', '1668935416184705176', '每周进行生产车间特快、快包外包结算量数据分析', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705179', '1668935416184705176', '每月做好班组质量分析会内容的传达落实，落实存在问题的整改工作', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705180', '1668935416184705176', '每月进行特快、快包损益核算分析和生产耗材成本管控', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705182', '1668935416184705181', '10-15', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705183', '1668935416184705181', '15-20', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705184', '1668935416184705181', '8-10', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705185', '1668935416184705181', '20-25', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705187', '1668935416184705186', '60袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705188', '1668935416184705186', '50袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705189', '1668935416184705186', '40袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705190', '1668935416184705186', '70袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705192', '1668935416184705191', '50袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705193', '1668935416184705191', '40袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705194', '1668935416184705191', '60袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705195', '1668935416184705191', '30袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705197', '1668935416184705196', '700袋件/人小时', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705198', '1668935416184705196', '500袋件/人小时', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705199', '1668935416184705196', '450袋件/人小时', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705200', '1668935416184705196', '400袋件/人小时', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705202', '1668935416184705201', '生产主管（大班长）', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705203', '1668935416184705201', '质量检查员', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705204', '1668935416184705201', '接发员', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705205', '1668935416184705201', '网格长', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705207', '1668935416184705206', '异形件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705208', '1668935416184705206', '低效轻泡件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705209', '1668935416184705206', '刷单件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705210', '1668935416184705206', '电子产品邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705212', '1668935416184705211', '30', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705213', '1668935416184705211', '45', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705214', '1668935416184705211', '60', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705215', '1668935416184705211', '90', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705217', '1668935416184705216', '班结清场工作要覆盖所有接发垛口及停靠车辆、处理中心内所有场地、所有设备，清查车辆内、生产场地内、生产设备上停留和遗漏的未处理邮件及总包', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705218', '1668935416184705216', '水湿油污、破损、禁限寄、安检不合格、邮件损毁等特殊问题件直接发至下一环节，无需登记拍照', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705219', '1668935416184705216', '班结清场时要做到当班次接卸邮件全部卸车完毕，所有卸车邮件全部扫描完毕', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705220', '1668935416184705216', '做完班结清场后在新一代系统进行班结操作，班结清场次数与处理中心新一代寄递平台班次结束次数保持一致', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705222', '1668935416184705221', '从旁边空闲垛口跳下，捡拾邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705223', '1668935416184705221', '等封车离垛后，再跳下垛口捡拾邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705224', '1668935416184705221', '等班结清场后，统一处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705225', '1668935416184705221', '车辆离开垛口后，在封车前，将掉落邮件装车，确保信实相符', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705227', '1668935416184705226', '驾驶员可以自行倒车停到指定垛口', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705228', '1668935416184705226', '若遇车厢漏雨，需立即打开车门处理邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705229', '1668935416184705226', '检查车厢无异常，检查车辆后门、侧门能不能打开，若能打开，按异常情况处理', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705230', '1668935416184705226', '检查车锁、车封是否完整无破损，若有问题，登记记录即可进行下一步操作', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705232', '1668935416184705231', '粘贴可以歪斜', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705233', '1668935416184705231', '可粘贴在透明窗以外的范围', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705234', '1668935416184705231', '新旧袋牌错误位粘贴，露出多个条码', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705235', '1668935416184705231', '以上均错误误', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705237', '1668935416184705236', '及时交问题邮件台席处理', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705238', '1668935416184705236', '先放一边，等有时间再研究', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705239', '1668935416184705236', '主观臆断，随便分拣至某一路向', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705240', '1668935416184705236', '自己电话核实收寄件人', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705242', '1668935416184705241', '上方', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705243', '1668935416184705241', '侧方', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705244', '1668935416184705241', '后方', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705245', '1668935416184705241', '无特定方位', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705247', '1668935416184705246', '解车，检查车封，卸载邮件，分剔，卸车完毕', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705248', '1668935416184705246', '检查车封，解车，卸载邮件，分剔，卸车完毕', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705249', '1668935416184705246', '解车，检查车封，卸载邮件，卸车完毕，分剔', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705250', '1668935416184705246', '检查车封，解车，卸载邮件，卸车完毕，分剔', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705267', '1668935416184705266', '市趟解车', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705268', '1668935416184705266', '邮件卸车', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705269', '1668935416184705266', '稽核扫描', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705270', '1668935416184705266', '道段分拣', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705272', '1668935416184705271', '正确一频次进口市趟车辆在揽投员上班时点前到达揽投部的，揽投部要安排内务员和揽投员分组轮班，提前到岗接卸邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705273', '1668935416184705271', '正确一频次进口市趟车辆在揽投员上班时点后到达揽投部的，内务员和揽投员全体参与接卸邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705274', '1668935416184705271', '正确二频次及以后进口的市趟车辆，揽投部要安排内务员和部分揽投员（实行网格化作业的，每个网格安排1-2名揽投员）归班共同接卸邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705275', '1668935416184705271', '趟车接卸要做到“一车一清”。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705277', '1668935416184705276', '正确系统提示带有“稽核扫描标识”的高考录取通知书、云艺考、特安等重点邮件必须逐件进行稽核扫描。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705278', '1668935416184705276', '稽核扫描分为二码合一稽核扫描和总包邮件稽核扫描，由内务员单独在视频监控范围内的分拣区进行邮件稽核扫描。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705279', '1668935416184705276', '顶扫设备或道段自动分拣机的扫描勾核等同PDA稽核扫描。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705281', '1668935416184705280', '优先根据面单上四段码分拣邮件；若面单上无四段码，使用中邮揽投APP辅助下段功能进行分拣；或根据收件人具体地址信息进行分拣。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705282', '1668935416184705280', '遵循轻拿轻放、大不压小、重不压轻的操作原则，禁止出现抛、摔、踩、踢、坐等任何损害邮件的行为。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705283', '1668935416184705280', '正确于较重或体积较大的物品类邮件，在邮件分拣时与其它物品类邮件区别分拣。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705284', '1668935416184705280', '全部分拣完毕，巡视工作现场，看有无漏分、遗落的邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705286', '1668935416184705285', '整理异常邮件实物：正确水湿、油污、破损等异常邮件进行复秤、拍照、封装处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705287', '1668935416184705285', '系统及时登记发验：揽投员根据异常邮件情况在系统登记正确应选项并提交，内务员审核后及时发验。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705288', '1668935416184705285', '分类处理投递：轻微破损但重量相符的邮件按址投递；严重破损、水湿、油污等不宜按址投递的邮件，电话通知收件人到揽投部领取，如收件人要求按址投递的，安排揽投员按址投递。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705290', '1668935416184705289', '一件多单的邮件，根据核查结果，划销多余详情单。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705291', '1668935416184705289', '详情单脱落、破损无法辩识的邮件，确认邮件信息后，补打详情单并粘贴覆盖原详情单。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705292', '1668935416184705289', '邮件信息与详情单不符的邮件，电话联系收寄部门进行信息确认，确认后及时投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705293', '1668935416184705289', '详情单批注代收到付金额和系统要求代收到付金额不符时，在新一代系统“代收异常提交”界面填写相关情况，并正确邮件和详情单拍照举证后提交处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705295', '1668935416184705294', '正确上一频次未妥投邮件中符合当频投递要求的，与当频进口邮件一同下段扫描，带出投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705296', '1668935416184705294', '内务员将再投邮件从留存邮件存放区取出。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705297', '1668935416184705294', '内务员与揽投员正确留存邮件进行点数交接后，揽投员及时投递邮件。出库信息根据揽投员下段扫描动作自动生成。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705299', '1668935416184705298', '正确分拣完成邮件，揽投员使用PDA“下段扫描”功能进行下段扫码操作，如遇特殊邮件系统弹出提示框，需按提示的要求进行处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705300', '1668935416184705298', '投交自提点且需打印清单的邮件，选择“自提点名称”，将该自提点的邮件逐件扫描下段；内务员按自提点打印清单，打印后将清单交给揽投员。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705301', '1668935416184705298', '确认下段完成后，系统自动跳转到投递清单界面，展示所有下段邮件的详细信息，正确下段邮件进行核正确，核正确无误后返回。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705302', '1668935416184705298', '揽投员要避免漏扫当频本段邮件，错误段邮件需及时交所属道段揽投员下段或交内务员处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705304', '1668935416184705303', '正确皮带机、分拣机、分拣格架设备底部、缝隙等处检查有无遗漏邮件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705305', '1668935416184705303', '正确台席桌面、格口等检查有无遗漏邮件。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705306', '1668935416184705303', '正确处理场地地面角落等检查有无遗漏邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705307', '1668935416184705303', '如清理现场时发现揽投员有遗漏邮件，要立即通知揽投员折返取回，及时进行投递。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705309', '1668935416184705308', '特快邮件必须按照邮件详情单上的收件人具体地址投递。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705310', '1668935416184705308', '如收件人不在收件地址时，揽投员必须“预约投递”功能电话联系收件人，征得收件人同意后，才可将邮件投放至包裹柜、自提点，同时要提醒收件人及时领取邮件；通话时长不少于 10 秒。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705311', '1668935416184705308', '正确于未妥投的特快邮件，揽投员要电话联系收件人约定再投时间，并按约定时间上门投递邮件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705313', '1668935416184705312', '要确保邮件当频进口，当频完成投递。如遇趟车晚点，正确于居民小区等可投递区域，要组织小夜班确保邮件当日妥投。正确“极速鲜”邮件，应以外包装是否完好作为签收依据；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705314', '1668935416184705312', '因收件人原因进口当日无法投递的，妥善保管邮件，要将邮件放置到降温保鲜容器或背阴处暂存，防止邮件变质；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705315', '1668935416184705312', '正确节假日进口到投递机构的单位地址的个人“极速鲜”邮件，要在电话预约的基础上，根据收件人要求，提供同城改址投递服务，及时转发邮件，不得随意留存处理。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705316', '1668935416184705312', '如收件人提出开箱验货服务，揽投员应予以配合；开箱验货时发现短少、部分损毁等问题，应现场拍照留证，主动与源头项目组联系，并按项目组意见进行相应处理。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705318', '1668935416184705317', '在揽投员完成邮件下段操作后，系统自动触发短信，将密码短信实时发送至收件人手机。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705319', '1668935416184705317', '投递时，揽投员要请收件人提供短信密码，在手持智能终端录入短信密码病确认提交后，完成邮件妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705320', '1668935416184705317', '密码投递邮件的存局自取，只能凭取件密码取件，不能凭身份证号或手机号取件。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705321', '1668935416184705317', '出现收件人误删短信的，揽投员在手持智能终端的短信密码输入界面点击“重发短信”，向收件人重新发送短信密码。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705323', '1668935416184705322', '正确“整投”的一票多件邮件，做下段操作时，揽投员须扫描所有主件、子件条码后，方可完成下段操作。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705324', '1668935416184705322', '投递员下段后，按址上门投递，收件人需逐件进行签收，逐件在详情单签收栏签字。收件人拒收或部分拒收的邮件，逐件注明原因退回。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705325', '1668935416184705322', '投交一票多件邮件时，投递员在核正确投交一票多件的全部邮件后，全票统一进行投递信息反馈。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705326', '1668935416184705322', '收寄机构正确特快专递可在系统中配置是否允许“拆投”，快递包裹无系统配置“拆投\"功能，如收件人要求“拆投”邮件，投递机构可根据用户要求，直接拆投邮件。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705328', '1668935416184705327', '揽投员投递邮件前，应检查背胶袋内的反向邮件详情单及需要签收的返单是否完好；', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705329', '1668935416184705327', '投交邮件时，除完成正常特快邮件的投递要求外，揽投员还要将收件人签收的返单交收件人签收；', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705330', '1668935416184705327', '会同收件人检查签收的返单资料是否完全准确，将客户签收并检查完毕的单据，眼同装入特快专递封套并封口，粘贴反向邮件详情单；', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705331', '1668935416184705327', '请收件人在“寄件人签署”一栏签字确认，扫描反向邮件详情单号码，对反向邮件做收寄处理，当频寄回收寄机构；', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705332', '1668935416184705327', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '4');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705333', '1668935416184705327', '对于电子返单邮件在录入投递信息时还要直接通过电子签名或拍照签收联采集妥投邮件签收真迹，并确保真迹清晰上传。', '5');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705335', '1668935416184705334', '要电话联系收件人，按收件人地址进行投递。严格按封套上的VIP标签提示进行投递。要求必须本人签收的，不得交他人代收。VIP标签未明确要求必须本人签收的，征得收件人本人同意后，可由他人代为签收。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705336', '1668935416184705334', '严禁未经收件人同意将卡函类邮件投递至自提点、智能包裹柜、收发室或交他人代收。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705337', '1668935416184705334', '严禁泄露客户信息，严禁在邮件上张贴广告。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705339', '1668935416184705338', '军队喜报专递邮件应按址投交收件人本人、收件人指定的代收人或单位收发室。投递前必须与收件人电话联系，请收件人提前准备好相关证件。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705340', '1668935416184705338', '执行“五日三投”标准，邮件到达各揽投机构5个工作日内，应按照详情单上的收件地址分3天至少投递3次 (按址投递时，收件人拒收的除外)。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705341', '1668935416184705338', '投递时，由收件人本人签收或由收件人指定的代收人签收，并出示身份证件，代收人还应填写与收件人的关系。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705343', '1668935416184705342', '特安邮件要优先投递，做到100%电话预约，要做到当频进口当频妥投。上门投递特安邮件时，需随身携带特安邮件专用封口签，用于拒收退件处理。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705344', '1668935416184705342', '特安邮件应由收件人本人签收或他人代收，签收时应实名签字，揽投员拍照上传签收联后完成妥投操作。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705345', '1668935416184705342', '特安邮件投递时，如收件人或代收人提出开箱验货要求，揽投员应主动配合，眼同开箱验货。仅可开拆外包装进行验视及清点内件数量，不可开拆物品内包装。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705346', '1668935416184705342', '正确于无法联系收件人的特安邮件，投递员应按址进行3次试投。试投不成功的特安邮件，由内务员集中存局保管，并与收寄部门联系确定处理方式。', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705348', '1668935416184705347', '再投邮件', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705349', '1668935416184705347', '改址邮件', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705350', '1668935416184705347', '退回邮件', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705351', '1668935416184705347', '错误分邮件', '3');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705353', '1668935416184705352', '在未妥投邮件上标识“再投”、“转”、“退”字样。', '0');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705354', '1668935416184705352', '在系统上选择未妥投原因，提交完成信息反馈。', '1');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705355', '1668935416184705352', '揽投员正确当天未妥投的特快专递邮件，必须使用PDA“中邮揽投-预约投递”功能拨打电话，联系收件人约定再投时间。', '2');
INSERT INTO `train_test_paper_question_option` VALUES ('1668935416184705356', '1668935416184705352', '把未妥投邮件分类盛装入袋，放入投递车辆固定位置，待归班后一并交内务员留存。', '3');

-- ----------------------------
-- Table structure for train_text
-- ----------------------------
DROP TABLE IF EXISTS `train_text`;
CREATE TABLE `train_text` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `title` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '题目',
  `content` longtext CHARACTER SET utf8mb4 COMMENT '内容',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `images` json DEFAULT NULL COMMENT '上传文件',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：备用。',
  `lowst` int(10) DEFAULT NULL COMMENT '最低阅读时间  （秒）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文章表';

-- ----------------------------
-- Records of train_text
-- ----------------------------
INSERT INTO `train_text` VALUES ('1643871278920241152', '测试文章1', '<p>12312333333333333<img src=\"https://echftp.jinmingyuan.com/train/2023/4/6/cedac7f6f06c4fe89776ba8317873700.jpeg\" alt=\"\" width=\"1000\" height=\"999\" /></p>', '1327473526785052672', '高志远', '001001', '2023-04-06 15:00:29', '[]', '1', '20');

-- ----------------------------
-- Table structure for train_text_read
-- ----------------------------
DROP TABLE IF EXISTS `train_text_read`;
CREATE TABLE `train_text_read` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `text_id` bigint(20) DEFAULT NULL COMMENT '文章主键',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '确认人',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '确认人名字',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `title` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '题目',
  `type` smallint(6) DEFAULT NULL COMMENT '类型 备用',
  `state` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文章确认表';

-- ----------------------------
-- Records of train_text_read
-- ----------------------------
INSERT INTO `train_text_read` VALUES ('1643871543266250752', '1643871278920241152', '1591967614425501696', '高志远', '001001005', '2023-04-06 15:01:32', null, null, null);
INSERT INTO `train_text_read` VALUES ('1643883869910470656', '1643871278920241152', '1555010577007513600', '张磊', '001026', '2023-04-06 15:50:31', null, null, null);

-- ----------------------------
-- Table structure for train_tool
-- ----------------------------
DROP TABLE IF EXISTS `train_tool`;
CREATE TABLE `train_tool` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `NAME` varchar(32) DEFAULT NULL COMMENT '名称',
  `URL` varchar(32) DEFAULT NULL COMMENT 'URL',
  `IS_SYSTEM` smallint(5) DEFAULT NULL COMMENT '是否默认 1是0否',
  `TYPE` smallint(1) DEFAULT NULL COMMENT '1集中培训2在线培训'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='工具包 ';

-- ----------------------------
-- Records of train_tool
-- ----------------------------
INSERT INTO `train_tool` VALUES ('1', '住宿管理', null, '1', '1');
INSERT INTO `train_tool` VALUES ('2', '就餐管理', null, '1', '1');
INSERT INTO `train_tool` VALUES ('3', '签到管理', null, '1', '1');
INSERT INTO `train_tool` VALUES ('10', '桌签打印', null, '0', '1');
INSERT INTO `train_tool` VALUES ('5', '培训评价', null, '0', '1');
INSERT INTO `train_tool` VALUES ('4', '费用管理', null, '1', '1');
INSERT INTO `train_tool` VALUES ('7', '调查问卷', null, '0', '1');
INSERT INTO `train_tool` VALUES ('8', '培训设备', null, '0', '1');
INSERT INTO `train_tool` VALUES ('9', '资料库', null, '0', '1');
INSERT INTO `train_tool` VALUES ('6', '考试安排', null, '0', '1');
INSERT INTO `train_tool` VALUES ('11', '派车管理', null, '0', '1');
INSERT INTO `train_tool` VALUES ('12', '备忘录', null, '0', '1');
INSERT INTO `train_tool` VALUES ('101', '培训评价', null, '1', '2');
INSERT INTO `train_tool` VALUES ('103', '考试计划', null, '1', '2');
INSERT INTO `train_tool` VALUES ('104', '练习题', null, '1', '2');
INSERT INTO `train_tool` VALUES ('13', '短信发送', null, '0', '1');

-- ----------------------------
-- Table structure for train_toolkit
-- ----------------------------
DROP TABLE IF EXISTS `train_toolkit`;
CREATE TABLE `train_toolkit` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `TRAIN_CLASS_ID` bigint(19) DEFAULT NULL COMMENT '培训班Id',
  `MASTER_ID` bigint(19) DEFAULT NULL COMMENT '班主任ID',
  `REMIND_TIME` datetime DEFAULT NULL COMMENT '提醒时间',
  `REMIND_CONTENT` varchar(1000) DEFAULT NULL COMMENT '提醒内容',
  `REMIND_Minutes` int(11) DEFAULT NULL COMMENT '提醒间隔',
  `REMIND_TIMES` int(11) DEFAULT NULL COMMENT '提醒次数',
  `REMIND_ALREADY_TIMES` int(11) DEFAULT '0' COMMENT '已提醒次数',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态 0未开始1进行中2已结束',
  `DEL_FLAG` smallint(5) DEFAULT NULL COMMENT '是否删除 0已删除1正常',
  `CREATED_BY` bigint(19) DEFAULT NULL COMMENT '创建人ID',
  `CREATED_NAME` varchar(32) DEFAULT NULL COMMENT '创建人名称',
  `CREATED_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATED_BY` bigint(19) DEFAULT NULL COMMENT '更新人ID',
  `UPDATED_TIME` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='备忘录';

-- ----------------------------
-- Records of train_toolkit
-- ----------------------------
INSERT INTO `train_toolkit` VALUES ('1572756483609858048', null, '1', '2022-09-22 09:15:27', '1234', '1', '3', '0', '2', '1', '1', '主宰', '2022-09-22 09:15:41', '1', '2022-09-22 09:15:41');
INSERT INTO `train_toolkit` VALUES ('1572762277176807424', null, '1567097186544652288', '2022-09-22 09:39:20', '45698999', '1', '1', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 09:38:42', '1567097186544652288', '2022-09-22 09:38:42');
INSERT INTO `train_toolkit` VALUES ('1572769475789459456', null, '1567097186544652288', '2022-09-22 10:08:03', 'ddddddddd', '1', '1', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 10:07:18', '1567097186544652288', '2022-09-22 10:07:18');
INSERT INTO `train_toolkit` VALUES ('1572771193604411392', null, '1567097186544652288', '2022-09-22 10:14:52', 'tttttttttt ', '1', '1', '0', '0', '1', '1567097186544652288', '何云凡', '2022-09-22 10:14:08', '1567097186544652288', '2022-09-22 10:14:08');
INSERT INTO `train_toolkit` VALUES ('1572772080016035840', null, '1567097186544652288', '2022-09-22 10:18:23', 'ppppppppppp', '1', '1', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 10:17:39', '1567097186544652288', '2022-09-22 10:17:39');
INSERT INTO `train_toolkit` VALUES ('1572774140312686592', null, '1567097186544652288', '2022-09-22 10:27:38', '0000000000000000000000', '1', '1', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 10:25:50', '1567097186544652288', '2022-09-22 10:25:50');
INSERT INTO `train_toolkit` VALUES ('1572776535973302272', null, '1567097186544652288', '2022-09-22 10:36:08', 'ertretertre', '1', '1', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 10:35:22', '1567097186544652288', '2022-09-22 10:35:22');
INSERT INTO `train_toolkit` VALUES ('1572777022239936512', null, '1567097186544652288', '2022-09-22 10:37:53', 'dddddddd', '1', '10', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 10:37:18', '1567097186544652288', '2022-09-22 10:37:18');
INSERT INTO `train_toolkit` VALUES ('1572786780678262784', null, '1567097186544652288', '2022-09-22 11:16:15', 'piupipup', '1', '8', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 11:16:04', '1567097186544652288', '2022-09-22 11:16:04');
INSERT INTO `train_toolkit` VALUES ('1572789049918361600', null, '1567097186544652288', '2022-09-22 11:25:10', '12313131', '1', '5', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 11:25:05', '1567097186544652288', '2022-09-22 11:25:05');
INSERT INTO `train_toolkit` VALUES ('1572790913921585152', null, '1567097186544652288', '2022-09-22 11:33:04', 'shdkfhasdjkfhajkshfjkahfjkahfkjalhsfffffffffffffff', '1', '5', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 11:32:30', '1567097186544652288', '2022-09-22 11:32:30');
INSERT INTO `train_toolkit` VALUES ('1572792987564511232', null, '1567097186544652288', '2022-09-22 11:41:26', '232222222222222222222222222', '1', '5', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 11:40:44', '1567097186544652288', '2022-09-22 11:40:44');
INSERT INTO `train_toolkit` VALUES ('1572795312467218432', null, '1567097186544652288', '2022-09-22 11:50:43', '3', '1', '3', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 11:49:58', '1567097186544652288', '2022-09-22 11:49:58');
INSERT INTO `train_toolkit` VALUES ('1572797268275367936', null, '1567097186544652288', '2022-09-22 11:58:27', 'chifna', '1', '3', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 11:57:45', '1567097186544652288', '2022-09-22 11:57:45');
INSERT INTO `train_toolkit` VALUES ('1572826234503696384', null, '1567097186544652288', '2022-09-22 13:53:34', 'sdfsfasfdasf', '1', '3', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 13:52:51', '1567097186544652288', '2022-09-22 13:52:51');
INSERT INTO `train_toolkit` VALUES ('1572827307268247552', null, '1567097186544652288', '2022-09-22 13:57:49', '??????', '1', '3', '0', '2', '1', '1567097186544652288', '何云凡', '2022-09-22 13:57:06', '1567097186544652288', '2022-09-22 13:57:06');
INSERT INTO `train_toolkit` VALUES ('1580444438377926656', null, '1', '2022-10-13 14:24:42', '789', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-13 14:24:52', '1', '2022-10-13 14:24:52');
INSERT INTO `train_toolkit` VALUES ('1580444569282154496', null, '1', '2022-10-13 14:25:17', '798', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-13 14:25:23', '1', '2022-10-13 14:25:23');
INSERT INTO `train_toolkit` VALUES ('1580446519662874624', null, '1569970196410667008', '2022-10-13 14:33:04', '1', '1', '1', '0', '0', '1', '1569970196410667008', '李露露', '2022-10-13 14:33:08', '1569970196410667008', '2022-10-13 14:33:08');
INSERT INTO `train_toolkit` VALUES ('1580446569348599808', null, '1569970196410667008', '2022-10-13 14:34:15', '3', '1', '1', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-13 14:33:20', '1569970196410667008', '2022-10-13 14:33:20');
INSERT INTO `train_toolkit` VALUES ('1580446662118215680', null, '1569970196410667008', '2022-10-13 14:33:37', '5', '1', '1', '0', '0', '1', '1569970196410667008', '李露露', '2022-10-13 14:33:42', '1569970196410667008', '2022-10-13 14:33:42');
INSERT INTO `train_toolkit` VALUES ('1580447197122662400', null, '1', '2022-10-13 14:35:44', '大水发撒', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-13 14:35:50', '1', '2022-10-13 14:35:50');
INSERT INTO `train_toolkit` VALUES ('1580453760134680576', '1580431304107888640', '1', '2022-10-13 15:01:46', '士大夫打撒', '1', '1', '0', '0', '0', '1', '主宰', '2022-10-13 15:01:54', '1569970196410667008', '2022-10-14 09:36:24');
INSERT INTO `train_toolkit` VALUES ('1580734254957072384', null, '1569970196410667008', '2022-10-14 09:36:25', '9', '1', '1', '0', '0', '1', '1569970196410667008', '李露露', '2022-10-14 09:36:30', '1569970196410667008', '2022-10-14 09:36:30');
INSERT INTO `train_toolkit` VALUES ('1582692101756424192', '1582686163125276672', '1569970196410667008', '2022-10-19 19:22:50', '发布通知内容{}（）*&&……%￥#！~！@《》？“”：》#这发互粉互', '5', '5', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-19 19:16:17', '1569970196410667008', '2022-10-19 19:20:34');
INSERT INTO `train_toolkit` VALUES ('1582692210183376896', null, '1569970196410667008', '2022-10-19 19:17:30', '正常阿布', '1', '1', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-19 19:16:43', '1569970196410667008', '2022-10-19 19:16:43');
INSERT INTO `train_toolkit` VALUES ('1582692399002554368', '1582686163125276672', '1569970196410667008', '2022-10-19 19:32:55', '我', '1', '1', '0', '0', '0', '1569970196410667008', '李露露', '2022-10-19 19:17:28', '1569970196410667008', '2022-10-19 19:17:46');
INSERT INTO `train_toolkit` VALUES ('1582692546046464000', null, '1569970196410667008', '2022-10-19 19:40:51', '着呢女发环境恢复', '1', '1', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-19 19:18:03', '1569970196410667008', '2022-10-19 19:18:03');
INSERT INTO `train_toolkit` VALUES ('1582692608952635392', null, '1569970196410667008', '2022-10-19 19:22:09', '', '1', '1', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-19 19:18:18', '1569970196410667008', '2022-10-19 19:18:18');
INSERT INTO `train_toolkit` VALUES ('1582692673922404352', null, '1569970196410667008', '2022-10-19 19:18:23', '去', '1', '1', '0', '0', '1', '1569970196410667008', '李露露', '2022-10-19 19:18:33', '1569970196410667008', '2022-10-19 19:18:33');
INSERT INTO `train_toolkit` VALUES ('1582692737076039680', null, '1569970196410667008', '2022-10-19 19:40:38', '12', '1', '1', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-19 19:18:48', '1569970196410667008', '2022-10-19 19:18:48');
INSERT INTO `train_toolkit` VALUES ('1583291817422622720', '1582675574806155264', '1', '2022-10-21 10:59:14', '111', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-21 10:59:20', '1', '2022-10-21 10:59:20');
INSERT INTO `train_toolkit` VALUES ('1583291845906141184', null, '1', '2022-10-22 10:59:22', '222', '1', '1', '0', '2', '1', '1', '主宰', '2022-10-21 10:59:27', '1', '2022-10-21 10:59:27');
INSERT INTO `train_toolkit` VALUES ('1583291893591183360', null, '1', '2022-10-22 10:59:32', '333', '1', '1', '0', '2', '1', '1', '主宰', '2022-10-21 10:59:38', '1', '2022-10-21 10:59:38');
INSERT INTO `train_toolkit` VALUES ('1583294507603070976', '1582675574806155264', '1', '2022-10-21 11:09:41', '士大夫', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-21 11:10:01', '1', '2022-10-21 11:10:01');
INSERT INTO `train_toolkit` VALUES ('1583295020218322944', '1582675574806155264', '1', '2022-10-21 11:11:58', '2222', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-21 11:12:04', '1', '2022-10-21 11:12:04');
INSERT INTO `train_toolkit` VALUES ('1583295329334333440', '1582675574806155264', '1', '2022-10-23 11:13:10', '4444', '1', '1', '0', '2', '1', '1', '主宰', '2022-10-21 11:13:17', '1', '2022-10-21 11:13:17');
INSERT INTO `train_toolkit` VALUES ('1583295391854628864', '1582675574806155264', '1', '2022-10-30 11:13:21', '77777', '1', '1', '0', '2', '1', '1', '主宰', '2022-10-21 11:13:32', '1', '2022-10-21 11:13:32');
INSERT INTO `train_toolkit` VALUES ('1583295563481354240', '1582675574806155264', '1', '2022-10-21 11:14:07', '', '1', '1', '0', '0', '1', '1', '主宰', '2022-10-21 11:14:13', '1', '2022-10-21 11:14:13');
INSERT INTO `train_toolkit` VALUES ('1584426415544209408', '1583392110638403584', '1569970196410667008', '2022-10-24 14:07:42', '12', '1', '1', '0', '0', '1', '1569970196410667008', '李露露', '2022-10-24 14:07:49', '1569970196410667008', '2022-10-24 14:07:53');
INSERT INTO `train_toolkit` VALUES ('1584426456983932928', '1583392110638403584', '1569970196410667008', '2022-10-25 14:07:53', '2132', '1', '1', '0', '2', '1', '1569970196410667008', '李露露', '2022-10-24 14:07:59', '1569970196410667008', '2022-10-24 14:07:59');
INSERT INTO `train_toolkit` VALUES ('1592026283620044800', '1591972857506828288', '1569970196410667008', '2022-11-14 17:26:00', '正常提醒消息第一天', '1', '1', '0', '0', '1', '1569970196410667008', '李露露', '2022-11-14 13:26:59', '1569970196410667008', '2022-11-14 13:26:59');
INSERT INTO `train_toolkit` VALUES ('1592067818814312448', '1592066677061849088', '1327473526785052672', '2022-11-14 16:15:00', '提醒', '1', '2', '0', '0', '1', '1327473526785052672', '高志远', '2022-11-14 16:12:02', '1327473526785052672', '2022-11-14 16:12:02');
INSERT INTO `train_toolkit` VALUES ('1596750601528676352', '1596670850063536128', '1561995446459699200', '2022-11-27 14:30:00', '1231321313', '1', '1', '0', '2', '1', '1561995446459699200', '李昊杰', '2022-11-27 14:19:44', '1561995446459699200', '2022-11-27 14:19:44');

-- ----------------------------
-- Table structure for train_toolkit_quartz
-- ----------------------------
DROP TABLE IF EXISTS `train_toolkit_quartz`;
CREATE TABLE `train_toolkit_quartz` (
  `ID` bigint(19) DEFAULT NULL COMMENT 'ID',
  `CLIENT_ID` varchar(100) DEFAULT NULL COMMENT '设备ID',
  `SEND_ID` bigint(19) DEFAULT NULL COMMENT '被推送人ID',
  `SEND_TIME` datetime DEFAULT NULL COMMENT '推送时间',
  `SEND_TIMES` int(11) DEFAULT NULL COMMENT '推送总次数',
  `NOW_TIMES` int(11) DEFAULT NULL COMMENT '当前次数',
  `START_OR_END` smallint(5) DEFAULT NULL COMMENT '是否开始/结束 1开始2结束3中间',
  `STATE` smallint(5) DEFAULT NULL COMMENT '状态 0关闭1开启',
  `SEND_RESULT` smallint(5) DEFAULT NULL COMMENT '推送结果',
  `REMARK` varchar(1000) DEFAULT NULL COMMENT '备注',
  `TOOLKIT_ID` bigint(19) DEFAULT NULL COMMENT '事件ID'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='备忘录推送 ';

-- ----------------------------
-- Records of train_toolkit_quartz
-- ----------------------------
INSERT INTO `train_toolkit_quartz` VALUES ('1564916383521837056', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:40:08', '10', '1', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916384125816832', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:41:08', '10', '2', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916384750768128', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:42:08', '10', '3', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916385413468160', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:43:08', '10', '4', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916386130694144', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:44:08', '10', '5', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916386755645440', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:45:08', '10', '6', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916387443511296', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:46:08', '10', '7', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916388093628416', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:47:08', '10', '8', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916388764717056', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:48:08', '10', '9', '1', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1564916389435805696', '0b91531a7e01cd87168378e7affd1b90', '1', '2022-08-25 21:49:08', '10', '10', '2', '0', null, null, '1562794801819160576');
INSERT INTO `train_toolkit_quartz` VALUES ('1572756483609858049', 'b624031d4fe568709c9014e7c3521cea', '1', '2022-09-22 09:15:27', '3', '1', '1', '1', null, null, '1572756483609858048');
INSERT INTO `train_toolkit_quartz` VALUES ('1572756484272558080', 'b624031d4fe568709c9014e7c3521cea', '1', '2022-09-22 09:16:27', '3', '2', '1', '0', '1', '备忘录：定时任务推送', '1572756483609858048');
INSERT INTO `train_toolkit_quartz` VALUES ('1572756484901703680', 'b624031d4fe568709c9014e7c3521cea', '1', '2022-09-22 09:17:27', '3', '3', '2', '0', '1', '备忘录：定时任务推送', '1572756483609858048');
INSERT INTO `train_toolkit_quartz` VALUES ('1572762277176807425', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 09:39:20', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1572762277176807424');
INSERT INTO `train_toolkit_quartz` VALUES ('1572769475789459457', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:08:03', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1572769475789459456');
INSERT INTO `train_toolkit_quartz` VALUES ('1572771193604411393', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:14:52', '1', '1', '2', '1', null, null, '1572771193604411392');
INSERT INTO `train_toolkit_quartz` VALUES ('1572772080016035841', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:18:23', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1572772080016035840');
INSERT INTO `train_toolkit_quartz` VALUES ('1572774140312686593', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:27:38', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1572774140312686592');
INSERT INTO `train_toolkit_quartz` VALUES ('1572776535973302273', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:36:08', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1572776535973302272');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777022239936513', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:37:53', '10', '1', '1', '1', null, null, '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777022508371968', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:38:53', '10', '2', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777022781001728', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:39:53', '10', '3', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777023036854272', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:40:53', '10', '4', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777023284318208', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:41:53', '10', '5', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777023607279616', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:42:53', '10', '6', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777024047681536', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:43:53', '10', '7', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777024290951168', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:44:53', '10', '8', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777024685215744', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:45:53', '10', '9', '1', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572777024957845504', 'b624031d4fe568709c9014e7c3521cea', '1567097186544652288', '2022-09-22 10:46:53', '10', '10', '2', '0', '1', '备忘录：定时任务推送', '1572777022239936512');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786780682457088', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:16:15', '8', '1', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786780900560896', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:17:15', '8', '2', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786781122859008', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:18:15', '8', '3', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786781378711552', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:19:15', '8', '4', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786781592621056', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:20:15', '8', '5', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786781806530560', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:21:15', '8', '6', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786782016245760', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:22:15', '8', '7', '1', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572786782238543872', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:23:15', '8', '8', '2', '0', '1', '备忘录：定时任务推送', '1572786780678262784');
INSERT INTO `train_toolkit_quartz` VALUES ('1572789049918361601', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:25:10', '5', '1', '1', '0', '1', '备忘录：定时任务推送', '1572789049918361600');
INSERT INTO `train_toolkit_quartz` VALUES ('1572789050115493888', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:26:10', '5', '2', '1', '0', '1', '备忘录：定时任务推送', '1572789049918361600');
INSERT INTO `train_toolkit_quartz` VALUES ('1572789050316820480', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:27:10', '5', '3', '1', '0', '1', '备忘录：定时任务推送', '1572789049918361600');
INSERT INTO `train_toolkit_quartz` VALUES ('1572789050509758464', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:28:10', '5', '4', '1', '0', '1', '备忘录：定时任务推送', '1572789049918361600');
INSERT INTO `train_toolkit_quartz` VALUES ('1572789050698502144', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:29:10', '5', '5', '2', '0', '1', '备忘录：定时任务推送', '1572789049918361600');
INSERT INTO `train_toolkit_quartz` VALUES ('1572790913921585153', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:33:04', '5', '1', '1', '0', '1', '备忘录：定时任务推送', '1572790913921585152');
INSERT INTO `train_toolkit_quartz` VALUES ('1572790914122911744', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:34:04', '5', '2', '1', '0', '1', '备忘录：定时任务推送', '1572790913921585152');
INSERT INTO `train_toolkit_quartz` VALUES ('1572790914315849728', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:35:04', '5', '3', '1', '0', '1', '备忘录：定时任务推送', '1572790913921585152');
INSERT INTO `train_toolkit_quartz` VALUES ('1572790914508787712', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:36:04', '5', '4', '1', '0', '1', '备忘录：定时任务推送', '1572790913921585152');
INSERT INTO `train_toolkit_quartz` VALUES ('1572790914726891520', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:37:04', '5', '5', '2', '0', '1', '备忘录：定时任务推送', '1572790913921585152');
INSERT INTO `train_toolkit_quartz` VALUES ('1572792987564511233', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:41:26', '5', '1', '1', '0', '1', '备忘录：定时任务推送', '1572792987564511232');
INSERT INTO `train_toolkit_quartz` VALUES ('1572792987770032128', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:42:26', '5', '2', '1', '0', '1', '备忘录：定时任务推送', '1572792987564511232');
INSERT INTO `train_toolkit_quartz` VALUES ('1572792987962970112', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:43:26', '5', '3', '1', '0', '1', '备忘录：定时任务推送', '1572792987564511232');
INSERT INTO `train_toolkit_quartz` VALUES ('1572792988155908096', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:44:26', '5', '4', '1', '0', '1', '备忘录：定时任务推送', '1572792987564511232');
INSERT INTO `train_toolkit_quartz` VALUES ('1572792988378206208', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:45:26', '5', '5', '2', '0', '1', '备忘录：定时任务推送', '1572792987564511232');
INSERT INTO `train_toolkit_quartz` VALUES ('1572795312467218433', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:50:43', '3', '1', '1', '0', '1', '备忘录：定时任务推送', '1572795312467218432');
INSERT INTO `train_toolkit_quartz` VALUES ('1572795312655962112', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:51:43', '3', '2', '1', '0', '1', '备忘录：定时任务推送', '1572795312467218432');
INSERT INTO `train_toolkit_quartz` VALUES ('1572795312848900096', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:52:43', '3', '3', '2', '0', '1', '备忘录：定时任务推送', '1572795312467218432');
INSERT INTO `train_toolkit_quartz` VALUES ('1572797268275367937', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:58:27', '3', '1', '1', '0', '1', '备忘录：定时任务推送', '1572797268275367936');
INSERT INTO `train_toolkit_quartz` VALUES ('1572797268556386304', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 11:59:27', '3', '2', '1', '0', '1', '备忘录：定时任务推送', '1572797268275367936');
INSERT INTO `train_toolkit_quartz` VALUES ('1572797268787073024', 'fe5ee87b87096ba0693b4eb205b51eda', '1567097186544652288', '2022-09-22 12:00:27', '3', '3', '2', '0', '1', '备忘录：定时任务推送', '1572797268275367936');
INSERT INTO `train_toolkit_quartz` VALUES ('1572826234503696385', '0a479caeb5bdd50d6a4b9904e067f0db', '1567097186544652288', '2022-09-22 13:53:34', '3', '1', '1', '0', '1', '备忘录：定时任务推送', '1572826234503696384');
INSERT INTO `train_toolkit_quartz` VALUES ('1572826234725994496', '0a479caeb5bdd50d6a4b9904e067f0db', '1567097186544652288', '2022-09-22 13:54:34', '3', '2', '1', '0', '1', '备忘录：定时任务推送', '1572826234503696384');
INSERT INTO `train_toolkit_quartz` VALUES ('1572826234927321088', '0a479caeb5bdd50d6a4b9904e067f0db', '1567097186544652288', '2022-09-22 13:55:34', '3', '3', '2', '0', '1', '备忘录：定时任务推送', '1572826234503696384');
INSERT INTO `train_toolkit_quartz` VALUES ('1572827307268247553', '0a479caeb5bdd50d6a4b9904e067f0db', '1567097186544652288', '2022-09-22 13:57:49', '3', '1', '1', '1', null, null, '1572827307268247552');
INSERT INTO `train_toolkit_quartz` VALUES ('1572827307561848832', '0a479caeb5bdd50d6a4b9904e067f0db', '1567097186544652288', '2022-09-22 13:58:49', '3', '2', '1', '0', '1', '备忘录：定时任务推送', '1572827307268247552');
INSERT INTO `train_toolkit_quartz` VALUES ('1572827307767369728', '0a479caeb5bdd50d6a4b9904e067f0db', '1567097186544652288', '2022-09-22 13:59:49', '3', '3', '2', '0', '1', '备忘录2222：定时任务推送', '1572827307268247552');
INSERT INTO `train_toolkit_quartz` VALUES ('1580444438382120960', '26a770f33831a689f1460438868d919a', '1', '2022-10-13 14:24:42', '1', '1', '2', '1', null, null, '1580444438377926656');
INSERT INTO `train_toolkit_quartz` VALUES ('1580444569282154497', '26a770f33831a689f1460438868d919a', '1', '2022-10-13 14:25:17', '1', '1', '2', '1', null, null, '1580444569282154496');
INSERT INTO `train_toolkit_quartz` VALUES ('1580446519662874625', '21aaab7a8ed7dae667aa3ef2f621c040', '1569970196410667008', '2022-10-13 14:33:04', '1', '1', '2', '1', null, null, '1580446519662874624');
INSERT INTO `train_toolkit_quartz` VALUES ('1580446569348599809', '21aaab7a8ed7dae667aa3ef2f621c040', '1569970196410667008', '2022-10-13 14:34:15', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1580446569348599808');
INSERT INTO `train_toolkit_quartz` VALUES ('1580446662118215681', '21aaab7a8ed7dae667aa3ef2f621c040', '1569970196410667008', '2022-10-13 14:33:37', '1', '1', '2', '1', null, null, '1580446662118215680');
INSERT INTO `train_toolkit_quartz` VALUES ('1580447197122662401', '26a770f33831a689f1460438868d919a', '1', '2022-10-13 14:35:44', '1', '1', '2', '1', null, null, '1580447197122662400');
INSERT INTO `train_toolkit_quartz` VALUES ('1580453760134680577', '26a770f33831a689f1460438868d919a', '1', '2022-10-13 15:01:46', '1', '1', '2', '0', null, null, '1580453760134680576');
INSERT INTO `train_toolkit_quartz` VALUES ('1580734216986038272', '21aaab7a8ed7dae667aa3ef2f621c040', '1569970196410667008', '2022-10-13 15:01:46', '1', '1', '2', '0', null, null, '1580453760134680576');
INSERT INTO `train_toolkit_quartz` VALUES ('1580734254957072385', '21aaab7a8ed7dae667aa3ef2f621c040', '1569970196410667008', '2022-10-14 09:36:25', '1', '1', '2', '1', null, null, '1580734254957072384');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692101756424193', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:30:50', '5', '1', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692101785784320', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:35:50', '5', '2', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692101810950144', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:40:50', '5', '3', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692101836115968', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:45:50', '5', '4', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692101865476096', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:50:50', '5', '5', '2', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692210183376897', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:17:30', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1582692210183376896');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692399002554369', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:32:55', '1', '1', '2', '0', null, null, '1582692399002554368');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692546046464001', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:40:51', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1582692546046464000');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692608952635393', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:22:09', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1582692608952635392');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692673922404353', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:18:23', '1', '1', '2', '1', null, null, '1582692673922404352');
INSERT INTO `train_toolkit_quartz` VALUES ('1582692737076039681', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:40:38', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1582692737076039680');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693130862465024', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:30:50', '5', '1', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693130896019456', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:35:50', '5', '2', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693130929573888', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:40:50', '5', '3', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693130958934016', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:45:50', '5', '4', '1', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693130992488448', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:50:50', '5', '5', '2', '0', null, null, '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693180548190208', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:22:50', '5', '1', '1', '0', '1', '备忘录：定时任务推送', '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693180581744640', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:27:50', '5', '2', '1', '0', '1', '备忘录：定时任务推送', '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693180611104768', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:32:50', '5', '3', '1', '0', '1', '备忘录：定时任务推送', '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693180640464896', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:37:50', '5', '4', '1', '0', '1', '备忘录：定时任务推送', '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1582693180669825024', '068e3ecef3beca1cdde3f35e6d3941b4', '1569970196410667008', '2022-10-19 19:42:50', '5', '5', '2', '0', '1', '备忘录：定时任务推送', '1582692101756424192');
INSERT INTO `train_toolkit_quartz` VALUES ('1583291817422622721', 'accb1548e186abe4505df394926c060f', '1', '2022-10-21 10:59:14', '1', '1', '2', '1', null, null, '1583291817422622720');
INSERT INTO `train_toolkit_quartz` VALUES ('1583291845906141185', 'accb1548e186abe4505df394926c060f', '1', '2022-10-22 10:59:22', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1583291845906141184');
INSERT INTO `train_toolkit_quartz` VALUES ('1583291893591183361', 'accb1548e186abe4505df394926c060f', '1', '2022-10-22 10:59:32', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1583291893591183360');
INSERT INTO `train_toolkit_quartz` VALUES ('1583294507603070977', 'accb1548e186abe4505df394926c060f', '1', '2022-10-21 11:09:41', '1', '1', '2', '1', null, null, '1583294507603070976');
INSERT INTO `train_toolkit_quartz` VALUES ('1583295020218322945', 'accb1548e186abe4505df394926c060f', '1', '2022-10-21 11:11:58', '1', '1', '2', '1', null, null, '1583295020218322944');
INSERT INTO `train_toolkit_quartz` VALUES ('1583295329334333441', 'accb1548e186abe4505df394926c060f', '1', '2022-10-23 11:13:10', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1583295329334333440');
INSERT INTO `train_toolkit_quartz` VALUES ('1583295391854628865', 'accb1548e186abe4505df394926c060f', '1', '2022-10-30 11:13:21', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1583295391854628864');
INSERT INTO `train_toolkit_quartz` VALUES ('1583295563481354241', 'accb1548e186abe4505df394926c060f', '1', '2022-10-21 11:14:07', '1', '1', '2', '1', null, null, '1583295563481354240');
INSERT INTO `train_toolkit_quartz` VALUES ('1584426415544209409', 'f46c747107c4fec0bd2c20d1e4bb59a2', '1569970196410667008', '2022-10-24 14:07:42', '1', '1', '2', '0', null, null, '1584426415544209408');
INSERT INTO `train_toolkit_quartz` VALUES ('1584426432065572864', 'f46c747107c4fec0bd2c20d1e4bb59a2', '1569970196410667008', '2022-10-24 14:07:42', '1', '1', '2', '1', null, null, '1584426415544209408');
INSERT INTO `train_toolkit_quartz` VALUES ('1584426456983932929', 'f46c747107c4fec0bd2c20d1e4bb59a2', '1569970196410667008', '2022-10-25 14:07:53', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1584426456983932928');
INSERT INTO `train_toolkit_quartz` VALUES ('1592026283620044801', 'a96a604b42c7c35a539b11f3943e395e', '1569970196410667008', '2022-11-14 17:26:00', '1', '1', '2', '1', null, null, '1592026283620044800');
INSERT INTO `train_toolkit_quartz` VALUES ('1592067818814312449', 'bf02fb5747b15b7681190a3e27bf85af', '1327473526785052672', '2022-11-14 16:15:00', '2', '1', '1', '1', null, null, '1592067818814312448');
INSERT INTO `train_toolkit_quartz` VALUES ('1592067818856255488', 'bf02fb5747b15b7681190a3e27bf85af', '1327473526785052672', '2022-11-14 16:16:00', '2', '2', '2', '1', null, null, '1592067818814312448');
INSERT INTO `train_toolkit_quartz` VALUES ('1596750603047014400', '9bc89d684e2cda753140a837996ad25f', '1561995446459699200', '2022-11-27 14:30:00', '1', '1', '2', '0', '1', '备忘录：定时任务推送', '1596750601528676352');

-- ----------------------------
-- Table structure for train_trainer
-- ----------------------------
DROP TABLE IF EXISTS `train_trainer`;
CREATE TABLE `train_trainer` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(6) DEFAULT NULL COMMENT '类型：1、内训师。2、外聘讲师',
  `trainer_code` varchar(20) DEFAULT NULL COMMENT '讲师编号',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师姓名',
  `card_no` varchar(18) DEFAULT NULL COMMENT '身份证号',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `post` varchar(100) DEFAULT NULL COMMENT '职务',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号码',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(20) DEFAULT NULL COMMENT '专业名',
  `lv` varchar(50) DEFAULT NULL COMMENT '等级',
  `sex` smallint(6) DEFAULT NULL COMMENT '性别：1、男。2、女。',
  `img_url` json DEFAULT NULL COMMENT '个人照片路径',
  `good_courses` varchar(255) DEFAULT NULL COMMENT '擅长课程',
  `remark` varchar(3000) DEFAULT NULL,
  `state` smallint(6) DEFAULT '1' COMMENT '状态：0、禁用。1、正常。',
  `is_top` smallint(1) DEFAULT NULL COMMENT '推荐设置：-1必不推荐 0正常 1必推荐 2置顶\r\n（原备注   置顶）',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `notes` varchar(50) DEFAULT NULL COMMENT '分享说明',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `train_trainer_card_no_index` (`card_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='内训师';

-- ----------------------------
-- Records of train_trainer
-- ----------------------------
INSERT INTO `train_trainer` VALUES ('1555010737095708672', '1', '202208040013', '张磊', '410181198811015510', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '', '15838150622', '1301371132523450368', '004', '渠道', '省中级', '1', 'null', '金融课程', '擅长金融课程', '0', '-1', '1', '主宰', '001025', '2022-08-04 10:00:25', '');
INSERT INTO `train_trainer` VALUES ('1565531038766206976', '2', '202209020001', '外1', '', '1323441314733363200', null, 'ligonghui', '河南省分公司本部', null, null, '', null, '', '1301397931835920384', '003002', '普遍服务', null, '1', '[]', '', '', '0', '0', '1564192820011601920', '郑州001', '001007018', '2022-09-02 10:44:20', '');
INSERT INTO `train_trainer` VALUES ('1567326733391237120', '2', '202209070002', '外2', '', null, null, null, null, null, null, '', null, '', '1301371995069485056', '002002', '金融业务', null, '1', '[]', '', '', '0', '0', '1564192820011601920', '郑州001', '001007018', '2022-09-07 09:39:47', '');
INSERT INTO `train_trainer` VALUES ('1567326775707570176', '2', '202209070003', '本部1', '', null, null, null, null, null, null, '', null, '', '1301371945044021248', '002001', '保险业务', null, '1', '[]', '', '', '0', '0', '1564191182190415872', '本部运营1', '001071', '2022-09-07 09:39:58', '');
INSERT INTO `train_trainer` VALUES ('1567335196691402752', '2', '202209070004', '是飒飒', '', null, null, null, null, null, null, '', null, '', '1301371995069485056', '002002', '金融业务', null, '1', '[]', '', '', '0', '0', '1564192820011601920', '郑州001', '001007018', '2022-09-07 10:13:25', '');
INSERT INTO `train_trainer` VALUES ('1567337225455276032', '2', '202209070005', '郑州李讲师', '', '1323441314737557510', null, '1003', '郑州市分公司本部', null, null, '杨金路街道', null, '', '1301397996260429824', '003003', '职业技能', null, '1', '[]', '', '', '1', '0', '1564192820011601920', '郑州001', '001007018', '2022-09-07 10:21:29', '');
INSERT INTO `train_trainer` VALUES ('1567338866929700864', '2', '202209070006', '本地1', '', '1323441314733363200', null, 'ligonghui', '河南省分公司本部', null, null, '', null, '', '1301371945044021248', '002001', '保险业务', null, '1', '[]', '', '', '1', '0', '1564191182190415872', '本部运营1', '001071', '2022-09-07 10:28:00', '');
INSERT INTO `train_trainer` VALUES ('1570236817620471808', '2', '202209150003', '李老师001', '11010119900307475X', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', null, '15713875247', '1301371945044021248', '002001', '保险业务', null, '2', '[{\"name\": \"1.jpg\", \"path\": \"/train/2022/9/15/9a19acc946e64b69adb183eebdc470c1.jpg\", \"size\": 75.60546875, \"suffix\": \".jpg\"}]', '英语，数学，语文热污染无二无若热污染无若翁人无让我热无若翁若热污染无若翁人无让我热无若翁让我 ', '语文热污染无二无若热污染无若翁人无让我热无若翁让我 语文热污染无二无若热污染无若翁人无让我热无若翁让我 语文热污染无二无若热污染无若翁人无让我热无若翁让我 语文热污染无二无若语文热污染无二语文热污染无二无若热污染无若翁人无让我热无若翁让我 语文热污染无二无若热污染无若翁人无让我热无若翁让我 语文热污染无二无若热污染无若翁人无让我热无若翁让我 无若热污染无若翁人无让我热无若翁让我 热污染无若翁人无让我热无若翁让我 语文热污染无二无若热污染无若翁人无让我热无若翁让我 ', '1', '0', '1569970196410667008', '李露露', '001001001', '2022-09-15 10:23:26', '语文热污染无 ');
INSERT INTO `train_trainer` VALUES ('1570236961212469248', '2', '202209150004', '李老师02', '', '1323441314737557504', null, '1001', '河南省培训中心', null, null, '', null, '', '1301371995069485056', '002002', '金融业务', null, '1', '[]', '', '', '1', '0', '1569970196410667008', '李露露', '001001001', '2022-09-15 10:24:00', '');
INSERT INTO `train_trainer` VALUES ('1582666858753036288', '1', '202210190002', '陆老师', '110101199003075795', '1323441314733363200', '001', '56000000', '河南省', '1323441857501466624', '001025', '单位领导部门', '', '15713872517', '1301370984615514112', '001', '党建', '省高级', '1', '[{\"name\": \"a4e94b340e4e4279bbe000177f1e43b6.png\", \"path\": \"/train/2023/3/29/dc91f5aad10148269890aac443093c86.png\", \"size\": 99.4599609375, \"suffix\": \".png\"}]', '英语数学语文物理化学', '擅长英语数学语文物理化学', '1', '0', '1569970196410667008', '李露露', '001071', '2022-10-19 17:35:58', '正常分享视频可得积分');
INSERT INTO `train_trainer` VALUES ('1583286950952046592', '1', '202210210008', '省老师', '110101199003078419', '1323441314733363200', '001', '56000000', '河南省', '1366299625929183232', '001071', '运营管理部', '', '13699888888', '1301371027162533888', '002', '金融', '省初级', '1', 'null', '', '', '1', '0', '1583278909414313984', '测试省级', '001071', '2022-10-21 10:40:00', '');
INSERT INTO `train_trainer` VALUES ('1583287459507212288', '1', '202210210009', '郑州老师', '410181199311272013', '1323441314733363200', '001', '56000000', '河南省', '1366299625929183232', '001071', '运营管理部', '', '13545444444', '1301371085220089856', '003', '寄递', '省高级', '1', 'null', '', '', '1', '0', '1583286076276084736', '测试郑州', '001007018', '2022-10-21 10:42:01', '');
INSERT INTO `train_trainer` VALUES ('1583368171707043840', '1', '202210210001', '王涵', '110101199003074581', '1323441314733363200', '001', '56000000', '河南省', '1366299625929183232', '001071', '运营管理部', '', '18538767877', '1301370984615514112', '001', '党建', '集团级', '1', '[{\"name\": \"微信截图_20230329151845.png\", \"path\": \"/train/2023/3/29/d8ebb696dcd3402389e0e9eae4960902.png\", \"size\": 66.3388671875, \"suffix\": \".png\"}]', '', '', '1', '0', '1562314510612697088', '国产007', '001071', '2022-10-21 16:02:44', '');
INSERT INTO `train_trainer` VALUES ('1583400561250799616', '1', '202210210002', '张亚磊', '412721199605254628', '1323441314733363200', '001', '56000000', '河南省', '1323441857501466624', '001025', '单位领导部门', null, '18543656787', '1301370984615514112', '001', '党建', '省初级', '1', '[{\"name\": \"微信截图_20230922142200.png\", \"path\": \"/train/2023/9/22/2a64c38d716e45739229156a099d0d9e.png\", \"size\": 56.3447265625, \"suffix\": \".png\"}]', 'Oracle、mysql', '擅长数据库领域的培训', '1', '0', null, null, null, '2022-10-21 18:11:27', null);
INSERT INTO `train_trainer` VALUES ('1585282786196066304', '2', '202210260004', '陆老师', '', '1323441314733363200', null, '1001', '河南省分公司本部', null, null, '', null, '', '1301371223997026304', '006', '综合', null, '1', '[]', '', '', '0', '0', '1569970196410667008', '李露露', '001041', '2022-10-26 22:50:44', '');
INSERT INTO `train_trainer` VALUES ('1585921881540792320', '1', '202210280005', '郑州的老师', '371521198506161419', '1323441314737557510', '001007', '56510000', '郑州市', '1323441857555992578', '001007017', '非领导职务部门', '', '13781444442', '1301371085220089856', '003', '寄递', '省初级', '1', 'null', '', '', '0', '0', '1', '主宰', '001025', '2022-10-28 17:10:16', '');
INSERT INTO `train_trainer` VALUES ('1591992533590872064', '2', '202211140048', '高志远', '', '1323441314737557510', null, 'gzy001', '郑州市分公司本部', null, null, '', null, '15225289877', '1301371945044021248', '002001', '保险业务', null, '1', '[]', '', '', '1', '0', '1591989473527336960', '高郑州', '001007047', '2022-11-14 11:12:52', '');
INSERT INTO `train_trainer` VALUES ('1592037025505218560', '1', '202211140050', '张晓慧', '410403198710255686', '1323441314741751831', '001010008', '56542001', '平顶山市东区分公司', '1323441857723764741', '001010008014', '矿工中路邮政所', '', '13837502077', '1301371178832760832', '005', '邮务', '省初级', '1', 'null', '邮政业务基础知识及操作', '张晓慧毕业于河南质量工程学院经管系，大专，最终学历南京邮电大学远程教育本科。2008年3月参加工作，现任平顶山市东区邮政局矿工中路邮政所网点负责人，于2018年被聘为省初级内训师。担任省内训师以来，参与过全省支局长培训及“一封信、一颗心”业务轮训及新一代营业系统培训，开发的课件《国际禁限寄规定》入围中邮网院河南省中心远程课件采用范围', '0', '0', '1592015564824514560', '吕虹璐', '001001005', '2022-11-14 14:09:40', '');
INSERT INTO `train_trainer` VALUES ('1592055082256568320', '1', '202211140051', '高志远', '411421199507182459', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049545', '001001005', '培训部', '', '15225279244', '1301371027162533888', '002', '金融', '省初级', '1', 'null', '', '', '1', '2', '1327473526785052672', '高志远', '001071', '2022-11-14 15:21:25', '');
INSERT INTO `train_trainer` VALUES ('1592076726324826112', '1', '202211140052', '高老师', '350781196403072329', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '', '15225279235', '1301371027162533888', '002', '金融', '省中级', '1', 'null', '', '', '0', '0', '1', '主宰', '001025', '2022-11-14 16:47:26', '');
INSERT INTO `train_trainer` VALUES ('1592077733855367168', '1', '202211140054', '董老师', '350781196403075300', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049545', '001001005', '培训部', '', '15225279234', '1301371085220089856', '003', '寄递', '集团级', '1', '[{\"name\": \"微信截图_20230329152032.png\", \"path\": \"/train/2023/3/29/0846d5faf3d14ce38a4c30b934068f75.png\", \"size\": 142.0439453125, \"suffix\": \".png\"}]', '', '', '1', '2', '1', '主宰', '001025', '2022-11-14 16:51:26', '');
INSERT INTO `train_trainer` VALUES ('1595346368883462144', '1', '202211230108', '测试', '410581199706059059', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '', '17630034020', '1301371027162533888', '002', '金融', '省初级', '1', 'null', '逃课,矿工', '', '0', '0', '1561995446459699200', '李昊杰', '001025', '2022-11-23 17:19:49', '');
INSERT INTO `train_trainer` VALUES ('1596789614633422848', '1', '202211270002', '黎利伯', '110101194705071972', '1323441314733363200', '001', '56000000', '河南省', '1366299625929183232', '001071', '运营管理部', '培训讲师', '13673876411', '1301371223997026304', '006', '综合', '省高级', '1', '[{\"name\": \"1000.png\", \"path\": \"/train/2023/3/29/32a32c84c5224cd98cbd4a27cdba0e92.png\", \"size\": 124.9765625, \"suffix\": \".png\"}]', 'java开发', '擅长java开发，有丰富的开发及培训经验', '1', '2', '1', '主宰', '001025', '2022-11-27 16:54:46', '');

-- ----------------------------
-- Table structure for train_trainer_exam
-- ----------------------------
DROP TABLE IF EXISTS `train_trainer_exam`;
CREATE TABLE `train_trainer_exam` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '内训师id',
  `exam_score` bigint(20) DEFAULT NULL COMMENT '考试成绩',
  `exam_result` smallint(6) DEFAULT NULL COMMENT '考试结果(1、优秀 2、良好  3、及格 4、不及格)',
  `state` smallint(6) DEFAULT NULL COMMENT '状态（1、待确认  2、已确认）',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='考试成绩';

-- ----------------------------
-- Records of train_trainer_exam
-- ----------------------------
INSERT INTO `train_trainer_exam` VALUES ('1608855680968691712', '1555010737095708672', '8000', '1', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681023217664', '1582666858753036288', '11000', '1', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681048383488', '1583286950952046592', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681077743616', '1583287459507212288', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681107103744', '1583368171707043840', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681132269568', '1583400561250799616', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681157435392', '1585921881540792320', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681186795520', '1592037025505218560', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681216155648', '1592055082256568320', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681245515776', '1592076726324826112', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681274875904', '1592077733855367168', '1000', '1', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681304236032', '1595346368883462144', '0', '4', '1', '2022-12-31 00:01:00');
INSERT INTO `train_trainer_exam` VALUES ('1608855681329401856', '1596789614633422848', '1000', '1', '1', '2022-12-31 00:01:00');

-- ----------------------------
-- Table structure for train_trainer_exam_option
-- ----------------------------
DROP TABLE IF EXISTS `train_trainer_exam_option`;
CREATE TABLE `train_trainer_exam_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `exam_id` bigint(20) DEFAULT NULL COMMENT '考试成绩id、',
  `score_items` varchar(20) DEFAULT NULL COMMENT '得分项',
  `number` bigint(20) DEFAULT NULL COMMENT '次数',
  `score` bigint(20) DEFAULT NULL COMMENT '每次分数',
  `all_score` bigint(20) DEFAULT NULL COMMENT '总分',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='考试得分项';

-- ----------------------------
-- Records of train_trainer_exam_option
-- ----------------------------
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681006440448', '1608855680968691712', '平台培训班授课', '60', '1000', '6000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681010634752', '1608855680968691712', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681010634753', '1608855680968691712', '个人线下授课', '1', '1000', '1000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681010634754', '1608855680968691712', '培训学习', '1', '1000', '1000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681035800576', '1608855681023217664', '平台培训班授课', '1683', '1000', '6000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681035800577', '1608855681023217664', '上传视频课件', '1', '1000', '1000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681035800578', '1608855681023217664', '个人线下授课', '2', '1000', '2000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681035800579', '1608855681023217664', '培训学习', '2', '1000', '2000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681065160704', '1608855681048383488', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681065160705', '1608855681048383488', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681065160706', '1608855681048383488', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681065160707', '1608855681048383488', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681094520832', '1608855681077743616', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681094520833', '1608855681077743616', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681094520834', '1608855681077743616', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681094520835', '1608855681077743616', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681119686656', '1608855681107103744', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681119686657', '1608855681107103744', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681119686658', '1608855681107103744', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681119686659', '1608855681107103744', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681144852480', '1608855681132269568', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681144852481', '1608855681132269568', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681144852482', '1608855681132269568', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681144852483', '1608855681132269568', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681174212608', '1608855681157435392', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681174212609', '1608855681157435392', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681174212610', '1608855681157435392', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681174212611', '1608855681157435392', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681203572736', '1608855681186795520', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681203572737', '1608855681186795520', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681203572738', '1608855681186795520', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681203572739', '1608855681186795520', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681232932864', '1608855681216155648', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681232932865', '1608855681216155648', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681232932866', '1608855681216155648', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681232932867', '1608855681216155648', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681266487296', '1608855681245515776', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681266487297', '1608855681245515776', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681266487298', '1608855681245515776', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681266487299', '1608855681245515776', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681291653120', '1608855681274875904', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681291653121', '1608855681274875904', '上传视频课件', '1', '1000', '1000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681291653122', '1608855681274875904', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681291653123', '1608855681274875904', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681316818944', '1608855681304236032', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681316818945', '1608855681304236032', '上传视频课件', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681316818946', '1608855681304236032', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681316818947', '1608855681304236032', '培训学习', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681346179072', '1608855681329401856', '平台培训班授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681346179073', '1608855681329401856', '上传视频课件', '1', '1000', '1000');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681346179074', '1608855681329401856', '个人线下授课', '0', '1000', '0');
INSERT INTO `train_trainer_exam_option` VALUES ('1608855681346179075', '1608855681329401856', '培训学习', '0', '1000', '0');

-- ----------------------------
-- Table structure for train_trainer_points_record
-- ----------------------------
DROP TABLE IF EXISTS `train_trainer_points_record`;
CREATE TABLE `train_trainer_points_record` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、课件观看量。2、课程收藏量。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id：课件id/课程id',
  `num` bigint(20) DEFAULT NULL COMMENT '数量',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='讲师课件观看、在线课程收藏积分记录';

-- ----------------------------
-- Records of train_trainer_points_record
-- ----------------------------

-- ----------------------------
-- Table structure for train_trainer_promotion
-- ----------------------------
DROP TABLE IF EXISTS `train_trainer_promotion`;
CREATE TABLE `train_trainer_promotion` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师名',
  `apply_lv` varchar(50) DEFAULT NULL COMMENT '申请等级',
  `apply_date` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '申请时间',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、审核拒绝。1、待审核。10、已通过',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='内训师晋升';

-- ----------------------------
-- Records of train_trainer_promotion
-- ----------------------------

-- ----------------------------
-- Table structure for train_trainer_recommend
-- ----------------------------
DROP TABLE IF EXISTS `train_trainer_recommend`;
CREATE TABLE `train_trainer_recommend` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `weight` int(11) DEFAULT NULL COMMENT '权重',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='课程推荐';

-- ----------------------------
-- Records of train_trainer_recommend
-- ----------------------------
INSERT INTO `train_trainer_recommend` VALUES ('433922606725289571', '1555010737095708672', '3017');
INSERT INTO `train_trainer_recommend` VALUES ('433922607496502716', '1565531038766206976', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607533899786', '1567326733391237120', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607558670259', '1567326775707570176', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607581094528', '1567335196691402752', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607602797112', '1567337225455276032', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607630802544', '1567338866929700864', '2000');
INSERT INTO `train_trainer_recommend` VALUES ('433922607652915803', '1570236817620471808', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607674443883', '1570236961212469248', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607695510920', '1582666858753036288', '5434');
INSERT INTO `train_trainer_recommend` VALUES ('433922607729575842', '1583286950952046592', '3967');
INSERT INTO `train_trainer_recommend` VALUES ('433922607751602101', '1583287459507212288', '2134');
INSERT INTO `train_trainer_recommend` VALUES ('433922607772972857', '1583368171707043840', '2500');
INSERT INTO `train_trainer_recommend` VALUES ('433922607794960977', '1583400561250799616', '3584');
INSERT INTO `train_trainer_recommend` VALUES ('433922607819854690', '1585282786196066304', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607842192440', '1585921881540792320', '3584');
INSERT INTO `train_trainer_recommend` VALUES ('433922607869710237', '1591992533590872064', '0');
INSERT INTO `train_trainer_recommend` VALUES ('433922607891341235', '1592037025505218560', '3184');
INSERT INTO `train_trainer_recommend` VALUES ('433922607912383466', '1592055082256568320', '2417');
INSERT INTO `train_trainer_recommend` VALUES ('433922607933464214', '1592076726324826112', '1600');
INSERT INTO `train_trainer_recommend` VALUES ('433922607956494233', '1592077733855367168', '2784');
INSERT INTO `train_trainer_recommend` VALUES ('433922607977478866', '1595346368883462144', '2000');
INSERT INTO `train_trainer_recommend` VALUES ('433922607998184486', '1596789614633422848', '2301');

-- ----------------------------
-- Table structure for train_user
-- ----------------------------
DROP TABLE IF EXISTS `train_user`;
CREATE TABLE `train_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '用户编号/用户名',
  `mix_pd` varchar(50) DEFAULT '' COMMENT '密码',
  `open_id` varchar(50) DEFAULT NULL COMMENT '微信openid',
  `union_id` varchar(50) DEFAULT NULL COMMENT '微信unionid',
  `client_id` varchar(50) DEFAULT NULL COMMENT '设备clientid',
  `device_token` varchar(100) DEFAULT NULL COMMENT '设备token',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `name` varchar(10) DEFAULT NULL COMMENT '姓名',
  `img` json DEFAULT NULL COMMENT '用户头像',
  `mobile` varchar(20) DEFAULT NULL COMMENT '手机号',
  `card_no` varchar(20) DEFAULT NULL COMMENT '身份证号码',
  `email` varchar(100) DEFAULT NULL COMMENT '邮箱',
  `type` smallint(1) DEFAULT NULL COMMENT '用户类型：1、学生。2、训师。3、省级管理员。4、地市管理员',
  `settle_in_time` datetime DEFAULT NULL COMMENT '入驻时间',
  `total_points` int(11) DEFAULT NULL COMMENT '累计积分',
  `points` int(11) DEFAULT NULL COMMENT '当前积分',
  `lock_times` smallint(6) DEFAULT '0' COMMENT '锁定次数',
  `lock_time` datetime DEFAULT NULL COMMENT '锁定到期日期',
  `is_upd_pwd` smallint(1) DEFAULT NULL COMMENT '是否修改密码：1、是。0、否。',
  `is_perfect_info` smallint(1) DEFAULT '0' COMMENT '是否完善信息：1、是。0、否。',
  `perfect_info_time` datetime DEFAULT NULL COMMENT '完善信息时间',
  `is_bind_wechat` smallint(1) DEFAULT NULL COMMENT '是否绑定微信：1、是。0、否。',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `face_url` varchar(255) DEFAULT NULL COMMENT '人脸URL',
  `is_head_teacher` varchar(5) DEFAULT NULL COMMENT '是否是班主任（1是）',
  `uuid` varchar(255) DEFAULT NULL COMMENT '通行UUID',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `train_user_card_no_index` (`card_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训用户';

-- ----------------------------
-- Records of train_user
-- ----------------------------
INSERT INTO `train_user` VALUES ('1555010577007513600', '202208040012', '1da62d7753d4721729822718c0d1e016', null, null, 'ba04712c659db43355f44ea945c02081', 'ba04712c659db43355f44ea945c02081', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '张磊', null, '15838150622', '410181198811015510', '', '2', '2022-08-04 09:59:47', '0', '0', '0', null, '0', '1', '2022-08-04 11:09:51', '0', '1', '/train/2022/11/29/a6c87c5894324890af2db2a427edc8b3.jpg', null, 'b7cef63383bc4ab1887632b1da031238');
INSERT INTO `train_user` VALUES ('1564137446730502144', '001002', '0b970312821a8cfb396decb35b702c99', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '郑州的班主任1111', null, '13678888888', '420682198711075511', '', '3', '2022-08-29 14:26:42', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1564137453919539200', '202208290001', '58c856e435a9634f09f9eb13a3398cf2', null, null, 'b49c41f7df9087cad54dc0a27ada58ad', 'b49c41f7df9087cad54dc0a27ada58ad', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '王宇航', null, '17319727217', '410782199612179612', '', '3', '2022-08-29 14:26:44', '0', '0', '0', null, '0', '1', null, '1', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1565939234546782208', '202209030001', '53953c8ed7cdd7a4b62c14c45ccdb09e', null, null, '278c77821e22252cbf252b8ca81b2db7', '278c77821e22252cbf252b8ca81b2db7', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '王涵', '[{\"name\": \"1666593480727_mmexport1658914776010.jpg\", \"path\": \"/train/2022/10/24/0fba3a99bc9d4dfc92a29434f5740efa.jpg\"}]', '18539565656', '110101199003072439', '', '3', '2022-09-03 13:46:22', '0', '0', '0', null, '0', '1', '2022-09-22 09:33:53', '0', '1', '/train/2022/11/29/a6c87c5894324890af2db2a427edc8b3.jpg', null, 'aa7aa7935fa141a9b4ccc5351ce7cab6');
INSERT INTO `train_user` VALUES ('1565939741671690240', '202209030002', '1154068eccf497fa354d7721003f9617', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '里零零零零', null, null, '410581111111111111', '', '3', '2022-09-03 13:48:23', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1567097186544652288', 'hyf', '554370af872c917f55988fb79dec8b21', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '何云凡', null, '18827515416', '412721199408145414', '', '2', null, '0', '0', '0', null, '0', '1', '2022-09-22 09:37:03', '0', '1', '', '1', 'ee18dd5bc7494339bdebe725d5ed14df');
INSERT INTO `train_user` VALUES ('1567451914025701376', '202209070002', 'b345af46a9b134da0cadc74042be35bc', null, null, '656d79b2cbbe74679c3614855b574924', '656d79b2cbbe74679c3614855b574924', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '何神', null, '13298106763', '41112319990816205X', '1048032370@qq.com', '1', '2022-09-07 17:57:13', '0', '0', '0', null, '0', '1', '2022-09-08 15:06:51', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1569928315261816832', '202209140007', '5b4a8dc4ec3e39efcd38727cfc2b4dfd', null, null, 'aab78e04193fbfa66b6b05ea958998e9', '50b93875adc582e4a8dc8b47db4f0c16ab90c90cda3d109cd4023c9637d9245d', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', '小石头', '[{\"name\": \"1663637992792_repair.png\", \"path\": \"/train/2022/9/20/4b1b44157b6b4ca29a33a5ec42b32181.png\"}]', '18737516907', '410402199111265733', '', '1', '2022-09-14 13:57:33', '0', '0', '0', null, '0', '1', '2022-09-14 14:13:43', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1570252962423508992', '001', '29bb87abbe3854245fa7862717ad89d8', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李主任001', null, '15745874547', '11010119900307475X', '', '2', '2022-10-10 15:14:41', '0', '0', '0', null, '0', '1', '2022-09-16 16:41:59', '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1570254194114433024', '002', '4d06bd14be1d9f855697e7171182678f', null, null, '6116040f2be1ce89b850c8a806f6c1e4', '3d1a0548ccfb2ea76cac07b0a6050bac0b7356c4b70a4e0ba2525f7183291208', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '李主任002', '[{\"name\": \"1644244067-compressed-IMG_0142.JPG\", \"path\": \"/train/2022/10/11/33e935d8fa9f432198d2fac984541cd3.jpg\"}]', '15748745745', '110101199003079710', '', '2', null, '0', '0', '0', null, '0', '1', '2022-10-10 15:01:48', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1570254300393902080', '22', '8bcc02bcc081aada0b1f55ddddec7800', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '22', null, '15478454745', '110101199003078419', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1571750260521439232', '1004', '2346fe9aaa782a5a3522f9bbf0f35a81', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '张磊', null, '15745874544', '110101199003075699', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '0', '', null, null);
INSERT INTO `train_user` VALUES ('1572825817233362944', '202209220003', '4039013a67195b4fca4032a1e2afea66', null, null, 'd860219614def940bd7f8df041a62277', 'd860219614def940bd7f8df041a62277', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '灿', null, '15038157220', '410181199311272013', '', '2', '2022-09-22 13:51:11', '0', '0', '0', null, '0', '1', '2022-09-22 14:19:44', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1572826733831393280', '666555', '933b88caa7bc478d9e0ac33c25710388', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '张三', null, '17896399978', '412824199612238866', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1574653861665312768', '202209270005', '916f64a15c94f1281f710c1283849008', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '李露', '[{\"name\": \"1666789027661_hdImg_6e0039027dce8a974fc793273025ff2b1634091525375.jpg\", \"path\": \"/train/2022/10/26/e32179a9940b4345a18cf9bddbd7aa02.jpg\"}]', '15713872517 ', '110101199003075795', 'qq1@123.com', '2', '2022-09-27 14:55:11', '0', '0', '0', null, '0', '1', '2022-09-29 11:21:41', '0', '1', '/train/2022/11/30/019887cb03f840389c097e44b8258ec8.jpg', null, 'f11de64993704d3e8adeada79c436941');
INSERT INTO `train_user` VALUES ('1574656123775094784', '1001', '193656f26e3b93508ced630774838926', null, null, null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '李露露', '[{\"name\": \"src=http___file04.16sucai.com_d_file_2015_0504_cf57eb1952ac4a98f150ed8b734ad6c2.jpg&refer=http___file04.16sucai.webp\", \"path\": \"/train/2022/10/18/c5b1821635104083925ee2333309df5f.webp\"}]', '15713872510', '110101199003075799', '', '4', '2022-10-11 09:48:06', '0', '0', '0', null, '0', '1', '2022-10-12 15:55:44', '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1574656535395700736', '1006', 'd0502e55dc90f9fc16144a745cd75477', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '001', null, '15874545745', '11010119900307707X', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1575324436016533504', '202209290006', '082f2e5edb26f06c039ea613378b4849', null, null, null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '省管理员', null, '15713872514', '110101199003077870', '', '3', '2022-09-29 11:19:48', '0', '0', '0', null, '0', '1', '2022-09-29 15:02:03', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1575733659590332416', 't001', 'b267d81c72017e034edbb187cb1a4e26', null, null, null, null, '1323441314754334752', '001023', '56670000', '信阳市分公司本部', '1323441858512293889', '001023012', '单位领导部门', '涛涛涛涛', null, '13666666666', '372522196510190018', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1575742080498667520', 'z012', '5c891e55517180a44a7d38bcf31b3105', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '本部创建得郑州1', null, '13699999999', '372522197108117239', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1575742396715634688', 'sx111', 'bfa5901f6f4a2b8cf31cd8b58342fb38', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '失信女', null, '13699999999', '372522196806067529', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1578618869008961536', '001005', 'ff684626f93e732f5162a21ee6e53498', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '王菲菲', null, '18524526235', '350781196403079029', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1579362188123049984', '004', 'cb4ba26b852b805c34ca0ac88e8bb399', null, null, null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '王主任', null, '15713872599', '110101199003074581', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1579367842850148352', '4628', 'c7cc2855a32d143635c4c46990d197bb', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李嘻嘻', null, '15238027299', '412721199605254628', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1579374510346473472', '202210100004', '5df8f25c8333477eaf869db38c55c486', null, null, '59663ddcba497490f1bc807ee27cbf08', '59663ddcba497490f1bc807ee27cbf08', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '李昊杰', '[{\"name\": \"1111111.png\", \"path\": \"/train/2022/10/10/410ff104ec014ac382b0f1944f510a73.png\", \"size\": 73.96484375, \"suffix\": \".png\"}]', '17630034021', '410581199706059059', '', '3', '2022-10-10 15:33:21', '0', '0', '0', null, '0', '1', '2022-10-10 15:35:49', '0', '1', '', '1', '1579374510346473472');
INSERT INTO `train_user` VALUES ('1580103759026065408', '202210120007', '259ca730e790dab79b5ea290775dbc82', null, null, null, null, '1323441314745946127', '001014', '56580000', '焦作市分公司本部', '1323441857824428044', '001014010', '单位领导部门', '111', null, '15713872515', '110101199003070994', '', '1', '2022-10-12 15:51:08', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1580753741991251968', '202210140001', '806df8fd217202e8d7e543b0bddb8b2c', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466629', '001030', '金融业务部', '王科员', null, '17630034022', '412724199608107518', '', '1', '2022-10-14 10:53:56', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1581886588420493312', 'wang1', '275a32e44f03a2752ac7192bd3b235ea', null, null, null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '网络1', null, '17737117399', '512501196512305186', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1581888248500850688', 'li111', '5516c15393320a6431e9bea9c784885b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '李全', null, '13673874156', '512501197506045175', '', '3', null, '0', '0', '0', null, '0', '1', '2022-10-17 16:35:29', '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1582642133595197440', '2001', '5195c022e677476ef467b9f1005e5956', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '李珍珍', null, '15713872519', '110101199003076800', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1582691917341265920', '202210190003', '8ad48e29bbe7b6ca8d4553a8386b9ba3', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '李市级', null, '15713872512', '110101199003071532', '', '4', '2022-10-19 19:15:33', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589496537845731328', '202211070007', '449264e399b1615d4053a7b7b8890ff2', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵', null, null, '410225198909106012', null, '1', '2022-11-07 13:54:41', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589496953836802048', '202211070008', '4c6c6401eb13a3217297aa3f27d39cba', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵', null, null, '410425198908106015', null, '1', '2022-11-07 13:56:20', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589497450408841216', '202211070009', '1e10bd1421ff09fa426736f2be647c29', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵', null, null, '410425198509106015', null, '1', '2022-11-07 13:58:18', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589502257060253696', '202211070011', '85ce49f372d96db99bd1b61d4b3dd8a9', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵', null, null, '410425198609106012', null, '1', '2022-11-07 14:17:24', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589510948744466432', '202211070012', '8e1233a35264ab1969b74b3ac4795307', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵测试', null, null, '410415198901062013', null, '1', '2022-11-07 14:51:57', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589512322240614400', '202211070013', '7f02ce700c310055d8bba7fde007bcf0', null, null, null, null, null, null, null, null, null, null, null, '王涵', null, null, '410423198505102030', null, '1', '2022-11-07 14:57:24', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1589513725826699264', '202211070014', '18376eeaf2cf67018994411bea34142a', null, null, null, null, null, null, null, null, null, null, null, '王涵', null, null, '410425198905102012', null, '1', '2022-11-07 15:02:59', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'a8d53d016d1f4f66b28416de6ab9dc18');
INSERT INTO `train_user` VALUES ('1589519897493377024', '202211070015', '31ea53a0474a566ec02a01a2a103ab5d', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '柳青青', null, null, '410181198811015555', null, '1', '2022-11-07 15:27:30', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '781d94de5f4642d794da8ab011b315af');
INSERT INTO `train_user` VALUES ('1589529146432819200', '202211070016', '799d5066fdd2537c422d87bed7e6d0c9', null, null, null, null, null, null, null, null, null, null, null, '王涵', null, null, '410425189808105012', null, '1', '2022-11-07 16:04:15', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'b3809036a2e047d5b126d6f6fe72ad78');
INSERT INTO `train_user` VALUES ('1589549783712927744', '202211070017', '2323dce628bb62353a652a238d30e65c', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '张磊', null, null, '410181198811015522', null, '1', '2022-11-07 17:26:16', '0', '0', '0', null, '0', '0', null, '0', '0', '', null, '3449780431094bbf838ad9a226624ac0');
INSERT INTO `train_user` VALUES ('1589787423250976768', '202211080018', 'f2d466d9e84c65630d4900eba856a4bf', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '张磊', null, null, '410181198811015566', null, '1', '2022-11-08 09:10:33', '0', '0', '0', null, '0', '0', null, '0', '0', '', null, '4297c74e899644c08bae09d34e4ba4e8');
INSERT INTO `train_user` VALUES ('1589788930155352064', '202211080019', '6790e5194b53c9531e2b9c53692ccbfc', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '刘丽丽', null, null, '410181198811019999', null, '1', '2022-11-08 09:16:32', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '4333be98759e4454b6ee543c60bbaa81');
INSERT INTO `train_user` VALUES ('1589789596093386752', '202211080020', 'b2740e673849bb70031cf384f3e03ea3', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '王涵', null, null, '410425198908105012', null, '1', '2022-11-08 09:19:11', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'e392f20978ab4c49aa3c3b841f86b938');
INSERT INTO `train_user` VALUES ('1589790686671147008', '202211080021', '1981e91a7e75c9d25472e460cf26ed90', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李慢慢', null, null, '410181198811012222', null, '1', '2022-11-08 09:23:31', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '7204c85524bc4809a4a04e382261b733');
INSERT INTO `train_user` VALUES ('1589793655986720768', '202211080022', '624f27c4a6e3b868ab7aa0a024e0d082', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '王哈达', null, null, '410425198909104502', null, '1', '2022-11-08 09:35:19', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '6c3f8514ee6b47e09aba10759728a422');
INSERT INTO `train_user` VALUES ('1589794001580593152', '202211080023', '0b4b429500a2fdc3486705c6d3945b30', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '哈哈', null, null, '410425198905102013', null, '1', '2022-11-08 09:36:42', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '7c0726eea9344ce2883d4b14f57b3d5f');
INSERT INTO `train_user` VALUES ('1589796068487467008', '202211080024', '2c85bf680cb3ccb44519babbf655ad1a', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '汪汪', null, null, '410425200008105016', null, '1', '2022-11-08 09:44:54', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '2144f898e0d249ceae8c0a6ae457d520');
INSERT INTO `train_user` VALUES ('1589868518332043264', '0121', '3823d27aaa5d75c98e27d431a69ac68b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '周磊', null, '17630008543', '410181201705040303', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '0', '', '1', null);
INSERT INTO `train_user` VALUES ('1589877695318200320', '202211080027', 'c426f0ac6f19340629b00813ecf3e6a0', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '周丽丽1', null, '15838150888', '110101199003076691', '', '1', '2022-11-08 15:09:16', '0', '0', '0', null, '0', '1', '2022-11-08 15:14:12', '0', '1', '', null, '67cd66a4010e47f782995d2822b35b31');
INSERT INTO `train_user` VALUES ('1589887987989221376', '202211080028', 'a25874bd251b87fa5184de13272f03a6', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '王丹丹', null, '15838150999', '110101198603076594', '', '1', '2022-11-08 15:50:10', '0', '0', '0', null, '0', '1', '2022-11-08 15:52:10', '0', '1', '', null, '1e03b0ca99d942209420605279991075');
INSERT INTO `train_user` VALUES ('1589902008373088256', '110', 'b1de358b1d24b75251d4d3a84c50eb52', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '远远', null, '18525252625', '350781196403077103', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', null, '', '1', null);
INSERT INTO `train_user` VALUES ('1589904363642556416', '1452', '901ca8cce44cbd7ac64d676d0a4bf77b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'YY', null, '18525252452', '350781196403072329', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', null, '', '1', null);
INSERT INTO `train_user` VALUES ('1589912013692342272', '112546', 'dd4b0bcbda9a7fa21054717fdad39811', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '小小', null, '18536563623', '35078119640307448X', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1590165343635116032', '202211090029', 'cfe7f5b6288690f22af068e7cd0782aa', null, null, null, null, null, null, null, null, null, null, null, '王涵', null, null, '410425198905102016', null, '1', '2022-11-09 10:12:16', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'a994a56ef43341358fb9836465c8e153');
INSERT INTO `train_user` VALUES ('1590171760580497408', '202211090030', 'ad3d0a301b8906a2f0638e594c6bed36', null, null, null, null, null, null, null, null, null, null, null, 'w', null, null, '410425198909103089', null, '1', '2022-11-09 10:37:46', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '02136c9020d44354b9ad34764d9f44f2');
INSERT INTO `train_user` VALUES ('1590181896380354560', '202211090031', '39e41e06da47b21760a3e077ee6b55e6', null, null, null, null, null, null, null, null, null, null, null, '王涵123', null, null, '421425198906102015', null, '1', '2022-11-09 11:18:03', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'a0d5b01d2ee746949bb6617dca7ae57e');
INSERT INTO `train_user` VALUES ('1590183699834605568', '202211090032', '259b4eb3cddea6152eec1d1706408372', null, null, null, null, null, null, null, null, null, null, null, '忘光光给', null, null, '410425196005106015', null, '1', '2022-11-09 11:25:13', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'ca3a2e01426848cba8fedbd06bf39250');
INSERT INTO `train_user` VALUES ('1590186242115506176', '202211090033', 'be4ba90ad22863a471babf569320fd9f', null, null, null, null, null, null, null, null, null, null, null, '哈哈在住', null, null, '410425194010250613', null, '1', '2022-11-09 11:35:19', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '28e05bd6efd54eff88bb2bfda7b99b24');
INSERT INTO `train_user` VALUES ('1590582122773614592', '202211100034', '70c031b55df1de14de810fbaf89a4c5d', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵', null, null, '420682198711075008', null, '1', '2022-11-10 13:48:24', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'ae08df88714344c59fde894f47c2d6b8');
INSERT INTO `train_user` VALUES ('1590586735358775296', '202211100035', '138620c9655d501dd41d5e4b8f34f56a', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵测试', null, null, '410425198605102013', null, '1', '2022-11-10 14:06:44', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '26413481194a4911b16d6de22adeb80d');
INSERT INTO `train_user` VALUES ('1590587531555115008', '202211100036', 'cb41aedc3eab363fc0e8ce14d65cf010', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵丫', null, null, '410425198908105023', null, '1', '2022-11-10 14:09:54', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '50e26e2f8d6345c1ad889f4aa6de26ea');
INSERT INTO `train_user` VALUES ('1590610341195288576', '202211100037', 'afdc0fa1b67e8335bedc09d054c6872c', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵我', null, null, '410425198608105016', null, '1', '2022-11-10 15:40:32', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'e07bcbc5706c4a458600172246c51539');
INSERT INTO `train_user` VALUES ('1590639495596871680', '202211100038', 'e232e7faf6385995a0b8cb63d0f561d2', null, null, '868b866cdd08fb1013b7264bfcd9fbed', '868b866cdd08fb1013b7264bfcd9fbed', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '刘芳芳', null, '15838150111', '110101198603074126', '', '1', '2022-11-10 17:36:23', '0', '0', '0', null, '0', '1', '2022-11-10 17:37:38', '0', '1', '', null, 'ad4adc5fe15d4e78a96f6655317b7831');
INSERT INTO `train_user` VALUES ('1590648570665635840', '10086', '803ac178ed1df48ed03416834706b97e', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '张芳芳', null, '15838150222', '110101199303076968', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1590949853146517504', '202211110044', 'd00b11648084b2e265f3a017a2b1e27e', null, null, '9799fa8aef0d1e97abcd006170086654', '9799fa8aef0d1e97abcd006170086654', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '王涵', null, '15713872544', '110101199003070409', null, '1', '2022-11-11 14:09:38', '0', '0', '0', null, '0', '1', '2022-11-17 15:42:20', '0', '1', '', null, 'fd773fbcab7d416db7c8b9bad4f8650e');
INSERT INTO `train_user` VALUES ('1590952665850974208', '202211110045', '03234049c0ea14e65d1457a6d80b468a', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '往往玩', null, null, '410425198906103012', null, '1', '2022-11-11 14:20:49', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '32c8428b5b104078b3528043a17037c3');
INSERT INTO `train_user` VALUES ('1591967614425501696', '023479', 'bbd828ecff1852e2288d657183ee6e38', null, null, '7ca9d1d4d58755ae638ba87ffcd6414e', '7ca9d1d4d58755ae638ba87ffcd6414e', '1323441314737557504', '001001', '56040000', '河南省本部', '1323441857514049545', '001001005', '培训部', '高志远', null, '15225279244', '411421199507182459', '', '3', '2022-11-14 09:33:51', '0', '0', '0', null, '0', '1', '2022-11-14 09:35:28', '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1591989767631933440', 'gzy001', '7aabb34bbba4c1f7c172cb898fe9a453', null, null, 'e3d530028dc4ce144ff08201be4b07d2', 'e3d530028dc4ce144ff08201be4b07d2', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1366299958692679680', '001007047', '运营管理部', '高郑州', null, '15225279266', '350781196403073380', '', '4', '2022-11-14 11:01:53', '0', '0', '0', null, '0', '1', '2022-11-14 11:48:48', '0', '1', '', '1', '44545e787822413fab3f33f4855b2424');
INSERT INTO `train_user` VALUES ('1592015564858068992', '03773189', 'e26326bc10985ed068e20f33b79b8849', null, null, null, null, '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '吕虹璐', null, '15515868918', '410105199008020087', '', '2', null, '0', '0', '0', null, '0', '1', '2022-11-14 13:39:51', '0', '1', '', '1', null);
INSERT INTO `train_user` VALUES ('1592034228969803776', '202211140049', '916359797e8c9cf5b0d3d15266e153b8', null, null, null, null, '1323441314741751831', '001010008', '56542001', '平顶山市东区分公司', '1323441857723764741', '001010008014', '矿工中路邮政所', '张晓慧', null, '13837502077', '410403198710255686', '', '2', '2022-11-14 13:58:33', '0', '0', '0', null, '0', '1', '2022-11-19 14:12:58', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1592077522693132288', '202211140053', 'ab27ba60d6bdd0491a4940d02b0414f2', null, null, '967e58ace781bb75c94535d3d1c3537c', '967e58ace781bb75c94535d3d1c3537c', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049545', '001001005', '培训部', '高老师', null, '15225279234', '350781196403075300', '', '2', '2022-11-14 16:50:35', '0', '0', '0', null, '0', '1', '2022-11-14 16:59:26', '0', '1', '', null, 'a2d9f4667fdd42c1be64acc26caa2123');
INSERT INTO `train_user` VALUES ('1592720777000652800', 'zheng001', 'e4daa189560177bd560ad98169a56a52', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992579', '001007018', '领导助理部门', '测试郑州', null, '13699999988', '430321195701156413', '', '2', null, '0', '0', '0', null, '0', '0', null, '0', null, '', '1', null);
INSERT INTO `train_user` VALUES ('1593126345620197376', '202211170055', '247085c84bfff12d4ec413f265ce1c4e', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'lilu', null, '15784514784', '110101199003079120', '', '1', '2022-11-17 14:18:14', '0', '0', '0', null, '0', '1', '2022-11-19 15:35:44', '0', '1', '', null, '1426c69640ce4af8b991d9f3eab3a03f');
INSERT INTO `train_user` VALUES ('1593130018354106368', '202211170056', '9a17dc3830bd7822e4c7113490a36ab1', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李婷', null, '15713872555', '110101199003075488', '', '3', '2022-11-17 14:32:50', '0', '0', '0', null, '0', '1', '2022-11-17 14:34:24', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1593172328945160192', '202211170057', '2c53b6d06a1d54ec873b865e1e5d83ff', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李厅', null, '15713872566', '110101199003075349', '', '1', '2022-11-17 17:20:58', '0', '0', '0', null, '0', '1', '2022-11-17 17:23:11', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1593447338142208000', '202211180058', '73b5a38987afc5fd8f1eea97c671cc92', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '测试', null, null, '11010119900307213X', null, '1', '2022-11-18 11:33:45', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'f742c73736f54d94a7fd69ce760fffd3');
INSERT INTO `train_user` VALUES ('1593449838584926208', '202211180059', '383b83ac036f18c635429d22c2d0e3aa', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '王安石', null, null, '110101199003076894', null, '1', '2022-11-18 11:43:41', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '3d0bb9466a41444bb9164bd9e3a59cbe');
INSERT INTO `train_user` VALUES ('1593454348137009152', '202211180060', 'b7ed3e0ee68beb0e835a02f2f43bbca7', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '王亚', null, null, '110101199003078515', null, '1', '2022-11-18 12:01:36', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1593478742355873792', '202211180061', '215870733e908f5d5720f288b9d30e32', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'YY', null, null, '110101199003073116', null, '1', '2022-11-18 13:38:32', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '7b04dbc05e3542b4addd64338026d7cc');
INSERT INTO `train_user` VALUES ('1593479582902784000', '202211180062', '88c8c8fe0e1c731f4f1e209932c45013', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', '王王2', null, null, '110101199003072412', null, '1', '2022-11-18 13:41:53', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'b3c8510aad914549a81ce4f991b3ba72');
INSERT INTO `train_user` VALUES ('1593482825254965248', '202211180063', 'b20493f816fcdfee0e6eb88a4956c34f', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'aaa', null, null, '110101199003078734', null, '1', '2022-11-18 13:54:46', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '3f7b805c99814f6e902d845517daa8ea');
INSERT INTO `train_user` VALUES ('1593489505036406784', '202211180064', '8b85eec2c38eae26ff24227b41bb39aa', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', 'ee', null, null, '110101199003079518', null, '1', '2022-11-18 14:21:18', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '46e7fc4e685a4fb2873145157c8c94bb');
INSERT INTO `train_user` VALUES ('1593491703745089536', '202211180065', 'fdbffc438f4909f6aa3e29aa09ab8db9', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '11', null, null, '11010120110307989X', null, '1', '2022-11-18 14:30:02', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '4474b80324cb4d819b0afe47cacd889e');
INSERT INTO `train_user` VALUES ('1593509718448541696', '202211180066', '017f959f92e3020cd0c68aa2138372c3', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '77y', null, null, '110101200003079396', null, '1', '2022-11-18 15:41:38', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '3edba6cca5f44745a0c582a0d6e34632');
INSERT INTO `train_user` VALUES ('1593516895204675584', '202211180067', 'b0d4464654c0738d1a56055cbf671b31', null, null, null, null, null, null, null, null, null, null, null, 'dd', null, null, '150102199003076898', null, '1', '2022-11-18 16:10:09', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '7099ea2818154f7892bc89c8d6dd6798');
INSERT INTO `train_user` VALUES ('1593532185497964544', '202211180068', 'db7537ae911aeae279b3657984cdd9da', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '11', null, null, '110101201103072137', null, '1', '2022-11-18 17:10:54', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '400739198f664aa19c09581ddf90513b');
INSERT INTO `train_user` VALUES ('1593842844030865408', '202211190069', '5b3eeefafaf33ca7333f920ca4fdcaf5', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '李一', null, null, '110101199003072244', null, '1', '2022-11-19 13:45:21', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1593852545346965504', '202211190070', '1a3f9f52d3a2f8d3a0dea42a76f53600', null, null, null, null, null, null, null, null, null, null, null, '测试意义', null, null, '110101201103070027', null, '1', '2022-11-19 14:23:54', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1593855262131884032', '202211190071', 'f60abfaa0356d16254ff98b1d2611059', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '李三', null, null, '110101199003078232', null, '1', '2022-11-19 14:34:42', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'f3d8f5542e424da4963d245cd147a2b2');
INSERT INTO `train_user` VALUES ('1593856415510958080', '202211190072', '2fcfb93ac65fe15a68634cf181b1362b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '测试', null, null, '110101201103077560', null, '1', '2022-11-19 14:39:17', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '85085f1ec4ae40a7bc564fbf49c648e0');
INSERT INTO `train_user` VALUES ('1593862922424160256', '202211190073', 'a7985701cf518fb4facaf0e2f1e729d7', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '李四', null, '15713875653', '11010119900307619X', null, '1', '2022-11-19 15:05:08', '0', '0', '0', null, '0', '1', '2022-11-21 16:39:13', '0', '1', '', null, '81ad6c2faf6643ebbcbadcf1a6d6c1fc');
INSERT INTO `train_user` VALUES ('1593864420877012992', '202211190074', '92455bd77836d77f5b20883e8b3f4fed', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '外网', null, null, '110101199003168094', null, '1', '2022-11-19 15:11:05', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '37247f31911a4de3896f2fef54218e62');
INSERT INTO `train_user` VALUES ('1593865238464303104', '202211190075', '3de120d5c1838c37a942f88223a2df78', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '李武', null, null, '110101199003162039', null, '1', '2022-11-19 15:14:20', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '1ac0b26e8dd14ac6b4718aec05ce2b4c');
INSERT INTO `train_user` VALUES ('1593885025168920576', '202211190076', 'ea6ea530217a66f055940fd697e2385b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李六', null, null, '110101199003160834', null, '1', '2022-11-19 16:32:58', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'ef875638841e4d4a9b853e25728402eb');
INSERT INTO `train_user` VALUES ('1593893948823310336', '202211190077', '65878f572ed879180aba881d47483711', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '456', null, null, '110101199003169070', null, '1', '2022-11-19 17:08:25', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'b24b896f3ad0448aa30009dfc188fd8c');
INSERT INTO `train_user` VALUES ('1593895047307333632', '202211190078', 'd8cc1bd45cdc94ba71f600496bae0524', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '呃呃呃呃', null, null, '110101199004077557', null, '1', '2022-11-19 17:12:47', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '1624e61a5db44b7eba1f2e42ca946cd9');
INSERT INTO `train_user` VALUES ('1593895275678797824', '202211190079', '406c8107bdef68d92ca07e536e0392a8', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '777', null, null, '11010119900407695X', null, '1', '2022-11-19 17:13:42', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'b018b800a2f54f8c8f6e3c2c2e0945ba');
INSERT INTO `train_user` VALUES ('1593908021333987328', '202211190080', '8b8df3cea90f8f19c22c4dd91b1ccc0b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '李琦', null, '15713872577', '110101199004075674', null, '1', '2022-11-19 18:04:20', '0', '0', '0', null, '0', '1', '2022-11-19 19:14:35', '0', '1', '', null, '9ef0e002b91f44dbbff5753cae61a932');
INSERT INTO `train_user` VALUES ('1593917700583854080', '202211190081', '7b6d889cf0c87fec003caca76a0f2dba', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '李八', null, null, '110101199008073529', null, '1', '2022-11-19 18:42:48', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'ac96836c092b427cb01e14ea8dbcafa4');
INSERT INTO `train_user` VALUES ('1593937047876407296', '202211190082', '59ed531d29461381e73d2376330efe1d', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '李露露', null, '15713872533', '11010120070307465X', null, '1', '2022-11-19 19:59:41', '0', '0', '0', null, '0', '1', '2022-11-20 10:52:49', '0', '1', '', null, 'fc5b0d943ea949c2b6ec58157ceff121');
INSERT INTO `train_user` VALUES ('1593939481117986816', '202211190083', '99cd47dcde7a2278875ff1aea4edb15c', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '利旧', null, null, '110101200703076911', null, '1', '2022-11-19 20:09:21', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '5aca43bb4c944bcbaa18f5f3c4af3c97');
INSERT INTO `train_user` VALUES ('1594171185472606208', '202211200084', 'b04be550266b1982138a9fb0f35f5712', null, null, null, null, null, null, null, null, null, null, null, '张健', null, null, '41052319921211101X', null, '1', '2022-11-20 11:30:04', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '50dca224232a428f975328f3f59a8f5e');
INSERT INTO `train_user` VALUES ('1594172613977051136', '202211200085', '34a90e0adf55c79c9b847e90ceecba71', null, null, null, null, '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992578', '001007017', '非领导职务部门', 'wang', null, null, '110101199003074944', null, '1', '2022-11-20 11:35:44', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1594176761233543168', '202211200086', 'b130d0b3ed6a67e1dfa8c9a304419946', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '汪涵', null, null, '110101200503074997', null, '1', '2022-11-20 11:52:13', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1594182539172515840', '202211200087', '228b7d9d419f111636c7797a7f93bfe8', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '汪涵', null, null, '11010120110307401X', null, '1', '2022-11-20 12:15:10', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '3a5eeba933d3413eb9c5481f71aa83e7');
INSERT INTO `train_user` VALUES ('1594189970099277824', '202211200088', 'c3d7015059adbc46575400c27653104e', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1243', null, null, '110101201103079478', null, '1', '2022-11-20 12:44:42', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1594190633659142144', '202211200089', '31cee8562794cb5e37299f7c15743a8b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '测试1246', null, null, '150102199003072192', null, '1', '2022-11-20 12:47:20', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'b692ead8a66b4c62a5bb1bd15eda0c26');
INSERT INTO `train_user` VALUES ('1594194005799866368', '202211200090', 'c00773fa619edb567f7fb1a8337a8ae6', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '234324', null, null, '36010220050307069X', null, '1', '2022-11-20 13:00:44', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '984ff1371d9b4f65a0b26b284be27127');
INSERT INTO `train_user` VALUES ('1594196874573778944', '202211200091', '9ed8ee7fd872a0bb92bea3ae53f1d535', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1311', null, null, '360102200503079619', null, '1', '2022-11-20 13:12:08', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'b74c0c448f4d4f8080c978212a986cc5');
INSERT INTO `train_user` VALUES ('1594200334652280832', '202211200092', 'dd6dd103911fb388289f3858b9fa9cba', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '21', null, null, '110101199003075947', null, '1', '2022-11-20 13:25:53', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'a20f416788994e149e362b4e2612ad7e');
INSERT INTO `train_user` VALUES ('1594203503994212352', '202211200093', '28d85b1c040b39434ec4229ad1970380', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '测试附属', null, null, '110101199003077002', null, '1', '2022-11-20 13:38:29', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '5251b56ceeab46da8ac3b5f640bbe6c2');
INSERT INTO `train_user` VALUES ('1594236660655198208', '202211200094', 'c842573a56bfbd7bdfc0fd520f6211c2', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857505660928', '001033', '办公室（党委办公室）', '测试1549', null, null, '110101199003078988', null, '1', '2022-11-20 15:50:14', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'bda45ccfdff14a73a605b5920999d746');
INSERT INTO `train_user` VALUES ('1594243795166302208', '202211200095', '2f41ec7dd1a990358a3b0c7f1f6db0c8', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '王三', null, null, '110101199003077985', null, '1', '2022-11-20 16:18:35', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'afa4c7485c644e2786baeb8c748f294e');
INSERT INTO `train_user` VALUES ('1594512404811747328', '202211210096', 'e51d88531d45fea2c3440afeb593144b', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '测试', null, null, '110101201103076090', null, '1', '2022-11-21 10:05:57', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '2096453800684d33b8f934c54c6702e0');
INSERT INTO `train_user` VALUES ('1594596093570715648', '202211210097', '63b2ee091b01a7feff09f7a17e33a6fa', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '刘一', null, null, '110101199003071866', null, '1', '2022-11-21 15:38:30', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'e1a30008a4214ebda2013d0649ceb4c6');
INSERT INTO `train_user` VALUES ('1594603307282862080', '202211210098', '28692fccfe99689be5702b6fa644fa82', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '黎利伯', null, '15713874545', '110101199003077053', '', '1', '2022-11-21 16:07:09', '0', '0', '0', null, '0', '1', '2022-11-21 16:12:23', '0', '1', '', null, '46dcee8737f848ac9cb20a9ce5c299d1');
INSERT INTO `train_user` VALUES ('1594612473548378112', '202211210099', '18356912152085646459998e28ae6298', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '六二', null, null, '110101199004073986', null, '1', '2022-11-21 16:43:35', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '25f3acbcf4a841dabefea09f3fdf5c7f');
INSERT INTO `train_user` VALUES ('1594876784518762496', '202211220101', '9709cf164703e6ad62c080c2a5cfb810', null, null, null, null, null, null, null, null, null, null, null, '注销状态', null, null, '110101199001075417', null, '1', '2022-11-22 10:13:51', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '3eb8abac07d74e36aa173370b943ce38');
INSERT INTO `train_user` VALUES ('1594884909942575104', '202211220102', '99d2e11e9e58c899d3812b2a17838eaa', null, null, null, null, null, null, null, null, null, null, null, '多设备', null, null, '110101199001075011', null, '1', '2022-11-22 10:46:09', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'bea5ad0fe6d145a89b7801855006a923');
INSERT INTO `train_user` VALUES ('1594934928573861888', '202211220103', 'cdfc39ad1bc33a3f27509bfd1a5273d6', null, null, null, null, null, null, null, null, null, null, null, '22房间', null, null, '110101199003093686', null, '1', '2022-11-22 14:04:54', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '8d6c11ca1781489bb509a2fec26bb7b7');
INSERT INTO `train_user` VALUES ('1595251103560241152', '202211230104', '10bab1ef2a8cba50a83b22c5f93af3ac', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466629', '001030', '金融业务部', '状态', null, null, '110101199003095876', null, '1', '2022-11-23 11:01:16', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, 'a775ad8514404ae3acabd7dfc2b8cab8');
INSERT INTO `train_user` VALUES ('1595290317471485952', '202211230105', '6be4e6aa123903a93df3e2b5e2a220f5', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '张三', '[{\"name\": \"郑州市级十月份金融培训第一期 (2).png\", \"path\": \"/train/2022/11/23/bee28a08bdc3443c8ecdf203c11f056e.png\", \"size\": 5.0126953125, \"suffix\": \".png\"}]', '15713872455', '110101199003144033', '', '3', '2022-11-23 13:37:05', '0', '0', '0', null, '0', '1', '2022-11-23 13:37:47', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1595299618307051520', '202211230106', '33914e683e59569d98147cf88edab64f', null, null, '65a93c1793ad832567c4a28fc84464f7', '65a93c1793ad832567c4a28fc84464f7', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '张四', null, '15713872366', '11010119900314229X', '', '1', '2022-11-23 14:14:03', '0', '0', '0', null, '0', '1', '2022-11-23 14:15:27', '0', '1', '', null, null);
INSERT INTO `train_user` VALUES ('1595332257508364288', '202211230107', '311c6bd125c826cc82252b6ad6f5e228', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '103', null, null, '11010119900307766X', null, '1', '2022-11-23 16:23:45', '0', '0', '0', null, '0', '0', null, '0', '1', '', null, '16f542e9fd95462c9ead3a29900182f7');
INSERT INTO `train_user` VALUES ('1596789432940367872', '202211270001', '17e73f62d9e85f13bbcdea98e01291fb', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '黎利伯导师', null, '13673876411', '110101194705071972', '', '2', '2022-11-27 16:54:02', '0', '0', '0', null, '0', '1', '2022-11-27 19:30:49', '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597216880005877760', '202211280003', '8e9f25bac2948c3ab6e84292daec55c9', null, null, null, null, null, null, null, null, null, null, null, '2112', null, null, '110101201003076915', null, '1', '2022-11-28 21:12:34', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '1f45f9467f6d4f07867f939ad3b342c5');
INSERT INTO `train_user` VALUES ('1597217797556015104', '202211280004', 'c2ab623bb1246f3cd685701f3867f69c', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '2115', null, null, '110101201003076130', null, '1', '2022-11-28 21:16:12', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597218763445506048', '202211280005', 'cb87bdcb89017963c9e9e9da695e091a', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '2119', null, null, '110101201003076050', null, '1', '2022-11-28 21:20:03', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597223725911117824', '202211280006', '9614f3dd2b955af0a59372dbd5e21cf0', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '娃娃', null, null, '110101201103078010', null, '1', '2022-11-28 21:39:46', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597224121203298304', '202211280007', '2981178a04595f84e9e3ca220545b5b3', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '小小', null, null, '110101201103075012', null, '1', '2022-11-28 21:41:20', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597225005823954944', '202211280008', 'b7d822400896d0c787e3837c302f21f3', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '11', null, null, '110101201103073738', null, '1', '2022-11-28 21:44:51', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597402389248348160', '202211290009', 'f2b51c8d5664b2d6704833fe2c31f3af', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1129', null, null, '110101201103070430', null, '1', '2022-11-29 09:29:43', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '34f01a950f824855afd3f7d1a6f56322');
INSERT INTO `train_user` VALUES ('1597464184969367552', '202211290010', '36cd67e9267b34e1ffc6bf1964ded086', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1334', null, null, '110101201503070050', null, '1', '2022-11-29 13:35:16', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '00090e158c0c4fd985cb8604c6c1d4ac');
INSERT INTO `train_user` VALUES ('1597467267455651840', '202211290011', '75ac25a5fe15201aa7773b94470c9ed1', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1347', null, null, '110101201503075572', null, '1', '2022-11-29 13:47:31', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597467985432416256', '202211290012', 'f308c1970c500150739ceec02118cbb5', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', '运营管理部', '1350', null, null, '110101201503075574', null, '1', '2022-11-29 13:50:22', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597479346963091456', '202211290013', 'c42411ac450439d10493fee3c08673d8', null, null, null, null, null, null, null, null, null, null, null, '1435', null, null, '11010120150307967X', null, '1', '2022-11-29 14:35:31', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597480279696609280', '202211290014', '64e11a1261f580e92e10a83d1c401bfb', null, null, null, null, null, null, null, null, null, null, null, '1437', null, null, '110101201503073075', null, '1', '2022-11-29 14:39:13', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);
INSERT INTO `train_user` VALUES ('1597482125739823104', '202211290015', '5e79cdf285aff301b7d21a7ee071f352', null, null, null, null, null, null, null, null, null, null, null, '1444', null, null, '110101201503078175', null, '1', '2022-11-29 14:46:33', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '39a0f50e336b4f2da736282a167a99df');
INSERT INTO `train_user` VALUES ('1597485315180859392', '202211290016', 'a1f8da7609c2ac67d21753247a37b33b', null, null, null, null, null, null, null, null, null, null, null, '1458', null, null, '110101201503078176', null, '1', '2022-11-29 14:59:14', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '56f1e2ad3d2749df8e0d7fda1c800705');
INSERT INTO `train_user` VALUES ('1597486704833466368', '202211290017', '65d2f053f4ec60a27187582af4d268f5', null, null, null, null, null, null, null, null, null, null, null, '1504', null, null, '120101201103072358', null, '1', '2022-11-29 15:04:45', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '7a8d665185b24031a8150180f0e82871');
INSERT INTO `train_user` VALUES ('1597489600065048576', '202211290018', '7ee42c43ad7454ec95fbfda0197a5e1d', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466629', '001030', '金融业务部', '1515', null, null, '120101201103072251', null, '1', '2022-11-29 15:16:15', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, '04a1a2d046a54e49af0b6e1deb576b8c');
INSERT INTO `train_user` VALUES ('1597495016090112000', '202211290019', '200dd0ca46cd6863912630dc46eb1a61', null, null, null, null, '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '单位领导部门', '1537', null, null, '12010120110307699X', null, '1', '2022-11-29 15:37:47', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, 'c544f27a26854440aff5f267f77e99ba');
INSERT INTO `train_user` VALUES ('1597560618922151936', '202211290020', 'f22db82d43fa706823296ea30ae358e3', null, null, null, null, null, null, null, null, null, null, null, '1958', null, null, '15010220090307763X', null, '1', '2022-11-29 19:58:27', '0', '0', '0', null, '0', '0', null, '0', '1', null, null, null);

-- ----------------------------
-- Table structure for train_user_attention
-- ----------------------------
DROP TABLE IF EXISTS `train_user_attention`;
CREATE TABLE `train_user_attention` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `attention_user_id` bigint(20) DEFAULT NULL COMMENT '关注用户id',
  `attention_user_name` varchar(30) DEFAULT NULL COMMENT '关注用户姓名',
  `attention_trainer_id` bigint(20) DEFAULT NULL COMMENT '关注讲师id',
  `is_read` smallint(1) DEFAULT NULL COMMENT '是否已读：1、未读。2、已读。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_trainer_id` bigint(20) DEFAULT NULL COMMENT '创建讲师id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户关注、粉丝';

-- ----------------------------
-- Records of train_user_attention
-- ----------------------------
INSERT INTO `train_user_attention` VALUES ('1575383912996278272', '1555010577007513600', '周老师', '1555010737095708672', '2', '1575324436016533504', null, '省管理员', '2022-09-29 15:16:09');
INSERT INTO `train_user_attention` VALUES ('1583409231346929664', '1570254300393902080', '22', '1583286950952046592', '1', '1574653861665312768', '1582666858753036288', '李露', '2022-10-21 18:45:54');
INSERT INTO `train_user_attention` VALUES ('1588063408069152768', '1574656123775094784', '李露露', '1582666858753036288', '1', '1574653861665312768', null, '李露', '2022-11-03 14:59:56');
INSERT INTO `train_user_attention` VALUES ('1594965239600910336', '1574653861665312768', '李露', '1582666858753036288', '1', '1594603307282862080', null, '黎利伯', '2022-11-22 16:05:21');
INSERT INTO `train_user_attention` VALUES ('1594979479405596672', '1574653861665312768', '李露', '1582666858753036288', '1', '1567097186544652288', null, '何云凡', '2022-11-22 17:01:56');
INSERT INTO `train_user_attention` VALUES ('1596078408679428096', '1592077522693132288', '高老师', '1592077733855367168', '1', '1565939234546782208', null, '王涵', '2022-11-25 17:48:41');
INSERT INTO `train_user_attention` VALUES ('1596080455252316160', '1575734154828582912', '通缉犯', '1585921881540792320', '1', '1565939234546782208', null, '王涵', '2022-11-25 17:56:49');
INSERT INTO `train_user_attention` VALUES ('1596080473484955648', '1591967614425501696', '高志远', '1592055082256568320', '1', '1565939234546782208', null, '王涵', '2022-11-25 17:56:53');
INSERT INTO `train_user_attention` VALUES ('1596080488148242432', '1579367842850148352', '李嘻嘻', '1583400561250799616', '1', '1565939234546782208', null, '王涵', '2022-11-25 17:56:57');
INSERT INTO `train_user_attention` VALUES ('1596080505349083136', '1570254300393902080', '22', '1583286950952046592', '1', '1565939234546782208', null, '王涵', '2022-11-25 17:57:01');
INSERT INTO `train_user_attention` VALUES ('1596095562141274112', '1579362188123049984', '王主任', '1583368171707043840', '1', '1565939234546782208', null, '王涵', '2022-11-25 18:56:51');
INSERT INTO `train_user_attention` VALUES ('1596095574610939904', '1592034228969803776', '张晓慧', '1592037025505218560', '1', '1565939234546782208', null, '王涵', '2022-11-25 18:56:54');
INSERT INTO `train_user_attention` VALUES ('1598880431397277696', null, null, null, '1', '1555010577007513600', '1555010737095708672', '张磊', '2022-12-03 11:22:55');
INSERT INTO `train_user_attention` VALUES ('1600453238027587584', '1574653861665312768', '李露', '1582666858753036288', '1', '1565939234546782208', null, '王涵', '2022-12-07 19:32:42');
INSERT INTO `train_user_attention` VALUES ('1619891845846929408', '1579362188123049984', '王主任', '1583368171707043840', '1', '1555010577007513600', '1555010737095708672', '张磊', '2023-01-30 10:54:47');

-- ----------------------------
-- Table structure for train_user_class
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class`;
CREATE TABLE `train_user_class` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '培训班编号',
  `name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `address` varchar(255) DEFAULT NULL COMMENT '培训地点',
  `lat` varchar(20) DEFAULT NULL COMMENT '经度',
  `lng` varchar(20) DEFAULT NULL COMMENT '维度',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `undertake_dept` varchar(20) DEFAULT NULL COMMENT '承办部门',
  `scope` varchar(255) DEFAULT NULL COMMENT '培训范围（数据字典）',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `class_fee` bigint(20) DEFAULT NULL COMMENT '班级费用（总费用）',
  `content` varchar(1024) DEFAULT NULL COMMENT '培训内容',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `sign_up_type` smallint(6) DEFAULT NULL COMMENT '报名方式：1、名单用户范围 2、秘钥 3、名单+秘钥 0、不限制',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：-1、主动撤回 0、审核拒绝。1、待审核。10、报名中。20、进行中。30、已结束。',
  `user_path` json DEFAULT NULL COMMENT '用户名单路径',
  `secret_key` varchar(20) DEFAULT NULL COMMENT '秘钥',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `creat_user_tel` varchar(11) DEFAULT NULL COMMENT '创建人联系方式',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班';

-- ----------------------------
-- Records of train_user_class
-- ----------------------------
INSERT INTO `train_user_class` VALUES ('1557931721616396288', '202208120002', '1', '河南省郑州市金水区杨金路街道优客工场·郑州何方社区河南外包产业园', '34.844001603773116', '113.74363242709418', '1301371027162533888', '002', '金融', '', '邮政营业员,邮件分拣员,邮件转运员,邮政投递员,报刊业务员,集邮业务员,邮政业务档案员,邮政机务员,邮政业务营销员,速递业务员,机要业务员,通信信息业务员,邮政物品配送员,汽车驾驶员,其他通用职业,邮政储汇业务员', '2022-08-12 11:24:00', '2022-08-12 11:24:00', '1000', '，，，，，', '', '2', '1', null, '1111', null, '1555010577007513600', '周老师', '15838150622', '001026', '2022-08-12 11:27:22');
INSERT INTO `train_user_class` VALUES ('1583411964435107840', '202210210001', 'APP培训班', '河南省郑州市金水区国基路街道天伦路4号黑庄社区', '34.826204', '113.692928', '1301371085220089856', '003', '寄递', '', '集邮业务员,报刊业务员,邮政储汇业务员,邮政投递员', '2022-10-21 18:55:00', '2022-10-22 18:55:00', '12500', '计算机技术', '', '0', '1', null, '', null, '1574653861665312768', '李露', '15713872517', '001003004', '2022-10-21 18:56:45');

-- ----------------------------
-- Table structure for train_user_class_appendix
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_appendix`;
CREATE TABLE `train_user_class_appendix` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `images` json DEFAULT NULL COMMENT '图集',
  `video` json DEFAULT NULL COMMENT '视频',
  `file` json DEFAULT NULL COMMENT '文件',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1 课件 2 附件',
  `create_time` datetime DEFAULT NULL COMMENT '上传时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班附件';

-- ----------------------------
-- Records of train_user_class_appendix
-- ----------------------------
INSERT INTO `train_user_class_appendix` VALUES ('1583412030919020544', '1583411964435107840', '[{\"name\": \"1666349819081_Screenshot_20221020_214812_com.lazyit.train.jpg\", \"path\": \"/train/2022/10/21/ed7ee82c51ad473780bdd9462e20d992.jpg\"}, {\"name\": \"1666349818942_Screenshot_20221020_121700_uni.UNIEDA7D44.jpg\", \"path\": \"/train/2022/10/21/554612a0db6d4adf84ca53d16d4fc3ea.jpg\"}, {\"name\": \"1666349819189_Screenshot_20221021_134309_com.lazyit.train.jpg\", \"path\": \"/train/2022/10/21/10c58dcab7f54dabb80cc41344506365.jpg\"}]', null, null, '1', '2022-10-21 18:57:01');

-- ----------------------------
-- Table structure for train_user_class_apply
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_apply`;
CREATE TABLE `train_user_class_apply` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `name` varchar(20) DEFAULT NULL COMMENT '用户姓名',
  `code` varchar(20) DEFAULT NULL COMMENT '用户编号',
  `mobile` varchar(11) DEFAULT NULL COMMENT '手机号',
  `org_id` bigint(20) DEFAULT NULL COMMENT '所属机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '所属机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '所属机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `apply_org_id` bigint(20) DEFAULT NULL COMMENT '申请机构id',
  `apply_org_code` varchar(20) DEFAULT NULL COMMENT '申请机构编号',
  `apply_org_use_code` varchar(20) DEFAULT NULL COMMENT '申请机构自定义编号',
  `apply_org_name` varchar(20) DEFAULT NULL COMMENT '申请机构名称',
  `apply_dept_id` bigint(20) DEFAULT NULL COMMENT '申请部门id',
  `apply_dept_code` varchar(20) DEFAULT NULL COMMENT '申请部门code',
  `apply_dept_name` varchar(20) DEFAULT NULL COMMENT '申请部门名称',
  `type` smallint(6) DEFAULT NULL COMMENT '用户类型：1、学生。2、训师。3、管理员。',
  `state` smallint(6) DEFAULT NULL COMMENT '状态 ：0、已拒绝。1、待审核。10、已通过。20、禁用',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='APP培训创建权限申请';

-- ----------------------------
-- Records of train_user_class_apply
-- ----------------------------

-- ----------------------------
-- Table structure for train_user_class_dept
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_dept`;
CREATE TABLE `train_user_class_dept` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '地市培训班id',
  `org_id` bigint(20) DEFAULT NULL COMMENT '主办机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '主办机构code',
  `org_name` varchar(20) DEFAULT NULL COMMENT '主办机构名称',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '主办机构用户自定义机构编号',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '主办部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '主办部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '主办部门名称',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班主办部门';

-- ----------------------------
-- Records of train_user_class_dept
-- ----------------------------
INSERT INTO `train_user_class_dept` VALUES ('1557931726293045248', '1557931721616396288', '1323441314737557504', '001001', '河南省培训中心', '56040000', '1323441857514049541', '单位领导部门', '001001001', '2022-08-12 11:27:23');
INSERT INTO `train_user_class_dept` VALUES ('1583412059159269376', '1583411964435107840', '1334398186252537856', '001069', '中邮人寿保险股份有限公司河南分公司', '000001', '1353553262283984896', '中邮人寿省分公司本部', '001069002', '2022-10-21 18:57:08');

-- ----------------------------
-- Table structure for train_user_class_fee
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_fee`;
CREATE TABLE `train_user_class_fee` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '地市培训班id',
  `fee` bigint(20) DEFAULT NULL COMMENT '费用（单位/分）',
  `fee_name` varchar(50) DEFAULT NULL COMMENT '费用名称',
  `fee_type` smallint(1) DEFAULT NULL COMMENT '费用类型（1、收入 2、支出）',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班费用';

-- ----------------------------
-- Records of train_user_class_fee
-- ----------------------------
INSERT INTO `train_user_class_fee` VALUES ('1372306256777318400', '1372306253795168256', '20000', '讲师费用', '1', '2021-03-18 05:58:02');
INSERT INTO `train_user_class_fee` VALUES ('1372306256777318401', '1372306253795168256', '52300', '培训费', '1', '2021-03-18 05:58:02');
INSERT INTO `train_user_class_fee` VALUES ('1372378903607382016', '1372378903066316800', '100', '讲师费用', '1', '2021-03-18 10:46:43');
INSERT INTO `train_user_class_fee` VALUES ('1372739124351602688', '1372739123848286208', '50000', '讲师费用', '1', '2021-03-19 10:38:06');
INSERT INTO `train_user_class_fee` VALUES ('1373812693475135488', '1373812692925681664', '6200000', '讲师费用', '1', '2021-03-22 09:44:05');
INSERT INTO `train_user_class_fee` VALUES ('1557931726557286400', '1557931721616396288', '1000', '讲师费用', '1', '2022-08-12 11:27:23');
INSERT INTO `train_user_class_fee` VALUES ('1583412059176046592', '1583411964435107840', '12500', '讲师费用', '1', '2022-10-21 18:57:08');

-- ----------------------------
-- Table structure for train_user_class_mul_addr
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_mul_addr`;
CREATE TABLE `train_user_class_mul_addr` (
  `id` bigint(20) NOT NULL,
  `train_user_class_id` bigint(20) DEFAULT NULL COMMENT '地市培训班id',
  `address` varchar(255) DEFAULT NULL COMMENT '培训地点',
  `lat` varchar(20) DEFAULT NULL COMMENT '经度',
  `lng` varchar(20) DEFAULT NULL COMMENT '维度',
  `sort_no` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班多个地点记录表';

-- ----------------------------
-- Records of train_user_class_mul_addr
-- ----------------------------

-- ----------------------------
-- Table structure for train_user_class_schedule
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_schedule`;
CREATE TABLE `train_user_class_schedule` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '地市培训班id',
  `name` varchar(255) DEFAULT NULL COMMENT '课程名称',
  `type` varchar(20) DEFAULT NULL COMMENT '课程类型（数据字典）',
  `space` varchar(255) DEFAULT NULL COMMENT '场地',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班课程表';

-- ----------------------------
-- Records of train_user_class_schedule
-- ----------------------------
INSERT INTO `train_user_class_schedule` VALUES ('1557931726741835776', '1557931721616396288', '。。，，', '普通授课', '提嘻嘻嘻嘻', '2022-08-12 11:26:00', '2022-08-12 11:26:00', '2022-08-12 11:27:23');
INSERT INTO `train_user_class_schedule` VALUES ('1583412059217989632', '1583411964435107840', 'APP断英语', '普通授课', '金水区', '2022-10-21 18:56:00', '2022-10-21 18:58:00', '2022-10-21 18:57:08');

-- ----------------------------
-- Table structure for train_user_class_trainer
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_trainer`;
CREATE TABLE `train_user_class_trainer` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `schedule_id` bigint(20) DEFAULT NULL COMMENT '课程表id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '地市培训班id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训班讲师';

-- ----------------------------
-- Records of train_user_class_trainer
-- ----------------------------
INSERT INTO `train_user_class_trainer` VALUES ('1557931726842499072', '1557931721616396288', '1557931726741835776', '1555010737095708672', '周');
INSERT INTO `train_user_class_trainer` VALUES ('1583411967429840896', '1583411964435107840', '1583411967413063680', '1582666858753036288', '陆老师');
INSERT INTO `train_user_class_trainer` VALUES ('1583412059230572544', '1583411964435107840', '1583412059217989632', '1582666858753036288', '陆老师');

-- ----------------------------
-- Table structure for train_user_class_user
-- ----------------------------
DROP TABLE IF EXISTS `train_user_class_user`;
CREATE TABLE `train_user_class_user` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '地市课程id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '培训用户',
  `check_in_time` datetime DEFAULT NULL COMMENT '报到时间',
  `check_in_address` varchar(50) DEFAULT NULL COMMENT '报到位置',
  `state` smallint(6) DEFAULT NULL COMMENT '学习状态：0、未开始。1、已报名。2、进行中。3、已结束。4、已评价',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='地市培训课程学员';

-- ----------------------------
-- Records of train_user_class_user
-- ----------------------------

-- ----------------------------
-- Table structure for train_user_exercises
-- ----------------------------
DROP TABLE IF EXISTS `train_user_exercises`;
CREATE TABLE `train_user_exercises` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `exercises_id` bigint(20) DEFAULT NULL COMMENT '练习题id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `error_num` int(11) DEFAULT NULL COMMENT '错误数量',
  `total_num` int(11) DEFAULT NULL COMMENT '题目数量',
  `state` smallint(1) DEFAULT NULL COMMENT '状态：0、未做。1、已做。',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户练习题';

-- ----------------------------
-- Records of train_user_exercises
-- ----------------------------
INSERT INTO `train_user_exercises` VALUES ('1585220820685426688', '1583410071226945536', '1574656123775094784', '0', '2', '0', '2022-10-26 18:44:30');
INSERT INTO `train_user_exercises` VALUES ('1585220823269117952', '1583410071226945536', '1574656123775094784', '0', '2', '0', '2022-10-26 18:44:31');
INSERT INTO `train_user_exercises` VALUES ('1585220824355442688', '1583410071226945536', '1574656123775094784', '0', '2', '0', '2022-10-26 18:44:31');
INSERT INTO `train_user_exercises` VALUES ('1587643919271858176', '1583410071226945536', '1565939234546782208', '0', '2', '0', '2022-11-02 11:13:02');
INSERT INTO `train_user_exercises` VALUES ('1592067901735702528', '1592067901681176576', '1574653861665312768', '1', '2', '1', '2022-11-14 16:12:22');
INSERT INTO `train_user_exercises` VALUES ('1596020581642407936', '1596020418291044352', '1574656123775094784', '0', '2', '0', '2022-11-25 13:58:54');
INSERT INTO `train_user_exercises` VALUES ('1607914056654655488', '1596020418291044352', '1569928315261816832', '0', '2', '0', '2022-12-28 09:39:19');
INSERT INTO `train_user_exercises` VALUES ('1607914677784940544', '1596027660906139648', '1569928315261816832', '0', '2', '0', '2022-12-28 09:41:47');
INSERT INTO `train_user_exercises` VALUES ('1607933873751199744', '1583410071226945536', '1569928315261816832', '0', '2', '0', '2022-12-28 10:58:04');

-- ----------------------------
-- Table structure for train_user_exercises_answer
-- ----------------------------
DROP TABLE IF EXISTS `train_user_exercises_answer`;
CREATE TABLE `train_user_exercises_answer` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户姓名',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `test_paper_name` varchar(30) DEFAULT NULL COMMENT '试卷名',
  `user_exercises_id` bigint(20) DEFAULT NULL COMMENT '用户练习题id',
  `test_paper_question_id` bigint(20) DEFAULT NULL COMMENT '考题id',
  `content` varchar(200) DEFAULT NULL COMMENT '考题内容',
  `answer` varchar(200) DEFAULT NULL COMMENT '答案',
  `result` smallint(6) DEFAULT NULL COMMENT '结果：1、正确。2、错误。',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户练习题答案';

-- ----------------------------
-- Records of train_user_exercises_answer
-- ----------------------------
INSERT INTO `train_user_exercises_answer` VALUES ('1592067950788087808', '1574653861665312768', '李露', '1567076368796225536', '测试题1', '1592067901735702528', '1567076369047883776', '1+1=？', '2', '1');
INSERT INTO `train_user_exercises_answer` VALUES ('1592067950788087809', '1574653861665312768', '李露', '1567076368796225536', '测试题1', '1592067901735702528', '1567076369064660996', '测试多选2', '1', '0');

-- ----------------------------
-- Table structure for train_user_major
-- ----------------------------
DROP TABLE IF EXISTS `train_user_major`;
CREATE TABLE `train_user_major` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训用户专业';

-- ----------------------------
-- Records of train_user_major
-- ----------------------------
INSERT INTO `train_user_major` VALUES ('1323499068743356416', '1323498927344979968', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1327488244224495616', '1327468364754456576', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1327539131781353472', '1327447426851803136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1328971347061248000', '1328969308973436928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1328971347061248001', '1328969308973436928', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1328971347061248002', '1328969308973436928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1328971347061248003', '1328969308973436928', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1328971347061248004', '1328969308973436928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1328971347061248005', '1328969308973436928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1328971347061248006', '1328969308973436928', '1301371271531073536', '007', '其他');
INSERT INTO `train_user_major` VALUES ('1329234321357279232', '1327447426855997440', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1329234321361473536', '1327447426855997440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1329234321361473537', '1327447426855997440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1329234321361473538', '1327447426855997440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1329234321361473539', '1327447426855997440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1331463213186945024', '1330815510157332480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1331463213191139328', '1330815510157332480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1331463213191139329', '1330815510157332480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1331463213191139330', '1330815510157332480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1331463213191139331', '1330815510157332480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1331464346567577600', '1330815510249607169', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1331464346567577601', '1330815510249607169', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1331464346567577602', '1330815510249607169', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1331464346567577603', '1330815510249607169', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1331464346567577604', '1330815510249607169', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1331464346567577605', '1330815510249607169', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1331464346567577606', '1330815510249607169', '1301371271531073536', '007', '其他');
INSERT INTO `train_user_major` VALUES ('1334327722805170176', '1330815510140555264', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1334327722805170177', '1330815510140555264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334327722805170178', '1330815510140555264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1334331055653654528', '1330815510077640706', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1334331055653654529', '1330815510077640706', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334331055653654530', '1330815510077640706', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1334331055653654531', '1330815510077640706', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1334331055653654532', '1330815510077640706', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1334331055653654533', '1330815510077640706', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1334331055653654534', '1330815510077640706', '1301371271531073536', '007', '其他');
INSERT INTO `train_user_major` VALUES ('1334331183743504384', '1330815510157332484', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1334331183743504385', '1330815510157332484', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334333136389148672', '1330815510119583744', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334333136389148673', '1330815510119583744', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1334333136389148674', '1330815510119583744', '1301371271531073536', '007', '其他');
INSERT INTO `train_user_major` VALUES ('1334333279389749248', '1330815510127972352', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1334333279389749249', '1330815510127972352', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334333279389749250', '1330815510127972352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1334335091438129152', '1330815510379630594', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1334335091438129153', '1330815510379630594', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334335091438129154', '1330815510379630594', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1334335091438129155', '1330815510379630594', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1334335091438129156', '1330815510379630594', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1334335091438129157', '1330815510379630594', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1334335091438129158', '1330815510379630594', '1301371271531073536', '007', '其他');
INSERT INTO `train_user_major` VALUES ('1334405057331990528', '1330815510165721088', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1334405057331990529', '1330815510165721088', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1334405057331990530', '1330815510165721088', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1336839494833410048', '1329695641437343745', '1301371271531073536', '007', '其他');
INSERT INTO `train_user_major` VALUES ('1336864048406466560', '1329695641428955136', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1336864048406466561', '1329695641428955136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1337314014962782208', '1329695641424760832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1338652953405427712', '1329695641416372224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1338652953405427713', '1329695641416372224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1338652953405427714', '1329695641416372224', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344460667213713408', '1340957333022445568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344462968972251136', '1340957333206994944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344463489820921856', '1340957357009670144', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344464146166583296', '1340957389574246400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344465200794963968', '1340962253838618624', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344465268478447616', '1340961416554876928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344465348409298944', '1340961417553121280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344466406309236736', '1340961496288595968', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344467292158824448', '1340957463284944896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344467292158824449', '1340957463284944896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344467824713797632', '1340957451939352576', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344468254139224064', '1340957291133931520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344468254139224065', '1340957291133931520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344469385921826816', '1340961460230164480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344470266679529472', '1340962572945461248', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344470266679529473', '1340962572945461248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344470266679529474', '1340962572945461248', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344470982622056448', '1340961514273771520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344471211849158656', '1340961512285671424', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344472197800005632', '1340957340404420608', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344474397313994752', '1340961426952556544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344476006626496512', '1340961483676323840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344476006626496513', '1340961483676323840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344476006626496514', '1340961483676323840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1344476006626496515', '1340961483676323840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344476006626496516', '1340961483676323840', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344476006626496517', '1340961483676323840', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344477424162836480', '1340961416777175040', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344477926049058816', '1340961482661302272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344478172397309952', '1340961438239428608', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344478172397309953', '1340961438239428608', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344478189623316480', '1340962272561991680', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344479083333029888', '1340961405288976384', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344479083333029889', '1340961405288976384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344479083333029890', '1340961405288976384', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1344479083333029891', '1340961405288976384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344479083333029892', '1340961405288976384', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344479083333029893', '1340961405288976384', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344479413701578752', '1330815510312521730', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344481531653132288', '1340957463360442368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344484050450124800', '1340961453859016704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344484050450124801', '1340961453859016704', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344484681176977408', '1340961452869160960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344484681176977409', '1340961452869160960', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344484681176977410', '1340961452869160960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344487833271930880', '1340957317721624576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344487998108078080', '1340961420552048640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344488049064677376', '1340957409484607488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344488954270978048', '1340957438513385472', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344492936800374784', '1340957449099808768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344492936800374785', '1340957449099808768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344498310307778560', '1340962278828281856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344498310307778561', '1340962278828281856', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344501594821103616', '1340957302865399808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344515401782005760', '1340961418748497920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344515401782005761', '1340961418748497920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344518352017690624', '1340957414052204544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344535604460916736', '1340961482669690880', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344535742906503168', '1340957457178038272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344537785649991680', '1340961496083075072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344538045768142848', '1340957464039919616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344538045768142849', '1340957464039919616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344538045768142850', '1340957464039919616', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1344538045768142851', '1340957464039919616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344538045768142852', '1340957464039919616', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344538045768142853', '1340957464039919616', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344542277476945920', '1340961495336488960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344542345391116288', '1340957465470177280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344542345391116289', '1340957465470177280', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344549141048594432', '1340957409564299264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344549141048594433', '1340957409564299264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344549493986693120', '1340961485651841024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344549493986693121', '1340961485651841024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344549493986693122', '1340961485651841024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1344549493986693123', '1340961485651841024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344549493986693124', '1340961485651841024', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344549493986693125', '1340961485651841024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344557540675031040', '1340957422830882816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344559834787352576', '1340957330874961920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344571188189466624', '1340957463654043648', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344574831437418496', '1340957343378182144', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344575954235822080', '1340961428567363584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344582291032248320', '1340961443482308608', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344582811151110144', '1340957424810594304', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1344582811151110145', '1340957424810594304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1344582811151110146', '1340957424810594304', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1344582811151110147', '1340957424810594304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344582811155304448', '1340957424810594304', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1344582811155304449', '1340957424810594304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344609483594272768', '1340957473149947904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344610110646915072', '1340962263443574784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1344968069453320192', '1340961405129592832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1344971253672448000', '1340961435236306944', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345529360639201280', '1340961525673889792', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345651117895323648', '1340957436500119552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345651117895323649', '1340957436500119552', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1345889782995226624', '1340961416944947200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1345889782995226625', '1340961416944947200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1345889782995226626', '1340961416944947200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1345889782995226627', '1340961416944947200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345889782995226628', '1340961416944947200', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1345889782995226629', '1340961416944947200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345892051224498176', '1340961430505132032', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1345892051224498177', '1340961430505132032', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1345892051224498178', '1340961430505132032', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345894749428649984', '1340957296959819776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345896952310665216', '1340962272717180928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345899685528866816', '1340961400935288832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1345899685533061120', '1340961400935288832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1345899685533061121', '1340961400935288832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345905455729348608', '1340957468603322368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345905455729348609', '1340957468603322368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345908866612858880', '1340961494736703488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345911809118441472', '1340957353989771264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345911968430690304', '1340957318879252480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345912531352424448', '1340961400834625536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345914938530598912', '1340961396573212672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345917895896600576', '1340957402891161600', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345921569754583040', '1340957464677453824', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1345921569758777344', '1340957464677453824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345921569758777345', '1340957464677453824', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345923062410907648', '1340962576212824064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1345923062410907649', '1340962576212824064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1345923062410907650', '1340962576212824064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1345923062410907651', '1340962576212824064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345923062410907652', '1340962576212824064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345937461544620032', '1340962306154172416', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345943748546269184', '1340957401788059648', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345950437345464320', '1340961524059082752', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1345977192651296768', '1340961459202560000', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1345977192651296769', '1340961459202560000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1345977192651296770', '1340961459202560000', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346018321727885312', '1340957303393882112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346018321727885313', '1340957303393882112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346018321727885314', '1340957303393882112', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346018668189978624', '1340961428521226240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346027991536373760', '1340957330950459392', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346028277332054016', '1340957303825895424', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346028552574865408', '1340961442949632000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346041912481681408', '1340961426927390720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346042748964311040', '1340957338483429376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346055386846859264', '1340957453793234944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346245956873621504', '1340957330682023936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346252345121574912', '1340961418329067520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346258048070586368', '1340957286234984448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346263264694243328', '1340961512474415104', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346271122706010112', '1340961429066485760', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346280802866040832', '1340957392061468672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346304982848245760', '1340962576594505728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346305487070695424', '1340957301892321280', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346318759975063552', '1340962291524440064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346322085038919680', '1340961464000843776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346322085038919681', '1340961464000843776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346329456448507904', '1340957452610441216', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346337820561772544', '1340957350051319808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346342584758439936', '1340957454288162816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346354555377553408', '1340957293923143680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346354902103887872', '1340961496263430144', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346354902103887873', '1340961496263430144', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346355146283683840', '1340961434867208192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346355408821948416', '1340957292933287936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346358162105700352', '1346358097400172544', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346364244412731392', '1340957304232742912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346364244412731393', '1340957304232742912', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346364244412731394', '1340957304232742912', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346364763243941888', '1340961427296489472', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346364763243941889', '1340961427296489472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346364763243941890', '1340961427296489472', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346364763243941891', '1340961427296489472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346364763243941892', '1340961427296489472', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346364763243941893', '1340961427296489472', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346367618621247488', '1340962573922734080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346371647413817344', '1340961484850728960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346372129872023552', '1340957357450072064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346372627983372288', '1340957292329308160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346375563396386816', '1340957466736857088', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346375563396386817', '1340957466736857088', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346376403398037504', '1340957462198620160', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346376403398037505', '1340957462198620160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346377356608147456', '1340962305931874304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346379832132505600', '1340962261778436096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346380807832473600', '1340962284691918848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346383075420016640', '1340961425581019136', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346383075424210944', '1340961425581019136', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346383075424210945', '1340961425581019136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346384221702328320', '1340957292803264512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346385153286606848', '1340961480308297728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346391657792278528', '1340957454686621696', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346391657792278529', '1340957454686621696', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346392593113681920', '1340957285610033152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346392593113681921', '1340957285610033152', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346392593113681922', '1340957285610033152', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346392960425660416', '1340961425283223552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346394269279195136', '1340957352739868672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346394445192499200', '1340957333215383552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346394445192499201', '1340957333215383552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346394445192499202', '1340957333215383552', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346394445192499203', '1340957333215383552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346394445192499204', '1340957333215383552', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346394445192499205', '1340957333215383552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346394635781672960', '1340961430316388352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346395021640863744', '1340957439641653248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346395184094646272', '1340957457048014848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346395184094646273', '1340957457048014848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346395184094646274', '1340957457048014848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346395184094646275', '1340957457048014848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346395184094646276', '1340957457048014848', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346395184094646277', '1340957457048014848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346398371757297664', '1340961405683240960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346398371757297665', '1340961405683240960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346398371757297666', '1340961405683240960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346398371757297667', '1340961405683240960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346398772174917632', '1340957384968900608', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346403485796667392', '1340957411418181632', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346403957441957888', '1340961428433145856', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346406070876246016', '1340957411711782912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346406070876246017', '1340957411711782912', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346412529760473088', '1340957410096975872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346412529760473089', '1340957410096975872', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346412821755334656', '1340962259786141696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346412821755334657', '1340962259786141696', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346418223482015744', '1340961425941729280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346595265875939328', '1340957390081757184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346599852624187392', '1340961428462505984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346600704625741824', '1340961419088236544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346605689975476224', '1340962276659826688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346607232112005120', '1340961523320885248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346607269630054400', '1340962273392463872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346608801024970752', '1340962565429268480', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346608801024970753', '1340962565429268480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346609544905756672', '1340961456883109888', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346609544905756673', '1340961456883109888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346610039829434368', '1330815510056669184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346610039829434369', '1330815510056669184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346610868003147776', '1340961486033522688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346615387336347648', '1340962305248202752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346623705207410688', '1340962291046289408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346632888917037056', '1340957348730114048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346637431230828544', '1340962272897536000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346638417735323648', '1340957320968015872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346640511875813376', '1340961403942604800', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346640944828649472', '1340962260956352512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346645404963442688', '1340957317159587840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346650940501004288', '1340961521311813632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346659083675111424', '1340957450219687936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346660064320163840', '1340957464333520896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346676184863346688', '1340961403493814272', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346676184863346689', '1340961403493814272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346680164335095808', '1340961404408172544', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346680164335095809', '1340961404408172544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346707570429136896', '1340962290362617856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346707570429136897', '1340962290362617856', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346707570429136898', '1340962290362617856', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346707570429136899', '1340962290362617856', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346713476176941056', '1340961483147841536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346725443570634752', '1340961398506786816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346748518743805952', '1340961442702168064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346748518743805953', '1340961442702168064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346748518743805954', '1340961442702168064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346748518743805955', '1340961442702168064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346748518743805956', '1340961442702168064', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346748518743805957', '1340961442702168064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346749077156663296', '1340957342371549184', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346749077156663297', '1340957342371549184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346749077156663298', '1340957342371549184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346749077156663299', '1340957342371549184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346755677045002240', '1340961425371303936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346760123997097984', '1340957339515228160', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346765478466555904', '1340957411057471488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346765478466555905', '1340957411057471488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346793884512030720', '1340962305361448960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346793884512030721', '1340962305361448960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346793884512030722', '1340962305361448960', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1346793884512030723', '1340962305361448960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346800277440827392', '1340961441116721152', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1346800277440827393', '1340961441116721152', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1346800277440827394', '1340961441116721152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346807576033103872', '1340961397298827264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346814993164800000', '1340957377184272384', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1346967536721334272', '1340957440224661504', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346975392908578816', '1340957472155897856', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1346975392908578817', '1340957472155897856', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346977557769228288', '1340961423857160192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1346981562926895104', '1340961431654371328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347002417711026176', '1330815510262190081', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347002417711026177', '1330815510262190081', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347002417711026178', '1330815510262190081', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347002417711026179', '1330815510262190081', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347002417711026180', '1330815510262190081', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347002417711026181', '1330815510262190081', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347006357869563904', '1340957304568287232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347006370376978432', '1340962285769854976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347048195418624000', '1340957304794779648', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347048195418624001', '1340957304794779648', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347048195418624002', '1340957304794779648', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347048195418624003', '1340957304794779648', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347048195418624004', '1340957304794779648', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347048195418624005', '1340957304794779648', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347048532879740928', '1340961464550297600', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347048532879740929', '1340961464550297600', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347065973437501440', '1340957467101761536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347065973437501441', '1340957467101761536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347072419868839936', '1340962307114668032', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347074210161364992', '1340961403988742144', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347076637866463232', '1340961425576824832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347076719957381120', '1340957339393593344', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347076719957381121', '1340957339393593344', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347076719957381122', '1340957339393593344', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347091158081343488', '1340962578297393152', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347091158081343489', '1340962578297393152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347092221517762560', '1340957462102151168', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347092221517762561', '1340957462102151168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347104340531351552', '1340961417905442816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347104340531351553', '1340961417905442816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347104460475863040', '1340961448746160128', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347104460475863041', '1340961448746160128', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347105348661678080', '1340961505037914112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347106759562629120', '1340957284192358400', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347106759562629121', '1340957284192358400', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347106759562629122', '1340957284192358400', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347106759562629123', '1340957284192358400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347106759562629124', '1340957284192358400', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347106759562629125', '1340957284192358400', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347108762565087232', '1340957355352920064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347111836927004672', '1340957306388615168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347111836931198976', '1340957306388615168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347112806910136320', '1340957355667492864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347112806910136321', '1340957355667492864', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347113796178677760', '1340961408388567040', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347113796178677761', '1340961408388567040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347113796178677762', '1340961408388567040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347113796178677763', '1340961408388567040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347113796178677764', '1340961408388567040', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347113796178677765', '1340961408388567040', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347114221690818560', '1340961431448850432', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347114221690818561', '1340961431448850432', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347117881770512384', '1340957305658806272', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347117881770512385', '1340957305658806272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347119014924652544', '1340957330732355584', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347119014924652545', '1340957330732355584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347131183925956608', '1340961494677983232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347133569142755328', '1340957453776457728', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347133569142755329', '1340957453776457728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347133569142755330', '1340957453776457728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347133569142755331', '1340957453776457728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347133569142755332', '1340957453776457728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347133569142755333', '1340957453776457728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347171548678721536', '1340957301225426944', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347171548678721537', '1340957301225426944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1347171548678721538', '1340957301225426944', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1347171548678721539', '1340957301225426944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347171548678721540', '1340957301225426944', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347171548678721541', '1340957301225426944', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347321130758836224', '1340957451360538624', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347321160974602240', '1340961442135937024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347331301300113408', '1340962304572919808', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347332190916186112', '1340962285883101184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347333003310927872', '1340961415619547136', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1347333003310927873', '1340961415619547136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347334925577228288', '1340962565504765952', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347335079952781312', '1340957330853990400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1347354081332695040', '1340961502932373504', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347388115530158080', '1340957441063522304', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1347388115530158081', '1340957441063522304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1347401048364552192', '1340961496817078272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1348445370677596160', '1340957425783672832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1348448914600235008', '1340961515536257024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1348448914600235009', '1340961515536257024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1348448914600235010', '1340961515536257024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1348448914600235011', '1340961515536257024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1348459461848731648', '1340962588854456320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1348460346406473728', '1340961398221574144', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1348490316415635456', '1340961520829468672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1348536686019219456', '1340957460915163136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352514276371337216', '1330815510450933763', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352522040216784896', '1340957368195878912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352522040216784897', '1340957368195878912', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352522040216784898', '1340957368195878912', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352522040216784899', '1340957368195878912', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352522114984448000', '1330815510337687553', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352522114984448001', '1330815510337687553', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352522114984448002', '1330815510337687553', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352522114984448003', '1330815510337687553', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352522114984448004', '1330815510337687553', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352522114984448005', '1330815510337687553', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352522367099867136', '1340961497605607424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352522367104061440', '1340961497605607424', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352522367104061441', '1340961497605607424', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352522367104061442', '1340961497605607424', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352522619282395136', '1340957414547132416', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352522619282395137', '1340957414547132416', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352523949514297344', '1340957304723476480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352523949514297345', '1340957304723476480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352523949514297346', '1340957304723476480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352523949514297347', '1340957304723476480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352523949514297348', '1340957304723476480', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352523949514297349', '1340957304723476480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352525199458832384', '1340962573360697344', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352525199458832385', '1340962573360697344', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352526655121395712', '1330815510153138177', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352526773946028032', '1340961452827217920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352526773946028033', '1340961452827217920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352526773946028034', '1340961452827217920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352526773946028035', '1340961452827217920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352526773946028036', '1340961452827217920', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352526773946028037', '1340961452827217920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352527220387745792', '1330815510442545154', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352527220387745793', '1330815510442545154', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352527220387745794', '1330815510442545154', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352527334875467776', '1340957386214608896', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352527334875467777', '1340957386214608896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352527334875467778', '1340957386214608896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352527334875467779', '1340957386214608896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352527334875467780', '1340957386214608896', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352527334875467781', '1340957386214608896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352527388998766592', '1330815510132166656', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352527388998766593', '1330815510132166656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352527388998766594', '1330815510132166656', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352528923031900160', '1340962291415388160', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352528923031900161', '1340962291415388160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352529974938177536', '1340962261849739264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352530421551861760', '1330815510153138178', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352530421551861761', '1330815510153138178', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352530421551861762', '1330815510153138178', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352530421551861763', '1330815510153138178', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352530421551861764', '1330815510153138178', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352530421551861765', '1330815510153138178', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352530715593543680', '1330815510358659072', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352530715593543681', '1330815510358659072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352530715593543682', '1330815510358659072', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352530715593543683', '1330815510358659072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352530715593543684', '1330815510358659072', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352530715593543685', '1330815510358659072', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352531852447059968', '1330815510111195136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352531875784167424', '1330815510178304001', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352532687864336384', '1340961417196605440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352532687864336385', '1340961417196605440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352532687864336386', '1340961417196605440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352532687864336387', '1340961417196605440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352532692759089152', '1340957319214796800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352532692759089153', '1340957319214796800', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352532971327983616', '1340957288185335808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352532971327983617', '1340957288185335808', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352532971327983618', '1340957288185335808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352532971327983619', '1340957288185335808', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352532971327983620', '1340957288185335808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352533037530877952', '1330815510203469827', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352533037530877953', '1330815510203469827', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352533182595076096', '1330815510199275520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352533477559504896', '1330815510161526787', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352533659160285184', '1330815509972783104', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352533810713071616', '1340961493688127488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352533810713071617', '1340961493688127488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352535866177884160', '1330815510266384384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352537659695828992', '1330815510446739457', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352538181391749120', '1340957292832624640', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352538181391749121', '1340957292832624640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352538181391749122', '1340957292832624640', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352538181391749123', '1340957292832624640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352538181391749124', '1340957292832624640', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352538181391749125', '1340957292832624640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352538283225255936', '1330815510442545156', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352540104622739456', '1330815510408990720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352540104622739457', '1330815510408990720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352540104622739458', '1330815510408990720', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352540104622739459', '1330815510408990720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352541161050476544', '1330815510127972353', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352541161050476545', '1330815510127972353', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352541161050476546', '1330815510127972353', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352541161050476547', '1330815510127972353', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352541161050476548', '1330815510127972353', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352541161050476549', '1330815510127972353', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352543065025417216', '1340962265049993216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352543065025417217', '1340962265049993216', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352544105061814272', '1330815510086029312', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352544105061814273', '1330815510086029312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352544105061814274', '1330815510086029312', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352544105061814275', '1330815510086029312', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352545399092678656', '1340961440563073024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352547307857514496', '1330815510161526785', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352547760133509120', '1340962290501029888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352547915851239424', '1330815510446739458', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352548730678677504', '1330815510388019200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352548730682871808', '1330815510388019200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352549842072768512', '1340957377712754688', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352551996330217472', '1330815510190886913', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352551996330217473', '1330815510190886913', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352552684711972864', '1330815510320910336', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352558801189998592', '1340961461517815808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352559408286142464', '1330815510417379328', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352559408286142465', '1330815510417379328', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352559408286142466', '1330815510417379328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352560089453694976', '1330815510203469824', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352560089453694977', '1330815510203469824', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352560089453694978', '1330815510203469824', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352562228460654592', '1330815510207664128', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352567665557901312', '1330815510081835008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352567665557901313', '1330815510081835008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352567665557901314', '1330815510081835008', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352583622254792704', '1340957460139216896', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352583622254792705', '1340957460139216896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352583622254792706', '1340957460139216896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352583622254792707', '1340957460139216896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352583622254792708', '1340957460139216896', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352583622254792709', '1340957460139216896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352605614290898944', '1340957415117557760', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352616342859157504', '1340961458229481472', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352780321518653440', '1340957333395738624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352780321518653441', '1340957333395738624', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352780321518653442', '1340957333395738624', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352787523105067008', '1340957411619508224', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352787523105067009', '1340957411619508224', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352788186111283200', '1340961422720503808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352791964118028288', '1330815510266384387', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352791964118028289', '1330815510266384387', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352791964118028290', '1330815510266384387', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352793701298081792', '1330815510174109697', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352793701298081793', '1330815510174109697', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1352793701298081794', '1330815510174109697', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1352793701298081795', '1330815510174109697', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352793701298081796', '1330815510174109697', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352793701298081797', '1330815510174109697', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1352923164799275008', '1330815510266384386', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352970988001824768', '1330815510337687552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1352970988001824769', '1330815510337687552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1352970988001824770', '1330815510337687552', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1352970988001824771', '1330815510337687552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353241319849463808', '1340962296243032064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353241319849463809', '1340962296243032064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353241319849463810', '1340962296243032064', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353292043677470720', '1330815510157332481', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353292043677470721', '1330815510157332481', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353292043677470722', '1330815510157332481', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353495175128813568', '1330815510207664129', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353509304090628096', '1330815510161526786', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353509304090628097', '1330815510161526786', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353511574203142144', '1330815510455128065', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353513106734714880', '1340957351401885696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353514977377521664', '1330815510257995776', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353514977377521665', '1330815510257995776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353516022967177216', '1340961482799714304', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353519597634064384', '1330815510216052738', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353521197094146048', '1330815510299938817', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353521197094146049', '1330815510299938817', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353523613118107648', '1330815510459322368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353525250901544960', '1330815510203469826', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353525250901544961', '1330815510203469826', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353526349280710656', '1330815510278967296', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353526349280710657', '1330815510278967296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353526349280710658', '1330815510278967296', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353526349280710659', '1330815510278967296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353526472509362176', '1340961511744606208', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353526472509362177', '1340961511744606208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353526472509362178', '1340961511744606208', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353526472509362179', '1340961511744606208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353526472509362180', '1340961511744606208', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353526472509362181', '1340961511744606208', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353528082098688000', '1330815510216052736', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353528082098688001', '1330815510216052736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353528082098688002', '1330815510216052736', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353528082098688003', '1330815510216052736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353528537763680256', '1340957423992705024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353528537763680257', '1340957423992705024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353528537763680258', '1340957423992705024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353528537763680259', '1340957423992705024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353528537763680260', '1340957423992705024', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353528537763680261', '1340957423992705024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353535173379100672', '1330815510350270466', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353535173379100673', '1330815510350270466', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353535173379100674', '1330815510350270466', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353536734402580480', '1330815510325104641', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353536734402580481', '1330815510325104641', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353536734402580482', '1330815510325104641', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353536734402580483', '1330815510325104641', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353536734402580484', '1330815510325104641', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353536734402580485', '1330815510325104641', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353539190813495296', '1330815510304133120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353539272916996096', '1330815510425767937', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353539272916996097', '1330815510425767937', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353542805636648960', '1340957437527724032', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353542805636648961', '1340957437527724032', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353542805636648962', '1340957437527724032', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353543532450811904', '1340961514026307584', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353543532450811905', '1340961514026307584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353543532450811906', '1340961514026307584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353543532450811907', '1340961514026307584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353543532450811908', '1340961514026307584', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353543532450811909', '1340961514026307584', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353543681214386176', '1330815510031503360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353543681214386177', '1330815510031503360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353545081323393024', '1330815510450933762', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353548299185033216', '1340961486088048640', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353548901931683840', '1330815510283161600', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353548901931683841', '1330815510283161600', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353548901931683842', '1330815510283161600', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353549197021941760', '1330815510325104643', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353549197021941761', '1330815510325104643', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353549255893192704', '1330815510434156544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353549640141770752', '1330815510044086272', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353549640141770753', '1330815510044086272', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353553041751674880', '1330815510237024256', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353554080181653504', '1330792741998825472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353554251380559872', '1330815510266384388', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353554251380559873', '1330815510266384388', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353554251380559874', '1330815510266384388', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353558551326494720', '1330815510438350851', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353558551326494721', '1330815510438350851', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353559250034626560', '1340957319747473408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353559250034626561', '1340957319747473408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353559250034626562', '1340957319747473408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353559250034626563', '1340957319747473408', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353559250034626564', '1340957319747473408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353564469002899456', '1330815510450933764', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353564469002899457', '1330815510450933764', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353564469002899458', '1330815510450933764', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353564469002899459', '1330815510450933764', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353564469002899460', '1330815510450933764', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353564469002899461', '1330815510450933764', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353567761527345152', '1340957348969189376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353567761527345153', '1340957348969189376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353568779933716480', '1330815510350270465', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353572427589881856', '1330815510396407808', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353572427589881857', '1330815510396407808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353572427589881858', '1330815510396407808', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353572427589881859', '1330815510396407808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353572427589881860', '1330815510396407808', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353572427589881861', '1330815510396407808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353581227004792832', '1340962575734673408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353583142547623936', '1330792741994631168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353583142547623937', '1330792741994631168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353591677037711360', '1330815510174109698', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353614194544611328', '1330815510446739456', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353614194544611329', '1330815510446739456', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353614194544611330', '1330815510446739456', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353614627145125888', '1330815510107000832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353618067099357184', '1330815510081835010', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353621064487407616', '1330815510002143232', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353621064487407617', '1330815510002143232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353621064487407618', '1330815510002143232', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353621064487407619', '1330815510002143232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353623258280366080', '1340961515792109568', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353623258280366081', '1340961515792109568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353632213270401024', '1340961484871700480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353633333166346240', '1330815510094417920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353633333166346241', '1330815510094417920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353633333166346242', '1330815510094417920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353633333166346243', '1330815510094417920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353633333166346244', '1330815510094417920', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353633333166346245', '1330815510094417920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353641105933078528', '1330815510346076160', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353643679113416704', '1340961451703144448', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353643679113416705', '1340961451703144448', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353643679113416706', '1340961451703144448', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353644136204472320', '1330815510157332482', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353645072960327680', '1330815510178304002', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353645072960327681', '1330815510178304002', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353645072960327682', '1330815510178304002', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353645072960327683', '1330815510178304002', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353645072960327684', '1330815510178304002', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353645072960327685', '1330815510178304002', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353681945858543616', '1330815510299938816', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353681945858543617', '1330815510299938816', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353681945858543618', '1330815510299938816', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353681945858543619', '1330815510299938816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353681945858543620', '1330815510299938816', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353681945858543621', '1330815510299938816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353881799855575040', '1330815509993754624', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353882659532705792', '1330815510379630593', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353888691034132480', '1340957430011531264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353888691034132481', '1340957430011531264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1353888691034132482', '1340957430011531264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353888691034132483', '1340957430011531264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353888691034132484', '1340957430011531264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353925237233815552', '1330815510450933761', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353925237233815553', '1330815510450933761', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1353925237233815554', '1330815510450933761', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1353970098938974208', '1340961459118673920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1353970098938974209', '1340961459118673920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1353970098938974210', '1340961459118673920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1353970098938974211', '1340961459118673920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354005774103351296', '1330815510425767938', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354005774103351297', '1330815510425767938', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354005774103351298', '1330815510425767938', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354005774103351299', '1330815510425767938', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354016675204304896', '1340962285073600512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354027761202761728', '1330815510299938818', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354027761202761729', '1330815510299938818', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354027761202761730', '1330815510299938818', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354027761202761731', '1330815510299938818', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354027761202761732', '1330815510299938818', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354228775394611200', '1330815510270578688', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354228775394611201', '1330815510270578688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354229888516755456', '1329695641428955137', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354229888516755457', '1329695641428955137', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354246019881242624', '1330815510023114752', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354246019881242625', '1330815510023114752', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354246019881242626', '1330815510023114752', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354253082409701376', '1340957472868929536', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354253082409701377', '1340957472868929536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354253082409701378', '1340957472868929536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354253082409701379', '1340957472868929536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354253082409701380', '1340957472868929536', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354253082409701381', '1340957472868929536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354270519612018688', '1340962284347985920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354270519612018689', '1340962284347985920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354270519612018690', '1340962284347985920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354270519612018691', '1340962284347985920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354270519612018692', '1340962284347985920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354335746273710080', '1330815510241218560', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354335907267874816', '1340961398930411520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354335907267874817', '1340961398930411520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354335907267874818', '1340961398930411520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354335907267874819', '1340961398930411520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354335907267874820', '1340961398930411520', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354335907267874821', '1340961398930411520', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354346816665161728', '1330815510153138176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354346816665161729', '1330815510153138176', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354346816665161730', '1330815510153138176', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354346816665161731', '1330815510153138176', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354360030333374464', '1340961454190366720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354360030333374465', '1340961454190366720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354360030333374466', '1340961454190366720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354587362956546048', '1340957380619407360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354587362956546049', '1340957380619407360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354587362956546050', '1340957380619407360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354587362956546051', '1340957380619407360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354587362956546052', '1340957380619407360', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354587362956546053', '1340957380619407360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354623640947265536', '1340957415172083712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354623640947265537', '1340957415172083712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354657338996428800', '1330815510228635648', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354657338996428801', '1330815510228635648', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354682121490403328', '1330815510442545155', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354682121490403329', '1330815510442545155', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354682121490403330', '1330815510442545155', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354682121490403331', '1330815510442545155', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354694691693662208', '1330815510304133121', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354694691693662209', '1330815510304133121', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354694946426327040', '1330815510312521728', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354694946426327041', '1330815510312521728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354694946426327042', '1330815510312521728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354694946426327043', '1330815510312521728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354949109802471424', '1330815510438350848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354949109802471425', '1330815510438350848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354949109802471426', '1330815510438350848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354949109802471427', '1330815510438350848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354949109802471428', '1330815510438350848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354956523788439552', '1330815510216052737', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354966343773982720', '1330815510094417921', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354966343773982721', '1330815510094417921', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354966343773982722', '1330815510094417921', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354966766874398720', '1340957323379740672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354966766874398721', '1340957323379740672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1354966766874398722', '1340957323379740672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354966766874398723', '1340957323379740672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1354966766874398724', '1340957323379740672', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1354966766874398725', '1340957323379740672', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354967312888893440', '1330815510178304000', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354967312888893441', '1330815510178304000', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354971824617820160', '1340957345315950592', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354971824617820161', '1340957345315950592', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1354971824617820162', '1340957345315950592', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1354976978507272192', '1330815510350270464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1354976978507272193', '1330815510350270464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355048563905794048', '1330815510312521729', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355059442034544640', '1330815510337687554', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1355059442034544641', '1330815510337687554', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1355059442034544642', '1330815510337687554', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1355059442034544643', '1330815510337687554', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355060360343851008', '1330815510111195137', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355060360343851009', '1330815510111195137', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1355060360343851010', '1330815510111195137', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1355060360343851011', '1330815510111195137', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1355060360343851012', '1330815510111195137', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1355060360343851013', '1330815510111195137', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355080837099556864', '1330815510107000833', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1355080837099556865', '1330815510107000833', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1355080837099556866', '1330815510107000833', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1355080837099556867', '1330815510107000833', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355092340473204736', '1330815510325104640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1355092340473204737', '1330815510325104640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355093572285763584', '1330815510450933760', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355093572285763585', '1330815510450933760', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1355093572285763586', '1330815510450933760', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355128549585063936', '1330815510262190080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355128549585063937', '1330815510262190080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355293228680744960', '1330815510262190082', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355293228680744961', '1330815510262190082', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355695438933659648', '1330815510157332483', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355695438933659649', '1330815510157332483', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1355695438933659650', '1330815510157332483', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1355695438933659651', '1330815510157332483', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1355695438933659652', '1330815510157332483', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1355695438933659653', '1330815510157332483', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1355932279456796672', '1330815510081835009', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1355932279456796673', '1330815510081835009', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1355932279456796674', '1330815510081835009', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1356045666522107904', '1330815510425767936', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1356045666522107905', '1330815510425767936', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1356045666522107906', '1330815510425767936', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1356045666522107907', '1330815510425767936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1356045666522107908', '1330815510425767936', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1356045666522107909', '1330815510425767936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1356151993202249728', '1330815510199275521', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1356454659027505152', '1330815510140555265', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1356454659027505153', '1330815510140555265', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1356454659027505154', '1330815510140555265', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1356806459765166080', '1330817633355960321', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1357619972867756032', '1330815510266384385', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1357619972871950336', '1330815510266384385', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1357619972871950337', '1330815510266384385', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1357619972871950338', '1330815510266384385', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1357619972871950339', '1330815510266384385', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1357619972871950340', '1330815510266384385', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1358943948982325248', '1330815510094417922', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1358943948982325249', '1330815510094417922', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1358943948982325250', '1330815510094417922', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1358943948982325251', '1330815510094417922', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1362299215723761664', '1330815510153138179', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1362299215723761665', '1330815510153138179', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1362299215723761666', '1330815510153138179', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1362299215723761667', '1330815510153138179', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1362299215723761668', '1330815510153138179', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1362299215723761669', '1330815510153138179', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1362300611386806272', '1330815510190886912', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1362300611386806273', '1330815510190886912', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1362559769306599424', '1340961482875211776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1362581833371488256', '1330815510148943872', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1362581833371488257', '1330815510148943872', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1362581833371488258', '1330815510148943872', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1362792338186964992', '1330815509960200192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364379068463714304', '1340961517952176128', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364379068463714305', '1340961517952176128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364379998080864256', '1340957305151295488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364380241572794368', '1340961435315998720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364380241572794369', '1340961435315998720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364380597350436864', '1340962277158948864', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364380597350436865', '1340962277158948864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364380597350436866', '1340962277158948864', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364380597350436867', '1340962277158948864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364380597350436868', '1340962277158948864', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364380597350436869', '1340962277158948864', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364380943997079552', '1340961417884471296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364380943997079553', '1340961417884471296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364380943997079554', '1340961417884471296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364381057306202112', '1340961486780108800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364381715677712384', '1340961460280496128', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364381715677712385', '1340961460280496128', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364381715677712386', '1340961460280496128', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364381715677712387', '1340961460280496128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364381715677712388', '1340961460280496128', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364381715677712389', '1340961460280496128', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364382202745458688', '1340961442278543360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364382202745458689', '1340961442278543360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364382202749652992', '1340961442278543360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364383126096318464', '1340957458029481984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364383308749869056', '1340961400918511616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364384036344172544', '1340957393047130112', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364384050609000448', '1340962284163436544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364384260122873856', '1340961448293175296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364384260122873857', '1340961448293175296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364384326468374528', '1340957458339860480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364384326468374529', '1340957458339860480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364384326468374530', '1340957458339860480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364384326468374531', '1340957458339860480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364384651610820608', '1340957331000791040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364384651610820609', '1340957331000791040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364384837338796032', '1340961400901734400', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364384849464528896', '1340961513078394880', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364384896700780544', '1340961421239914496', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364384896700780545', '1340961421239914496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364384896700780546', '1340961421239914496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364384896700780547', '1340961421239914496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364384896700780548', '1340961421239914496', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364384896700780549', '1340961421239914496', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364384915357044736', '1340957391679787008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364384915357044737', '1340957391679787008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364384915357044738', '1340957391679787008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364385035997810688', '1340957301443530752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364385217783140352', '1340957421744558080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364385217783140353', '1340957421744558080', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364385217783140354', '1340957421744558080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364385336502915072', '1340961515586588672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364385336502915073', '1340961515586588672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364385574399643648', '1340957451402481664', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364385659963445248', '1340957287426166784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364386414598426624', '1340957387800055808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364386414598426625', '1340957387800055808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364386578318888960', '1340957344376426496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364386578318888961', '1340957344376426496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364386731452928000', '1340957468053868544', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364386731452928001', '1340957468053868544', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364386731452928002', '1340957468053868544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364386731557785600', '1340962297916559360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364386877708308480', '1340962622052372480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364386877708308481', '1340962622052372480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364386949225385984', '1340957463591129088', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364387042510901248', '1340957304861888512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364387042510901249', '1340957304861888512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364387042510901250', '1340957304861888512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364387091286462464', '1340962304166072320', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364387091286462465', '1340962304166072320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364387091286462466', '1340962304166072320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364387091286462467', '1340962304166072320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364387091286462468', '1340962304166072320', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364387091286462469', '1340962304166072320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364387470711590912', '1340961487107264512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364387470711590913', '1340961487107264512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364387470715785216', '1340961487107264512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364387470715785217', '1340961487107264512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364387470715785218', '1340961487107264512', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364387470715785219', '1340961487107264512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364387716015460352', '1340957340429586432', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364387862170177536', '1340957450693644288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364387910064934912', '1340962578561634304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364388017258762240', '1340961459873648640', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364388017258762241', '1340961459873648640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388017258762242', '1340961459873648640', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364388017258762243', '1340961459873648640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364388017258762244', '1340961459873648640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364388165883924480', '1340957400412327936', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388165883924481', '1340957400412327936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364388165883924482', '1340957400412327936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364388448995250176', '1340957472885706752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388466816847872', '1340962264026583040', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364388466816847873', '1340962264026583040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388466816847874', '1340962264026583040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364388466816847875', '1340962264026583040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364388466816847876', '1340962264026583040', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364388466816847877', '1340962264026583040', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364388509858795520', '1340961503888674816', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388509858795521', '1340961503888674816', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364388509858795522', '1340961503888674816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364388509858795523', '1340961503888674816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364388676724985856', '1340957469391851520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388763232505856', '1340961398469038080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364388771688222720', '1340962304136712192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364388887471984640', '1340957301397393408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389040719269888', '1340961442790248448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389040719269889', '1340961442790248448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364389040719269890', '1340961442790248448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364389105944891392', '1340962272746541056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389105944891393', '1340962272746541056', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364389105944891394', '1340962272746541056', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364389105944891395', '1340962272746541056', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364389172323946496', '1340962306724597760', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364389172323946497', '1340962306724597760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389172323946498', '1340962306724597760', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364389172323946499', '1340962306724597760', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364389200174125056', '1340961465556930560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364389241152475136', '1340957364802686976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364389241152475137', '1340957364802686976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389241152475138', '1340957364802686976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364389241152475139', '1340957364802686976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364389241152475140', '1340957364802686976', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364389241152475141', '1340957364802686976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364389298664771584', '1340957393332342784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389367564603392', '1340961497072930816', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389646796197888', '1340961403384762368', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364389646796197889', '1340961403384762368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389646796197890', '1340961403384762368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364389646796197891', '1340961403384762368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364389646796197892', '1340961403384762368', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364389646796197893', '1340961403384762368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364389677498503168', '1340961433864769536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389990825594880', '1340957437175402496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364389990825594881', '1340957437175402496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364389990825594882', '1340957437175402496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364390125659885568', '1340957457601662976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364390125659885569', '1340957457601662976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364390125659885570', '1340957457601662976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364390125659885571', '1340957457601662976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364390125659885572', '1340957457601662976', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364390125659885573', '1340957457601662976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364390132995723264', '1340957299828723712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364390132995723265', '1340957299828723712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364390191904722944', '1340962284247322624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364390204449886208', '1340961417582481408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364390204449886209', '1340961417582481408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364390259755978752', '1340957292878761984', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364390259755978753', '1340957292878761984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364390394321833984', '1340961459961729024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364390685767241728', '1340961441414516736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364390699709108224', '1340961520489730048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364390813286666240', '1340961462474117120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364390813286666241', '1340961462474117120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364390813286666242', '1340961462474117120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364390901790674944', '1340957421958467584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364391018341994496', '1340957352312049664', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364391072570150912', '1340962588577632256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364391072570150913', '1340962588577632256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364391109157064704', '1340957366321025024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364391109157064705', '1340957366321025024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364391109157064706', '1340957366321025024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364391180774805504', '1340957343470456832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364391180774805505', '1340957343470456832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364391180774805506', '1340957343470456832', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364391180774805507', '1340957343470456832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364391180774805508', '1340957343470456832', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364391180774805509', '1340957343470456832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364391769093050368', '1340957451297624064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392008180961280', '1340957375833706496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392008180961281', '1340957375833706496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364392019253923840', '1340957440308547584', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364392019253923841', '1340957440308547584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392068423749632', '1340957400160669696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392068423749633', '1340957400160669696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364392068423749634', '1340957400160669696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392137029980160', '1340961400931094528', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392304969912320', '1340957412055715840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392338323017728', '1340962298143051776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392410536349696', '1340957303108669440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392410536349697', '1340957303108669440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392437337952256', '1340962635046326272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392437337952257', '1340962635046326272', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364392477066399744', '1340957404338196480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392477066399745', '1340957404338196480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392518116052992', '1340957351322193920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364392518116052993', '1340957351322193920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392518116052994', '1340957351322193920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364392518116052995', '1340957351322193920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392518116052996', '1340957351322193920', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364392518116052997', '1340957351322193920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364392587082993664', '1340957356481187840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392618183757824', '1340961484661985280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392618183757825', '1340961484661985280', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364392618183757826', '1340961484661985280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392618183757827', '1340961484661985280', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364392736794480640', '1340957433002070016', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364392736794480641', '1340957433002070016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364392736794480642', '1340957433002070016', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364392736794480643', '1340957433002070016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364392736794480644', '1340957433002070016', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364392736794480645', '1340957433002070016', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364392772748054528', '1340961455314440192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364393019310215168', '1340961497806934016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364393102705561600', '1340957392925495296', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364393102705561601', '1340957392925495296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364393102705561602', '1340957392925495296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364393102705561603', '1340957392925495296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364393102705561604', '1340957392925495296', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364393102705561605', '1340957392925495296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364393140861145088', '1340957457362587648', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364393251334918144', '1340957449313718272', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364393251334918145', '1340957449313718272', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364393469392588800', '1340957420033282048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364393469392588801', '1340957420033282048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364393558819344384', '1340961491884576768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364393558819344385', '1340961491884576768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364393855658627072', '1340961473798737920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364394029386698752', '1340962260801163264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364394029386698753', '1340962260801163264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364394029386698754', '1340962260801163264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364394029386698755', '1340962260801163264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364394029386698756', '1340962260801163264', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364394029386698757', '1340962260801163264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364394431985356800', '1340961403007275008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364394733849415680', '1340961443004157952', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364394733849415681', '1340961443004157952', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364394733849415682', '1340961443004157952', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364394733849415683', '1340961443004157952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364394733849415684', '1340961443004157952', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364394733849415685', '1340961443004157952', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364394851243790336', '1340957472545968128', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364394851243790337', '1340957472545968128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364394851243790338', '1340957472545968128', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364394859280076800', '1340957367533178880', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364395004201668608', '1340957339401981952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364395072686264320', '1340961432308682752', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364395358410641408', '1340957380501966848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364395367273205760', '1340962298214354944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364395395886747648', '1340961483554689024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364395483237322752', '1340961482518695936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364395818366406656', '1340961518229000192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364395864172400640', '1340957454887948288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364395864172400641', '1340957454887948288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364395864172400642', '1340957454887948288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364396102324981760', '1340961400067067904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364396102324981761', '1340961400067067904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364396102324981762', '1340961400067067904', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364396102324981763', '1340961400067067904', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364396113108537344', '1340957437427060736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364396285406351360', '1340962633645428736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364396334244827136', '1340962574723846144', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364396336069349376', '1340957315070824448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364396336069349377', '1340957315070824448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364396360245317632', '1340957410763870208', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364396360245317633', '1340957410763870208', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364396360245317634', '1340957410763870208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364396677594746880', '1340957319885885440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364396677594746881', '1340957319885885440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364396692543246336', '1340962253746343936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364396919249571840', '1340961503179837440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364396922126864384', '1340961518442909696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364397087562797056', '1340957323790782464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364397787780878336', '1340962298247909376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364397787780878337', '1340962298247909376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364397787780878338', '1340962298247909376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398058040856576', '1340961428487671808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364398058040856577', '1340961428487671808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398058040856578', '1340961428487671808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364398131835441152', '1340957433241145344', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398489450188800', '1340957366291664896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398526993403904', '1340961410527662080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398701979766784', '1340961453598969856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364398883895119872', '1340957317608378368', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364398883895119873', '1340957317608378368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364398883895119874', '1340957317608378368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364398883895119875', '1340957317608378368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398976769593344', '1340961399991570432', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364398976769593345', '1340961399991570432', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364398976769593346', '1340961399991570432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364399110358175744', '1340961503267917824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364399373131321344', '1340961434015764480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364399632460943360', '1340957345601163264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364399699892768768', '1340962573549441024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364399699892768769', '1340962573549441024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364399699892768770', '1340962573549441024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364399699892768771', '1340962573549441024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364399699892768772', '1340962573549441024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364399717223632896', '1340957323161636864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364399906604847104', '1340957303976890368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364400094471917568', '1340961438386229248', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364400094471917569', '1340961438386229248', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364400094471917570', '1340961438386229248', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364400094471917571', '1340961438386229248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364400094471917572', '1340961438386229248', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364400094471917573', '1340961438386229248', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364400104253034496', '1340962574111477760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364400104253034497', '1340962574111477760', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364400490007367680', '1340957453889703936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364401168071135232', '1340961525447397376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364401168071135233', '1340961525447397376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364401815482929152', '1340957457056403456', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364401815482929153', '1340957457056403456', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364401815482929154', '1340957457056403456', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364401815482929155', '1340957457056403456', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364401815482929156', '1340957457056403456', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364401815482929157', '1340957457056403456', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364401882461769728', '1340961485182078976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364402068995051520', '1340961427539759104', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364402102956331008', '1340957423631994880', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364402605882740736', '1340961442526007296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364402795507224576', '1340962284025024512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364402795507224577', '1340962284025024512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364402795507224578', '1340962284025024512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364403029683605504', '1340961526613413888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364403029683605505', '1340961526613413888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364403029683605506', '1340961526613413888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364403029683605507', '1340961526613413888', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364403096012328960', '1340961480010502144', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364403339915300864', '1340957473435160576', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364403610863144960', '1340957399531524096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364403729008300032', '1340961482019573760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364403806837805056', '1340961486943686656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364403820049862656', '1340957450630729728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364404868047048704', '1340957347538931712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364404868047048705', '1340957347538931712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364404992043257856', '1340961518640041984', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364404992043257857', '1340961518640041984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364404992043257858', '1340961518640041984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364404995763605504', '1340962259924553728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364405018349932544', '1340957343126523904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364405018349932545', '1340957343126523904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364405018349932546', '1340957343126523904', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364405027959083008', '1340961420203921408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364405398781693952', '1340957472344641536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364405499541458944', '1340957301955235840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364405499541458945', '1340957301955235840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364405649538158592', '1340957286687969280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364406356324519936', '1340957388966072320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364406356324519937', '1340957388966072320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364406356324519938', '1340957388966072320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364406356324519939', '1340957388966072320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364406427350863872', '1340961415594381312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364406526193831936', '1340961466462900224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364406526193831937', '1340961466462900224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364406526193831938', '1340961466462900224', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364406557877604352', '1340957351821316096', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364406557877604353', '1340957351821316096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364406557877604354', '1340957351821316096', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364406997860093952', '1340957314999521280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364407727467663360', '1340961512705101824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364408543746330624', '1340961498251530240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364408543746330625', '1340961498251530240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364408543746330626', '1340961498251530240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364408543746330627', '1340961498251530240', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364408989592457216', '1340962302563848192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364408989592457217', '1340962302563848192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364408989592457218', '1340962302563848192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364408989592457219', '1340962302563848192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364409004163469312', '1340957366618820608', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364410774793097216', '1340961403682557952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364410853067198464', '1340957386634039296', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364411060496502784', '1340957460378292224', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364411060496502785', '1340957460378292224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364411060496502786', '1340957460378292224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364411060496502787', '1340957460378292224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364411060496502788', '1340957460378292224', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364411060496502789', '1340957460378292224', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364411252096503808', '1340961453808685056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364411252096503809', '1340961453808685056', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364411252096503810', '1340961453808685056', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364411363585298432', '1340957320099794944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364411405582864384', '1340957292509663232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364411615247732736', '1340957423652966400', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364411769988190208', '1340961426071752704', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364411976616382464', '1340957388546641920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364412419497136128', '1340957366081949696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364413441602883584', '1340961511862046720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364413753965285376', '1340961418735915008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364414337749487616', '1340961460133695488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364414534588174336', '1340961450621014016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364414534588174337', '1340961450621014016', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364414534588174338', '1340961450621014016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364415605721141248', '1340957365721239552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364416819066179584', '1340957388961878016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364416886779023360', '1340957460747390976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364416886779023361', '1340957460747390976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364416886779023362', '1340957460747390976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364416886779023363', '1340957460747390976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364416886779023364', '1340957460747390976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364417323959717888', '1340957439838785536', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364417323959717889', '1340957439838785536', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364417484886773760', '1340957388454367232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364417512208470016', '1340957323463626752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364417512208470017', '1340957323463626752', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364417512208470018', '1340957323463626752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364417512208470019', '1340957323463626752', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364417949674377216', '1340961511304204288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364418203467517952', '1340957347710898176', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364418203467517953', '1340957347710898176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364418203467517954', '1340957347710898176', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364418203467517955', '1340957347710898176', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364418203467517956', '1340957347710898176', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364418203467517957', '1340957347710898176', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364418953308409856', '1340961410305363968', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364418953308409857', '1340961410305363968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364418953308409858', '1340961410305363968', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364418953308409859', '1340961410305363968', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364419853569626112', '1340957433102733312', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364419853569626113', '1340957433102733312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364419853569626114', '1340957433102733312', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364419853569626115', '1340957433102733312', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364419853569626116', '1340957433102733312', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364420702010216448', '1340957356791566336', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364420702010216449', '1340957356791566336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364420702010216450', '1340957356791566336', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364420702010216451', '1340957356791566336', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364420702010216452', '1340957356791566336', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364420702010216453', '1340957356791566336', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364421113408524288', '1340961525267042304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364421113408524289', '1340961525267042304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364421113408524290', '1340961525267042304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364421119490265088', '1340957441046745088', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364421811646894080', '1340961515150381056', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364421916500299776', '1340957343587897344', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364422623651565568', '1340957379927347200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364423254642659328', '1340961504391991296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364423317389447168', '1340957356393107456', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364423562726871040', '1340961525120241664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364423688014925824', '1340957319344820224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364424080622751744', '1340961467167543296', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364424080622751745', '1340961467167543296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364424080622751746', '1340961467167543296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364424080622751747', '1340961467167543296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364424090995265536', '1340957309790195712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364424540825980928', '1340961484771037184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364424540825980929', '1340961484771037184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364425362267836416', '1340961457881354240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364425892692103168', '1340957387791667200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364425892692103169', '1340957387791667200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364425892692103170', '1340957387791667200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364425892692103171', '1340957387791667200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364425892692103172', '1340957387791667200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364426121017430016', '1340961396774539264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364426121017430017', '1340961396774539264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364426121017430018', '1340961396774539264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364428777928658944', '1340962275636416512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364428851400282112', '1340957458235002880', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364429154942062592', '1340962253511462912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364430790754177024', '1340961432019275776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364430905074126848', '1340957386160082944', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364431088566538240', '1340961481830830080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364432395322920960', '1340961450809757696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364432395322920961', '1340961450809757696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364433320557023232', '1340957393642721280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364433905981198336', '1340962254031556608', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364433905981198337', '1340962254031556608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364433905981198338', '1340962254031556608', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364433905981198339', '1340962254031556608', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364433905981198340', '1340962254031556608', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364433905981198341', '1340962254031556608', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364434089154842624', '1340962566968578048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364434089154842625', '1340962566968578048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364434089154842626', '1340962566968578048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364438775656222720', '1340962279130271744', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364439185443917824', '1340957437921988608', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364439569801547776', '1340961410439581696', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364439805634678784', '1340957461955350528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364439806783918080', '1340957365704462336', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364440081330475008', '1340962273975472128', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364440081330475009', '1340962273975472128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364440905767063552', '1340957300931825664', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364440905767063553', '1340957300931825664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364440905767063554', '1340957300931825664', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364440905767063555', '1340957300931825664', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364440905767063556', '1340957300931825664', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364440905767063557', '1340957300931825664', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364440945772335104', '1340957421937496064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364440945772335105', '1340957421937496064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364441208365125632', '1340957442057572352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364441624100343808', '1340957306476695552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364442234828754944', '1340957404384333824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364442296665378816', '1340961495755919360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364442296665378817', '1340961495755919360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364442296665378818', '1340961495755919360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364442296665378819', '1340961495755919360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364442662400299008', '1340957381357604864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364443086616399872', '1340961515485925376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364443603321098240', '1340962274495565824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364443603321098241', '1340962274495565824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364443603321098242', '1340962274495565824', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364444303551762432', '1340961460402130944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364444303551762433', '1340961460402130944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364444303551762434', '1340961460402130944', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364444528379039744', '1340957288340525056', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364444528379039745', '1340957288340525056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364444528379039746', '1340957288340525056', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364444528379039747', '1340957288340525056', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364444999000920064', '1340957368032301056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364445133340282880', '1340961467473727488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364445529261608960', '1340961482103459840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364445529261608961', '1340961482103459840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364446370819346432', '1340957387745529856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364446370819346433', '1340957387745529856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364446370819346434', '1340957387745529856', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364446992129986560', '1340957381688954880', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364447275295838208', '1340962271211425792', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364449893988569088', '1340961419033710592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364449893988569089', '1340961419033710592', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364449893988569090', '1340961419033710592', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364450085689233408', '1340957391600095232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364451724366057472', '1340957365461192704', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364451724366057473', '1340957365461192704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364452863274782720', '1340961521651552256', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364452863274782721', '1340961521651552256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364452863274782722', '1340961521651552256', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364453070142050304', '1340962588690878464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364453070142050305', '1340962588690878464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364453070142050306', '1340962588690878464', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364453070142050307', '1340962588690878464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364453070142050308', '1340962588690878464', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364453070142050309', '1340962588690878464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364453191802032128', '1340957340823851008', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364453191806226432', '1340957340823851008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364455013719609344', '1340957433434083328', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364455013719609345', '1340957433434083328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364455013719609346', '1340957433434083328', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364455013719609347', '1340957433434083328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364455013719609348', '1340957433434083328', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364455013719609349', '1340957433434083328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364455460962439168', '1340961455050199040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364455460962439169', '1340961455050199040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364459343130529792', '1340957450685255680', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364459343130529793', '1340957450685255680', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364459343130529794', '1340957450685255680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364459343130529795', '1340957450685255680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364459343130529796', '1340957450685255680', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364459343130529797', '1340957450685255680', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364459999920787456', '1340957421241241600', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364461145246797824', '1340957450894970880', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364461145246797825', '1340957450894970880', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364461145246797826', '1340957450894970880', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364461145246797827', '1340957450894970880', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364461334925807616', '1340962261459668992', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364461373043642368', '1340957390828343296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364461605940760576', '1340962573306171392', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364461972061556736', '1340961425178365952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364461972061556737', '1340961425178365952', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364462604902338560', '1340961427632033792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364462722082803712', '1340962264341155840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364462722082803713', '1340962264341155840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364462722082803714', '1340962264341155840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364462722082803715', '1340962264341155840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364464180903677952', '1340957389364531200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364464180903677953', '1340957389364531200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364464180903677954', '1340957389364531200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364464180903677955', '1340957389364531200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364464365482414080', '1340961416252887040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364464393080934400', '1340961403061800960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364465167487864832', '1340961461270351872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364465655889399808', '1340961416835895296', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364465655889399809', '1340961416835895296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364465655889399810', '1340961416835895296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364465655889399811', '1340961416835895296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364465989344956416', '1340961453586386944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364466607191101440', '1340957298356523008', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364466607191101441', '1340957298356523008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364466607191101442', '1340957298356523008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364466607191101443', '1340957298356523008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364466607191101444', '1340957298356523008', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364466607191101445', '1340957298356523008', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364466884988243968', '1340957455684866048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364466884988243969', '1340957455684866048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364467213444190208', '1340957471958765568', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364467213444190209', '1340957471958765568', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364467213444190210', '1340957471958765568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364467213444190211', '1340957471958765568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364469455190626304', '1340961496867409920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364469455190626305', '1340961496867409920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364469565244968960', '1340962577949265920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364469565244968961', '1340962577949265920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364469565244968962', '1340962577949265920', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364469565244968963', '1340962577949265920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364472628844302336', '1340961494749286400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364473953493585920', '1340961465246552064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364473975786311680', '1340962296264003584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364473975786311681', '1340962296264003584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364474306863697920', '1340962574040174592', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364474306863697921', '1340962574040174592', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364474659109736448', '1340957399963537408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364474804383649792', '1340961515381067776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364475452034519040', '1340957343797612544', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364475452034519041', '1340957343797612544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364476006752194560', '1340961415384666112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364476006752194561', '1340961415384666112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364476517551312896', '1340961428185681920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364477362397384704', '1340957380107702272', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364477376238587904', '1340957433471832064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364477376238587905', '1340957433471832064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364477376238587906', '1340957433471832064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364477376238587907', '1340957433471832064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364477376238587908', '1340957433471832064', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364477376238587909', '1340957433471832064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364477681948823552', '1340957448948813824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364478748686159872', '1340961465988943872', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364478748686159873', '1340961465988943872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364478748686159874', '1340961465988943872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364478748686159875', '1340961465988943872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364478748686159876', '1340961465988943872', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364479506043244544', '1340961456086192128', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364479506043244545', '1340961456086192128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364480307285331968', '1340957315049852928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364480353301041152', '1340962277423190016', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364481326681559040', '1340957367466070016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364481679321862144', '1340957338626035712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364481679321862145', '1340957338626035712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364481679321862146', '1340957338626035712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364483038834200576', '1340957339699777536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364484875608002560', '1340957386818588672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364484875608002561', '1340957386818588672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364484875608002562', '1340957386818588672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364485234220994560', '1340957374546055168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364485822052700160', '1340962302509322240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364485822052700161', '1340962302509322240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364486660632481792', '1340962265272291328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364486660632481793', '1340962265272291328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364486799652687872', '1340961396699041792', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364486964493029376', '1340957400450076672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364486964493029377', '1340957400450076672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364488225854459904', '1340957458297917440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364489919380197376', '1340957433333420032', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364491351395274752', '1340957314613645312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364491351395274753', '1340957314613645312', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364492390181769216', '1340957437280260096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364492390181769217', '1340957437280260096', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364492390181769218', '1340957437280260096', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364492390181769219', '1340957437280260096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364492472985718784', '1340957344967823360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364493408986599424', '1340957319323848704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364493852005765120', '1340957331055316992', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364493964819959808', '1340957307114229760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364494133070270464', '1340957376651595776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364494133070270465', '1340957376651595776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364494433294356480', '1340962272524242944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364494433294356481', '1340962272524242944', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364494433294356482', '1340962272524242944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364495069784182784', '1340961399958016000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364495086729170944', '1340957367793225728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364495086729170945', '1340957367793225728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364496311843426304', '1340961505121800192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364496311843426305', '1340961505121800192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364496311843426306', '1340961505121800192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364496311843426307', '1340961505121800192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364496311843426308', '1340961505121800192', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364496311843426309', '1340961505121800192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364497102083854336', '1340961461903691776', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364497195281289216', '1340957438345613312', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364497300604456960', '1340957301418364928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364497354966831104', '1340957389272256512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364497354966831105', '1340957389272256512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364497706537586688', '1340962576279932928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364497706537586689', '1340962576279932928', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364497706537586690', '1340962576279932928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364497888234835968', '1340962252790042624', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364498007185297408', '1340961513363607552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364498007185297409', '1340961513363607552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364498007185297410', '1340961513363607552', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364498007185297411', '1340961513363607552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364498007185297412', '1340961513363607552', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364498007185297413', '1340961513363607552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364500229235281920', '1340962297966891008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364500984205807616', '1340957467936428032', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364500984205807617', '1340957467936428032', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364501622318829568', '1340961410879983616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364501723674185728', '1340961496133406720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364503080678330368', '1340961423097991168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364503521550012416', '1340961505335709696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364503521550012417', '1340961505335709696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364503612771930112', '1340957284389490688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364503815134515200', '1340957310058631168', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364503815134515201', '1340957310058631168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364504984850403328', '1340961460242747392', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364504984850403329', '1340961460242747392', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364505993333051392', '1340961511216123904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364506845858893824', '1340957303700066304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364507471720353792', '1340957442015629312', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364508665457020928', '1340961518300303360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364508665457020929', '1340961518300303360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364508678279008256', '1340957343415930880', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364508838216208384', '1340961460221775872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364508838216208385', '1340961460221775872', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364510088680837120', '1340961401467965440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364510088680837121', '1340961401467965440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364510468353429504', '1340961522146480128', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364511924099878912', '1340957402467536896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364512306880450560', '1340957393302982656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364512306880450561', '1340957393302982656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364512306880450562', '1340957393302982656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364512508899102720', '1340957317654515712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364516255947689984', '1340957431798304768', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364516255947689985', '1340957431798304768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364516255947689986', '1340957431798304768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364516255947689987', '1340957431798304768', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364516255947689988', '1340957431798304768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364517747165368320', '1340962575713701888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364517747165368321', '1340962575713701888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364517747165368322', '1340962575713701888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364518529705054208', '1340961464151838720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364519488757829632', '1340961486725582848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364519878370922496', '1340957452279091200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364519953662873600', '1340961462503477248', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364524096066555904', '1340957440249827328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364524141293735936', '1340957340425392128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364524141293735937', '1340957340425392128', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364524141293735938', '1340957340425392128', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364524610896400384', '1340961448339312640', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364524610896400385', '1340961448339312640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364524610896400386', '1340961448339312640', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364524610896400387', '1340961448339312640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364525027361427456', '1340957292195090432', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364525902209355776', '1340961409890127872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364526411175563264', '1340957352689537024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364528853975961600', '1340957382641061888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364528853975961601', '1340957382641061888', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364532917736443904', '1340962604427907072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364534054044700672', '1340957356258889728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364534054044700673', '1340957356258889728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364534634616066048', '1340957403931348992', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364534634616066049', '1340957403931348992', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364534634616066050', '1340957403931348992', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364534634616066051', '1340957403931348992', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364536176530296832', '1340961408128520192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364536271317372928', '1340957292505468928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364538795827007488', '1340957299170217984', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364540611264385024', '1340962603777789952', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364540611264385025', '1340962603777789952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364540611264385026', '1340962603777789952', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364546395167657984', '1340957338634424320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364546395167657985', '1340957338634424320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364546395167657986', '1340957338634424320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364546395167657987', '1340957338634424320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364551657618280448', '1340957388777328640', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364552292518465536', '1340957304392126464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364552292518465537', '1340957304392126464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364553323327393792', '1340961405561606144', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364553323327393793', '1340961405561606144', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364553323327393794', '1340961405561606144', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364553323327393795', '1340961405561606144', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364557978367299584', '1340962589160640512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364558117035184128', '1340957342975528960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364558522880233472', '1340962279029608448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364559690549301248', '1340957433111121920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364560842108047360', '1340957454397214720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364560842108047361', '1340957454397214720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364560842108047362', '1340957454397214720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364560842108047363', '1340957454397214720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364560842108047364', '1340957454397214720', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364560842108047365', '1340957454397214720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364561370057674752', '1340961404735328256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364561370057674753', '1340961404735328256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364567056787312640', '1340957283668070400', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364567056787312641', '1340957283668070400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364571354304745472', '1340961467981238272', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364571354304745473', '1340961467981238272', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364711834069897216', '1340962566008082432', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364731937721290752', '1340961484209000448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364731937721290753', '1340961484209000448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364731937721290754', '1340961484209000448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364732622055542784', '1340957425536208896', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364732622055542785', '1340957425536208896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364732622055542786', '1340957425536208896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364732622055542787', '1340957425536208896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364734176888229888', '1340957381777035264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364734507755900928', '1340957423669743616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364734713784307712', '1340957318615011328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364737147864748032', '1340957425381019648', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364737147864748033', '1340957425381019648', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364738239214260224', '1340957347673149440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364738239214260225', '1340957347673149440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364738239214260226', '1340957347673149440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364738239214260227', '1340957347673149440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364738239214260228', '1340957347673149440', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364738239214260229', '1340957347673149440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364738723291467776', '1340957292203479040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364738723291467777', '1340957292203479040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364739672345022464', '1340961411030978560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364740225393364992', '1340957410499629056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364740225393364993', '1340957410499629056', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364741206533345280', '1340957390249529344', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364741206533345281', '1340957390249529344', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364743244663099392', '1340962303427874816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364743392520704000', '1340961511874629632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364743430181359616', '1340961513921449984', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364743430181359617', '1340961513921449984', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364743430181359618', '1340961513921449984', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364743430181359619', '1340961513921449984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364743430181359620', '1340961513921449984', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364743430181359621', '1340961513921449984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364743830007582720', '1340961504962416640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364743867815038976', '1340962270712303616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364744019338465280', '1340962290916265984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364744028222001152', '1340961437245378560', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364744028222001153', '1340961437245378560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364744028222001154', '1340961437245378560', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364744028222001155', '1340961437245378560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364744028222001156', '1340961437245378560', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364744028222001157', '1340961437245378560', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364744329570160640', '1340957287245811712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364744510768287744', '1340957323673341952', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364744510768287745', '1340957323673341952', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364744510768287746', '1340957323673341952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364744573477326848', '1340961479683346432', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364744573477326849', '1340961479683346432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364748089780473856', '1340961424356282368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364748638277996544', '1340961450625208320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364748638277996545', '1340961450625208320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364749140826918912', '1340961408845746176', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364749140826918913', '1340961408845746176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364749140826918914', '1340961408845746176', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364749394238377984', '1340957375863066624', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364749394238377985', '1340957375863066624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364749555689721856', '1340957298763370496', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364749555689721857', '1340957298763370496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364749555689721858', '1340957298763370496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364749555689721859', '1340957298763370496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364749555689721860', '1340957298763370496', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364749555689721861', '1340957298763370496', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364751256689709056', '1340957385736458240', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364751256689709057', '1340957385736458240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364751256689709058', '1340957385736458240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364751256689709059', '1340957385736458240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364751588295577600', '1340957285198991360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364751721586364416', '1340957340886765568', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364751721586364417', '1340957340886765568', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364751721586364418', '1340957340886765568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364752305538338816', '1340957388945100800', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364752305538338817', '1340957388945100800', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364752329898856448', '1340962261556137984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364752346772541440', '1340957409119703040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364752848591654912', '1340957347677343744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364752848591654913', '1340957347677343744', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364752940371415040', '1340961522452664320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364754907969753088', '1340961515871801344', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364754907969753089', '1340961515871801344', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364754907969753090', '1340961515871801344', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364755113989771264', '1340957464081862656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364755113989771265', '1340957464081862656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364755394894893056', '1340961480467681280', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364755394894893057', '1340961480467681280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364755394894893058', '1340961480467681280', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364755394894893059', '1340961480467681280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364755394894893060', '1340961480467681280', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364755772940095488', '1340957400299081728', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364755772940095489', '1340957400299081728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364755772940095490', '1340957400299081728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364755772940095491', '1340957400299081728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364755772940095492', '1340957400299081728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364755772940095493', '1340957400299081728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364757040051916800', '1340957473108004864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364758251706650624', '1340961437660614656', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364758251706650625', '1340961437660614656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364758251706650626', '1340961437660614656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364758251706650627', '1340961437660614656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364758251706650628', '1340961437660614656', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364758251706650629', '1340961437660614656', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364758474520662016', '1340957457412919296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364758474520662017', '1340957457412919296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364758640090812416', '1340961404638859264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364758640090812417', '1340961404638859264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364758640090812418', '1340961404638859264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364758640090812419', '1340961404638859264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364758640090812420', '1340961404638859264', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364758640090812421', '1340961404638859264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364758803253432320', '1340962259702255616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364758946363084800', '1340957443617853440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364758946363084801', '1340957443617853440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364758946363084802', '1340957443617853440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364758946363084803', '1340957443617853440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364758946363084804', '1340957443617853440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364759301582884864', '1340961428038881280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364760695882780672', '1340961429724991488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364760695882780673', '1340961429724991488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364760695882780674', '1340961429724991488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364760695882780675', '1340961429724991488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364760695882780676', '1340961429724991488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364760695882780677', '1340961429724991488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364761095218270208', '1340957389238702080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364761095218270209', '1340957389238702080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364761095218270210', '1340957389238702080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364761198041632768', '1340957352777617408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364761198041632769', '1340957352777617408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364761198041632770', '1340957352777617408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364761446663196672', '1340957288688652288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364762052110979072', '1340957393160376320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364762052110979073', '1340957393160376320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364762052110979074', '1340957393160376320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364763307663298560', '1340957400647208960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364763661167628288', '1340961462784495616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364763792206073856', '1340962272054480896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364763792206073857', '1340962272054480896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364763792206073858', '1340962272054480896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364763792206073859', '1340962272054480896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364764911472873472', '1340961498331222016', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364765488328085504', '1340962304958795776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364766600900775936', '1340961449165590528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364766888378372096', '1340957293042339840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364766991688273920', '1340962573390057472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364768687252443136', '1340961496670277632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364769329861758976', '1340962574354747392', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364769408614010880', '1340957345215287296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364769408614010881', '1340957345215287296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364769408614010882', '1340957345215287296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364769408614010883', '1340957345215287296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364769656900030464', '1340957353213825024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364770010534383616', '1340957368917299200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364770010534383617', '1340957368917299200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364770607677444096', '1340957300608864256', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364770607677444097', '1340957300608864256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364770607677444098', '1340957300608864256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364771066349752320', '1340957323576872960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364771066349752321', '1340957323576872960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364771066349752322', '1340957323576872960', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364771066349752323', '1340957323576872960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364771066349752324', '1340957323576872960', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364771066349752325', '1340957323576872960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364771894980644864', '1340962578666491904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364773084074217472', '1340957400672374784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364774597634953216', '1340962575483015168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364775190441103360', '1340962307529904128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364775425645088768', '1340957432649748480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364775813488185344', '1340961466420957184', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364776415375003648', '1340961518245777408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364776415375003649', '1340961518245777408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364776415375003650', '1340961518245777408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364776415375003651', '1340961518245777408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364776415375003652', '1340961518245777408', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364776415375003653', '1340961518245777408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364776823069741056', '1340961410288586752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364777458083172352', '1340961496779329536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364777822379446272', '1340957321228062720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364777844705726464', '1340961432468066304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364778179000143872', '1340961482267037696', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364778179000143873', '1340961482267037696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364778179000143874', '1340961482267037696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364778179000143875', '1340961482267037696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364778235744882688', '1340961405104427008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364778472236519424', '1340957410461880320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364778569577926656', '1340957295974158336', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364778689975422976', '1340957459640094720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364778689975422977', '1340957459640094720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364778689975422978', '1340957459640094720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364778689975422979', '1340957459640094720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364778689975422980', '1340957459640094720', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364778689975422981', '1340957459640094720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364778729561264128', '1340957393131016192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364778729561264129', '1340957393131016192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364779011863089152', '1340957394171203584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364779011863089153', '1340957394171203584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364779049720877056', '1340961428156321792', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364779329141215232', '1340962564896591872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364779657215479808', '1340961512277282816', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364780429244239872', '1340957430267383808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364780429244239873', '1340957430267383808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364787086489686016', '1340957316601745408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364787348386222080', '1340961430253473792', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364789903350697984', '1340962303163633664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364790019830714368', '1340962285845352448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364790019830714369', '1340962285845352448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364790019830714370', '1340962285845352448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364790735957790720', '1340962275963572224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364797819214499840', '1340961481591754752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364799800071032832', '1340957380111896576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364799800071032833', '1340957380111896576', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364801593211490304', '1340961453401837568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364803720352763904', '1340957376672567296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364803720352763905', '1340957376672567296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364804642197868544', '1340961438776299520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364806307386888192', '1340961407130275840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364806307386888193', '1340961407130275840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364806307386888194', '1340961407130275840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364806307386888195', '1340961407130275840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364806576006893568', '1340957420784062464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364814357124485120', '1340961463338143744', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364816517631447040', '1340957325678219264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364816517631447041', '1340957325678219264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364816725002031104', '1340961431532736512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364816725002031105', '1340961431532736512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364816725002031106', '1340961431532736512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364816725002031107', '1340961431532736512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364817271641477120', '1340961433155932160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364817613720522752', '1340957363477286912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364825411493695488', '1340957302534049792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364830278895407104', '1340961494946418688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364830560781996032', '1340962577680830464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364830560781996033', '1340962577680830464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364833574871764992', '1340957321127399424', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364833574871764993', '1340957321127399424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364833574871764994', '1340957321127399424', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364833574871764995', '1340957321127399424', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364833574871764996', '1340957321127399424', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364833574871764997', '1340957321127399424', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364835158804533248', '1340961493755236352', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364835158804533249', '1340961493755236352', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364835158804533250', '1340961493755236352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364835158804533251', '1340961493755236352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364840533318569984', '1340961453653495808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364844006827233280', '1340961428206653440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364844006827233281', '1340961428206653440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364844006827233282', '1340961428206653440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364844006827233283', '1340961428206653440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364844006827233284', '1340961428206653440', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364844006827233285', '1340961428206653440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364844748661198848', '1340957404006846464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364844854068252672', '1340957389049958400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364846971709427712', '1340961453817073664', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364846971709427713', '1340961453817073664', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364848627427708928', '1340957355642327040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364853964272701440', '1340957340693827584', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364853964272701441', '1340957340693827584', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364854058413854720', '1340957292161536000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364854103418736640', '1340961448351895552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364854103418736641', '1340961448351895552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364854103418736642', '1340961448351895552', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364854103418736643', '1340961448351895552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364854103418736644', '1340961448351895552', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364854103418736645', '1340961448351895552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364854209840812032', '1340961408938020864', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364854209840812033', '1340961408938020864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364854209840812034', '1340961408938020864', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364854209840812035', '1340961408938020864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364854209840812036', '1340961408938020864', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364854209840812037', '1340961408938020864', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364855274199977984', '1340961435194363904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364855274199977985', '1340961435194363904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364855274199977986', '1340961435194363904', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364855274199977987', '1340961435194363904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364855274199977988', '1340961435194363904', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364855274199977989', '1340961435194363904', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364855671450898432', '1340962259261853696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364856544835014656', '1340961493566492672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364858477448663040', '1340957380539715584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364859572031983616', '1340961400989814784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364859572031983617', '1340961400989814784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364859572031983618', '1340961400989814784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364860849344352256', '1340957470335569920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364863080709885952', '1340961483902816256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364863080709885953', '1340961483902816256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364863080709885954', '1340961483902816256', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364863080709885955', '1340961483902816256', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364863718755799040', '1340961398934605824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364864043365568512', '1340962573402640384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364865854914826240', '1340957377318490112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364865854914826241', '1340957377318490112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364865854914826242', '1340957377318490112', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364865854914826243', '1340957377318490112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364865854914826244', '1340957377318490112', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364865854914826245', '1340957377318490112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364867278134448128', '1340957458033676288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364867559802933248', '1340961518359023616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364867559802933249', '1340961518359023616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364867559802933250', '1340961518359023616', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364867559802933251', '1340961518359023616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364867559802933252', '1340961518359023616', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364867559802933253', '1340961518359023616', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364867775721508864', '1340957379113652224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364867842666795008', '1340962265830133760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364867842666795009', '1340962265830133760', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364869495147073536', '1340962258565599232', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364869744322285568', '1340957350164566016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364872589633261568', '1340961481486897152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364876325084598272', '1340957367185051648', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364877111353020416', '1340957409987923968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364881726299574272', '1340957299266686976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364888323172208640', '1340962572349870080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364888407268003840', '1340961464768401408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364888474733383680', '1340961415984451584', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364893700181856256', '1340961435672514560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364893700181856257', '1340961435672514560', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364893700181856258', '1340961435672514560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364911585612664832', '1340961409428754432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364916536409722880', '1340957332208750592', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364917808609234944', '1340957344716165120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364923523436515328', '1340962572966432768', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364923523436515329', '1340962572966432768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364923523436515330', '1340962572966432768', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364923523436515331', '1340962572966432768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364928501374914560', '1340962275216986112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364928501374914561', '1340962275216986112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364928501374914562', '1340962275216986112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1364931384396877824', '1340957439880728576', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1364931384396877825', '1340957439880728576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1364931384396877826', '1340957439880728576', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1364931384396877827', '1340957439880728576', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1364931384396877828', '1340957439880728576', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1364931384396877829', '1340957439880728576', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365093784597172224', '1340961432581312512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365097984781586432', '1340962572572168192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365098216802095104', '1340961449438220288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365099584719818752', '1340957466577473536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365099584719818753', '1340957466577473536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365104441744822272', '1340957308007616512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365105320933855232', '1340957353763278848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365109039175962624', '1340962275305066496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365111116539236352', '1340962572802854912', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365111407124811776', '1340957387548397568', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365111407124811777', '1340957387548397568', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365111407124811778', '1340957387548397568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365111407124811779', '1340957387548397568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365112095724670976', '1340961457659056128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365116398594035712', '1340961474465632256', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365116398594035713', '1340961474465632256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365116398594035714', '1340961474465632256', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365116398594035715', '1340961474465632256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365116398594035716', '1340961474465632256', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365116398594035717', '1340961474465632256', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365116518324637696', '1340961407386128384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365117001982414848', '1340957375716265984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365117934451691520', '1340957292757127168', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365117934451691521', '1340957292757127168', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365117934451691522', '1340957292757127168', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365117934451691523', '1340957292757127168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365117934451691524', '1340957292757127168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365122150503157760', '1340957331567022080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365122197739409408', '1340957388366286848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365122879036985344', '1340961439766155264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365122879036985345', '1340961439766155264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365122879036985346', '1340961439766155264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365123648339447808', '1340961503221780480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365123648339447809', '1340961503221780480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365123648339447810', '1340961503221780480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365123648339447811', '1340961503221780480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365123648339447812', '1340961503221780480', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365123648339447813', '1340961503221780480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365123723950166016', '1340957363242405888', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365126921444265984', '1340961526244315136', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365127850981724160', '1340957368053272576', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365127850981724161', '1340957368053272576', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365127850981724162', '1340957368053272576', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365128104741310464', '1340961396749373440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365128104745504768', '1340961396749373440', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365128104745504769', '1340961396749373440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365128221959524352', '1340961407507763200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365128579305836544', '1340961441343213568', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365129190726307840', '1340961492979290112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365129318912626688', '1340962270540337152', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365129318912626689', '1340962270540337152', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365129318912626690', '1340962270540337152', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365129318912626691', '1340962270540337152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365129318912626692', '1340962270540337152', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365129318912626693', '1340962270540337152', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365130082615693312', '1340961432430317568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365130262689746944', '1340957357127110656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365132675282767872', '1340957391692369920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365135989256884224', '1340957315314094080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365136989069905920', '1340961511132237824', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365183723707961344', '1340957421610340352', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365183723707961345', '1340957421610340352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365183723707961346', '1340957421610340352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365215537805791232', '1340961520481341440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365215537805791233', '1340961520481341440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365216810252767232', '1340957412542255104', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365216810252767233', '1340957412542255104', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365218808238837760', '1340957465939939328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365218808238837761', '1340957465939939328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365226244735635456', '1340962296251420672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365253944279961600', '1340961409659441152', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365479836558168064', '1340957305293901824', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365485062895833088', '1340957298570432512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365485062895833089', '1340957298570432512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365485062895833090', '1340957298570432512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365501482174124032', '1340957439121559552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365536847727562752', '1340957458440523776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365636050755653632', '1340962253754732544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365636050755653633', '1340962253754732544', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365636050755653634', '1340962253754732544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365834150795415552', '1340957346142228480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365834150795415553', '1340957346142228480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365834150795415554', '1340957346142228480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365866245970333696', '1340961481046495232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365937061294641152', '1340957457454862336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365943680766185472', '1340957345915736064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365943680766185473', '1340957345915736064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365943680766185474', '1340957345915736064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365943680766185475', '1340957345915736064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365943680766185476', '1340957345915736064', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365943680766185477', '1340957345915736064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365944131431567360', '1340961468887207936', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365944131431567361', '1340961468887207936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365944589265014784', '1340961424549220352', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365944589265014785', '1340961424549220352', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365944589265014786', '1340961424549220352', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365944589265014787', '1340961424549220352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365944589265014788', '1340961424549220352', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365944589265014789', '1340961424549220352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365944948637175808', '1340962290522001408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365944948637175809', '1340962290522001408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365944948637175810', '1340962290522001408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365945722234605568', '1340957424001093632', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365945722234605569', '1340957424001093632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365945722234605570', '1340957424001093632', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365945722234605571', '1340957424001093632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365945722234605572', '1340957424001093632', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365945722234605573', '1340957424001093632', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365945926207803392', '1340961404731133952', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1365945926207803393', '1340961404731133952', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1365945926207803394', '1340961404731133952', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1365945926207803395', '1340961404731133952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1365945926207803396', '1340961404731133952', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1365945926207803397', '1340961404731133952', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1365946035280678912', '1340961483131064320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366179326114009088', '1340961434816876544', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366179326114009089', '1340961434816876544', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366179326114009090', '1340961434816876544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366181446108188672', '1340962629560176640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366181446108188673', '1340962629560176640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366184050775166976', '1340962573356503040', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366184050775166977', '1340962573356503040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366205426907090944', '1340961405133787136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366207126862696448', '1340961403930021888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366207951207010304', '1349252525638946816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366208402853859328', '1340957458570547200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366210142428860416', '1340957439717150720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366210142428860417', '1340957439717150720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366210142428860418', '1340957439717150720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366211091872485376', '1340961486968852480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366211091872485377', '1340961486968852480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366214045300035584', '1340962572593139712', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366214045300035585', '1340962572593139712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366214170688753664', '1340957468511047680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366214170688753665', '1340957468511047680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366214170688753666', '1340957468511047680', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366214170688753667', '1340957468511047680', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366214677364871168', '1340957467340836864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366216425886322688', '1340962599336022016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366217024174428160', '1340962621691662336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366217024174428161', '1340962621691662336', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366217024174428162', '1340962621691662336', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366217837936513024', '1340957440522457088', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366218791306006528', '1340957443517190144', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366218791306006529', '1340957443517190144', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366218791306006530', '1340957443517190144', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366218791306006531', '1340957443517190144', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366218791306006532', '1340957443517190144', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366218791306006533', '1340957443517190144', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366219945876262912', '1340957422092685312', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366220270888685568', '1340961405213478912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366220270888685569', '1340961405213478912', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366220795247988736', '1340957454476906496', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366220968506298368', '1340962265339400192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366220968506298369', '1340962265339400192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366220968506298370', '1340962265339400192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366221012705873920', '1340957430330298368', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366221012705873921', '1340957430330298368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366221012705873922', '1340957430330298368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366221012705873923', '1340957430330298368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366221012705873924', '1340957430330298368', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366221012705873925', '1340957430330298368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366222875928956928', '1340961397542096896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366223065402445824', '1340957350839848960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366223065402445825', '1340957350839848960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366223065402445826', '1340957350839848960', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366223065402445827', '1340957350839848960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366223093458145280', '1340957374650912768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366223093458145281', '1340957374650912768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366223512083238912', '1340957357441683456', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366223512083238913', '1340957357441683456', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366223512083238914', '1340957357441683456', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366223512083238915', '1340957357441683456', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366223512083238916', '1340957357441683456', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366223512083238917', '1340957357441683456', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366223999088070656', '1340962565051781120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366223999088070657', '1340962565051781120', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366226383168212992', '1340957288789315584', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366226383168212993', '1340957288789315584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366226383168212994', '1340957288789315584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366226383168212995', '1340957288789315584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366226383168212996', '1340957288789315584', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366226383168212997', '1340957288789315584', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366227836146421760', '1340957351229919232', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366227836146421761', '1340957351229919232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366227836146421762', '1340957351229919232', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366227836146421763', '1340957351229919232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366227836146421764', '1340957351229919232', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366227836146421765', '1340957351229919232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366229771050160128', '1340957439226417152', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366229771050160129', '1340957439226417152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366229771050160130', '1340957439226417152', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366230234298454016', '1340957388798300160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366230234298454017', '1340957388798300160', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366230234298454018', '1340957388798300160', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366232171936878592', '1340961518480658432', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366232171936878593', '1340961518480658432', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366232171936878594', '1340961518480658432', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366232171936878595', '1340961518480658432', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366232171936878596', '1340961518480658432', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366232171936878597', '1340961518480658432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366233020310360064', '1340957470490759168', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366240006192107520', '1340961449983479808', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366240322417463296', '1340957304325017600', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366241739014279168', '1340961438046490624', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366241739014279169', '1340961438046490624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366241739014279170', '1340961438046490624', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366241739014279171', '1340961438046490624', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366241843196596224', '1340957433639604224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366245120650907648', '1340961400780099584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366245120650907649', '1340961400780099584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366245120650907650', '1340961400780099584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366248358116724736', '1340957299220549632', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366248358116724737', '1340957299220549632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366248358116724738', '1340957299220549632', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366249175422996480', '1340957437359951872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366250416140062720', '1340961403032440832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366250416140062721', '1340961403032440832', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366250416140062722', '1340961403032440832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366250760001687552', '1340957363095605248', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366250760001687553', '1340957363095605248', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366250760001687554', '1340957363095605248', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366251556382576640', '1340962638603096064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366251556382576641', '1340962638603096064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366251556382576642', '1340962638603096064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366251556382576643', '1340962638603096064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366252105471496192', '1340961421533515776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366256776755941376', '1340962572706385920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366256776755941377', '1340962572706385920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366258330565218304', '1340961525439008768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366258330565218305', '1340961525439008768', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366258330565218306', '1340961525439008768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366261521361014784', '1340957347647983616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366261521361014785', '1340957347647983616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366264402906583040', '1340961525606780928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366268447780114432', '1340961406039756800', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366271465384710144', '1340957437146042368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366274997248724992', '1340962297392271360', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366283336296828928', '1340957340865794048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366283336296828929', '1340957340865794048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366298647343534080', '1366294587949322240', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366298647343534081', '1366294587949322240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366298647343534082', '1366294587949322240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366298647343534083', '1366294587949322240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366298647343534084', '1366294587949322240', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366298647343534085', '1366294587949322240', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366301680672575488', '1340962603236724736', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366301680672575489', '1340962603236724736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366301680672575490', '1340962603236724736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366301680672575491', '1340962603236724736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366301680672575492', '1340962603236724736', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366301680672575493', '1340962603236724736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366302916792684544', '1340961511883018240', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366302916792684545', '1340961511883018240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366302916792684546', '1340961511883018240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366302916792684547', '1340961511883018240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366302916792684548', '1340961511883018240', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366302916792684549', '1340961511883018240', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366308657767256064', '1366294585793449984', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366309531059097600', '1366294587286622208', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366309531059097601', '1366294587286622208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366309531059097602', '1366294587286622208', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366309531059097603', '1366294587286622208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366309531059097604', '1366294587286622208', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366309531059097605', '1366294587286622208', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366310442686877696', '1366294585785061376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366310442686877697', '1366294585785061376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366310442686877698', '1366294585785061376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366310442686877699', '1366294585785061376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366310442686877700', '1366294585785061376', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366310442686877701', '1366294585785061376', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366312567466758144', '1366294585797644288', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366312567466758145', '1366294585797644288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366312567466758146', '1366294585797644288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366312567466758147', '1366294585797644288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366312567466758148', '1366294585797644288', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366312567466758149', '1366294585797644288', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366313276295745536', '1340957284595011584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366313276295745537', '1340957284595011584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366313276295745538', '1340957284595011584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366313276295745539', '1340957284595011584', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366317642134196224', '1366294585764089856', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366318118145757184', '1366294585776672768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366318118145757185', '1366294585776672768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366319933637660672', '1340957304345989120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366322529676955648', '1340957301573554176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366323229387526144', '1340961415506300928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366323229387526145', '1340961415506300928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366323358379151360', '1366296863040475136', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366323358379151361', '1366296863040475136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366323358379151362', '1366296863040475136', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366323358379151363', '1366296863040475136', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366323358379151364', '1366296863040475136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366323386682314752', '1340957315058241536', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366323386682314753', '1340957315058241536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366323407397982208', '1340962277343498240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366325025698877440', '1366294585759895552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366328498020552704', '1340957431840247808', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366328498020552705', '1340957431840247808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366328498020552706', '1340957431840247808', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366328498020552707', '1340957431840247808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366328498020552708', '1340957431840247808', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366328498020552709', '1340957431840247808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366331153849651200', '1366296863027892224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366331153849651201', '1366296863027892224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366331533585158144', '1340957366388133888', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366331533585158145', '1340957366388133888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366331533585158146', '1340957366388133888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366331533585158147', '1340957366388133888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366331533585158148', '1340957366388133888', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366331533585158149', '1340957366388133888', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366333317594615808', '1366296863036280832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366336179267571712', '1366296862969171968', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366336179267571713', '1366296862969171968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366336179267571714', '1366296862969171968', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366336179267571715', '1366296862969171968', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366336179267571716', '1366296862969171968', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366336179267571717', '1366296862969171968', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366336849555099648', '1366294585118167040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366338001977872384', '1340957425330688000', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366338001977872385', '1340957425330688000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366338001977872386', '1340957425330688000', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366338001977872387', '1340957425330688000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366338001977872388', '1340957425330688000', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366338001977872389', '1340957425330688000', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366339358868770816', '1340961513845952512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366339358868770817', '1340961513845952512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366339358868770818', '1340961513845952512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366349516403511296', '1366296862998532096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366350688887640064', '1366296862990143488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366350688887640065', '1366296862990143488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366350688887640066', '1366296862990143488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366350688887640067', '1366296862990143488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366350688887640068', '1366296862990143488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366350688887640069', '1366296862990143488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366352950645100544', '1366294587307593728', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366352950645100545', '1366294587307593728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366352950645100546', '1366294587307593728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366352950645100547', '1366294587307593728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366352950645100548', '1366294587307593728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366352950645100549', '1366294587307593728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366354670783696896', '1366294586569396224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366355006265102336', '1340961452634279936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366356238421594112', '1340961441292881920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366368283107921920', '1340962264550871040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366380693222985728', '1340957330929487872', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366380693222985729', '1340957330929487872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366380693222985730', '1340957330929487872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366402555541852160', '1340957384788545536', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366542064212381696', '1340961415355305984', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366542064212381697', '1340961415355305984', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366543948239212544', '1340961449698267136', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366544472615292928', '1340957295118520320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366544585010057216', '1340957450999828480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366544585010057217', '1340957450999828480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366545299039981568', '1340957379184955392', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366545299039981569', '1340957379184955392', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366545463704162304', '1340961402575261696', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366545786514575360', '1340962577127182336', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366546233270865920', '1366294583188787200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366546233270865921', '1366294583188787200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366546233270865922', '1366294583188787200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366548063178592256', '1340962253880561664', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366548484081192960', '1340961461958217728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366548484081192961', '1340961461958217728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366548484081192962', '1340961461958217728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366552008580009984', '1366294587173376000', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366552008580009985', '1366294587173376000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366552008580009986', '1366294587173376000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366552008580009987', '1366294587173376000', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366556114308698112', '1366294587345342464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366556114308698113', '1366294587345342464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366556114308698114', '1366294587345342464', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366556114308698115', '1366294587345342464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366556114308698116', '1366294587345342464', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366556114308698117', '1366294587345342464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366559665047080960', '1340961442265960448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366559665047080961', '1340961442265960448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366560634329763840', '1366294587219513344', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366561426877059072', '1366294586003165184', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366561426881253376', '1366294586003165184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366561426881253377', '1366294586003165184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366561426881253378', '1366294586003165184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366561426881253379', '1366294586003165184', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366561426881253380', '1366294586003165184', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366562217113292800', '1366294585856364544', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366562217113292801', '1366294585856364544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366562217113292802', '1366294585856364544', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366562217113292803', '1366294585856364544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366562217113292804', '1366294585856364544', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366562217113292805', '1366294585856364544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366564631455338496', '1340957451092103168', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366564922456150016', '1340957472361418752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366574911811883008', '1366296862985949184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366574911811883009', '1366296862985949184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366574911811883010', '1366296862985949184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366574911811883011', '1366296862985949184', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366575495436701696', '1340961485978996736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366575914644803584', '1366296863048863744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366583474118594560', '1340961453674467328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366589188752936960', '1340957343122329600', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366600185693736960', '1340961480442515456', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366603653816913920', '1340961421160222720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366607780802334720', '1340957463821815808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366607780802334721', '1340957463821815808', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366607780802334722', '1340957463821815808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366607780802334723', '1340957463821815808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366608111317684224', '1340962265184210944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366608465170141184', '1366294587131432960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366610063657144320', '1340957319973965824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366611862581547008', '1366294587156598784', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366611862581547009', '1366294587156598784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366611862581547010', '1366294587156598784', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366611862581547011', '1366294587156598784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366611862581547012', '1366294587156598784', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366611862581547013', '1366294587156598784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366624802965688320', '1340957338365988864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366630623594287104', '1340957365100482560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366630623594287105', '1340957365100482560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366635455055007744', '1340957315079213056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366635455055007745', '1340957315079213056', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366644124459077632', '1366294585944444928', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366644124459077633', '1366294585944444928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366644124459077634', '1366294585944444928', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366644124459077635', '1366294585944444928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366644124459077636', '1366294585944444928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366644124459077637', '1366294585944444928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366646791847677952', '1366294587240484864', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366646791847677953', '1366294587240484864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366646791847677954', '1366294587240484864', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366646791847677955', '1366294587240484864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366646791847677956', '1366294587240484864', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366646791847677957', '1366294587240484864', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366650414577094656', '1340957387519037440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366650414577094657', '1340957387519037440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366679274832138240', '1340957295110131712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366679274832138241', '1340957295110131712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366679274832138242', '1340957295110131712', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366679274832138243', '1340957295110131712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366679274832138244', '1340957295110131712', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366679274832138245', '1340957295110131712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366681193696858112', '1366294586997215232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366681465970102272', '1340962285811798016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366693762486636544', '1340961403833552896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366712102701633536', '1366294587362119680', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366712102701633537', '1366294587362119680', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366712102701633538', '1366294587362119680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366712102701633539', '1366294587362119680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366712102701633540', '1366294587362119680', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366712102701633541', '1366294587362119680', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366715893450674176', '1340957474244661248', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366715893450674177', '1340957474244661248', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366715893450674178', '1340957474244661248', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366725818612584448', '1340957438727294976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366725818612584449', '1340957438727294976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366725818612584450', '1340957438727294976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366725818612584451', '1340957438727294976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366728517122920448', '1340957332003229696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366737833959755776', '1340961474490798080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366741565652996096', '1340961431373352960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366741565652996097', '1340961431373352960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366741565652996098', '1340961431373352960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366743641183358976', '1340957349900324864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366918387934040064', '1366294586502287360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366918619434455040', '1366296862977560576', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366920148828688384', '1340957320078823424', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366920148828688385', '1340957320078823424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366920148828688386', '1340957320078823424', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366920148828688387', '1340957320078823424', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366920564656181248', '1340957450421014528', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366920564656181249', '1340957450421014528', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366920564656181250', '1340957450421014528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366921866350039040', '1366294584363192320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366926495192322048', '1366294584358998016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366928468209700864', '1340957380644573184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366931130103762944', '1366294584413523968', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366931130103762945', '1366294584413523968', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366932284967620608', '1366294584392552448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366932284967620609', '1366294584392552448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366932284967620610', '1366294584392552448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366932284967620611', '1366294584392552448', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366932284967620612', '1366294584392552448', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366932810971090944', '1366294584371580928', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366932810971090945', '1366294584371580928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366932810971090946', '1366294584371580928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366935714901659648', '1366294584807788544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366935714901659649', '1366294584807788544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366936484317368320', '1366294584803594240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366938374505631744', '1366294584786817024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366940799614455808', '1340957314760445952', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366940799614455809', '1340957314760445952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366940985732501504', '1340957458335666176', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366940985732501505', '1340957458335666176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366940985732501506', '1340957458335666176', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366940985732501507', '1340957458335666176', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366940985732501508', '1340957458335666176', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366940985732501509', '1340957458335666176', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366943366356537344', '1340962305323700224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366946199634055168', '1340957458130145280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366948251709870080', '1340961484674568192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366951654573871104', '1340957449829617664', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366951824044724224', '1340961435412467712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366951824044724225', '1340961435412467712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366951824044724226', '1340961435412467712', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366951824044724227', '1340961435412467712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366951824044724228', '1340961435412467712', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366951824044724229', '1340961435412467712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366953268965675008', '1340961521546694656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366953268965675009', '1340961521546694656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366953268965675010', '1340961521546694656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366953268965675011', '1340961521546694656', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366957494223638528', '1340962275489615872', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366957494223638529', '1340962275489615872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366957494223638530', '1340962275489615872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366957494223638531', '1340962275489615872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366958575716536320', '1340957283777122304', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366958575716536321', '1340957283777122304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366958575716536322', '1340957283777122304', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366958575716536323', '1340957283777122304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366958575716536324', '1340957283777122304', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366958575716536325', '1340957283777122304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366972805069017088', '1366294586506481664', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366972805069017089', '1366294586506481664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366972805069017090', '1366294586506481664', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366972805069017091', '1366294586506481664', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366972805069017092', '1366294586506481664', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366972805069017093', '1366294586506481664', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366978549629718528', '1340957368728555520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366978549629718529', '1340957368728555520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366978549629718530', '1340957368728555520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366978549629718531', '1340957368728555520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366978549629718532', '1340957368728555520', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366978549629718533', '1340957368728555520', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366978844543815680', '1340961460028837888', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1366978844543815681', '1340961460028837888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366978844543815682', '1340961460028837888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366978844543815683', '1340961460028837888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366978844543815684', '1340961460028837888', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366978844543815685', '1340961460028837888', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366982203623477248', '1366294586636505088', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366982203623477249', '1366294586636505088', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1366985041934159872', '1366294586548424704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366991010315505664', '1340957376475435008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366991544980213760', '1340962578981064704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366997085693546496', '1366294583960539136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366997085693546497', '1366294583960539136', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1366997085693546498', '1366294583960539136', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1366997085693546499', '1366294583960539136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366998397109800960', '1366294583994093568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1366999068475265024', '1366294583180398592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1366999068475265025', '1366294583180398592', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367006108941684736', '1340962578796515328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367006876755169280', '1340957349510254592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367006876755169281', '1340957349510254592', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367006876755169282', '1340957349510254592', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367006876755169283', '1340957349510254592', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367014675946016768', '1366294586661670912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367014675946016769', '1366294586661670912', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367020673486163968', '1340957377091997696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367036946098032640', '1366294584774234112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367036946098032641', '1366294584774234112', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367036946098032642', '1366294584774234112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367036946098032643', '1366294584774234112', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367036946098032644', '1366294584774234112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367041061872078848', '1340961460188221440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367085084582219776', '1366294585420156928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367085318737629184', '1366294585378213888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367085332469780480', '1366294585441128448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367085359091027968', '1366294585432739840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367085371254509568', '1340957298864033792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367085595624607744', '1366294585428545536', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367085595628802048', '1366294585428545536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367085595628802049', '1366294585428545536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367085595628802050', '1366294585428545536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367085595628802051', '1366294585428545536', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367085595628802052', '1366294585428545536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367086800157413376', '1366294585365630976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367086800157413377', '1366294585365630976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367086800157413378', '1366294585365630976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367087311539539968', '1340957316350087168', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367097343211606016', '1340962284092133376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367097343211606017', '1340962284092133376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367097343211606018', '1340962284092133376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367097343211606019', '1340962284092133376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367097343211606020', '1340962284092133376', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367097343211606021', '1340962284092133376', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367276230629527552', '1340961437564145664', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367281004699586560', '1340962566372986880', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367293375484661760', '1340962304799412224', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367293375484661761', '1340962304799412224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367293375484661762', '1340962304799412224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367293375484661763', '1340962304799412224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367293375484661764', '1340962304799412224', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367293375484661765', '1340962304799412224', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367294466997751808', '1340962655883628544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367296333882462208', '1366294584795205632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367301211509886976', '1340957357911445504', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367301211509886977', '1340957357911445504', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367301211509886978', '1340957357911445504', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367305243196526592', '1340957356095311872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367305243196526593', '1340957356095311872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367305243196526594', '1340957356095311872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367363286709964800', '1340961415401443328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367389970662297600', '1340957458075619328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367391964969963520', '1366294585021698048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367391964974157824', '1366294585021698048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367391964974157825', '1366294585021698048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367391964974157826', '1366294585021698048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367404498867326976', '1366294584782622720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367427753464434688', '1340957458260168704', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367427753464434689', '1340957458260168704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367431380367183872', '1366294586162548736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367431380367183873', '1366294586162548736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367431380367183874', '1366294586162548736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367431380367183875', '1366294586162548736', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367431380367183876', '1366294586162548736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367667765976109056', '1366294588381335552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367670217051869184', '1340957348784640000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367671653970087936', '1340957318917001216', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367671653970087937', '1340957318917001216', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367671750342610944', '1340961430597406720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367671865744691200', '1340957461691109376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367671865744691201', '1340957461691109376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367671865744691202', '1340957461691109376', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367673532745650176', '1340962271786045440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367679103481810944', '1366294584698736640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367682469356244992', '1366294584694542336', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367682469356244993', '1366294584694542336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367682469356244994', '1366294584694542336', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367682469356244995', '1366294584694542336', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367682469356244996', '1366294584694542336', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367682469356244997', '1366294584694542336', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367682572603232256', '1340957299254104064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367682572603232257', '1340957299254104064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367682572603232258', '1340957299254104064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367682572603232259', '1340957299254104064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367682572603232260', '1340957299254104064', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367682572603232261', '1340957299254104064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367683378526162944', '1366294584707125248', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367683639592226816', '1366294584715513856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367683639592226817', '1366294584715513856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367683639592226818', '1366294584715513856', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367683639592226819', '1366294584715513856', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367683639592226820', '1366294584715513856', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367683639592226821', '1366294584715513856', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367685049692065792', '1340962298004639744', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367685181338685440', '1366294585181081600', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367685181338685441', '1366294585181081600', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367685181338685442', '1366294585181081600', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367687507847811072', '1340961453280202752', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367687507847811073', '1340961453280202752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367700212692422656', '1340961518451298304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367700212692422657', '1340961518451298304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367703616256872448', '1366294584669376512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367708076379082752', '1366294584870703104', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367709291456368640', '1340962578830069760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367717717351731200', '1366294585164304384', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367717717351731201', '1366294585164304384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367717717351731202', '1366294585164304384', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367717717351731203', '1366294585164304384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367717717351731204', '1366294585164304384', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367717717351731205', '1366294585164304384', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367722855839698944', '1366294586208686080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367722855839698945', '1366294586208686080', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367722855839698946', '1366294586208686080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367729187825258496', '1366294588523941888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367732858994692096', '1340961474683736064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367732858998886400', '1340961474683736064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367738718403825664', '1340962263246442496', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367738718403825665', '1340962263246442496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367738718403825666', '1340962263246442496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367743418503139328', '1366294588461027328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367743418503139329', '1366294588461027328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367743418503139330', '1366294588461027328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367744607898701824', '1366294588138065920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367744607898701825', '1366294588138065920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367744607898701826', '1366294588138065920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367744607898701827', '1366294588138065920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367746133882966016', '1340961448393838592', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367746771131961344', '1340962284381540352', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367746771131961345', '1340962284381540352', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367747118051233792', '1366294588150648832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367750224667348992', '1366294588586856448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367751923557601280', '1366294584837148672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367751923557601281', '1366294584837148672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367751923557601282', '1366294584837148672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367751923557601283', '1366294584837148672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367751923557601284', '1366294584837148672', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367751923557601285', '1366294584837148672', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367751929496735744', '1366294587055935488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367752442703384576', '1340957454535626752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367752442703384577', '1340957454535626752', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367752442703384578', '1340957454535626752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367755422479552512', '1366294588180008960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1367755422479552513', '1366294588180008960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367755422479552514', '1366294588180008960', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367755422479552515', '1366294588180008960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367755422479552516', '1366294588180008960', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367755422479552517', '1366294588180008960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367758622750281728', '1340961518308691968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367760536493756416', '1340957315880325120', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367767656152829952', '1366294584912646144', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367769781549273088', '1340961429276200960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367769781553467392', '1340961429276200960', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367769781553467393', '1340961429276200960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367770914002964480', '1340957449724760064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367782647224471552', '1340957450546843648', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367789317912662016', '1366294584866508800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367789317912662017', '1366294584866508800', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1367789317912662018', '1366294584866508800', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1367803610188091392', '1366294588435861504', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367813499241238528', '1340957465373708288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367815057404203008', '1340962578712629248', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367815057404203009', '1340962578712629248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367815057404203010', '1340962578712629248', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1367815533612896256', '1340961518530990080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367816580808970240', '1340957411116191744', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367818929979920384', '1366294584933617664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367822249406631936', '1340961486662668288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367824761341743104', '1340961421227331584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367829112986669056', '1366294584971366400', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367832725230325760', '1340957298746593280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367833982074490880', '1366294584950394880', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367984397072076800', '1340961486624919552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367990971094142976', '1366294584946200576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367991693193908224', '1366294584958783488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367996497739780096', '1366294588406501376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1367997986768031744', '1366294584895868928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1367997986768031745', '1366294584895868928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368001936929984512', '1340961454064537600', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368004353344016384', '1366294584904257536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368004353344016385', '1366294584904257536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368006477146624000', '1340961438256205824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368006497224757248', '1340957420440129536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368009636883599360', '1340961466865553408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368011948842684416', '1366294588473610240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368011948842684417', '1366294588473610240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368013083095732224', '1340961518560350208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368024661794885632', '1366294584723902464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368035111387402240', '1366294584916840448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368045460329205760', '1340962578259644416', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368085438820126720', '1366294588544913408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368085438820126721', '1366294588544913408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368085438820126722', '1366294588544913408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368085438820126723', '1366294588544913408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368085438820126724', '1366294588544913408', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368085438820126725', '1366294588544913408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368089486734528512', '1366294588536524800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368090278161944576', '1366294588511358976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368097544856539136', '1366294588532330496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368097544856539137', '1366294588532330496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368097544856539138', '1366294588532330496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368101337828560896', '1366294588419084288', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368101337828560897', '1366294588419084288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368101337828560898', '1366294588419084288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368101337828560899', '1366294588419084288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368101337828560900', '1366294588419084288', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368101337828560901', '1366294588419084288', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368121233346007040', '1340962272629100544', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368125317503389696', '1340962578821681152', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368125577583792128', '1366294588448444416', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368153330391584768', '1340957381835755520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368174095233060864', '1340961418270347264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368174095233060865', '1340961418270347264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368174095233060866', '1340961418270347264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368174095233060867', '1340961418270347264', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368174095233060868', '1340961418270347264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368358627982839808', '1340957369659691008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368371322152947712', '1366294587211124736', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368371322152947713', '1366294587211124736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368371322152947714', '1366294587211124736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368371322152947715', '1366294587211124736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368371322152947716', '1366294587211124736', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368371322152947717', '1366294587211124736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368416345800183808', '1366294584942006272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368468907278602240', '1366294588431667200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368549953252757504', '1340962572433756160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368555854684622848', '1340957323560095744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368724360344506368', '1366294586393235456', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368724360344506369', '1366294586393235456', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368724360344506370', '1366294586393235456', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368724360344506371', '1366294586393235456', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368724360344506372', '1366294586393235456', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368724360344506373', '1366294586393235456', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368726980073230336', '1366294587391479808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368726980077424640', '1366294587391479808', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368726980077424641', '1366294587391479808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368727235086913536', '1340962265565892608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368733116851687424', '1340961402818531328', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368733116851687425', '1340961402818531328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368733116851687426', '1340961402818531328', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368733116851687427', '1340961402818531328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368733116851687428', '1340961402818531328', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368733116851687429', '1340961402818531328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368734178081902592', '1366294586376458240', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368734178081902593', '1366294586376458240', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368734178081902594', '1366294586376458240', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368734178081902595', '1366294586376458240', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368734178081902596', '1366294586376458240', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368734178081902597', '1366294586376458240', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368736693657669632', '1340957432851075072', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368747977002323968', '1340957423908818944', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368747977002323969', '1340957423908818944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368747977002323970', '1340957423908818944', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368747977002323971', '1340957423908818944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368747977002323972', '1340957423908818944', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368747977002323973', '1340957423908818944', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368760528851308544', '1366294583910207488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368760528851308545', '1366294583910207488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368763171267022848', '1366294583918596096', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368763171267022849', '1366294583918596096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368763171267022850', '1366294583918596096', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368763171267022851', '1366294583918596096', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368763171267022852', '1366294583918596096', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368763171267022853', '1366294583918596096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368763279152910336', '1340961438222651392', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368764089148510208', '1366294588310032384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368765784238723072', '1367669587432312832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368767200965562368', '1366294587668303872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368767520999346176', '1366294583872458752', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368767520999346177', '1366294583872458752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368767520999346178', '1366294583872458752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368767520999346179', '1366294583872458752', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368767947312599040', '1366294584140894208', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368767947312599041', '1366294584140894208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368767947312599042', '1366294584140894208', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368767947312599043', '1366294584140894208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368767947312599044', '1366294584140894208', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368767947312599045', '1366294584140894208', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368768079626113024', '1366294584187031552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368768079626113025', '1366294584187031552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368768079626113026', '1366294584187031552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368769226235580416', '1366294584098951168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368769815417851904', '1366294584157671424', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368769815417851905', '1366294584157671424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368769815417851906', '1366294584157671424', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368769815417851907', '1366294584157671424', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368769815417851908', '1366294584157671424', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368770593142476800', '1366294583897624576', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368770593142476801', '1366294583897624576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368770593142476802', '1366294583897624576', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368770593142476803', '1366294583897624576', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368770593142476804', '1366294583897624576', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368770593142476805', '1366294583897624576', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368772375692316672', '1340961403279904768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368772375692316673', '1340961403279904768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368772914580688896', '1366294583926984704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368772914580688897', '1366294583926984704', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368772914580688898', '1366294583926984704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368775582384525312', '1366294583734046720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368775582384525313', '1366294583734046720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368775582384525314', '1366294583734046720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368775582384525315', '1366294583734046720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368775582384525316', '1366294583734046720', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368775582384525317', '1366294583734046720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368776883654758400', '1366294583889235968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368777722272288768', '1366294583931179008', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368777722272288769', '1366294583931179008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368777722272288770', '1366294583931179008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368777722272288771', '1366294583931179008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368777722272288772', '1366294583931179008', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368777722272288773', '1366294583931179008', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368779205222993920', '1366294583746629632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368786279063490560', '1366294585227218944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368790663331713024', '1366294583880847360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368790663331713025', '1366294583880847360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368790663331713026', '1366294583880847360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368790663331713027', '1366294583880847360', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368790663331713028', '1366294583880847360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368790790993743872', '1340962305080430592', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368792675943321600', '1340961435450216448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368792675943321601', '1340961435450216448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368792675943321602', '1340961435450216448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368794042531450880', '1340962298138857472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368800189221048320', '1366294584967172096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368806218633711616', '1340957321202896896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368806218633711617', '1340957321202896896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368806218633711618', '1340957321202896896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368809530460344320', '1340962265414897664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368809530460344321', '1340962265414897664', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368809530460344322', '1340962265414897664', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368812829083308032', '1340961461240991744', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368814919843188736', '1366294583742435328', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368814919843188737', '1366294583742435328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368814919843188738', '1366294583742435328', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368814919843188739', '1366294583742435328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368814919843188740', '1366294583742435328', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368814919843188741', '1366294583742435328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368815255983099904', '1366294583809544192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368815775523147776', '1366294583763406848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368815775523147777', '1366294583763406848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368815775523147778', '1366294583763406848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368815775523147779', '1366294583763406848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368815775523147780', '1366294583763406848', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368815775523147781', '1366294583763406848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368817632358305792', '1340961452860772352', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368821167204470784', '1340962578708434944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368821167204470785', '1340962578708434944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368821167204470786', '1340962578708434944', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368821772199268352', '1366294584149282816', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368821772199268353', '1366294584149282816', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368821772199268354', '1366294584149282816', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368821772199268355', '1366294584149282816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368821772199268356', '1366294584149282816', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368821772199268357', '1366294584149282816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368827170859913216', '1340957376525766656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368828006663065600', '1366294586355486720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368828006663065601', '1366294586355486720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368828006663065602', '1366294586355486720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368828006663065603', '1366294586355486720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368828255490150400', '1340961441771032576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368828812451778560', '1340961403669975040', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368828964541435904', '1366294586263212032', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368829132380704768', '1340957465591812096', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368829141117440000', '1366294586313543680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368829202329112576', '1340961460217581568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368829382331863040', '1340957467038846976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368829382336057344', '1340957467038846976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368829542545887232', '1340957400051617792', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368830132713820160', '1366294586330320896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368830132713820161', '1366294586330320896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368830450235215872', '1340962272083841024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368830450235215873', '1340962272083841024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368832265806811136', '1340957353238990848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368832410451578880', '1366294586342903808', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368833285274341376', '1340962305269174272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368834096394014720', '1340961457738747904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368834096394014721', '1340961457738747904', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368834096394014722', '1340961457738747904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368835122790535168', '1340957421522259968', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368838148699852800', '1340962265578475520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368838563206139904', '1340962271773462528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368839323675398144', '1366294586279989248', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368840315221446656', '1340957343285907456', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368841055461576704', '1340962305562775552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368841844229804032', '1340957461934379008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368843537134784512', '1340962305411780608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368843952127610880', '1340957462047625216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368853800173047808', '1340957289330380800', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368856423102025728', '1340957304647979008', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368856423102025729', '1340957304647979008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368856423102025730', '1340957304647979008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368859815874531328', '1340957346184171520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368860402833821696', '1340961462511865856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368860402833821697', '1340961462511865856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368860402833821698', '1340961462511865856', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368860402833821699', '1340961462511865856', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368864912729837568', '1366294586074468352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368868986397265920', '1366294586011553792', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368868986397265921', '1366294586011553792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368868986397265922', '1366294586011553792', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368868986397265923', '1366294586011553792', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368868986397265924', '1366294586011553792', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368868986397265925', '1366294586011553792', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368874100898009088', '1340957297014345728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368874100898009089', '1340957297014345728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368874100898009090', '1340957297014345728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368876504611688448', '1340961511820103680', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368876504611688449', '1340961511820103680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368876504611688450', '1340961511820103680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368879431870976000', '1340957457886875648', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368882770989944832', '1340961505973243904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368886810691899392', '1340957331999035392', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368888983148433408', '1340961403443482624', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368888983152627712', '1340961403443482624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368888983152627713', '1340961403443482624', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368888983152627714', '1340961403443482624', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368888983152627715', '1340961403443482624', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1368888983152627716', '1340961403443482624', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368892618813083648', '1340957343441096704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368892618813083649', '1340957343441096704', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368892618813083650', '1340957343441096704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368892618813083651', '1340957343441096704', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368892933075505152', '1366294586108022784', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368899698089398272', '1366294584677765120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368907133516648448', '1340961406723428352', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368907133516648449', '1340961406723428352', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368907133516648450', '1340961406723428352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368907133516648451', '1340961406723428352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368909520935456768', '1340961421168611328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368910248957579264', '1340961415611158528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368911342454575104', '1340961457726164992', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368914353251815424', '1340961494426324992', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368915042514374656', '1340957430502264832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368915042514374657', '1340957430502264832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368915042514374658', '1340957430502264832', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368915042514374659', '1340957430502264832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368916946518675456', '1340957330895933440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1368916946522869760', '1340957330895933440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1368916946522869761', '1340957330895933440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1368916946522869762', '1340957330895933440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1368916946522869763', '1340957330895933440', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1368921710690177024', '1340961467830243328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369075467629498368', '1366294584640016384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369076652839145472', '1366294586309349376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369083406654246912', '1340961441578094592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369084393594949632', '1340961526290452480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369084393594949633', '1340961526290452480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369086456001335296', '1340957299157635072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369086456001335297', '1340957299157635072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369086456001335298', '1340957299157635072', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369090815950983168', '1340961407046389760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369098672935145472', '1366294584258334720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369098672935145473', '1366294584258334720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369098672935145474', '1366294584258334720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369098672935145475', '1366294584258334720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369100053117014016', '1366294585151721472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369100053117014017', '1366294585151721472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369100053117014018', '1366294585151721472', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369105085954658304', '1366294587047546880', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369105085954658305', '1366294587047546880', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369105085954658306', '1366294587047546880', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369105085954658307', '1366294587047546880', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369105085954658308', '1366294587047546880', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369105085954658309', '1366294587047546880', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369105564226949120', '1340957456561475584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369105864211959808', '1366294587064324096', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369105864211959809', '1366294587064324096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369105864211959810', '1366294587064324096', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369105864211959811', '1366294587064324096', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369105864211959812', '1366294587064324096', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369105864211959813', '1366294587064324096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369107946516123648', '1340957325007130624', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369108210195238912', '1366294586045108224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369108210195238913', '1366294586045108224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369108210195238914', '1366294586045108224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369108985164206080', '1340962573293588480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369108985164206081', '1340962573293588480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369111305423818752', '1340957385036009472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369112295866765312', '1340962265641390080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369112295866765313', '1340962265641390080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369112295866765314', '1340962265641390080', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369112295866765315', '1340962265641390080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369112295866765316', '1340962265641390080', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369112295866765317', '1340962265641390080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369112859321176064', '1366294586976243712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369114561273270272', '1366294584228974592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369114706199056384', '1366294586795888640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369114706199056385', '1366294586795888640', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369114706199056386', '1366294586795888640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369115248757444608', '1366294584879091712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369115248757444609', '1366294584879091712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369115248757444610', '1366294584879091712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369117379799420928', '1366294586783305728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369117379799420929', '1366294586783305728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369117379799420930', '1366294586783305728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369118095377043456', '1340961399169486848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369118095377043457', '1340961399169486848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369118095377043458', '1340961399169486848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369118095377043459', '1340961399169486848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369118095377043460', '1340961399169486848', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369118095377043461', '1340961399169486848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369119004966391808', '1340962270724886528', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369119004966391809', '1340962270724886528', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369119004966391810', '1340962270724886528', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369120521953873920', '1340961430169587712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369121716495847424', '1340957303247081472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369121716495847425', '1340957303247081472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369122321327067136', '1340957466820743168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369122372333998080', '1340957377129746432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369122590110650368', '1340957380048982016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369122595735212032', '1340961421210554368', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369122595735212033', '1340961421210554368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369122595735212034', '1340961421210554368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369122595735212035', '1340961421210554368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369122595735212036', '1340961421210554368', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369122595735212037', '1340961421210554368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369122616283107328', '1340957308636762112', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369122958706085888', '1340961520082882560', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369122958706085889', '1340961520082882560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369122958706085890', '1340961520082882560', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369122958706085891', '1340961520082882560', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369123282128867328', '1340957302160756736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369124621470797824', '1340957350063902720', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369124827784417280', '1340961423223820288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369125725046706176', '1366294586712002560', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369126170901221376', '1366294586686836736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369126170901221377', '1366294586686836736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369126170901221378', '1366294586686836736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369126177222037504', '1366294586967855104', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369126177222037505', '1366294586967855104', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369126177222037506', '1366294586967855104', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369126177222037507', '1366294586967855104', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369128518314758144', '1366294586724585472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369128518314758145', '1366294586724585472', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369128518314758146', '1366294586724585472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369130982174756864', '1340957467630243840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369130982174756865', '1340957467630243840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369131195157319680', '1340961474411106304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369131348782092288', '1340961405981036544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369131855126859776', '1340961417695727616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369131855126859777', '1340961417695727616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369132322032586752', '1366294587957710848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369132322032586753', '1366294587957710848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369134734168428544', '1340961485500846080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369134734168428545', '1340961485500846080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369134734168428546', '1340961485500846080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369146313471561728', '1366294586296766464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369146313471561729', '1366294586296766464', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369148225285656576', '1366294587727024128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369151014686560256', '1366294584342220800', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369151014686560257', '1366294584342220800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369151014686560258', '1366294584342220800', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369151056617017344', '1340961460146278400', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369151056617017345', '1340961460146278400', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369151056617017346', '1340961460146278400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369154481962487808', '1340962272415191040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369172679541788672', '1340962306112229376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369173334641741824', '1340957298650124288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369184519302811648', '1340957464719396864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369191911344181248', '1340962579014619136', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369193854108045312', '1340957400626237440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369193854108045313', '1340957400626237440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369193854108045314', '1340957400626237440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369193854108045315', '1340957400626237440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369194050003013632', '1340957400584294400', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369196469936066560', '1366294585093001216', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369196469936066561', '1366294585093001216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369196469936066562', '1366294585093001216', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369196469940260864', '1366294585093001216', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369196469940260865', '1366294585093001216', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369196469940260866', '1366294585093001216', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369203966247833600', '1340961407583260672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369203966247833601', '1340961407583260672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369203966247833602', '1340961407583260672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369203966247833603', '1340961407583260672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369203966247833604', '1340961407583260672', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369203966247833605', '1340961407583260672', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369204532101386240', '1340961487153401856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369204844178575360', '1340962271823794176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369206834308714496', '1340957453126340608', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369207072905891840', '1340961438608527360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369207074793328640', '1340961406207528960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369207739045253120', '1366294584241557504', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369207739045253121', '1366294584241557504', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369207739045253122', '1366294584241557504', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369208505873076224', '1366294585516625920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369209960357040128', '1340957470616588288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369211843859582976', '1340962285740494848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369211843859582977', '1340962285740494848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369211843859582978', '1340962285740494848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369212607919165440', '1366294585478877184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369213135004766208', '1340957404191395840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369213135004766209', '1340957404191395840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369213135004766210', '1340957404191395840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369224866762461184', '1340961417217576960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369230804923846656', '1366294585051058176', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369234329745625088', '1340962298201772032', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369237334117191680', '1366294585910890496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369237334117191681', '1366294585910890496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369237334117191682', '1366294585910890496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369237334117191683', '1366294585910890496', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369238605821775872', '1340962265775607808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369238605821775873', '1340962265775607808', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369241033589788672', '1366294585940250624', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369241033589788673', '1366294585940250624', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369257963348430848', '1340961457214459904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369257963348430849', '1340961457214459904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369257963348430850', '1340961457214459904', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369257963348430851', '1340961457214459904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369257963352625152', '1340961457214459904', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369257963352625153', '1340961457214459904', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369264430449299456', '1340961406295609344', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369445102908477440', '1340957457685549056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369445102908477441', '1340957457685549056', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369445348698886144', '1340962265691721728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369445348698886145', '1340962265691721728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369445348698886146', '1340962265691721728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369445348698886147', '1340962265691721728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369446542372638720', '1366294587257262080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369446542372638721', '1366294587257262080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369446542372638722', '1366294587257262080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369449937955328000', '1340957302513078272', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369452256990203904', '1366294584686153728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369452803214413824', '1340962578658103296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369455599187791872', '1366294587026575360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369456445661253632', '1340957323606233088', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369456445661253633', '1340957323606233088', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369456445661253634', '1340957323606233088', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369457049221599232', '1340957294782976000', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369457049221599233', '1340957294782976000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369457051876593664', '1366294587253067776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369461327306821632', '1340957449330495488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369461327306821633', '1340957449330495488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369461327306821634', '1340957449330495488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369461327306821635', '1340957449330495488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369462861037965312', '1340962278673092608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369463436047683584', '1340962278056529920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369463436047683585', '1340962278056529920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369464941060427776', '1340957376513183744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369466955257483264', '1340957381881892864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369470039232745472', '1340957465260462080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369470674204233728', '1366294587089489920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369470674204233729', '1366294587089489920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369470674204233730', '1366294587089489920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369480732606599168', '1340962573260034048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369480732606599169', '1340962573260034048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369480732606599170', '1340962573260034048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369480732606599171', '1340962573260034048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369486707694637056', '1366294587483754496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369486707694637057', '1366294587483754496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369486707694637058', '1366294587483754496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369486876095942656', '1366294587462782976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369486876095942657', '1366294587462782976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369486876095942658', '1366294587462782976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369486876095942659', '1366294587462782976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369486876095942660', '1366294587462782976', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369486876095942661', '1366294587462782976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369487885018992640', '1340957296183873536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369487885018992641', '1340957296183873536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369488113793110016', '1340961497689493504', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369488113793110017', '1340961497689493504', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369488113793110018', '1340961497689493504', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369490167894773760', '1366294585453711360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369494327620931584', '1366294588280672256', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369494327620931585', '1366294588280672256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369494327620931586', '1366294588280672256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369494327620931587', '1366294588280672256', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369494327620931588', '1366294588280672256', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369496653081481216', '1340961420816289792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369496653081481217', '1340961420816289792', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369497435075907584', '1340957319458066432', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369497435075907585', '1340957319458066432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369536583316934656', '1340957468548796416', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369536583316934657', '1340957468548796416', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369536583316934658', '1340957468548796416', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369536583316934659', '1340957468548796416', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369541437896658944', '1340957363951243264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369545972081889280', '1366294584031842304', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369545972081889281', '1366294584031842304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369545972081889282', '1366294584031842304', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369545972081889283', '1366294584031842304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369545972081889284', '1366294584031842304', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369545972081889285', '1366294584031842304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369553866030452736', '1366294584270917632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369588830033809408', '1340961400742350848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369588830033809409', '1340961400742350848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369588830033809410', '1340961400742350848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369592854460108800', '1340961496477339648', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369592854460108801', '1340961496477339648', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369610658034880512', '1366294584593879040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369633695404789760', '1340962265767219200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369633695404789761', '1340962265767219200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369633695404789762', '1340962265767219200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369633695404789763', '1340962265767219200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369646334247833600', '1340961438289760256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369654480605417472', '1340957348113551360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369654480609611776', '1340957348113551360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369654480609611777', '1340957348113551360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369654480609611778', '1340957348113551360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369654480609611779', '1340957348113551360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369810521620090880', '1340961427854331904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369810569451933696', '1340957411988606976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369810569451933697', '1340957411988606976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369816399169589248', '1366294585600512000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369816399169589249', '1366294585600512000', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369816618405859328', '1340957299333795840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369819296246665216', '1340961397059751936', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369819296246665217', '1340961397059751936', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369819296246665218', '1340961397059751936', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369819296246665219', '1340961397059751936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369819296246665220', '1340961397059751936', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369819296246665221', '1340961397059751936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369823355603128320', '1340961468945928192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369823355603128321', '1340961468945928192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369823355603128322', '1340961468945928192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369823355603128323', '1340961468945928192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369823355603128324', '1340961468945928192', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369823355603128325', '1340961468945928192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369824331714138112', '1340957323132276736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369824337271590912', '1340957377574342656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369825355170451456', '1366294585311105024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369825355174645760', '1366294585311105024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369825355174645761', '1366294585311105024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369825363798134784', '1366294585323687936', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369825363798134785', '1366294585323687936', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369825363798134786', '1366294585323687936', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369825363798134787', '1366294585323687936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369825363798134788', '1366294585323687936', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369825363798134789', '1366294585323687936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369827072813436928', '1366294585344659456', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369827399105122304', '1366294585529208832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369827867319472128', '1340962573088067584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369828296195444736', '1340962565626400768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369828596247564288', '1340962578481942528', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369829132761960448', '1340962275913240576', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369829629589852160', '1340961459882037248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369830299256623104', '1340961487178567680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369830977899204608', '1340957400563322880', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369830977899204609', '1340957400563322880', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369830977899204610', '1340957400563322880', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369830977899204611', '1340957400563322880', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369830977899204612', '1340957400563322880', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369830977899204613', '1340957400563322880', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369831787626369024', '1366294585533403136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369832959191945216', '1340961518765871104', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369833364684673024', '1340957432809132032', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369833677105795072', '1340961487031767040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369835885503320064', '1366294584203808768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369835885503320065', '1366294584203808768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369836169445117952', '1366294584992337920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369836611944189952', '1366294584249946112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369836611944189953', '1366294584249946112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369841444579315712', '1340957376852922368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369842494992420864', '1340961518681985024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369842850652622848', '1340962265523949568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369844300719984640', '1340957315322482688', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369845189044211712', '1366294587479560192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369848036104212480', '1340961484099948544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369853236730793984', '1340957308729036800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369853236730793985', '1340957308729036800', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369853236730793986', '1340957308729036800', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369854818126008320', '1340961428579946496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369855874973175808', '1340957296368422912', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369856361596325888', '1366294585621483520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369856361596325889', '1366294585621483520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369856361596325890', '1366294585621483520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369856361596325891', '1366294585621483520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369856361596325892', '1366294585621483520', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369856361596325893', '1366294585621483520', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369860757277249536', '1366294587282427904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369863586985414656', '1366294585579540480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369875004245807104', '1340961460137889792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369876755875237888', '1366294585608900608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369907254245068800', '1366294586875580416', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369910630911447040', '1340962307680899072', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369910630911447041', '1340962307680899072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369910630911447042', '1340962307680899072', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369910630911447043', '1340962307680899072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369910630911447044', '1340962307680899072', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369910630911447045', '1340962307680899072', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369911897213767680', '1340961399093989376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369911897213767681', '1340961399093989376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369911897213767682', '1340961399093989376', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369911897213767683', '1340961399093989376', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369911908114763776', '1340957435548012544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369911908114763777', '1340957435548012544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369911908114763778', '1340957435548012544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369912437188464640', '1340961525837467648', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369914414085574656', '1366294586909134848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369914414085574657', '1366294586909134848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369914654599548928', '1340962262806040576', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369914654599548929', '1340962262806040576', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369916026359255040', '1366294586862997504', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369918127386791936', '1366294586024136704', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369918652127776768', '1340957377121357824', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1369920533189234688', '1366294586871386112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369920583214698496', '1366294586858803200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1369920583214698497', '1366294586858803200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369920583214698498', '1366294586858803200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1369929692592869376', '1340957298583015424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369933869507284992', '1366294586028331008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369939372253777920', '1340957400190029824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369964476153073664', '1366294584522575872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369967633209888768', '1366294586166743040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369967633209888769', '1366294586166743040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1369967633209888770', '1366294586166743040', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369967896159195136', '1340961407302242304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1369970259418812416', '1366294585747312640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369970686508011520', '1366294585730535424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369971109679730688', '1366294585717952512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369980152251027456', '1340961479612043264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1369984723287412736', '1340961436326825984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370013849062871040', '1366294586892357632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370013849062871041', '1366294586892357632', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370013849062871042', '1366294586892357632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370180737055199232', '1340962254245466112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1370180737055199233', '1340962254245466112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370180737055199234', '1340962254245466112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1370187552107139072', '1366294585315299328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370187552107139073', '1366294585315299328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370192692306382848', '1366294583784378368', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1370192692306382849', '1366294583784378368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370192692306382850', '1366294583784378368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370192692306382851', '1366294583784378368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370192692306382852', '1366294583784378368', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1370192692306382853', '1366294583784378368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1370197474744078336', '1340962277439967232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370197474744078337', '1340962277439967232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370211835474743296', '1340962298075942912', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370343978632876032', '1340957369726799872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370349164629725184', '1340957352765034496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370363832609935360', '1340961494808006656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370525689039687680', '1340961419188899840', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1370538031110557696', '1340957440316936192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370557192947765248', '1340961521169207296', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1370557192947765249', '1340961521169207296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370557192947765250', '1340961521169207296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370561900575854592', '1340962274801750016', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1370561900575854593', '1340962274801750016', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370561900575854594', '1340962274801750016', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370561900575854595', '1340962274801750016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370561900575854596', '1340962274801750016', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1370561900575854597', '1340962274801750016', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1370577175945809920', '1340961415632130048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370648835956805632', '1340961517117509632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370678249780285440', '1340961422842138624', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370727454557212672', '1340962275359592448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370727454557212673', '1340962275359592448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370753241746378752', '1366294583939567616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1370753241746378753', '1366294583939567616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370753241746378754', '1366294583939567616', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1370753241746378755', '1366294583939567616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1370753241746378756', '1366294583939567616', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1370753241746378757', '1366294583939567616', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1370901073816064000', '1340962261795213312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370932163347877888', '1340961484011868160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1370985622126333952', '1366294584329637888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371082503762350080', '1340961521718661120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371082503762350081', '1340961521718661120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371258919317540864', '1366294586066079744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371258919317540865', '1366294586066079744', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371259078285856768', '1366294585822810112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371259483132661760', '1340962573578801152', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371259483132661761', '1340962573578801152', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371260262849581056', '1366294585843781632', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371260262849581057', '1366294585843781632', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371260262849581058', '1366294585843781632', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371260262849581059', '1366294585843781632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371260262849581060', '1366294585843781632', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371260262849581061', '1366294585843781632', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371265515741384704', '1340957314882080768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371309609524006912', '1366294587198541824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371309609524006913', '1366294587198541824', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371309609524006914', '1366294587198541824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371315090393010176', '1340962574488965120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371404095813980160', '1366294587206930432', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371414830816301056', '1340961437849358336', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371420274783817728', '1366294585684398080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371445768006799360', '1340957289141637120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371445768006799361', '1340957289141637120', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371630124247683072', '1366294587571834880', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371630124247683073', '1366294587571834880', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371630124247683074', '1366294587571834880', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371630124247683075', '1366294587571834880', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371630124247683076', '1366294587571834880', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371630124247683077', '1366294587571834880', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371631570905075712', '1340962273736396800', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371637931948773376', '1366294587597000704', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371637931948773377', '1366294587597000704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371643812140683264', '1340957388924129280', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371716120800792576', '1340957442330202112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371717573254713344', '1340961520292597760', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371717573254713345', '1340961520292597760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371717573254713346', '1340961520292597760', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371717573254713347', '1340961520292597760', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371717573254713348', '1340961520292597760', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371717573254713349', '1340961520292597760', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371719228444512256', '1340957346104479744', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371723936345231360', '1340961481340096512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371724427124936704', '1340961450272886784', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371724427124936705', '1340961450272886784', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371724427124936706', '1340961450272886784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371724663662710784', '1340957374516695040', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371725013186646016', '1340957454510460928', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371726213286072320', '1340961400369057792', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371727359790682112', '1340957346213531648', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371727359790682113', '1340957346213531648', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371728903856590848', '1340961435781566464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371729380316942336', '1340957402064883712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371729380316942337', '1340957402064883712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371730555783221248', '1366297931900129280', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371731131501776896', '1340957421400625152', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371732094123905024', '1340957333890666496', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371733991773835264', '1340957342912614400', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371734565567205376', '1340957296922071040', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371735154032250880', '1340957305214210048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371735154032250881', '1340957305214210048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371735154032250882', '1340957305214210048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371737081730174976', '1340957357970165760', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371740396320854016', '1340957289590427648', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371741081460412416', '1340957456850882560', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371742925981093888', '1340957403188957184', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371742925981093889', '1340957403188957184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371742925981093890', '1340957403188957184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371742925981093891', '1340957403188957184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371742925981093892', '1340957403188957184', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371742925981093893', '1340957403188957184', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371743897209933824', '1366294587039158272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371744891536805888', '1340957448994951168', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371744986219024384', '1340962263590375424', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371745741432819712', '1371725759428825088', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371746176239538176', '1340957364630720512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371747930842730496', '1340957461976322048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371747930842730497', '1340957461976322048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371747930842730498', '1340957461976322048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371748209269018624', '1340957378518061056', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371748980949651456', '1340961457638084608', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371749157907337216', '1340961525514506240', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371750513095348224', '1340957369248649216', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371753868618240000', '1340957378652278784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371756089607065600', '1340957458356637696', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371761315076509696', '1340957292325113856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371762468703047680', '1340961436528152576', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371765888910495744', '1340961408568922112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371774518523203584', '1340957425095806976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371774518523203585', '1340957425095806976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371776697787092992', '1340961420619157504', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371776697787092993', '1340961420619157504', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371776697787092994', '1340961420619157504', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371778598704386048', '1340962572811243520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371778598704386049', '1340962572811243520', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371804806531911680', '1349252525446008832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371804806531911681', '1349252525446008832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371816498661822464', '1371725918447472640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371816498661822465', '1371725918447472640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371817877551845376', '1340957421509677056', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371818833165291520', '1371725394390159360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371818833165291521', '1371725394390159360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371818833165291522', '1371725394390159360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371818833165291523', '1371725394390159360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371821989194502144', '1340961449106870272', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371839644878114816', '1349252525727027200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371839644878114817', '1349252525727027200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371839644878114818', '1349252525727027200', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371839644878114819', '1349252525727027200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371980452390375424', '1340961426495377408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1371985303056814080', '1340961421839699968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371985303056814081', '1340961421839699968', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1371985303056814082', '1340961421839699968', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1371985303056814083', '1340961421839699968', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1371988804541485056', '1340957453281529856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1371996502045626368', '1340961480299909120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1371998787266023424', '1340961526005239808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372005801220247552', '1340957368485285888', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372005801220247553', '1340957368485285888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372005801220247554', '1340957368485285888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372005801220247555', '1340957368485285888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372005801220247556', '1340957368485285888', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372005801220247557', '1340957368485285888', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372014259067817984', '1340957449947058176', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372014748606009344', '1340961456287518720', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372016756322865152', '1340961417431486464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372016756322865153', '1340961417431486464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372016756322865154', '1340961417431486464', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372016756322865155', '1340961417431486464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372016756322865156', '1340961417431486464', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372016756322865157', '1340961417431486464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372021887873454080', '1340957332670124032', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372023659908173824', '1340957306627690496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372024654591561728', '1366294587815104512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372024801576751104', '1340957332229722112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372024801576751105', '1340957332229722112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372027451831619584', '1340957308125057024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372027451831619585', '1340957308125057024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372027451831619586', '1340957308125057024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372028549707468800', '1366294587907379200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372028549707468801', '1366294587907379200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372028549707468802', '1366294587907379200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372029114181095424', '1366297931908517888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372029896427180032', '1340962259865833472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372031665173565440', '1340961453292785664', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372032151305981952', '1340962259136024576', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372032519251300352', '1340957385753235456', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372032519251300353', '1340957385753235456', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372033698572144640', '1340957461426868224', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372033698572144641', '1340957461426868224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372033698572144642', '1340957461426868224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372033698572144643', '1340957461426868224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372033698572144644', '1340957461426868224', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372033931649617920', '1340957285329014784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372035050664759296', '1340961481252016128', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372036322822328320', '1340957296393588736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372039190082097152', '1340961504853364736', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372039190082097153', '1340961504853364736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372039636418957312', '1340957410403160064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372039636418957313', '1340957410403160064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372039636418957314', '1340957410403160064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372040868562866176', '1340961400889151488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372040868562866177', '1340961400889151488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372040868562866178', '1340961400889151488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372040868562866179', '1340961400889151488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372040868562866180', '1340961400889151488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372042055257296896', '1340957349476700160', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372042055257296897', '1340957349476700160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372042055257296898', '1340957349476700160', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372042055257296899', '1340957349476700160', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372042055257296900', '1340957349476700160', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372042055257296901', '1340957349476700160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372043863333670912', '1340961424641495040', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372044621550587904', '1340957353314488320', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372044621550587905', '1340957353314488320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372050257080356864', '1340957388643110912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372050257080356865', '1340957388643110912', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372050257080356866', '1340957388643110912', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372050257080356867', '1340957388643110912', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372050257080356868', '1340957388643110912', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372050257080356869', '1340957388643110912', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372054262355464192', '1340957380141256704', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372054262355464193', '1340957380141256704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372054262355464194', '1340957380141256704', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372054262355464195', '1340957380141256704', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372054262355464196', '1340957380141256704', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372054262355464197', '1340957380141256704', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372066741642989568', '1340957314915635200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372066741642989569', '1340957314915635200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372066741642989570', '1340957314915635200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372066741642989571', '1340957314915635200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372066741642989572', '1340957314915635200', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372066741642989573', '1340957314915635200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372067187598168064', '1340961402495569920', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372067187598168065', '1340961402495569920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372067187598168066', '1340961402495569920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372067187598168067', '1340961402495569920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372067187598168068', '1340961402495569920', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372067187598168069', '1340961402495569920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372067679132848128', '1366294587982876672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372067679132848129', '1366294587982876672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372067679132848130', '1366294587982876672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372067679132848131', '1366294587982876672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372067679132848132', '1366294587982876672', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372067679132848133', '1366294587982876672', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372067836285030400', '1340957443345223680', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372067836285030401', '1340957443345223680', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372067871810785280', '1340957369915543552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372067871810785281', '1340957369915543552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372067871810785282', '1340957369915543552', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372067871810785283', '1340957369915543552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372067871810785284', '1340957369915543552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372068465199943680', '1340957363225628672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372068465199943681', '1340957363225628672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372068465199943682', '1340957363225628672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372068465199943683', '1340957363225628672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372068465199943684', '1340957363225628672', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372068465199943685', '1340957363225628672', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372070596330000384', '1340957431680864256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372070910433038336', '1340957290387345408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372070910433038337', '1340957290387345408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372070910433038338', '1340957290387345408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372071782454005760', '1340957340601552896', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372071782454005761', '1340957340601552896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372073605734731776', '1340957323698507776', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372073605734731777', '1340957323698507776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372073605734731778', '1340957323698507776', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372073605734731779', '1340957323698507776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372074175417683968', '1340957363540201472', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372074175417683969', '1340957363540201472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372074175417683970', '1340957363540201472', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372076939241721856', '1366294587995459584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372078537447706624', '1340957346066731008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372080549597941760', '1340961462050492416', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372080549597941761', '1340961462050492416', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372080549597941762', '1340961462050492416', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372081277729116160', '1340957399820931072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372081277729116161', '1340957399820931072', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372081277729116162', '1340957399820931072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372081277729116163', '1340957399820931072', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372081277729116164', '1340957399820931072', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372082533784752128', '1340961522100342784', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372082766266634240', '1340957456746024960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372082766266634241', '1340957456746024960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372082766266634242', '1340957456746024960', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372082766266634243', '1340957456746024960', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372082766266634244', '1340957456746024960', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372082766266634245', '1340957456746024960', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372083296044978176', '1340957300797607936', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372083296044978177', '1340957300797607936', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372083296044978178', '1340957300797607936', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372083296044978179', '1340957300797607936', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372083296044978180', '1340957300797607936', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372083296044978181', '1340957300797607936', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372083404073472000', '1340961429674659840', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372083482897027072', '1340957352282689536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372084165914267648', '1340961515687251968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372085610558394368', '1340961397022003200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372085610558394369', '1340961397022003200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372085610558394370', '1340961397022003200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372086154278604800', '1340961459584241664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372086490749865984', '1340957421690032128', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372088476710866944', '1340957290181824512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372088476710866945', '1340957290181824512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372088476710866946', '1340957290181824512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372088476710866947', '1340957290181824512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372089063917621248', '1340961437912272896', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372089063917621249', '1340961437912272896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372089063917621250', '1340961437912272896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372089063917621251', '1340961437912272896', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372090196316786688', '1340957444087615488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372090196316786689', '1340957444087615488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372090196316786690', '1340957444087615488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372090196316786691', '1340957444087615488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372090196316786692', '1340957444087615488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372090196316786693', '1340957444087615488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372090427083198464', '1340961427715919872', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372090427083198465', '1340961427715919872', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372090427083198466', '1340961427715919872', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372090427083198467', '1340961427715919872', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372090427083198468', '1340961427715919872', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372090427083198469', '1340961427715919872', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372091768807493632', '1340961460246941696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372091768807493633', '1340961460246941696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372092084609224704', '1340957296821407744', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372092661158252544', '1340961466395791360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372094237881012224', '1340962575126499328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372096961070632960', '1340957383446368256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372096961070632961', '1340957383446368256', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372103463659507712', '1340961451485040640', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372103463659507713', '1340961451485040640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372103463659507714', '1340961451485040640', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372103463659507715', '1340961451485040640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372103463659507716', '1340961451485040640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372109067320954880', '1340957393965682688', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372109067320954881', '1340957393965682688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372109067320954882', '1340957393965682688', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372109067320954883', '1340957393965682688', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372109067320954884', '1340957393965682688', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372109067320954885', '1340957393965682688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372109491889377280', '1340961511627165696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372109566002728960', '1340961401073700864', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372109566002728961', '1340961401073700864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372109566002728962', '1340961401073700864', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372109566002728963', '1340961401073700864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372109566002728964', '1340961401073700864', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372109566002728965', '1340961401073700864', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372117893898178560', '1340957343202021376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372117906166517760', '1340962302605791232', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372123548948238336', '1340957403025379328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372124995966341120', '1340957307055509504', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372126628397846528', '1366294584266723328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372134998446051328', '1330815510081835011', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372134998446051329', '1330815510081835011', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372134998446051330', '1330815510081835011', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372134998446051331', '1330815510081835011', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372134998446051332', '1330815510081835011', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372134998446051333', '1330815510081835011', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372135084970348544', '1340961436217774080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372135084970348545', '1340961436217774080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372136445925527552', '1340961420296196096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372136445925527553', '1340961420296196096', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372141369753210880', '1340957319781027840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372147656050216960', '1340957414169645056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372152175760904192', '1340962260067160064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372152175760904193', '1340962260067160064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372152175760904194', '1340962260067160064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372152175760904195', '1340962260067160064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372155729871507456', '1340957472684380160', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372157573024845824', '1340957302022344704', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372165521025404928', '1340957342384132096', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372165521025404929', '1340957342384132096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372165521025404930', '1340957342384132096', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372165521025404931', '1340957342384132096', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372165521025404932', '1340957342384132096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372166606414811136', '1340961405481914368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372168040371851264', '1340962298000445440', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372168040371851265', '1340962298000445440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372168040371851266', '1340962298000445440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372175737972461568', '1340961438658859008', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372175737972461569', '1340961438658859008', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372175737972461570', '1340961438658859008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372175737972461571', '1340961438658859008', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372175737972461572', '1340961438658859008', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372175882197798912', '1340961417175633920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372175882197798913', '1340961417175633920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372175882197798914', '1340961417175633920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372178590841573376', '1340961457109602304', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372344198497439744', '1340962305168510976', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372344198497439745', '1340962305168510976', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372344198497439746', '1340962305168510976', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372345349590618112', '1366294586187714560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372348582597890048', '1340957339150323712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372348582597890049', '1340957339150323712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372348582597890050', '1340957339150323712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372349755157516288', '1340957403679690752', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372351574680145920', '1340957305256153088', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372352109600706560', '1340957472986370048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372352109600706561', '1340957472986370048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372352109600706562', '1340957472986370048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372353185225773056', '1340957302261420032', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372353917106655232', '1366294587760578560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372354517441581056', '1340957422445006848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372354517441581057', '1340957422445006848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372354517441581058', '1340957422445006848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372354517441581059', '1340957422445006848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372354517441581060', '1340957422445006848', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372354517441581061', '1340957422445006848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372355739615629312', '1366294587919962112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372357645306040320', '1340957304882860032', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372357769130283008', '1340957363330486272', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372357769130283009', '1340957363330486272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372357769130283010', '1340957363330486272', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372357769130283011', '1340957363330486272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372357769130283012', '1340957363330486272', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372357769130283013', '1340957363330486272', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372358186207678464', '1340961434506498048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372358453099630592', '1366294587978682368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372358453099630593', '1366294587978682368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372358453099630594', '1366294587978682368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372359256782802944', '1340961397844086784', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372359256782802945', '1340961397844086784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372359256782802946', '1340961397844086784', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372359256782802947', '1340961397844086784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372359256782802948', '1340961397844086784', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372359256782802949', '1340961397844086784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372359306351087616', '1366294587798327296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372359898230296576', '1366294587110461440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372360257824755712', '1340961497366532096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372360257824755713', '1340961497366532096', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372362959816364032', '1340961429938900992', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372364229998415872', '1340961519520845824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372364229998415873', '1340961519520845824', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372364229998415874', '1340961519520845824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372366525935259648', '1340957283714207744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372366665102266368', '1340961495323906048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372378228978749440', '1340957325988597760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372380908706992128', '1330815510098612224', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372380908706992129', '1330815510098612224', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372380908706992130', '1330815510098612224', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372380908706992131', '1330815510098612224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372380908706992132', '1330815510098612224', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372382051256373248', '1340962574157615104', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372384083623153664', '1330815510367047680', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372384083623153665', '1330815510367047680', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372384167458902016', '1340961504844976128', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372384167458902017', '1340961504844976128', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372386695126847488', '1340962610455121920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372386695126847489', '1340962610455121920', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372386695126847490', '1340962610455121920', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372388053678690304', '1340957376538349568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372389107786977280', '1366294585868947456', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372390658425360384', '1366294587827687424', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372390658425360385', '1366294587827687424', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372396573778120704', '1340957400466853888', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372396573778120705', '1340957400466853888', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372396573778120706', '1340957400466853888', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372396573778120707', '1340957400466853888', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372408233687388160', '1340962571884302336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372408447131324416', '1340962567463505920', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372419087048773632', '1366294584564518912', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372422693558816768', '1340957287732350976', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372434034793254912', '1340961526072348672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372438371846197248', '1366294587265650688', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372438371846197249', '1366294587265650688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372438371846197250', '1366294587265650688', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372438371846197251', '1366294587265650688', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372438371846197252', '1366294587265650688', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372438371846197253', '1366294587265650688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372444701877211136', '1340957442212761600', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372446239265787904', '1366294585952833536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372446239265787905', '1366294585952833536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372455211955785728', '1366294587823493120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372455211955785729', '1366294587823493120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372455211955785730', '1366294587823493120', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372458273646710784', '1340961448867794944', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372471914076966912', '1340957430565179392', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372471914076966913', '1340957430565179392', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372472421130571776', '1349252525454397440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372472707492483072', '1340962277901340672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372475137772883968', '1340962275003076608', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372475137772883969', '1340962275003076608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372475137772883970', '1340962275003076608', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372475137772883971', '1340962275003076608', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372475137772883972', '1340962275003076608', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372475137772883973', '1340962275003076608', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372485012368265216', '1340962271832182784', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372485012368265217', '1340962271832182784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372485012368265218', '1340962271832182784', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372485012368265219', '1340962271832182784', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372485012368265220', '1340962271832182784', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372485012368265221', '1340962271832182784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372485472311447552', '1340957457861709824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372488737895878656', '1340961432472260608', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372490995131879424', '1340962572077240320', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372494779652378624', '1340962273405046784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372503896412524544', '1366294586145771520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372503896412524545', '1366294586145771520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372503896412524546', '1366294586145771520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372518316748443648', '1366294585080418304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372546299257294848', '1340961467658276864', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372605501581430784', '1340962253125586944', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372715497925251072', '1340961403649003520', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372715684362063872', '1340961505159548928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372715684362063873', '1340961505159548928', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372715684362063874', '1340961505159548928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372738101146947584', '1340957411611119616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372738602668265472', '1340957455756169216', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372738602668265473', '1340957455756169216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372738602668265474', '1340957455756169216', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372738602668265475', '1340957455756169216', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372752240124760064', '1340961432061218816', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372752240124760065', '1340961432061218816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372755205048897536', '1340961525732610048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372755205048897537', '1340961525732610048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372755205048897538', '1340961525732610048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372755205048897539', '1340961525732610048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372755205048897540', '1340961525732610048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372755305049493504', '1340962259211522048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372755305049493505', '1340962259211522048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372756754538041344', '1340957466904629248', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372762622558081024', '1340961467138183168', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372762622558081025', '1340961467138183168', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372762622558081026', '1340961467138183168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372763197563604992', '1340957283919728640', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372763197563604993', '1340957283919728640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372763197563604994', '1340957283919728640', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372769962145484800', '1340962603953950720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372770033452847104', '1340961453141790720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372771513324933120', '1340957456779579392', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372771513324933121', '1340957456779579392', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372772542615523328', '1340961483558883328', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372778570325299200', '1340961462679638016', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372778742434369536', '1340957384415252480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372778742438563840', '1340957384415252480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372797999582941184', '1340957411086831616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372797999582941185', '1340957411086831616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372797999582941186', '1340957411086831616', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372797999582941187', '1340957411086831616', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372801436961869824', '1372472582217011200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372818264769564672', '1340962291058872320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372818264769564673', '1340962291058872320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372818264769564674', '1340962291058872320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372818264769564675', '1340962291058872320', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372822167619768320', '1366294585973805056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372848151886696448', '1340962262336278528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372860379411124224', '1340957393672081408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372880548942450688', '1340957465340153856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372880548942450689', '1340957465340153856', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372897506668711936', '1340957412647112704', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372897845505560576', '1340957292253810688', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372897845505560577', '1340957292253810688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372898202352750592', '1340961459135451136', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372898202352750593', '1340961459135451136', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372898371014103040', '1340961457302540288', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372898505705787392', '1340961441150275584', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372899807542251520', '1340962262600519680', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372899807542251521', '1340962262600519680', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372899807542251522', '1340962262600519680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372899807542251523', '1340962262600519680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372899807542251524', '1340962262600519680', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372899807542251525', '1340962262600519680', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372900313782161408', '1340961418094186496', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372900313782161409', '1340961418094186496', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372904684276289536', '1340961400973037568', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372904684276289537', '1340961400973037568', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372904684276289538', '1340961400973037568', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372904684276289539', '1340961400973037568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372904684276289540', '1340961400973037568', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372904684276289541', '1340961400973037568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372906281114931200', '1340961416965918720', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372906718647947264', '1340961456669200384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372906718647947265', '1340961456669200384', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372906718647947266', '1340961456669200384', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372910671708164096', '1340961420522688512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372910671708164097', '1340961420522688512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372910671708164098', '1340961420522688512', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372910671708164099', '1340961420522688512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372910671708164100', '1340961420522688512', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372910671708164101', '1340961420522688512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372910751890673664', '1340961518094782464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372910751890673665', '1340961518094782464', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372910751890673666', '1340961518094782464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1372935430579818496', '1340957439373217792', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372944437860241408', '1340957464862003200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1372944437860241409', '1340957464862003200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1372944437860241410', '1340957464862003200', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1372944437860241411', '1340957464862003200', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1372944437860241412', '1340957464862003200', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1372944437860241413', '1340957464862003200', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373039314442784768', '1340957382947246080', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373039314442784769', '1340957382947246080', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373039314442784770', '1340957382947246080', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373039314442784771', '1340957382947246080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373039314442784772', '1340957382947246080', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373039314442784773', '1340957382947246080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373045159859720192', '1340957455718420480', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373045159859720193', '1340957455718420480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373045159859720194', '1340957455718420480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373045159859720195', '1340957455718420480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373045159859720196', '1340957455718420480', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373045159859720197', '1340957455718420480', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373078752828985344', '1340957317704847360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373081381978116096', '1340961431679537152', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373094461453766656', '1340961484351606784', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373113738273624064', '1366294587869630464', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373113738273624065', '1366294587869630464', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373113738273624066', '1366294587869630464', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373113738273624067', '1366294587869630464', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373113738273624068', '1366294587869630464', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373113738273624069', '1366294587869630464', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373114573992890368', '1340962567404785664', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373123966956343296', '1340957386080391168', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373123966956343297', '1340957386080391168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373127562200485888', '1340957317633544192', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373127769877254144', '1340962264802529280', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373127769877254145', '1340962264802529280', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373260174852231168', '1340961486574587904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373260174852231169', '1340961486574587904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373260174852231170', '1340961486574587904', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373260174852231171', '1340961486574587904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373260174852231172', '1340961486574587904', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373260174852231173', '1340961486574587904', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373266059611738112', '1340961430404468736', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373266059611738113', '1340961430404468736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373266059611738114', '1340961430404468736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373266059611738115', '1340961430404468736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373266059611738116', '1340961430404468736', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373266059611738117', '1340961430404468736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373279756677681152', '1340961419109208064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373279756677681153', '1340961419109208064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373279756677681154', '1340961419109208064', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373279756677681155', '1340961419109208064', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373279756677681156', '1340961419109208064', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373279756677681157', '1340961419109208064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373419621289431040', '1340957321085456384', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373419621289431041', '1340957321085456384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373433691954614272', '1340957314663976960', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373447516854554624', '1340962261824573440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373463084005462016', '1340957424911257600', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373463084005462017', '1340957424911257600', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373466061248270336', '1340961515674669056', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373466132807290880', '1340957439369023488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373466132807290881', '1340957439369023488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373467359775428608', '1366294585072029696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373471582315483136', '1340961512726073344', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373474709672431616', '1340957325795659776', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373520907653484544', '1340957290357985280', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373521236210094080', '1340957430879752192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373521236210094081', '1340957430879752192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373521236210094082', '1340957430879752192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373521236210094083', '1340957430879752192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373521236210094084', '1340957430879752192', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373521236210094085', '1340957430879752192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373526636506517504', '1340961484120920064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373530480212840448', '1340961514202468352', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373530480212840449', '1340961514202468352', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373530480212840450', '1340961514202468352', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373530480212840451', '1340961514202468352', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373530480212840452', '1340961514202468352', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373530480212840453', '1340961514202468352', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373531374824329216', '1340957369441587200', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373531386912313344', '1340961406408855552', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373543239717621760', '1340961455910031360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373543239717621761', '1340961455910031360', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373545197891358720', '1340961457973628928', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373553988062023680', '1340957295307264000', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373556437229375488', '1340957424269529088', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373556437233569792', '1340957424269529088', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373556437233569793', '1340957424269529088', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373556437233569794', '1340957424269529088', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373558339400765440', '1340957290106327040', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373566003555995648', '1340962576045051904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373572179249205248', '1340957288046923776', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373578978920632320', '1340957369089265664', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373579286182760448', '1340961409055461376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373583124847529984', '1340962262474690560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373587518116728832', '1340957393537863680', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373610697417691136', '1340961523090198528', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373610697417691137', '1340961523090198528', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373610697417691138', '1340961523090198528', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373610697417691139', '1340961523090198528', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373610697417691140', '1340961523090198528', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373610697417691141', '1340961523090198528', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373611902793551872', '1340957389511331840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373744741795106816', '1340957296007712768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373799006802677760', '1366294587857047552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373799006802677761', '1366294587857047552', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373799006802677762', '1366294587857047552', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373799006802677763', '1366294587857047552', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373799006802677764', '1366294587857047552', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373825452468211712', '1340962577995403264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373825452468211713', '1340962577995403264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373828584367591424', '1340961437144715264', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373828584367591425', '1340961437144715264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373837873140338688', '1366294583608217600', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373838855513444352', '1366294583574663168', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373838855513444353', '1366294583574663168', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373838855513444354', '1366294583574663168', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373838855513444355', '1366294583574663168', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373840018791075840', '1340961480136331264', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373840018791075841', '1340961480136331264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373840465425731584', '1340957456951545856', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373848896958238720', '1340957296984985600', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373848896958238721', '1340957296984985600', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373848896958238722', '1340957296984985600', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373853670017470464', '1340957473653264384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373854678097465344', '1340957347345993728', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373854678097465345', '1340957347345993728', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373854678097465346', '1340957347345993728', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373854678097465347', '1340957347345993728', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373854678097465348', '1340957347345993728', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373854678097465349', '1340957347345993728', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373855149419794432', '1340957351422857216', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373855149419794433', '1340957351422857216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373855149419794434', '1340957351422857216', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373855149419794435', '1340957351422857216', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373855149419794436', '1340957351422857216', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373855149419794437', '1340957351422857216', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373857968889663488', '1340961399144321024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373857968889663489', '1340961399144321024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373857968889663490', '1340961399144321024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373857968889663491', '1340961399144321024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373857968889663492', '1340961399144321024', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373857968889663493', '1340961399144321024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373868410651414528', '1366294583260090368', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373868410651414529', '1366294583260090368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373868410651414530', '1366294583260090368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373868410651414531', '1366294583260090368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373868410651414532', '1366294583260090368', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373868410651414533', '1366294583260090368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373875412622512128', '1366294583327199232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373877215435034624', '1340962575394934784', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373885023597498368', '1366294583251701760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373885455157825536', '1329695641441538048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373885455157825537', '1329695641441538048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373885455157825538', '1329695641441538048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373885455157825539', '1329695641441538048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373885455157825540', '1329695641441538048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373888973772034048', '1330815510014726144', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373888973772034049', '1330815510014726144', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373888973772034050', '1330815510014726144', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373890462682845184', '1340961513980170240', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373890810537447424', '1340961424675049472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373890810537447425', '1340961424675049472', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373891692524081152', '1340957319621644288', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373891692524081153', '1340957319621644288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373891692524081154', '1340957319621644288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373891692524081155', '1340957319621644288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373891692524081156', '1340957319621644288', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373891692524081157', '1340957319621644288', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373892382533226496', '1340961401149198336', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373892382533226497', '1340961401149198336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373892382533226498', '1340961401149198336', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373892382533226499', '1340961401149198336', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373892382533226500', '1340961401149198336', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373892382533226501', '1340961401149198336', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373892497864003584', '1340957384222314496', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373892497864003585', '1340957384222314496', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373892497864003586', '1340957384222314496', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373892497864003587', '1340957384222314496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373892497864003588', '1340957384222314496', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373892497864003589', '1340957384222314496', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373892821756547072', '1340957380527132672', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373892821756547073', '1340957380527132672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373892821756547074', '1340957380527132672', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373892821756547075', '1340957380527132672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373892821756547076', '1340957380527132672', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373892821756547077', '1340957380527132672', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373893544674201600', '1340957473124782080', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373896436034441216', '1340957284183969792', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373896775659819008', '1340961463220703232', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373896775659819009', '1340961463220703232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373896775659819010', '1340961463220703232', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373896775659819011', '1340961463220703232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373896775659819012', '1340961463220703232', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373896775659819013', '1340961463220703232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373896974343999488', '1340961516169596928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373896974343999489', '1340961516169596928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373896974343999490', '1340961516169596928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373898377036697600', '1340961420606574592', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373898377036697601', '1340961420606574592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373898377036697602', '1340961420606574592', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373898377036697603', '1340961420606574592', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373898377036697604', '1340961420606574592', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373898377036697605', '1340961420606574592', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373898657002295296', '1340957339389399040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373899315197644800', '1340961461501038592', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373899321799479296', '1366294583276867584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373899321799479297', '1366294583276867584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373899321799479298', '1366294583276867584', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373901431123349504', '1340957403721633792', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373901431123349505', '1340957403721633792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373901431123349506', '1340957403721633792', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373901546387017728', '1340957347916419072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373901961203683328', '1340961451598286848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373901961203683329', '1340961451598286848', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373901961203683330', '1340961451598286848', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373902788014247936', '1340962296205283328', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373903009863569408', '1340962283836280832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373903009863569409', '1340962283836280832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373903009863569410', '1340962283836280832', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373903009863569411', '1340962283836280832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373903009863569412', '1340962283836280832', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373903009863569413', '1340962283836280832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373904043201662976', '1340957424772845568', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373904043201662977', '1340957424772845568', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373904043201662978', '1340957424772845568', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373904043201662979', '1340957424772845568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373904043201662980', '1340957424772845568', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373904043201662981', '1340957424772845568', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373904374228717568', '1340961439447388160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373907014555668480', '1340961408610865152', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373908847994998784', '1340957330946265088', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373911426749566976', '1340957463427551232', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373911426749566977', '1340957463427551232', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373911426749566978', '1340957463427551232', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373911426749566979', '1340957463427551232', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373911426749566980', '1340957463427551232', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373911426749566981', '1340957463427551232', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373914685002354688', '1340962259672895488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373914685002354689', '1340962259672895488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373914685002354690', '1340962259672895488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373914685002354691', '1340962259672895488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373914685002354692', '1340962259672895488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373914685002354693', '1340962259672895488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373915354253889536', '1340961426231136256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373916961330827264', '1340957355952705536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373916961330827265', '1340957355952705536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373918519078555648', '1340961496875798528', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373918519078555649', '1340961496875798528', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373918519078555650', '1340961496875798528', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373919169241812992', '1340962634148745216', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373921044888424448', '1340957314714308608', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373921044888424449', '1340957314714308608', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373921766937858048', '1340961463237480448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373921766937858049', '1340961463237480448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373923357564735488', '1340957383622529024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373923357564735489', '1340957383622529024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1373933905144582144', '1340957357223579648', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373947139155169280', '1340957346368720896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373947139155169281', '1340957346368720896', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373947139155169282', '1340957346368720896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373948839471484928', '1340957374751576064', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1373948839471484929', '1340957374751576064', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373971919988199424', '1340961440953143296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373975468696539136', '1340957462651604992', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1373975468696539137', '1340957462651604992', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1373975468696539138', '1340957462651604992', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1373975468696539139', '1340957462651604992', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1373978658741555200', '1340957366899838976', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374147615813406720', '1340957332418465792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374147615813406721', '1340957332418465792', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374147615813406722', '1340957332418465792', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374147615813406723', '1340957332418465792', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374148814092505088', '1340957347333410816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374154199134244864', '1340961467519864832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374154199134244865', '1340961467519864832', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374154199134244866', '1340961467519864832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374154199134244867', '1340961467519864832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374155115472228352', '1340957315960016896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374158858863382528', '1366294583201370112', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374165884498743296', '1366294583192981504', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374172428187602944', '1366294587626360832', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374172428187602945', '1366294587626360832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374173605402906624', '1366294583419473920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374176139584606208', '1366294583440445440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374176139584606209', '1366294583440445440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374176139584606210', '1366294583440445440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374177702285807616', '1340961421256691712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374177702285807617', '1340961421256691712', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374178038580908032', '1366294583385919488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374178038580908033', '1366294583385919488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374178038580908034', '1366294583385919488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374178038580908035', '1366294583385919488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374178038580908036', '1366294583385919488', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374178038580908037', '1366294583385919488', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374179300919611392', '1366294583390113792', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374190574852247552', '1366294586183520256', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374190574852247553', '1366294586183520256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374191364442558464', '1340961459034787840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374191364442558465', '1340961459034787840', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374191504448425984', '1366294583339782144', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374192104774963200', '1366294583411085312', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374192104774963201', '1366294583411085312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374192104774963202', '1366294583411085312', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374192104774963203', '1366294583411085312', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374192104774963204', '1366294583411085312', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374192104774963205', '1366294583411085312', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374193714741776384', '1340957315779661824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374193781296992256', '1366294587546669056', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374193781296992257', '1366294587546669056', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374193781296992258', '1366294587546669056', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374193781296992259', '1366294587546669056', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374193781296992260', '1366294587546669056', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374193781296992261', '1366294587546669056', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374193792051187712', '1340961513246167040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374194314544025600', '1366294588612022272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374195661343428608', '1366294583675326464', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374197237927776256', '1366294588557496320', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374197237927776257', '1366294588557496320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374198480582610944', '1366294585701175296', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374199091474599936', '1366294588565884928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374200469706117120', '1340962296305946624', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374200469706117121', '1340962296305946624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374200469706117122', '1340962296305946624', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374201836390715392', '1340957443441692672', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374201847392374784', '1366294583218147328', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374202065315827712', '1340957302039121920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374205471564632064', '1366294583364947968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374209913491951616', '1340957332120670208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374209913491951617', '1340957332120670208', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374212407194423296', '1366294587525697536', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374212407194423297', '1366294587525697536', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374212407194423298', '1366294587525697536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374212407194423299', '1366294587525697536', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374212407194423300', '1366294587525697536', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374212407194423301', '1366294587525697536', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374215366766628864', '1340957305050632192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374215366766628865', '1340957305050632192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374215366766628866', '1340957305050632192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374219541160267776', '1340961481965047808', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374223779538014208', '1340962279381929984', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374223779538014209', '1340962279381929984', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374223779538014210', '1340962279381929984', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374223779538014211', '1340962279381929984', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374223779538014212', '1340962279381929984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374224730621612032', '1340957366174224384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374232458836447232', '1340957412932325376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374232458836447233', '1340957412932325376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374232458836447234', '1340957412932325376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374232458836447235', '1340957412932325376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374235298367672320', '1366294585185275904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374238612517949440', '1340961433810243584', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374238612517949441', '1340961433810243584', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374239286425161728', '1340957411657256960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374240143061422080', '1340962261962985472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374240143061422081', '1340962261962985472', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374243619585789952', '1366294588578467840', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374243619589984256', '1366294588578467840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374243619589984257', '1366294588578467840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374243619589984258', '1366294588578467840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374245157846781952', '1340957293075894272', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374245157846781953', '1340957293075894272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374245157846781954', '1340957293075894272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374247982144294912', '1366294587865436160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374256272622358528', '1366294587332759552', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374260625907257344', '1340962590930636800', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374264176997961728', '1366294584887480320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374264309860929536', '1340957384444612608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374264544385437696', '1366294587320176640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374264544385437697', '1366294587320176640', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374264544385437698', '1366294587320176640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374265038386368512', '1340961433709580288', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374265055788535808', '1366294583725658112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374265420449714176', '1340957392082440192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374265420449714177', '1340957392082440192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374265420449714178', '1340957392082440192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374265420449714179', '1340957392082440192', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374265420449714180', '1340957392082440192', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374265420449714181', '1340957392082440192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374265878400602112', '1340962565685121024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374266113650724864', '1340961467075268608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374266755454734336', '1340962278601789440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374266755454734337', '1340962278601789440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374266758281695232', '1366294587810910208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374266928901787648', '1340957293973475328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374270819244576768', '1366294588217757696', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374270819244576769', '1366294588217757696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374271123046404096', '1366294588230340608', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374275110797709312', '1340957473183502336', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374276145947742208', '1340957442133069824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374276145947742209', '1340957442133069824', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374281494767472640', '1366294587643138048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374281494767472641', '1366294587643138048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374281494767472642', '1366294587643138048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374281494767472643', '1366294587643138048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374281494767472644', '1366294587643138048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374281494767472645', '1366294587643138048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374282032028454912', '1340961480069222400', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374282276359245824', '1340957393571418112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374285447915769856', '1340962565567680512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374285447915769857', '1340962565567680512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374289508727656448', '1340961513267138560', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374289508727656449', '1340961513267138560', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374289508727656450', '1340961513267138560', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374289508727656451', '1340961513267138560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374289508727656452', '1340961513267138560', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374289508727656453', '1340961513267138560', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374291386630803456', '1340957425292939264', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374291386630803457', '1340957425292939264', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374291386630803458', '1340957425292939264', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374292728191520768', '1340957386877308928', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374292728191520769', '1340957386877308928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374292728191520770', '1340957386877308928', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374292728191520771', '1340957386877308928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374292728191520772', '1340957386877308928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374292728191520773', '1340957386877308928', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374293097437073408', '1340961419507666944', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374293097437073409', '1340961419507666944', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374293097437073410', '1340961419507666944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374293768857063424', '1366294585663426560', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374293966475890688', '1340962254115442688', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374293966475890689', '1340962254115442688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374293966475890690', '1340962254115442688', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374293966475890691', '1340962254115442688', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374293966475890692', '1340962254115442688', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374293966475890693', '1340962254115442688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374297863605063680', '1340957319491620864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374298795986259968', '1366294585243996160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374298795986259969', '1366294585243996160', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374298795986259970', '1366294585243996160', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374299048420446208', '1340957286507614208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374299082339782656', '1340961400285171712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374299082339782657', '1340961400285171712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374299082339782658', '1340961400285171712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374300349514518528', '1340957323555901440', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374300349514518529', '1340957323555901440', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374300349514518530', '1340957323555901440', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374306880687575040', '1340961453615747072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374317797949181952', '1340957324973576192', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374317797949181953', '1340957324973576192', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374317797949181954', '1340957324973576192', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374328423048155136', '1340961516161208320', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374331320590798848', '1340962297622958080', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374331320590798849', '1340962297622958080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374375654035951616', '1340957442858684416', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374375654035951617', '1340957442858684416', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374501574499504128', '1366294583125872640', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374531064579624960', '1340961424750546944', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374534724567044096', '1340957323182608384', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374535206098309120', '1366294583499165696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374536621256478720', '1366294583461416960', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374537211504103424', '1340961442601504768', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374539336602750976', '1340957389335171072', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374539336602750977', '1340957389335171072', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374540873890664448', '1340957293717622784', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374541772394467328', '1340962271383392256', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374541772394467329', '1340962271383392256', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374541772394467330', '1340962271383392256', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374541772394467331', '1340962271383392256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374542144148213760', '1366294583448834048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374542718210019328', '1340961432392568832', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374543287700033536', '1340957288558628864', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374543287700033537', '1340957288558628864', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374544530606526464', '1340961453980651520', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374544530606526465', '1340961453980651520', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374544530606526466', '1340961453980651520', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374544530606526467', '1340961453980651520', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374544530606526468', '1340961453980651520', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374547642893340672', '1366294583482388480', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374547642897534976', '1366294583482388480', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374548235242311680', '1366294583507554304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374548934042718208', '1340962261489029120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374551066624004096', '1366294583528525824', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374555540327370752', '1340961432619061248', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374555540327370753', '1340961432619061248', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374580285475262464', '1366294588322615296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374583021533007872', '1340957386696953856', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374605860843687936', '1340962271328866304', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374605860843687937', '1340962271328866304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374605860843687938', '1340962271328866304', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374605860843687939', '1340962271328866304', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374605860843687940', '1340962271328866304', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374605860843687941', '1340962271328866304', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374607405635211264', '1340957353201242112', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374607405635211265', '1340957353201242112', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374609564909047808', '1340961428806438912', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374610335138451456', '1340961521903210496', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374611641341186048', '1340961479930810368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374613822844833792', '1366294588314226688', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374613822844833793', '1366294588314226688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374613822844833794', '1366294588314226688', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374613939228381184', '1366294583666937856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374615997234941952', '1340957453273141248', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374615997234941953', '1340957453273141248', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374616667220480000', '1340961511341953024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374616667220480001', '1340961511341953024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374616667220480002', '1340961511341953024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374616938910715904', '1366294583457222656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374618475133276160', '1340957474202718208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374618475133276161', '1340957474202718208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374619361788170240', '1340957349740941312', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374619361788170241', '1340957349740941312', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374619361788170242', '1340957349740941312', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374619470861045760', '1366294583520137216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374619470861045761', '1366294583520137216', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374619470861045762', '1366294583520137216', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374619470861045763', '1366294583520137216', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374621260771889152', '1340961459936563200', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374621337275994112', '1340957390446661632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374621905457385472', '1340962259832279040', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374621905457385473', '1340962259832279040', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374622545764028416', '1340957338617647104', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374622545764028417', '1340957338617647104', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374622545764028418', '1340957338617647104', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374624436258476032', '1366294583650160640', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374624626281418752', '1340961457193488384', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374625058907099136', '1340957400571711488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374625058907099137', '1340957400571711488', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374625058907099138', '1340957400571711488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374625359538032640', '1340957384633356288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374627081345961984', '1340957288478937088', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374627562847866880', '1366294583348170752', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374627562847866881', '1366294583348170752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374627562847866882', '1366294583348170752', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374627562847866883', '1366294583348170752', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374627562847866884', '1366294583348170752', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374627562847866885', '1366294583348170752', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374628078143279104', '1340962273535070208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374630138800640000', '1340961428030492672', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374631202727792640', '1340961448452558848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374631202727792641', '1340961448452558848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374631202727792642', '1340961448452558848', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374631202727792643', '1340961448452558848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374631526242848768', '1340957457748463616', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374632145385033728', '1340962603249307648', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374632540425555968', '1340961428793856000', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374633902169264128', '1340961396715819008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374633959467651072', '1340957440589565952', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374633959467651073', '1340957440589565952', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374635897068326912', '1340957443416526848', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374636120016556032', '1340957423753629696', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374637202264428544', '1374534686117859328', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374637427582439424', '1340961400754933760', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374637427582439425', '1340961400754933760', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374637427582439426', '1340961400754933760', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374637427582439427', '1340961400754933760', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374638133387333632', '1340957306229231616', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374639114732834816', '1340961504895307776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374639817048068096', '1366294588112900096', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374639851885957120', '1340957363066245120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374640098699776000', '1366294586447761408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374640764298072064', '1340957339011911680', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374641470975381504', '1366294588591050752', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374641774030622720', '1340961428596723712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374643421519679488', '1366294588054179840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374643421519679489', '1366294588054179840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374643421519679490', '1366294588054179840', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374643435583180800', '1366294588037402624', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374643545713020928', '1340957443387166720', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374644500084953088', '1366294587651526656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374644627465965568', '1366294588075151360', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374644627465965569', '1366294588075151360', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374644627465965570', '1366294588075151360', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374644627465965571', '1366294588075151360', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374644627465965572', '1366294588075151360', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374644692960022528', '1340961427317460992', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374644692960022529', '1340961427317460992', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374644692960022530', '1340961427317460992', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374644692960022531', '1340961427317460992', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374644801890291712', '1340961423664222208', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374644801890291713', '1340961423664222208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374644801890291714', '1340961423664222208', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374644801890291715', '1340961423664222208', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374644801890291716', '1340961423664222208', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374644801890291717', '1340961423664222208', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374645715707498496', '1340957315528003584', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374646604103028736', '1366294588062568448', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374646604103028737', '1366294588062568448', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374646604103028738', '1366294588062568448', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374647159139471360', '1366294588335198208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374647652620308480', '1340961486633308160', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374647652620308481', '1340961486633308160', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374647988923797504', '1340961430492549120', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374647988923797505', '1340961430492549120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374647988923797506', '1340961430492549120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374647988923797507', '1340961430492549120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374647988923797508', '1340961430492549120', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374647988923797509', '1340961430492549120', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374649597514878976', '1340957284481765376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374649597514878977', '1340957284481765376', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374649646462406656', '1340957424525381632', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374649974272430080', '1340957375443636224', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374651366483562496', '1366294588041596928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374651366483562497', '1366294588041596928', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374651366483562498', '1366294588041596928', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1374652165330702336', '1340961408464064512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374652165330702337', '1340961408464064512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374652165330702338', '1340961408464064512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374652460601315328', '1374534686101082112', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374652460601315329', '1374534686101082112', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374652460601315330', '1374534686101082112', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374654603311845376', '1340962283848863744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374656494255083520', '1366294588603633664', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374656768604508160', '1366294588104511488', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374656768604508161', '1366294588104511488', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374656768604508162', '1366294588104511488', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374671250370203648', '1366294588100317184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374671250370203649', '1366294588100317184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374671250370203650', '1366294588100317184', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374688146339532800', '1340962263363883008', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374712397855592448', '1366294586774917120', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374712397855592449', '1366294586774917120', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374712397855592450', '1366294586774917120', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374714008615129088', '1366294583578857472', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374714008615129089', '1366294583578857472', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374738862810730496', '1366294583234924544', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374759157533642752', '1366294586405818368', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374759157533642753', '1366294586405818368', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374759157533642754', '1366294586405818368', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374759157533642755', '1366294586405818368', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374880740575154176', '1340961483789570048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374894169050451968', '1340957383198904320', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374894169050451969', '1340957383198904320', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374902262626914304', '1340961467532447744', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1374902262626914305', '1340961467532447744', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374902262626914306', '1340961467532447744', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374902262626914307', '1340961467532447744', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374902262626914308', '1340961467532447744', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374906716902264832', '1340961427258740736', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374906716902264833', '1340961427258740736', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374921517430870016', '1340962572777689088', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1374922901161119744', '1340957451805134848', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374986618951307264', '1340961403057606656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374988696868229120', '1340961424264007680', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1374990449705619456', '1340961460154667008', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1374995696226275328', '1340962640062713856', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1374995696226275329', '1340962640062713856', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375007794440310784', '1340957464073474048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375012849285468160', '1340957333689339904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375014637933826048', '1340962296352083968', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375018701522341888', '1340957388622139392', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375018701522341889', '1340957388622139392', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375029129447084032', '1340961441380962304', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375029950926688256', '1366294587576029184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375029950926688257', '1366294587576029184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375029950926688258', '1366294587576029184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375034311362875392', '1340957432695885824', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375037561415798784', '1340962284553506816', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375037561415798785', '1340962284553506816', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375037561415798786', '1340962284553506816', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375037561415798787', '1340962284553506816', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375037561415798788', '1340962284553506816', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375037561415798789', '1340962284553506816', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375037891637547008', '1340957440795086848', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375040533147291648', '1340961505293766656', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375040533147291649', '1340961505293766656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375040533147291650', '1340961505293766656', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375040533147291651', '1340961505293766656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375040533147291652', '1340961505293766656', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375040533147291653', '1340961505293766656', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375059958936244224', '1340961460116918272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375083477086638080', '1340962283735617536', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375091089563848704', '1340957343629840384', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375091089563848705', '1340957343629840384', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375091089563848706', '1340957343629840384', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375091089563848707', '1340957343629840384', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375237349855858688', '1366294585986387968', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375237349855858689', '1366294585986387968', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375237349855858690', '1366294585986387968', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375237349855858691', '1366294585986387968', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375238448021114880', '1340961452504256512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375247749649403904', '1366294588343586816', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375258431128211456', '1366294583700492288', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375258431128211457', '1366294583700492288', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375258431128211458', '1366294583700492288', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375259586843512832', '1340957400768843776', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375259586843512833', '1340957400768843776', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375259586843512834', '1340957400768843776', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375259586843512835', '1340957400768843776', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375259586843512836', '1340957400768843776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375260476585414656', '1366294584614850560', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375261246336667648', '1340961484758454272', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375261246336667649', '1340961484758454272', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375261246336667650', '1340961484758454272', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375262279611846656', '1366294585835393024', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375262279611846657', '1366294585835393024', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375262279611846658', '1366294585835393024', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375262279611846659', '1366294585835393024', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375262279611846660', '1366294585835393024', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375263108787998720', '1340961407277076480', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375263192867016704', '1340957357231968256', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375263192867016705', '1340957357231968256', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375263277495488512', '1340957308234108928', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375265424702312448', '1340961525577420800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375270263335292928', '1340961422095552512', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375270263335292929', '1340961422095552512', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375270263335292930', '1340961422095552512', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375270263335292931', '1340961422095552512', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375270263339487232', '1340961422095552512', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375270832464596992', '1340957389742018560', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375270982314496000', '1340962290131931136', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375272518230872064', '1366294583469805568', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375274348780326912', '1340957354589556736', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375274348780326913', '1340957354589556736', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375275708020035584', '1340962578473553920', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375276411476119552', '1374916387302150144', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375278475358900224', '1340957404740849664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375278475358900225', '1340957404740849664', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375278475358900226', '1340957404740849664', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375279223610150912', '1366294588301643776', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375279223610150913', '1366294588301643776', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375279223610150914', '1366294588301643776', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375279223610150915', '1366294588301643776', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375281306455379968', '1366294587274039296', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375281306455379969', '1366294587274039296', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375281306455379970', '1366294587274039296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375281797344137216', '1366294588029014016', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375282086616895488', '1374916387281178624', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375282140048134144', '1340957316534636544', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375282140048134145', '1340957316534636544', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375282140048134146', '1340957316534636544', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375284949334233088', '1340957461682720768', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375284949334233089', '1340957461682720768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375284949334233090', '1340957461682720768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375285215819337728', '1340961420946313216', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375287098877284352', '1374916387306344448', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375292657282191360', '1340957458667016192', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375297449043824640', '1340957457203204096', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375311878967922688', '1374534686084304896', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375311878967922689', '1374534686084304896', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375311878967922690', '1374534686084304896', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375311878967922691', '1374534686084304896', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375311878967922692', '1374534686084304896', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375311878967922693', '1374534686084304896', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375314716305526784', '1340962278543069184', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375314716305526785', '1340962278543069184', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375314716305526786', '1340962278543069184', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375314716305526787', '1340962278543069184', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375322913808453632', '1366294586120605696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375334763979739136', '1374916387272790016', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375335140049424384', '1366294586451955712', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375335140049424385', '1366294586451955712', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375335140049424386', '1366294586451955712', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375335140049424387', '1366294586451955712', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375335140049424388', '1366294586451955712', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375335140049424389', '1366294586451955712', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375337881903697920', '1366294586481315840', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375337881903697921', '1366294586481315840', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375337881903697922', '1366294586481315840', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375338634156314624', '1340957470125854720', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375339256498753536', '1340957333769031680', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375343300516646912', '1340961401476354048', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375343300516646913', '1340961401476354048', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375343300516646914', '1340961401476354048', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375343300516646915', '1340961401476354048', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375343300516646916', '1340961401476354048', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1375343300516646917', '1340961401476354048', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375345905737273344', '1340957441159991296', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375369646965919744', '1366294588079345664', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375393614292717568', '1340957324075995136', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375394605238980608', '1340961416001228800', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375399733635452928', '1366294584073785344', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375401157001875456', '1340957437825519616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375401157001875457', '1340957437825519616', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375407144043679744', '1340957439763288064', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375419369135411200', '1340957389972705280', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375430743706177536', '1340957298562043904', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375433811877302272', '1340957294648758272', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1375602251875356672', '1340961467062685696', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1375615701393477632', '1340961424813461504', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375617390783631360', '1374916387264401408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1375617390783631361', '1374916387264401408', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1375617390783631362', '1374916387264401408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1375643426820853760', '1366294588121288704', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376123515190775808', '1340957290676752384', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1376123515190775809', '1340957290676752384', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376129558612414464', '1340957425439739904', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1376129558612414465', '1340957425439739904', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376129558612414466', '1340957425439739904', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376129558612414467', '1340957425439739904', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1376129558612414468', '1340957425439739904', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1376129558612414469', '1340957425439739904', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376142553417650176', '1340957287711379456', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376175671038054400', '1340961517817958400', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376175671038054401', '1340961517817958400', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376281978785107968', '1340961525980073984', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1376281978785107969', '1340961525980073984', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376281978785107970', '1340961525980073984', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376314968235970560', '1340961463484944384', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376315423208902656', '1340957422524698624', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376317940718243840', '1340961517494996992', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1376317940722438144', '1340961517494996992', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376317940722438145', '1340961517494996992', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376317940722438146', '1340961517494996992', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1376317940722438147', '1340961517494996992', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1376317940722438148', '1340961517494996992', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376329477117841408', '1340957380384526336', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376339773836365824', '1340957462064402432', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1376339773836365825', '1340957462064402432', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376349205425164288', '1340961517721489408', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1376349205425164289', '1340961517721489408', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376349205425164290', '1340961517721489408', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1376349205425164291', '1340961517721489408', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1376349205425164292', '1340961517721489408', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376353119063117824', '1366294584551936000', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376355548592738304', '1366294584468049920', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376357802964029440', '1366294584505798656', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376357802964029441', '1366294584505798656', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1376357802964029442', '1366294584505798656', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376462748531167232', '1366294588263895040', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1376463647307599872', '1340957453185060864', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1376767311326875648', '1327447426830831616', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1376767311326875649', '1327447426830831616', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1376767311326875650', '1327447426830831616', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1376767311326875651', '1327447426830831616', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1376767311326875652', '1327447426830831616', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1376767311326875653', '1327447426830831616', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1567771487090380800', '1567451914025701376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1567771487090380801', '1567451914025701376', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1567771487090380802', '1567451914025701376', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1567771487090380803', '1567451914025701376', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1567771487090380804', '1567451914025701376', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1567771487090380805', '1567451914025701376', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1569932418314539008', '1569928315261816832', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1569932418314539009', '1569928315261816832', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1570694506095972352', '1570252962423508992', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1570694506095972353', '1570252962423508992', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1572761887614046208', '1567337243285262336', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1575319657471152128', '1567097186544652288', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1581926892871749632', '1581888248500850688', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1581926892871749633', '1581888248500850688', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1589878971732987904', '1589877695318200320', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1589888527800340480', '1589887987989221376', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1594604652714921984', '1594603307282862080', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1594604652714921985', '1594603307282862080', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1599571836797063168', '1555010577007513600', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1599571836797063169', '1555010577007513600', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1599571836797063170', '1555010577007513600', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1607632105125318656', '1565939234546782208', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1607632105125318657', '1565939234546782208', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1607632105125318658', '1565939234546782208', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1607632105125318659', '1565939234546782208', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1610461908891209728', '1574653861665312768', '1301371027162533888', '002', '金融');
INSERT INTO `train_user_major` VALUES ('1610461908891209729', '1574653861665312768', '1301371085220089856', '003', '寄递');
INSERT INTO `train_user_major` VALUES ('1610461908891209730', '1574653861665312768', '1301371132523450368', '004', '渠道');
INSERT INTO `train_user_major` VALUES ('1610461908891209731', '1574653861665312768', '1301371178832760832', '005', '邮务');
INSERT INTO `train_user_major` VALUES ('1610461908891209732', '1574653861665312768', '1301370984615514112', '001', '党建');
INSERT INTO `train_user_major` VALUES ('1610461908891209733', '1574653861665312768', '1301371223997026304', '006', '综合');
INSERT INTO `train_user_major` VALUES ('1614438009367826432', '1579374510346473472', '1301371027162533888', '002', '金融');

-- ----------------------------
-- Table structure for train_user_notice
-- ----------------------------
DROP TABLE IF EXISTS `train_user_notice`;
CREATE TABLE `train_user_notice` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` smallint(2) DEFAULT NULL COMMENT '类型：10：班级通知。20：班级结束通知。30：商品购买通知。40：培训经历。50：授课经历。60：培训创建权限申请。70：晋升申请。80：短视频。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id',
  `title` varchar(50) DEFAULT NULL COMMENT '通知标题',
  `content` longtext COMMENT '发布内容',
  `is_read` smallint(1) DEFAULT NULL COMMENT '状态：1、未读。2、已读。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户通知';

-- ----------------------------
-- Records of train_user_notice
-- ----------------------------
INSERT INTO `train_user_notice` VALUES ('127938226970091053', '80', '1597473765221076992', '系统消息', '您的短视频【小邮说法-法律与我同行特别篇】被下架 ', '1', '1590543166828843008', '2023-09-22 11:19:33');
INSERT INTO `train_user_notice` VALUES ('127938358017991567', '80', '1597475098443517952', '系统消息', '您的短视频【豫邮宝双录（一）】被下架 ', '1', '1590543166828843008', '2023-09-22 11:19:46');
INSERT INTO `train_user_notice` VALUES ('127938408655963822', '80', '1597475233277808640', '系统消息', '您的短视频【豫邮宝双录（二）】被下架 ', '1', '1590543166828843008', '2023-09-22 11:19:51');
INSERT INTO `train_user_notice` VALUES ('127938436370562637', '80', '1597475392854298624', '系统消息', '您的短视频【豫邮宝双录（三）】被下架 ', '1', '1590543166828843008', '2023-09-22 11:19:54');
INSERT INTO `train_user_notice` VALUES ('127939126396141307', '80', '1596426852812066816', '系统消息', '您的短视频【疫情（3）】被下架 ', '1', '1590543166828843008', '2023-09-22 11:21:03');
INSERT INTO `train_user_notice` VALUES ('127939155199982714', '80', '1596427591307366400', '系统消息', '您的短视频【防疫】被下架 ', '1', '1590543166828843008', '2023-09-22 11:21:05');
INSERT INTO `train_user_notice` VALUES ('128041604917311179', '10', '127931103763926586', '系统消息', '您已成功报名了【理财培训计划第一季度】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2023-09-22 14:11:50');
INSERT INTO `train_user_notice` VALUES ('128060393947732526', '80', '128059479047920901', '系统消息', '您的短视频【亚运会】已通过审核 ', '2', '1591967614425501696', '2023-09-22 14:43:09');
INSERT INTO `train_user_notice` VALUES ('128060957770606298', '80', '1597476258860634112', '系统消息', '您的短视频【揭秘网点加钞】被下架 ', '1', '1590543166828843008', '2023-09-22 14:44:06');
INSERT INTO `train_user_notice` VALUES ('128061553083300294', '80', '1598139818007728128', '系统消息', '您的短视频【20231201发布的测试视频1001】被下架 ', '1', '1590543166828843008', '2023-09-22 14:45:05');
INSERT INTO `train_user_notice` VALUES ('128061626993534743', '80', '1597476697958125568', '系统消息', '您的短视频【揭秘网点接款工作规范】被下架 ', '1', '1590543166828843008', '2023-09-22 14:45:13');
INSERT INTO `train_user_notice` VALUES ('128061692504176113', '80', '1597476405627719680', '系统消息', '您的短视频【揭秘电信诈骗2】被下架 ', '1', '1590543166828843008', '2023-09-22 14:45:19');
INSERT INTO `train_user_notice` VALUES ('128063395891054261', '80', '128063035561907723', '系统消息', '您的短视频【sql从入门到入土】已通过审核 ', '2', '1591967614425501696', '2023-09-22 14:48:10');
INSERT INTO `train_user_notice` VALUES ('128063917365346388', '80', '1597476124437385216', '系统消息', '您的短视频【揭秘高息揽储的危害】被下架 ', '1', '1590543166828843008', '2023-09-22 14:49:02');
INSERT INTO `train_user_notice` VALUES ('128113430682296549', '80', '128112887888483435', '系统消息', '您的短视频【校区运营流程】已通过审核 ', '2', '1591967614425501696', '2023-09-22 16:11:33');
INSERT INTO `train_user_notice` VALUES ('128113677780130342', '80', '1598230519034810368', '系统消息', '您的短视频【发布内容】被下架 ', '1', '1565939234546782208', '2023-09-22 16:11:58');
INSERT INTO `train_user_notice` VALUES ('128113711444115814', '80', '1597475819360489472', '系统消息', '您的短视频【南阳2-邮保安康2021】被下架 ', '1', '1590543166828843008', '2023-09-22 16:12:01');
INSERT INTO `train_user_notice` VALUES ('128113919855268397', '80', '1597476528046870528', '系统消息', '您的短视频【防范电信网络诈骗】被下架 ', '1', '1590543166828843008', '2023-09-22 16:12:22');
INSERT INTO `train_user_notice` VALUES ('128115828433803141', '80', '128115395111645794', '系统消息', '您的短视频【集体跳水】已通过审核 ', '2', '1591967614425501696', '2023-09-22 16:15:33');
INSERT INTO `train_user_notice` VALUES ('128115948512251267', '80', '1597477515172122624', '系统消息', '您的短视频【违规带客操作】被下架 ', '1', '1590543166828843008', '2023-09-22 16:15:45');
INSERT INTO `train_user_notice` VALUES ('128167551568029871', '80', '1705101117622456320', '系统消息', '您的短视频【亚运会】审核被拒绝 ，审核意见：1', '1', '1590543166828843008', '2023-09-22 17:41:45');
INSERT INTO `train_user_notice` VALUES ('128167592595220663', '80', '1705101247222255616', '系统消息', '您的短视频【亚运会】已通过审核 ', '1', '1590543166828843008', '2023-09-22 17:41:49');
INSERT INTO `train_user_notice` VALUES ('245310640079100253', '10', '127050043999518848', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1565939234546782208', '2023-09-21 10:44:43');
INSERT INTO `train_user_notice` VALUES ('1570378964470468608', '10', '1570349627503415296', '系统消息', '您已成功报名了【202222222222】可 在“我的学习-我的培训”中查看详情', '2', '1569928315261816832', '2022-09-15 19:48:16');
INSERT INTO `train_user_notice` VALUES ('1572039708429651968', '10', '1571736395163242496', '系统消息', '您已成功报名了【郑州的1111831+=】可 在“我的学习-我的培训”中查看详情', '2', '1569928315261816832', '2022-09-20 09:47:28');
INSERT INTO `train_user_notice` VALUES ('1572154523957465088', '10', '1571736395163242496', '系统消息', '您已成功报名了【郑州的1111831+=】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-09-20 17:23:42');
INSERT INTO `train_user_notice` VALUES ('1572162135998468096', '10', '1572161388133093376', '系统消息', '您已成功报名了【这个测试工具包======】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-09-20 17:53:57');
INSERT INTO `train_user_notice` VALUES ('1572515290569379840', '10', '1571736395163242496', '系统消息', '您已成功报名了【郑州的1111831+=】可 在“我的学习-我的培训”中查看详情', '2', '1569928315261816832', '2022-09-21 17:17:16');
INSERT INTO `train_user_notice` VALUES ('1572780720412299264', '10', '1572766217247264768', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1569928315261816832', '2022-09-22 10:51:59');
INSERT INTO `train_user_notice` VALUES ('1572793054862118912', '10', '1572776695600123904', '系统消息', '您已成功报名了【线上测试报道，舞动】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 11:41:00');
INSERT INTO `train_user_notice` VALUES ('1572828663051849728', '10', '1572766217247264768', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '1', '1567337243285262336', '2022-09-22 14:02:30');
INSERT INTO `train_user_notice` VALUES ('1572860975294582784', '10', '1572797449381220352', '系统消息', '您已成功报名了【复测0922-001】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 16:10:54');
INSERT INTO `train_user_notice` VALUES ('1572868477574844416', '10', '1572842240676597760', '系统消息', '您已成功报名了【新课教学第一课】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 16:40:42');
INSERT INTO `train_user_notice` VALUES ('1572873761894567936', '10', '1572869789519581184', '系统消息', '您已成功报名了【本部111111111111】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:01:42');
INSERT INTO `train_user_notice` VALUES ('1572874435596259328', '10', '1572870717807136768', '系统消息', '您已成功报名了【所上述】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:04:23');
INSERT INTO `train_user_notice` VALUES ('1572875432318078976', '10', '1572874824055918592', '系统消息', '您已成功报名了【测试计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:08:20');
INSERT INTO `train_user_notice` VALUES ('1572875983458013184', '10', '1572875655060787200', '系统消息', '您已成功报名了【本部111111111111】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:10:32');
INSERT INTO `train_user_notice` VALUES ('1572876677904732160', '10', '1572876333464293376', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:13:17');
INSERT INTO `train_user_notice` VALUES ('1572877314746880000', '10', '1572876886546190336', '系统消息', '您已成功报名了【测试计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:15:49');
INSERT INTO `train_user_notice` VALUES ('1572878036112642048', '10', '1572877572822405120', '系统消息', '您已成功报名了【本部111111111111】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:18:41');
INSERT INTO `train_user_notice` VALUES ('1572878842241093632', '10', '1572878373611507712', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:21:53');
INSERT INTO `train_user_notice` VALUES ('1572879534527746048', '10', '1572879202766688256', '系统消息', '您已成功报名了【的说法是】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:24:38');
INSERT INTO `train_user_notice` VALUES ('1572880813790466048', '10', '1572879924723847168', '系统消息', '您已成功报名了【本部111111111111】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:29:43');
INSERT INTO `train_user_notice` VALUES ('1572883630961856512', '10', '1572883200882118656', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:40:55');
INSERT INTO `train_user_notice` VALUES ('1572885441806471168', '10', '1572885174935490560', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:48:07');
INSERT INTO `train_user_notice` VALUES ('1572885905792962560', '10', '1572885613240258560', '系统消息', '您已成功报名了【测试计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 17:49:57');
INSERT INTO `train_user_notice` VALUES ('1572889820760510464', '10', '1572889486155714560', '系统消息', '您已成功报名了【测试计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-22 18:05:31');
INSERT INTO `train_user_notice` VALUES ('1573140780997021696', '10', '1571736395163242496', '系统消息', '您已成功报名了【郑州的1111831+=】可 在“我的学习-我的培训”中查看详情', '1', '1567451914025701376', '2022-09-23 10:42:44');
INSERT INTO `train_user_notice` VALUES ('1574285644107223040', '10', '1574243202679050240', '系统消息', '您已成功报名了【wwwww】可 在“我的学习-我的培训”中查看详情', '1', '1567451914025701376', '2022-09-26 14:32:01');
INSERT INTO `train_user_notice` VALUES ('1574598974839590912', '10', '1574243202679050240', '系统消息', '您已成功报名了【wwwww】可 在“我的学习-我的培训”中查看详情', '2', '1569928315261816832', '2022-09-27 11:17:05');
INSERT INTO `train_user_notice` VALUES ('1574651960055959552', '10', '1574650579148476416', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-27 14:47:38');
INSERT INTO `train_user_notice` VALUES ('1574653087967219712', '10', '1574650579148476416', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-09-27 14:52:06');
INSERT INTO `train_user_notice` VALUES ('1574664226046349312', '10', '1574650579148476416', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-27 15:36:22');
INSERT INTO `train_user_notice` VALUES ('1574669371316506624', '10', '1574668938376253440', '系统消息', '您已成功报名了【测试的计划】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-27 15:56:49');
INSERT INTO `train_user_notice` VALUES ('1574674073454252032', '10', '1574673833242267648', '系统消息', '您已成功报名了【测试1614】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-09-27 16:15:30');
INSERT INTO `train_user_notice` VALUES ('1574995964316487680', '10', '1574673833242267648', '系统消息', '您已成功报名了【测试1614】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-09-28 13:34:35');
INSERT INTO `train_user_notice` VALUES ('1574998291958075392', '10', '1574679042467172352', '系统消息', '您已成功报名了【0908河南省第一次会议1343】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-09-28 13:43:50');
INSERT INTO `train_user_notice` VALUES ('1574999313149464576', '10', '1574690990105694208', '系统消息', '您已成功报名了【0908河南省2次会议1346】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-09-28 13:47:53');
INSERT INTO `train_user_notice` VALUES ('1575326532078014464', '10', '1575322855934136320', '系统消息', '您已成功报名了【20220929】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-09-29 11:28:08');
INSERT INTO `train_user_notice` VALUES ('1575326767252639744', '10', '1575325299946688512', '系统消息', '您已成功报名了【2022年9月29日培训计划】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-09-29 11:29:04');
INSERT INTO `train_user_notice` VALUES ('1575329503977279488', '10', '1575322855934136320', '系统消息', '您已成功报名了【20220929】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-09-29 11:39:57');
INSERT INTO `train_user_notice` VALUES ('1575366492306935808', '10', '1575364705646678016', '系统消息', '您已成功报名了【投资第三期】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-09-29 14:06:55');
INSERT INTO `train_user_notice` VALUES ('1575366775325986816', '10', '1575325299946688512', '系统消息', '您已成功报名了【2022年9月29日培训计划】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-09-29 14:08:03');
INSERT INTO `train_user_notice` VALUES ('1575370501109452800', '10', '1575327504024080384', '系统消息', '您已成功报名了【2022年9月29日培训计划2】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-09-29 14:22:51');
INSERT INTO `train_user_notice` VALUES ('1575388995418984448', '10', '1575364705646678016', '系统消息', '您已成功报名了【投资第三期】可 在“我的学习-我的培训”中查看详情', '2', '1575324436016533504', '2022-09-29 15:36:20');
INSERT INTO `train_user_notice` VALUES ('1575419873457213440', '10', '1575327504024080384', '系统消息', '您已成功报名了【2022年9月29日培训计划2】可 在“我的学习-我的培训”中查看详情', '2', '1569928315261816832', '2022-09-29 17:39:02');
INSERT INTO `train_user_notice` VALUES ('1575705374684745728', '50', '1575692741747281920', '系统消息', '您的授课经历【个人培训】已通过审核 ', '2', '1555010577007513600', '2022-09-30 12:33:31');
INSERT INTO `train_user_notice` VALUES ('1578982560309055488', '10', '1578925079021096960', '系统消息', '您已成功报名了【0908河南省第一次会议】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-09 13:35:53');
INSERT INTO `train_user_notice` VALUES ('1579030382987317248', '10', '1578925079021096960', '系统消息', '您已成功报名了【0908河南省第一次会议】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-09 16:45:55');
INSERT INTO `train_user_notice` VALUES ('1579289949847556096', '10', '1579281614876315648', '系统消息', '您已成功报名了【0908河南省第一次会议】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-10 09:57:20');
INSERT INTO `train_user_notice` VALUES ('1579339239823380480', '10', '1579283027245273088', '系统消息', '您已成功报名了【测试湖西岸0】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-10 13:13:12');
INSERT INTO `train_user_notice` VALUES ('1579352955696582656', '10', '1579283027245273088', '系统消息', '您已成功报名了【测试湖西岸0】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-10 14:07:42');
INSERT INTO `train_user_notice` VALUES ('1579364876940349440', '10', '1579001547617079296', '系统消息', '您已成功报名了【投资第三期App测试1001】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-10 14:55:05');
INSERT INTO `train_user_notice` VALUES ('1579371975581765632', '10', '1579001547617079296', '系统消息', '您已成功报名了【投资第三期App测试1001】可 在“我的学习-我的培训”中查看详情', '2', '1570254194114433024', '2022-10-10 15:23:17');
INSERT INTO `train_user_notice` VALUES ('1579374664654917632', '10', '1579001547617079296', '系统消息', '您已成功报名了【投资第三期App测试1001】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-10 15:33:58');
INSERT INTO `train_user_notice` VALUES ('1579377648700887040', '10', '1579001547617079296', '系统消息', '您已成功报名了【投资第三期App测试1001】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-10-10 15:45:50');
INSERT INTO `train_user_notice` VALUES ('1579652971409575936', '10', '1579283811680784384', '系统消息', '您已成功报名了【单选密钥】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-11 09:59:52');
INSERT INTO `train_user_notice` VALUES ('1579653872228634624', '10', '1579283027245273088', '系统消息', '您已成功报名了【测试湖西岸0】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-11 10:03:26');
INSERT INTO `train_user_notice` VALUES ('1579655507248025600', '10', '1579654776772235264', '系统消息', '您已成功报名了【2022年邮政培训中心培训】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-11 10:09:56');
INSERT INTO `train_user_notice` VALUES ('1579666401378045952', '10', '1579654776772235264', '系统消息', '您已成功报名了【2022年邮政培训中心培训】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 10:53:14');
INSERT INTO `train_user_notice` VALUES ('1579708759733833728', '10', '1579283027245273088', '系统消息', '您已成功报名了【测试湖西岸0】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 13:41:33');
INSERT INTO `train_user_notice` VALUES ('1579709846138261504', '10', '1579283811680784384', '系统消息', '您已成功报名了【单选密钥】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 13:45:52');
INSERT INTO `train_user_notice` VALUES ('1579713321056210944', '10', '1579712896307433472', '系统消息', '您已成功报名了【popopop】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 13:59:40');
INSERT INTO `train_user_notice` VALUES ('1579714168905404416', '10', '1579713717669597184', '系统消息', '您已成功报名了【hhhhhh】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 14:03:02');
INSERT INTO `train_user_notice` VALUES ('1579714956104962048', '10', '1579714620262846464', '系统消息', '您已成功报名了【oppopjhbnb】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 14:06:10');
INSERT INTO `train_user_notice` VALUES ('1579716532852887552', '10', '1579716155344556032', '系统消息', '您已成功报名了【sdsfsfs】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-11 14:12:26');
INSERT INTO `train_user_notice` VALUES ('1579726318285754368', '10', '1579723260835270656', '系统消息', '您已成功报名了【2022年10月培训班】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-11 14:51:19');
INSERT INTO `train_user_notice` VALUES ('1580106437009477632', '10', '1580091399771131904', '系统消息', '您已成功报名了【郑州市级十月份金融培训第一期002】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-12 16:01:46');
INSERT INTO `train_user_notice` VALUES ('1580113341270069248', '10', '1580081304689577984', '系统消息', '您已成功报名了【郑州市级十月份金融培训第一期】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-12 16:29:12');
INSERT INTO `train_user_notice` VALUES ('1580794855716687872', '10', '1580770390802829312', '系统消息', '您已成功报名了【郑州市级十月份金融培训第一期】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-14 13:37:18');
INSERT INTO `train_user_notice` VALUES ('1581927790310199296', '10', '1580821763359641600', '系统消息', '您已成功报名了【郑州测试签到333333】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-17 16:39:11');
INSERT INTO `train_user_notice` VALUES ('1582206942099673088', '10', '1580821763359641600', '系统消息', '您已成功报名了【郑州测试签到333333】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-18 11:08:26');
INSERT INTO `train_user_notice` VALUES ('1582212596415729664', '10', '1580812952192290816', '系统消息', '您已成功报名了【测试签到2222】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-18 11:30:54');
INSERT INTO `train_user_notice` VALUES ('1582678153585889280', '10', '1582675574806155264', '系统消息', '您已成功报名了【1019第一期1019第一期1019第一期1019第一期01】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-19 18:20:51');
INSERT INTO `train_user_notice` VALUES ('1582686733080858624', '10', '1582686163125276672', '系统消息', '您已成功报名了【1019第一期02】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-19 18:54:57');
INSERT INTO `train_user_notice` VALUES ('1583100799037345792', '50', '1583100653906038784', '系统消息', '您的授课经历【十一期间培训课程】已通过审核 ', '2', '1555010577007513600', '2022-10-20 22:20:18');
INSERT INTO `train_user_notice` VALUES ('1583103003030851584', '40', '1583102900882771968', '系统消息', '您的培训经历【培训学习】已通过审核 ', '2', '1555010577007513600', '2022-10-20 22:29:03');
INSERT INTO `train_user_notice` VALUES ('1583103781913104384', '10', '1582675574806155264', '系统消息', '您已成功报名了【1019第一期1019第一期1019第一期1019第一期01】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-20 22:32:09');
INSERT INTO `train_user_notice` VALUES ('1583353784904585216', '10', '1583346873849221120', '系统消息', '您已成功报名了【2022年金融课程培训班】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-21 15:05:34');
INSERT INTO `train_user_notice` VALUES ('1583367524035203072', '10', '1583317513494728704', '系统消息', '您已成功报名了【1021第二版数据勿动001】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-21 16:00:10');
INSERT INTO `train_user_notice` VALUES ('1583376118839382016', '10', '1583289626242715648', '系统消息', '您已成功报名了【2022年邮政培训中心培训】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-21 16:34:19');
INSERT INTO `train_user_notice` VALUES ('1583383168310972416', '10', '1583369261261393920', '系统消息', '您已成功报名了【2022年邮政培训中心培训】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-21 17:02:20');
INSERT INTO `train_user_notice` VALUES ('1583406517527384064', '50', '1583406122423947264', '系统消息', '您的授课经历【APP新增授课数据1901】已通过审核 ', '2', '1574653861665312768', '2022-10-21 18:35:07');
INSERT INTO `train_user_notice` VALUES ('1583407699528388608', '40', '1583407601931128832', '系统消息', '您的培训经历【培训记录经历上报1】已通过审核 ', '2', '1574653861665312768', '2022-10-21 18:39:49');
INSERT INTO `train_user_notice` VALUES ('1583723422041640960', '10', '1583722097811787776', '系统消息', '您已成功报名了【2022年培训班】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-22 15:34:23');
INSERT INTO `train_user_notice` VALUES ('1583742144550670336', '10', '1583739434711519232', '系统消息', '您已成功报名了【2022金融培训】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-22 16:48:46');
INSERT INTO `train_user_notice` VALUES ('1583745189317578752', '10', '1583739434711519232', '系统消息', '您已成功报名了【2022金融培训】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-10-22 17:00:52');
INSERT INTO `train_user_notice` VALUES ('1584363739426197504', '10', '1583683407156744192', '系统消息', '您已成功报名了【1022黎利伯聘雇计划u到处】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-24 09:58:46');
INSERT INTO `train_user_notice` VALUES ('1584419039340531712', '10', '1583317513494728704', '系统消息', '您已成功报名了【1021第二版数据勿动001】可 在“我的学习-我的培训”中查看详情', '2', '1574656123775094784', '2022-10-24 13:38:31');
INSERT INTO `train_user_notice` VALUES ('1584431315153981440', '40', '1584431278764199936', '系统消息', '您的培训经历【陆老师】已通过审核 ', '1', '1570252962423508992', '2022-10-24 14:27:17');
INSERT INTO `train_user_notice` VALUES ('1584431632306278400', '40', '1584431589117530112', '系统消息', '您的培训经历【陆老师002】已通过审核 ', '1', '1570252962423508992', '2022-10-24 14:28:33');
INSERT INTO `train_user_notice` VALUES ('1584439719993937920', '10', '1583739434711519232', '系统消息', '您已成功报名了【2022金融培训】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-24 15:00:41');
INSERT INTO `train_user_notice` VALUES ('1584441600275255296', '10', '1583739434711519232', '系统消息', '您已成功报名了【2022金融培训】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-10-24 15:08:10');
INSERT INTO `train_user_notice` VALUES ('1584445301299744768', '10', '1583413010712629248', '系统消息', '您已成功报名了【1021第二版数据勿动03】可 在“我的学习-我的培训”中查看详情', '1', '1570252962423508992', '2022-10-24 15:22:52');
INSERT INTO `train_user_notice` VALUES ('1584448456628506624', '10', '1583722097811787776', '系统消息', '您已成功报名了【2022年培训班】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-24 15:35:24');
INSERT INTO `train_user_notice` VALUES ('1584451748184068096', '10', '1583722097811787776', '系统消息', '您已成功报名了【2022年培训班】可 在“我的学习-我的培训”中查看详情', '2', '1572825817233362944', '2022-10-24 15:48:29');
INSERT INTO `train_user_notice` VALUES ('1584734341962010624', '10', '1584732496656994304', '系统消息', '您已成功报名了【测试费用】可 在“我的学习-我的培训”中查看详情', '2', '1567097186544652288', '2022-10-25 10:31:25');
INSERT INTO `train_user_notice` VALUES ('1584803400535642112', '80', '1583408987863388160', '系统消息', '您的短视频【APP视频测试】已通过审核 ', '2', '1574653861665312768', '2022-10-25 15:05:49');
INSERT INTO `train_user_notice` VALUES ('1584805988949692416', '10', '1584515014952357888', '系统消息', '您已成功报名了【2023新】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-25 15:16:07');
INSERT INTO `train_user_notice` VALUES ('1584806338163249152', '10', '1583413010712629248', '系统消息', '您已成功报名了【1021第二版数据勿动03】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-25 15:17:30');
INSERT INTO `train_user_notice` VALUES ('1584808292352397312', '10', '1583722097811787776', '系统消息', '您已成功报名了【2022年培训班】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-25 15:25:16');
INSERT INTO `train_user_notice` VALUES ('1585169331950587904', '10', '1583683407156744192', '系统消息', '您已成功报名了【1022黎利伯聘雇计划u到处】可 在“我的学习-我的培训”中查看详情', '2', '1572825817233362944', '2022-10-26 15:19:54');
INSERT INTO `train_user_notice` VALUES ('1585184140247044096', '10', '1585183526750392320', '系统消息', '您已成功报名了【1026黎利伯测试股】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-10-26 16:18:45');
INSERT INTO `train_user_notice` VALUES ('1585189379075346432', '50', '1585189332245942272', '系统消息', '您的授课经历【APP授课002】已通过审核 ', '2', '1574653861665312768', '2022-10-26 16:39:34');
INSERT INTO `train_user_notice` VALUES ('1585204296725696512', '40', '1585203955598757888', '系统消息', '您的培训经历【训练】已通过审核 ', '2', '1572825817233362944', '2022-10-26 17:38:50');
INSERT INTO `train_user_notice` VALUES ('1585208093715861504', '50', '1585206203972194304', '系统消息', '您的授课经历【收了吧】已通过审核 ', '2', '1572825817233362944', '2022-10-26 17:53:54');
INSERT INTO `train_user_notice` VALUES ('1585260004963913728', '40', '1585259952933572608', '系统消息', '您的培训经历【APP】已通过审核 ', '2', '1574653861665312768', '2022-10-26 21:20:13');
INSERT INTO `train_user_notice` VALUES ('1585462614417346560', '10', '1585459813435969536', '系统消息', '您已成功报名了【2022年10月底的培训】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-27 10:45:18');
INSERT INTO `train_user_notice` VALUES ('1585465029711499264', '10', '1585459813435969536', '系统消息', '您已成功报名了【2022年10月底的培训】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-27 10:54:54');
INSERT INTO `train_user_notice` VALUES ('1585521131962634240', '10', '1585278127179960320', '系统消息', '您已成功报名了【测试统计分析数据-lu01勿动】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-27 14:37:50');
INSERT INTO `train_user_notice` VALUES ('1585521332366479360', '10', '1585278127179960320', '系统消息', '您已成功报名了【测试统计分析数据-lu01勿动】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-27 14:38:38');
INSERT INTO `train_user_notice` VALUES ('1585527248675540992', '10', '1585282067011342336', '系统消息', '您已成功报名了【测试统计分析省级本公司数据-lu勿动002】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-10-27 15:02:08');
INSERT INTO `train_user_notice` VALUES ('1585548350067970048', '10', '1585278127179960320', '系统消息', '您已成功报名了【测试统计分析数据-lu01勿动】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-10-27 16:25:59');
INSERT INTO `train_user_notice` VALUES ('1585548508709130240', '10', '1585278127179960320', '系统消息', '您已成功报名了【测试统计分析数据-lu01勿动】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-10-27 16:26:37');
INSERT INTO `train_user_notice` VALUES ('1585548645921591296', '10', '1585282067011342336', '系统消息', '您已成功报名了【测试统计分析省级本公司数据-lu勿动002】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-10-27 16:27:10');
INSERT INTO `train_user_notice` VALUES ('1585548838305927168', '10', '1585282067011342336', '系统消息', '您已成功报名了【测试统计分析省级本公司数据-lu勿动002】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-10-27 16:27:56');
INSERT INTO `train_user_notice` VALUES ('1585829010099802112', '10', '1585282067011342336', '系统消息', '您已成功报名了【测试统计分析省级本公司数据-lu勿动002】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-28 11:01:14');
INSERT INTO `train_user_notice` VALUES ('1585829126906974208', '10', '1585278127179960320', '系统消息', '您已成功报名了【测试统计分析数据-lu01勿动】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-28 11:01:42');
INSERT INTO `train_user_notice` VALUES ('1585832446744727552', '10', '1585278127179960320', '系统消息', '您已成功报名了【测试统计分析数据-lu01勿动】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-28 11:14:53');
INSERT INTO `train_user_notice` VALUES ('1585832997905633280', '10', '1579712896307433472', '系统消息', '您已成功报名了【popopop】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-10-28 11:17:05');
INSERT INTO `train_user_notice` VALUES ('1585852944815886336', '10', '1585850472554696704', '系统消息', '您已成功报名了【2022年10月底的培训】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-10-28 12:36:20');
INSERT INTO `train_user_notice` VALUES ('1585876428099031040', '10', '1583369261261393920', '系统消息', '您已成功报名了【2022年邮政培训中心培训】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-10-28 14:09:39');
INSERT INTO `train_user_notice` VALUES ('1585876740859891712', '10', '1583346873849221120', '系统消息', '您已成功报名了【2022年金融课程培训班】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-10-28 14:10:54');
INSERT INTO `train_user_notice` VALUES ('1585886509326798848', '10', '1585453051727187968', '系统消息', '您已成功报名了【2023测试】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-10-28 14:49:43');
INSERT INTO `train_user_notice` VALUES ('1585894969074388992', '10', '1585850472554696704', '系统消息', '您已成功报名了【2022年10月底的培训】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-10-28 15:23:20');
INSERT INTO `train_user_notice` VALUES ('1585912634908217344', '10', '1585836831126196224', '系统消息', '您已成功报名了【测试费用预算为0000】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-10-28 16:33:32');
INSERT INTO `train_user_notice` VALUES ('1587003264837226496', '10', '1586969194119958528', '系统消息', '您已成功报名了【再次测试工具包】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-10-31 16:47:18');
INSERT INTO `train_user_notice` VALUES ('1587286469649764352', '10', '1586969194119958528', '系统消息', '您已成功报名了【再次测试工具包】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-11-01 11:32:39');
INSERT INTO `train_user_notice` VALUES ('1587744185811865600', '10', '1587268699407126528', '系统消息', '您已成功报名了【单词】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-11-02 17:51:27');
INSERT INTO `train_user_notice` VALUES ('1587760458503426048', '10', '1587758825031733248', '系统消息', '您已成功报名了【000000000000000】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-11-02 18:56:07');
INSERT INTO `train_user_notice` VALUES ('1587760536827858944', '10', '1587759227248709632', '系统消息', '您已成功报名了【1111111111111】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-11-02 18:56:26');
INSERT INTO `train_user_notice` VALUES ('1588059413678264320', '10', '1588056226653147136', '系统消息', '您已成功报名了【1103金融培训班001】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-03 14:44:04');
INSERT INTO `train_user_notice` VALUES ('1588089513035567104', '10', '1588072776831471616', '系统消息', '您已成功报名了【2023测试】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-03 16:43:40');
INSERT INTO `train_user_notice` VALUES ('1588731944047349760', '10', '1588729101563334656', '系统消息', '您已成功报名了【115评估计划】可 在“我的学习-我的培训”中查看详情', '1', '1572825817233362944', '2022-11-05 11:16:27');
INSERT INTO `train_user_notice` VALUES ('1588733868184309760', '10', '1588733407918166016', '系统消息', '您已成功报名了【20221115测试省级】可 在“我的学习-我的培训”中查看详情', '1', '1572825817233362944', '2022-11-05 11:24:06');
INSERT INTO `train_user_notice` VALUES ('1588823464192643072', '10', '1588733407918166016', '系统消息', '您已成功报名了【20221115测试省级】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-11-05 17:20:07');
INSERT INTO `train_user_notice` VALUES ('1589104198270717952', '10', '1589098507447439360', '系统消息', '您已成功报名了【测试116导出】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-11-06 11:55:40');
INSERT INTO `train_user_notice` VALUES ('1589104752019509248', '10', '1589098507447439360', '系统消息', '您已成功报名了【测试116导出】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-06 11:57:52');
INSERT INTO `train_user_notice` VALUES ('1589470704854765568', '10', '1588729101563334656', '系统消息', '您已成功报名了【115评估计划】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-07 12:12:02');
INSERT INTO `train_user_notice` VALUES ('1589500889767481344', '10', '1588729101563334656', '系统消息', '您已成功报名了【115评估计划】可 在“我的学习-我的培训”中查看详情', '1', '1574656123775094784', '2022-11-07 14:11:58');
INSERT INTO `train_user_notice` VALUES ('1589787839195910144', '10', '1589549121218416640', '系统消息', '您已成功报名了【2022年培训住宿管理】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-08 09:12:12');
INSERT INTO `train_user_notice` VALUES ('1589850194189619200', '10', '1589549121218416640', '系统消息', '您已成功报名了【2022年培训住宿管理】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-08 13:19:59');
INSERT INTO `train_user_notice` VALUES ('1589851113207762944', '10', '1589849256125140992', '系统消息', '您已成功报名了【2022年11月7日住宿测试】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-08 13:23:38');
INSERT INTO `train_user_notice` VALUES ('1589879353464983552', '10', '1589849256125140992', '系统消息', '您已成功报名了【2022年11月7日住宿测试】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-08 15:15:51');
INSERT INTO `train_user_notice` VALUES ('1589882707771527168', '10', '1589549121218416640', '系统消息', '您已成功报名了【2022年培训住宿管理】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-08 15:29:11');
INSERT INTO `train_user_notice` VALUES ('1589889490925785088', '10', '1589549121218416640', '系统消息', '您已成功报名了【2022年培训住宿管理】可 在“我的学习-我的培训”中查看详情', '2', '1589887987989221376', '2022-11-08 15:56:08');
INSERT INTO `train_user_notice` VALUES ('1590544896329125888', '10', '1590543802567888896', '系统消息', '您已成功报名了【2022年11月10日培训班】可 在“我的学习-我的培训”中查看详情', '2', '1589887987989221376', '2022-11-10 11:20:29');
INSERT INTO `train_user_notice` VALUES ('1590545864252854272', '10', '1590543802567888896', '系统消息', '您已成功报名了【2022年11月10日培训班】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-10 11:24:20');
INSERT INTO `train_user_notice` VALUES ('1590552721080061952', '10', '1590543802567888896', '系统消息', '您已成功报名了【2022年11月10日培训班】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 11:51:34');
INSERT INTO `train_user_notice` VALUES ('1590576063111630848', '10', '1590573038678708224', '系统消息', '您已成功报名了【2022年培训班新的培训班】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 13:24:20');
INSERT INTO `train_user_notice` VALUES ('1590598729885421568', '10', '1590598103071854592', '系统消息', '您已成功报名了【培训住宿】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-10 14:54:24');
INSERT INTO `train_user_notice` VALUES ('1590599221961166848', '10', '1590598103071854592', '系统消息', '您已成功报名了【培训住宿】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-10 14:56:21');
INSERT INTO `train_user_notice` VALUES ('1590602990006439936', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 15:11:19');
INSERT INTO `train_user_notice` VALUES ('1590604993872924672', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 15:19:17');
INSERT INTO `train_user_notice` VALUES ('1590606202591645696', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 15:24:05');
INSERT INTO `train_user_notice` VALUES ('1590608401266774016', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 15:32:50');
INSERT INTO `train_user_notice` VALUES ('1590613740854841344', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 15:54:03');
INSERT INTO `train_user_notice` VALUES ('1590615163550175232', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-10 15:59:42');
INSERT INTO `train_user_notice` VALUES ('1590619801594761216', '10', '1590598103071854592', '系统消息', '您已成功报名了【培训住宿】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-10 16:18:08');
INSERT INTO `train_user_notice` VALUES ('1590620830868574208', '10', '1590598103071854592', '系统消息', '您已成功报名了【培训住宿】可 在“我的学习-我的培训”中查看详情', '2', '1589887987989221376', '2022-11-10 16:22:13');
INSERT INTO `train_user_notice` VALUES ('1590621512891764736', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-10 16:24:56');
INSERT INTO `train_user_notice` VALUES ('1590622417666052096', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 16:28:31');
INSERT INTO `train_user_notice` VALUES ('1590623000309403648', '10', '1590602024376995840', '系统消息', '您已成功报名了【呀拉索】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 16:30:50');
INSERT INTO `train_user_notice` VALUES ('1590624005860233216', '10', '1590598103071854592', '系统消息', '您已成功报名了【培训住宿】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 16:34:50');
INSERT INTO `train_user_notice` VALUES ('1590624899238596608', '10', '1590598103071854592', '系统消息', '您已成功报名了【培训住宿】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-10 16:38:23');
INSERT INTO `train_user_notice` VALUES ('1590634426184896512', '10', '1590625766897487872', '系统消息', '您已成功报名了【2022年12月培训班】可 在“我的学习-我的培训”中查看详情', '2', '1589887987989221376', '2022-11-10 17:16:14');
INSERT INTO `train_user_notice` VALUES ('1590635982011633664', '10', '1590625766897487872', '系统消息', '您已成功报名了【2022年12月培训班】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 17:22:25');
INSERT INTO `train_user_notice` VALUES ('1590637803987931136', '10', '1590625766897487872', '系统消息', '您已成功报名了【2022年12月培训班】可 在“我的学习-我的培训”中查看详情', '1', '1589877695318200320', '2022-11-10 17:29:40');
INSERT INTO `train_user_notice` VALUES ('1590639753659813888', '10', '1590639322640551936', '系统消息', '您已成功报名了【11】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-10 17:37:25');
INSERT INTO `train_user_notice` VALUES ('1590878293475856384', '10', '1590625766897487872', '系统消息', '您已成功报名了【2022年12月培训班】可 在“我的学习-我的培训”中查看详情', '1', '1590639495596871680', '2022-11-11 09:25:17');
INSERT INTO `train_user_notice` VALUES ('1591974211482685440', '10', '1591966612427247616', '系统消息', '您已成功报名了【2022培训中心集中培训测试】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2022-11-14 10:00:04');
INSERT INTO `train_user_notice` VALUES ('1591988811561308160', '10', '1591972857506828288', '系统消息', '您已成功报名了【11月金融投资讲堂第一期】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-14 10:58:05');
INSERT INTO `train_user_notice` VALUES ('1591993032184565760', '10', '1591972857506828288', '系统消息', '您已成功报名了【11月金融投资讲堂第一期】可 在“我的学习-我的培训”中查看详情', '2', '1589887987989221376', '2022-11-14 11:14:51');
INSERT INTO `train_user_notice` VALUES ('1591996102398316544', '10', '1591992260067725312', '系统消息', '您已成功报名了【2022郑州地市培训】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2022-11-14 11:27:03');
INSERT INTO `train_user_notice` VALUES ('1592000680393052160', '10', '1591992260067725312', '系统消息', '您已成功报名了【2022郑州地市培训】可 在“我的学习-我的培训”中查看详情', '2', '1589887987989221376', '2022-11-14 11:45:15');
INSERT INTO `train_user_notice` VALUES ('1592001721238949888', '10', '1591992260067725312', '系统消息', '您已成功报名了【2022郑州地市培训】可 在“我的学习-我的培训”中查看详情', '1', '1591989767631933440', '2022-11-14 11:49:23');
INSERT INTO `train_user_notice` VALUES ('1592028835111636992', '10', '1592027379281301504', '系统消息', '您已成功报名了【2022郑州金融培训】可 在“我的学习-我的培训”中查看详情', '1', '1591989767631933440', '2022-11-14 13:37:07');
INSERT INTO `train_user_notice` VALUES ('1592035455568842752', '10', '1592032895428595712', '系统消息', '您已成功报名了【2022郑州金融培训2】可 在“我的学习-我的培训”中查看详情', '1', '1591989767631933440', '2022-11-14 14:03:26');
INSERT INTO `train_user_notice` VALUES ('1592060850804494336', '10', '1592057692325810176', '系统消息', '您已成功报名了【2022年金融课程培训班-省】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2022-11-14 15:44:21');
INSERT INTO `train_user_notice` VALUES ('1592066460065337344', '10', '1592065253888364544', '系统消息', '您已成功报名了【11月金融投资讲堂第一期02】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-14 16:06:38');
INSERT INTO `train_user_notice` VALUES ('1592068747986866176', '10', '1592066677061849088', '系统消息', '您已成功报名了【2022年金融课程培训班(2)】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2022-11-14 16:15:43');
INSERT INTO `train_user_notice` VALUES ('1592109677972426752', '10', '1592030599865044992', '系统消息', '您已成功报名了【2022年培训班APP班主任】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-14 18:58:22');
INSERT INTO `train_user_notice` VALUES ('1592114102552104960', '10', '1592048661980909568', '系统消息', '您已成功报名了【11月金融投资讲堂第一期】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-14 19:15:57');
INSERT INTO `train_user_notice` VALUES ('1592349022998368256', '10', '1592347795233312768', '系统消息', '您已成功报名了【考试】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-11-15 10:49:26');
INSERT INTO `train_user_notice` VALUES ('1592357141426081792', '10', '1592356114652073984', '系统消息', '您已成功报名了【2022集中培训】可 在“我的学习-我的培训”中查看详情', '1', '1592077522693132288', '2022-11-15 11:21:42');
INSERT INTO `train_user_notice` VALUES ('1592418134755774464', '10', '1592048661980909568', '系统消息', '您已成功报名了【11月金融投资讲堂第一期】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-15 15:24:04');
INSERT INTO `train_user_notice` VALUES ('1592449591251439616', '10', '1592347795233312768', '系统消息', '您已成功报名了【考试】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-15 17:29:03');
INSERT INTO `train_user_notice` VALUES ('1592799627386687488', '10', '1592783387914014720', '系统消息', '您已成功报名了【11月金融投资讲堂第一期1116-03】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-16 16:39:59');
INSERT INTO `train_user_notice` VALUES ('1592818078994010112', '10', '1592817481695760384', '系统消息', '您已成功报名了【11月金融第二讲-勿动】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-16 17:53:18');
INSERT INTO `train_user_notice` VALUES ('1593070174125297664', '10', '1593055771002802176', '系统消息', '您已成功报名了【11月金融第二讲=1117-01】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-17 10:35:02');
INSERT INTO `train_user_notice` VALUES ('1593075422109765632', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-17 10:55:53');
INSERT INTO `train_user_notice` VALUES ('1593088484527181824', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-17 11:47:48');
INSERT INTO `train_user_notice` VALUES ('1593123739497795584', '10', '1585921029040115712', '系统消息', '您已成功报名了【2023测试】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-17 14:07:53');
INSERT INTO `train_user_notice` VALUES ('1593130579224825856', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '1', '1593130018354106368', '2022-11-17 14:35:04');
INSERT INTO `train_user_notice` VALUES ('1593134313279459328', '10', '1593133878619541504', '系统消息', '您已成功报名了【集中1次】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-17 14:49:54');
INSERT INTO `train_user_notice` VALUES ('1593142216757481472', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '1', '1593130018354106368', '2022-11-17 15:21:18');
INSERT INTO `train_user_notice` VALUES ('1593147549626273792', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '1', '1590949853146517504', '2022-11-17 15:42:30');
INSERT INTO `train_user_notice` VALUES ('1593164376901292032', '10', '1593163290295537664', '系统消息', '您已成功报名了【测试住宿结束四小时内状态数据】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-17 16:49:22');
INSERT INTO `train_user_notice` VALUES ('1593168153100292096', '10', '1593163290295537664', '系统消息', '您已成功报名了【测试住宿结束四小时内状态数据】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-17 17:04:22');
INSERT INTO `train_user_notice` VALUES ('1593172991947182080', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '1', '1593172328945160192', '2022-11-17 17:23:36');
INSERT INTO `train_user_notice` VALUES ('1593203310121324544', '10', '1593195024294744064', '系统消息', '您已成功报名了【十月测试AAA】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-17 19:24:04');
INSERT INTO `train_user_notice` VALUES ('1593496875951067136', '10', '1593493864797310976', '系统消息', '您已成功报名了【十月测试A测试评价】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-18 14:50:36');
INSERT INTO `train_user_notice` VALUES ('1593499678299787264', '10', '1593499312577449984', '系统消息', '您已成功报名了【金融第二讲1118-1002】可 在“我的学习-我的培训”中查看详情', '1', '1593130018354106368', '2022-11-18 15:01:44');
INSERT INTO `train_user_notice` VALUES ('1593499885397741568', '10', '1593499312577449984', '系统消息', '您已成功报名了【金融第二讲1118-1002】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-18 15:02:33');
INSERT INTO `train_user_notice` VALUES ('1593502644222169088', '10', '1593499312577449984', '系统消息', '您已成功报名了【金融第二讲1118-1002】可 在“我的学习-我的培训”中查看详情', '1', '1590639495596871680', '2022-11-18 15:13:31');
INSERT INTO `train_user_notice` VALUES ('1593557781150044160', '10', '1593195024294744064', '系统消息', '您已成功报名了【十月测试AAA】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-18 18:52:37');
INSERT INTO `train_user_notice` VALUES ('1593565449763819520', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-18 19:23:05');
INSERT INTO `train_user_notice` VALUES ('1593565724520091648', '10', '1593074623937908736', '系统消息', '您已成功报名了【金融第二讲-1117-02】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-18 19:24:10');
INSERT INTO `train_user_notice` VALUES ('1593567085278138368', '10', '1593493864797310976', '系统消息', '您已成功报名了【十月测试A测试评价】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-18 19:29:35');
INSERT INTO `train_user_notice` VALUES ('1593572417530368000', '10', '1587268699407126528', '系统消息', '您已成功报名了【单词】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-18 19:50:46');
INSERT INTO `train_user_notice` VALUES ('1593576039651610624', '10', '1593575269023748096', '系统消息', '您已成功报名了【1021计划库第一版】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-18 20:05:10');
INSERT INTO `train_user_notice` VALUES ('1593810023799197696', '10', '1593802731448045568', '系统消息', '您已成功报名了【1119-1001】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-19 11:34:56');
INSERT INTO `train_user_notice` VALUES ('1593817003544678400', '10', '1593802731448045568', '系统消息', '您已成功报名了【1119-1001】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-19 12:02:40');
INSERT INTO `train_user_notice` VALUES ('1593839963496124416', '10', '1593838490360090624', '系统消息', '您已成功报名了【1119-1002】可 在“我的学习-我的培训”中查看详情', '1', '1593172328945160192', '2022-11-19 13:33:54');
INSERT INTO `train_user_notice` VALUES ('1593840669099692032', '10', '1593838490360090624', '系统消息', '您已成功报名了【1119-1002】可 在“我的学习-我的培训”中查看详情', '1', '1593172328945160192', '2022-11-19 13:36:42');
INSERT INTO `train_user_notice` VALUES ('1593842142785179648', '10', '1593841368902537216', '系统消息', '您已成功报名了【测试供应商评价】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-11-19 13:42:34');
INSERT INTO `train_user_notice` VALUES ('1593869547759341568', '10', '1593838490360090624', '系统消息', '您已成功报名了【1119-1002】可 在“我的学习-我的培训”中查看详情', '1', '1593130018354106368', '2022-11-19 15:31:28');
INSERT INTO `train_user_notice` VALUES ('1593870101084508160', '10', '1593838490360090624', '系统消息', '您已成功报名了【1119-1002】可 在“我的学习-我的培训”中查看详情', '1', '1593130018354106368', '2022-11-19 15:33:39');
INSERT INTO `train_user_notice` VALUES ('1593870861344051200', '10', '1593838490360090624', '系统消息', '您已成功报名了【1119-1002】可 在“我的学习-我的培训”中查看详情', '1', '1593126345620197376', '2022-11-19 15:36:41');
INSERT INTO `train_user_notice` VALUES ('1593871992061300736', '10', '1593841368902537216', '系统消息', '您已成功报名了【测试供应商评价】可 在“我的学习-我的培训”中查看详情', '1', '1593126345620197376', '2022-11-19 15:41:10');
INSERT INTO `train_user_notice` VALUES ('1593882313723351040', '10', '1592401367887122432', '系统消息', '您已成功报名了【212213231321】可 在“我的学习-我的培训”中查看详情', '1', '1593126345620197376', '2022-11-19 16:22:11');
INSERT INTO `train_user_notice` VALUES ('1593886758725095424', '10', '1593838490360090624', '系统消息', '您已成功报名了【1119-1002】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-19 16:39:51');
INSERT INTO `train_user_notice` VALUES ('1593923653031038976', '10', '1593575269023748096', '系统消息', '您已成功报名了【1021计划库第一版】可 在“我的学习-我的培训”中查看详情', '1', '1593126345620197376', '2022-11-19 19:06:27');
INSERT INTO `train_user_notice` VALUES ('1593924629213351936', '10', '1593802731448045568', '系统消息', '您已成功报名了【1119-1001】可 在“我的学习-我的培训”中查看详情', '1', '1593126345620197376', '2022-11-19 19:10:20');
INSERT INTO `train_user_notice` VALUES ('1593924834079936512', '10', '1593802731448045568', '系统消息', '您已成功报名了【1119-1001】可 在“我的学习-我的培训”中查看详情', '1', '1593126345620197376', '2022-11-19 19:11:09');
INSERT INTO `train_user_notice` VALUES ('1593925780226838528', '10', '1593802731448045568', '系统消息', '您已成功报名了【1119-1001】可 在“我的学习-我的培训”中查看详情', '2', '1593908021333987328', '2022-11-19 19:14:54');
INSERT INTO `train_user_notice` VALUES ('1594214647068758016', '10', '1593841368902537216', '系统消息', '您已成功报名了【测试供应商评价】可 在“我的学习-我的培训”中查看详情', '2', '1593937047876407296', '2022-11-20 14:22:46');
INSERT INTO `train_user_notice` VALUES ('1594218945890619392', '10', '1588729101563334656', '系统消息', '您已成功报名了【115评估计划】可 在“我的学习-我的培训”中查看详情', '2', '1593937047876407296', '2022-11-20 14:39:51');
INSERT INTO `train_user_notice` VALUES ('1594223454943580160', '10', '1594222226587127808', '系统消息', '您已成功报名了【1120课程-1001】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-20 14:57:46');
INSERT INTO `train_user_notice` VALUES ('1594229485941690368', '10', '1594222226587127808', '系统消息', '您已成功报名了【1120课程-1001】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-20 15:21:43');
INSERT INTO `train_user_notice` VALUES ('1594242499562573824', '10', '1594241800200130560', '系统消息', '您已成功报名了【课程第一讲1120-a】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-20 16:13:26');
INSERT INTO `train_user_notice` VALUES ('1594242879180640256', '10', '1594241800200130560', '系统消息', '您已成功报名了【课程第一讲1120-a】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-20 16:14:57');
INSERT INTO `train_user_notice` VALUES ('1594245575291834368', '10', '1594244407400468480', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-20 16:25:39');
INSERT INTO `train_user_notice` VALUES ('1594245631877189632', '10', '1594244407400468480', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-20 16:25:53');
INSERT INTO `train_user_notice` VALUES ('1594503183948976128', '10', '1594501807982383104', '系统消息', '您已成功报名了【1121住宿测试】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-21 09:29:18');
INSERT INTO `train_user_notice` VALUES ('1594503285790871552', '10', '1594501807982383104', '系统消息', '您已成功报名了【1121住宿测试】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2022-11-21 09:29:42');
INSERT INTO `train_user_notice` VALUES ('1594504591284768768', '10', '1594504240024391680', '系统消息', '您已成功报名了【2022集中培训】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2022-11-21 09:34:54');
INSERT INTO `train_user_notice` VALUES ('1594504613921427456', '10', '1594504240024391680', '系统消息', '您已成功报名了【2022集中培训】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-11-21 09:34:59');
INSERT INTO `train_user_notice` VALUES ('1594597922731855872', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1593908021333987328', '2022-11-21 15:45:46');
INSERT INTO `train_user_notice` VALUES ('1594598130509287424', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1593908021333987328', '2022-11-21 15:46:35');
INSERT INTO `train_user_notice` VALUES ('1594598953419149312', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1593937047876407296', '2022-11-21 15:49:51');
INSERT INTO `train_user_notice` VALUES ('1594599854699581440', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1593937047876407296', '2022-11-21 15:53:26');
INSERT INTO `train_user_notice` VALUES ('1594607884749115392', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1594603307282862080', '2022-11-21 16:25:21');
INSERT INTO `train_user_notice` VALUES ('1594607961525850112', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1594603307282862080', '2022-11-21 16:25:39');
INSERT INTO `train_user_notice` VALUES ('1594607968844910592', '10', '1594569101844549632', '系统消息', '您已成功报名了【2022集中培训签到44444】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-21 16:25:41');
INSERT INTO `train_user_notice` VALUES ('1594611467666198528', '10', '1594586018877673472', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1593862922424160256', '2022-11-21 16:39:35');
INSERT INTO `train_user_notice` VALUES ('1594889780758450176', '10', '1594874152140017664', '系统消息', '您已成功报名了【1122培训库课程-c】可 在“我的学习-我的培训”中查看详情', '1', '1572825817233362944', '2022-11-22 11:05:30');
INSERT INTO `train_user_notice` VALUES ('1594890012112064512', '10', '1594874152140017664', '系统消息', '您已成功报名了【1122培训库课程-c】可 在“我的学习-我的培训”中查看详情', '1', '1572825817233362944', '2022-11-22 11:06:25');
INSERT INTO `train_user_notice` VALUES ('1595297646459883520', '10', '1595293028619259904', '系统消息', '您已成功报名了【1123培训班a】可 在“我的学习-我的培训”中查看详情', '1', '1595290317471485952', '2022-11-23 14:06:13');
INSERT INTO `train_user_notice` VALUES ('1595297909459521536', '10', '1595293028619259904', '系统消息', '您已成功报名了【1123培训班a】可 在“我的学习-我的培训”中查看详情', '1', '1595290317471485952', '2022-11-23 14:07:15');
INSERT INTO `train_user_notice` VALUES ('1595300132771991552', '10', '1595293028619259904', '系统消息', '您已成功报名了【1123培训班a】可 在“我的学习-我的培训”中查看详情', '1', '1595299618307051520', '2022-11-23 14:16:06');
INSERT INTO `train_user_notice` VALUES ('1595300190791798784', '10', '1595293028619259904', '系统消息', '您已成功报名了【1123培训班a】可 在“我的学习-我的培训”中查看详情', '1', '1595299618307051520', '2022-11-23 14:16:19');
INSERT INTO `train_user_notice` VALUES ('1595321091671330816', '10', '1595306464161959936', '系统消息', '您已成功报名了【1123】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-23 15:39:23');
INSERT INTO `train_user_notice` VALUES ('1595323046367989760', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-23 15:47:09');
INSERT INTO `train_user_notice` VALUES ('1595324089575280640', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-23 15:51:17');
INSERT INTO `train_user_notice` VALUES ('1595324430664470528', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-23 15:52:39');
INSERT INTO `train_user_notice` VALUES ('1595325235849203712', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 15:55:51');
INSERT INTO `train_user_notice` VALUES ('1595326350821036032', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:00:16');
INSERT INTO `train_user_notice` VALUES ('1595326837490323456', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:02:12');
INSERT INTO `train_user_notice` VALUES ('1595328662973059072', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:09:28');
INSERT INTO `train_user_notice` VALUES ('1595329958111219712', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:14:36');
INSERT INTO `train_user_notice` VALUES ('1595330291407392768', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:15:56');
INSERT INTO `train_user_notice` VALUES ('1595330438530994176', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:16:31');
INSERT INTO `train_user_notice` VALUES ('1595331576332423168', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:21:02');
INSERT INTO `train_user_notice` VALUES ('1595332072065601536', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:23:00');
INSERT INTO `train_user_notice` VALUES ('1595332630491041792', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:25:14');
INSERT INTO `train_user_notice` VALUES ('1595333107739922432', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1575324436016533504', '2022-11-23 16:27:07');
INSERT INTO `train_user_notice` VALUES ('1595333160923697152', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1575324436016533504', '2022-11-23 16:27:20');
INSERT INTO `train_user_notice` VALUES ('1595333800202735616', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1594603307282862080', '2022-11-23 16:29:52');
INSERT INTO `train_user_notice` VALUES ('1595333838194741248', '10', '1595322590518448128', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1594603307282862080', '2022-11-23 16:30:02');
INSERT INTO `train_user_notice` VALUES ('1595338523714654208', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '1', '1594603307282862080', '2022-11-23 16:48:39');
INSERT INTO `train_user_notice` VALUES ('1595338605562302464', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '1', '1594603307282862080', '2022-11-23 16:48:58');
INSERT INTO `train_user_notice` VALUES ('1595338800031207424', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-23 16:49:45');
INSERT INTO `train_user_notice` VALUES ('1595338843480002560', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-23 16:49:55');
INSERT INTO `train_user_notice` VALUES ('1595339072153456640', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:50:49');
INSERT INTO `train_user_notice` VALUES ('1595339118873808896', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-23 16:51:01');
INSERT INTO `train_user_notice` VALUES ('1596349270288633856', '10', '1596346735863664640', '系统消息', '您已成功报名了【测试培训报告导出】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-26 11:44:59');
INSERT INTO `train_user_notice` VALUES ('1596350775850831872', '10', '1596346735863664640', '系统消息', '您已成功报名了【测试培训报告导出】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-26 11:50:58');
INSERT INTO `train_user_notice` VALUES ('1596369259838181376', '10', '1596346735863664640', '系统消息', '您已成功报名了【测试培训报告导出】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-26 13:04:25');
INSERT INTO `train_user_notice` VALUES ('1596376874035056640', '10', '1596330952991313920', '系统消息', '您已成功报名了【测试定时任务】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-26 13:34:41');
INSERT INTO `train_user_notice` VALUES ('1596407489975422976', '10', '1596385685659586560', '系统消息', '您已成功报名了【测试培训报告导出第二次】可 在“我的学习-我的培训”中查看详情', '2', '1574653861665312768', '2022-11-26 15:36:20');
INSERT INTO `train_user_notice` VALUES ('1596427858685857792', '80', '1596427591307366400', '系统消息', '您的短视频【防疫】已通过审核 ', '1', '1', '2022-11-26 16:57:16');
INSERT INTO `train_user_notice` VALUES ('1596427868353728512', '80', '1596426852812066816', '系统消息', '您的短视频【疫情（3）】已通过审核 ', '1', '1', '2022-11-26 16:57:19');
INSERT INTO `train_user_notice` VALUES ('1596427876603924480', '80', '1596426739549081600', '系统消息', '您的短视频【疫情（2）】已通过审核 ', '1', '1', '2022-11-26 16:57:21');
INSERT INTO `train_user_notice` VALUES ('1596427883616800768', '80', '1596426647702212608', '系统消息', '您的短视频【疫情（1）】已通过审核 ', '1', '1', '2022-11-26 16:57:22');
INSERT INTO `train_user_notice` VALUES ('1596437113975476224', '10', '1596385685659586560', '系统消息', '您已成功报名了【测试培训报告导出第二次】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-26 17:34:03');
INSERT INTO `train_user_notice` VALUES ('1596499800398893056', '10', '1596498438508384256', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-26 21:43:09');
INSERT INTO `train_user_notice` VALUES ('1596672682546565120', '10', '1596670850063536128', '系统消息', '您已成功报名了【测试评估计划1】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2022-11-27 09:10:07');
INSERT INTO `train_user_notice` VALUES ('1596675385632886784', '10', '1596498438508384256', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2022-11-27 09:20:51');
INSERT INTO `train_user_notice` VALUES ('1596743299052474368', '10', '1596670850063536128', '系统消息', '您已成功报名了【测试评估计划1】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-27 13:50:43');
INSERT INTO `train_user_notice` VALUES ('1596747157086539776', '10', '1596745761951977472', '系统消息', '您已成功报名了【第二次测试评估计划1127】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-27 14:06:03');
INSERT INTO `train_user_notice` VALUES ('1596747668070207488', '10', '1596745761951977472', '系统消息', '您已成功报名了【第二次测试评估计划1127】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2022-11-27 14:08:05');
INSERT INTO `train_user_notice` VALUES ('1596775229143781376', '10', '1596498438508384256', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-27 15:57:36');
INSERT INTO `train_user_notice` VALUES ('1596788866159874048', '10', '1596788426072526848', '系统消息', '您已成功报名了【测试就餐】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-27 16:51:47');
INSERT INTO `train_user_notice` VALUES ('1596790353070002176', '10', '1596789911623700480', '系统消息', '您已成功报名了【1127 给黎利伯倒是评价】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-27 16:57:42');
INSERT INTO `train_user_notice` VALUES ('1596796808300990464', '10', '1596789911623700480', '系统消息', '您已成功报名了【1127 给黎利伯倒是评价】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2022-11-27 17:23:21');
INSERT INTO `train_user_notice` VALUES ('1596800209172697088', '10', '1596498438508384256', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2022-11-27 17:36:52');
INSERT INTO `train_user_notice` VALUES ('1597131500397137920', '10', '1596789911623700480', '系统消息', '您已成功报名了【1127 给黎利伯倒是评价】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-28 15:33:18');
INSERT INTO `train_user_notice` VALUES ('1597146669135302656', '10', '1597146387521343488', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-28 16:33:34');
INSERT INTO `train_user_notice` VALUES ('1597147454602612736', '10', '1597135726384910336', '系统消息', '您已成功报名了【名单导入是否可以报到】可 在“我的学习-我的培训”中查看详情', '1', '1567097186544652288', '2022-11-28 16:36:41');
INSERT INTO `train_user_notice` VALUES ('1597474182734680064', '80', '1597473765221076992', '系统消息', '您的短视频【小邮说法-法律与我同行特别篇】已通过审核 ', '1', '1', '2022-11-29 14:14:59');
INSERT INTO `train_user_notice` VALUES ('1597476871698780160', '80', '1597475098443517952', '系统消息', '您的短视频【豫邮宝双录（一）】已通过审核 ', '1', '1', '2022-11-29 14:25:41');
INSERT INTO `train_user_notice` VALUES ('1597476880720728064', '80', '1597475233277808640', '系统消息', '您的短视频【豫邮宝双录（二）】已通过审核 ', '1', '1', '2022-11-29 14:25:43');
INSERT INTO `train_user_notice` VALUES ('1597476888333389824', '80', '1597475392854298624', '系统消息', '您的短视频【豫邮宝双录（三）】已通过审核 ', '1', '1', '2022-11-29 14:25:45');
INSERT INTO `train_user_notice` VALUES ('1597476898840121344', '80', '1597475819360489472', '系统消息', '您的短视频【南阳2-邮保安康2021】已通过审核 ', '1', '1', '2022-11-29 14:25:47');
INSERT INTO `train_user_notice` VALUES ('1597476907564273664', '80', '1597476124437385216', '系统消息', '您的短视频【揭秘高息揽储的危害】已通过审核 ', '1', '1', '2022-11-29 14:25:49');
INSERT INTO `train_user_notice` VALUES ('1597476914325491712', '80', '1597476258860634112', '系统消息', '您的短视频【揭秘网点加钞】已通过审核 ', '1', '1', '2022-11-29 14:25:51');
INSERT INTO `train_user_notice` VALUES ('1597476920562421760', '80', '1597476405627719680', '系统消息', '您的短视频【揭秘电信诈骗2】已通过审核 ', '1', '1', '2022-11-29 14:25:52');
INSERT INTO `train_user_notice` VALUES ('1597476927453663232', '80', '1597476528046870528', '系统消息', '您的短视频【防范电信网络诈骗】已通过审核 ', '1', '1', '2022-11-29 14:25:54');
INSERT INTO `train_user_notice` VALUES ('1597476933757702144', '80', '1597476697958125568', '系统消息', '您的短视频【揭秘网点接款工作规范】已通过审核 ', '1', '1', '2022-11-29 14:25:55');
INSERT INTO `train_user_notice` VALUES ('1597511133944745984', '10', '1597505217669238784', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-29 16:41:49');
INSERT INTO `train_user_notice` VALUES ('1597517787130105856', '10', '1597515216793505792', '系统消息', '您已成功报名了【复测0922-001】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-29 17:08:16');
INSERT INTO `train_user_notice` VALUES ('1597594911371300864', '80', '1597478580571475968', '系统消息', '您的短视频【老年投资要理性】已通过审核 ', '1', '1', '2022-11-29 22:14:43');
INSERT INTO `train_user_notice` VALUES ('1597597612712792064', '80', '1597478385641197568', '系统消息', '您的短视频【理性维权是正道。】已通过审核 ', '1', '1', '2022-11-29 22:25:27');
INSERT INTO `train_user_notice` VALUES ('1597597634439286784', '80', '1597477515172122624', '系统消息', '您的短视频【违规带客操作】已通过审核 ', '1', '1', '2022-11-29 22:25:33');
INSERT INTO `train_user_notice` VALUES ('1597773973674921984', '10', '1597757293041160192', '系统消息', '您已成功报名了【复测1130】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-11-30 10:06:15');
INSERT INTO `train_user_notice` VALUES ('1598140053220102144', '80', '1598139818007728128', '系统消息', '您的短视频【20231201发布的测试视频1001】已通过审核 ', '1', '1569970196410667008', '2022-12-01 10:20:55');
INSERT INTO `train_user_notice` VALUES ('1598509559117385728', '10', '1597161124694986752', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-12-02 10:49:12');
INSERT INTO `train_user_notice` VALUES ('1598519438469107712', '10', '1597161124694986752', '系统消息', '您已成功报名了【1121培训库课程-b】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2022-12-02 11:28:28');
INSERT INTO `train_user_notice` VALUES ('1598522991921205248', '10', '1598521650104635392', '系统消息', '您已成功报名了【1202 培训报告打印】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2022-12-02 11:42:35');
INSERT INTO `train_user_notice` VALUES ('1598524393078788096', '10', '1598521650104635392', '系统消息', '您已成功报名了【1202 培训报告打印】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-12-02 11:48:09');
INSERT INTO `train_user_notice` VALUES ('1598525902369722368', '10', '1598521650104635392', '系统消息', '您已成功报名了【1202 培训报告打印】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-12-02 11:54:09');
INSERT INTO `train_user_notice` VALUES ('1598953429487718400', '10', '1598951182674563072', '系统消息', '您已成功报名了【123培训班】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2022-12-03 16:12:59');
INSERT INTO `train_user_notice` VALUES ('1599966384903819264', '10', '1598951182674563072', '系统消息', '您已成功报名了【123培训班】可 在“我的学习-我的培训”中查看详情', '2', '1565939234546782208', '2022-12-06 11:18:07');
INSERT INTO `train_user_notice` VALUES ('1610462692907290624', '10', '1610175794691313664', '系统消息', '您已成功报名了【测试费用】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-04 10:26:42');
INSERT INTO `train_user_notice` VALUES ('1610465117693153280', '10', '1610464458696691712', '系统消息', '您已成功报名了【14 测试费用】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-04 10:36:20');
INSERT INTO `train_user_notice` VALUES ('1610823824956329984', '10', '1594539630882066432', '系统消息', '您已成功报名了【测试消息提醒】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2023-01-05 10:21:42');
INSERT INTO `train_user_notice` VALUES ('1610825759679713280', '10', '1610464458696691712', '系统消息', '您已成功报名了【14 测试费用】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2023-01-05 10:29:23');
INSERT INTO `train_user_notice` VALUES ('1610830228173754368', '10', '1610829322136981504', '系统消息', '您已成功报名了【测试支付V1】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2023-01-05 10:47:09');
INSERT INTO `train_user_notice` VALUES ('1610831657315733504', '10', '1610830975682613248', '系统消息', '您已成功报名了【测试支付V2】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2023-01-05 10:52:50');
INSERT INTO `train_user_notice` VALUES ('1610838785514409984', '10', '1610832720240447488', '系统消息', '您已成功报名了【测试支付V3】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2023-01-05 11:21:09');
INSERT INTO `train_user_notice` VALUES ('1610874611979915264', '10', '1610832720240447488', '系统消息', '您已成功报名了【测试支付V3】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-05 13:43:31');
INSERT INTO `train_user_notice` VALUES ('1611171182227361792', '10', '1611169111981821952', '系统消息', '您已成功报名了【测试支付V4】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-06 09:21:59');
INSERT INTO `train_user_notice` VALUES ('1611179453466152960', '10', '1611169111981821952', '系统消息', '您已成功报名了【测试支付V4】可 在“我的学习-我的培训”中查看详情', '2', '1579374510346473472', '2023-01-06 09:54:51');
INSERT INTO `train_user_notice` VALUES ('1611206876035420160', '10', '1610829322136981504', '系统消息', '您已成功报名了【测试支付V1】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-06 11:43:49');
INSERT INTO `train_user_notice` VALUES ('1611209796726427648', '10', '1611208176332574720', '系统消息', '您已成功报名了【测试支付V5】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-06 11:55:25');
INSERT INTO `train_user_notice` VALUES ('1611246207831773184', '10', '1611245681211740160', '系统消息', '您已成功报名了【测试支付V6】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-06 14:20:06');
INSERT INTO `train_user_notice` VALUES ('1611993280063606784', '10', '1611989569824231424', '系统消息', '您已成功报名了【测试费用1月8】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-08 15:48:42');
INSERT INTO `train_user_notice` VALUES ('1612266023904481280', '10', '1612263653086728192', '系统消息', '您已成功报名了【金融理财第一期】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-09 09:52:29');
INSERT INTO `train_user_notice` VALUES ('1612326032373846016', '10', '1612324397706776576', '系统消息', '您已成功报名了【1月9 测试费用1】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-09 13:50:56');
INSERT INTO `train_user_notice` VALUES ('1612367963808206848', '10', '1612367512480124928', '系统消息', '您已成功报名了【支付1】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-09 16:37:34');
INSERT INTO `train_user_notice` VALUES ('1612396100231237632', '10', '1612367512480124928', '系统消息', '您已成功报名了【支付1】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-09 18:29:22');
INSERT INTO `train_user_notice` VALUES ('1612402827043409920', '10', '1612402197872644096', '系统消息', '您已成功报名了【支付3】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-09 18:56:06');
INSERT INTO `train_user_notice` VALUES ('1612402981410574336', '10', '1612402197872644096', '系统消息', '您已成功报名了【支付3】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-09 18:56:42');
INSERT INTO `train_user_notice` VALUES ('1612765402063048704', '10', '1612710059157098496', '系统消息', '您已成功报名了【支付4】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-10 18:56:50');
INSERT INTO `train_user_notice` VALUES ('1612768273097691136', '10', '1612767792682110976', '系统消息', '您已成功报名了【1.10】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-10 19:08:15');
INSERT INTO `train_user_notice` VALUES ('1612995539085955072', '10', '1612708278364672000', '系统消息', '您已成功报名了【支付2】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-11 10:11:19');
INSERT INTO `train_user_notice` VALUES ('1612998330193940480', '10', '1612708278364672000', '系统消息', '您已成功报名了【支付2】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-11 10:22:25');
INSERT INTO `train_user_notice` VALUES ('1613015934732210176', '10', '1612710059157098496', '系统消息', '您已成功报名了【支付4】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-11 11:32:22');
INSERT INTO `train_user_notice` VALUES ('1613052832192270336', '10', '1613049308599422976', '系统消息', '您已成功报名了【支付1月1111111111111111】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-11 13:58:59');
INSERT INTO `train_user_notice` VALUES ('1613065288830554112', '10', '1613064326346838016', '系统消息', '您已成功报名了【支付5】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-11 14:48:29');
INSERT INTO `train_user_notice` VALUES ('1613343996145438720', '10', '1613342717457338368', '系统消息', '您已成功报名了【支付6】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-12 09:15:58');
INSERT INTO `train_user_notice` VALUES ('1613344127913693184', '10', '1613342717457338368', '系统消息', '您已成功报名了【支付6】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-12 09:16:29');
INSERT INTO `train_user_notice` VALUES ('1613424074686599168', '10', '1613342717457338368', '系统消息', '您已成功报名了【支付6】可 在“我的学习-我的培训”中查看详情', '2', '1555010577007513600', '2023-01-12 14:34:10');
INSERT INTO `train_user_notice` VALUES ('1613808041688436736', '10', '1613804407424684032', '系统消息', '您已成功报名了【支付七】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-13 15:59:55');
INSERT INTO `train_user_notice` VALUES ('1613811232316461056', '10', '1613808331804250112', '系统消息', '您已成功报名了【支付7】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-13 16:12:36');
INSERT INTO `train_user_notice` VALUES ('1613814796476616704', '10', '1613814276676521984', '系统消息', '您已成功报名了【支付8】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-13 16:26:45');
INSERT INTO `train_user_notice` VALUES ('1614162331061850112', '10', '1613814276676521984', '系统消息', '您已成功报名了【支付8】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-14 15:27:44');
INSERT INTO `train_user_notice` VALUES ('1614181111158673408', '10', '1614180571775373312', '系统消息', '您已成功报名了【支付9】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-14 16:42:22');
INSERT INTO `train_user_notice` VALUES ('1614869266190962688', '10', '1612324397706776576', '系统消息', '您已成功报名了【1月9 测试费用1】可 在“我的学习-我的培训”中查看详情', '1', '1555010577007513600', '2023-01-16 14:16:51');
INSERT INTO `train_user_notice` VALUES ('1619605431880126464', '10', '1619578700037230592', '系统消息', '您已成功报名了【金融111】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-29 15:56:40');
INSERT INTO `train_user_notice` VALUES ('1619608220215676928', '10', '1619578700037230592', '系统消息', '您已成功报名了【金融111】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-29 16:07:45');
INSERT INTO `train_user_notice` VALUES ('1619614951574474752', '10', '1619578700037230592', '系统消息', '您已成功报名了【金融111】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-29 16:34:30');
INSERT INTO `train_user_notice` VALUES ('1619615368001753088', '10', '1619578700037230592', '系统消息', '您已成功报名了【金融111】可 在“我的学习-我的培训”中查看详情', '1', '1579374510346473472', '2023-01-29 16:36:09');
INSERT INTO `train_user_notice` VALUES ('1619879221071581184', '10', '1619874679139471360', '系统消息', '您已成功报名了【0130测试支付】可 在“我的学习-我的培训”中查看详情', '1', '1555010577007513600', '2023-01-30 10:04:37');
INSERT INTO `train_user_notice` VALUES ('1620257056667865088', '10', '1619874679139471360', '系统消息', '您已成功报名了【0130测试支付】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-01-31 11:06:00');
INSERT INTO `train_user_notice` VALUES ('1620613128180076544', '10', '1620598592655986688', '系统消息', '您已成功报名了【测试支付0942】可 在“我的学习-我的培训”中查看详情', '1', '1555010577007513600', '2023-02-01 10:40:54');
INSERT INTO `train_user_notice` VALUES ('1620614618948964352', '10', '1620613930487517184', '系统消息', '您已成功报名了【测试支付1043】可 在“我的学习-我的培训”中查看详情', '1', '1555010577007513600', '2023-02-01 10:46:49');
INSERT INTO `train_user_notice` VALUES ('1623949324906008576', '10', '1623944808060030976', '系统消息', '您已成功报名了【测试支付失败】可 在“我的学习-我的培训”中查看详情', '1', '1574653861665312768', '2023-02-10 15:37:45');
INSERT INTO `train_user_notice` VALUES ('1626502261373014016', '10', '1623944808060030976', '系统消息', '您已成功报名了【测试支付失败】可 在“我的学习-我的培训”中查看详情', '1', '1567451914025701376', '2023-02-17 16:42:13');
INSERT INTO `train_user_notice` VALUES ('1626512386477395968', '10', '1623944808060030976', '系统消息', '您已成功报名了【测试支付失败】可 在“我的学习-我的培训”中查看详情', '1', '1590639495596871680', '2023-02-17 17:22:27');
INSERT INTO `train_user_notice` VALUES ('1640978423595798528', '80', '1583408987863388160', '系统消息', '您的短视频【APP视频测试】被下架 ', '1', '1574653861665312768', '2023-03-29 15:25:19');
INSERT INTO `train_user_notice` VALUES ('1642729139565891584', '10', '1640981421491359744', '系统消息', '您已成功报名了【培训管理人员能力提升培训】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2023-04-03 11:22:02');
INSERT INTO `train_user_notice` VALUES ('1642729232314535936', '10', '1640983724587880448', '系统消息', '您已成功报名了【前端vue入门培训】可 在“我的学习-我的培训”中查看详情', '2', '1591967614425501696', '2023-04-03 11:22:24');
INSERT INTO `train_user_notice` VALUES ('1643890588799602688', '10', '1640983724587880448', '系统消息', '您已成功报名了【2023年邮政营业员考评员培训及职业技能等级认定考试】可 在“我的学习-我的培训”中查看详情', '1', '1555010577007513600', '2023-04-06 16:17:13');
INSERT INTO `train_user_notice` VALUES ('1643901197540790272', '10', '1640983724587880448', '系统消息', '您已成功报名了【2023年邮政营业员考评员培训及职业技能等级认定考试】可 在“我的学习-我的培训”中查看详情', '1', '1569928315261816832', '2023-04-06 16:59:22');

-- ----------------------------
-- Table structure for train_user_other_training
-- ----------------------------
DROP TABLE IF EXISTS `train_user_other_training`;
CREATE TABLE `train_user_other_training` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '培训编号',
  `name` varchar(30) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '培训名称',
  `address` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '培训地址',
  `content` varchar(1024) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '培训内容',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `org_id` bigint(20) DEFAULT NULL COMMENT '主办机构id',
  `org_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '主办机构编号',
  `org_use_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '主办机构自定义编号',
  `org_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '主办机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '主办部门id',
  `dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '主办部门code',
  `dept_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '主办部门名称',
  `remark` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '备注',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、审核拒绝。1、待审核。10、已通过。',
  `audit_cause` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建用户名',
  `creat_user_tel` varchar(11) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人联系方式',
  `create_dept_code` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_user_other_training
-- ----------------------------
INSERT INTO `train_user_other_training` VALUES ('1', 'c111', '测试', '地址', '内容', '2023-01-08 15:14:42', null, null, null, null, null, null, null, null, '这是一个备注', '1', null, null, null, null, null, '2023-01-08 15:15:23');

-- ----------------------------
-- Table structure for train_user_points_record
-- ----------------------------
DROP TABLE IF EXISTS `train_user_points_record`;
CREATE TABLE `train_user_points_record` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、加积分。2、减积分。',
  `points` bigint(20) DEFAULT NULL COMMENT '积分大小',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注：加减积分说明',
  `link_type` smallint(2) DEFAULT NULL COMMENT '关联类型：0、购买商品。10、用户小视频上传。20、用户观看在线课程课件/在线培训班课件。30、在线课程学习。40、在线培训班活动。50、集中培训班活动。60、讲师课件上传。70、讲师课件观看量阶梯奖励。80、讲师课件收藏量阶梯奖励。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户积分记录';

-- ----------------------------
-- Records of train_user_points_record
-- ----------------------------

-- ----------------------------
-- Table structure for train_user_share
-- ----------------------------
DROP TABLE IF EXISTS `train_user_share`;
CREATE TABLE `train_user_share` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `type` smallint(1) DEFAULT NULL COMMENT '分享方式：1、微信好友。2、朋友圈。',
  `link_type` int(11) DEFAULT NULL COMMENT '分享类型：10、课程。20、集中培训班。30、在线培训班。40、视频。50、讲师。60、学员。70、商品。80、地市培训班。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '关联id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户分享';

-- ----------------------------
-- Records of train_user_share
-- ----------------------------
INSERT INTO `train_user_share` VALUES ('1575370710589771776', '1574653861665312768', '1', '20', '1575364705646678016', '2022-09-29 14:23:41');
INSERT INTO `train_user_share` VALUES ('1575370800557592576', '1567097186544652288', '1', '20', '1567705722337234944', '2022-09-29 14:24:02');
INSERT INTO `train_user_share` VALUES ('1585284410490621952', '1574653861665312768', '1', '40', '1583408987863388160', '2022-10-26 22:57:11');
INSERT INTO `train_user_share` VALUES ('1588072194100039680', '1574653861665312768', '1', '40', '1583408987863388160', '2022-11-03 15:34:51');

-- ----------------------------
-- Table structure for train_user_tag
-- ----------------------------
DROP TABLE IF EXISTS `train_user_tag`;
CREATE TABLE `train_user_tag` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `tag_id` bigint(20) DEFAULT NULL COMMENT '标签id',
  `tag` varchar(20) DEFAULT NULL COMMENT '标签',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `TAG_USER_ID_INDEX` (`user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='培训用户标签';

-- ----------------------------
-- Records of train_user_tag
-- ----------------------------
INSERT INTO `train_user_tag` VALUES ('1323499068693024768', '1323498927344979968', null, '综合');
INSERT INTO `train_user_tag` VALUES ('1327488243847008256', '1327468364754456576', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1327488243851202560', '1327468364754456576', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1327539131420643328', '1327447426851803136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1328971346704732160', '1328969308973436928', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1328971346708926464', '1328969308973436928', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1328971346708926465', '1328969308973436928', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1328971346708926466', '1328969308973436928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1328971346708926467', '1328969308973436928', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1329234321013346304', '1327447426855997440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1329234321013346305', '1327447426855997440', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1329234321013346306', '1327447426855997440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1329234321013346307', '1327447426855997440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1329234321013346308', '1327447426855997440', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1331463212822040576', '1330815510157332480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1331463212822040577', '1330815510157332480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1331463212822040578', '1330815510157332480', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1331464346160730112', '1330815510249607169', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1331464346160730113', '1330815510249607169', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1331464346160730114', '1330815510249607169', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1331464346160730115', '1330815510249607169', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1331464346160730116', '1330815510249607169', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1334327722427682816', '1330815510140555264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334327722599649280', '1330815510140555264', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1334327722599649281', '1330815510140555264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334331055322304512', '1330815510077640706', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334331055322304513', '1330815510077640706', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1334331055322304514', '1330815510077640706', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334331055322304515', '1330815510077640706', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1334331055322304516', '1330815510077640706', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1334331055322304517', '1330815510077640706', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1334331055322304518', '1330815510077640706', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1334331183596703744', '1330815510157332484', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334331183596703745', '1330815510157332484', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1334331183596703746', '1330815510157332484', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334331183596703747', '1330815510157332484', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1334333136250736640', '1330815510119583744', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334333136250736641', '1330815510119583744', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334333136250736642', '1330815510119583744', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1334333279226171392', '1330815510127972352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334333279226171393', '1330815510127972352', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1334333279226171394', '1330815510127972352', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334335091106779136', '1330815510379630594', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334335091106779137', '1330815510379630594', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1334335091106779138', '1330815510379630594', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334335091106779139', '1330815510379630594', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1334335091106779140', '1330815510379630594', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1334335091106779141', '1330815510379630594', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1334335091106779142', '1330815510379630594', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1334405057185189888', '1330815510165721088', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1334405057185189889', '1330815510165721088', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1334405057185189890', '1330815510165721088', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1334405057185189891', '1330815510165721088', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1334405057185189892', '1330815510165721088', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1336839494665637888', '1329695641437343745', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1336864048263860224', '1329695641428955136', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1336864048263860225', '1329695641428955136', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1337314014832758784', '1329695641424760832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1338652953271209984', '1329695641416372224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1338652953271209985', '1329695641416372224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1338652953271209986', '1329695641416372224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1338652953271209987', '1329695641416372224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1338652953271209988', '1329695641416372224', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344460666949472256', '1340957333022445568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344462968829644800', '1340957333206994944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344463489732841472', '1340957357009670144', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344464146044948480', '1340957389574246400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344465200648163328', '1340962253838618624', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344465268344229888', '1340961416554876928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344465348249915392', '1340961417553121280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344466406170824704', '1340961496288595968', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344467292020412416', '1340957463284944896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344467292020412417', '1340957463284944896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344467824592162816', '1340957451939352576', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344468253992423424', '1340957291133931520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344468253992423425', '1340957291133931520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344468253992423426', '1340957291133931520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344469385812774912', '1340961460230164480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344470266532728832', '1340962572945461248', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344470266532728833', '1340962572945461248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344470266532728834', '1340962572945461248', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344470982496227328', '1340961514273771520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344471211727523840', '1340961512285671424', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344472197674176512', '1340957340404420608', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344474397188165632', '1340961426952556544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344476006521638912', '1340961483676323840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344476006521638913', '1340961483676323840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344476006521638914', '1340961483676323840', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1344476006521638915', '1340961483676323840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344476006521638916', '1340961483676323840', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344476006521638917', '1340961483676323840', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344477424024424448', '1340961416777175040', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344477925889675264', '1340961482661302272', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344478172271480832', '1340961438239428608', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344478172271480833', '1340961438239428608', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344478189463932928', '1340962272561991680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344478189463932929', '1340962272561991680', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344479083203006464', '1340961405288976384', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344479083203006465', '1340961405288976384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344479083203006466', '1340961405288976384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1344479083203006467', '1340961405288976384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344479083203006468', '1340961405288976384', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344479083203006469', '1340961405288976384', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344479413533806592', '1330815510312521730', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344481531510525952', '1340957463360442368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344484050315907072', '1340961453859016704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344484050315907073', '1340961453859016704', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344484680799490048', '1340961452869160960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344484680799490049', '1340961452869160960', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344484680799490050', '1340961452869160960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344487833137713152', '1340957317721624576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344487997982248960', '1340961420552048640', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344488048947236864', '1340957409484607488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344488954157731840', '1340957438513385472', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344492936632602624', '1340957449099808768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344492936632602625', '1340957449099808768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344498310156783616', '1340962278828281856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344498310156783617', '1340962278828281856', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344501594695274496', '1340957302865399808', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344515401647788032', '1340961418748497920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344515401647788033', '1340961418748497920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344518351883472896', '1340957414052204544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344535604318310400', '1340961482669690880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344535742562570240', '1340957457178038272', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344537785503191040', '1340961496083075072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344538045612953600', '1340957464039919616', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344538045612953601', '1340957464039919616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344538045612953602', '1340957464039919616', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1344538045612953603', '1340957464039919616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344538045612953604', '1340957464039919616', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344538045612953605', '1340957464039919616', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344542277338533888', '1340961495336488960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344542345277870080', '1340957465470177280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344542345277870081', '1340957465470177280', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344549140939542528', '1340957409564299264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344549140939542529', '1340957409564299264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344549493667926016', '1340961485651841024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344549493667926017', '1340961485651841024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344549493667926018', '1340961485651841024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1344549493667926019', '1340961485651841024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344549493667926020', '1340961485651841024', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344549493667926021', '1340961485651841024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344557540524036096', '1340957422830882816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344559834648940544', '1340957330874961920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344571188051054592', '1340957463654043648', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344574831345143808', '1340957343378182144', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344575954084827136', '1340961428567363584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344582290885447680', '1340961443482308608', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344582811025281024', '1340957424810594304', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1344582811025281025', '1340957424810594304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1344582811025281026', '1340957424810594304', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1344582811025281027', '1340957424810594304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344582811025281028', '1340957424810594304', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1344582811025281029', '1340957424810594304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344609483460055040', '1340957473149947904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344610110508503040', '1340962263443574784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1344968069302325248', '1340961405129592832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1344971253525647360', '1340961435236306944', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345529360538537984', '1340961525673889792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345651117589139456', '1340957436500119552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345651117589139457', '1340957436500119552', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1345889782844231680', '1340961416944947200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1345889782844231681', '1340961416944947200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1345889782844231682', '1340961416944947200', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1345889782844231683', '1340961416944947200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345889782844231684', '1340961416944947200', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1345889782844231685', '1340961416944947200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345892051098669056', '1340961430505132032', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1345892051098669057', '1340961430505132032', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1345892051102863360', '1340961430505132032', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345894749286043648', '1340957296959819776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345896952193224704', '1340962272717180928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345899685403037696', '1340961400935288832', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1345899685403037697', '1340961400935288832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1345899685403037698', '1340961400935288832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345905455590936576', '1340957468603322368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345905455590936577', '1340957468603322368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345908866474446848', '1340961494736703488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345911808967446528', '1340957353989771264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345911968296472576', '1340957318879252480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345912530962354176', '1340961400834625536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345914938421547008', '1340961396573212672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345917895779160064', '1340957402891161600', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345921569637142528', '1340957464677453824', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1345921569637142529', '1340957464677453824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345921569637142530', '1340957464677453824', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345923062272495616', '1340962576212824064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1345923062272495617', '1340962576212824064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1345923062272495618', '1340962576212824064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345937461418790912', '1340962306154172416', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345943748395274240', '1340957401788059648', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345950437177692160', '1340961524059082752', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1345977192504496128', '1340961459202560000', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1345977192504496129', '1340961459202560000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1345977192504496130', '1340961459202560000', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346018321593667584', '1340957303393882112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346018321593667585', '1340957303393882112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346018321593667586', '1340957303393882112', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346018668030595072', '1340961428521226240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346018668030595073', '1340961428521226240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346027991423127552', '1340957330950459392', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346028277189447680', '1340957303825895424', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346028552461619200', '1340961442949632000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346041912339075072', '1340961426927390720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346042748830093312', '1340957338483429376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346055386729418752', '1340957453793234944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346245956764569600', '1340957330682023936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346252345012523008', '1340961418329067520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346258047927980032', '1340957286234984448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346263264560025600', '1340961512474415104', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346271122542432256', '1340961429066485760', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346280802736017408', '1340957392061468672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346304982714028032', '1340962576594505728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346305486957449216', '1340957301892321280', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346318759815680000', '1340962291524440064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346322084896313344', '1340961464000843776', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346322084896313345', '1340961464000843776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346329456276541440', '1340957452610441216', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346337820427554816', '1340957350051319808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346342584599056384', '1340957454288162816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346354555247529984', '1340957293923143680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346354901965475840', '1340961496263430144', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346354901965475841', '1340961496263430144', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346355146145271808', '1340961434867208192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346355408675147776', '1340957292933287936', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346358161971482624', '1346358097400172544', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346364244085575680', '1340957304232742912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346364244085575681', '1340957304232742912', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346364244085575682', '1340957304232742912', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346364763097141248', '1340961427296489472', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346364763097141249', '1340961427296489472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346364763097141250', '1340961427296489472', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346364763097141251', '1340961427296489472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346364763097141252', '1340961427296489472', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346364763097141253', '1340961427296489472', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346367618520584192', '1340962573922734080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346371647246045184', '1340961484850728960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346372129725222912', '1340957357450072064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346372627874320384', '1340957292329308160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346375563274752000', '1340957466736857088', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346375563278946304', '1340957466736857088', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346376403255431168', '1340957462198620160', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346376403255431169', '1340957462198620160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346377356486512640', '1340962305931874304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346379832019259392', '1340962261778436096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346380807706644480', '1340962284691918848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346383075310964736', '1340961425581019136', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346383075310964737', '1340961425581019136', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346384221580693504', '1340957292803264512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346385153152389120', '1340961480308297728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346391657700003840', '1340957454686621696', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346391657700003841', '1340957454686621696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346391657700003842', '1340957454686621696', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346392592757166080', '1340957285610033152', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346392592757166081', '1340957285610033152', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346392592757166082', '1340957285610033152', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346392592757166083', '1340957285610033152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346392592757166084', '1340957285610033152', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346392592757166085', '1340957285610033152', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346392960266276864', '1340961425283223552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346394269153366016', '1340957352739868672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346394269153366017', '1340957352739868672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346394445058281472', '1340957333215383552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346394445058281473', '1340957333215383552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346394445058281474', '1340957333215383552', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346394445058281475', '1340957333215383552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346394445058281476', '1340957333215383552', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346394445058281477', '1340957333215383552', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346394635660038144', '1340961430316388352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346395021473091584', '1340957439641653248', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346395021473091585', '1340957439641653248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346395183943651328', '1340957457048014848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346395183943651329', '1340957457048014848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346395183943651330', '1340957457048014848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346395183943651331', '1340957457048014848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346395183943651332', '1340957457048014848', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346395183943651333', '1340957457048014848', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346398371631468544', '1340961405683240960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346398371631468545', '1340961405683240960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346398371631468546', '1340961405683240960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346398371631468547', '1340961405683240960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346398772049088512', '1340957384968900608', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346403485679226880', '1340957411418181632', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346403957303545856', '1340961428433145856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346406070737833984', '1340957411711782912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346406070737833985', '1340957411711782912', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346412529479454720', '1340957410096975872', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346412529479454721', '1340957410096975872', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346412821633699840', '1340962259786141696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346412821633699841', '1340962259786141696', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346418223322632192', '1340961425941729280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346595265741721600', '1340957390081757184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346599852468998144', '1340961428462505984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346600704512495616', '1340961419088236544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346605689816092672', '1340962276659826688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346607231965204480', '1340961523320885248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346607269491642368', '1340962273392463872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346608800890753024', '1340962565429268480', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346608800890753025', '1340962565429268480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346609544750567424', '1340961456883109888', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346609544750567425', '1340961456883109888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346610039711993856', '1330815510056669184', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346610039711993857', '1330815510056669184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346610867856347136', '1340961486033522688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346615387206324224', '1340962305248202752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346623704997695488', '1340962291046289408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346632888778625024', '1340957348730114048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346637431084027904', '1340962272897536000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346638417638854656', '1340957320968015872', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346640511758372864', '1340961403942604800', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346640944694431744', '1340962260956352512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346645404808253440', '1340957317159587840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346650940370980864', '1340961521311813632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346659083532505088', '1340957450219687936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346660064185946112', '1340957464333520896', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346676184729128960', '1340961403493814272', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346680164221849600', '1340961404408172544', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346680164221849601', '1340961404408172544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346707570261364736', '1340962290362617856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346707570261364737', '1340962290362617856', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346707570261364738', '1340962290362617856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346707570261364739', '1340962290362617856', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346713476025946112', '1340961483147841536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346725443457388544', '1340961398506786816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346748518597005312', '1340961442702168064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346748518597005313', '1340961442702168064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346748518597005314', '1340961442702168064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346748518597005315', '1340961442702168064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346748518597005316', '1340961442702168064', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346748518597005317', '1340961442702168064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346749077026639872', '1340957342371549184', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346749077026639873', '1340957342371549184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346749077026639874', '1340957342371549184', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1346749077026639875', '1340957342371549184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346749077026639876', '1340957342371549184', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346749077026639877', '1340957342371549184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346755676894007296', '1340961425371303936', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346760123871268864', '1340957339515228160', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346765478323949568', '1340957411057471488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346765478323949569', '1340957411057471488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346793884365230080', '1340962305361448960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346793884365230081', '1340962305361448960', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346793884365230082', '1340962305361448960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346800277314998272', '1340961441116721152', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1346800277314998273', '1340961441116721152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346800277314998274', '1340961441116721152', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346807575890497536', '1340961397298827264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346814993038970880', '1340957377184272384', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1346967536599699456', '1340957440224661504', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346975392577228800', '1340957472155897856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1346975392577228801', '1340957472155897856', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1346975392577228802', '1340957472155897856', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346977557622427648', '1340961423857160192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1346981562792677376', '1340961431654371328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347002417618751488', '1330815510262190081', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347002417618751489', '1330815510262190081', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347002417622945792', '1330815510262190081', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347002417622945793', '1330815510262190081', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347002417622945794', '1330815510262190081', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347002417622945795', '1330815510262190081', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347006357722763264', '1340957304568287232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347006370272120832', '1340962285769854976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347048195242463232', '1340957304794779648', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347048195246657536', '1340957304794779648', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347048195246657537', '1340957304794779648', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347048195246657538', '1340957304794779648', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347048195246657539', '1340957304794779648', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347048195246657540', '1340957304794779648', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347048532699385856', '1340961464550297600', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347048532699385857', '1340961464550297600', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347065973294895104', '1340957467101761536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347065973294895105', '1340957467101761536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347072419722039296', '1340962307114668032', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347074209909706752', '1340961403988742144', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347074209909706753', '1340961403988742144', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347076637744828416', '1340961425576824832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347076719839940608', '1340957339393593344', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347076719839940609', '1340957339393593344', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347076719839940610', '1340957339393593344', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347091157942931456', '1340962578297393152', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347091157947125760', '1340962578297393152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347092221375156224', '1340957462102151168', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347092221375156225', '1340957462102151168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347104340392939520', '1340961417905442816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347104340392939521', '1340961417905442816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347104460324868096', '1340961448746160128', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347104460324868097', '1340961448746160128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347105348502294528', '1340961505037914112', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347106759378079744', '1340957284192358400', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347106759378079745', '1340957284192358400', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347106759378079746', '1340957284192358400', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347106759378079747', '1340957284192358400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347106759378079748', '1340957284192358400', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347106759378079749', '1340957284192358400', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347108762460229632', '1340957355352920064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347108762460229633', '1340957355352920064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347111836822147072', '1340957306388615168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347111836822147073', '1340957306388615168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347112806780112896', '1340957355667492864', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347112806780112897', '1340957355667492864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347113796048654336', '1340961408388567040', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347113796048654337', '1340961408388567040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347113796048654338', '1340961408388567040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347113796048654339', '1340961408388567040', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347113796048654340', '1340961408388567040', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347114221560795136', '1340961431448850432', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347114221560795137', '1340961431448850432', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347117881623711744', '1340957305658806272', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347117881623711745', '1340957305658806272', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347119014790434816', '1340957330732355584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347119014790434817', '1340957330732355584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347131183812710400', '1340961494677983232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347133569016926208', '1340957453776457728', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347133569021120512', '1340957453776457728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347133569021120513', '1340957453776457728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347133569021120514', '1340957453776457728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347133569021120515', '1340957453776457728', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347133569021120516', '1340957453776457728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347171548309622784', '1340957301225426944', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347171548309622785', '1340957301225426944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347171548309622786', '1340957301225426944', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1347171548309622787', '1340957301225426944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347171548309622788', '1340957301225426944', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347171548309622789', '1340957301225426944', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347321130586869760', '1340957451360538624', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347321160857161728', '1340961442135937024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347331301153312768', '1340962304572919808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347332190773579776', '1340962285883101184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347333003189293056', '1340961415619547136', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347333003189293057', '1340961415619547136', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1347333003193487360', '1340961415619547136', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1347334925153603584', '1340962565504765952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1347334925153603585', '1340962565504765952', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347335079810174976', '1340957330853990400', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347354081177505792', '1340961502932373504', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347388115353997312', '1340957441063522304', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1347388115353997313', '1340957441063522304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1347401048234528768', '1340961496817078272', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1348445370497241088', '1340957425783672832', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1348448914449240064', '1340961515536257024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1348448914449240065', '1340961515536257024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1348448914449240066', '1340961515536257024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1348459461689348096', '1340962588854456320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1348460346276450304', '1340961398221574144', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1348490316281417728', '1340961520829468672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1348536685868224512', '1340957460915163136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352514276094513152', '1330815510450933763', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352522040065789952', '1340957368195878912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352522040065789953', '1340957368195878912', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352522040065789954', '1340957368195878912', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352522114875396096', '1330815510337687553', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352522114875396097', '1330815510337687553', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352522114875396098', '1330815510337687553', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352522114875396099', '1330815510337687553', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352522114875396100', '1330815510337687553', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352522114875396101', '1330815510337687553', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352522366995009536', '1340961497605607424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352522366995009537', '1340961497605607424', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352522366995009538', '1340961497605607424', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352522366995009539', '1340961497605607424', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352522619164954624', '1340957414547132416', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352522619164954625', '1340957414547132416', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352523949396856832', '1340957304723476480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352523949396856833', '1340957304723476480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352523949396856834', '1340957304723476480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352523949396856835', '1340957304723476480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352523949396856836', '1340957304723476480', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352523949396856837', '1340957304723476480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352525199316226048', '1340962573360697344', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352525199316226049', '1340962573360697344', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352526655003955200', '1330815510153138177', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352526773816004608', '1340961452827217920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352526773816004609', '1340961452827217920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352526773816004610', '1340961452827217920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352526773816004611', '1340961452827217920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352526773816004612', '1340961452827217920', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352526773816004613', '1340961452827217920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352527220257722368', '1330815510442545154', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352527220257722369', '1330815510442545154', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352527220257722370', '1330815510442545154', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352527334535729152', '1340957386214608896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352527334535729153', '1340957386214608896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352527334535729154', '1340957386214608896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352527334535729155', '1340957386214608896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352527334535729156', '1340957386214608896', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352527334535729157', '1340957386214608896', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352527388847771648', '1330815510132166656', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352527388847771649', '1330815510132166656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352527388847771650', '1330815510132166656', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352528922910265344', '1340962291415388160', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352529974799765504', '1340962261849739264', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352530421413449728', '1330815510153138178', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352530421413449729', '1330815510153138178', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352530421413449730', '1330815510153138178', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352530421413449731', '1330815510153138178', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352530421413449732', '1330815510153138178', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352530421413449733', '1330815510153138178', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352530715492880384', '1330815510358659072', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352530715492880385', '1330815510358659072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352530715492880386', '1330815510358659072', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352530715492880387', '1330815510358659072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352530715492880388', '1330815510358659072', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352530715492880389', '1330815510358659072', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352531852291870720', '1330815510111195136', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352531875649949696', '1330815510178304001', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352532687679787008', '1340961417196605440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352532687679787009', '1340961417196605440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352532687679787010', '1340961417196605440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352532687679787011', '1340961417196605440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352532692524208128', '1340957319214796800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352532692524208129', '1340957319214796800', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352532971168600064', '1340957288185335808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352532971168600065', '1340957288185335808', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352532971168600066', '1340957288185335808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352532971168600067', '1340957288185335808', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352532971168600068', '1340957288185335808', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352533037388271616', '1330815510203469827', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352533037388271617', '1330815510203469827', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352533182452469760', '1330815510199275520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352533477412704256', '1330815510161526787', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352533659013484544', '1330815509972783104', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352533810578853888', '1340961493688127488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352533810578853889', '1340961493688127488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352535866043666432', '1330815510266384384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352537659528056832', '1330815510446739457', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352538181236559872', '1340957292832624640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352538181236559873', '1340957292832624640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352538181236559874', '1340957292832624640', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352538181236559875', '1340957292832624640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352538181236559876', '1340957292832624640', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352538181236559877', '1340957292832624640', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352538283086843904', '1330815510442545156', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352540104245252096', '1330815510408990720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352540104245252097', '1330815510408990720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352540104245252098', '1330815510408990720', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352540104245252099', '1330815510408990720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352541160933036032', '1330815510127972353', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352541160933036033', '1330815510127972353', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352541160933036034', '1330815510127972353', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352541160933036035', '1330815510127972353', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352541160933036036', '1330815510127972353', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352541160933036037', '1330815510127972353', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352543064861839360', '1340962265049993216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352543064861839361', '1340962265049993216', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352544104935985152', '1330815510086029312', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352544104935985153', '1330815510086029312', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352544104935985154', '1330815510086029312', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352544104935985155', '1330815510086029312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352545398971043840', '1340961440563073024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352547307714908160', '1330815510161526785', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352547760020262912', '1340962290501029888', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352547915737993216', '1330815510446739458', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352548730536071168', '1330815510388019200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352548730536071169', '1330815510388019200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352549841925967872', '1340957377712754688', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352551996179222528', '1330815510190886913', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352551996179222529', '1330815510190886913', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352552684581949440', '1330815510320910336', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352558801043197952', '1340961461517815808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352559408164507648', '1330815510417379328', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352559408164507649', '1330815510417379328', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352559408164507650', '1330815510417379328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352560089306894336', '1330815510203469824', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352560089306894337', '1330815510203469824', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352560089306894338', '1330815510203469824', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352562228322242560', '1330815510207664128', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352567665440460800', '1330815510081835008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352567665440460801', '1330815510081835008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352567665440460802', '1330815510081835008', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352583622099603456', '1340957460139216896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352583622099603457', '1340957460139216896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352583622099603458', '1340957460139216896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352583622099603459', '1340957460139216896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352583622099603460', '1340957460139216896', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352583622099603461', '1340957460139216896', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352605614139904000', '1340957415117557760', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352616342745911296', '1340961458229481472', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352780321367658496', '1340957333395738624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352780321367658497', '1340957333395738624', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352780321367658498', '1340957333395738624', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352787522941489152', '1340957411619508224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352787522945683456', '1340957411619508224', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352788185968676864', '1340961422720503808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352791963979616256', '1330815510266384387', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352791963979616257', '1330815510266384387', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352791963979616258', '1330815510266384387', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352793701151281152', '1330815510174109697', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352793701151281153', '1330815510174109697', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1352793701151281154', '1330815510174109697', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1352793701151281155', '1330815510174109697', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352793701151281156', '1330815510174109697', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352793701151281157', '1330815510174109697', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1352923164673445888', '1330815510266384386', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352970987901161472', '1330815510337687552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1352970987901161473', '1330815510337687552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1352970987901161474', '1330815510337687552', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1352970987901161475', '1330815510337687552', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353241319711051776', '1340962296243032064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353241319711051777', '1340962296243032064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353241319711051778', '1340962296243032064', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353292043522281472', '1330815510157332481', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353292043522281473', '1330815510157332481', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353292043522281474', '1330815510157332481', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353495174990401536', '1330815510207664129', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353509303960604672', '1330815510161526786', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353509303960604673', '1330815510161526786', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353511574039564288', '1330815510455128065', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353513106583719936', '1340957351401885696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353514977226526720', '1330815510257995776', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353514977226526721', '1330815510257995776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353516022820376576', '1340961482799714304', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353516022820376577', '1340961482799714304', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353519597487263744', '1330815510216052738', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353521196926373888', '1330815510299938817', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353521196926373889', '1330815510299938817', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353523612992278528', '1330815510459322368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353523612992278529', '1330815510459322368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353523612992278530', '1330815510459322368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353525250792493056', '1330815510203469826', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353525250796687360', '1330815510203469826', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353526349163270144', '1330815510278967296', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353526349163270145', '1330815510278967296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353526349163270146', '1330815510278967296', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353526349163270147', '1330815510278967296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353526472396115968', '1340961511744606208', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353526472396115969', '1340961511744606208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353526472396115970', '1340961511744606208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353526472396115971', '1340961511744606208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353526472396115972', '1340961511744606208', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353526472396115973', '1340961511744606208', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353528081943498752', '1330815510216052736', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353528081943498753', '1330815510216052736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353528081943498754', '1330815510216052736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353528081943498755', '1330815510216052736', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353528081943498756', '1330815510216052736', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353528537612685312', '1340957423992705024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353528537612685313', '1340957423992705024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353528537612685314', '1340957423992705024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353528537612685315', '1340957423992705024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353528537612685316', '1340957423992705024', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353528537612685317', '1340957423992705024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353535173232300032', '1330815510350270466', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353535173232300033', '1330815510350270466', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353535173232300034', '1330815510350270466', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353536734251585536', '1330815510325104641', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353536734251585537', '1330815510325104641', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353536734251585538', '1330815510325104641', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353536734251585539', '1330815510325104641', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353536734251585540', '1330815510325104641', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353536734251585541', '1330815510325104641', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353539190670888960', '1330815510304133120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353539272782778368', '1330815510425767937', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353539272786972672', '1330815510425767937', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353542805502431232', '1340957437527724032', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353542805502431233', '1340957437527724032', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353542805502431234', '1340957437527724032', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353543532308205568', '1340961514026307584', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353543532308205569', '1340961514026307584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353543532308205570', '1340961514026307584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353543532308205571', '1340961514026307584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353543532308205572', '1340961514026307584', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353543532308205573', '1340961514026307584', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353543681071779840', '1330815510031503360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353543681075974144', '1330815510031503360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353545081205952512', '1330815510450933762', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353548299063398400', '1340961486088048640', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353548901675831296', '1330815510283161600', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353548901675831297', '1330815510283161600', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353549196879335424', '1330815510325104643', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353549196879335425', '1330815510325104643', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353549255779946496', '1330815510434156544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353549639978192896', '1330815510044086272', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353549639978192897', '1330815510044086272', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353553041630040064', '1330815510237024256', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353554080068407296', '1330792741998825472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353554251175038976', '1330815510266384388', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353554251175038977', '1330815510266384388', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353554251175038978', '1330815510266384388', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353558551175499776', '1330815510438350851', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353558551175499777', '1330815510438350851', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353559249896214528', '1340957319747473408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353559249896214529', '1340957319747473408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353559249896214530', '1340957319747473408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353559249896214531', '1340957319747473408', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353559249896214532', '1340957319747473408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353564468868681728', '1330815510450933764', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353564468868681729', '1330815510450933764', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353564468868681730', '1330815510450933764', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353564468868681731', '1330815510450933764', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353564468868681732', '1330815510450933764', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353564468868681733', '1330815510450933764', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353567761418293248', '1340957348969189376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353567761418293249', '1340957348969189376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353568779803693056', '1330815510350270465', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353572427434692608', '1330815510396407808', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353572427434692609', '1330815510396407808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353572427434692610', '1330815510396407808', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353572427434692611', '1330815510396407808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353572427434692612', '1330815510396407808', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353572427434692613', '1330815510396407808', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353581226887352320', '1340962575734673408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353583142400823296', '1330792741994631168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353591676819607552', '1330815510174109698', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353614194410393600', '1330815510446739456', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353614194410393601', '1330815510446739456', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353614194410393602', '1330815510446739456', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353614627010908160', '1330815510107000832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353618066990305280', '1330815510081835010', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353618066990305281', '1330815510081835010', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353618066990305282', '1330815510081835010', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353621064311246848', '1330815510002143232', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353621064311246849', '1330815510002143232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353621064311246850', '1330815510002143232', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353621064311246851', '1330815510002143232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353623258112593920', '1340961515792109568', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353623258112593921', '1340961515792109568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353632213119406080', '1340961484871700480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353633332998574080', '1330815510094417920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353633332998574081', '1330815510094417920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353633332998574082', '1330815510094417920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353633332998574083', '1330815510094417920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353633332998574084', '1330815510094417920', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353633332998574085', '1330815510094417920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353641105794666496', '1330815510346076160', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353643678975004672', '1340961451703144448', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353643678975004673', '1340961451703144448', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353644136057671680', '1330815510157332482', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353645072838692864', '1330815510178304002', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353645072838692865', '1330815510178304002', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353645072838692866', '1330815510178304002', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353645072838692867', '1330815510178304002', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353645072838692868', '1330815510178304002', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353645072838692869', '1330815510178304002', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353681945489444864', '1330815510299938816', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353681945493639168', '1330815510299938816', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353681945493639169', '1330815510299938816', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353681945493639170', '1330815510299938816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353681945493639171', '1330815510299938816', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353681945493639172', '1330815510299938816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353881799708774400', '1330815509993754624', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353882659394293760', '1330815510379630593', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353888690887331840', '1340957430011531264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353888690887331841', '1340957430011531264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1353888690887331842', '1340957430011531264', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353888690887331843', '1340957430011531264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353888690887331844', '1340957430011531264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1353925237095403520', '1330815510450933761', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353925237095403521', '1330815510450933761', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1353970098771202048', '1340961459118673920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1353970098771202049', '1340961459118673920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1353970098771202050', '1340961459118673920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1353970098771202051', '1340961459118673920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354005773981716480', '1330815510425767938', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354005773981716481', '1330815510425767938', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354005773981716482', '1330815510425767938', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354005773981716483', '1330815510425767938', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354016675061698560', '1340962285073600512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354027761064349696', '1330815510299938818', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354027761064349697', '1330815510299938818', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354027761064349698', '1330815510299938818', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354027761064349699', '1330815510299938818', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354027761064349700', '1330815510299938818', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354228775285559296', '1330815510270578688', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354228775285559297', '1330815510270578688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354229888386732032', '1329695641428955137', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354229888386732033', '1329695641428955137', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354246019734441984', '1330815510023114752', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354246019734441985', '1330815510023114752', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354253082288066560', '1340957472868929536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354253082288066561', '1340957472868929536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354253082288066562', '1340957472868929536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354253082288066563', '1340957472868929536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354253082288066564', '1340957472868929536', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354253082288066565', '1340957472868929536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354270519406497792', '1340962284347985920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354270519406497793', '1340962284347985920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354270519406497794', '1340962284347985920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354270519406497795', '1340962284347985920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354270519406497796', '1340962284347985920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354335746168852480', '1330815510241218560', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354335907158822912', '1340961398930411520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354335907163017216', '1340961398930411520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354335907163017217', '1340961398930411520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354335907163017218', '1340961398930411520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354335907163017219', '1340961398930411520', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354335907163017220', '1340961398930411520', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354346816526749696', '1330815510153138176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354346816526749697', '1330815510153138176', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354346816526749698', '1330815510153138176', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354346816526749699', '1330815510153138176', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354360030190768128', '1340961454190366720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354360030190768129', '1340961454190366720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354360030190768130', '1340961454190366720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354587362734247936', '1340957380619407360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354587362734247937', '1340957380619407360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354587362734247938', '1340957380619407360', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354587362734247939', '1340957380619407360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354587362734247940', '1340957380619407360', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354587362734247941', '1340957380619407360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354623640821436416', '1340957415172083712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354623640821436417', '1340957415172083712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354657338862211072', '1330815510228635648', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354657338862211073', '1330815510228635648', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354682121368768512', '1330815510442545155', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354682121368768513', '1330815510442545155', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354682121368768514', '1330815510442545155', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354682121368768515', '1330815510442545155', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354694691534278656', '1330815510304133121', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354694691534278657', '1330815510304133121', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354694946296303616', '1330815510312521728', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354694946296303617', '1330815510312521728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354694946296303618', '1330815510312521728', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354694946296303619', '1330815510312521728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354949109651476480', '1330815510438350848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354949109651476481', '1330815510438350848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354949109651476482', '1330815510438350848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354949109651476483', '1330815510438350848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354949109651476484', '1330815510438350848', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354956523658416128', '1330815510216052737', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354966343660736512', '1330815510094417921', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354966343660736513', '1330815510094417921', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354966343660736514', '1330815510094417921', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354966766740180992', '1340957323379740672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354966766740180993', '1340957323379740672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1354966766740180994', '1340957323379740672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354966766740180995', '1340957323379740672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354966766740180996', '1340957323379740672', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1354966766740180997', '1340957323379740672', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354967312758870016', '1330815510178304000', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354967312758870017', '1330815510178304000', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354971824441659392', '1340957345315950592', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354971824441659393', '1340957345315950592', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1354971824441659394', '1340957345315950592', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1354976978360471552', '1330815510350270464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1354976978360471553', '1330815510350270464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1354976978360471554', '1330815510350270464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355048563779964928', '1330815510312521729', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355059441833218048', '1330815510337687554', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355059441833218049', '1330815510337687554', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1355059441833218050', '1330815510337687554', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1355059441833218051', '1330815510337687554', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1355059441833218052', '1330815510337687554', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1355059441833218053', '1330815510337687554', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355060360213827584', '1330815510111195137', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355060360213827585', '1330815510111195137', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1355060360213827586', '1330815510111195137', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1355060360213827587', '1330815510111195137', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1355060360213827588', '1330815510111195137', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1355060360213827589', '1330815510111195137', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355080836948561920', '1330815510107000833', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1355080836948561921', '1330815510107000833', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1355080836948561922', '1330815510107000833', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1355080836948561923', '1330815510107000833', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355092340338987008', '1330815510325104640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1355092340338987009', '1330815510325104640', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355093572168323072', '1330815510450933760', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355093572168323073', '1330815510450933760', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1355093572168323074', '1330815510450933760', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355128549455040512', '1330815510262190080', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355128549455040513', '1330815510262190080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355293228538138624', '1330815510262190082', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355293228538138625', '1330815510262190082', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355695438786859008', '1330815510157332483', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355695438786859009', '1330815510157332483', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1355695438786859010', '1330815510157332483', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1355695438791053312', '1330815510157332483', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1355695438791053313', '1330815510157332483', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1355932279221915648', '1330815510081835009', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1355932279221915649', '1330815510081835009', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1355932279221915650', '1330815510081835009', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1356045666354335744', '1330815510425767936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1356045666354335745', '1330815510425767936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1356151993030283264', '1330815510199275521', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1356454658897481728', '1330815510140555265', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1356454658897481729', '1330815510140555265', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1356454658897481730', '1330815510140555265', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1356806459605782528', '1330817633355960321', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1357619972754509824', '1330815510266384385', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1357619972758704128', '1330815510266384385', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1357619972758704129', '1330815510266384385', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1357619972758704130', '1330815510266384385', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1357619972758704131', '1330815510266384385', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1357619972758704132', '1330815510266384385', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1358943948860690432', '1330815510094417922', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1358943948860690433', '1330815510094417922', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1358943948860690434', '1330815510094417922', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1358943948860690435', '1330815510094417922', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1362299215581155328', '1330815510153138179', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1362299215581155329', '1330815510153138179', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1362299215581155330', '1330815510153138179', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1362299215581155331', '1330815510153138179', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1362299215581155332', '1330815510153138179', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1362299215581155333', '1330815510153138179', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1362300611223228416', '1330815510190886912', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1362300611223228417', '1330815510190886912', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1362559769184964608', '1340961482875211776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1362581833228881920', '1330815510148943872', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1362581833228881921', '1330815510148943872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1362581833228881922', '1330815510148943872', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1362581833228881923', '1330815510148943872', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1362792338040164352', '1330815509960200192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1362792338040164353', '1330815509960200192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364379068329496576', '1340961517952176128', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364379068329496577', '1340961517952176128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364379997955035136', '1340957305151295488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364380241413410816', '1340961435315998720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364380241413410817', '1340961435315998720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364380597174276096', '1340962277158948864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364380597174276097', '1340962277158948864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364380597174276098', '1340962277158948864', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364380597174276099', '1340962277158948864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364380597174276100', '1340962277158948864', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364380597174276101', '1340962277158948864', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364380943841890304', '1340961417884471296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364380943841890305', '1340961417884471296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364380943841890306', '1340961417884471296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364381057176178688', '1340961486780108800', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364381715526717440', '1340961460280496128', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364381715526717441', '1340961460280496128', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364381715526717442', '1340961460280496128', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364381715526717443', '1340961460280496128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364381715526717444', '1340961460280496128', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364381715526717445', '1340961460280496128', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364382202661572608', '1340961442278543360', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364382202661572609', '1340961442278543360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364382202661572610', '1340961442278543360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364383125962100736', '1340957458029481984', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364383308506599424', '1340961400918511616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364384036214149120', '1340957393047130112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364384050478977024', '1340962284163436544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364384260009627648', '1340961448293175296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364384260013821952', '1340961448293175296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364384326329962496', '1340957458339860480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364384326329962497', '1340957458339860480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364384326329962498', '1340957458339860480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364384326329962499', '1340957458339860480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364384651430465536', '1340957331000791040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364384651430465537', '1340957331000791040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364384837225549824', '1340961400901734400', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364384849355476992', '1340961513078394880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364384896595922944', '1340961421239914496', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364384896595922945', '1340961421239914496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364384896595922946', '1340961421239914496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364384896595922947', '1340961421239914496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364384896595922948', '1340961421239914496', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364384896595922949', '1340961421239914496', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364384915285741568', '1340957391679787008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364384915285741569', '1340957391679787008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364384915285741570', '1340957391679787008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364385035871981568', '1340957301443530752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364385217661505536', '1340957421744558080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364385217661505537', '1340957421744558080', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364385217661505538', '1340957421744558080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364385336389668864', '1340961515586588672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364385336389668865', '1340961515586588672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364385574319951872', '1340957451402481664', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364385659866976256', '1340957287426166784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364386414460014592', '1340957387800055808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364386414460014593', '1340957387800055808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364386578176282624', '1340957344376426496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364386578176282625', '1340957344376426496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364386731318710272', '1340957468053868544', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364386731318710273', '1340957468053868544', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364386731318710274', '1340957468053868544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364386731444539392', '1340962297916559360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364386731444539393', '1340962297916559360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364386877561507840', '1340962622052372480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364386877561507841', '1340962622052372480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364386877561507842', '1340962622052372480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364386949091168256', '1340957463591129088', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364387042355712000', '1340957304861888512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364387042355712001', '1340957304861888512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364387042355712002', '1340957304861888512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364387091169021952', '1340962304166072320', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364387091169021953', '1340962304166072320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364387091169021954', '1340962304166072320', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364387091169021955', '1340962304166072320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364387091169021956', '1340962304166072320', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364387091169021957', '1340962304166072320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364387470619316224', '1340961487107264512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364387470619316225', '1340961487107264512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364387470619316226', '1340961487107264512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364387470619316227', '1340961487107264512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364387470619316228', '1340961487107264512', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364387470619316229', '1340961487107264512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364387715910602752', '1340957340429586432', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364387862044348416', '1340957450693644288', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364387909947494400', '1340962578561634304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364387909947494401', '1340962578561634304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364388017137127424', '1340961459873648640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364388017137127425', '1340961459873648640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364388017137127426', '1340961459873648640', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364388017137127427', '1340961459873648640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364388017137127428', '1340961459873648640', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364388165766483968', '1340957400412327936', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364388165766483969', '1340957400412327936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364388165766483970', '1340957400412327936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364388448827478016', '1340957472885706752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364388466623909888', '1340962264026583040', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364388466623909889', '1340962264026583040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364388466623909890', '1340962264026583040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364388466623909891', '1340962264026583040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364388466623909892', '1340962264026583040', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364388466623909893', '1340962264026583040', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364388509728772096', '1340961503888674816', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364388509728772097', '1340961503888674816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364388509728772098', '1340961503888674816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364388676615933952', '1340957469391851520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364388763123453952', '1340961398469038080', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364388771549810688', '1340962304136712192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364388887367127040', '1340957301397393408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389040576663552', '1340961442790248448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389040576663553', '1340961442790248448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364389040576663554', '1340961442790248448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364389105798090752', '1340962272746541056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389105798090753', '1340962272746541056', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364389105798090754', '1340962272746541056', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364389172181340160', '1340962306724597760', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364389172181340161', '1340962306724597760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389172181340162', '1340962306724597760', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364389172181340163', '1340962306724597760', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364389200023130112', '1340961465556930560', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364389241035034624', '1340957364802686976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364389241035034625', '1340957364802686976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389241035034626', '1340957364802686976', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364389241035034627', '1340957364802686976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364389241035034628', '1340957364802686976', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364389241035034629', '1340957364802686976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364389298538942464', '1340957393332342784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389367438774272', '1340961497072930816', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389646573899776', '1340961403384762368', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364389646573899777', '1340961403384762368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389646573899778', '1340961403384762368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364389646573899779', '1340961403384762368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364389646573899780', '1340961403384762368', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364389646573899781', '1340961403384762368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364389677372674048', '1340961433864769536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389990678794240', '1340957437175402496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364389990678794241', '1340957437175402496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364389990678794242', '1340957437175402496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390125353701376', '1340957457601662976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364390125353701377', '1340957457601662976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364390125353701378', '1340957457601662976', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364390125353701379', '1340957457601662976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390125353701380', '1340957457601662976', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364390125353701381', '1340957457601662976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364390132874088448', '1340957299828723712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390191783088128', '1340962284247322624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364390204361805824', '1340961417582481408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364390204366000128', '1340961417582481408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390259630149632', '1340957292878761984', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364390259630149633', '1340957292878761984', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390394179227648', '1340961459961729024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364390685637218304', '1340961441414516736', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364390699587473408', '1340961520489730048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390813123088384', '1340961462474117120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364390813123088385', '1340961462474117120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364390813123088386', '1340961462474117120', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364390901614514176', '1340957421958467584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364391018195193856', '1340957352312049664', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364391072398184448', '1340962588577632256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364391072398184449', '1340962588577632256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364391108993486848', '1340957366321025024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364391108993486849', '1340957366321025024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364391108993486850', '1340957366321025024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364391180648976384', '1340957343470456832', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364391180648976385', '1340957343470456832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364391180648976386', '1340957343470456832', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364391180648976387', '1340957343470456832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364391180648976388', '1340957343470456832', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364391180648976389', '1340957343470456832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364391768975609856', '1340957451297624064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364391768975609857', '1340957451297624064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364391768975609858', '1340957451297624064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364391768975609859', '1340957451297624064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392008055132160', '1340957375833706496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392008055132161', '1340957375833706496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364392019094540288', '1340957440308547584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392068130148352', '1340957400160669696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392068130148353', '1340957400160669696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364392068130148354', '1340957400160669696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392136899956736', '1340961400931094528', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392304818917376', '1340957412055715840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392338197188608', '1340962298143051776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392410444075008', '1340957303108669440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392410444075009', '1340957303108669440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392437161791488', '1340962635046326272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392437161791489', '1340962635046326272', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364392476961542144', '1340957404338196480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392476961542145', '1340957404338196480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392517990223872', '1340957351322193920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364392517990223873', '1340957351322193920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392517990223874', '1340957351322193920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364392517990223875', '1340957351322193920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392517990223876', '1340957351322193920', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364392517990223877', '1340957351322193920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364392586990718976', '1340957356481187840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392618053734400', '1340961484661985280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392618053734401', '1340961484661985280', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364392618053734402', '1340961484661985280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392618053734403', '1340961484661985280', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364392736660262912', '1340957433002070016', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364392736660262913', '1340957433002070016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364392736660262914', '1340957433002070016', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364392736660262915', '1340957433002070016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364392736660262916', '1340957433002070016', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364392736660262917', '1340957433002070016', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364392772588670976', '1340961455314440192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364393019155025920', '1340961497806934016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364393102613286912', '1340957392925495296', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364393102613286913', '1340957392925495296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364393102613286914', '1340957392925495296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364393102613286915', '1340957392925495296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364393102613286916', '1340957392925495296', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364393102613286917', '1340957392925495296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364393140726927360', '1340957457362587648', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364393251192311808', '1340957449313718272', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364393251192311809', '1340957449313718272', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364393469254176768', '1340957420033282048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364393469254176769', '1340957420033282048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364393469254176770', '1340957420033282048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364393558685126656', '1340961491884576768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364393558685126657', '1340961491884576768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364393855516020736', '1340961473798737920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364394029172789248', '1340962260801163264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364394029172789249', '1340962260801163264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364394029172789250', '1340962260801163264', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364394029172789251', '1340962260801163264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364394029172789252', '1340962260801163264', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364394029172789253', '1340962260801163264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364394431855333376', '1340961403007275008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364394733723586560', '1340961443004157952', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364394733723586561', '1340961443004157952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364394733723586562', '1340961443004157952', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364394733723586563', '1340961443004157952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364394733723586564', '1340961443004157952', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364394733723586565', '1340961443004157952', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364394851113766912', '1340957472545968128', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364394851113766913', '1340957472545968128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364394851113766914', '1340957472545968128', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364394859162636288', '1340957367533178880', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364395004063256576', '1340957339401981952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364395072547852288', '1340961432308682752', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364395358314172416', '1340957380501966848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364395367134793728', '1340962298214354944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364395395773501440', '1340961483554689024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364395483098910720', '1340961482518695936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364395818219606016', '1340961518229000192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364395863983656960', '1340957454887948288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364395863983656961', '1340957454887948288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364395863983656962', '1340957454887948288', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364396102178181120', '1340961400067067904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364396102178181121', '1340961400067067904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364396102178181122', '1340961400067067904', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364396102178181123', '1340961400067067904', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364396112982708224', '1340957437427060736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364396285301493760', '1340962633645428736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364396334135775232', '1340962574723846144', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364396335930937344', '1340957315070824448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364396335930937345', '1340957315070824448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364396359993659392', '1340957410763870208', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364396359993659393', '1340957410763870208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364396359993659394', '1340957410763870208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364396677443751936', '1340957319885885440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364396677443751937', '1340957319885885440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364396692421611520', '1340962253746343936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364396919102771200', '1340961503179837440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364396921975869440', '1340961518442909696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364397087466328064', '1340957323790782464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364397787663437824', '1340962298247909376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364397787663437825', '1340962298247909376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364397787663437826', '1340962298247909376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364398057868890112', '1340961428487671808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364398057868890113', '1340961428487671808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364398131713806336', '1340957433241145344', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364398489332748288', '1340957366291664896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364398526871769088', '1340961410527662080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364398701635833856', '1340961453598969856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364398883765096448', '1340957317608378368', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364398883765096449', '1340957317608378368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364398883765096450', '1340957317608378368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364398883765096451', '1340957317608378368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364398976652152832', '1340961399991570432', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364398976652152833', '1340961399991570432', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364398976652152834', '1340961399991570432', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364399110232346624', '1340961503267917824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364399372984520704', '1340961434015764480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364399632330919936', '1340957345601163264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364399699758551040', '1340962573549441024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364399699758551041', '1340962573549441024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364399699758551042', '1340962573549441024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364399699758551043', '1340962573549441024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364399699758551044', '1340962573549441024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364399717089415168', '1340957323161636864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364399717089415169', '1340957323161636864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364399906483212288', '1340957303976890368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364400094308339712', '1340961438386229248', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364400094308339713', '1340961438386229248', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364400094308339714', '1340961438386229248', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364400094308339715', '1340961438386229248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364400094308339716', '1340961438386229248', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364400094308339717', '1340961438386229248', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364400104148176896', '1340962574111477760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364400104148176897', '1340962574111477760', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364400104148176898', '1340962574111477760', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364400489898315776', '1340957453889703936', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364401167928528896', '1340961525447397376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364401167928528897', '1340961525447397376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364401815361294336', '1340957457056403456', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364401815361294337', '1340957457056403456', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364401815361294338', '1340957457056403456', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364401815361294339', '1340957457056403456', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364401815361294340', '1340957457056403456', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364401815361294341', '1340957457056403456', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364401882331746304', '1340961485182078976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364402068873416704', '1340961427539759104', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364402102801141760', '1340957423631994880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364402605761105920', '1340961442526007296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364402795393978368', '1340962284025024512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364402795393978369', '1340962284025024512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364402795393978370', '1340962284025024512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364403029503250432', '1340961526613413888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364403029503250433', '1340961526613413888', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364403029503250434', '1340961526613413888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364403029503250435', '1340961526613413888', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364403029503250436', '1340961526613413888', '1314808213308313600', '其他');
INSERT INTO `train_user_tag` VALUES ('1364403095890694144', '1340961480010502144', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364403339789471744', '1340957473435160576', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364403610728927232', '1340957399531524096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364403728882470912', '1340961482019573760', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364403806699393024', '1340961486943686656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364403819928227840', '1340957450630729728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364404867917025280', '1340957347538931712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364404867917025281', '1340957347538931712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364404991917428736', '1340961518640041984', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364404991917428737', '1340961518640041984', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364404991917428738', '1340961518640041984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364404995637776384', '1340962259924553728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364405018215714816', '1340957343126523904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364405018215714817', '1340957343126523904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364405018215714818', '1340957343126523904', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364405027841642496', '1340961420203921408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364405398643281920', '1340957472344641536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364405499415629824', '1340957301955235840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364405499415629825', '1340957301955235840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364405649374580736', '1340957286687969280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364406356194496512', '1340957388966072320', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364406356194496513', '1340957388966072320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364406356194496514', '1340957388966072320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364406427241811968', '1340961415594381312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364406526051225600', '1340961466462900224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364406526051225601', '1340961466462900224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364406526051225602', '1340961466462900224', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364406557722415104', '1340957351821316096', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364406557722415105', '1340957351821316096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364406557722415106', '1340957351821316096', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364406997734264832', '1340957314999521280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364407727320862720', '1340961512705101824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364408543633084416', '1340961498251530240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364408543633084417', '1340961498251530240', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364408543633084418', '1340961498251530240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364408543633084419', '1340961498251530240', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364408989412102144', '1340962302563848192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364408989412102145', '1340962302563848192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364408989412102146', '1340962302563848192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364409004050223104', '1340957366618820608', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364410774675656704', '1340961403682557952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364410852941369344', '1340957386634039296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364411060362285056', '1340957460378292224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364411060362285057', '1340957460378292224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364411060362285058', '1340957460378292224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364411060362285059', '1340957460378292224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364411060362285060', '1340957460378292224', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364411060362285061', '1340957460378292224', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364411251995840512', '1340961453808685056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364411251995840513', '1340961453808685056', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364411251995840514', '1340961453808685056', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364411363484635136', '1340957320099794944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364411405444452352', '1340957292509663232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364411615096737792', '1340957423652966400', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364411769853972480', '1340961426071752704', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364411976465387520', '1340957388546641920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364412419367112704', '1340957366081949696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364413441468665856', '1340961511862046720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364413753856233472', '1340961418735915008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364414337623658496', '1340961460133695488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364414534453956608', '1340961450621014016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364414534453956609', '1340961450621014016', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364414534453956610', '1340961450621014016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364415605591117824', '1340957365721239552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364416818961321984', '1340957388961878016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364416886640611328', '1340957460747390976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364416886640611329', '1340957460747390976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364416886640611330', '1340957460747390976', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364416886640611331', '1340957460747390976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364416886640611332', '1340957460747390976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364417323829694464', '1340957439838785536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364417323829694465', '1340957439838785536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364417323829694466', '1340957439838785536', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364417484773527552', '1340957388454367232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364417512049086464', '1340957323463626752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364417512049086465', '1340957323463626752', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364417512049086466', '1340957323463626752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364417512049086467', '1340957323463626752', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364417949556936704', '1340961511304204288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364418203333300224', '1340957347710898176', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364418203333300225', '1340957347710898176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364418203333300226', '1340957347710898176', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364418203333300227', '1340957347710898176', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364418203333300228', '1340957347710898176', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364418203333300229', '1340957347710898176', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364418953161609216', '1340961410305363968', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364418953161609217', '1340961410305363968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364418953161609218', '1340961410305363968', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364418953161609219', '1340961410305363968', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364419853435408384', '1340957433102733312', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364419853435408385', '1340957433102733312', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364419853435408386', '1340957433102733312', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364419853435408387', '1340957433102733312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364419853435408388', '1340957433102733312', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364420701867610112', '1340957356791566336', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364420701867610113', '1340957356791566336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364420701867610114', '1340957356791566336', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364420701867610115', '1340957356791566336', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364420701867610116', '1340957356791566336', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364420701867610117', '1340957356791566336', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364421113257529344', '1340961525267042304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364421113257529345', '1340961525267042304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364421113257529346', '1340961525267042304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364421119351853056', '1340957441046745088', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364421811479121920', '1340961515150381056', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364421916391247872', '1340957343587897344', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364422623555096576', '1340957379927347200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364423254533607424', '1340961504391991296', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364423317280395264', '1340957356393107456', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364423562588459008', '1340961525120241664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364423687868125184', '1340957319344820224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364424080492728320', '1340961467167543296', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364424080496922624', '1340961467167543296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364424080496922625', '1340961467167543296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364424080496922626', '1340961467167543296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364424090856853504', '1340957309790195712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364424540708540416', '1340961484771037184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364424540708540417', '1340961484771037184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364425362016178176', '1340961457881354240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364425892557885440', '1340957387791667200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364425892557885441', '1340957387791667200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364425892557885442', '1340957387791667200', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364425892557885443', '1340957387791667200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364425892557885444', '1340957387791667200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364426120845463552', '1340961396774539264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364426120845463553', '1340961396774539264', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364426120845463554', '1340961396774539264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364428777798635520', '1340962275636416512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364428851270258688', '1340957458235002880', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364429154820427776', '1340962253511462912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364430790636736512', '1340961432019275776', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364430904935714816', '1340957386160082944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364431088423931904', '1340961481830830080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364432395205480448', '1340961450809757696', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364432395205480449', '1340961450809757696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364432395205480450', '1340961450809757696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364433320426999808', '1340957393642721280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364433905872146432', '1340962254031556608', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364433905872146433', '1340962254031556608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364433905872146434', '1340962254031556608', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364433905872146435', '1340962254031556608', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364433905872146436', '1340962254031556608', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364433905872146437', '1340962254031556608', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364434088953516032', '1340962566968578048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364434088953516033', '1340962566968578048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364434088953516034', '1340962566968578048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364434088953516035', '1340962566968578048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364438775517810688', '1340962279130271744', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364439185309700096', '1340957437921988608', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364439569658941440', '1340961410439581696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364439569658941441', '1340961410439581696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364439805496266752', '1340957461955350528', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364439806674866176', '1340957365704462336', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364440081213034496', '1340962273975472128', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364440081213034497', '1340962273975472128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364440905645428736', '1340957300931825664', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364440905645428737', '1340957300931825664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364440905645428738', '1340957300931825664', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364440905645428739', '1340957300931825664', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364440905645428740', '1340957300931825664', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364440905645428741', '1340957300931825664', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364440945642311680', '1340957421937496064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364440945642311681', '1340957421937496064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364441208214130688', '1340957442057572352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364441623974514688', '1340957306476695552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364441623974514689', '1340957306476695552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364442234694537216', '1340957404384333824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364442296543744000', '1340961495755919360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364442296543744001', '1340961495755919360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364442662274469888', '1340957381357604864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364443086490570752', '1340961515485925376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364443603195269120', '1340962274495565824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364443603195269121', '1340962274495565824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364443603195269122', '1340962274495565824', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364444303392378880', '1340961460402130944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364444303392378881', '1340961460402130944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364444303392378882', '1340961460402130944', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364444528244822016', '1340957288340525056', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364444528244822017', '1340957288340525056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364444528244822018', '1340957288340525056', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364444528244822019', '1340957288340525056', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364444998875090944', '1340957368032301056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364445133227036672', '1340961467473727488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364445529131585536', '1340961482103459840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364445529131585537', '1340961482103459840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364446370701905920', '1340957387745529856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364446370701905921', '1340957387745529856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364446370701905922', '1340957387745529856', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364446370701905923', '1340957387745529856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364446370701905924', '1340957387745529856', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364446991978991616', '1340957381688954880', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364447275165814784', '1340962271211425792', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364449893686579200', '1340961419033710592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364449893686579201', '1340961419033710592', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364449893686579202', '1340961419033710592', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364450085550821376', '1340957391600095232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364450085550821377', '1340957391600095232', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364450085550821378', '1340957391600095232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364451724219256832', '1340957365461192704', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364451724219256833', '1340957365461192704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364452863165730816', '1340961521651552256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364452863165730817', '1340961521651552256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364452863165730818', '1340961521651552256', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364453069902974976', '1340962588690878464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364453069902974977', '1340962588690878464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364453069902974978', '1340962588690878464', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364453069902974979', '1340962588690878464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364453069902974980', '1340962588690878464', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364453069902974981', '1340962588690878464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364453191659425792', '1340957340823851008', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364453191659425793', '1340957340823851008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364455013581197312', '1340957433434083328', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364455013581197313', '1340957433434083328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364455013581197314', '1340957433434083328', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364455013581197315', '1340957433434083328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364455013581197316', '1340957433434083328', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364455013581197317', '1340957433434083328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364455460811444224', '1340961455050199040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364455460811444225', '1340961455050199040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364459342996312064', '1340957450685255680', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364459342996312065', '1340957450685255680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364459342996312066', '1340957450685255680', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364459342996312067', '1340957450685255680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364459342996312068', '1340957450685255680', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364459342996312069', '1340957450685255680', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364459999761403904', '1340957421241241600', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364461145062248448', '1340957450894970880', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364461145062248449', '1340957450894970880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364461145062248450', '1340957450894970880', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364461145062248451', '1340957450894970880', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364461334812561408', '1340962261459668992', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364461372938784768', '1340957390828343296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364461605827514368', '1340962573306171392', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364461971914756096', '1340961425178365952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364461971914756097', '1340961425178365952', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364462604763926528', '1340961427632033792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364462721906642944', '1340962264341155840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364462721906642945', '1340962264341155840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364462721906642946', '1340962264341155840', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364462721906642947', '1340962264341155840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364464180773654528', '1340957389364531200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364464180773654529', '1340957389364531200', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364464180773654530', '1340957389364531200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364464180773654531', '1340957389364531200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364464365348196352', '1340961416252887040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364464392980271104', '1340961403061800960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364465167311704064', '1340961461270351872', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364465655746793472', '1340961416835895296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364465655746793473', '1340961416835895296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364465655746793474', '1340961416835895296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364465655746793475', '1340961416835895296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364465989227515904', '1340961453586386944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364466607103021056', '1340957298356523008', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364466607103021057', '1340957298356523008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364466607103021058', '1340957298356523008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364466607103021059', '1340957298356523008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364466607103021060', '1340957298356523008', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364466607103021061', '1340957298356523008', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364466884828860416', '1340957455684866048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364466884828860417', '1340957455684866048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364467213280612352', '1340957471958765568', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364467213280612353', '1340957471958765568', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364467213280612354', '1340957471958765568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364467213280612355', '1340957471958765568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364469455064797184', '1340961496867409920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364469455064797185', '1340961496867409920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364469565102362624', '1340962577949265920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364469565102362625', '1340962577949265920', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364472628609421312', '1340961494749286400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364473953405505536', '1340961465246552064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364473975664676864', '1340962296264003584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364473975664676865', '1340962296264003584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364474306716897280', '1340962574040174592', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364474306716897281', '1340962574040174592', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364474659017461760', '1340957399963537408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364474804228460544', '1340961515381067776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364474804228460545', '1340961515381067776', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364474804228460546', '1340961515381067776', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364474804228460547', '1340961515381067776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364475451912884224', '1340957343797612544', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364475451912884225', '1340957343797612544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364475451912884226', '1340957343797612544', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364475451912884227', '1340957343797612544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364476006634754048', '1340961415384666112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364476517412900864', '1340961428185681920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364477362292527104', '1340957380107702272', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364477376108564480', '1340957433471832064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364477376108564481', '1340957433471832064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364477376108564482', '1340957433471832064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364477376108564483', '1340957433471832064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364477376108564484', '1340957433471832064', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364477376108564485', '1340957433471832064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364477681814605824', '1340957448948813824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364478748556136448', '1340961465988943872', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364478748556136449', '1340961465988943872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364478748556136450', '1340961465988943872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364478748556136451', '1340961465988943872', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364478748556136452', '1340961465988943872', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364479505909026816', '1340961456086192128', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364479505909026817', '1340961456086192128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364480307188862976', '1340957315049852928', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364480353175212032', '1340962277423190016', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364481326551535616', '1340957367466070016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364481679141507072', '1340957338626035712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364483038704177152', '1340957339699777536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364484875385704448', '1340957386818588672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364484875385704449', '1340957386818588672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364484875385704450', '1340957386818588672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364485234111942656', '1340957374546055168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364485821922676736', '1340962302509322240', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364486660536012800', '1340962265272291328', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364486660536012801', '1340962265272291328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364486799539441664', '1340961396699041792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364486964350423040', '1340957400450076672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364486964350423041', '1340957400450076672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364488225720242176', '1340957458297917440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364489919183065088', '1340957433333420032', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364491351294611456', '1340957314613645312', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364491351294611457', '1340957314613645312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364492390030774272', '1340957437280260096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364492390030774273', '1340957437280260096', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364492390030774274', '1340957437280260096', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364492390030774275', '1340957437280260096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364492472847306752', '1340957344967823360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364493408881741824', '1340957319323848704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364493851888324608', '1340957331055316992', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364493964673159168', '1340957307114229760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364494132931858432', '1340957376651595776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364494132931858433', '1340957376651595776', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364494433164333056', '1340962272524242944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364494433164333057', '1340962272524242944', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364494433164333058', '1340962272524242944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364495069637382144', '1340961399958016000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364495086603341824', '1340957367793225728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364495086603341825', '1340957367793225728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364496311734374400', '1340961505121800192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364496311734374401', '1340961505121800192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364496311734374402', '1340961505121800192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364496311734374403', '1340961505121800192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364496311734374404', '1340961505121800192', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364496311734374405', '1340961505121800192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364497101941248000', '1340961461903691776', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364497195121905664', '1340957438345613312', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364497300470239232', '1340957301418364928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364497354824224768', '1340957389272256512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364497354824224769', '1340957389272256512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364497706424340480', '1340962576279932928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364497706424340481', '1340962576279932928', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364497706424340482', '1340962576279932928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364497888079646720', '1340962252790042624', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364498007034302464', '1340961513363607552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364498007038496768', '1340961513363607552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364498007038496769', '1340961513363607552', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364498007038496770', '1340961513363607552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364498007038496771', '1340961513363607552', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364498007038496772', '1340961513363607552', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364500229096869888', '1340962297966891008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364500984063201280', '1340957467936428032', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364500984063201281', '1340957467936428032', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364501622218166272', '1340961410879983616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364501723556745216', '1340961496133406720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364503080510558208', '1340961423097991168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364503521273188352', '1340961505335709696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364503521273188353', '1340961505335709696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364503612679655424', '1340957284389490688', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364503814983520256', '1340957310058631168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364503814983520257', '1340957310058631168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364504984720379904', '1340961460242747392', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364504984720379905', '1340961460242747392', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364504984720379906', '1340961460242747392', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364505993198833664', '1340961511216123904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364506845737259008', '1340957303700066304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364507471598718976', '1340957442015629312', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364508665352163328', '1340961518300303360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364508665352163329', '1340961518300303360', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364508678157373440', '1340957343415930880', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364508838056824832', '1340961460221775872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364508838056824833', '1340961460221775872', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364510088546619392', '1340961401467965440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364510088546619393', '1340961401467965440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364510468235988992', '1340961522146480128', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364511923965661184', '1340957402467536896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364512306742038528', '1340957393302982656', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364512306742038529', '1340957393302982656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364512508634861568', '1340957317654515712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364516255784112128', '1340957431798304768', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364516255784112129', '1340957431798304768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364516255784112130', '1340957431798304768', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364516255784112131', '1340957431798304768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364517747001790464', '1340962575713701888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364517747001790465', '1340962575713701888', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364517747001790466', '1340962575713701888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364518529562447872', '1340961464151838720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364519488615223296', '1340961486725582848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364519878224121856', '1340957452279091200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364519953528655872', '1340961462503477248', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364524095932338176', '1340957440249827328', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364524141151129600', '1340957340425392128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364524141151129601', '1340957340425392128', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364524141151129602', '1340957340425392128', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364524610745405440', '1340961448339312640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364524610745405441', '1340961448339312640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364524610745405442', '1340961448339312640', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364524610745405443', '1340961448339312640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364525027248181248', '1340957292195090432', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364525902091915264', '1340961409890127872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364526411024568320', '1340957352689537024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364528853845938176', '1340957382641061888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364528853845938177', '1340957382641061888', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364532917614809088', '1340962604427907072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364534053893705728', '1340957356258889728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364534053893705729', '1340957356258889728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364534634490236928', '1340957403931348992', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364534634490236929', '1340957403931348992', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364534634490236930', '1340957403931348992', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364534634490236931', '1340957403931348992', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364536176362524672', '1340961408128520192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364536271137017856', '1340957292505468928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364538795663429632', '1340957299170217984', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364540611142750208', '1340962603777789952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364540611142750209', '1340962603777789952', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364540611142750210', '1340962603777789952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364540611142750211', '1340962603777789952', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364546395033440256', '1340957338634424320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364551657500839936', '1340957388777328640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364552292384247808', '1340957304392126464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364552292384247809', '1340957304392126464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364553323214147584', '1340961405561606144', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364553323214147585', '1340961405561606144', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364553323214147586', '1340961405561606144', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364557978241470464', '1340962589160640512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364558116926132224', '1340957342975528960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364558522741821440', '1340962279029608448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364559690410889216', '1340957433111121920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364560841978023936', '1340957454397214720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364560841978023937', '1340957454397214720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364560841978023938', '1340957454397214720', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364560841978023939', '1340957454397214720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364560841978023940', '1340957454397214720', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364560841978023941', '1340957454397214720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364561369927651328', '1340961404735328256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364561369927651329', '1340961404735328256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364567056598568960', '1340957283668070400', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364567056598568961', '1340957283668070400', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364567056598568962', '1340957283668070400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364571354166333440', '1340961467981238272', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364711833914707968', '1340962566008082432', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364731937553518592', '1340961484209000448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364731937553518593', '1340961484209000448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364731937553518594', '1340961484209000448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364732621921325056', '1340957425536208896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364732621921325057', '1340957425536208896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364732621921325058', '1340957425536208896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364732621921325059', '1340957425536208896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364734176766595072', '1340957381777035264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364734507634266112', '1340957423669743616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364734713654284288', '1340957318615011328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364737147734724608', '1340957425381019648', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364737147734724609', '1340957425381019648', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364738239084236800', '1340957347673149440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364738239084236801', '1340957347673149440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364738239084236802', '1340957347673149440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364738239084236803', '1340957347673149440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364738239084236804', '1340957347673149440', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364738239084236805', '1340957347673149440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364738723132084224', '1340957292203479040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364738723132084225', '1340957292203479040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364739672210804736', '1340961411030978560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364740225275924480', '1340957410499629056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364740225275924481', '1340957410499629056', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364741206382350336', '1340957390249529344', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364741206382350337', '1340957390249529344', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364743244524687360', '1340962303427874816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364743392399069184', '1340961511874629632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364743430055530496', '1340961513921449984', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364743430055530497', '1340961513921449984', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364743430055530498', '1340961513921449984', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364743430055530499', '1340961513921449984', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364743430055530500', '1340961513921449984', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364743430055530501', '1340961513921449984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364743829760118784', '1340961504962416640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364743867676626944', '1340962270712303616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364744019187470336', '1340962290916265984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364744028108754944', '1340961437245378560', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364744028108754945', '1340961437245378560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364744028108754946', '1340961437245378560', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364744028108754947', '1340961437245378560', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364744028108754948', '1340961437245378560', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364744028108754949', '1340961437245378560', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364744329393999872', '1340957287245811712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364744510600515584', '1340957323673341952', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364744510600515585', '1340957323673341952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364744510600515586', '1340957323673341952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364744573376663552', '1340961479683346432', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364744573376663553', '1340961479683346432', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364748089621090304', '1340961424356282368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364748638160556032', '1340961450625208320', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364748638160556033', '1340961450625208320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364749140701089792', '1340961408845746176', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364749140701089793', '1340961408845746176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364749140701089794', '1340961408845746176', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364749394028662784', '1340957375863066624', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364749394028662785', '1340957375863066624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364749555530338304', '1340957298763370496', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364749555530338305', '1340957298763370496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364749555530338306', '1340957298763370496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364749555530338307', '1340957298763370496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364749555530338308', '1340957298763370496', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364749555530338309', '1340957298763370496', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364751256563879936', '1340957385736458240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364751256563879937', '1340957385736458240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364751256563879938', '1340957385736458240', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364751256563879939', '1340957385736458240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364751588199108608', '1340957285198991360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364751721431175168', '1340957340886765568', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364751721431175169', '1340957340886765568', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364751721431175170', '1340957340886765568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364752305320235008', '1340957388945100800', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364752305320235009', '1340957388945100800', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364752329764638720', '1340962261556137984', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364752346617352192', '1340957409119703040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364752848482603008', '1340957347677343744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364752848482603009', '1340957347677343744', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364752940237197312', '1340961522452664320', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364754907806175232', '1340961515871801344', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364754907806175233', '1340961515871801344', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364754907806175234', '1340961515871801344', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364755113868136448', '1340957464081862656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364755113868136449', '1340957464081862656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364755394773258240', '1340961480467681280', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364755394773258241', '1340961480467681280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364755394773258242', '1340961480467681280', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364755394773258243', '1340961480467681280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364755394773258244', '1340961480467681280', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364755772831043584', '1340957400299081728', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364755772831043585', '1340957400299081728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364755772831043586', '1340957400299081728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364755772831043587', '1340957400299081728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364755772831043588', '1340957400299081728', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364755772831043589', '1340957400299081728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364757039926087680', '1340957473108004864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364758251446603776', '1340961437660614656', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364758251446603777', '1340961437660614656', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364758251446603778', '1340961437660614656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364758251446603779', '1340961437660614656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364758251446603780', '1340961437660614656', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364758251446603781', '1340961437660614656', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364758474390638592', '1340957457412919296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364758474390638593', '1340957457412919296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364758639960788992', '1340961404638859264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364758639960788993', '1340961404638859264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364758639960788994', '1340961404638859264', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364758639960788995', '1340961404638859264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364758639960788996', '1340961404638859264', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364758639960788997', '1340961404638859264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364758803098243072', '1340962259702255616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364758946241449984', '1340957443617853440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364758946241449985', '1340957443617853440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364758946241449986', '1340957443617853440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364758946241449987', '1340957443617853440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364758946241449988', '1340957443617853440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364759301436084224', '1340961428038881280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364760695555624960', '1340961429724991488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364760695555624961', '1340961429724991488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364760695555624962', '1340961429724991488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364760695555624963', '1340961429724991488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364760695555624964', '1340961429724991488', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364760695555624965', '1340961429724991488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364761095088246784', '1340957389238702080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364761095088246785', '1340957389238702080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364761197890637824', '1340957352777617408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364761197890637825', '1340957352777617408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364761197890637826', '1340957352777617408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364761446327652352', '1340957288688652288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364762051972567040', '1340957393160376320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364762051972567041', '1340957393160376320', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364762051972567042', '1340957393160376320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364762051972567043', '1340957393160376320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364763307348725760', '1340957400647208960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364763661020827648', '1340961462784495616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364763792055078912', '1340962272054480896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364763792055078913', '1340962272054480896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364763792055078914', '1340962272054480896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364763792055078915', '1340962272054480896', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364764911321878528', '1340961498331222016', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364765487975763968', '1340962304958795776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364766600774946816', '1340961449165590528', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364766888206405632', '1340957293042339840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364766991554056192', '1340962573390057472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364768687109836800', '1340961496670277632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364769329719152640', '1340962574354747392', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364769329719152641', '1340962574354747392', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364769408463015936', '1340957345215287296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364769408463015937', '1340957345215287296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364769408463015938', '1340957345215287296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364769408463015939', '1340957345215287296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364769656572874752', '1340957353213825024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364770010165284864', '1340957368917299200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364770607547420672', '1340957300608864256', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364770607547420673', '1340957300608864256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364770607547420674', '1340957300608864256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364771066232311808', '1340957323576872960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364771066232311809', '1340957323576872960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364771066232311810', '1340957323576872960', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364771066232311811', '1340957323576872960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364771066232311812', '1340957323576872960', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364771066232311813', '1340957323576872960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364771894829649920', '1340962578666491904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364773083939999744', '1340957400672374784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364774597483958272', '1340962575483015168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364775190168473600', '1340962307529904128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364775425557008384', '1340957432649748480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364775813345579008', '1340961466420957184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364776415232397312', '1340961518245777408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364776415236591616', '1340961518245777408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364776415236591617', '1340961518245777408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364776415236591618', '1340961518245777408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364776415236591619', '1340961518245777408', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364776415236591620', '1340961518245777408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364776822763556864', '1340961410288586752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364777457886040064', '1340961496779329536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364777822274588672', '1340957321228062720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364777844609257472', '1340961432468066304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364778178844954624', '1340961482267037696', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364778178844954625', '1340961482267037696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364778178844954626', '1340961482267037696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364778235530973184', '1340961405104427008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364778472064552960', '1340957410461880320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364778569435320320', '1340957295974158336', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364778689820233728', '1340957459640094720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364778689820233729', '1340957459640094720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364778689820233730', '1340957459640094720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364778689820233731', '1340957459640094720', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364778689820233732', '1340957459640094720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364778729267662848', '1340957393131016192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364778729267662849', '1340957393131016192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364779011707899904', '1340957394171203584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364779011707899905', '1340957394171203584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364779049599242240', '1340961428156321792', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364779329032163328', '1340962564896591872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364779657102233600', '1340961512277282816', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364780429118410752', '1340957430267383808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364780429118410753', '1340957430267383808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364787086347079680', '1340957316601745408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364787348239421440', '1340961430253473792', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364789903203897344', '1340962303163633664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364790019709079552', '1340962285845352448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364790019713273856', '1340962285845352448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364790019713273857', '1340962285845352448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364790735798407168', '1340962275963572224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364790735798407169', '1340962275963572224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364797819071893504', '1340961481591754752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364799799953592320', '1340957380111896576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364799799953592321', '1340957380111896576', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364801593052106752', '1340961453401837568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364803720252100608', '1340957376672567296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364803720252100609', '1340957376672567296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364804642017513472', '1340961438776299520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364806307248476160', '1340961407130275840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364806307248476161', '1340961407130275840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364806307248476162', '1340961407130275840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364806575868481536', '1340957420784062464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364814356990267392', '1340961463338143744', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364816517480452096', '1340957325678219264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364816517480452097', '1340957325678219264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364816724855230464', '1340961431532736512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364816724855230465', '1340961431532736512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364816724855230466', '1340961431532736512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364816724855230467', '1340961431532736512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364817271498870784', '1340961433155932160', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364817613590499328', '1340957363477286912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364817613590499329', '1340957363477286912', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364825411380449280', '1340957302534049792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364825411380449281', '1340957302534049792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364830278765383680', '1340961494946418688', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364830560643584000', '1340962577680830464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364830560643584001', '1340962577680830464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364833574733352960', '1340957321127399424', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364833574733352961', '1340957321127399424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364833574733352962', '1340957321127399424', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364833574733352963', '1340957321127399424', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364833574733352964', '1340957321127399424', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364833574733352965', '1340957321127399424', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364835158666121216', '1340961493755236352', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364835158666121217', '1340961493755236352', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364835158666121218', '1340961493755236352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364835158666121219', '1340961493755236352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364840533117243392', '1340961453653495808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364844006684626944', '1340961428206653440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364844006684626945', '1340961428206653440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364844006684626946', '1340961428206653440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364844006684626947', '1340961428206653440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364844006684626948', '1340961428206653440', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364844006684626949', '1340961428206653440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364844748489232384', '1340957404006846464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364844853925646336', '1340957389049958400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364846971591987200', '1340961453817073664', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364848627318657024', '1340957355642327040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364853964134289408', '1340957340693827584', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364853964134289409', '1340957340693827584', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364854058271248384', '1340957292161536000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364854103271936000', '1340961448351895552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364854103271936001', '1340961448351895552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364854103271936002', '1340961448351895552', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364854103271936003', '1340961448351895552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364854103271936004', '1340961448351895552', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364854103271936005', '1340961448351895552', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364854209681428480', '1340961408938020864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364854209681428481', '1340961408938020864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364854209681428482', '1340961408938020864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364854209681428483', '1340961408938020864', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364854209681428484', '1340961408938020864', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364855274116091904', '1340961435194363904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364855274116091905', '1340961435194363904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364855274116091906', '1340961435194363904', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364855274120286208', '1340961435194363904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364855274120286209', '1340961435194363904', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364855274120286210', '1340961435194363904', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364855671333457920', '1340962259261853696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364856544684019712', '1340961493566492672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364858477318639616', '1340957380539715584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364859571897765888', '1340961400989814784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364859571897765889', '1340961400989814784', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364859571897765890', '1340961400989814784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364859571897765891', '1340961400989814784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364860849222717440', '1340957470335569920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364860849222717441', '1340957470335569920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364863080567279616', '1340961483902816256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364863080567279617', '1340961483902816256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364863080567279618', '1340961483902816256', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364863080567279619', '1340961483902816256', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364863718617387008', '1340961398934605824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364864043231350784', '1340962573402640384', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364864043231350785', '1340962573402640384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364864043231350786', '1340962573402640384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364864043231350787', '1340962573402640384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364864043231350788', '1340962573402640384', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364864043231350789', '1340962573402640384', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364865854784802816', '1340957377318490112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364865854784802817', '1340957377318490112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364865854784802818', '1340957377318490112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364865854784802819', '1340957377318490112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364865854784802820', '1340957377318490112', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364865854784802821', '1340957377318490112', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364867277979258880', '1340957458033676288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364867559672909824', '1340961518359023616', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364867559672909825', '1340961518359023616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364867559672909826', '1340961518359023616', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364867559672909827', '1340961518359023616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364867559672909828', '1340961518359023616', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364867559672909829', '1340961518359023616', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364867775599874048', '1340957379113652224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364867842528382976', '1340962265830133760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364867842528382977', '1340962265830133760', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364869495033827328', '1340962258565599232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364869744200650752', '1340957350164566016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364872589536792576', '1340961481486897152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364876324996517888', '1340957367185051648', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364877111231385600', '1340957409987923968', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364881726173745152', '1340957299266686976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364888323017019392', '1340962572349870080', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364888407154757632', '1340961464768401408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364888474565611520', '1340961415984451584', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364893700056027136', '1340961435672514560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364893700056027137', '1340961435672514560', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364893700056027138', '1340961435672514560', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364911585457475584', '1340961409428754432', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364916536304865280', '1340957332208750592', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364917808470822912', '1340957344716165120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364923523285520384', '1340962572966432768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1364928501215531008', '1340962275216986112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364928501215531009', '1340962275216986112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364931384271048704', '1340957439880728576', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1364931384271048705', '1340957439880728576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1364931384271048706', '1340957439880728576', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1364931384271048707', '1340957439880728576', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1364931384271048708', '1340957439880728576', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1364931384271048709', '1340957439880728576', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365093784467148800', '1340961432581312512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365097984638980096', '1340962572572168192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365098216676265984', '1340961449438220288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365099584581406720', '1340957466577473536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365099584581406721', '1340957466577473536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365104441585438720', '1340957308007616512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365105320812220416', '1340957353763278848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365109039037550592', '1340962275305066496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365111116367269888', '1340962572802854912', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365111406986399744', '1340957387548397568', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365111406986399745', '1340957387548397568', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365111406986399746', '1340957387548397568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365111406986399747', '1340957387548397568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365112095594647552', '1340961457659056128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365116398468206592', '1340961474465632256', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365116398468206593', '1340961474465632256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365116398468206594', '1340961474465632256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365116398468206595', '1340961474465632256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365116398468206596', '1340961474465632256', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365116398468206597', '1340961474465632256', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365116518253334528', '1340961407386128384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365117001856585728', '1340957375716265984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365117934334251008', '1340957292757127168', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365117934334251009', '1340957292757127168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365117934334251010', '1340957292757127168', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365117934334251011', '1340957292757127168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365117934334251012', '1340957292757127168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365122150360551424', '1340957331567022080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365122197596803072', '1340957388366286848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365122878902767616', '1340961439766155264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365122878902767617', '1340961439766155264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365122878902767618', '1340961439766155264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365123648188452864', '1340961503221780480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365123648188452865', '1340961503221780480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365123648188452866', '1340961503221780480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365123648188452867', '1340961503221780480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365123648188452868', '1340961503221780480', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365123648188452869', '1340961503221780480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365123723807559680', '1340957363242405888', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365126921310048256', '1340961526244315136', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365127850847506432', '1340957368053272576', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365127850847506433', '1340957368053272576', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365127850847506434', '1340957368053272576', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365128104594509824', '1340961396749373440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365128104594509825', '1340961396749373440', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365128104594509826', '1340961396749373440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365128221816918016', '1340961407507763200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365128579154841600', '1340961441343213568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365129190583701504', '1340961492979290112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365129318702911488', '1340962270540337152', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365129318702911489', '1340962270540337152', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365129318702911490', '1340962270540337152', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365129318702911491', '1340962270540337152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365129318702911492', '1340962270540337152', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365129318702911493', '1340962270540337152', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365130082452115456', '1340961432430317568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365130262568112128', '1340957357127110656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365132675161133056', '1340957391692369920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365135989101694976', '1340957315314094080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365136988952465408', '1340961511132237824', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365183723556966400', '1340957421610340352', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365183723556966401', '1340957421610340352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365215537679962112', '1340961520481341440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365215537679962113', '1340961520481341440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365216810131132416', '1340957412542255104', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365216810131132417', '1340957412542255104', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365218808108814336', '1340957465939939328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365218808113008640', '1340957465939939328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365226244593029120', '1340962296251420672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365226244593029121', '1340962296251420672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365253944158326784', '1340961409659441152', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365479836407173120', '1340957305293901824', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365485062757421056', '1340957298570432512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365485062757421057', '1340957298570432512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365485062757421058', '1340957298570432512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365501482044100608', '1340957439121559552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365536847593345024', '1340957458440523776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365636050613047296', '1340962253754732544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365636050613047297', '1340962253754732544', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365636050613047298', '1340962253754732544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365834150657003520', '1340957346142228480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365834150657003521', '1340957346142228480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365834150657003522', '1340957346142228480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365866245831921664', '1340961481046495232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365937061126868992', '1340957457454862336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365943680598413312', '1340957345915736064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365943680598413313', '1340957345915736064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365943680598413314', '1340957345915736064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365943680598413315', '1340957345915736064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365943680598413316', '1340957345915736064', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365943680598413317', '1340957345915736064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365944131272183808', '1340961468887207936', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365944131272183809', '1340961468887207936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365944589109825536', '1340961424549220352', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365944589109825537', '1340961424549220352', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365944589109825538', '1340961424549220352', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365944589109825539', '1340961424549220352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365944589109825540', '1340961424549220352', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365944589109825541', '1340961424549220352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365944948519735296', '1340962290522001408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365944948519735297', '1340962290522001408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365944948519735298', '1340962290522001408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365945722117165056', '1340957424001093632', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365945722117165057', '1340957424001093632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365945722117165058', '1340957424001093632', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365945722117165059', '1340957424001093632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365945722117165060', '1340957424001093632', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365945722117165061', '1340957424001093632', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365945925985505280', '1340961404731133952', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1365945925985505281', '1340961404731133952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1365945925985505282', '1340961404731133952', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1365945925985505283', '1340961404731133952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1365945925985505284', '1340961404731133952', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1365945925985505285', '1340961404731133952', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1365946035154849792', '1340961483131064320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366179325983985664', '1340961434816876544', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366179325983985665', '1340961434816876544', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366179325983985666', '1340961434816876544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366181445961388032', '1340962629560176640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366181445961388033', '1340962629560176640', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366184050628366336', '1340962573356503040', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366184050628366337', '1340962573356503040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366205426760290304', '1340961405133787136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366207126720090112', '1340961403930021888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366207951089569792', '1349252525638946816', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366207951089569793', '1349252525638946816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366208402707058688', '1340957458570547200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366208402707058689', '1340957458570547200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366210142294642688', '1340957439717150720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366210142294642689', '1340957439717150720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366210142294642690', '1340957439717150720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366211091704713216', '1340961486968852480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366211091704713217', '1340961486968852480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366214045190983680', '1340962572593139712', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366214045190983681', '1340962572593139712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366214170575507456', '1340957468511047680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366214170575507457', '1340957468511047680', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366214170575507458', '1340957468511047680', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366214677243236352', '1340957467340836864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366216425726939136', '1340962599336022016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366216425726939137', '1340962599336022016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366217024010850304', '1340962621691662336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366217024010850305', '1340962621691662336', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366217024010850306', '1340962621691662336', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366217837789712384', '1340957440522457088', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366218791222120448', '1340957443517190144', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366218791222120449', '1340957443517190144', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366218791222120450', '1340957443517190144', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366218791222120451', '1340957443517190144', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366218791222120452', '1340957443517190144', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366218791222120453', '1340957443517190144', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366219945742045184', '1340957422092685312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366220270725107712', '1340961405213478912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366220795096993792', '1340957454476906496', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366220968359497728', '1340962265339400192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366220968359497729', '1340962265339400192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366220968359497730', '1340962265339400192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366221012563267584', '1340957430330298368', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366221012563267585', '1340957430330298368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366221012563267586', '1340957430330298368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366221012563267587', '1340957430330298368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366221012563267588', '1340957430330298368', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366221012563267589', '1340957430330298368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366222875786350592', '1340961397542096896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366223065264033792', '1340957350839848960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366223065264033793', '1340957350839848960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366223065264033794', '1340957350839848960', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366223065264033795', '1340957350839848960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366223093323927552', '1340957374650912768', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366223093323927553', '1340957374650912768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366223511965798400', '1340957357441683456', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366223511965798401', '1340957357441683456', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366223511965798402', '1340957357441683456', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366223511965798403', '1340957357441683456', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366223511965798404', '1340957357441683456', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366223511965798405', '1340957357441683456', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366223998962241536', '1340962565051781120', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366223998962241537', '1340962565051781120', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366226382971080704', '1340957288789315584', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366226382971080705', '1340957288789315584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366226382971080706', '1340957288789315584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366226382971080707', '1340957288789315584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366226382971080708', '1340957288789315584', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366226382971080709', '1340957288789315584', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366227836037369856', '1340957351229919232', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366227836037369857', '1340957351229919232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366227836037369858', '1340957351229919232', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366227836037369859', '1340957351229919232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366227836037369860', '1340957351229919232', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366227836037369861', '1340957351229919232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366229770920136704', '1340957439226417152', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366229770920136705', '1340957439226417152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366229770920136706', '1340957439226417152', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366230234164236288', '1340957388798300160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366232171769106432', '1340961518480658432', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366232171769106433', '1340961518480658432', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366232171769106434', '1340961518480658432', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366232171769106435', '1340961518480658432', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366232171769106436', '1340961518480658432', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366232171769106437', '1340961518480658432', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366233020159365120', '1340957470490759168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366240006062084096', '1340961449983479808', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366240322312605696', '1340957304325017600', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366241738875867136', '1340961438046490624', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366241738875867137', '1340961438046490624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366241738875867138', '1340961438046490624', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366241843074961408', '1340957433639604224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366245120512495616', '1340961400780099584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366245120512495617', '1340961400780099584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366245120512495618', '1340961400780099584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366245120512495619', '1340961400780099584', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366248357986701312', '1340957299220549632', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366248357986701313', '1340957299220549632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366248357986701314', '1340957299220549632', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366249175297167360', '1340957437359951872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366250415997456384', '1340961403032440832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366250415997456385', '1340961403032440832', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366250415997456386', '1340961403032440832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366250759875858432', '1340957363095605248', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366250759875858433', '1340957363095605248', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366250759875858434', '1340957363095605248', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366251556260941824', '1340962638603096064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366251556260941825', '1340962638603096064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366251556260941826', '1340962638603096064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366251556260941827', '1340962638603096064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366252105316306944', '1340961421533515776', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366256776621723648', '1340962572706385920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366256776621723649', '1340962572706385920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366258330443583488', '1340961525439008768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366258330443583489', '1340961525439008768', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366258330443583490', '1340961525439008768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366261521247768576', '1340957347647983616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366261521247768577', '1340957347647983616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366264402747199488', '1340961525606780928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366268447675256832', '1340961406039756800', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366268447675256833', '1340961406039756800', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366268447675256834', '1340961406039756800', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366271465233715200', '1340957437146042368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366274997093535744', '1340962297392271360', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366283336179388416', '1340957340865794048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366283336179388417', '1340957340865794048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366298647184150528', '1366294587949322240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366298647184150529', '1366294587949322240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366298647184150530', '1366294587949322240', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366298647184150531', '1366294587949322240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366298647184150532', '1366294587949322240', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366298647184150533', '1366294587949322240', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366301680550940672', '1340962603236724736', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366301680550940673', '1340962603236724736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366301680550940674', '1340962603236724736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366301680550940675', '1340962603236724736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366301680550940676', '1340962603236724736', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366301680550940677', '1340962603236724736', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366302916650078208', '1340961511883018240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366302916650078209', '1340961511883018240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366302916650078210', '1340961511883018240', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366302916650078211', '1340961511883018240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366302916650078212', '1340961511883018240', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366302916650078213', '1340961511883018240', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366308657633038336', '1366294585793449984', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366308657633038337', '1366294585793449984', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366308657633038338', '1366294585793449984', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366309530912296960', '1366294587286622208', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366309530912296961', '1366294587286622208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366309530912296962', '1366294587286622208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366309530912296963', '1366294587286622208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366309530912296964', '1366294587286622208', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366309530912296965', '1366294587286622208', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366310442548465664', '1366294585785061376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366310442548465665', '1366294585785061376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366310442548465666', '1366294585785061376', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366312567349317632', '1366294585797644288', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366312567349317633', '1366294585797644288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366312567349317634', '1366294585797644288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366312567349317635', '1366294585797644288', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366312567349317636', '1366294585797644288', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366312567349317637', '1366294585797644288', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366313276123779072', '1340957284595011584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366313276123779073', '1340957284595011584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366313276123779074', '1340957284595011584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366313276123779075', '1340957284595011584', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366317642037727232', '1366294585764089856', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366318118003150848', '1366294585776672768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366318118003150849', '1366294585776672768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366319933516025856', '1340957304345989120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366322529542737920', '1340957301573554176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366323229240725504', '1340961415506300928', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366323229240725505', '1340961415506300928', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366323358261710848', '1366296863040475136', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366323358261710849', '1366296863040475136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366323358261710850', '1366296863040475136', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366323358261710851', '1366296863040475136', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366323358261710852', '1366296863040475136', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366323358261710853', '1366296863040475136', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366323386531319808', '1340957315058241536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366323407200849920', '1340962277343498240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366323407200849921', '1340962277343498240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366325025560465408', '1366294585759895552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366328497898917888', '1340957431840247808', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366328497898917889', '1340957431840247808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366328497898917890', '1340957431840247808', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366328497898917891', '1340957431840247808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366328497898917892', '1340957431840247808', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366328497898917893', '1340957431840247808', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366331153677684736', '1366296863027892224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366331153677684737', '1366296863027892224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366331533446746112', '1340957366388133888', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366331533446746113', '1340957366388133888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366331533446746114', '1340957366388133888', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366331533446746115', '1340957366388133888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366331533446746116', '1340957366388133888', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366331533446746117', '1340957366388133888', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366333317456203776', '1366296863036280832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366336179124965376', '1366296862969171968', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366336179124965377', '1366296862969171968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366336179124965378', '1366296862969171968', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366336179124965379', '1366296862969171968', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366336179124965380', '1366296862969171968', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366336179124965381', '1366296862969171968', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366336849433464832', '1366294585118167040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366338001839460352', '1340957425330688000', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366338001839460353', '1340957425330688000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366338001839460354', '1340957425330688000', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366338001839460355', '1340957425330688000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366338001839460356', '1340957425330688000', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366338001839460357', '1340957425330688000', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366339358717775872', '1340961513845952512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366339358717775873', '1340961513845952512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366339358717775874', '1340961513845952512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366349516269293568', '1366296862998532096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366350688774393856', '1366296862990143488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366350688774393857', '1366296862990143488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366350688774393858', '1366296862990143488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366350688774393859', '1366296862990143488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366350688774393860', '1366296862990143488', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366350688774393861', '1366296862990143488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366352950523465728', '1366294587307593728', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366352950523465729', '1366294587307593728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366352950523465730', '1366294587307593728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366352950523465731', '1366294587307593728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366352950523465732', '1366294587307593728', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366352950523465733', '1366294587307593728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366354670645284864', '1366294586569396224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366355006109913088', '1340961452634279936', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366356238287376384', '1340961441292881920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366368282994675712', '1340962264550871040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366380693101350912', '1340957330929487872', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366380693101350913', '1340957330929487872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366380693101350914', '1340957330929487872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366402555424411648', '1340957384788545536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366542064069775360', '1340961415355305984', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366542064069775361', '1340961415355305984', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366543948050468864', '1340961449698267136', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366544472489463808', '1340957295118520320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366544584770981888', '1340957450999828480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366544584770981889', '1340957450999828480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366544584770981890', '1340957450999828480', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366545298779934720', '1340957379184955392', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366545298779934721', '1340957379184955392', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366545463595110400', '1340961402575261696', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366545786380357632', '1340962577127182336', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366546233140842496', '1366294583188787200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366546233140842497', '1366294583188787200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366546233140842498', '1366294583188787200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366548063090511872', '1340962253880561664', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366548483879866368', '1340961461958217728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366548483879866369', '1340961461958217728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366548483879866370', '1340961461958217728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366552008412237824', '1366294587173376000', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366552008412237825', '1366294587173376000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366552008412237826', '1366294587173376000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366552008412237827', '1366294587173376000', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366556114212229120', '1366294587345342464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366556114212229121', '1366294587345342464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366556114212229122', '1366294587345342464', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366556114212229123', '1366294587345342464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366556114212229124', '1366294587345342464', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366556114212229125', '1366294587345342464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366559664946417664', '1340961442265960448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366559664946417665', '1340961442265960448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366560634195546112', '1366294587219513344', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366561426721869824', '1366294586003165184', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366561426721869825', '1366294586003165184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366561426721869826', '1366294586003165184', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366561426721869827', '1366294586003165184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366561426721869828', '1366294586003165184', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366561426721869829', '1366294586003165184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366562217016823808', '1366294585856364544', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366562217016823809', '1366294585856364544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366562217016823810', '1366294585856364544', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366562217016823811', '1366294585856364544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366562217016823812', '1366294585856364544', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366562217016823813', '1366294585856364544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366564631312732160', '1340957451092103168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366564922330320896', '1340957472361418752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366574911665082368', '1366296862985949184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366574911669276672', '1366296862985949184', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366574911669276673', '1366296862985949184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366574911669276674', '1366296862985949184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366575495281512448', '1340961485978996736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366575914477031424', '1366296863048863744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366583473971793920', '1340961453674467328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366589188622913536', '1340957343122329600', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366600185563713536', '1340961480442515456', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366603653665918976', '1340961421160222720', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366607780668116992', '1340957463821815808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366607780668116993', '1340957463821815808', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366607780668116994', '1340957463821815808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366607780668116995', '1340957463821815808', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366608111099580416', '1340962265184210944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366608464943648768', '1366294587131432960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366610063514537984', '1340957319973965824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366611862451523584', '1366294587156598784', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366611862451523585', '1366294587156598784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366611862451523586', '1366294587156598784', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366611862451523587', '1366294587156598784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366611862451523588', '1366294587156598784', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366611862451523589', '1366294587156598784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366624802785333248', '1340957338365988864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366630623422320640', '1340957365100482560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366630623422320641', '1340957365100482560', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366635454954344448', '1340957315079213056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366635454954344449', '1340957315079213056', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366644124278722560', '1366294585944444928', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366644124278722561', '1366294585944444928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366644124278722562', '1366294585944444928', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366644124278722563', '1366294585944444928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366644124278722564', '1366294585944444928', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366646791696683008', '1366294587240484864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366646791696683009', '1366294587240484864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366646791696683010', '1366294587240484864', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366646791696683011', '1366294587240484864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366646791696683012', '1366294587240484864', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366646791696683013', '1366294587240484864', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366650414421905408', '1340957387519037440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366650414421905409', '1340957387519037440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366679274714697728', '1340957295110131712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366679274714697729', '1340957295110131712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366679274714697730', '1340957295110131712', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366679274714697731', '1340957295110131712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366679274714697732', '1340957295110131712', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366679274714697733', '1340957295110131712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366681193550057472', '1366294586997215232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366681465810718720', '1340962285811798016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366693762365001728', '1340961403833552896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366712102596775936', '1366294587362119680', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366712102596775937', '1366294587362119680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366712102596775938', '1366294587362119680', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366712102596775939', '1366294587362119680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366712102596775940', '1366294587362119680', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366712102596775941', '1366294587362119680', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366715893299679232', '1340957474244661248', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366715893299679233', '1340957474244661248', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366725818478366720', '1340957438727294976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366725818478366721', '1340957438727294976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366725818478366722', '1340957438727294976', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366725818478366723', '1340957438727294976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366728516988702720', '1340957332003229696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366737833829732352', '1340961474490798080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366741565330034688', '1340961431373352960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366741565330034689', '1340961431373352960', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366741565330034690', '1340961431373352960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366741565330034691', '1340961431373352960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366743641028169728', '1340957349900324864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366918387808210944', '1366294586502287360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366918619266682880', '1366296862977560576', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366920148677693440', '1340957320078823424', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366920148677693441', '1340957320078823424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366920148677693442', '1340957320078823424', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366920148677693443', '1340957320078823424', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366920564496797696', '1340957450421014528', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366920564496797697', '1340957450421014528', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366920564496797698', '1340957450421014528', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366921866211627008', '1366294584363192320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366926495049715712', '1366294584358998016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366928468088066048', '1340957380644573184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366931129944379392', '1366294584413523968', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366931129944379393', '1366294584413523968', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366932284854374400', '1366294584392552448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366932284854374401', '1366294584392552448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366932284854374402', '1366294584392552448', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366932284854374403', '1366294584392552448', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366932810845261824', '1366294584371580928', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366932810845261825', '1366294584371580928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366932810845261826', '1366294584371580928', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366935714767441920', '1366294584807788544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366935714767441921', '1366294584807788544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366936484204122112', '1366294584803594240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366938374383996928', '1366294584786817024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366940799476043776', '1340957314760445952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366940799476043777', '1340957314760445952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366940985594089472', '1340957458335666176', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366940985594089473', '1340957458335666176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366940985594089474', '1340957458335666176', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366940985594089475', '1340957458335666176', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366940985594089476', '1340957458335666176', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366940985594089477', '1340957458335666176', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366943366222319616', '1340962305323700224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366946199499837440', '1340957458130145280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366948251567263744', '1340961484674568192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366951654464819200', '1340957449829617664', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366951823893729280', '1340961435412467712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366951823893729281', '1340961435412467712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366951823893729282', '1340961435412467712', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366951823893729283', '1340961435412467712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366951823893729284', '1340961435412467712', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366951823893729285', '1340961435412467712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366953268852428800', '1340961521546694656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366953268852428801', '1340961521546694656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366953268852428802', '1340961521546694656', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366957494093615104', '1340962275489615872', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366957494093615105', '1340962275489615872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366957494093615106', '1340962275489615872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366957494093615107', '1340962275489615872', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366958575594901504', '1340957283777122304', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366958575594901505', '1340957283777122304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366958575594901506', '1340957283777122304', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366958575594901507', '1340957283777122304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366958575594901508', '1340957283777122304', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366958575594901509', '1340957283777122304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366972804909633536', '1366294586506481664', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366972804909633537', '1366294586506481664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366972804909633538', '1366294586506481664', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366972804909633539', '1366294586506481664', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366972804909633540', '1366294586506481664', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366972804909633541', '1366294586506481664', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366978549491306496', '1340957368728555520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366978549491306497', '1340957368728555520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366978549491306498', '1340957368728555520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366978549491306499', '1340957368728555520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366978549491306500', '1340957368728555520', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366978549491306501', '1340957368728555520', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366978844388626432', '1340961460028837888', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1366978844388626433', '1340961460028837888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366978844388626434', '1340961460028837888', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366978844388626435', '1340961460028837888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366978844388626436', '1340961460028837888', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1366978844388626437', '1340961460028837888', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366982203514425344', '1366294586636505088', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366982203514425345', '1366294586636505088', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366982203514425346', '1366294586636505088', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366985041812525056', '1366294586548424704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366991010240008192', '1340957376475435008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366991544862773248', '1340962578981064704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366997085529968640', '1366294583960539136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366997085529968641', '1366294583960539136', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366997085529968642', '1366294583960539136', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366997085529968643', '1366294583960539136', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1366998396946223104', '1366294583994093568', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366998396946223105', '1366294583994093568', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1366998396946223106', '1366294583994093568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1366999068332658688', '1366294583180398592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1366999068332658689', '1366294583180398592', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367006108803272704', '1340962578796515328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367006876650311680', '1340957349510254592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367006876650311681', '1340957349510254592', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367006876650311682', '1340957349510254592', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367006876650311683', '1340957349510254592', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367014675836964864', '1366294586661670912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367014675836964865', '1366294586661670912', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367020673360334848', '1340957377091997696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367036945951232000', '1366294584774234112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367036945951232001', '1366294584774234112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367036945951232002', '1366294584774234112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367036945951232003', '1366294584774234112', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367036945951232004', '1366294584774234112', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367041061721083904', '1340961460188221440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367085084460584960', '1366294585420156928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367085318632771584', '1366294585378213888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367085332322979840', '1366294585441128448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367085358965198848', '1366294585432739840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367085371116097536', '1340957298864033792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367085595473612800', '1366294585428545536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367085595473612801', '1366294585428545536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367085595473612802', '1366294585428545536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367085595473612803', '1366294585428545536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367085595473612804', '1366294585428545536', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367085595473612805', '1366294585428545536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367086800023195648', '1366294585365630976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367086800023195649', '1366294585365630976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367086800023195650', '1366294585365630976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367087311380156416', '1340957316350087168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367097343081582592', '1340962284092133376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367097343081582593', '1340962284092133376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367097343081582594', '1340962284092133376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367097343081582595', '1340962284092133376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367097343081582596', '1340962284092133376', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367097343081582597', '1340962284092133376', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367276230491115520', '1340961437564145664', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367281004573757440', '1340962566372986880', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367293375354638336', '1340962304799412224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367293375354638337', '1340962304799412224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367293375354638338', '1340962304799412224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367293375354638339', '1340962304799412224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367293375354638340', '1340962304799412224', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367293375354638341', '1340962304799412224', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367294466892894208', '1340962655883628544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367296333739855872', '1366294584795205632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367301211354697728', '1340957357911445504', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367301211354697729', '1340957357911445504', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367301211354697730', '1340957357911445504', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367305243037143040', '1340957356095311872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367305243037143041', '1340957356095311872', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367363286575747072', '1340961415401443328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367363286575747073', '1340961415401443328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367389970528079872', '1340957458075619328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367391964860911616', '1366294585021698048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367391964860911617', '1366294585021698048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367391964860911618', '1366294585021698048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367391964860911619', '1366294585021698048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367404498682777600', '1366294584782622720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367427753313439744', '1340957458260168704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367427753313439745', '1340957458260168704', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367427753313439746', '1340957458260168704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367431380253937664', '1366294586162548736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367431380253937665', '1366294586162548736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367431380253937666', '1366294586162548736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367431380253937667', '1366294586162548736', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367431380253937668', '1366294586162548736', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367667765862862848', '1366294588381335552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367667765862862849', '1366294588381335552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367670216888291328', '1340957348784640000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367671653772955648', '1340957318917001216', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367671653772955649', '1340957318917001216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367671653772955650', '1340957318917001216', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367671750019649536', '1340961430597406720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367671865602084864', '1340957461691109376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367671865602084865', '1340957461691109376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367671865602084866', '1340957461691109376', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367673532628209664', '1340962271786045440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367679103343398912', '1366294584698736640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367682469205250048', '1366294584694542336', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367682469205250049', '1366294584694542336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367682469205250050', '1366294584694542336', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367682469205250051', '1366294584694542336', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367682469205250052', '1366294584694542336', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367682469205250053', '1366294584694542336', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367682572452237312', '1340957299254104064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367682572452237313', '1340957299254104064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367682572452237314', '1340957299254104064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367682572452237315', '1340957299254104064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367682572452237316', '1340957299254104064', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367682572452237317', '1340957299254104064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367683378396139520', '1366294584707125248', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367683639453814784', '1366294584715513856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367683639453814785', '1366294584715513856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367683639453814786', '1366294584715513856', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367683639453814787', '1366294584715513856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367683639453814788', '1366294584715513856', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367683639453814789', '1366294584715513856', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367685049528487936', '1340962298004639744', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367685181196079104', '1366294585181081600', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367687507726176256', '1340961453280202752', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367687507726176257', '1340961453280202752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367700212558204928', '1340961518451298304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367700212558204929', '1340961518451298304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367700212558204930', '1340961518451298304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367703616126849024', '1366294584669376512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367708076160978944', '1366294584870703104', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367709291313762304', '1340962578830069760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367717717238484992', '1366294585164304384', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367717717238484993', '1366294585164304384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367717717238484994', '1366294585164304384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367717717238484995', '1366294585164304384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367717717238484996', '1366294585164304384', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367717717238484997', '1366294585164304384', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367722855680315392', '1366294586208686080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367722855680315393', '1366294586208686080', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367722855680315394', '1366294586208686080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367729187691040768', '1366294588523941888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367738718273802240', '1340962263246442496', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367738718273802241', '1340962263246442496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367738718273802242', '1340962263246442496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367743418406670336', '1366294588461027328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367743418406670337', '1366294588461027328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367743418406670338', '1366294588461027328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367744607781261312', '1366294588138065920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367744607781261313', '1366294588138065920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367744607781261314', '1366294588138065920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367744607781261315', '1366294588138065920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367746133740359680', '1340961448393838592', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367746770993549312', '1340962284381540352', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367746770993549313', '1340962284381540352', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367746770993549314', '1340962284381540352', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367746770993549315', '1340962284381540352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367747117908627456', '1366294588150648832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367750224503771136', '1366294588586856448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367751923431772160', '1366294584837148672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367751929358323712', '1366294587055935488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367752442564972544', '1340957454535626752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367752442564972545', '1340957454535626752', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367752442564972546', '1340957454535626752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367755422362112000', '1366294588180008960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367755422362112001', '1366294588180008960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367755422362112002', '1366294588180008960', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367755422362112003', '1366294588180008960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367755422362112004', '1366294588180008960', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367755422362112005', '1366294588180008960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367758622590898176', '1340961518308691968', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367760536346955776', '1340957315880325120', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367767655997640704', '1366294584912646144', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367769781402472448', '1340961429276200960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367769781402472449', '1340961429276200960', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367769781402472450', '1340961429276200960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367770913856163840', '1340957449724760064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367782647102836736', '1340957450546843648', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367789317778444288', '1366294584866508800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367789317778444289', '1366294584866508800', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367789317778444290', '1366294584866508800', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367803610045485056', '1366294588435861504', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367813499077660672', '1340957465373708288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367815057228042240', '1340962578712629248', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1367815057228042241', '1340962578712629248', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367815057228042242', '1340962578712629248', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1367815057228042243', '1340962578712629248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367815057228042244', '1340962578712629248', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1367815057228042245', '1340962578712629248', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1367815533474484224', '1340961518530990080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367816580699918336', '1340957411116191744', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367818929862479872', '1366294584933617664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367822249259831296', '1340961486662668288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367824761232691200', '1340961421227331584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367829112818896896', '1366294584971366400', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367832725117079552', '1340957298746593280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367833981940273152', '1366294584950394880', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367984396950441984', '1340961486624919552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367990970951536640', '1366294584946200576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367991693051301888', '1366294584958783488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367996497609756672', '1366294588406501376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367997986608648192', '1366294584895868928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1367997986608648193', '1366294584895868928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1367997986608648194', '1366294584895868928', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368001936791572480', '1340961454064537600', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368004353230770176', '1366294584904257536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368004353230770177', '1366294584904257536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368006477033377792', '1340961438256205824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368006497082150912', '1340957420440129536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368009636753575936', '1340961466865553408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368011948683300864', '1366294588473610240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368011948683300865', '1366294588473610240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368013082936348672', '1340961518560350208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368024661648084992', '1366294584723902464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368035111215435776', '1366294584916840448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368045460215959552', '1340962578259644416', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368085438564274176', '1366294588544913408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368085438564274177', '1366294588544913408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368085438564274178', '1366294588544913408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368085438564274179', '1366294588544913408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368085438564274180', '1366294588544913408', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368085438564274181', '1366294588544913408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368089486575144960', '1366294588536524800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368090278052892672', '1366294588511358976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368097544730710016', '1366294588532330496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368097544730710017', '1366294588532330496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368097544730710018', '1366294588532330496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368101337694343168', '1366294588419084288', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368101337694343169', '1366294588419084288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368101337694343170', '1366294588419084288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368101337694343171', '1366294588419084288', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368101337694343172', '1366294588419084288', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368101337694343173', '1366294588419084288', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368121233228566528', '1340962272629100544', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368125317339811840', '1340962578821681152', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368125577428602880', '1366294588448444416', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368153330265755648', '1340957381835755520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368174095115620352', '1340961418270347264', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368174095115620353', '1340961418270347264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368174095115620354', '1340961418270347264', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368174095115620355', '1340961418270347264', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368174095115620356', '1340961418270347264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368358627836039168', '1340957369659691008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368371322014535680', '1366294587211124736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368371322014535681', '1366294587211124736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368416345674354688', '1366294584942006272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368468907131801600', '1366294588431667200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368549953114345472', '1340962572433756160', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368555854537822208', '1340957323560095744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368724360227065856', '1366294586393235456', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368724360227065857', '1366294586393235456', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368724360227065858', '1366294586393235456', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368724360227065859', '1366294586393235456', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368724360227065860', '1366294586393235456', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368724360227065861', '1366294586393235456', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368726979913846784', '1366294587391479808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368726979913846785', '1366294587391479808', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368726979913846786', '1366294587391479808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368727234944307200', '1340962265565892608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368733116683915264', '1340961402818531328', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368733116683915265', '1340961402818531328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368733116683915266', '1340961402818531328', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368733116683915267', '1340961402818531328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368733116683915268', '1340961402818531328', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368733116683915269', '1340961402818531328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368734177960267776', '1366294586376458240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368734177960267777', '1366294586376458240', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368734177960267778', '1366294586376458240', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368734177960267779', '1366294586376458240', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368734177960267780', '1366294586376458240', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368734177960267781', '1366294586376458240', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368736693510868992', '1340957432851075072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368747976855523328', '1340957423908818944', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368747976855523329', '1340957423908818944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368747976855523330', '1340957423908818944', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368747976859717632', '1340957423908818944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368747976859717633', '1340957423908818944', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368747976859717634', '1340957423908818944', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368760528738062336', '1366294583910207488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368760528738062337', '1366294583910207488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368763171116027904', '1366294583918596096', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368763171116027905', '1366294583918596096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368763171116027906', '1366294583918596096', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368763171116027907', '1366294583918596096', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368763171116027908', '1366294583918596096', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368763171116027909', '1366294583918596096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368763279010304000', '1340961438222651392', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368764089047846912', '1366294588310032384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368765784108699648', '1367669587432312832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368767200839733248', '1366294587668303872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368767520839962624', '1366294583872458752', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368767520839962625', '1366294583872458752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368767947178381312', '1366294584140894208', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368767947178381313', '1366294584140894208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368767947178381314', '1366294584140894208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368767947178381315', '1366294584140894208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368767947178381316', '1366294584140894208', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368767947178381317', '1366294584140894208', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368768079483506688', '1366294584187031552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368768079483506689', '1366294584187031552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368768079483506690', '1366294584187031552', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368769226122334208', '1366294584098951168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368769815266856960', '1366294584157671424', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368769815266856961', '1366294584157671424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368769815266856962', '1366294584157671424', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368769815266856963', '1366294584157671424', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368769815271051264', '1366294584157671424', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368770592987287552', '1366294583897624576', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368770592987287553', '1366294583897624576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368770592991481856', '1366294583897624576', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368770592991481857', '1366294583897624576', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368770592991481858', '1366294583897624576', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368770592991481859', '1366294583897624576', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368772375562293248', '1340961403279904768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368772375562293249', '1340961403279904768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368772914433888256', '1366294583926984704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368772914433888257', '1366294583926984704', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368772914433888258', '1366294583926984704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368775582237724672', '1366294583734046720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368775582237724673', '1366294583734046720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368775582237724674', '1366294583734046720', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368775582237724675', '1366294583734046720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368775582237724676', '1366294583734046720', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368775582237724677', '1366294583734046720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368776883516346368', '1366294583889235968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368777722163236864', '1366294583931179008', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368777722163236865', '1366294583931179008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368777722163236866', '1366294583931179008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368777722163236867', '1366294583931179008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368777722163236868', '1366294583931179008', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368777722163236869', '1366294583931179008', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368779205088776192', '1366294583746629632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368786278904107008', '1366294585227218944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368790663159746560', '1366294583880847360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368790663159746561', '1366294583880847360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368790663159746562', '1366294583880847360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368790663159746563', '1366294583880847360', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368790663159746564', '1366294583880847360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368790790855331840', '1340962305080430592', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368792675813298176', '1340961435450216448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368792675813298177', '1340961435450216448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368792675813298178', '1340961435450216448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368794042372067328', '1340962298138857472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368800189049081856', '1366294584967172096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368806218465939456', '1340957321202896896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368806218465939457', '1340957321202896896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368806218465939458', '1340957321202896896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368809530326126592', '1340962265414897664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368809530330320896', '1340962265414897664', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368809530330320897', '1340962265414897664', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368812828919730176', '1340961461240991744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368812828919730177', '1340961461240991744', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368814919713165312', '1366294583742435328', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368814919713165313', '1366294583742435328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368814919713165314', '1366294583742435328', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368814919713165315', '1366294583742435328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368814919713165316', '1366294583742435328', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368814919713165317', '1366294583742435328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368815255844687872', '1366294583809544192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368815775384735744', '1366294583763406848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368815775384735745', '1366294583763406848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368815775384735746', '1366294583763406848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368815775384735747', '1366294583763406848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368815775384735748', '1366294583763406848', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368815775384735749', '1366294583763406848', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368817632211505152', '1340961452860772352', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368817632211505153', '1340961452860772352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368821167074447360', '1340962578708434944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368821167074447361', '1340962578708434944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368821167074447362', '1340962578708434944', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368821772052467712', '1366294584149282816', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368821772052467713', '1366294584149282816', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368821772052467714', '1366294584149282816', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368821772052467715', '1366294584149282816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368821772052467716', '1366294584149282816', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368821772052467717', '1366294584149282816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368827170692141056', '1340957376525766656', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368828006423990272', '1366294586355486720', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368828006423990273', '1366294586355486720', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368828006423990274', '1366294586355486720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368828006423990275', '1366294586355486720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368828255360126976', '1340961441771032576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368828812330143744', '1340961403669975040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368828964403023872', '1366294586263212032', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368829132141629440', '1340957465591812096', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368829140983222272', '1366294586313543680', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368829202207477760', '1340961460217581568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368829382201839616', '1340957467038846976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368829382201839617', '1340957467038846976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368829542382309376', '1340957400051617792', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368830132613156864', '1366294586330320896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368830450067443712', '1340962272083841024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368830450067443713', '1340962272083841024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368832265693564928', '1340957353238990848', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368832410346721280', '1366294586342903808', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368833285110763520', '1340962305269174272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368834096268185600', '1340961457738747904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368834096268185601', '1340961457738747904', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368834096268185602', '1340961457738747904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368835122639540224', '1340957421522259968', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368838148590800896', '1340962265578475520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368838563080310784', '1340962271773462528', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368839323545374720', '1366294586279989248', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368840315074646016', '1340957343285907456', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368841055310581760', '1340962305562775552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368841844078809088', '1340957461934379008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368843536996372480', '1340962305411780608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368843951989198848', '1340957462047625216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368853800043024384', '1340957289330380800', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368856422959419392', '1340957304647979008', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368856422959419393', '1340957304647979008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368856422959419394', '1340957304647979008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368859815744507904', '1340957346184171520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368860402687021056', '1340961462511865856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368860402687021057', '1340961462511865856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368860402687021058', '1340961462511865856', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368860402687021059', '1340961462511865856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368860402687021060', '1340961462511865856', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368864912604008448', '1366294586074468352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368868986216910848', '1366294586011553792', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368868986216910849', '1366294586011553792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368868986216910850', '1366294586011553792', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368868986216910851', '1366294586011553792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368868986216910852', '1366294586011553792', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368868986216910853', '1366294586011553792', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368874100809928704', '1340957297014345728', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368874100809928705', '1340957297014345728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368874100809928706', '1340957297014345728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368876504452304896', '1340961511820103680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368876504452304897', '1340961511820103680', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368876504452304898', '1340961511820103680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368879431740952576', '1340957457886875648', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368882770843144192', '1340961505973243904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368886810528321536', '1340957331999035392', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368888982993244160', '1340961403443482624', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368888982993244161', '1340961403443482624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368888982993244162', '1340961403443482624', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368888982993244163', '1340961403443482624', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368888982993244164', '1340961403443482624', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1368888982993244165', '1340961403443482624', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368892618670477312', '1340957343441096704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368892618670477313', '1340957343441096704', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368892618670477314', '1340957343441096704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368892618670477315', '1340957343441096704', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368892932932898816', '1366294586108022784', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368899697959374848', '1366294584677765120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368907133361459200', '1340961406723428352', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368907133361459201', '1340961406723428352', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368907133361459202', '1340961406723428352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368907133361459203', '1340961406723428352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368909520818016256', '1340961421168611328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368910248827555840', '1340961415611158528', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368911342282608640', '1340961457726164992', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368914353067266048', '1340961494426324992', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368915042384351232', '1340957430502264832', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368915042384351233', '1340957430502264832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368915042384351234', '1340957430502264832', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368915042384351235', '1340957430502264832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368916946409623552', '1340957330895933440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1368916946409623553', '1340957330895933440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1368916946409623554', '1340957330895933440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1368916946409623555', '1340957330895933440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1368916946409623556', '1340957330895933440', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1368921710547570688', '1340961467830243328', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369075467499474944', '1366294584640016384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369076652709122048', '1366294586309349376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369083406494863360', '1340961441578094592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369084393422983168', '1340961526290452480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369084393422983169', '1340961526290452480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369086455825174528', '1340957299157635072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369086455825174529', '1340957299157635072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369086455825174530', '1340957299157635072', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369090815812571136', '1340961407046389760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369098672792539136', '1366294584258334720', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369098672792539137', '1366294584258334720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369100053012156416', '1366294585151721472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369100053012156417', '1366294585151721472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369100053012156418', '1366294585151721472', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369105085610725376', '1366294587047546880', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369105085610725377', '1366294587047546880', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369105085610725378', '1366294587047546880', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369105085610725379', '1366294587047546880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369105085610725380', '1366294587047546880', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369105085610725381', '1366294587047546880', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369105564096925696', '1340957456561475584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369105864048381952', '1366294587064324096', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369105864048381953', '1366294587064324096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369105864048381954', '1366294587064324096', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369105864048381955', '1366294587064324096', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369105864048381956', '1366294587064324096', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369105864048381957', '1366294587064324096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369107946377711616', '1340957325007130624', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369108210073604096', '1366294586045108224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369108210073604097', '1366294586045108224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369108210073604098', '1366294586045108224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369108984954490880', '1340962573293588480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369108984954490881', '1340962573293588480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369111305293795328', '1340957385036009472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369112295711576064', '1340962265641390080', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369112295711576065', '1340962265641390080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369112295711576066', '1340962265641390080', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369112295711576067', '1340962265641390080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369112295711576068', '1340962265641390080', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369112295711576069', '1340962265641390080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369112859178569728', '1366294586976243712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369114561160024064', '1366294584228974592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369114706085810176', '1366294586795888640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369115248686141440', '1366294584879091712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369115248686141441', '1366294584879091712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369115248686141442', '1366294584879091712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369117379669397504', '1366294586783305728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369117379669397505', '1366294586783305728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369117379669397506', '1366294586783305728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369118095247020032', '1340961399169486848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369118095247020033', '1340961399169486848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369118095247020034', '1340961399169486848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369118095247020035', '1340961399169486848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369118095247020036', '1340961399169486848', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369118095247020037', '1340961399169486848', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369119004861534208', '1340962270724886528', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369119004861534209', '1340962270724886528', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369119004861534210', '1340962270724886528', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369120521798684672', '1340961430169587712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369121716382601216', '1340957303247081472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369121716382601217', '1340957303247081472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369122321184460800', '1340957466820743168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369122372183003136', '1340957377129746432', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369122589980626944', '1340957380048982016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369122595580022784', '1340961421210554368', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369122595580022785', '1340961421210554368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369122595580022786', '1340961421210554368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369122595580022787', '1340961421210554368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369122595580022788', '1340961421210554368', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369122595580022789', '1340961421210554368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369122616144695296', '1340957308636762112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369122958525730816', '1340961520082882560', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369122958525730817', '1340961520082882560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369122958525730818', '1340961520082882560', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369122958525730819', '1340961520082882560', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369123281994649600', '1340957302160756736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369124621323997184', '1340957350063902720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369124827641810944', '1340961423223820288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369125724950237184', '1366294586712002560', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369126170741837824', '1366294586686836736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369126170741837825', '1366294586686836736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369126170741837826', '1366294586686836736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369126177092014080', '1366294586967855104', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369126177092014081', '1366294586967855104', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369126177092014082', '1366294586967855104', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369126177092014083', '1366294586967855104', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369128518146985984', '1366294586724585472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369128518146985985', '1366294586724585472', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369128518146985986', '1366294586724585472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369130982040539136', '1340957467630243840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369130982040539137', '1340957467630243840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369131194989547520', '1340961474411106304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369131348652068864', '1340961405981036544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369131854996836352', '1340961417695727616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369131854996836353', '1340961417695727616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369132321898369024', '1366294587957710848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369132321898369025', '1366294587957710848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369134734013239296', '1340961485500846080', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369134734013239297', '1340961485500846080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369134734013239298', '1340961485500846080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369146313337344000', '1366294586296766464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369148225122078720', '1366294587727024128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369151014569119744', '1366294584342220800', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369151014569119745', '1366294584342220800', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369151014569119746', '1366294584342220800', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369151056507965440', '1340961460146278400', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369151056507965441', '1340961460146278400', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369151056507965442', '1340961460146278400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369154481857630208', '1340962272415191040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369172679445319680', '1340962306112229376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369173334511718400', '1340957298650124288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369184519151816704', '1340957464719396864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369191911222546432', '1340962579014619136', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369193853927690240', '1340957400626237440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369193853927690241', '1340957400626237440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369193853927690242', '1340957400626237440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369193853927690243', '1340957400626237440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369194049872990208', '1340957400584294400', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369196469793460224', '1366294585093001216', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369196469793460225', '1366294585093001216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369196469793460226', '1366294585093001216', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369196469793460227', '1366294585093001216', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369196469793460228', '1366294585093001216', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369196469793460229', '1366294585093001216', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369203966092644352', '1340961407583260672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369203966092644353', '1340961407583260672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369203966092644354', '1340961407583260672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369203966096838656', '1340961407583260672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369203966096838657', '1340961407583260672', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369203966096838658', '1340961407583260672', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369204531962974208', '1340961487153401856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369204844086300672', '1340962271823794176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369206834187079680', '1340957453126340608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369207072738119680', '1340961438608527360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369207074663305216', '1340961406207528960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369207738894258176', '1366294584241557504', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369207738894258177', '1366294584241557504', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369207738894258178', '1366294584241557504', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369208505747247104', '1366294585516625920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369209960239599616', '1340957470616588288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369211843742142464', '1340962285740494848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369211843742142465', '1340962285740494848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369212607784947712', '1366294585478877184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369213134870548480', '1340957404191395840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369213134870548481', '1340957404191395840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369213134870548482', '1340957404191395840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369224866628243456', '1340961417217576960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369224866628243457', '1340961417217576960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369230804785434624', '1366294585051058176', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369234329603018752', '1340962298201772032', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369237333995556864', '1366294585910890496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369237333995556865', '1366294585910890496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369237333995556866', '1366294585910890496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369237333995556867', '1366294585910890496', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369238605683363840', '1340962265775607808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369238605683363841', '1340962265775607808', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369241033493319680', '1366294585940250624', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369241033493319681', '1366294585940250624', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369257963184852992', '1340961457214459904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369257963184852993', '1340961457214459904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369257963184852994', '1340961457214459904', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369257963184852995', '1340961457214459904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369257963184852996', '1340961457214459904', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369257963184852997', '1340961457214459904', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369264430277332992', '1340961406295609344', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369445102786842624', '1340957457685549056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369445102786842625', '1340957457685549056', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369445348543696896', '1340962265691721728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369445348543696897', '1340962265691721728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369445348543696898', '1340962265691721728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369445348543696899', '1340962265691721728', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369446542259392512', '1366294587257262080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369446542259392513', '1366294587257262080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369446542259392514', '1366294587257262080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369449937678503936', '1340957302513078272', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369452256772100096', '1366294584686153728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369452803084390400', '1340962578658103296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369455599049379840', '1366294587026575360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369455599049379841', '1366294587026575360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369456445522841600', '1340957323606233088', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369456445522841601', '1340957323606233088', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369456445522841602', '1340957323606233088', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369457049074798592', '1340957294782976000', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369457049074798593', '1340957294782976000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369457051733987328', '1366294587253067776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369461327147438080', '1340957449330495488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369461327147438081', '1340957449330495488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369461327147438082', '1340957449330495488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369462860903747584', '1340962278673092608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369463435913465856', '1340962278056529920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369463435913465857', '1340962278056529920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369464940955570176', '1340957376513183744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369466955106488320', '1340957381881892864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369470039123693568', '1340957465260462080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369470674086793216', '1366294587089489920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369470674086793217', '1366294587089489920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369470674086793218', '1366294587089489920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369470674086793219', '1366294587089489920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369470674086793220', '1366294587089489920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369480732489158656', '1340962573260034048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369480732489158657', '1340962573260034048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369480732489158658', '1340962573260034048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369480732489158659', '1340962573260034048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369486707568807936', '1366294587483754496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369486875961724928', '1366294587462782976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369486875961724929', '1366294587462782976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369486875961724930', '1366294587462782976', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369486875961724931', '1366294587462782976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369486875961724932', '1366294587462782976', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369486875961724933', '1366294587462782976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369487884914135040', '1340957296183873536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369487884918329344', '1340957296183873536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369488113650503680', '1340961497689493504', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369488113650503681', '1340961497689493504', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369488113650503682', '1340961497689493504', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369490167764750336', '1366294585453711360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369494327495102464', '1366294588280672256', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369494327495102465', '1366294588280672256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369494327495102466', '1366294588280672256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369494327495102467', '1366294588280672256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369494327495102468', '1366294588280672256', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369494327495102469', '1366294588280672256', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369496652964040704', '1340961420816289792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369496652964040705', '1340961420816289792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369497434908135424', '1340957319458066432', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369497434908135425', '1340957319458066432', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369536583157551104', '1340957468548796416', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369536583157551105', '1340957468548796416', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369536583157551106', '1340957468548796416', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369536583157551107', '1340957468548796416', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369541437783412736', '1340957363951243264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369545971926700032', '1366294584031842304', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369545971926700033', '1366294584031842304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369545971926700034', '1366294584031842304', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369545971926700035', '1366294584031842304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369545971926700036', '1366294584031842304', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369545971926700037', '1366294584031842304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369553865892040704', '1366294584270917632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369588829907980288', '1340961400742350848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369588829907980289', '1340961400742350848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369588829907980290', '1340961400742350848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369592854338473984', '1340961496477339648', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369592854338473985', '1340961496477339648', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369592854338473986', '1340961496477339648', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369610657900662784', '1366294584593879040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369633695148937216', '1340962265767219200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369633695148937217', '1340962265767219200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369633695148937218', '1340962265767219200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369646334113615872', '1340961438289760256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369654480475394048', '1340957348113551360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369654480475394049', '1340957348113551360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369654480475394050', '1340957348113551360', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369654480475394051', '1340957348113551360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369654480475394052', '1340957348113551360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369810521477484544', '1340961427854331904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369810569313521664', '1340957411988606976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369810569313521665', '1340957411988606976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369816399022788608', '1366294585600512000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369816399022788609', '1366294585600512000', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369816618267447296', '1340957299333795840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369819296036950016', '1340961397059751936', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369819296036950017', '1340961397059751936', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369819296036950018', '1340961397059751936', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369819296036950019', '1340961397059751936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369819296036950020', '1340961397059751936', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369819296036950021', '1340961397059751936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369823355485687808', '1340961468945928192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369823355485687809', '1340961468945928192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369823355485687810', '1340961468945928192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369823355485687811', '1340961468945928192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369823355485687812', '1340961468945928192', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369823355485687813', '1340961468945928192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369824331579920384', '1340957323132276736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369824337137373184', '1340957377574342656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369825355002679296', '1366294585311105024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369825355002679297', '1366294585311105024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369825355002679298', '1366294585311105024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369825355002679299', '1366294585311105024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369825363642945536', '1366294585323687936', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369825363642945537', '1366294585323687936', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369825363642945538', '1366294585323687936', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369825363642945539', '1366294585323687936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369825363642945540', '1366294585323687936', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369825363642945541', '1366294585323687936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369827072687607808', '1366294585344659456', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369827399008653312', '1366294585529208832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369827867202031616', '1340962573088067584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369828296057032704', '1340962565626400768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369828596113346560', '1340962578481942528', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369829132594188288', '1340962275913240576', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369829629447245824', '1340961459882037248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369830299118211072', '1340961487178567680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369830977702072320', '1340957400563322880', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369830977702072321', '1340957400563322880', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369830977702072322', '1340957400563322880', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369830977702072323', '1340957400563322880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369830977702072324', '1340957400563322880', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369830977702072325', '1340957400563322880', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369831787471179776', '1366294585533403136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369832959057727488', '1340961518765871104', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369833364512706560', '1340957432809132032', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369833364512706561', '1340957432809132032', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369833676988354560', '1340961487031767040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369835885381685248', '1366294584203808768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369835885381685249', '1366294584203808768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369836169315094528', '1366294584992337920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369836169315094529', '1366294584992337920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369836611809972224', '1366294584249946112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369836611809972225', '1366294584249946112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369841444411543552', '1340957376852922368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369842494820454400', '1340961518681985024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369842850510016512', '1340962265523949568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369844300589961216', '1340957315322482688', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369845188901605376', '1366294587479560192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369848035978383360', '1340961484099948544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369853236613353472', '1340957308729036800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369853236613353473', '1340957308729036800', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369853236613353474', '1340957308729036800', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369854817920487424', '1340961428579946496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369855874830569472', '1340957296368422912', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369856361453719552', '1366294585621483520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369856361453719553', '1366294585621483520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369856361453719554', '1366294585621483520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369856361453719555', '1366294585621483520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369856361453719556', '1366294585621483520', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369856361453719557', '1366294585621483520', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369860757109477376', '1366294587282427904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369863586851196928', '1366294585579540480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369875004103200768', '1340961460137889792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369876755741020160', '1366294585608900608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369907254056325120', '1366294586875580416', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369910630794006528', '1340962307680899072', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369910630794006529', '1340962307680899072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369910630794006530', '1340962307680899072', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369910630794006531', '1340962307680899072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369910630794006532', '1340962307680899072', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369910630794006533', '1340962307680899072', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369911897121492992', '1340961399093989376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369911897121492993', '1340961399093989376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369911897121492994', '1340961399093989376', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369911897121492995', '1340961399093989376', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369911907946991616', '1340957435548012544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369911907946991617', '1340957435548012544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369911907946991618', '1340957435548012544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369912437029081088', '1340961525837467648', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369914413942968320', '1366294586909134848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369914413942968321', '1366294586909134848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369914654477914112', '1340962262806040576', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369914654482108416', '1340962262806040576', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369916026246008832', '1366294586862997504', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369918127244185600', '1366294586024136704', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369918127244185601', '1366294586024136704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369918652022919168', '1340957377121357824', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1369920533038239744', '1366294586871386112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369920583067897856', '1366294586858803200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1369920583067897857', '1366294586858803200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369920583067897858', '1366294586858803200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1369929692467040256', '1340957298583015424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369933869368872960', '1366294586028331008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369939372132143104', '1340957400190029824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369964476006273024', '1366294584522575872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369967633050505216', '1366294586166743040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369967633050505217', '1366294586166743040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1369967633050505218', '1366294586166743040', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369967896024977408', '1340961407302242304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369970259267817472', '1366294585747312640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369970686331850752', '1366294585730535424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369971109532930048', '1366294585717952512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1369980152133586944', '1340961479612043264', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1369984723140612096', '1340961436326825984', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370013848899293184', '1366294586892357632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370013848899293185', '1366294586892357632', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370013848899293186', '1366294586892357632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370013848899293187', '1366294586892357632', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370180736954535936', '1340962254245466112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1370180736954535937', '1340962254245466112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370180736954535938', '1340962254245466112', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370187551993892864', '1366294585315299328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370187551993892865', '1366294585315299328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370192692230885376', '1366294583784378368', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1370192692230885377', '1366294583784378368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370192692230885378', '1366294583784378368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370192692230885379', '1366294583784378368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370192692230885380', '1366294583784378368', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1370192692230885381', '1366294583784378368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370197474609860608', '1340962277439967232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370197474609860609', '1340962277439967232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370211835361497088', '1340962298075942912', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370343978465103872', '1340957369726799872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370349164487118848', '1340957352765034496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370363832463134720', '1340961494808006656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370525688901275648', '1340961419188899840', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370538030959562752', '1340957440316936192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370557192603832320', '1340961521169207296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370557192603832321', '1340961521169207296', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1370557192603832322', '1340961521169207296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370561900462608384', '1340962274801750016', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1370561900462608385', '1340962274801750016', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370561900462608386', '1340962274801750016', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370561900462608387', '1340962274801750016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370561900462608388', '1340962274801750016', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1370561900462608389', '1340962274801750016', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370577175824175104', '1340961415632130048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370648835801616384', '1340961517117509632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370678249616707584', '1340961422842138624', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370727454393634816', '1340962275359592448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370727454393634817', '1340962275359592448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370753241545052160', '1366294583939567616', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1370753241545052161', '1366294583939567616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370753241545052162', '1366294583939567616', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1370753241545052163', '1366294583939567616', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1370753241545052164', '1366294583939567616', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1370753241545052165', '1366294583939567616', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1370901073681846272', '1340962261795213312', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370932163230437376', '1340961484011868160', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1370985622008893440', '1366294584329637888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371082503636520960', '1340961521718661120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371082503636520961', '1340961521718661120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371258919187517440', '1366294586066079744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371258919187517441', '1366294586066079744', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371259078160027648', '1366294585822810112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371259482981666816', '1340962573578801152', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371260262748917760', '1366294585843781632', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371260262748917761', '1366294585843781632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371260262748917762', '1366294585843781632', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371260262748917763', '1366294585843781632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371260262748917764', '1366294585843781632', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371260262748917765', '1366294585843781632', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371265515590389760', '1340957314882080768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371309609414955008', '1366294587198541824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371309609414955009', '1366294587198541824', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371309609414955010', '1366294587198541824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371315090242015232', '1340962574488965120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371315090242015233', '1340962574488965120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371404095704928256', '1366294587206930432', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371414830656917504', '1340961437849358336', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371420274628628480', '1366294585684398080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371445767851610112', '1340957289141637120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371445767851610113', '1340957289141637120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371445767851610114', '1340957289141637120', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371630124079910912', '1366294587571834880', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371630124079910913', '1366294587571834880', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371630124079910914', '1366294587571834880', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371630124079910915', '1366294587571834880', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371630124079910916', '1366294587571834880', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371630124079910917', '1366294587571834880', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371631570766663680', '1340962273736396800', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371637931806167040', '1366294587597000704', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371637931806167041', '1366294587597000704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371637931806167042', '1366294587597000704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371643812023242752', '1340957388924129280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371716120670769152', '1340957442330202112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371717573145661440', '1340961520292597760', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371717573145661441', '1340961520292597760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371717573145661442', '1340961520292597760', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371717573145661443', '1340961520292597760', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371717573145661444', '1340961520292597760', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371717573145661445', '1340961520292597760', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371719228301905920', '1340957346104479744', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371719228301905921', '1340957346104479744', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371723936227790848', '1340961481340096512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371724427020079104', '1340961450272886784', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371724427020079105', '1340961450272886784', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371724427020079106', '1340961450272886784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371724663541075968', '1340957374516695040', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371725013018873856', '1340957454510460928', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371726213042802688', '1340961400369057792', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371727359673241600', '1340957346213531648', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371727359673241601', '1340957346213531648', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371728903718178816', '1340961435781566464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371729380157558784', '1340957402064883712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371729380157558785', '1340957402064883712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371730555632226304', '1366297931900129280', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371731131367559168', '1340957421400625152', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371732094027436032', '1340957333890666496', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371733991606063104', '1340957342912614400', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371734565453959168', '1340957296922071040', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371735153851895808', '1340957305214210048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371735153851895809', '1340957305214210048', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371735153851895810', '1340957305214210048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371737081621123072', '1340957357970165760', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371740396215996416', '1340957289590427648', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371741081330388992', '1340957456850882560', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371742925838487552', '1340957403188957184', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371742925838487553', '1340957403188957184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371742925838487554', '1340957403188957184', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371742925838487555', '1340957403188957184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371742925838487556', '1340957403188957184', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371742925838487557', '1340957403188957184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371743897092493312', '1366294587039158272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371744891394199552', '1340957448994951168', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371744986093195264', '1340962263590375424', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371745741315379200', '1371725759428825088', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371746176130486272', '1340957364630720512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371747930704318464', '1340957461976322048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371747930704318465', '1340957461976322048', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371747930704318466', '1340957461976322048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371748209155772416', '1340957378518061056', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371748980798656512', '1340961457638084608', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371749157785702400', '1340961525514506240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371750512931770368', '1340957369248649216', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371750512931770369', '1340957369248649216', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371753868488216576', '1340957378652278784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371756089451876352', '1340957458356637696', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371761314929709056', '1340957292325113856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371762468359114752', '1340961436528152576', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371765888784666624', '1340961408568922112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371774518338654208', '1340957425095806976', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371776697589960704', '1340961420619157504', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371776697589960705', '1340961420619157504', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371776697589960706', '1340961420619157504', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371778598574362624', '1340962572811243520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371778598574362625', '1340962572811243520', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371804806376722432', '1349252525446008832', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371804806376722433', '1349252525446008832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371816498489856000', '1371725918447472640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371816498489856001', '1371725918447472640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371817877442793472', '1340957421509677056', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371818833014296576', '1371725394390159360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371818833014296577', '1371725394390159360', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371818833014296578', '1371725394390159360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371821989022535680', '1340961449106870272', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371839644731314176', '1349252525727027200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371839644731314177', '1349252525727027200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371839644731314178', '1349252525727027200', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371839644731314179', '1349252525727027200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371980452243574784', '1340961426495377408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1371985302884847616', '1340961421839699968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371985302884847617', '1340961421839699968', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1371985302884847618', '1340961421839699968', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1371985302884847619', '1340961421839699968', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1371988804415655936', '1340957453281529856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1371996501903020032', '1340961480299909120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1371998787098251264', '1340961526005239808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372005801081835520', '1340957368485285888', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372005801081835521', '1340957368485285888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372005801081835522', '1340957368485285888', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372005801081835523', '1340957368485285888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372005801081835524', '1340957368485285888', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372005801081835525', '1340957368485285888', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372014258916823040', '1340957449947058176', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372014748484374528', '1340961456287518720', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372016756197036032', '1340961417431486464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372016756197036033', '1340961417431486464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372016756197036034', '1340961417431486464', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372016756197036035', '1340961417431486464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372016756197036036', '1340961417431486464', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372016756197036037', '1340961417431486464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372021887697293312', '1340957332670124032', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372023659694264320', '1340957306627690496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372024654453149696', '1366294587815104512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372024801467699200', '1340957332229722112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372024801467699201', '1340957332229722112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372027451684818944', '1340957308125057024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372027451684818945', '1340957308125057024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372028549585833984', '1366294587907379200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372028549585833985', '1366294587907379200', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372028549585833986', '1366294587907379200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372028549585833987', '1366294587907379200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372029114025906176', '1366297931908517888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372029896271990784', '1340962259865833472', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372031665018376192', '1340961453292785664', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372032151159181312', '1340962259136024576', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372032151159181313', '1340962259136024576', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372032519121276928', '1340957385753235456', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372032519121276929', '1340957385753235456', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372033698442121216', '1340957461426868224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372033698442121217', '1340957461426868224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372033698442121218', '1340957461426868224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372033698442121219', '1340957461426868224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372033698442121220', '1340957461426868224', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372033931494428672', '1340957285329014784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372035050463432704', '1340961481252016128', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372036322696499200', '1340957296393588736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372039189947879424', '1340961504853364736', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372039189947879425', '1340961504853364736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372039636259573760', '1340957410403160064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372039636259573761', '1340957410403160064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372039636259573762', '1340957410403160064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372040868319596544', '1340961400889151488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372040868319596545', '1340961400889151488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372040868319596546', '1340961400889151488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372040868319596547', '1340961400889151488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372042055152439296', '1340957349476700160', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372042055152439297', '1340957349476700160', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372042055152439298', '1340957349476700160', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372042055152439299', '1340957349476700160', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372042055152439300', '1340957349476700160', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372042055152439301', '1340957349476700160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372043863203647488', '1340961424641495040', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372044621437341696', '1340957353314488320', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372044621437341697', '1340957353314488320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372050256832892928', '1340957388643110912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372050256832892929', '1340957388643110912', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372050256832892930', '1340957388643110912', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372050256832892931', '1340957388643110912', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372050256832892932', '1340957388643110912', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372050256832892933', '1340957388643110912', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372054262196080640', '1340957380141256704', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372054262196080641', '1340957380141256704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372054262196080642', '1340957380141256704', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372054262196080643', '1340957380141256704', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372054262196080644', '1340957380141256704', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372054262196080645', '1340957380141256704', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372066741454245888', '1340957314915635200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372066741454245889', '1340957314915635200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372066741454245890', '1340957314915635200', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372066741454245891', '1340957314915635200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372066741454245892', '1340957314915635200', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372066741454245893', '1340957314915635200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372067187455561728', '1340961402495569920', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372067187455561729', '1340961402495569920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372067187455561730', '1340961402495569920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372067187455561731', '1340961402495569920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372067187455561732', '1340961402495569920', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372067187455561733', '1340961402495569920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372067678990241792', '1366294587982876672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372067678990241793', '1366294587982876672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372067678990241794', '1366294587982876672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372067678990241795', '1366294587982876672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372067678990241796', '1366294587982876672', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372067678990241797', '1366294587982876672', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372067836150812672', '1340957443345223680', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372067836150812673', '1340957443345223680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372067871680761856', '1340957369915543552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372067871680761857', '1340957369915543552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372067871680761858', '1340957369915543552', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372067871680761859', '1340957369915543552', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372067871680761860', '1340957369915543552', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372068465069920256', '1340957363225628672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372068465069920257', '1340957363225628672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372068465069920258', '1340957363225628672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372068465069920259', '1340957363225628672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372068465069920260', '1340957363225628672', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372068465069920261', '1340957363225628672', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372070596162228224', '1340957431680864256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372070910315597824', '1340957290387345408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372070910315597825', '1340957290387345408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372070910315597826', '1340957290387345408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372071782307205120', '1340957340601552896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372071782307205121', '1340957340601552896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372073605671817216', '1340957323698507776', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372073605671817217', '1340957323698507776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372074175296049152', '1340957363540201472', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372074175296049153', '1340957363540201472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372074175296049154', '1340957363540201472', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372076939128475648', '1366294587995459584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372078537300905984', '1340957346066731008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372080549333700608', '1340961462050492416', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372080549333700609', '1340961462050492416', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372080549333700610', '1340961462050492416', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372081277586509824', '1340957399820931072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372081277586509825', '1340957399820931072', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372081277586509826', '1340957399820931072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372081277586509827', '1340957399820931072', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372081277586509828', '1340957399820931072', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372082533633757184', '1340961522100342784', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372082765914312704', '1340957456746024960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372082765914312705', '1340957456746024960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372082765914312706', '1340957456746024960', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372082765914312707', '1340957456746024960', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372082765914312708', '1340957456746024960', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372082765914312709', '1340957456746024960', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372083295914954752', '1340957300797607936', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372083295914954753', '1340957300797607936', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372083295914954754', '1340957300797607936', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372083295914954755', '1340957300797607936', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372083295914954756', '1340957300797607936', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372083295914954757', '1340957300797607936', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372083403909894144', '1340961429674659840', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372083482771197952', '1340957352282689536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372084165733912576', '1340961515687251968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372085610424176640', '1340961397022003200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372085610424176641', '1340961397022003200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372085610424176642', '1340961397022003200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372085610424176643', '1340961397022003200', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372085610424176644', '1340961397022003200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372086154173747200', '1340961459584241664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372086490615648256', '1340957421690032128', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372088476580843520', '1340957290181824512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372088476580843521', '1340957290181824512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372088476580843522', '1340957290181824512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372088476580843523', '1340957290181824512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372089063791792128', '1340961437912272896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372089063791792129', '1340961437912272896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372089063791792130', '1340961437912272896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372089063791792131', '1340961437912272896', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372090196199346176', '1340957444087615488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372090196199346177', '1340957444087615488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372090196199346178', '1340957444087615488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372090196199346179', '1340957444087615488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372090196199346180', '1340957444087615488', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372090196199346181', '1340957444087615488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372090426953175040', '1340961427715919872', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372090426953175041', '1340961427715919872', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372090426953175042', '1340961427715919872', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372090426953175043', '1340961427715919872', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372090426953175044', '1340961427715919872', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372090426953175045', '1340961427715919872', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372091768593584128', '1340961460246941696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372091768593584129', '1340961460246941696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372092084470812672', '1340957296821407744', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372092660998868992', '1340961466395791360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372092660998868993', '1340961466395791360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372094237709045760', '1340962575126499328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372096960948998144', '1340957383446368256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372096960948998145', '1340957383446368256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372103463542067200', '1340961451485040640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372103463542067201', '1340961451485040640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372103463542067202', '1340961451485040640', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372103463542067203', '1340961451485040640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372103463542067204', '1340961451485040640', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372109067207708672', '1340957393965682688', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372109067207708673', '1340957393965682688', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372109067207708674', '1340957393965682688', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372109067207708675', '1340957393965682688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372109491734188032', '1340961511627165696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372109565851734016', '1340961401073700864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372109565851734017', '1340961401073700864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372109565851734018', '1340961401073700864', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372109565851734019', '1340961401073700864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372109565851734020', '1340961401073700864', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372109565851734021', '1340961401073700864', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372117893763960832', '1340957343202021376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372117906015522816', '1340962302605791232', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372123548713357312', '1340957403025379328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372124995706294272', '1340957307055509504', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372126628213297152', '1366294584266723328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372134998311833600', '1330815510081835011', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372134998311833601', '1330815510081835011', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372134998311833602', '1330815510081835011', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372134998311833603', '1330815510081835011', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372134998311833604', '1330815510081835011', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372134998311833605', '1330815510081835011', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372135084781604864', '1340961436217774080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372135084781604865', '1340961436217774080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372136445782921216', '1340961420296196096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372136445782921217', '1340961420296196096', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372141369606410240', '1340957319781027840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372147655936970752', '1340957414169645056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372147655936970753', '1340957414169645056', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372152175609909248', '1340962260067160064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372152175609909249', '1340962260067160064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372152175609909250', '1340962260067160064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372152175609909251', '1340962260067160064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372155729737289728', '1340957472684380160', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372157572722855936', '1340957302022344704', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372165520916353024', '1340957342384132096', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372165520916353025', '1340957342384132096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372166606251233280', '1340961405481914368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372168040225050624', '1340962298000445440', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372168040225050625', '1340962298000445440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372168040225050626', '1340962298000445440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372175737838243840', '1340961438658859008', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372175737838243841', '1340961438658859008', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372175737838243842', '1340961438658859008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372175737838243843', '1340961438658859008', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372175737838243844', '1340961438658859008', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372175882055192576', '1340961417175633920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372175882055192577', '1340961417175633920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372175882055192578', '1340961417175633920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372178590719938560', '1340961457109602304', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372344198329667584', '1340962305168510976', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372344198329667585', '1340962305168510976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372344198329667586', '1340962305168510976', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372345349464788992', '1366294586187714560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372348582484643840', '1340957339150323712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372348582484643841', '1340957339150323712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372349755027492864', '1340957403679690752', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372351574533345280', '1340957305256153088', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372352109487460352', '1340957472986370048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372352109487460353', '1340957472986370048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372352109487460354', '1340957472986370048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372353185087361024', '1340957302261420032', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372353916980826112', '1366294587760578560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372354517311557632', '1340957422445006848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372354517311557633', '1340957422445006848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372354517311557634', '1340957422445006848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372354517311557635', '1340957422445006848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372354517311557636', '1340957422445006848', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372354517311557637', '1340957422445006848', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372355739523354624', '1366294587919962112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372357645180211200', '1340957304882860032', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372357769017036800', '1340957363330486272', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372357769017036801', '1340957363330486272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372357769017036802', '1340957363330486272', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372357769017036803', '1340957363330486272', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372357769017036804', '1340957363330486272', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372357769017036805', '1340957363330486272', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372358186081849344', '1340961434506498048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372358452998967296', '1366294587978682368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372358452998967297', '1366294587978682368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372358452998967298', '1366294587978682368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372359256648585216', '1340961397844086784', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372359256648585217', '1340961397844086784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372359256648585218', '1340961397844086784', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372359256648585219', '1340961397844086784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372359256648585220', '1340961397844086784', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372359256648585221', '1340961397844086784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372359306229452800', '1366294587798327296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372359898129633280', '1366294587110461440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372360257661177856', '1340961497366532096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372360257661177857', '1340961497366532096', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372362959686340608', '1340961429938900992', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372364229839032320', '1340961519520845824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372364229839032321', '1340961519520845824', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372364229839032322', '1340961519520845824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372366525817819136', '1340957283714207744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372366664951271424', '1340961495323906048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372378228475432960', '1340957325988597760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372380908476305408', '1330815510098612224', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372380908476305409', '1330815510098612224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372380908476305410', '1330815510098612224', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372380908476305411', '1330815510098612224', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372380908476305412', '1330815510098612224', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372382051092795392', '1340962574157615104', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372384083472158720', '1330815510367047680', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372384167316295680', '1340961504844976128', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372384167316295681', '1340961504844976128', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372386694975852544', '1340962610455121920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372386694975852545', '1340962610455121920', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372386694975852546', '1340962610455121920', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372388053552861184', '1340957376538349568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372389107698896896', '1366294585868947456', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372390658282754048', '1366294587827687424', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372390658282754049', '1366294587827687424', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372396573685846016', '1340957400466853888', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372396573685846017', '1340957400466853888', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372408233561559040', '1340962571884302336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372408446942580736', '1340962567463505920', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372419086943916032', '1366294584564518912', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372422693412016128', '1340957287732350976', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372434034671620096', '1340961526072348672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372438371716173824', '1366294587265650688', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372438371716173825', '1366294587265650688', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372438371716173826', '1366294587265650688', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372438371716173827', '1366294587265650688', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372438371716173828', '1366294587265650688', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372438371716173829', '1366294587265650688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372444701759770624', '1340957442212761600', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372446239152541696', '1366294585952833536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372446239152541697', '1366294585952833536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372446239152541698', '1366294585952833536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372446239152541699', '1366294585952833536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372455211808985088', '1366294587823493120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372455211808985089', '1366294587823493120', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372458273512493056', '1340961448867794944', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372458273512493057', '1340961448867794944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372471913921777664', '1340957430565179392', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372471913921777665', '1340957430565179392', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372471913921777666', '1340957430565179392', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372472421029908480', '1349252525454397440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372472707354071040', '1340962277901340672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372475137596723200', '1340962275003076608', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372475137596723201', '1340962275003076608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372475137596723202', '1340962275003076608', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372475137596723203', '1340962275003076608', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372475137596723204', '1340962275003076608', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372475137596723205', '1340962275003076608', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372485012221464576', '1340962271832182784', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372485012221464577', '1340962271832182784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372485012221464578', '1340962271832182784', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372485012221464579', '1340962271832182784', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372485012221464580', '1340962271832182784', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372485012221464581', '1340962271832182784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372485472168841216', '1340957457861709824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372488737694552064', '1340961432472260608', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372490995022827520', '1340962572077240320', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372494779505577984', '1340962273405046784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372503896278306816', '1366294586145771520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372503896278306817', '1366294586145771520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372503896278306818', '1366294586145771520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372518316631003136', '1366294585080418304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372546299114688512', '1340961467658276864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372605501430435840', '1340962253125586944', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372715497778450432', '1340961403649003520', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372715684185903104', '1340961505159548928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372715684185903105', '1340961505159548928', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372715684185903106', '1340961505159548928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372738101008535552', '1340957411611119616', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372738602416607232', '1340957455756169216', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372738602416607233', '1340957455756169216', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372738602420801536', '1340957455756169216', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372738602420801537', '1340957455756169216', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372752239994736640', '1340961432061218816', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372752239994736641', '1340961432061218816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372755204918874112', '1340961525732610048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372755204918874113', '1340961525732610048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372755204918874114', '1340961525732610048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372755204918874115', '1340961525732610048', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372755304915275776', '1340962259211522048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372755304915275777', '1340962259211522048', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372756754361880576', '1340957466904629248', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372762622419668992', '1340961467138183168', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372762622419668993', '1340961467138183168', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372762622419668994', '1340961467138183168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372763197290975232', '1340957283919728640', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372763197290975233', '1340957283919728640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372769962028044288', '1340962603953950720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372770033347989504', '1340961453141790720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372771513220075520', '1340957456779579392', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372771513220075521', '1340957456779579392', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372772542493888512', '1340961483558883328', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372778570233024512', '1340961462679638016', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372778742279180288', '1340957384415252480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372778742279180289', '1340957384415252480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372797999452917760', '1340957411086831616', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372797999452917761', '1340957411086831616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372797999452917762', '1340957411086831616', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372797999452917763', '1340957411086831616', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372801436865400832', '1372472582217011200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372818264643735552', '1340962291058872320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372818264643735553', '1340962291058872320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372818264643735554', '1340962291058872320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372822167456190464', '1366294585973805056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372848151760867328', '1340962262336278528', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372860379302072320', '1340957393672081408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372880548808232960', '1340957465340153856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372880548808232961', '1340957465340153856', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372897506551271424', '1340957412647112704', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372897845321011200', '1340957292253810688', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372897845321011201', '1340957292253810688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372898202184978432', '1340961459135451136', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372898202184978433', '1340961459135451136', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372898370816970752', '1340961457302540288', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372898505584152576', '1340961441150275584', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372899807403839488', '1340962262600519680', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372899807403839489', '1340962262600519680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372899807403839490', '1340962262600519680', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372899807403839491', '1340962262600519680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372899807403839492', '1340962262600519680', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372899807403839493', '1340962262600519680', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372900313626972160', '1340961418094186496', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372900313626972161', '1340961418094186496', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372904684133683200', '1340961400973037568', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372904684133683201', '1340961400973037568', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372904684133683202', '1340961400973037568', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372904684133683203', '1340961400973037568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372904684133683204', '1340961400973037568', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372904684133683205', '1340961400973037568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372906280955547648', '1340961416965918720', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372906718517923840', '1340961456669200384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372906718517923841', '1340961456669200384', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372906718517923842', '1340961456669200384', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372910671586529280', '1340961420522688512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372910671586529281', '1340961420522688512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372910671586529282', '1340961420522688512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372910671586529283', '1340961420522688512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372910671586529284', '1340961420522688512', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372910671586529285', '1340961420522688512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372910751752261632', '1340961518094782464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372910751752261633', '1340961518094782464', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372910751752261634', '1340961518094782464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1372935430474960896', '1340957439373217792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372935430474960897', '1340957439373217792', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372944437726023680', '1340957464862003200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1372944437726023681', '1340957464862003200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1372944437726023682', '1340957464862003200', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1372944437726023683', '1340957464862003200', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1372944437726023684', '1340957464862003200', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1372944437726023685', '1340957464862003200', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373039314325344256', '1340957382947246080', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373039314325344257', '1340957382947246080', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373039314325344258', '1340957382947246080', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373039314325344259', '1340957382947246080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373039314325344260', '1340957382947246080', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373039314325344261', '1340957382947246080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373045159742279680', '1340957455718420480', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373045159742279681', '1340957455718420480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373045159742279682', '1340957455718420480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373045159742279683', '1340957455718420480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373045159742279684', '1340957455718420480', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373045159742279685', '1340957455718420480', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373078752719933440', '1340957317704847360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373081381839704064', '1340961431679537152', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373094461315354624', '1340961484351606784', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373113738118434816', '1366294587869630464', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373113738118434817', '1366294587869630464', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373113738118434818', '1366294587869630464', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373113738118434819', '1366294587869630464', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373113738118434820', '1366294587869630464', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373113738118434821', '1366294587869630464', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373114573829312512', '1340962567404785664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373123966838902784', '1340957386080391168', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373123966838902785', '1340957386080391168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373127562070462464', '1340957317633544192', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373127769717870592', '1340962264802529280', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373127769717870593', '1340962264802529280', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373260174600572928', '1340961486574587904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373260174600572929', '1340961486574587904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373260174600572930', '1340961486574587904', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373260174600572931', '1340961486574587904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373260174600572932', '1340961486574587904', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373260174600572933', '1340961486574587904', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373266059397828608', '1340961430404468736', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373266059397828609', '1340961430404468736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373266059397828610', '1340961430404468736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373266059397828611', '1340961430404468736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373266059397828612', '1340961430404468736', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373266059397828613', '1340961430404468736', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373279756480548864', '1340961419109208064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373279756480548865', '1340961419109208064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373279756480548866', '1340961419109208064', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373279756480548867', '1340961419109208064', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373279756480548868', '1340961419109208064', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373279756480548869', '1340961419109208064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373419621146824704', '1340957321085456384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373419621146824705', '1340957321085456384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373433691807813632', '1340957314663976960', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373447516732919808', '1340962261824573440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373463083846078464', '1340957424911257600', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373463083846078465', '1340957424911257600', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373466061130829824', '1340961515674669056', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373466132673073152', '1340957439369023488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373466132673073153', '1340957439369023488', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373466132673073154', '1340957439369023488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373467359670571008', '1366294585072029696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373471582202236928', '1340961512726073344', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373474709563379712', '1340957325795659776', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373520907515072512', '1340957290357985280', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373521236054904832', '1340957430879752192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373521236054904833', '1340957430879752192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373521236054904834', '1340957430879752192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373521236054904835', '1340957430879752192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373521236054904836', '1340957430879752192', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373521236054904837', '1340957430879752192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373526636397465600', '1340961484120920064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373530480053456896', '1340961514202468352', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373530480053456897', '1340961514202468352', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373530480053456898', '1340961514202468352', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373530480053456899', '1340961514202468352', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373530480053456900', '1340961514202468352', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373530480053456901', '1340961514202468352', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373531374702694400', '1340957369441587200', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373531386773901312', '1340961406408855552', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373543239520489472', '1340961455910031360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373543239520489473', '1340961455910031360', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373545197752946688', '1340961457973628928', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373553987923611648', '1340957295307264000', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373556437074186240', '1340957424269529088', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373556437074186241', '1340957424269529088', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373556437074186242', '1340957424269529088', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373556437074186243', '1340957424269529088', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373558339253964800', '1340957290106327040', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373566003400806400', '1340962576045051904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373572179106598912', '1340957288046923776', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373578978752860160', '1340957369089265664', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373579286065319936', '1340961409055461376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373583124709117952', '1340962262474690560', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373587517969928192', '1340957393537863680', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373610697283473408', '1340961523090198528', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373610697283473409', '1340961523090198528', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373610697283473410', '1340961523090198528', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373610697283473411', '1340961523090198528', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373610697283473412', '1340961523090198528', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373610697283473413', '1340961523090198528', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373611902663528448', '1340957389511331840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373744741627334656', '1340957296007712768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373799006664265728', '1366294587857047552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373825452313022464', '1340962577995403264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373825452313022465', '1340962577995403264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373837872955789312', '1366294583608217600', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373838855358255104', '1366294583574663168', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373838855358255105', '1366294583574663168', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373838855358255106', '1366294583574663168', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373838855358255107', '1366294583574663168', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373840018665246720', '1340961480136331264', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373840018665246721', '1340961480136331264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373840465291513856', '1340957456951545856', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373848896807243776', '1340957296984985600', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373848896807243777', '1340957296984985600', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373848896807243778', '1340957296984985600', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373853669887447040', '1340957473653264384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373854677971636224', '1340957347345993728', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373854677971636225', '1340957347345993728', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373854677971636226', '1340957347345993728', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373854677971636227', '1340957347345993728', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373854677971636228', '1340957347345993728', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373854677971636229', '1340957347345993728', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373855149285576704', '1340957351422857216', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373855149285576705', '1340957351422857216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373855149285576706', '1340957351422857216', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373855149285576707', '1340957351422857216', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373855149285576708', '1340957351422857216', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373855149285576709', '1340957351422857216', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373857968742862848', '1340961399144321024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373857968742862849', '1340961399144321024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373857968742862850', '1340961399144321024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373857968742862851', '1340961399144321024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373857968742862852', '1340961399144321024', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373857968742862853', '1340961399144321024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373868410529779712', '1366294583260090368', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373868410529779713', '1366294583260090368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373868410529779714', '1366294583260090368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373868410529779715', '1366294583260090368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373868410529779716', '1366294583260090368', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373868410529779717', '1366294583260090368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373875412450545664', '1366294583327199232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373877215313399808', '1340962575394934784', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373885023433920512', '1366294583251701760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373888973612650496', '1330815510014726144', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373888973612650497', '1330815510014726144', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373888973612650498', '1330815510014726144', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373890462590570496', '1340961513980170240', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373890810336120832', '1340961424675049472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373890810336120833', '1340961424675049472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373890810336120834', '1340961424675049472', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373891692385669120', '1340957319621644288', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373891692385669121', '1340957319621644288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373891692385669122', '1340957319621644288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373891692385669123', '1340957319621644288', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373891692385669124', '1340957319621644288', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373891692385669125', '1340957319621644288', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373892382390620160', '1340961401149198336', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373892382390620161', '1340961401149198336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373892382390620162', '1340961401149198336', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373892382390620163', '1340961401149198336', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373892382390620164', '1340961401149198336', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373892382390620165', '1340961401149198336', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373892497742368768', '1340957384222314496', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373892497742368769', '1340957384222314496', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373892497742368770', '1340957384222314496', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373892497742368771', '1340957384222314496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373892497742368772', '1340957384222314496', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373892497742368773', '1340957384222314496', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373892821609746432', '1340957380527132672', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373892821609746433', '1340957380527132672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373892821609746434', '1340957380527132672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373892821609746435', '1340957380527132672', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373892821609746436', '1340957380527132672', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373892821609746437', '1340957380527132672', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373893544527400960', '1340957473124782080', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373896435820531712', '1340957284183969792', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373896435820531713', '1340957284183969792', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373896435820531714', '1340957284183969792', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373896775529795584', '1340961463220703232', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373896775529795585', '1340961463220703232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373896775529795586', '1340961463220703232', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373896775529795587', '1340961463220703232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373896775529795588', '1340961463220703232', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373896775529795589', '1340961463220703232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373896974054592512', '1340961516169596928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373896974054592513', '1340961516169596928', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373896974054592514', '1340961516169596928', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373898376889896960', '1340961420606574592', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373898376889896961', '1340961420606574592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373898376889896962', '1340961420606574592', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373898376889896963', '1340961420606574592', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373898376889896964', '1340961420606574592', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373898376889896965', '1340961420606574592', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373898656897437696', '1340957339389399040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373899315076009984', '1340961461501038592', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373899321673650176', '1366294583276867584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373899321673650177', '1366294583276867584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373899321673650178', '1366294583276867584', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373901431022686208', '1340957403721633792', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373901431022686209', '1340957403721633792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373901431022686210', '1340957403721633792', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373901546248605696', '1340957347916419072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373901961065271296', '1340961451598286848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373902787825504256', '1340962296205283328', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373903009737740288', '1340962283836280832', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373903009737740289', '1340962283836280832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373903009737740290', '1340962283836280832', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373903009737740291', '1340962283836280832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373903009737740292', '1340962283836280832', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373903009737740293', '1340962283836280832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373904043075833856', '1340957424772845568', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373904043075833857', '1340957424772845568', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373904043075833858', '1340957424772845568', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373904043075833859', '1340957424772845568', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373904043075833860', '1340957424772845568', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373904043075833861', '1340957424772845568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373904374090305536', '1340961439447388160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373907014421450752', '1340961408610865152', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373908847810449408', '1340957330946265088', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373911426594377728', '1340957463427551232', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373911426594377729', '1340957463427551232', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373911426594377730', '1340957463427551232', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373911426594377731', '1340957463427551232', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373911426594377732', '1340957463427551232', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373911426594377733', '1340957463427551232', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373914684868136960', '1340962259672895488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373914684868136961', '1340962259672895488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373914684868136962', '1340962259672895488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373914684868136963', '1340962259672895488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373914684868136964', '1340962259672895488', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373914684868136965', '1340962259672895488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373915354123866112', '1340961426231136256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373916961158860800', '1340957355952705536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373916961158860801', '1340957355952705536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373918518923366400', '1340961496875798528', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373918518923366401', '1340961496875798528', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373919169019514880', '1340962634148745216', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373921044741623808', '1340957314714308608', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373921044741623809', '1340957314714308608', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373921766812028928', '1340961463237480448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373921766812028929', '1340961463237480448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373923357417934848', '1340957383622529024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373923357417934849', '1340957383622529024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1373933904922284032', '1340957357223579648', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373947138798653440', '1340957346368720896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373947138798653441', '1340957346368720896', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373947138798653442', '1340957346368720896', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373948839286935552', '1340957374751576064', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1373948839286935553', '1340957374751576064', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373971919883341824', '1340961440953143296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373975468574904320', '1340957462651604992', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1373975468574904321', '1340957462651604992', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1373975468574904322', '1340957462651604992', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1373975468574904323', '1340957462651604992', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1373978658594754560', '1340957366899838976', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374147615603691520', '1340957332418465792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374147615603691521', '1340957332418465792', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374147615603691522', '1340957332418465792', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374147615603691523', '1340957332418465792', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374148813983453184', '1340957347333410816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374154199008415744', '1340961467519864832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374154199008415745', '1340961467519864832', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374154199008415746', '1340961467519864832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374154199008415747', '1340961467519864832', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374155115329622016', '1340957315960016896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374158858662055936', '1366294583201370112', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374165884297416704', '1366294583192981504', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374172428049190912', '1366294587626360832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374173605260300288', '1366294583419473920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374176139483942912', '1366294583440445440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374176139483942913', '1366294583440445440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374176139483942914', '1366294583440445440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374177701920903168', '1340961421256691712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374177701920903169', '1340961421256691712', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374178038450884608', '1366294583385919488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374178038450884609', '1366294583385919488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374178038450884610', '1366294583385919488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374178038450884611', '1366294583385919488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374178038450884612', '1366294583385919488', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374178038450884613', '1366294583385919488', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374179300760227840', '1366294583390113792', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374190574743195648', '1366294586183520256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374191364299952128', '1340961459034787840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374191364299952129', '1340961459034787840', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374191504234516480', '1366294583339782144', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374192104691077120', '1366294583411085312', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374192104691077121', '1366294583411085312', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374192104691077122', '1366294583411085312', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374192104691077123', '1366294583411085312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374192104691077124', '1366294583411085312', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374192104691077125', '1366294583411085312', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374193714607558656', '1340957315779661824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374193781154385920', '1366294587546669056', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374193781154385921', '1366294587546669056', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374193781154385922', '1366294587546669056', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374193781154385923', '1366294587546669056', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374193781154385924', '1366294587546669056', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374193781154385925', '1366294587546669056', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374193791891804160', '1340961513246167040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374194314401419264', '1366294588612022272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374195661121130496', '1366294583675326464', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374197237831307264', '1366294588557496320', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374197237831307265', '1366294588557496320', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374198480435810304', '1366294585701175296', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374199091248107520', '1366294588565884928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374200469517373440', '1340962296305946624', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374200469517373441', '1340962296305946624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374200469517373442', '1340962296305946624', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374201836235526144', '1340957443441692672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374201847232991232', '1366294583218147328', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374202065173221376', '1340957302039121920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374205471417831424', '1366294583364947968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374209913387094016', '1340957332120670208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374209913387094017', '1340957332120670208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374212407072788480', '1366294587525697536', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374212407072788481', '1366294587525697536', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374212407072788482', '1366294587525697536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374212407072788483', '1366294587525697536', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374212407072788484', '1366294587525697536', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374212407072788485', '1366294587525697536', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374215366678548480', '1340957305050632192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374219541017661440', '1340961481965047808', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374223779189886976', '1340962279381929984', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374223779189886977', '1340962279381929984', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374223779189886978', '1340962279381929984', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374223779189886979', '1340962279381929984', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374223779189886980', '1340962279381929984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374224730424479744', '1340957366174224384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374232458614149120', '1340957412932325376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374232458614149121', '1340957412932325376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374232458614149122', '1340957412932325376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374235298162151424', '1366294585185275904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374238612366954496', '1340961433810243584', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374238612366954497', '1340961433810243584', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374239286223835136', '1340957411657256960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374240142914621440', '1340962261962985472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374240142914621441', '1340962261962985472', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374243619472543744', '1366294588578467840', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374243619472543745', '1366294588578467840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374243619472543746', '1366294588578467840', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374243619472543747', '1366294588578467840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374245157754507264', '1340957293075894272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374245157754507265', '1340957293075894272', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374247982001688576', '1366294587865436160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374256272475557888', '1366294587332759552', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374260625773039616', '1340962590930636800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374264176859549696', '1366294584887480320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374264309743489024', '1340957384444612608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374264544255414272', '1366294587320176640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374264544255414273', '1366294587320176640', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374264544255414274', '1366294587320176640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374265038264733696', '1340961433709580288', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374265055683678208', '1366294583725658112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374265420290330624', '1340957392082440192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374265420290330625', '1340957392082440192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374265420290330626', '1340957392082440192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374265420290330627', '1340957392082440192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374265420290330628', '1340957392082440192', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374265420290330629', '1340957392082440192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374265878249607168', '1340962565685121024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374266113508118528', '1340961467075268608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374266755303739392', '1340962278601789440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374266755303739393', '1340962278601789440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374266758126505984', '1366294587810910208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374266928734015488', '1340957293973475328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374270819135524864', '1366294588217757696', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374270819135524865', '1366294588217757696', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374270819135524866', '1366294588217757696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374271122903797760', '1366294588230340608', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374275110692851712', '1340957473183502336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374276145813524480', '1340957442133069824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374281494603894784', '1366294587643138048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374281494603894785', '1366294587643138048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374281494603894786', '1366294587643138048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374281494603894787', '1366294587643138048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374281494603894788', '1366294587643138048', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374281494603894789', '1366294587643138048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374282031885848576', '1340961480069222400', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374282276220833792', '1340957393571418112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374285447773163520', '1340962565567680512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374285447773163521', '1340962565567680512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374289508576661504', '1340961513267138560', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374289508576661505', '1340961513267138560', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374289508576661506', '1340961513267138560', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374289508576661507', '1340961513267138560', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374289508576661508', '1340961513267138560', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374289508576661509', '1340961513267138560', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374291386530140160', '1340957425292939264', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374292728048914432', '1340957386877308928', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374292728048914433', '1340957386877308928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374292728048914434', '1340957386877308928', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374292728048914435', '1340957386877308928', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374292728048914436', '1340957386877308928', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374292728048914437', '1340957386877308928', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374293097294467072', '1340961419507666944', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374293097294467073', '1340961419507666944', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374293097294467074', '1340961419507666944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374293768731234304', '1366294585663426560', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374293966341672960', '1340962254115442688', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374293966341672961', '1340962254115442688', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374293966341672962', '1340962254115442688', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374293966341672963', '1340962254115442688', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374293966341672964', '1340962254115442688', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374293966341672965', '1340962254115442688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374297863512788992', '1340957319491620864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374298795826876416', '1366294585243996160', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374298795826876417', '1366294585243996160', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374299048290422784', '1340957286507614208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374299082184593408', '1340961400285171712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374299082184593409', '1340961400285171712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374299082184593410', '1340961400285171712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374300349380300800', '1340957323555901440', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374300349380300801', '1340957323555901440', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374300349380300802', '1340957323555901440', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374306880565940224', '1340961453615747072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374317797852712960', '1340957324973576192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374317797852712961', '1340957324973576192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374317797852712962', '1340957324973576192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374328422851022848', '1340961516161208320', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374331320490135552', '1340962297622958080', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374331320490135553', '1340962297622958080', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374375653884956672', '1340957442858684416', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374375653884956673', '1340957442858684416', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374501574382063616', '1366294583125872640', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374531064428630016', '1340961424750546944', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374534724428632064', '1340957323182608384', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374535205947314176', '1366294583499165696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374536621113872384', '1366294583461416960', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374537211143393280', '1340961442601504768', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374539336372064256', '1340957389335171072', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374539336372064257', '1340957389335171072', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374540873748058112', '1340957293717622784', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374541772251860992', '1340962271383392256', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374541772251860993', '1340962271383392256', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374541772251860994', '1340962271383392256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374541772251860995', '1340962271383392256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374542144030773248', '1366294583448834048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374542718105161728', '1340961432392568832', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374543287578398720', '1340957288558628864', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374543287578398721', '1340957288558628864', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374543287578398722', '1340957288558628864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374544530426171392', '1340961453980651520', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374544530426171393', '1340961453980651520', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374544530426171394', '1340961453980651520', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374544530426171395', '1340961453980651520', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374547642738151424', '1366294583482388480', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374547642738151425', '1366294583482388480', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374548235103899648', '1366294583507554304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374548933887528960', '1340962261489029120', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374551066489786368', '1366294583528525824', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374555540184764416', '1340961432619061248', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374555540184764417', '1340961432619061248', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374580285273935872', '1366294588322615296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374583021348458496', '1340957386696953856', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374605860705275904', '1340962271328866304', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374605860705275905', '1340962271328866304', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374605860705275906', '1340962271328866304', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374605860705275907', '1340962271328866304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374605860705275908', '1340962271328866304', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374605860705275909', '1340962271328866304', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374607405500993536', '1340957353201242112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374607405500993537', '1340957353201242112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374609564774830080', '1340961428806438912', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374610335021010944', '1340961521903210496', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374611641211162624', '1340961479930810368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374613822706421760', '1366294588314226688', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374613822706421761', '1366294588314226688', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374613822706421762', '1366294588314226688', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374613938964140032', '1366294583666937856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374615997100724224', '1340957453273141248', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374615997100724225', '1340957453273141248', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374615997100724226', '1340957453273141248', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374616667090456576', '1340961511341953024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374616667090456577', '1340961511341953024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374616938772303872', '1366294583457222656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374618474982281216', '1340957474202718208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374618474982281217', '1340957474202718208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374618474982281218', '1340957474202718208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374619361637175296', '1340957349740941312', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374619361637175297', '1340957349740941312', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374619361637175298', '1340957349740941312', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374619470693273600', '1366294583520137216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374619470693273601', '1366294583520137216', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374619470693273602', '1366294583520137216', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374619470693273603', '1366294583520137216', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374621260625088512', '1340961459936563200', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374621337116610560', '1340957390446661632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374621905356722176', '1340962259832279040', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374621905356722177', '1340962259832279040', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374622545634004992', '1340957338617647104', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374622545634004993', '1340957338617647104', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374622545634004994', '1340957338617647104', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374624436136841216', '1366294583650160640', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374624626147201024', '1340961457193488384', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374625058760298496', '1340957400571711488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374625058760298497', '1340957400571711488', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374625058760298498', '1340957400571711488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374625359420592128', '1340957384633356288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374627081199161344', '1340957288478937088', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374627562659123200', '1366294583348170752', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374627562659123201', '1366294583348170752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374627562659123202', '1366294583348170752', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374627562659123203', '1366294583348170752', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374627562659123204', '1366294583348170752', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374627562659123205', '1366294583348170752', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374628077900009472', '1340962273535070208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374630138590924800', '1340961428030492672', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374630138590924801', '1340961428030492672', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374631202606157824', '1340961448452558848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374631202606157825', '1340961448452558848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374631202606157826', '1340961448452558848', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374631202606157827', '1340961448452558848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374631526108631040', '1340957457748463616', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374632145267593216', '1340962603249307648', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374632540270366720', '1340961428793856000', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374633902043435008', '1340961396715819008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374633959366987776', '1340957440589565952', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374633959366987777', '1340957440589565952', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374635896934109184', '1340957443416526848', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374636119911698432', '1340957423753629696', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374637202109239296', '1374534686117859328', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374637427477581824', '1340961400754933760', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374637427477581825', '1340961400754933760', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374638133303447552', '1340957306229231616', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374639114619588608', '1340961504895307776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374639816901267456', '1366294588112900096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374639851760128000', '1340957363066245120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374640098569752576', '1366294586447761408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374640764151271424', '1340957339011911680', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374641470862135296', '1366294588591050752', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374641773917376512', '1340961428596723712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374643421393850368', '1366294588054179840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374643421393850369', '1366294588054179840', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374643421393850370', '1366294588054179840', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374643435423797248', '1366294588037402624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374643545574608896', '1340957443387166720', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374644499954929664', '1366294587651526656', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374644627331747840', '1366294588075151360', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374644627331747841', '1366294588075151360', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374644627331747842', '1366294588075151360', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374644627331747843', '1366294588075151360', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374644627331747844', '1366294588075151360', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374644692842582016', '1340961427317460992', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374644692842582017', '1340961427317460992', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374644692842582018', '1340961427317460992', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374644801701548032', '1340961423664222208', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374644801701548033', '1340961423664222208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374644801701548034', '1340961423664222208', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374644801701548035', '1340961423664222208', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374644801701548036', '1340961423664222208', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374644801701548037', '1340961423664222208', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374645715560697856', '1340957315528003584', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374646603964616704', '1366294588062568448', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374646603964616705', '1366294588062568448', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374646603964616706', '1366294588062568448', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374647158980087808', '1366294588335198208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374647652481896448', '1340961486633308160', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374647652481896449', '1340961486633308160', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374647988768608256', '1340961430492549120', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374647988768608257', '1340961430492549120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374647988768608258', '1340961430492549120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374647988768608259', '1340961430492549120', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374647988768608260', '1340961430492549120', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374647988768608261', '1340961430492549120', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374649597393244160', '1340957284481765376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374649597393244161', '1340957284481765376', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374649646349160448', '1340957424525381632', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374649646349160449', '1340957424525381632', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374649974108852224', '1340957375443636224', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374651366215127040', '1366294588041596928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374651366215127041', '1366294588041596928', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1374652165221650432', '1340961408464064512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374652165221650433', '1340961408464064512', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374652165221650434', '1340961408464064512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374652460462903296', '1374534686101082112', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374652460462903297', '1374534686101082112', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374652460462903298', '1374534686101082112', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374652460462903299', '1374534686101082112', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374652460462903300', '1374534686101082112', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374654603198599168', '1340962283848863744', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374656494112477184', '1366294588603633664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374656768466096128', '1366294588104511488', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374656768466096129', '1366294588104511488', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374656768466096130', '1366294588104511488', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374671250168877056', '1366294588100317184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374671250168877057', '1366294588100317184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374671250168877058', '1366294588100317184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374688146205315072', '1340962263363883008', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374712397729763328', '1366294586774917120', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374712397729763329', '1366294586774917120', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374712397729763330', '1366294586774917120', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374714008472522752', '1366294583578857472', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374714008472522753', '1366294583578857472', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374738862676512768', '1366294583234924544', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374759157332316160', '1366294586405818368', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374759157332316161', '1366294586405818368', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374759157332316162', '1366294586405818368', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374759157332316163', '1366294586405818368', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374880740474490880', '1340961483789570048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1374894168899457024', '1340957383198904320', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374894168899457025', '1340957383198904320', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374902262442364928', '1340961467532447744', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374906716805795840', '1340961427258740736', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374906716805795841', '1340961427258740736', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374921517074354176', '1340962572777689088', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1374922901056262144', '1340957451805134848', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374986618796118016', '1340961403057606656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374988696759177216', '1340961424264007680', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1374990449579790336', '1340961460154667008', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1374995696083668992', '1340962640062713856', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1374995696083668993', '1340962640062713856', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375007794285121536', '1340957464073474048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375012849100918784', '1340957333689339904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375014637795414016', '1340962296352083968', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375018701400707072', '1340957388622139392', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375018701400707073', '1340957388622139392', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375029129296089088', '1340961441380962304', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375029950830219264', '1366294587576029184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375034311232851968', '1340957432695885824', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375037561260609536', '1340962284553506816', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375037561260609537', '1340962284553506816', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375037561260609538', '1340962284553506816', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375037561260609539', '1340962284553506816', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375037561260609540', '1340962284553506816', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375037561260609541', '1340962284553506816', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375037891486552064', '1340957440795086848', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375040532992102400', '1340961505293766656', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375040532992102401', '1340961505293766656', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375040532992102402', '1340961505293766656', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375040532992102403', '1340961505293766656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375040532992102404', '1340961505293766656', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375040532992102405', '1340961505293766656', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375059958781054976', '1340961460116918272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375083476952420352', '1340962283735617536', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375091089358327808', '1340957343629840384', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375091089358327809', '1340957343629840384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375091089358327810', '1340957343629840384', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375091089358327811', '1340957343629840384', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375237349721640960', '1366294585986387968', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375237349721640961', '1366294585986387968', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375237349721640962', '1366294585986387968', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375237349721640963', '1366294585986387968', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375238447870119936', '1340961452504256512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375247749552934912', '1366294588343586816', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375258430993993728', '1366294583700492288', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375258430993993729', '1366294583700492288', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375258430993993730', '1366294583700492288', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375259586713489408', '1340957400768843776', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375259586713489409', '1340957400768843776', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375259586713489410', '1340957400768843776', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375260476467974144', '1366294584614850560', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375261246156312576', '1340961484758454272', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375261246156312577', '1340961484758454272', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375262279427297280', '1366294585835393024', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375262279427297281', '1366294585835393024', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375262279427297282', '1366294585835393024', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375262279427297283', '1366294585835393024', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375262279427297284', '1366294585835393024', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375263108569894912', '1340961407277076480', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375263192728604672', '1340957357231968256', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375263192728604673', '1340957357231968256', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375263277327716352', '1340957308234108928', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375265424551317504', '1340961525577420800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375270263192686592', '1340961422095552512', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375270263192686593', '1340961422095552512', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375270263192686594', '1340961422095552512', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375270263192686595', '1340961422095552512', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375270263192686596', '1340961422095552512', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375270832313602048', '1340957389742018560', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375270982176083968', '1340962290131931136', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375272518100848640', '1366294583469805568', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375274348667080704', '1340957354589556736', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375274348667080705', '1340957354589556736', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375275707890012160', '1340962578473553920', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375276411341901824', '1374916387302150144', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375278475203710976', '1340957404740849664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375278475203710977', '1340957404740849664', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375278475203710978', '1340957404740849664', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375279223358492672', '1366294588301643776', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375279223358492673', '1366294588301643776', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375279223358492674', '1366294588301643776', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375279223358492675', '1366294588301643776', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375281306329550848', '1366294587274039296', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375281306329550849', '1366294587274039296', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375281306329550850', '1366294587274039296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375281797218308096', '1366294588029014016', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375282086516232192', '1374916387281178624', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375282139918110720', '1340957316534636544', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375282139918110721', '1340957316534636544', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375282139918110722', '1340957316534636544', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375282139918110723', '1340957316534636544', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375284949162266624', '1340957461682720768', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375284949162266625', '1340957461682720768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375284949162266626', '1340957461682720768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375285215680925696', '1340961420946313216', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375287098734678016', '1374916387306344448', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375292656955035648', '1340957458667016192', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375292656955035649', '1340957458667016192', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375292656959229952', '1340957458667016192', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375292656959229953', '1340957458667016192', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375292656959229954', '1340957458667016192', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375292656959229955', '1340957458667016192', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375297448934772736', '1340957457203204096', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375311878846287872', '1374534686084304896', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375311878846287873', '1374534686084304896', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375311878846287874', '1374534686084304896', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375311878846287875', '1374534686084304896', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375311878846287876', '1374534686084304896', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375311878846287877', '1374534686084304896', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375314716167114752', '1340962278543069184', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375314716167114753', '1340962278543069184', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375314716167114754', '1340962278543069184', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375314716167114755', '1340962278543069184', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375322913724567552', '1366294586120605696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375334763816161280', '1374916387272790016', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375335139911012352', '1366294586451955712', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375335139911012353', '1366294586451955712', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375335139911012354', '1366294586451955712', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375335139911012355', '1366294586451955712', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375335139911012356', '1366294586451955712', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375335139911012357', '1366294586451955712', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375337881790451712', '1366294586481315840', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375337881790451713', '1366294586481315840', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375337881790451714', '1366294586481315840', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375338634009513984', '1340957470125854720', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375339256368730112', '1340957333769031680', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375343300415983616', '1340961401476354048', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375343300415983617', '1340961401476354048', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375343300415983618', '1340961401476354048', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375343300415983619', '1340961401476354048', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375343300415983620', '1340961401476354048', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1375343300415983621', '1340961401476354048', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375345905565306880', '1340957441159991296', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375369646840090624', '1366294588079345664', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375393614133334016', '1340957324075995136', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375394605117345792', '1340961416001228800', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375399733492846592', '1366294584073785344', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375401156905406464', '1340957437825519616', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375407143938822144', '1340957439763288064', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1375419368984416256', '1340957389972705280', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375430743601319936', '1340957298562043904', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375433811722113024', '1340957294648758272', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1375602251741138944', '1340961467062685696', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1375615701259259904', '1340961424813461504', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375617390674579456', '1374916387264401408', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1375617390674579457', '1374916387264401408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1375643426678247424', '1366294588121288704', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376123515048169472', '1340957290676752384', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1376123515052363776', '1340957290676752384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376129558444642304', '1340957425439739904', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1376129558444642305', '1340957425439739904', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376129558444642306', '1340957425439739904', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376129558444642307', '1340957425439739904', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1376129558444642308', '1340957425439739904', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1376129558444642309', '1340957425439739904', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376142553291821056', '1340957287711379456', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376175670924808192', '1340961517817958400', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376175670924808193', '1340961517817958400', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376281978634113024', '1340961525980073984', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1376281978634113025', '1340961525980073984', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376281978634113026', '1340961525980073984', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376314968093364224', '1340961463484944384', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376315423024353280', '1340957422524698624', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376317940558860288', '1340961517494996992', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1376317940558860289', '1340961517494996992', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376317940558860290', '1340961517494996992', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376317940558860291', '1340961517494996992', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1376317940558860292', '1340961517494996992', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1376317940558860293', '1340961517494996992', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376329476996206592', '1340957380384526336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376339773672787968', '1340957462064402432', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1376339773672787969', '1340957462064402432', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376349205282557952', '1340961517721489408', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1376349205282557953', '1340961517721489408', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1376349205282557954', '1340961517721489408', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1376349205282557955', '1340961517721489408', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1376349205282557956', '1340961517721489408', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376353118895345664', '1366294584551936000', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376355548416577536', '1366294584468049920', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376357802808840192', '1366294584505798656', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1376357802808840193', '1366294584505798656', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1376357802808840194', '1366294584505798656', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376462748325646336', '1366294588263895040', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1376463647181770752', '1340957453185060864', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1376767310999719936', '1327447426830831616', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1567771486750642176', '1567451914025701376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1567771486754836480', '1567451914025701376', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1567771486754836481', '1567451914025701376', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1567771486754836482', '1567451914025701376', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1567771486754836483', '1567451914025701376', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1567771486754836484', '1567451914025701376', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1569932417941245952', '1569928315261816832', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1570694505689124864', '1570252962423508992', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1570694505701707776', '1570252962423508992', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1572761887148478464', '1567337243285262336', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1572761887148478465', '1567337243285262336', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1572761887148478466', '1567337243285262336', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1581926892557176832', '1581888248500850688', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1581926892561371136', '1581888248500850688', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1589878971338723328', '1589877695318200320', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1589888527540293632', '1589887987989221376', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1594604652341628928', '1594603307282862080', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1599571836637679616', '1555010577007513600', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1599571836637679617', '1555010577007513600', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1599571836637679618', '1555010577007513600', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1607632103233687552', '1565939234546782208', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1607632103233687553', '1565939234546782208', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1607632103233687554', '1565939234546782208', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1607632103233687555', '1565939234546782208', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1610461905166667776', '1574653861665312768', '1308613243308216320', '金融');
INSERT INTO `train_user_tag` VALUES ('1610461905166667777', '1574653861665312768', '1308613285268033536', '寄递');
INSERT INTO `train_user_tag` VALUES ('1610461905166667778', '1574653861665312768', '1333570681039884288', '渠道');
INSERT INTO `train_user_tag` VALUES ('1610461905166667779', '1574653861665312768', '1333573963065987072', '邮务');
INSERT INTO `train_user_tag` VALUES ('1610461905166667780', '1574653861665312768', '1321057054542139392', '党建');
INSERT INTO `train_user_tag` VALUES ('1610461905166667781', '1574653861665312768', '1296649558033567744', '综合');
INSERT INTO `train_user_tag` VALUES ('1614438008809984000', '1579374510346473472', '1308613243308216320', '金融');

-- ----------------------------
-- Table structure for train_user_teaching
-- ----------------------------
DROP TABLE IF EXISTS `train_user_teaching`;
CREATE TABLE `train_user_teaching` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '培训编号',
  `name` varchar(30) DEFAULT NULL COMMENT '培训名称',
  `content` varchar(1024) DEFAULT NULL COMMENT '培训内容',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `org_id` bigint(20) DEFAULT NULL COMMENT '主办机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '主办机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '主办机构自定义编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '主办机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '主办部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '主办部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '主办部门名称',
  `images` json DEFAULT NULL COMMENT '图集',
  `video` json DEFAULT NULL COMMENT '视频',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、审核拒绝。1、待审核。10、已通过。',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `creat_user_tel` varchar(11) DEFAULT NULL COMMENT '创建人联系方式',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户授课经历';

-- ----------------------------
-- Records of train_user_teaching
-- ----------------------------
INSERT INTO `train_user_teaching` VALUES ('1575692741747281920', '202209300001', '个人培训', '培训', '2022-09-30 11:00:00', '2022-09-30 12:00:00', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', null, null, '求你们', '10', '', '1555010577007513600', '周老师', '15838150622', '001026', '2022-09-30 11:43:19');
INSERT INTO `train_user_teaching` VALUES ('1583100653906038784', '202210200001', '十一期间培训课程', '培训课程', '2022-10-20 22:18:00', '2022-10-20 23:18:00', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', null, null, '', '10', '', '1555010577007513600', '周老师', '15838150622', '001026', '2022-10-20 22:19:43');
INSERT INTO `train_user_teaching` VALUES ('1583340962132922368', '202210210002', '新的授课', '新的授课', '2022-10-21 14:13:00', '2022-10-21 16:13:00', '1353520240742502400', '001070', '06560500', '郑州邮区中心局', '1353520876376690688', '001070001', '单位领导部门', null, null, '', '1', null, '1555010577007513600', '周老师', '15838150622', '001026', '2022-10-21 14:14:37');
INSERT INTO `train_user_teaching` VALUES ('1583406122423947264', '202210210003', 'APP新增授课数据1901', '计算机三级手机上的好的吧继续继续先进技术九十九上课', '2022-10-21 18:32:00', '2022-10-22 18:32:00', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243844', '001003001', '单位领导部门', null, null, '哈哈哈哈南开', '10', '', '1574653861665312768', '李露', '15713872517', '001003004', '2022-10-21 18:33:33');
INSERT INTO `train_user_teaching` VALUES ('1585189332245942272', '202210260004', 'APP授课002', '记得记得几点结束快说快说看计算机三级睡觉睡觉睡觉', '2022-10-26 16:38:00', '2022-10-26 20:41:00', '1323441314737557535', '001009', '56530000', '洛阳市分公司本部', '1323441857644072984', '001009020', '服务质量部（普遍服务部）', null, null, '', '10', '', '1574653861665312768', '李露', '15713872517', '001003004', '2022-10-26 16:39:23');
INSERT INTO `train_user_teaching` VALUES ('1585206203972194304', '202210260005', '收了吧', '呃呃呃', '2022-08-26 17:45:00', '2022-09-26 17:45:00', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857514049541', '001001001', '单位领导部门', null, null, '哈哈哈', '10', '', '1572825817233362944', '灿', '15038157220', '001071', '2022-10-26 17:46:29');

-- ----------------------------
-- Table structure for train_user_teaching_scope
-- ----------------------------
DROP TABLE IF EXISTS `train_user_teaching_scope`;
CREATE TABLE `train_user_teaching_scope` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `teaching_id` bigint(20) DEFAULT NULL COMMENT '授课id',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构code',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '机构自定义code',
  `org_name` varchar(30) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `dept_name` varchar(30) DEFAULT NULL COMMENT '部门名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户授课经历培训范围';

-- ----------------------------
-- Records of train_user_teaching_scope
-- ----------------------------
INSERT INTO `train_user_teaching_scope` VALUES ('1575692958534078464', '1575692741747281920', '1323441314737557504', '001001', '56040000', '河南省培训中心', null, null, '课程');
INSERT INTO `train_user_teaching_scope` VALUES ('1583100654287720448', '1583100653906038784', '1323441314737557505', '001002', '56050000', '河南省信息技术局', null, null, '全体');
INSERT INTO `train_user_teaching_scope` VALUES ('1583340962246168576', '1583340962132922368', '1323441314737557504', '001001', '56040000', '河南省培训中心', null, null, '全体');
INSERT INTO `train_user_teaching_scope` VALUES ('1583340962279723008', '1583340962132922368', '1323441314737557505', '001002', '56050000', '河南省信息技术局', null, null, '全体');
INSERT INTO `train_user_teaching_scope` VALUES ('1583340962313277440', '1583340962132922368', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', null, null, '全体');
INSERT INTO `train_user_teaching_scope` VALUES ('1583406122528804864', '1583406122423947264', '1323441314737557504', '001001', '56040000', '河南省培训中心', null, null, '拒绝');
INSERT INTO `train_user_teaching_scope` VALUES ('1583406122562359296', '1583406122423947264', '1323441314737557504', '001001', '56040000', '河南省培训中心', null, null, '—：！就是');
INSERT INTO `train_user_teaching_scope` VALUES ('1585189332627623936', '1585189332245942272', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', null, null, '还是');
INSERT INTO `train_user_teaching_scope` VALUES ('1585206229440008192', '1585206203972194304', '1323441314733363200', '001', '56000000', '河南省分公司本部', null, null, '把');

-- ----------------------------
-- Table structure for train_user_training
-- ----------------------------
DROP TABLE IF EXISTS `train_user_training`;
CREATE TABLE `train_user_training` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '培训编号',
  `name` varchar(30) DEFAULT NULL COMMENT '培训名称',
  `address` varchar(255) DEFAULT NULL COMMENT '培训地址',
  `content` varchar(1024) DEFAULT NULL COMMENT '培训内容',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `org_id` bigint(20) DEFAULT NULL COMMENT '主办机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '主办机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '主办机构自定义编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '主办机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '主办部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '主办部门code',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '主办部门名称',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、审核拒绝。1、待审核。10、已通过。',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `creat_user_tel` varchar(11) DEFAULT NULL COMMENT '创建人联系方式',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户培训经历';

-- ----------------------------
-- Records of train_user_training
-- ----------------------------
INSERT INTO `train_user_training` VALUES ('1583102900882771968', '202210200001', '培训学习', '郑州', '培训学习', '2022-10-20 22:27:00', '2022-10-20 23:27:00', '1353520240742502400', '001070', '06560500', '郑州邮区中心局', '1353521269391364096', '001070004', '指挥调度中心', '培训学习', '10', '', '1555010577007513600', '周老师', '15838150622', '001026', '2022-10-20 22:28:39');
INSERT INTO `train_user_training` VALUES ('1583407601931128832', '202210210002', '培训记录经历上报1', '护手霜', '接电话的计算机三级睡觉', '2022-10-21 18:38:00', '2022-10-22 18:38:00', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466625', '001026', '非领导职务部门', 'u认不到你屌丝男士不是你说呢不是吧傻逼傻逼傻逼是不是你睡觉睡觉好的好的好是是是睡觉撒口啊啊哦泡水考计算机', '10', '', '1574653861665312768', '李露', '15713872517', '001003004', '2022-10-21 18:39:25');
INSERT INTO `train_user_training` VALUES ('1584431278764199936', '202210240003', '陆老师', '学府公馆', '发个哈哈哈', '2022-10-24 14:26:00', '2022-10-24 17:28:00', '1323441314737557505', '001002', '56050000', '河南省信息技术局', '1323441857514049547', '001002001', '单位领导部门', 'GG户口了', '10', '', '1570252962423508992', '李主任001', '15745874547', '001071', '2022-10-24 14:27:09');
INSERT INTO `train_user_training` VALUES ('1584431589117530112', '202210240004', '陆老师002', '天通苑南', 'GG火锅', '2022-10-24 14:27:00', '2022-10-24 14:29:00', '1323441314737557510', '001007', '56510000', '郑州市分公司本部', '1323441857555992577', '001007016', '单位领导部门--GAI', '腹股沟管', '10', '', '1570252962423508992', '李主任001', '15745874547', '001071', '2022-10-24 14:28:23');
INSERT INTO `train_user_training` VALUES ('1585203955598757888', '202210260005', '训练', '中国', '哈哈哈哈', '2021-10-26 17:36:00', '2022-09-26 17:36:00', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '单位领导部门', '还哈哈哈哈', '10', '嗯嗯', '1572825817233362944', '灿', '15038157220', '001071', '2022-10-26 17:37:29');
INSERT INTO `train_user_training` VALUES ('1585259952933572608', '202210260006', 'APP', '患得患失', '就介绍介绍', '2022-10-26 21:19:00', '2022-10-26 21:19:00', '1323441314737557506', '001003', '56090000', '河南省报刊发行局', '1323441857518243845', '001003002', '非领导职务部门', '', '10', '', '1574653861665312768', '李露', '15713872517', '001003004', '2022-10-26 21:20:00');

-- ----------------------------
-- Table structure for train_user_wrong
-- ----------------------------
DROP TABLE IF EXISTS `train_user_wrong`;
CREATE TABLE `train_user_wrong` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、练习题。2、试卷。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '用户习题id、用户考卷id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户错题本';

-- ----------------------------
-- Records of train_user_wrong
-- ----------------------------
INSERT INTO `train_user_wrong` VALUES ('1578951338375647232', '2', '1575754189202657280', '1565939234546782208', '1565588869397745664', '2022-10-09 11:31:49');
INSERT INTO `train_user_wrong` VALUES ('1585534710963113984', '2', '1585533680573616128', '1574653861665312768', '1575404402032906240', '2022-10-27 15:31:48');
INSERT INTO `train_user_wrong` VALUES ('1585535878967726080', '2', '1585534563143258112', '1574653861665312768', '1575404402032906240', '2022-10-27 15:36:26');
INSERT INTO `train_user_wrong` VALUES ('1592000806037622784', '2', '1592000589414404096', '1574653861665312768', '1575382894912868352', '2022-11-14 11:45:45');

-- ----------------------------
-- Table structure for train_user_wrong_question
-- ----------------------------
DROP TABLE IF EXISTS `train_user_wrong_question`;
CREATE TABLE `train_user_wrong_question` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `wrong_id` bigint(20) DEFAULT NULL COMMENT '错题本id',
  `test_paper_id` bigint(20) DEFAULT NULL COMMENT '试卷id',
  `test_paper_question_id` bigint(20) DEFAULT NULL COMMENT '考题id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户错题本题目';

-- ----------------------------
-- Records of train_user_wrong_question
-- ----------------------------
INSERT INTO `train_user_wrong_question` VALUES ('1578951338807660544', '1578951338375647232', '1565588869397745664', '1565639340619599872');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445632', '1585534710963113984', '1575404402032906240', '1575404402074849280');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445633', '1585534710963113984', '1575404402032906240', '1575404402074849285');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445634', '1585534710963113984', '1575404402032906240', '1575404402074849290');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445635', '1585534710963113984', '1575404402032906240', '1575404402074849295');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445636', '1585534710963113984', '1575404402032906240', '1575404402074849300');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445637', '1585534710963113984', '1575404402032906240', '1575404402074849301');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445638', '1585534710963113984', '1575404402032906240', '1575404402083237891');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445639', '1585534710963113984', '1575404402032906240', '1575404402083237892');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445640', '1585534710963113984', '1575404402032906240', '1575404402083237888');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711013445641', '1585534710963113984', '1575404402032906240', '1575404402083237889');
INSERT INTO `train_user_wrong_question` VALUES ('1585534711017639936', '1585534710963113984', '1575404402032906240', '1575404402083237890');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474816', '1585535878967726080', '1575404402032906240', '1575404402074849285');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474817', '1585535878967726080', '1575404402032906240', '1575404402074849290');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474818', '1585535878967726080', '1575404402032906240', '1575404402074849295');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474819', '1585535878967726080', '1575404402032906240', '1575404402074849300');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474820', '1585535878967726080', '1575404402032906240', '1575404402074849301');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474821', '1585535878967726080', '1575404402032906240', '1575404402083237891');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474822', '1585535878967726080', '1575404402032906240', '1575404402083237892');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474823', '1585535878967726080', '1575404402032906240', '1575404402083237888');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474824', '1585535878967726080', '1575404402032906240', '1575404402083237889');
INSERT INTO `train_user_wrong_question` VALUES ('1585535879005474825', '1585535878967726080', '1575404402032906240', '1575404402083237890');
INSERT INTO `train_user_wrong_question` VALUES ('1592000806096343041', '1592000806037622784', '1575382894912868352', '1575382895210663940');
INSERT INTO `train_user_wrong_question` VALUES ('1592000806096343042', '1592000806037622784', '1575382894912868352', '1575382895210663945');
INSERT INTO `train_user_wrong_question` VALUES ('1592000806096343043', '1592000806037622784', '1575382894912868352', '1575382895210663946');

-- ----------------------------
-- Table structure for train_user_year_points
-- ----------------------------
DROP TABLE IF EXISTS `train_user_year_points`;
CREATE TABLE `train_user_year_points` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `year` int(4) DEFAULT NULL COMMENT '年度',
  `rank` int(10) DEFAULT NULL COMMENT '排名',
  `points` bigint(20) DEFAULT NULL COMMENT '积分大小',
  `rank_num` int(10) DEFAULT NULL COMMENT '排名总数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户年度积分记录';

-- ----------------------------
-- Records of train_user_year_points
-- ----------------------------
INSERT INTO `train_user_year_points` VALUES ('127494500809211702', '1555010577007513600', '2023', '1', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500810375158', '1564137446730502144', '2023', '2', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500810632851', '1564137453919539200', '2023', '3', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500810925179', '1565939234546782208', '2023', '4', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500811136534', '1565939741671690240', '2023', '5', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500811346328', '1567097186544652288', '2023', '6', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500811552662', '1567451914025701376', '2023', '7', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500811764824', '1569928315261816832', '2023', '8', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500811964082', '1570252962423508992', '2023', '9', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500812171908', '1570254194114433024', '2023', '10', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500812379015', '1570254300393902080', '2023', '11', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500812584611', '1571750260521439232', '2023', '12', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500812791982', '1572825817233362944', '2023', '13', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500812995982', '1572826733831393280', '2023', '14', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500813199085', '1574653861665312768', '2023', '15', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500813399133', '1574656123775094784', '2023', '16', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500813604064', '1574656535395700736', '2023', '17', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500813806232', '1575324436016533504', '2023', '18', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500814007592', '1575733659590332416', '2023', '19', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500814206918', '1575734154828582912', '2023', '20', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500814700711', '1575742080498667520', '2023', '21', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500814912407', '1575742396715634688', '2023', '22', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500815184967', '1578618869008961536', '2023', '23', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500815418762', '1579362188123049984', '2023', '24', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500815622641', '1579367842850148352', '2023', '25', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500815833676', '1579374510346473472', '2023', '26', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500816039356', '1580103759026065408', '2023', '27', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500816236293', '1580753741991251968', '2023', '28', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500816449399', '1581886588420493312', '2023', '29', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500816667418', '1581888248500850688', '2023', '30', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500816873617', '1582642133595197440', '2023', '31', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500817076118', '1582691917341265920', '2023', '32', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500817285943', '1589496537845731328', '2023', '33', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500817554454', '1589496953836802048', '2023', '34', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500817760879', '1589497450408841216', '2023', '35', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500817968814', '1589502257060253696', '2023', '36', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500818179238', '1589510948744466432', '2023', '37', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500818384207', '1589512322240614400', '2023', '38', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500818590067', '1589513725826699264', '2023', '39', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500818793904', '1589519897493377024', '2023', '40', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500818999806', '1589529146432819200', '2023', '41', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500819201126', '1589549783712927744', '2023', '42', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500819413272', '1589787423250976768', '2023', '43', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500819609814', '1589788930155352064', '2023', '44', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500819808075', '1589789596093386752', '2023', '45', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500820108488', '1589790686671147008', '2023', '46', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500820318642', '1589793655986720768', '2023', '47', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500820518579', '1589794001580593152', '2023', '48', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500820714793', '1589796068487467008', '2023', '49', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500820912489', '1589868518332043264', '2023', '50', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500821113224', '1589877695318200320', '2023', '51', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500821319847', '1589887987989221376', '2023', '52', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500821517159', '1589902008373088256', '2023', '53', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500821713456', '1589904363642556416', '2023', '54', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500825423521', '1589912013692342272', '2023', '55', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500825935409', '1590165343635116032', '2023', '56', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500826148989', '1590171760580497408', '2023', '57', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500826348939', '1590181896380354560', '2023', '58', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500826543866', '1590183699834605568', '2023', '59', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500826743333', '1590186242115506176', '2023', '60', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500827002185', '1590582122773614592', '2023', '61', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500827205206', '1590586735358775296', '2023', '62', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500827394984', '1590587531555115008', '2023', '63', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500827726884', '1590610341195288576', '2023', '64', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500827920969', '1590639495596871680', '2023', '65', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500828122585', '1590648570665635840', '2023', '66', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500828378828', '1590949853146517504', '2023', '67', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500828576483', '1590952665850974208', '2023', '68', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500828771308', '1591967614425501696', '2023', '69', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500828961923', '1591989767631933440', '2023', '70', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500829179052', '1592015564858068992', '2023', '71', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500829386256', '1592034228969803776', '2023', '72', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500829577417', '1592077522693132288', '2023', '73', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500829765151', '1592720777000652800', '2023', '74', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500829952253', '1593126345620197376', '2023', '75', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500830309137', '1593130018354106368', '2023', '76', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500830497947', '1593172328945160192', '2023', '77', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500830685533', '1593447338142208000', '2023', '78', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500830874802', '1593449838584926208', '2023', '79', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500831058227', '1593454348137009152', '2023', '80', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500831242697', '1593478742355873792', '2023', '81', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500831433253', '1593479582902784000', '2023', '82', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500831637805', '1593482825254965248', '2023', '83', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500831887854', '1593489505036406784', '2023', '84', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500832071012', '1593491703745089536', '2023', '85', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500832249217', '1593509718448541696', '2023', '86', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500832435203', '1593516895204675584', '2023', '87', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500834390029', '1593532185497964544', '2023', '88', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500834694826', '1593842844030865408', '2023', '89', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500834904995', '1593852545346965504', '2023', '90', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500835090754', '1593855262131884032', '2023', '91', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500835270498', '1593856415510958080', '2023', '92', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500835473862', '1593862922424160256', '2023', '93', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500835653723', '1593864420877012992', '2023', '94', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500835828718', '1593865238464303104', '2023', '95', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500836000447', '1593885025168920576', '2023', '96', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500836258838', '1593893948823310336', '2023', '97', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500836437818', '1593895047307333632', '2023', '98', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500836616117', '1593895275678797824', '2023', '99', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500836794951', '1593908021333987328', '2023', '100', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500836973736', '1593917700583854080', '2023', '101', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500837150141', '1593937047876407296', '2023', '102', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500837424748', '1593939481117986816', '2023', '103', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500837679775', '1594171185472606208', '2023', '104', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500837858333', '1594172613977051136', '2023', '105', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500838051799', '1594176761233543168', '2023', '106', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500838228237', '1594182539172515840', '2023', '107', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500838407004', '1594189970099277824', '2023', '108', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500838587278', '1594190633659142144', '2023', '109', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500838779057', '1594194005799866368', '2023', '110', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500839044276', '1594196874573778944', '2023', '111', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500839224047', '1594200334652280832', '2023', '112', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500839405243', '1594203503994212352', '2023', '113', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500839576704', '1594236660655198208', '2023', '114', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500839760435', '1594243795166302208', '2023', '115', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500839940564', '1594512404811747328', '2023', '116', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500840246736', '1594596093570715648', '2023', '117', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500840466912', '1594603307282862080', '2023', '118', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500840643601', '1594612473548378112', '2023', '119', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500840844447', '1594876784518762496', '2023', '120', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500841019834', '1594884909942575104', '2023', '121', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500841198559', '1594934928573861888', '2023', '122', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500841378606', '1595251103560241152', '2023', '123', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500841560914', '1595290317471485952', '2023', '124', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500841740144', '1595299618307051520', '2023', '125', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500841991402', '1595332257508364288', '2023', '126', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500842176719', '1596789432940367872', '2023', '127', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500842366166', '1597216880005877760', '2023', '128', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500842683528', '1597217797556015104', '2023', '129', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500842863388', '1597218763445506048', '2023', '130', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500843042497', '1597223725911117824', '2023', '131', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500843221235', '1597224121203298304', '2023', '132', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500843392047', '1597225005823954944', '2023', '133', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500843562706', '1597402389248348160', '2023', '134', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500843745828', '1597464184969367552', '2023', '135', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500843923521', '1597467267455651840', '2023', '136', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500844095067', '1597467985432416256', '2023', '137', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500844270759', '1597479346963091456', '2023', '138', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500844450821', '1597480279696609280', '2023', '139', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500844618498', '1597482125739823104', '2023', '140', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500844796612', '1597485315180859392', '2023', '141', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500844976584', '1597486704833466368', '2023', '142', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500845166522', '1597489600065048576', '2023', '143', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500845345305', '1597495016090112000', '2023', '144', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('127494500845516068', '1597560618922151936', '2023', '145', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('128358500734460814', '1555010577007513600', '2023', '1', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735196501', '1564137446730502144', '2023', '2', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735347994', '1564137453919539200', '2023', '3', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735469061', '1565939234546782208', '2023', '4', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735582349', '1565939741671690240', '2023', '5', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735694919', '1567097186544652288', '2023', '6', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735806168', '1567451914025701376', '2023', '7', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500735920469', '1569928315261816832', '2023', '8', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736033111', '1570252962423508992', '2023', '9', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736145938', '1570254194114433024', '2023', '10', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736259703', '1570254300393902080', '2023', '11', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736474896', '1571750260521439232', '2023', '12', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736587702', '1572825817233362944', '2023', '13', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736702565', '1572826733831393280', '2023', '14', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736815176', '1574653861665312768', '2023', '15', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500736927499', '1574656123775094784', '2023', '16', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737046702', '1574656535395700736', '2023', '17', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737159979', '1575324436016533504', '2023', '18', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737275275', '1575733659590332416', '2023', '19', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737385572', '1575742080498667520', '2023', '20', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737498848', '1575742396715634688', '2023', '21', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737612095', '1578618869008961536', '2023', '22', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500737890245', '1579362188123049984', '2023', '23', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738007346', '1579367842850148352', '2023', '24', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738119976', '1579374510346473472', '2023', '25', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738230575', '1580103759026065408', '2023', '26', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738348294', '1580753741991251968', '2023', '27', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738463017', '1581886588420493312', '2023', '28', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738575568', '1581888248500850688', '2023', '29', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738688065', '1582642133595197440', '2023', '30', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738804489', '1582691917341265920', '2023', '31', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500738917647', '1589496537845731328', '2023', '32', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739031501', '1589496953836802048', '2023', '33', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739144293', '1589497450408841216', '2023', '34', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739260355', '1589502257060253696', '2023', '35', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739372157', '1589510948744466432', '2023', '36', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739482512', '1589512322240614400', '2023', '37', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739598596', '1589513725826699264', '2023', '38', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739712948', '1589519897493377024', '2023', '39', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739824222', '1589529146432819200', '2023', '40', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500739939608', '1589549783712927744', '2023', '41', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740182627', '1589787423250976768', '2023', '42', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740361484', '1589788930155352064', '2023', '43', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740461001', '1589789596093386752', '2023', '44', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740559276', '1589790686671147008', '2023', '45', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740770552', '1589793655986720768', '2023', '46', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740868362', '1589794001580593152', '2023', '47', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500740967139', '1589796068487467008', '2023', '48', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741065781', '1589868518332043264', '2023', '49', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741166062', '1589877695318200320', '2023', '50', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741264201', '1589887987989221376', '2023', '51', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741363306', '1589902008373088256', '2023', '52', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741462134', '1589904363642556416', '2023', '53', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741560232', '1589912013692342272', '2023', '54', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741659331', '1590165343635116032', '2023', '55', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741758993', '1590171760580497408', '2023', '56', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741860849', '1590181896380354560', '2023', '57', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500741961142', '1590183699834605568', '2023', '58', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742057432', '1590186242115506176', '2023', '59', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742155541', '1590582122773614592', '2023', '60', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742254379', '1590586735358775296', '2023', '61', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742352653', '1590587531555115008', '2023', '62', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742449954', '1590610341195288576', '2023', '63', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742546291', '1590639495596871680', '2023', '64', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742644301', '1590648570665635840', '2023', '65', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742743752', '1590949853146517504', '2023', '66', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742840024', '1590952665850974208', '2023', '67', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500742938568', '1591967614425501696', '2023', '68', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743037418', '1591989767631933440', '2023', '69', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743136431', '1592015564858068992', '2023', '70', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743236987', '1592034228969803776', '2023', '71', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743334682', '1592077522693132288', '2023', '72', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743431804', '1592720777000652800', '2023', '73', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743535607', '1593126345620197376', '2023', '74', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743632493', '1593130018354106368', '2023', '75', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743731439', '1593172328945160192', '2023', '76', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743828528', '1593447338142208000', '2023', '77', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500743927519', '1593449838584926208', '2023', '78', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744024999', '1593454348137009152', '2023', '79', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744124314', '1593478742355873792', '2023', '80', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744222351', '1593479582902784000', '2023', '81', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744319779', '1593482825254965248', '2023', '82', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744417823', '1593489505036406784', '2023', '83', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744515658', '1593491703745089536', '2023', '84', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744614796', '1593509718448541696', '2023', '85', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744717872', '1593516895204675584', '2023', '86', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744815672', '1593532185497964544', '2023', '87', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500744912794', '1593842844030865408', '2023', '88', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745010623', '1593852545346965504', '2023', '89', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745108852', '1593855262131884032', '2023', '90', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745208012', '1593856415510958080', '2023', '91', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745304584', '1593862922424160256', '2023', '92', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745401614', '1593864420877012992', '2023', '93', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745500759', '1593865238464303104', '2023', '94', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745598237', '1593885025168920576', '2023', '95', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745697134', '1593893948823310336', '2023', '96', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745794504', '1593895047307333632', '2023', '97', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745893743', '1593895275678797824', '2023', '98', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500745991083', '1593908021333987328', '2023', '99', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746088808', '1593917700583854080', '2023', '100', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746185939', '1593937047876407296', '2023', '101', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746283864', '1593939481117986816', '2023', '102', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746438315', '1594171185472606208', '2023', '103', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746655249', '1594172613977051136', '2023', '104', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746754945', '1594176761233543168', '2023', '105', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746853443', '1594182539172515840', '2023', '106', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500746951724', '1594189970099277824', '2023', '107', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747050507', '1594190633659142144', '2023', '108', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747148027', '1594194005799866368', '2023', '109', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747248112', '1594196874573778944', '2023', '110', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747346017', '1594200334652280832', '2023', '111', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747445412', '1594203503994212352', '2023', '112', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747544337', '1594236660655198208', '2023', '113', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747642194', '1594243795166302208', '2023', '114', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747740934', '1594512404811747328', '2023', '115', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747841324', '1594596093570715648', '2023', '116', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500747938388', '1594603307282862080', '2023', '117', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748037605', '1594612473548378112', '2023', '118', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748137995', '1594876784518762496', '2023', '119', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748237932', '1594884909942575104', '2023', '120', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748335894', '1594934928573861888', '2023', '121', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748433415', '1595251103560241152', '2023', '122', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748532584', '1595290317471485952', '2023', '123', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748631812', '1595299618307051520', '2023', '124', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748730264', '1595332257508364288', '2023', '125', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748830267', '1596789432940367872', '2023', '126', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500748928843', '1597216880005877760', '2023', '127', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749049881', '1597217797556015104', '2023', '128', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749257502', '1597218763445506048', '2023', '129', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749359261', '1597223725911117824', '2023', '130', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749457106', '1597224121203298304', '2023', '131', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749555201', '1597225005823954944', '2023', '132', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749656793', '1597402389248348160', '2023', '133', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749756605', '1597464184969367552', '2023', '134', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500749854742', '1597467267455651840', '2023', '135', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750056537', '1597467985432416256', '2023', '136', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750160943', '1597479346963091456', '2023', '137', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750264744', '1597480279696609280', '2023', '138', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750365794', '1597482125739823104', '2023', '139', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750467846', '1597485315180859392', '2023', '140', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750567022', '1597486704833466368', '2023', '141', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750667575', '1597489600065048576', '2023', '142', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750765498', '1597495016090112000', '2023', '143', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('128358500750866197', '1597560618922151936', '2023', '144', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500822329991', '1555010577007513600', '2023', '1', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500824005812', '1564137446730502144', '2023', '2', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500824230877', '1564137453919539200', '2023', '3', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500824428541', '1565939234546782208', '2023', '4', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500824620505', '1565939741671690240', '2023', '5', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500824816917', '1567097186544652288', '2023', '6', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500824999584', '1567451914025701376', '2023', '7', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500825194222', '1569928315261816832', '2023', '8', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500825381377', '1570252962423508992', '2023', '9', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500825564133', '1570254194114433024', '2023', '10', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500825748406', '1570254300393902080', '2023', '11', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500825936191', '1571750260521439232', '2023', '12', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500826127093', '1572825817233362944', '2023', '13', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500826310679', '1572826733831393280', '2023', '14', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500826679052', '1574653861665312768', '2023', '15', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500826871266', '1574656123775094784', '2023', '16', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500827055692', '1574656535395700736', '2023', '17', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500827248481', '1575324436016533504', '2023', '18', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500827428943', '1575733659590332416', '2023', '19', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500827647161', '1575742080498667520', '2023', '20', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500827915486', '1575742396715634688', '2023', '21', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500828175437', '1578618869008961536', '2023', '22', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500828450659', '1579362188123049984', '2023', '23', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500828669476', '1579367842850148352', '2023', '24', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500828923754', '1579374510346473472', '2023', '25', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500829162487', '1580103759026065408', '2023', '26', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500829375827', '1580753741991251968', '2023', '27', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500829667908', '1581886588420493312', '2023', '28', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500829962746', '1581888248500850688', '2023', '29', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500830454428', '1582642133595197440', '2023', '30', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500830689366', '1582691917341265920', '2023', '31', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500831223225', '1589496537845731328', '2023', '32', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500831520681', '1589496953836802048', '2023', '33', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500831722465', '1589497450408841216', '2023', '34', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500831914005', '1589502257060253696', '2023', '35', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500832106096', '1589510948744466432', '2023', '36', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500832398879', '1589512322240614400', '2023', '37', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500832570846', '1589513725826699264', '2023', '38', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500832739873', '1589519897493377024', '2023', '39', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500832911439', '1589529146432819200', '2023', '40', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500833085476', '1589549783712927744', '2023', '41', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500833254783', '1589787423250976768', '2023', '42', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500833424678', '1589788930155352064', '2023', '43', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500833595857', '1589789596093386752', '2023', '44', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500833838401', '1589790686671147008', '2023', '45', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500834098255', '1589793655986720768', '2023', '46', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500834289924', '1589794001580593152', '2023', '47', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500834461088', '1589796068487467008', '2023', '48', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500834631163', '1589868518332043264', '2023', '49', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500834804273', '1589877695318200320', '2023', '50', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500834980686', '1589887987989221376', '2023', '51', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500835150015', '1589902008373088256', '2023', '52', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500835321247', '1589904363642556416', '2023', '53', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500835490991', '1589912013692342272', '2023', '54', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500835667043', '1590165343635116032', '2023', '55', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500835834203', '1590171760580497408', '2023', '56', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500836005883', '1590181896380354560', '2023', '57', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500836181009', '1590183699834605568', '2023', '58', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500836349304', '1590186242115506176', '2023', '59', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500836583622', '1590582122773614592', '2023', '60', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500836813632', '1590586735358775296', '2023', '61', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500836986842', '1590587531555115008', '2023', '62', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500837156606', '1590610341195288576', '2023', '63', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500837548254', '1590639495596871680', '2023', '64', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500837880276', '1590648570665635840', '2023', '65', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500838064128', '1590949853146517504', '2023', '66', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500838247128', '1590952665850974208', '2023', '67', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500838485799', '1591967614425501696', '2023', '68', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500838663679', '1591989767631933440', '2023', '69', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500838841537', '1592015564858068992', '2023', '70', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500839013247', '1592034228969803776', '2023', '71', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500839192912', '1592077522693132288', '2023', '72', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500839372373', '1592720777000652800', '2023', '73', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500839544588', '1593126345620197376', '2023', '74', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500839719751', '1593130018354106368', '2023', '75', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500839899183', '1593172328945160192', '2023', '76', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500840220947', '1593447338142208000', '2023', '77', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500840394119', '1593449838584926208', '2023', '78', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500840573121', '1593454348137009152', '2023', '79', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500840743668', '1593478742355873792', '2023', '80', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500840921219', '1593479582902784000', '2023', '81', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500841092024', '1593482825254965248', '2023', '82', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500841336759', '1593489505036406784', '2023', '83', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500841653264', '1593491703745089536', '2023', '84', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500841888127', '1593509718448541696', '2023', '85', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500842121462', '1593516895204675584', '2023', '86', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500842336639', '1593532185497964544', '2023', '87', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500842994705', '1593842844030865408', '2023', '88', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500843170566', '1593852545346965504', '2023', '89', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500843341933', '1593855262131884032', '2023', '90', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500843515777', '1593856415510958080', '2023', '91', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500843691258', '1593862922424160256', '2023', '92', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500843869702', '1593864420877012992', '2023', '93', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500844040123', '1593865238464303104', '2023', '94', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500844214091', '1593885025168920576', '2023', '95', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500844400829', '1593893948823310336', '2023', '96', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500844578404', '1593895047307333632', '2023', '97', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500844767686', '1593895275678797824', '2023', '98', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500844946261', '1593908021333987328', '2023', '99', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500845138577', '1593917700583854080', '2023', '100', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500845318113', '1593937047876407296', '2023', '101', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500845497362', '1593939481117986816', '2023', '102', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500845666462', '1594171185472606208', '2023', '103', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500845850962', '1594172613977051136', '2023', '104', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500846022689', '1594176761233543168', '2023', '105', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500846193685', '1594182539172515840', '2023', '106', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500846364118', '1594189970099277824', '2023', '107', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500846534448', '1594190633659142144', '2023', '108', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500846706448', '1594194005799866368', '2023', '109', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500846876265', '1594196874573778944', '2023', '110', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500847049538', '1594200334652280832', '2023', '111', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500847217573', '1594203503994212352', '2023', '112', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500847389213', '1594236660655198208', '2023', '113', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500847561306', '1594243795166302208', '2023', '114', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500847729948', '1594512404811747328', '2023', '115', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500847902542', '1594596093570715648', '2023', '116', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500848071968', '1594603307282862080', '2023', '117', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500848247535', '1594612473548378112', '2023', '118', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500848417317', '1594876784518762496', '2023', '119', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500848589594', '1594884909942575104', '2023', '120', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500848764494', '1594934928573861888', '2023', '121', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500848943466', '1595251103560241152', '2023', '122', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500849117342', '1595290317471485952', '2023', '123', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500849295367', '1595299618307051520', '2023', '124', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500849473914', '1595332257508364288', '2023', '125', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500849643231', '1596789432940367872', '2023', '126', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500849814382', '1597216880005877760', '2023', '127', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500850106869', '1597217797556015104', '2023', '128', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500850424798', '1597218763445506048', '2023', '129', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500850676964', '1597223725911117824', '2023', '130', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500850855146', '1597224121203298304', '2023', '131', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500851032807', '1597225005823954944', '2023', '132', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500851209186', '1597402389248348160', '2023', '133', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500851495614', '1597464184969367552', '2023', '134', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500851673973', '1597467267455651840', '2023', '135', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500851861718', '1597467985432416256', '2023', '136', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500852035893', '1597479346963091456', '2023', '137', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500852212374', '1597480279696609280', '2023', '138', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500852390213', '1597482125739823104', '2023', '139', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500852567799', '1597485315180859392', '2023', '140', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500852746214', '1597486704833466368', '2023', '141', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500852928256', '1597489600065048576', '2023', '142', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500853100638', '1597495016090112000', '2023', '143', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('130950500853284556', '1597560618922151936', '2023', '144', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122375955962393', '1555010577007513600', '2023', '1', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376044486592', '1564137446730502144', '2023', '2', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376070394556', '1564137453919539200', '2023', '3', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376088586733', '1565939234546782208', '2023', '4', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376105160498', '1565939741671690240', '2023', '5', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376122173360', '1567097186544652288', '2023', '6', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376138051466', '1567451914025701376', '2023', '7', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376154486689', '1569928315261816832', '2023', '8', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376168978962', '1570252962423508992', '2023', '9', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376183518705', '1570254194114433024', '2023', '10', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376198293743', '1570254300393902080', '2023', '11', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376212952474', '1571750260521439232', '2023', '12', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376227711107', '1572825817233362944', '2023', '13', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376242044376', '1572826733831393280', '2023', '14', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376256759333', '1574653861665312768', '2023', '15', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376272821154', '1574656123775094784', '2023', '16', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376287766465', '1574656535395700736', '2023', '17', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376320786673', '1575324436016533504', '2023', '18', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376336024170', '1575733659590332416', '2023', '19', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376350753500', '1575742080498667520', '2023', '20', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376365179672', '1575742396715634688', '2023', '21', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376379912311', '1578618869008961536', '2023', '22', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376394424321', '1579362188123049984', '2023', '23', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376409086696', '1579367842850148352', '2023', '24', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376423668620', '1579374510346473472', '2023', '25', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376437954436', '1580103759026065408', '2023', '26', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376452637357', '1580753741991251968', '2023', '27', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376467005259', '1581886588420493312', '2023', '28', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376481512581', '1581888248500850688', '2023', '29', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376495938407', '1582642133595197440', '2023', '30', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376510405491', '1582691917341265920', '2023', '31', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376524840307', '1589496537845731328', '2023', '32', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376539134381', '1589496953836802048', '2023', '33', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376553721220', '1589497450408841216', '2023', '34', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376568497517', '1589502257060253696', '2023', '35', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376583058703', '1589510948744466432', '2023', '36', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376597356142', '1589512322240614400', '2023', '37', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376613053301', '1589513725826699264', '2023', '38', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376627676388', '1589519897493377024', '2023', '39', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376641931256', '1589529146432819200', '2023', '40', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376656267921', '1589549783712927744', '2023', '41', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376670847167', '1589787423250976768', '2023', '42', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376685246633', '1589788930155352064', '2023', '43', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376699454282', '1589789596093386752', '2023', '44', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376714564198', '1589790686671147008', '2023', '45', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376730100960', '1589793655986720768', '2023', '46', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376745579721', '1589794001580593152', '2023', '47', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376760304727', '1589796068487467008', '2023', '48', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376774737377', '1589868518332043264', '2023', '49', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376789502442', '1589877695318200320', '2023', '50', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376803882701', '1589887987989221376', '2023', '51', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376818416675', '1589902008373088256', '2023', '52', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376832861349', '1589904363642556416', '2023', '53', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376847704297', '1589912013692342272', '2023', '54', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376862365850', '1590165343635116032', '2023', '55', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376876844236', '1590171760580497408', '2023', '56', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376891410573', '1590181896380354560', '2023', '57', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376905561195', '1590183699834605568', '2023', '58', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376920193656', '1590186242115506176', '2023', '59', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376943426719', '1590582122773614592', '2023', '60', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376957027677', '1590586735358775296', '2023', '61', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376970452331', '1590587531555115008', '2023', '62', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376983825756', '1590610341195288576', '2023', '63', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122376997145334', '1590639495596871680', '2023', '64', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377020532501', '1590648570665635840', '2023', '65', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377034061349', '1590949853146517504', '2023', '66', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377048090314', '1590952665850974208', '2023', '67', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377061921392', '1591967614425501696', '2023', '68', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377075456300', '1591989767631933440', '2023', '69', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377089525804', '1592015564858068992', '2023', '70', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377110541203', '1592034228969803776', '2023', '71', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377125768225', '1592077522693132288', '2023', '72', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377139325138', '1592720777000652800', '2023', '73', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377152506956', '1593126345620197376', '2023', '74', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377166107711', '1593130018354106368', '2023', '75', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377179655953', '1593172328945160192', '2023', '76', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377193358700', '1593447338142208000', '2023', '77', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377207146281', '1593449838584926208', '2023', '78', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377220519624', '1593454348137009152', '2023', '79', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377234343356', '1593478742355873792', '2023', '80', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377247746604', '1593479582902784000', '2023', '81', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377261117324', '1593482825254965248', '2023', '82', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377274526319', '1593489505036406784', '2023', '83', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377288122164', '1593491703745089536', '2023', '84', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377308436406', '1593509718448541696', '2023', '85', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377322061780', '1593516895204675584', '2023', '86', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377335841174', '1593532185497964544', '2023', '87', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377349213974', '1593842844030865408', '2023', '88', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377362829415', '1593852545346965504', '2023', '89', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377376369621', '1593855262131884032', '2023', '90', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377390076571', '1593856415510958080', '2023', '91', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377403478626', '1593862922424160256', '2023', '92', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377416805222', '1593864420877012992', '2023', '93', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377430294512', '1593865238464303104', '2023', '94', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377443670553', '1593885025168920576', '2023', '95', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377457523746', '1593893948823310336', '2023', '96', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377470825370', '1593895047307333632', '2023', '97', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377484044600', '1593895275678797824', '2023', '98', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377497434214', '1593908021333987328', '2023', '99', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377512070912', '1593917700583854080', '2023', '100', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377525544631', '1593937047876407296', '2023', '101', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377539254931', '1593939481117986816', '2023', '102', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377552622274', '1594171185472606208', '2023', '103', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377566041776', '1594172613977051136', '2023', '104', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377579420184', '1594176761233543168', '2023', '105', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377592867411', '1594182539172515840', '2023', '106', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377606166593', '1594189970099277824', '2023', '107', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377619776592', '1594190633659142144', '2023', '108', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377633242218', '1594194005799866368', '2023', '109', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377646583528', '1594196874573778944', '2023', '110', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377660164639', '1594200334652280832', '2023', '111', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377674054687', '1594203503994212352', '2023', '112', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377687337749', '1594236660655198208', '2023', '113', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377700769479', '1594243795166302208', '2023', '114', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377714241915', '1594512404811747328', '2023', '115', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377727686962', '1594596093570715648', '2023', '116', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377751006594', '1594603307282862080', '2023', '117', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377764719207', '1594612473548378112', '2023', '118', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377778235446', '1594876784518762496', '2023', '119', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377791708638', '1594884909942575104', '2023', '120', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377805240985', '1594934928573861888', '2023', '121', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377819021983', '1595251103560241152', '2023', '122', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377832425658', '1595290317471485952', '2023', '123', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377845936631', '1595299618307051520', '2023', '124', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377859170109', '1595332257508364288', '2023', '125', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377872912334', '1596789432940367872', '2023', '126', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377886126733', '1597216880005877760', '2023', '127', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377900172900', '1597217797556015104', '2023', '128', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377918536929', '1597218763445506048', '2023', '129', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377933387550', '1597223725911117824', '2023', '130', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377953575321', '1597224121203298304', '2023', '131', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377967746633', '1597225005823954944', '2023', '132', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377981264286', '1597402389248348160', '2023', '133', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122377995334356', '1597464184969367552', '2023', '134', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378018745548', '1597467267455651840', '2023', '135', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378033333700', '1597467985432416256', '2023', '136', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378047052451', '1597479346963091456', '2023', '137', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378061351250', '1597480279696609280', '2023', '138', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378074702121', '1597482125739823104', '2023', '139', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378088140661', '1597485315180859392', '2023', '140', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378101604523', '1597486704833466368', '2023', '141', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378114964414', '1597489600065048576', '2023', '142', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378128227984', '1597495016090112000', '2023', '143', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('477122378142007126', '1597560618922151936', '2023', '144', '0', '144');
INSERT INTO `train_user_year_points` VALUES ('1555206934968274944', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1556656484727787520', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1561367519237902336', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1562092295971540992', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1562454684000718848', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1562817071585300480', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1563179459908079616', '1555010577007513600', '2022', '1', '0', '1');
INSERT INTO `train_user_year_points` VALUES ('1564629009948610560', '1555010577007513600', '2022', '1', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564629009948610561', '1564137446730502144', '2022', '2', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564629009948610562', '1564137453919539200', '2022', '3', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564991397805821952', '1555010577007513600', '2022', '1', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564991397805821953', '1564137446730502144', '2022', '2', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564991397805821954', '1564137453919539200', '2022', '3', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564991397935845376', '1555010577007513600', '2022', '1', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564991397956816896', '1564137446730502144', '2022', '2', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1564991397956816897', '1564137453919539200', '2022', '3', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1565353785679810560', '1555010577007513600', '2022', '1', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1565353785679810561', '1564137446730502144', '2022', '2', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1565353785679810562', '1564137453919539200', '2022', '3', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1565716173578964992', '1555010577007513600', '2022', '1', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1565716173583159296', '1564137446730502144', '2022', '2', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1565716173583159297', '1564137453919539200', '2022', '3', '0', '3');
INSERT INTO `train_user_year_points` VALUES ('1566078561411010560', '1555010577007513600', '2022', '1', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566078561411010561', '1564137446730502144', '2022', '2', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566078561411010562', '1564137453919539200', '2022', '3', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566078561411010563', '1565939234546782208', '2022', '4', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566078561411010564', '1565939741671690240', '2022', '5', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566440949339525120', '1555010577007513600', '2022', '1', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566440949339525121', '1564137446730502144', '2022', '2', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566440949339525122', '1564137453919539200', '2022', '3', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566440949339525123', '1565939234546782208', '2022', '4', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566440949339525124', '1565939741671690240', '2022', '5', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337154793472', '1555010577007513600', '2022', '1', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337158987776', '1564137446730502144', '2022', '2', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337158987777', '1564137453919539200', '2022', '3', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337158987778', '1565939234546782208', '2022', '4', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337158987779', '1565939741671690240', '2022', '5', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337473560576', '1555010577007513600', '2022', '1', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337481949184', '1564137446730502144', '2022', '2', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337481949185', '1564137453919539200', '2022', '3', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337481949186', '1565939234546782208', '2022', '4', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566803337481949187', '1565939741671690240', '2022', '5', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566951045836443648', '1555010577007513600', '2022', '1', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566951045836443649', '1564137446730502144', '2022', '2', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566951045836443650', '1564137453919539200', '2022', '3', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566951045836443651', '1565939234546782208', '2022', '4', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1566951045836443652', '1565939741671690240', '2022', '5', '0', '5');
INSERT INTO `train_user_year_points` VALUES ('1567165725037170688', '1555010577007513600', '2022', '1', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567165725041364992', '1564137446730502144', '2022', '2', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567165725041364993', '1564137453919539200', '2022', '3', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567165725041364994', '1565939234546782208', '2022', '4', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567165725041364995', '1565939741671690240', '2022', '5', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567165725041364996', '1567097187236712448', '2022', '6', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567165725041364997', '1567097854558867456', '2022', '7', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742208', '1555010577007513600', '2022', '1', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742209', '1564137446730502144', '2022', '2', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742210', '1564137453919539200', '2022', '3', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742211', '1565939234546782208', '2022', '4', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742212', '1565939741671690240', '2022', '5', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742213', '1567337243285262336', '2022', '6', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567528112923742214', '1567451914025701376', '2022', '7', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500755787776', '1555010577007513600', '2022', '1', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500759982080', '1564137446730502144', '2022', '2', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500759982081', '1564137453919539200', '2022', '3', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500759982082', '1565939234546782208', '2022', '4', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500759982083', '1565939741671690240', '2022', '5', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500759982084', '1567337243285262336', '2022', '6', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1567890500759982085', '1567451914025701376', '2022', '7', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883840516096', '1555010577007513600', '2022', '1', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883844710400', '1564137446730502144', '2022', '2', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883844710401', '1564137453919539200', '2022', '3', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883844710402', '1565939234546782208', '2022', '4', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883844710403', '1565939741671690240', '2022', '5', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883844710404', '1567337243285262336', '2022', '6', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1568977883844710405', '1567451914025701376', '2022', '7', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440016678912', '1555010577007513600', '2022', '1', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440025067520', '1564137446730502144', '2022', '2', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440025067521', '1564137453919539200', '2022', '3', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440025067522', '1565939234546782208', '2022', '4', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440025067523', '1565939741671690240', '2022', '5', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440025067524', '1567337243285262336', '2022', '6', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1569702440025067525', '1567451914025701376', '2022', '7', '0', '7');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558656', '1555010577007513600', '2022', '1', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558657', '1564137446730502144', '2022', '2', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558658', '1564137453919539200', '2022', '3', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558659', '1565939234546782208', '2022', '4', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558660', '1565939741671690240', '2022', '5', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558661', '1567337243285262336', '2022', '6', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558662', '1567451914025701376', '2022', '7', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064827823558663', '1569928315261816832', '2022', '8', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828205240320', '1555010577007513600', '2022', '1', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434624', '1564137446730502144', '2022', '2', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434625', '1564137453919539200', '2022', '3', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434626', '1565939234546782208', '2022', '4', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434627', '1565939741671690240', '2022', '5', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434628', '1567337243285262336', '2022', '6', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434629', '1567451914025701376', '2022', '7', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064828209434630', '1569928315261816832', '2022', '8', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830872817664', '1555010577007513600', '2022', '1', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898048', '1564137446730502144', '2022', '2', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898049', '1564137453919539200', '2022', '3', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898050', '1565939234546782208', '2022', '4', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898051', '1565939741671690240', '2022', '5', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898052', '1567337243285262336', '2022', '6', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898053', '1567451914025701376', '2022', '7', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570064830960898054', '1569928315261816832', '2022', '8', '0', '8');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547264', '1555010577007513600', '2022', '1', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547265', '1564137446730502144', '2022', '2', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547266', '1564137453919539200', '2022', '3', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547267', '1565939234546782208', '2022', '4', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547268', '1565939741671690240', '2022', '5', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547269', '1567337243285262336', '2022', '6', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547270', '1567451914025701376', '2022', '7', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547271', '1569928315261816832', '2022', '8', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547272', '1570252962423508992', '2022', '9', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547273', '1570254194114433024', '2022', '10', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215697547274', '1570254300393902080', '2022', '11', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215819182080', '1555010577007513600', '2022', '1', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376384', '1564137446730502144', '2022', '2', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376385', '1564137453919539200', '2022', '3', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376386', '1565939234546782208', '2022', '4', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376387', '1565939741671690240', '2022', '5', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376388', '1567337243285262336', '2022', '6', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376389', '1567451914025701376', '2022', '7', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376390', '1569928315261816832', '2022', '8', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376391', '1570252962423508992', '2022', '9', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376392', '1570254194114433024', '2022', '10', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570427215823376393', '1570254300393902080', '2022', '11', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147264', '1555010577007513600', '2022', '1', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147265', '1564137446730502144', '2022', '2', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147266', '1564137453919539200', '2022', '3', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147267', '1565939234546782208', '2022', '4', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147268', '1565939741671690240', '2022', '5', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147269', '1567337243285262336', '2022', '6', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147270', '1567451914025701376', '2022', '7', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147271', '1569928315261816832', '2022', '8', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147272', '1570252962423508992', '2022', '9', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147273', '1570254194114433024', '2022', '10', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603563147274', '1570254300393902080', '2022', '11', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919424', '1555010577007513600', '2022', '1', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919425', '1564137446730502144', '2022', '2', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919426', '1564137453919539200', '2022', '3', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919427', '1565939234546782208', '2022', '4', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919428', '1565939741671690240', '2022', '5', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919429', '1567337243285262336', '2022', '6', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919430', '1567451914025701376', '2022', '7', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919431', '1569928315261816832', '2022', '8', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919432', '1570252962423508992', '2022', '9', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919433', '1570254194114433024', '2022', '10', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1570789603730919434', '1570254300393902080', '2022', '11', '0', '11');
INSERT INTO `train_user_year_points` VALUES ('1571876768346935296', '1555010577007513600', '2022', '1', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129600', '1564137446730502144', '2022', '2', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129601', '1564137453919539200', '2022', '3', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129602', '1565939234546782208', '2022', '4', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129603', '1565939741671690240', '2022', '5', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129604', '1567337243285262336', '2022', '6', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129605', '1567451914025701376', '2022', '7', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129606', '1569928315261816832', '2022', '8', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129607', '1570252962423508992', '2022', '9', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129608', '1570254194114433024', '2022', '10', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129609', '1570254300393902080', '2022', '11', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768351129610', '1571750260521439232', '2022', '12', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768757977088', '1555010577007513600', '2022', '1', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171392', '1564137446730502144', '2022', '2', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171393', '1564137453919539200', '2022', '3', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171394', '1565939234546782208', '2022', '4', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171395', '1565939741671690240', '2022', '5', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171396', '1567337243285262336', '2022', '6', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171397', '1567451914025701376', '2022', '7', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171398', '1569928315261816832', '2022', '8', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171399', '1570252962423508992', '2022', '9', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171400', '1570254194114433024', '2022', '10', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171401', '1570254300393902080', '2022', '11', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1571876768762171402', '1571750260521439232', '2022', '12', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987776', '1555010577007513600', '2022', '1', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987777', '1564137446730502144', '2022', '2', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987778', '1564137453919539200', '2022', '3', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987779', '1565939234546782208', '2022', '4', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987780', '1565939741671690240', '2022', '5', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987781', '1567337243285262336', '2022', '6', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987782', '1567451914025701376', '2022', '7', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987783', '1569928315261816832', '2022', '8', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987784', '1570252962423508992', '2022', '9', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987785', '1570254194114433024', '2022', '10', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987786', '1570254300393902080', '2022', '11', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155142987787', '1571750260521439232', '2022', '12', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155151376384', '1555010577007513600', '2022', '1', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155151376385', '1564137446730502144', '2022', '2', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570688', '1564137453919539200', '2022', '3', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570689', '1565939234546782208', '2022', '4', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570690', '1565939741671690240', '2022', '5', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570691', '1567337243285262336', '2022', '6', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570692', '1567451914025701376', '2022', '7', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570693', '1569928315261816832', '2022', '8', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570694', '1570252962423508992', '2022', '9', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570695', '1570254194114433024', '2022', '10', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570696', '1570254300393902080', '2022', '11', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572239155155570697', '1571750260521439232', '2022', '12', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543075696640', '1555010577007513600', '2022', '1', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890944', '1564137446730502144', '2022', '2', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890945', '1564137453919539200', '2022', '3', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890946', '1565939234546782208', '2022', '4', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890947', '1565939741671690240', '2022', '5', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890948', '1567337243285262336', '2022', '6', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890949', '1567451914025701376', '2022', '7', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890950', '1569928315261816832', '2022', '8', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890951', '1570252962423508992', '2022', '9', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890952', '1570254194114433024', '2022', '10', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890953', '1570254300393902080', '2022', '11', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572601543079890954', '1571750260521439232', '2022', '12', '0', '12');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135872', '1555010577007513600', '2022', '1', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135873', '1564137446730502144', '2022', '2', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135874', '1564137453919539200', '2022', '3', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135875', '1565939234546782208', '2022', '4', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135876', '1565939741671690240', '2022', '5', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135877', '1567097186544652288', '2022', '6', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135878', '1567451914025701376', '2022', '7', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135879', '1569928315261816832', '2022', '8', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135880', '1570252962423508992', '2022', '9', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135881', '1570254194114433024', '2022', '10', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135882', '1570254300393902080', '2022', '11', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135883', '1571750260521439232', '2022', '12', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135884', '1572825817233362944', '2022', '13', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930765135885', '1572826733831393280', '2022', '14', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547904', '1555010577007513600', '2022', '1', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547905', '1564137446730502144', '2022', '2', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547906', '1564137453919539200', '2022', '3', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547907', '1565939234546782208', '2022', '4', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547908', '1565939741671690240', '2022', '5', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547909', '1567097186544652288', '2022', '6', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547910', '1567451914025701376', '2022', '7', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547911', '1569928315261816832', '2022', '8', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547912', '1570252962423508992', '2022', '9', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547913', '1570254194114433024', '2022', '10', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547914', '1570254300393902080', '2022', '11', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547915', '1571750260521439232', '2022', '12', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547916', '1572825817233362944', '2022', '13', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1572963930903547917', '1572826733831393280', '2022', '14', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116893900800', '1555010577007513600', '2022', '1', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289408', '1564137446730502144', '2022', '2', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289409', '1564137453919539200', '2022', '3', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289410', '1565939234546782208', '2022', '4', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289411', '1565939741671690240', '2022', '5', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289412', '1567097186544652288', '2022', '6', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289413', '1567451914025701376', '2022', '7', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289414', '1569928315261816832', '2022', '8', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289415', '1570252962423508992', '2022', '9', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289416', '1570254194114433024', '2022', '10', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289417', '1570254300393902080', '2022', '11', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289418', '1571750260521439232', '2022', '12', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289419', '1572825817233362944', '2022', '13', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573115116902289420', '1572826733831393280', '2022', '14', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318894977024', '1555010577007513600', '2022', '1', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559936', '1564137446730502144', '2022', '2', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559937', '1564137453919539200', '2022', '3', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559938', '1565939234546782208', '2022', '4', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559939', '1565939741671690240', '2022', '5', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559940', '1567097186544652288', '2022', '6', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559941', '1567451914025701376', '2022', '7', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559942', '1569928315261816832', '2022', '8', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559943', '1570252962423508992', '2022', '9', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559944', '1570254194114433024', '2022', '10', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559945', '1570254300393902080', '2022', '11', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559946', '1571750260521439232', '2022', '12', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559947', '1572825817233362944', '2022', '13', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326318907559948', '1572826733831393280', '2022', '14', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319608008704', '1555010577007513600', '2022', '1', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757440', '1564137446730502144', '2022', '2', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757441', '1564137453919539200', '2022', '3', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757442', '1565939234546782208', '2022', '4', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757443', '1565939741671690240', '2022', '5', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757444', '1567097186544652288', '2022', '6', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757445', '1567451914025701376', '2022', '7', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757446', '1569928315261816832', '2022', '8', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757447', '1570252962423508992', '2022', '9', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757448', '1570254194114433024', '2022', '10', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757449', '1570254300393902080', '2022', '11', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757450', '1571750260521439232', '2022', '12', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757451', '1572825817233362944', '2022', '13', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1573326319645757452', '1572826733831393280', '2022', '14', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393472', '1555010577007513600', '2022', '1', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393473', '1564137446730502144', '2022', '2', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393474', '1564137453919539200', '2022', '3', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393475', '1565939234546782208', '2022', '4', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393476', '1565939741671690240', '2022', '5', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393477', '1567097186544652288', '2022', '6', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393478', '1567451914025701376', '2022', '7', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393479', '1569928315261816832', '2022', '8', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393480', '1570252962423508992', '2022', '9', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393481', '1570254194114433024', '2022', '10', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393482', '1570254300393902080', '2022', '11', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393483', '1571750260521439232', '2022', '12', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393484', '1572825817233362944', '2022', '13', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574413482332393485', '1572826733831393280', '2022', '14', '0', '14');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107392', '1570252962423508992', '2022', '1', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107393', '1574656535395700736', '2022', '2', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107394', '1574656123775094784', '2022', '3', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107395', '1574653861665312768', '2022', '4', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107396', '1572826733831393280', '2022', '5', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107397', '1572825817233362944', '2022', '6', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107398', '1571750260521439232', '2022', '7', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107399', '1570254300393902080', '2022', '8', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107400', '1570254194114433024', '2022', '9', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107401', '1555010577007513600', '2022', '10', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107402', '1569928315261816832', '2022', '11', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107403', '1567451914025701376', '2022', '12', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107404', '1567097186544652288', '2022', '13', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107405', '1565939741671690240', '2022', '14', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107406', '1565939234546782208', '2022', '15', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107407', '1564137453919539200', '2022', '16', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870114107408', '1564137446730502144', '2022', '17', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870172827648', '1570252962423508992', '2022', '1', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021952', '1574656535395700736', '2022', '2', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021953', '1574656123775094784', '2022', '3', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021954', '1574653861665312768', '2022', '4', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021955', '1572826733831393280', '2022', '5', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021956', '1572825817233362944', '2022', '6', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021957', '1571750260521439232', '2022', '7', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021958', '1570254300393902080', '2022', '8', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021959', '1570254194114433024', '2022', '9', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021960', '1555010577007513600', '2022', '10', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021961', '1569928315261816832', '2022', '11', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021962', '1567451914025701376', '2022', '12', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021963', '1567097186544652288', '2022', '13', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021964', '1565939741671690240', '2022', '14', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021965', '1565939234546782208', '2022', '15', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021966', '1564137453919539200', '2022', '16', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870177021967', '1564137446730502144', '2022', '17', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870650978304', '1570252962423508992', '2022', '1', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172608', '1574656535395700736', '2022', '2', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172609', '1574656123775094784', '2022', '3', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172610', '1574653861665312768', '2022', '4', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172611', '1572826733831393280', '2022', '5', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172612', '1572825817233362944', '2022', '6', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172613', '1571750260521439232', '2022', '7', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172614', '1570254300393902080', '2022', '8', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172615', '1570254194114433024', '2022', '9', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172616', '1555010577007513600', '2022', '10', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172617', '1569928315261816832', '2022', '11', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172618', '1567451914025701376', '2022', '12', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172619', '1567097186544652288', '2022', '13', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172620', '1565939741671690240', '2022', '14', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172621', '1565939234546782208', '2022', '15', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172622', '1564137453919539200', '2022', '16', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1574775870655172623', '1564137446730502144', '2022', '17', '0', '17');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752960', '1570254194114433024', '2022', '1', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752961', '1575324436016533504', '2022', '2', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752962', '1574656535395700736', '2022', '3', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752963', '1574656123775094784', '2022', '4', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752964', '1574653861665312768', '2022', '5', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752965', '1572826733831393280', '2022', '6', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752966', '1572825817233362944', '2022', '7', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752967', '1571750260521439232', '2022', '8', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752968', '1570254300393902080', '2022', '9', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752969', '1555010577007513600', '2022', '10', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752970', '1570252962423508992', '2022', '11', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752971', '1569928315261816832', '2022', '12', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752972', '1567451914025701376', '2022', '13', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752973', '1567097186544652288', '2022', '14', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752974', '1565939741671690240', '2022', '15', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752975', '1565939234546782208', '2022', '16', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752976', '1564137453919539200', '2022', '17', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575500645811752977', '1564137446730502144', '2022', '18', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652797812736', '1570254194114433024', '2022', '1', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007040', '1575324436016533504', '2022', '2', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007041', '1574656535395700736', '2022', '3', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007042', '1574656123775094784', '2022', '4', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007043', '1574653861665312768', '2022', '5', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007044', '1572826733831393280', '2022', '6', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007045', '1572825817233362944', '2022', '7', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007046', '1571750260521439232', '2022', '8', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007047', '1570254300393902080', '2022', '9', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007048', '1555010577007513600', '2022', '10', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007049', '1570252962423508992', '2022', '11', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007050', '1569928315261816832', '2022', '12', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007051', '1567451914025701376', '2022', '13', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007052', '1567097186544652288', '2022', '14', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007053', '1565939741671690240', '2022', '15', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007054', '1565939234546782208', '2022', '16', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007055', '1564137453919539200', '2022', '17', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575663652802007056', '1564137446730502144', '2022', '18', '0', '18');
INSERT INTO `train_user_year_points` VALUES ('1575863033845125120', '1571750260521439232', '2022', '1', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319424', '1575742396715634688', '2022', '2', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319425', '1575742080498667520', '2022', '3', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319426', '1575734154828582912', '2022', '4', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319427', '1575733659590332416', '2022', '5', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319428', '1575324436016533504', '2022', '6', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319429', '1574656535395700736', '2022', '7', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319430', '1574656123775094784', '2022', '8', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319431', '1574653861665312768', '2022', '9', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319432', '1572826733831393280', '2022', '10', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319433', '1572825817233362944', '2022', '11', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319434', '1555010577007513600', '2022', '12', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319435', '1570254300393902080', '2022', '13', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319436', '1570254194114433024', '2022', '14', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319437', '1570252962423508992', '2022', '15', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319438', '1569928315261816832', '2022', '16', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319439', '1567451914025701376', '2022', '17', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319440', '1567097186544652288', '2022', '18', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319441', '1565939741671690240', '2022', '19', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319442', '1565939234546782208', '2022', '20', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319443', '1564137453919539200', '2022', '21', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1575863033849319444', '1564137446730502144', '2022', '22', '0', '22');
INSERT INTO `train_user_year_points` VALUES ('1578762137159995392', '1571750260521439232', '2022', '1', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384000', '1578618869008961536', '2022', '2', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384001', '1575742396715634688', '2022', '3', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384002', '1575742080498667520', '2022', '4', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384003', '1575734154828582912', '2022', '5', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384004', '1575733659590332416', '2022', '6', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384005', '1575324436016533504', '2022', '7', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384006', '1574656535395700736', '2022', '8', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384007', '1574656123775094784', '2022', '9', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384008', '1574653861665312768', '2022', '10', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384009', '1572826733831393280', '2022', '11', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384010', '1572825817233362944', '2022', '12', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384011', '1555010577007513600', '2022', '13', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384012', '1570254300393902080', '2022', '14', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384013', '1570254194114433024', '2022', '15', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384014', '1570252962423508992', '2022', '16', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384015', '1569928315261816832', '2022', '17', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384016', '1567451914025701376', '2022', '18', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384017', '1567097186544652288', '2022', '19', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384018', '1565939741671690240', '2022', '20', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384019', '1565939234546782208', '2022', '21', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384020', '1564137453919539200', '2022', '22', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137168384021', '1564137446730502144', '2022', '23', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137193549824', '1571750260521439232', '2022', '1', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327040', '1578618869008961536', '2022', '2', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327041', '1575742396715634688', '2022', '3', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327042', '1575742080498667520', '2022', '4', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327043', '1575734154828582912', '2022', '5', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327044', '1575733659590332416', '2022', '6', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327045', '1575324436016533504', '2022', '7', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327046', '1574656535395700736', '2022', '8', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137210327047', '1574656123775094784', '2022', '9', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521344', '1574653861665312768', '2022', '10', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521345', '1572826733831393280', '2022', '11', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521346', '1572825817233362944', '2022', '12', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521347', '1555010577007513600', '2022', '13', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521348', '1570254300393902080', '2022', '14', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521349', '1570254194114433024', '2022', '15', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521350', '1570252962423508992', '2022', '16', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521351', '1569928315261816832', '2022', '17', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521352', '1567451914025701376', '2022', '18', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521353', '1567097186544652288', '2022', '19', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521354', '1565939741671690240', '2022', '20', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521355', '1565939234546782208', '2022', '21', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521356', '1564137453919539200', '2022', '22', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1578762137214521357', '1564137446730502144', '2022', '23', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113088', '1571750260521439232', '2022', '1', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113089', '1578618869008961536', '2022', '2', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113090', '1575742396715634688', '2022', '3', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113091', '1575742080498667520', '2022', '4', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113092', '1575734154828582912', '2022', '5', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113093', '1575733659590332416', '2022', '6', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113094', '1575324436016533504', '2022', '7', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113095', '1574656535395700736', '2022', '8', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113096', '1574656123775094784', '2022', '9', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113097', '1574653861665312768', '2022', '10', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113098', '1572826733831393280', '2022', '11', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113099', '1572825817233362944', '2022', '12', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113100', '1555010577007513600', '2022', '13', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113101', '1570254300393902080', '2022', '14', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113102', '1570254194114433024', '2022', '15', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113103', '1570252962423508992', '2022', '16', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113104', '1569928315261816832', '2022', '17', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113105', '1567451914025701376', '2022', '18', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113106', '1567097186544652288', '2022', '19', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113107', '1565939741671690240', '2022', '20', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113108', '1565939234546782208', '2022', '21', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113109', '1564137453919539200', '2022', '22', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579124524497113110', '1564137446730502144', '2022', '23', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329246203904', '1571750260521439232', '2022', '1', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398208', '1578618869008961536', '2022', '2', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398209', '1575742396715634688', '2022', '3', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398210', '1575742080498667520', '2022', '4', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398211', '1575734154828582912', '2022', '5', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398212', '1575733659590332416', '2022', '6', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398213', '1575324436016533504', '2022', '7', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398214', '1574656535395700736', '2022', '8', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398215', '1574656123775094784', '2022', '9', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398216', '1574653861665312768', '2022', '10', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398217', '1572826733831393280', '2022', '11', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398218', '1572825817233362944', '2022', '12', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398219', '1555010577007513600', '2022', '13', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398220', '1570254300393902080', '2022', '14', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398221', '1570254194114433024', '2022', '15', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398222', '1570252962423508992', '2022', '16', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398223', '1569928315261816832', '2022', '17', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398224', '1567451914025701376', '2022', '18', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398225', '1567097186544652288', '2022', '19', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398226', '1565939741671690240', '2022', '20', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329250398227', '1565939234546782208', '2022', '21', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329254592512', '1564137453919539200', '2022', '22', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579275329254592513', '1564137446730502144', '2022', '23', '0', '23');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907392', '1572826733831393280', '2022', '1', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907393', '1579374510346473472', '2022', '2', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907394', '1579367842850148352', '2022', '3', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907395', '1579362188123049984', '2022', '4', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907396', '1578618869008961536', '2022', '5', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907397', '1575742396715634688', '2022', '6', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907398', '1575742080498667520', '2022', '7', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907399', '1575734154828582912', '2022', '8', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907400', '1575733659590332416', '2022', '9', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907401', '1575324436016533504', '2022', '10', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907402', '1574656535395700736', '2022', '11', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907403', '1574656123775094784', '2022', '12', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907404', '1574653861665312768', '2022', '13', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907405', '1555010577007513600', '2022', '14', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907406', '1572825817233362944', '2022', '15', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907407', '1571750260521439232', '2022', '16', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907408', '1570254300393902080', '2022', '17', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907409', '1570254194114433024', '2022', '18', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907410', '1570252962423508992', '2022', '19', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907411', '1569928315261816832', '2022', '20', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907412', '1567451914025701376', '2022', '21', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907413', '1567097186544652288', '2022', '22', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907414', '1565939741671690240', '2022', '23', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907415', '1565939234546782208', '2022', '24', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907416', '1564137453919539200', '2022', '25', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579486912366907417', '1564137446730502144', '2022', '26', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300207341568', '1572826733831393280', '2022', '1', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535872', '1579374510346473472', '2022', '2', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535873', '1579367842850148352', '2022', '3', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535874', '1579362188123049984', '2022', '4', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535875', '1578618869008961536', '2022', '5', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535876', '1575742396715634688', '2022', '6', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535877', '1575742080498667520', '2022', '7', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535878', '1575734154828582912', '2022', '8', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535879', '1575733659590332416', '2022', '9', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535880', '1575324436016533504', '2022', '10', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535881', '1574656535395700736', '2022', '11', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535882', '1574656123775094784', '2022', '12', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535883', '1574653861665312768', '2022', '13', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535884', '1555010577007513600', '2022', '14', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535885', '1572825817233362944', '2022', '15', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535886', '1571750260521439232', '2022', '16', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535887', '1570254300393902080', '2022', '17', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535888', '1570254194114433024', '2022', '18', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535889', '1570252962423508992', '2022', '19', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535890', '1569928315261816832', '2022', '20', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535891', '1567451914025701376', '2022', '21', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535892', '1567097186544652288', '2022', '22', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535893', '1565939741671690240', '2022', '23', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535894', '1565939234546782208', '2022', '24', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535895', '1564137453919539200', '2022', '25', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1579849300211535896', '1564137446730502144', '2022', '26', '0', '26');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552960', '1572826733831393280', '2022', '1', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552961', '1580103759026065408', '2022', '2', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552962', '1579374510346473472', '2022', '3', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552963', '1579367842850148352', '2022', '4', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552964', '1579362188123049984', '2022', '5', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552965', '1578618869008961536', '2022', '6', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552966', '1575742396715634688', '2022', '7', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552967', '1575742080498667520', '2022', '8', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552968', '1575734154828582912', '2022', '9', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552969', '1575733659590332416', '2022', '10', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552970', '1575324436016533504', '2022', '11', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552971', '1574656535395700736', '2022', '12', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552972', '1574656123775094784', '2022', '13', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552973', '1574653861665312768', '2022', '14', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552974', '1555010577007513600', '2022', '15', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552975', '1572825817233362944', '2022', '16', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552976', '1571750260521439232', '2022', '17', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552977', '1570254300393902080', '2022', '18', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552978', '1570254194114433024', '2022', '19', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552979', '1570252962423508992', '2022', '20', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552980', '1569928315261816832', '2022', '21', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552981', '1567451914025701376', '2022', '22', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552982', '1567097186544652288', '2022', '23', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552983', '1565939741671690240', '2022', '24', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552984', '1565939234546782208', '2022', '25', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552985', '1564137453919539200', '2022', '26', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688064552986', '1564137446730502144', '2022', '27', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216256', '1572826733831393280', '2022', '1', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216257', '1580103759026065408', '2022', '2', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216258', '1579374510346473472', '2022', '3', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216259', '1579367842850148352', '2022', '4', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216260', '1579362188123049984', '2022', '5', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216261', '1578618869008961536', '2022', '6', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216262', '1575742396715634688', '2022', '7', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216263', '1575742080498667520', '2022', '8', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216264', '1575734154828582912', '2022', '9', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216265', '1575733659590332416', '2022', '10', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216266', '1575324436016533504', '2022', '11', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216267', '1574656535395700736', '2022', '12', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216268', '1574656123775094784', '2022', '13', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216269', '1574653861665312768', '2022', '14', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216270', '1555010577007513600', '2022', '15', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216271', '1572825817233362944', '2022', '16', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216272', '1571750260521439232', '2022', '17', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216273', '1570254300393902080', '2022', '18', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216274', '1570254194114433024', '2022', '19', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216275', '1570252962423508992', '2022', '20', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216276', '1569928315261816832', '2022', '21', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216277', '1567451914025701376', '2022', '22', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216278', '1567097186544652288', '2022', '23', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216279', '1565939741671690240', '2022', '24', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216280', '1565939234546782208', '2022', '25', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216281', '1564137453919539200', '2022', '26', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580211688165216282', '1564137446730502144', '2022', '27', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152960', '1572826733831393280', '2022', '1', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152961', '1580103759026065408', '2022', '2', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152962', '1579374510346473472', '2022', '3', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152963', '1579367842850148352', '2022', '4', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152964', '1579362188123049984', '2022', '5', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152965', '1578618869008961536', '2022', '6', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152966', '1575742396715634688', '2022', '7', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152967', '1575742080498667520', '2022', '8', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152968', '1575734154828582912', '2022', '9', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152969', '1575733659590332416', '2022', '10', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152970', '1575324436016533504', '2022', '11', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152971', '1574656535395700736', '2022', '12', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152972', '1574656123775094784', '2022', '13', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152973', '1574653861665312768', '2022', '14', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152974', '1555010577007513600', '2022', '15', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152975', '1572825817233362944', '2022', '16', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152976', '1571750260521439232', '2022', '17', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152977', '1570254300393902080', '2022', '18', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152978', '1570254194114433024', '2022', '19', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152979', '1570252962423508992', '2022', '20', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152980', '1569928315261816832', '2022', '21', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152981', '1567451914025701376', '2022', '22', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152982', '1567097186544652288', '2022', '23', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152983', '1565939741671690240', '2022', '24', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152984', '1565939234546782208', '2022', '25', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152985', '1564137453919539200', '2022', '26', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574075930152986', '1564137446730502144', '2022', '27', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076030816256', '1572826733831393280', '2022', '1', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010560', '1580103759026065408', '2022', '2', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010561', '1579374510346473472', '2022', '3', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010562', '1579367842850148352', '2022', '4', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010563', '1579362188123049984', '2022', '5', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010564', '1578618869008961536', '2022', '6', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010565', '1575742396715634688', '2022', '7', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010566', '1575742080498667520', '2022', '8', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010567', '1575734154828582912', '2022', '9', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010568', '1575733659590332416', '2022', '10', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010569', '1575324436016533504', '2022', '11', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010570', '1574656535395700736', '2022', '12', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010571', '1574656123775094784', '2022', '13', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010572', '1574653861665312768', '2022', '14', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010573', '1555010577007513600', '2022', '15', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010574', '1572825817233362944', '2022', '16', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010575', '1571750260521439232', '2022', '17', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010576', '1570254300393902080', '2022', '18', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010577', '1570254194114433024', '2022', '19', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010578', '1570252962423508992', '2022', '20', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010579', '1569928315261816832', '2022', '21', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010580', '1567451914025701376', '2022', '22', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010581', '1567097186544652288', '2022', '23', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010582', '1565939741671690240', '2022', '24', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010583', '1565939234546782208', '2022', '25', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010584', '1564137453919539200', '2022', '26', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076035010585', '1564137446730502144', '2022', '27', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076190199808', '1572826733831393280', '2022', '1', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394112', '1580103759026065408', '2022', '2', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394113', '1579374510346473472', '2022', '3', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394114', '1579367842850148352', '2022', '4', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394115', '1579362188123049984', '2022', '5', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394116', '1578618869008961536', '2022', '6', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394117', '1575742396715634688', '2022', '7', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394118', '1575742080498667520', '2022', '8', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394119', '1575734154828582912', '2022', '9', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394120', '1575733659590332416', '2022', '10', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394121', '1575324436016533504', '2022', '11', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394122', '1574656535395700736', '2022', '12', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394123', '1574656123775094784', '2022', '13', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394124', '1574653861665312768', '2022', '14', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394125', '1555010577007513600', '2022', '15', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394126', '1572825817233362944', '2022', '16', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394127', '1571750260521439232', '2022', '17', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394128', '1570254300393902080', '2022', '18', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076194394129', '1570254194114433024', '2022', '19', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588416', '1570252962423508992', '2022', '20', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588417', '1569928315261816832', '2022', '21', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588418', '1567451914025701376', '2022', '22', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588419', '1567097186544652288', '2022', '23', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588420', '1565939741671690240', '2022', '24', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588421', '1565939234546782208', '2022', '25', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588422', '1564137453919539200', '2022', '26', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580574076198588423', '1564137446730502144', '2022', '27', '0', '27');
INSERT INTO `train_user_year_points` VALUES ('1580936463854473216', '1574653861665312768', '2022', '1', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667520', '1580753741991251968', '2022', '2', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667521', '1580103759026065408', '2022', '3', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667522', '1579374510346473472', '2022', '4', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667523', '1579367842850148352', '2022', '5', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667524', '1579362188123049984', '2022', '6', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667525', '1578618869008961536', '2022', '7', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667526', '1575742396715634688', '2022', '8', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667527', '1575742080498667520', '2022', '9', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667528', '1575734154828582912', '2022', '10', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667529', '1575733659590332416', '2022', '11', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667530', '1575324436016533504', '2022', '12', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667531', '1574656535395700736', '2022', '13', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667532', '1574656123775094784', '2022', '14', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667533', '1555010577007513600', '2022', '15', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667534', '1572826733831393280', '2022', '16', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667535', '1572825817233362944', '2022', '17', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667536', '1571750260521439232', '2022', '18', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667537', '1570254300393902080', '2022', '19', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667538', '1570254194114433024', '2022', '20', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667539', '1570252962423508992', '2022', '21', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667540', '1569928315261816832', '2022', '22', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667541', '1567451914025701376', '2022', '23', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667542', '1567097186544652288', '2022', '24', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667543', '1565939741671690240', '2022', '25', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667544', '1565939234546782208', '2022', '26', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667545', '1564137453919539200', '2022', '27', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463858667546', '1564137446730502144', '2022', '28', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079552', '1574653861665312768', '2022', '1', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079553', '1580753741991251968', '2022', '2', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079554', '1580103759026065408', '2022', '3', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079555', '1579374510346473472', '2022', '4', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079556', '1579367842850148352', '2022', '5', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079557', '1579362188123049984', '2022', '6', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079558', '1578618869008961536', '2022', '7', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079559', '1575742396715634688', '2022', '8', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079560', '1575742080498667520', '2022', '9', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079561', '1575734154828582912', '2022', '10', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079562', '1575733659590332416', '2022', '11', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079563', '1575324436016533504', '2022', '12', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079564', '1574656535395700736', '2022', '13', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079565', '1574656123775094784', '2022', '14', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079566', '1555010577007513600', '2022', '15', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079567', '1572826733831393280', '2022', '16', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079568', '1572825817233362944', '2022', '17', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079569', '1571750260521439232', '2022', '18', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079570', '1570254300393902080', '2022', '19', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079571', '1570254194114433024', '2022', '20', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079572', '1570252962423508992', '2022', '21', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079573', '1569928315261816832', '2022', '22', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079574', '1567451914025701376', '2022', '23', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079575', '1567097186544652288', '2022', '24', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079576', '1565939741671690240', '2022', '25', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079577', '1565939234546782208', '2022', '26', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079578', '1564137453919539200', '2022', '27', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1580936463997079579', '1564137446730502144', '2022', '28', '0', '28');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964992', '1574656123775094784', '2022', '1', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964993', '1581888248500850688', '2022', '2', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964994', '1581886588420493312', '2022', '3', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964995', '1580753741991251968', '2022', '4', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964996', '1580103759026065408', '2022', '5', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964997', '1579374510346473472', '2022', '6', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964998', '1579367842850148352', '2022', '7', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530964999', '1579362188123049984', '2022', '8', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965000', '1578618869008961536', '2022', '9', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965001', '1575742396715634688', '2022', '10', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965002', '1575742080498667520', '2022', '11', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965003', '1575734154828582912', '2022', '12', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965004', '1575733659590332416', '2022', '13', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965005', '1575324436016533504', '2022', '14', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965006', '1574656535395700736', '2022', '15', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965007', '1555010577007513600', '2022', '16', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965008', '1574653861665312768', '2022', '17', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965009', '1572826733831393280', '2022', '18', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965010', '1572825817233362944', '2022', '19', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965011', '1571750260521439232', '2022', '20', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965012', '1570254300393902080', '2022', '21', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965013', '1570254194114433024', '2022', '22', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965014', '1570252962423508992', '2022', '23', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965015', '1569928315261816832', '2022', '24', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965016', '1567451914025701376', '2022', '25', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965017', '1567097186544652288', '2022', '26', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965018', '1565939741671690240', '2022', '27', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965019', '1565939234546782208', '2022', '28', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965020', '1564137453919539200', '2022', '29', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582023627530965021', '1564137446730502144', '2022', '30', '0', '30');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558656', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558657', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558658', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558659', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558660', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558661', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558662', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558663', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558664', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558665', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558666', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558667', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558668', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558669', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558670', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558671', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558672', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558673', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558674', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558675', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558676', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558677', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558678', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558679', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558680', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558681', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558682', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558683', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558684', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558685', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558686', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1582748403119558687', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791006130176', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324480', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324481', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324482', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324483', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324484', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324485', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324486', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324487', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324488', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324489', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324490', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324491', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324492', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324493', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324494', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324495', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324496', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324497', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324498', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324499', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324500', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324501', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324502', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324503', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324504', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324505', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324506', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324507', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324508', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324509', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583110791010324510', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368645804032', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368654192640', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358464', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358465', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358466', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358467', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358468', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358469', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358470', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358471', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358472', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358473', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368679358474', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368683552768', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368683552769', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368683552770', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368691941376', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368696135680', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368696135681', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368696135682', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368696135683', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368696135684', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368696135685', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368750661632', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438848', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438849', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438850', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438851', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438852', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438853', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438854', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583256368767438855', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107392', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107393', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107394', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107395', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107396', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107397', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107398', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107399', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566754107400', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301696', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301697', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301698', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301699', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301700', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301701', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301702', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301703', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301704', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301705', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301706', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301707', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301708', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301709', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301710', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301711', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301712', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301713', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301714', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301715', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301716', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301717', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1583835566758301718', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342455947264', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342455947265', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342455947266', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342455947267', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141568', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141569', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141570', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141571', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141572', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141573', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141574', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141575', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141576', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141577', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141578', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141579', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141580', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141581', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141582', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141583', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141584', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141585', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141586', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141587', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141588', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141589', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141590', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141591', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141592', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141593', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141594', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584560342460141595', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065329795072', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989376', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989377', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989378', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989379', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989380', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989381', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989382', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989383', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989384', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989385', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989386', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989387', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989388', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989389', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989390', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989391', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989392', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989393', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989394', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989395', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989396', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989397', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989398', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989399', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989400', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989401', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989402', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989403', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989404', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989405', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584712065333989406', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033600', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033601', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033602', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033603', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033604', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033605', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033606', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033607', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033608', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033609', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033610', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033611', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033612', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033613', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033614', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033615', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033616', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033617', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033618', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033619', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033620', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033621', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033622', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033623', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033624', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033625', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033626', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033627', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033628', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033629', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033630', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1584719180891033631', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942336', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942337', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942338', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942339', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942340', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942341', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942342', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942343', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942344', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942345', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942346', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942347', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942348', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942349', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942350', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942351', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942352', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942353', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942354', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942355', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942356', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942357', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942358', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942359', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942360', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942361', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942362', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942363', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942364', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942365', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942366', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585079403484942367', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758656', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758657', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758658', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758659', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758660', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758661', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758662', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758663', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758664', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758665', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758666', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758667', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758668', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758669', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758670', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758671', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758672', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758673', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758674', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758675', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758676', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758677', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758678', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758679', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758680', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758681', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758682', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758683', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758684', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758685', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758686', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585285118178758687', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742741426176', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742762397696', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592000', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592001', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592002', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592003', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592004', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592005', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592006', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592007', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592008', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592009', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592010', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592011', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592012', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592013', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592014', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592015', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592016', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592017', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592018', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592019', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592020', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592021', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592022', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592023', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592024', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592025', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592026', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592027', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592028', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1585445742766592029', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801818832896', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193024', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193025', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193026', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193027', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193028', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193029', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193030', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193031', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193032', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193033', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193034', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193035', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193036', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193037', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193038', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801848193039', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387328', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387329', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387330', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387331', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387332', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387333', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387334', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387335', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387336', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387337', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387338', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387339', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387340', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801852387341', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586170801856581632', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669691490304', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684608', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684609', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684610', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684611', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684612', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684613', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684614', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684615', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684616', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684617', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684618', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684619', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684620', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684621', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684622', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684623', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684624', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684625', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684626', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684627', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684628', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684629', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684630', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684631', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684632', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684633', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684634', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684635', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684636', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669695684637', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1586734669699878912', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896000', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896001', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896002', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896003', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896004', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896005', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896006', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896007', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896008', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896009', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896010', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896011', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896012', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057552896013', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090304', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090305', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090306', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090307', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090308', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090309', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090310', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090311', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090312', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090313', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090314', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090315', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090316', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090317', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090318', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090319', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090320', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097057557090321', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062867079168', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439296', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439297', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439298', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439299', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439300', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439301', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439302', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439303', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439304', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439305', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439306', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439307', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062896439308', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633600', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633601', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633602', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633603', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633604', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633605', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633606', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633607', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633608', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633609', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633610', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633611', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633612', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633613', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633614', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633615', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633616', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587097062900633617', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447792472064', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447796666368', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447796666369', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860672', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860673', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860674', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860675', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860676', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860677', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860678', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860679', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860680', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860681', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860682', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860683', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860684', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860685', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860686', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860687', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860688', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860689', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860690', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860691', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860692', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860693', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860694', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860695', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860696', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860697', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860698', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860699', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587459447800860700', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835070869504', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258112', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258113', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258114', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258115', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258116', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258117', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258118', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258119', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258120', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258121', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258122', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258123', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258124', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258125', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258126', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258127', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258128', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258129', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258130', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258131', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258132', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258133', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258134', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258135', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258136', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258137', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258138', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258139', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258140', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258141', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1587821835079258142', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696000', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696001', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696002', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696003', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696004', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696005', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696006', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696007', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696008', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696009', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696010', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696011', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696012', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696013', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696014', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696015', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696016', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696017', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696018', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696019', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696020', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696021', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696022', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696023', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696024', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696025', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696026', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696027', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696028', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696029', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696030', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588184221149696031', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609053044736', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239040', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239041', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239042', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239043', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239044', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239045', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239046', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239047', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239048', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239049', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239050', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239051', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239052', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239053', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239054', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239055', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239056', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239057', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239058', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239059', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239060', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239061', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239062', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239063', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239064', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239065', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239066', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239067', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239068', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239069', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546609057239070', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610370056192', '1574656535395700736', '2022', '1', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444800', '1582691917341265920', '2022', '2', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444801', '1582642133595197440', '2022', '3', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444802', '1581888248500850688', '2022', '4', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444803', '1581886588420493312', '2022', '5', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444804', '1580753741991251968', '2022', '6', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444805', '1580103759026065408', '2022', '7', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444806', '1579374510346473472', '2022', '8', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444807', '1579367842850148352', '2022', '9', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444808', '1579362188123049984', '2022', '10', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444809', '1578618869008961536', '2022', '11', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444810', '1575742396715634688', '2022', '12', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444811', '1575742080498667520', '2022', '13', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444812', '1575734154828582912', '2022', '14', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444813', '1575733659590332416', '2022', '15', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444814', '1575324436016533504', '2022', '16', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444815', '1555010577007513600', '2022', '17', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444816', '1574656123775094784', '2022', '18', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444817', '1574653861665312768', '2022', '19', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444818', '1572826733831393280', '2022', '20', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444819', '1572825817233362944', '2022', '21', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444820', '1571750260521439232', '2022', '22', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444821', '1570254300393902080', '2022', '23', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444822', '1570254194114433024', '2022', '24', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444823', '1570252962423508992', '2022', '25', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610378444824', '1569928315261816832', '2022', '26', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610382639104', '1567451914025701376', '2022', '27', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610382639105', '1567097186544652288', '2022', '28', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610382639106', '1565939741671690240', '2022', '29', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610382639107', '1565939234546782208', '2022', '30', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610382639108', '1564137453919539200', '2022', '31', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1588546610382639109', '1564137446730502144', '2022', '32', '0', '32');
INSERT INTO `train_user_year_points` VALUES ('1591083324061913088', '1589787423250976768', '2022', '1', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107392', '1589877695318200320', '2022', '2', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107393', '1589868518332043264', '2022', '3', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107394', '1589796068487467008', '2022', '4', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107395', '1589794001580593152', '2022', '5', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107396', '1589793655986720768', '2022', '6', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107397', '1589790686671147008', '2022', '7', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107398', '1589789596093386752', '2022', '8', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107399', '1589788930155352064', '2022', '9', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107400', '1589887987989221376', '2022', '10', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107401', '1589549783712927744', '2022', '11', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107402', '1589529146432819200', '2022', '12', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107403', '1589519897493377024', '2022', '13', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107404', '1589513725826699264', '2022', '14', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107405', '1589512322240614400', '2022', '15', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107406', '1589510948744466432', '2022', '16', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107407', '1589502257060253696', '2022', '17', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107408', '1590186242115506176', '2022', '18', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107409', '1590952665850974208', '2022', '19', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107410', '1590949853146517504', '2022', '20', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107411', '1590648570665635840', '2022', '21', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107412', '1590639495596871680', '2022', '22', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107413', '1590610341195288576', '2022', '23', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107414', '1590587531555115008', '2022', '24', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107415', '1590586735358775296', '2022', '25', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107416', '1590582122773614592', '2022', '26', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107417', '1589497450408841216', '2022', '27', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107418', '1590183699834605568', '2022', '28', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324066107419', '1590181896380354560', '2022', '29', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301696', '1590171760580497408', '2022', '30', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301697', '1590165343635116032', '2022', '31', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301698', '1589912013692342272', '2022', '32', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301699', '1589904363642556416', '2022', '33', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301700', '1589902008373088256', '2022', '34', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301701', '1570252962423508992', '2022', '35', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301702', '1574656535395700736', '2022', '36', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301703', '1574656123775094784', '2022', '37', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301704', '1574653861665312768', '2022', '38', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301705', '1572826733831393280', '2022', '39', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301706', '1572825817233362944', '2022', '40', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301707', '1571750260521439232', '2022', '41', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301708', '1570254300393902080', '2022', '42', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301709', '1570254194114433024', '2022', '43', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301710', '1575324436016533504', '2022', '44', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301711', '1569928315261816832', '2022', '45', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301712', '1567451914025701376', '2022', '46', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301713', '1567097186544652288', '2022', '47', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301714', '1565939741671690240', '2022', '48', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301715', '1565939234546782208', '2022', '49', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301716', '1564137453919539200', '2022', '50', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301717', '1564137446730502144', '2022', '51', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301718', '1579374510346473472', '2022', '52', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301719', '1589496953836802048', '2022', '53', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301720', '1589496537845731328', '2022', '54', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301721', '1582691917341265920', '2022', '55', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301722', '1582642133595197440', '2022', '56', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301723', '1581888248500850688', '2022', '57', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301724', '1581886588420493312', '2022', '58', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301725', '1580753741991251968', '2022', '59', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301726', '1580103759026065408', '2022', '60', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301727', '1555010577007513600', '2022', '61', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301728', '1579367842850148352', '2022', '62', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301729', '1579362188123049984', '2022', '63', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301730', '1578618869008961536', '2022', '64', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301731', '1575742396715634688', '2022', '65', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301732', '1575742080498667520', '2022', '66', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301733', '1575734154828582912', '2022', '67', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1591083324070301734', '1575733659590332416', '2022', '68', '0', '68');
INSERT INTO `train_user_year_points` VALUES ('1592318497185206272', '1589790686671147008', '2022', '1', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497201983488', '1589912013692342272', '2022', '2', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497201983489', '1589904363642556416', '2022', '3', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497201983490', '1589902008373088256', '2022', '4', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497201983491', '1589887987989221376', '2022', '5', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497218760704', '1589877695318200320', '2022', '6', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955008', '1589868518332043264', '2022', '7', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955009', '1589796068487467008', '2022', '8', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955010', '1589794001580593152', '2022', '9', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955011', '1589793655986720768', '2022', '10', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955012', '1590165343635116032', '2022', '11', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955013', '1589789596093386752', '2022', '12', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955014', '1589788930155352064', '2022', '13', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955015', '1589787423250976768', '2022', '14', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955016', '1589549783712927744', '2022', '15', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955017', '1589529146432819200', '2022', '16', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955018', '1589519897493377024', '2022', '17', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955019', '1589513725826699264', '2022', '18', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955020', '1589512322240614400', '2022', '19', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955021', '1590639495596871680', '2022', '20', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955022', '1592077522693132288', '2022', '21', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955023', '1592034228969803776', '2022', '22', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955024', '1592015564858068992', '2022', '23', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955025', '1591989767631933440', '2022', '24', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955026', '1591967614425501696', '2022', '25', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955027', '1590952665850974208', '2022', '26', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955028', '1590949853146517504', '2022', '27', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955029', '1590648570665635840', '2022', '28', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955030', '1589510948744466432', '2022', '29', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497222955031', '1590610341195288576', '2022', '30', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149312', '1590587531555115008', '2022', '31', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149313', '1590586735358775296', '2022', '32', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149314', '1590582122773614592', '2022', '33', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149315', '1590186242115506176', '2022', '34', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149316', '1590183699834605568', '2022', '35', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149317', '1590181896380354560', '2022', '36', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149318', '1590171760580497408', '2022', '37', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149319', '1570254194114433024', '2022', '38', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149320', '1575324436016533504', '2022', '39', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149321', '1574656535395700736', '2022', '40', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149322', '1574656123775094784', '2022', '41', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149323', '1574653861665312768', '2022', '42', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149324', '1572826733831393280', '2022', '43', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149325', '1572825817233362944', '2022', '44', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149326', '1571750260521439232', '2022', '45', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149327', '1570254300393902080', '2022', '46', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149328', '1575733659590332416', '2022', '47', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149329', '1570252962423508992', '2022', '48', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149330', '1569928315261816832', '2022', '49', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497227149331', '1567451914025701376', '2022', '50', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343616', '1567097186544652288', '2022', '51', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343617', '1565939741671690240', '2022', '52', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343618', '1565939234546782208', '2022', '53', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343619', '1564137453919539200', '2022', '54', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343620', '1564137446730502144', '2022', '55', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343621', '1580753741991251968', '2022', '56', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343622', '1589502257060253696', '2022', '57', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343623', '1589497450408841216', '2022', '58', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343624', '1589496953836802048', '2022', '59', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343625', '1589496537845731328', '2022', '60', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343626', '1582691917341265920', '2022', '61', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343627', '1582642133595197440', '2022', '62', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343628', '1581888248500850688', '2022', '63', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343629', '1581886588420493312', '2022', '64', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343630', '1555010577007513600', '2022', '65', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343631', '1580103759026065408', '2022', '66', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343632', '1579374510346473472', '2022', '67', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343633', '1579367842850148352', '2022', '68', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343634', '1579362188123049984', '2022', '69', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343635', '1578618869008961536', '2022', '70', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343636', '1575742396715634688', '2022', '71', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343637', '1575742080498667520', '2022', '72', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592318497231343638', '1575734154828582912', '2022', '73', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952960', '1589790686671147008', '2022', '1', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952961', '1589912013692342272', '2022', '2', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952962', '1589904363642556416', '2022', '3', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952963', '1589902008373088256', '2022', '4', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952964', '1589887987989221376', '2022', '5', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952965', '1589877695318200320', '2022', '6', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952966', '1589868518332043264', '2022', '7', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952967', '1589796068487467008', '2022', '8', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952968', '1589794001580593152', '2022', '9', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952969', '1589793655986720768', '2022', '10', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952970', '1590165343635116032', '2022', '11', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952971', '1589789596093386752', '2022', '12', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952972', '1589788930155352064', '2022', '13', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952973', '1589787423250976768', '2022', '14', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952974', '1589549783712927744', '2022', '15', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952975', '1589529146432819200', '2022', '16', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952976', '1589519897493377024', '2022', '17', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952977', '1589513725826699264', '2022', '18', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952978', '1589512322240614400', '2022', '19', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952979', '1590639495596871680', '2022', '20', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952980', '1592077522693132288', '2022', '21', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952981', '1592034228969803776', '2022', '22', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952982', '1592015564858068992', '2022', '23', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952983', '1591989767631933440', '2022', '24', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952984', '1591967614425501696', '2022', '25', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952985', '1590952665850974208', '2022', '26', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952986', '1590949853146517504', '2022', '27', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952987', '1590648570665635840', '2022', '28', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952988', '1589510948744466432', '2022', '29', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952989', '1590610341195288576', '2022', '30', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952990', '1590587531555115008', '2022', '31', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952991', '1590586735358775296', '2022', '32', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952992', '1590582122773614592', '2022', '33', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952993', '1590186242115506176', '2022', '34', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952994', '1590183699834605568', '2022', '35', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952995', '1590181896380354560', '2022', '36', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952996', '1590171760580497408', '2022', '37', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952997', '1570254194114433024', '2022', '38', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952998', '1575324436016533504', '2022', '39', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494952999', '1574656535395700736', '2022', '40', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953000', '1574656123775094784', '2022', '41', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953001', '1574653861665312768', '2022', '42', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953002', '1572826733831393280', '2022', '43', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953003', '1572825817233362944', '2022', '44', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953004', '1571750260521439232', '2022', '45', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953005', '1570254300393902080', '2022', '46', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953006', '1575733659590332416', '2022', '47', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953007', '1570252962423508992', '2022', '48', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953008', '1569928315261816832', '2022', '49', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953009', '1567451914025701376', '2022', '50', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953010', '1567097186544652288', '2022', '51', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953011', '1565939741671690240', '2022', '52', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953012', '1565939234546782208', '2022', '53', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953013', '1564137453919539200', '2022', '54', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953014', '1564137446730502144', '2022', '55', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953015', '1580753741991251968', '2022', '56', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953016', '1589502257060253696', '2022', '57', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953017', '1589497450408841216', '2022', '58', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953018', '1589496953836802048', '2022', '59', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953019', '1589496537845731328', '2022', '60', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953020', '1582691917341265920', '2022', '61', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953021', '1582642133595197440', '2022', '62', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953022', '1581888248500850688', '2022', '63', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953023', '1581886588420493312', '2022', '64', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953024', '1555010577007513600', '2022', '65', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953025', '1580103759026065408', '2022', '66', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953026', '1579374510346473472', '2022', '67', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953027', '1579367842850148352', '2022', '68', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953028', '1579362188123049984', '2022', '69', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953029', '1578618869008961536', '2022', '70', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953030', '1575742396715634688', '2022', '71', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953031', '1575742080498667520', '2022', '72', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875494953032', '1575734154828582912', '2022', '73', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587776', '1589790686671147008', '2022', '1', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587777', '1589912013692342272', '2022', '2', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587778', '1589904363642556416', '2022', '3', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587779', '1589902008373088256', '2022', '4', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587780', '1589887987989221376', '2022', '5', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587781', '1589877695318200320', '2022', '6', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587782', '1589868518332043264', '2022', '7', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587783', '1589796068487467008', '2022', '8', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587784', '1589794001580593152', '2022', '9', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587785', '1589793655986720768', '2022', '10', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587786', '1590165343635116032', '2022', '11', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587787', '1589789596093386752', '2022', '12', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587788', '1589788930155352064', '2022', '13', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587789', '1589787423250976768', '2022', '14', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587790', '1589549783712927744', '2022', '15', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587791', '1589529146432819200', '2022', '16', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587792', '1589519897493377024', '2022', '17', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587793', '1589513725826699264', '2022', '18', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587794', '1589512322240614400', '2022', '19', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587795', '1590639495596871680', '2022', '20', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587796', '1592077522693132288', '2022', '21', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587797', '1592034228969803776', '2022', '22', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587798', '1592015564858068992', '2022', '23', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587799', '1591989767631933440', '2022', '24', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587800', '1591967614425501696', '2022', '25', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587801', '1590952665850974208', '2022', '26', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587802', '1590949853146517504', '2022', '27', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587803', '1590648570665635840', '2022', '28', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587804', '1589510948744466432', '2022', '29', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587805', '1590610341195288576', '2022', '30', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587806', '1590587531555115008', '2022', '31', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587807', '1590586735358775296', '2022', '32', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587808', '1590582122773614592', '2022', '33', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587809', '1590186242115506176', '2022', '34', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587810', '1590183699834605568', '2022', '35', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587811', '1590181896380354560', '2022', '36', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587812', '1590171760580497408', '2022', '37', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875616587813', '1570254194114433024', '2022', '38', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782080', '1575324436016533504', '2022', '39', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782081', '1574656535395700736', '2022', '40', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782082', '1574656123775094784', '2022', '41', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782083', '1574653861665312768', '2022', '42', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782084', '1572826733831393280', '2022', '43', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782085', '1572825817233362944', '2022', '44', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782086', '1571750260521439232', '2022', '45', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782087', '1570254300393902080', '2022', '46', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782088', '1575733659590332416', '2022', '47', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782089', '1570252962423508992', '2022', '48', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782090', '1569928315261816832', '2022', '49', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782091', '1567451914025701376', '2022', '50', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782092', '1567097186544652288', '2022', '51', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782093', '1565939741671690240', '2022', '52', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782094', '1565939234546782208', '2022', '53', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782095', '1564137453919539200', '2022', '54', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782096', '1564137446730502144', '2022', '55', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782097', '1580753741991251968', '2022', '56', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782098', '1589502257060253696', '2022', '57', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782099', '1589497450408841216', '2022', '58', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782100', '1589496953836802048', '2022', '59', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782101', '1589496537845731328', '2022', '60', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782102', '1582691917341265920', '2022', '61', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782103', '1582642133595197440', '2022', '62', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782104', '1581888248500850688', '2022', '63', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782105', '1581886588420493312', '2022', '64', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782106', '1555010577007513600', '2022', '65', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782107', '1580103759026065408', '2022', '66', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782108', '1579374510346473472', '2022', '67', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782109', '1579367842850148352', '2022', '68', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782110', '1579362188123049984', '2022', '69', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782111', '1578618869008961536', '2022', '70', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782112', '1575742396715634688', '2022', '71', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782113', '1575742080498667520', '2022', '72', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592532875620782114', '1575734154828582912', '2022', '73', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264293588992', '1589790686671147008', '2022', '1', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532032', '1589912013692342272', '2022', '2', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532033', '1589904363642556416', '2022', '3', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532034', '1589902008373088256', '2022', '4', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532035', '1589887987989221376', '2022', '5', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532036', '1589877695318200320', '2022', '6', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532037', '1589868518332043264', '2022', '7', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532038', '1589796068487467008', '2022', '8', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532039', '1589794001580593152', '2022', '9', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532040', '1589793655986720768', '2022', '10', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532041', '1590165343635116032', '2022', '11', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532042', '1589789596093386752', '2022', '12', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532043', '1589788930155352064', '2022', '13', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532044', '1589787423250976768', '2022', '14', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532045', '1589549783712927744', '2022', '15', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532046', '1589529146432819200', '2022', '16', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532047', '1589519897493377024', '2022', '17', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532048', '1589513725826699264', '2022', '18', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532049', '1589512322240614400', '2022', '19', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532050', '1590639495596871680', '2022', '20', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532051', '1592077522693132288', '2022', '21', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532052', '1592034228969803776', '2022', '22', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532053', '1592015564858068992', '2022', '23', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532054', '1591989767631933440', '2022', '24', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532055', '1591967614425501696', '2022', '25', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532056', '1590952665850974208', '2022', '26', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532057', '1590949853146517504', '2022', '27', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532058', '1590648570665635840', '2022', '28', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532059', '1589510948744466432', '2022', '29', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532060', '1590610341195288576', '2022', '30', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532061', '1590587531555115008', '2022', '31', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532062', '1590586735358775296', '2022', '32', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532063', '1590582122773614592', '2022', '33', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532064', '1590186242115506176', '2022', '34', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532065', '1590183699834605568', '2022', '35', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532066', '1590181896380354560', '2022', '36', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532067', '1590171760580497408', '2022', '37', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532068', '1570254194114433024', '2022', '38', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532069', '1575324436016533504', '2022', '39', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532070', '1574656535395700736', '2022', '40', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532071', '1574656123775094784', '2022', '41', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532072', '1574653861665312768', '2022', '42', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532073', '1572826733831393280', '2022', '43', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532074', '1572825817233362944', '2022', '44', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532075', '1571750260521439232', '2022', '45', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532076', '1570254300393902080', '2022', '46', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532077', '1575733659590332416', '2022', '47', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532078', '1570252962423508992', '2022', '48', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532079', '1569928315261816832', '2022', '49', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532080', '1567451914025701376', '2022', '50', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532081', '1567097186544652288', '2022', '51', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532082', '1565939741671690240', '2022', '52', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532083', '1565939234546782208', '2022', '53', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532084', '1564137453919539200', '2022', '54', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532085', '1564137446730502144', '2022', '55', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532086', '1580753741991251968', '2022', '56', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532087', '1589502257060253696', '2022', '57', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532088', '1589497450408841216', '2022', '58', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532089', '1589496953836802048', '2022', '59', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532090', '1589496537845731328', '2022', '60', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532091', '1582691917341265920', '2022', '61', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532092', '1582642133595197440', '2022', '62', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532093', '1581888248500850688', '2022', '63', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532094', '1581886588420493312', '2022', '64', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532095', '1555010577007513600', '2022', '65', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532096', '1580103759026065408', '2022', '66', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532097', '1579374510346473472', '2022', '67', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532098', '1579367842850148352', '2022', '68', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532099', '1579362188123049984', '2022', '69', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532100', '1578618869008961536', '2022', '70', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532101', '1575742396715634688', '2022', '71', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532102', '1575742080498667520', '2022', '72', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592687264335532103', '1575734154828582912', '2022', '73', '0', '73');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993472', '1589793655986720768', '2022', '1', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993473', '1590165343635116032', '2022', '2', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993474', '1589912013692342272', '2022', '3', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993475', '1589904363642556416', '2022', '4', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993476', '1589902008373088256', '2022', '5', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993477', '1589887987989221376', '2022', '6', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993478', '1589877695318200320', '2022', '7', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993479', '1589868518332043264', '2022', '8', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993480', '1589796068487467008', '2022', '9', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993481', '1589794001580593152', '2022', '10', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993482', '1590171760580497408', '2022', '11', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993483', '1589790686671147008', '2022', '12', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993484', '1589789596093386752', '2022', '13', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993485', '1589788930155352064', '2022', '14', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993486', '1589787423250976768', '2022', '15', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993487', '1589549783712927744', '2022', '16', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993488', '1589529146432819200', '2022', '17', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993489', '1589519897493377024', '2022', '18', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993490', '1589513725826699264', '2022', '19', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993491', '1590648570665635840', '2022', '20', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993492', '1592720777000652800', '2022', '21', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993493', '1592077522693132288', '2022', '22', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993494', '1592034228969803776', '2022', '23', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993495', '1592015564858068992', '2022', '24', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993496', '1591989767631933440', '2022', '25', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993497', '1591967614425501696', '2022', '26', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993498', '1590952665850974208', '2022', '27', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993499', '1590949853146517504', '2022', '28', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993500', '1589512322240614400', '2022', '29', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993501', '1590639495596871680', '2022', '30', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993502', '1590610341195288576', '2022', '31', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993503', '1590587531555115008', '2022', '32', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993504', '1590586735358775296', '2022', '33', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993505', '1590582122773614592', '2022', '34', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993506', '1590186242115506176', '2022', '35', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993507', '1590183699834605568', '2022', '36', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993508', '1590181896380354560', '2022', '37', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993509', '1570254194114433024', '2022', '38', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993510', '1575733659590332416', '2022', '39', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993511', '1575324436016533504', '2022', '40', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993512', '1574656535395700736', '2022', '41', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263477993513', '1574656123775094784', '2022', '42', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187776', '1574653861665312768', '2022', '43', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187777', '1572826733831393280', '2022', '44', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187778', '1572825817233362944', '2022', '45', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187779', '1571750260521439232', '2022', '46', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187780', '1570254300393902080', '2022', '47', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187781', '1575734154828582912', '2022', '48', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187782', '1570252962423508992', '2022', '49', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187783', '1569928315261816832', '2022', '50', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187784', '1567451914025701376', '2022', '51', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187785', '1567097186544652288', '2022', '52', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187786', '1565939741671690240', '2022', '53', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187787', '1565939234546782208', '2022', '54', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187788', '1564137453919539200', '2022', '55', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187789', '1564137446730502144', '2022', '56', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187790', '1581886588420493312', '2022', '57', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187791', '1589510948744466432', '2022', '58', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187792', '1589502257060253696', '2022', '59', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187793', '1589497450408841216', '2022', '60', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187794', '1589496953836802048', '2022', '61', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187795', '1589496537845731328', '2022', '62', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187796', '1582691917341265920', '2022', '63', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187797', '1582642133595197440', '2022', '64', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187798', '1581888248500850688', '2022', '65', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187799', '1555010577007513600', '2022', '66', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187800', '1580753741991251968', '2022', '67', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187801', '1580103759026065408', '2022', '68', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187802', '1579374510346473472', '2022', '69', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187803', '1579367842850148352', '2022', '70', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187804', '1579362188123049984', '2022', '71', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187805', '1578618869008961536', '2022', '72', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187806', '1575742396715634688', '2022', '73', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1592895263482187807', '1575742080498667520', '2022', '74', '0', '74');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176384', '1589796068487467008', '2022', '1', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176385', '1590181896380354560', '2022', '2', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176386', '1590171760580497408', '2022', '3', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176387', '1590165343635116032', '2022', '4', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176388', '1589912013692342272', '2022', '5', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176389', '1589904363642556416', '2022', '6', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176390', '1589902008373088256', '2022', '7', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176391', '1589887987989221376', '2022', '8', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176392', '1589877695318200320', '2022', '9', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176393', '1589868518332043264', '2022', '10', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176394', '1590183699834605568', '2022', '11', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176395', '1589794001580593152', '2022', '12', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176396', '1589793655986720768', '2022', '13', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176397', '1589790686671147008', '2022', '14', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176398', '1589789596093386752', '2022', '15', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176399', '1589788930155352064', '2022', '16', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176400', '1589787423250976768', '2022', '17', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176401', '1589549783712927744', '2022', '18', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176402', '1589529146432819200', '2022', '19', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176403', '1589519897493377024', '2022', '20', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176404', '1590952665850974208', '2022', '21', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176405', '1593172328945160192', '2022', '22', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176406', '1593130018354106368', '2022', '23', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176407', '1593126345620197376', '2022', '24', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176408', '1592720777000652800', '2022', '25', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176409', '1592077522693132288', '2022', '26', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176410', '1592034228969803776', '2022', '27', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176411', '1592015564858068992', '2022', '28', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176412', '1591989767631933440', '2022', '29', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176413', '1591967614425501696', '2022', '30', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176414', '1589513725826699264', '2022', '31', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176415', '1590949853146517504', '2022', '32', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176416', '1590648570665635840', '2022', '33', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176417', '1590639495596871680', '2022', '34', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176418', '1590610341195288576', '2022', '35', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176419', '1590587531555115008', '2022', '36', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176420', '1590586735358775296', '2022', '37', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176421', '1590582122773614592', '2022', '38', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176422', '1590186242115506176', '2022', '39', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176423', '1570254194114433024', '2022', '40', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176424', '1575733659590332416', '2022', '41', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176425', '1575324436016533504', '2022', '42', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176426', '1574656535395700736', '2022', '43', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176427', '1574656123775094784', '2022', '44', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176428', '1574653861665312768', '2022', '45', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176429', '1572826733831393280', '2022', '46', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176430', '1572825817233362944', '2022', '47', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176431', '1571750260521439232', '2022', '48', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176432', '1570254300393902080', '2022', '49', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176433', '1575734154828582912', '2022', '50', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176434', '1570252962423508992', '2022', '51', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176435', '1569928315261816832', '2022', '52', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176436', '1567451914025701376', '2022', '53', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176437', '1567097186544652288', '2022', '54', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176438', '1565939741671690240', '2022', '55', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176439', '1565939234546782208', '2022', '56', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176440', '1564137453919539200', '2022', '57', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176441', '1564137446730502144', '2022', '58', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176442', '1581886588420493312', '2022', '59', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176443', '1589512322240614400', '2022', '60', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176444', '1589510948744466432', '2022', '61', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176445', '1589502257060253696', '2022', '62', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176446', '1589497450408841216', '2022', '63', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176447', '1589496953836802048', '2022', '64', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176448', '1589496537845731328', '2022', '65', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176449', '1582691917341265920', '2022', '66', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176450', '1582642133595197440', '2022', '67', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176451', '1581888248500850688', '2022', '68', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176452', '1555010577007513600', '2022', '69', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176453', '1580753741991251968', '2022', '70', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176454', '1580103759026065408', '2022', '71', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176455', '1579374510346473472', '2022', '72', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176456', '1579367842850148352', '2022', '73', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176457', '1579362188123049984', '2022', '74', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176458', '1578618869008961536', '2022', '75', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176459', '1575742396715634688', '2022', '76', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651356176460', '1575742080498667520', '2022', '77', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508032', '1589796068487467008', '2022', '1', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508033', '1590181896380354560', '2022', '2', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508034', '1590171760580497408', '2022', '3', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508035', '1590165343635116032', '2022', '4', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508036', '1589912013692342272', '2022', '5', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508037', '1589904363642556416', '2022', '6', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508038', '1589902008373088256', '2022', '7', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508039', '1589887987989221376', '2022', '8', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508040', '1589877695318200320', '2022', '9', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508041', '1589868518332043264', '2022', '10', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508042', '1590183699834605568', '2022', '11', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508043', '1589794001580593152', '2022', '12', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508044', '1589793655986720768', '2022', '13', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508045', '1589790686671147008', '2022', '14', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508046', '1589789596093386752', '2022', '15', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508047', '1589788930155352064', '2022', '16', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508048', '1589787423250976768', '2022', '17', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508049', '1589549783712927744', '2022', '18', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508050', '1589529146432819200', '2022', '19', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651406508051', '1589519897493377024', '2022', '20', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702336', '1590952665850974208', '2022', '21', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702337', '1593172328945160192', '2022', '22', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702338', '1593130018354106368', '2022', '23', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702339', '1593126345620197376', '2022', '24', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702340', '1592720777000652800', '2022', '25', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702341', '1592077522693132288', '2022', '26', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702342', '1592034228969803776', '2022', '27', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702343', '1592015564858068992', '2022', '28', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702344', '1591989767631933440', '2022', '29', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702345', '1591967614425501696', '2022', '30', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702346', '1589513725826699264', '2022', '31', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702347', '1590949853146517504', '2022', '32', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702348', '1590648570665635840', '2022', '33', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702349', '1590639495596871680', '2022', '34', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702350', '1590610341195288576', '2022', '35', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702351', '1590587531555115008', '2022', '36', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702352', '1590586735358775296', '2022', '37', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702353', '1590582122773614592', '2022', '38', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702354', '1590186242115506176', '2022', '39', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702355', '1570254194114433024', '2022', '40', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702356', '1575733659590332416', '2022', '41', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702357', '1575324436016533504', '2022', '42', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702358', '1574656535395700736', '2022', '43', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702359', '1574656123775094784', '2022', '44', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702360', '1574653861665312768', '2022', '45', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702361', '1572826733831393280', '2022', '46', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702362', '1572825817233362944', '2022', '47', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702363', '1571750260521439232', '2022', '48', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702364', '1570254300393902080', '2022', '49', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702365', '1575734154828582912', '2022', '50', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702366', '1570252962423508992', '2022', '51', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702367', '1569928315261816832', '2022', '52', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702368', '1567451914025701376', '2022', '53', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702369', '1567097186544652288', '2022', '54', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702370', '1565939741671690240', '2022', '55', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702371', '1565939234546782208', '2022', '56', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702372', '1564137453919539200', '2022', '57', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702373', '1564137446730502144', '2022', '58', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702374', '1581886588420493312', '2022', '59', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702375', '1589512322240614400', '2022', '60', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702376', '1589510948744466432', '2022', '61', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702377', '1589502257060253696', '2022', '62', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702378', '1589497450408841216', '2022', '63', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702379', '1589496953836802048', '2022', '64', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702380', '1589496537845731328', '2022', '65', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702381', '1582691917341265920', '2022', '66', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702382', '1582642133595197440', '2022', '67', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702383', '1581888248500850688', '2022', '68', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702384', '1555010577007513600', '2022', '69', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702385', '1580753741991251968', '2022', '70', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702386', '1580103759026065408', '2022', '71', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702387', '1579374510346473472', '2022', '72', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651410702388', '1579367842850148352', '2022', '73', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651414896640', '1579362188123049984', '2022', '74', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651414896641', '1578618869008961536', '2022', '75', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651414896642', '1575742396715634688', '2022', '76', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593257651414896643', '1575742080498667520', '2022', '77', '0', '77');
INSERT INTO `train_user_year_points` VALUES ('1593620039246942208', '1590165343635116032', '2022', '1', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136512', '1590648570665635840', '2022', '2', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136513', '1590639495596871680', '2022', '3', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136514', '1590610341195288576', '2022', '4', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136515', '1590587531555115008', '2022', '5', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136516', '1590586735358775296', '2022', '6', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136517', '1590582122773614592', '2022', '7', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136518', '1590186242115506176', '2022', '8', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136519', '1590183699834605568', '2022', '9', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136520', '1590181896380354560', '2022', '10', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136521', '1590171760580497408', '2022', '11', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136522', '1590949853146517504', '2022', '12', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136523', '1589912013692342272', '2022', '13', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136524', '1589904363642556416', '2022', '14', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136525', '1589902008373088256', '2022', '15', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136526', '1589887987989221376', '2022', '16', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136527', '1589877695318200320', '2022', '17', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136528', '1589868518332043264', '2022', '18', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136529', '1589796068487467008', '2022', '19', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136530', '1589794001580593152', '2022', '20', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136531', '1589793655986720768', '2022', '21', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136532', '1589790686671147008', '2022', '22', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136533', '1593447338142208000', '2022', '23', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136534', '1593532185497964544', '2022', '24', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136535', '1593516895204675584', '2022', '25', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136536', '1593509718448541696', '2022', '26', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136537', '1593491703745089536', '2022', '27', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136538', '1593489505036406784', '2022', '28', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136539', '1593482825254965248', '2022', '29', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136540', '1593479582902784000', '2022', '30', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136541', '1593478742355873792', '2022', '31', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136542', '1593454348137009152', '2022', '32', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136543', '1593449838584926208', '2022', '33', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136544', '1589789596093386752', '2022', '34', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136545', '1593172328945160192', '2022', '35', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136546', '1593130018354106368', '2022', '36', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136547', '1593126345620197376', '2022', '37', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136548', '1592720777000652800', '2022', '38', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136549', '1592077522693132288', '2022', '39', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136550', '1592034228969803776', '2022', '40', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136551', '1592015564858068992', '2022', '41', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136552', '1591989767631933440', '2022', '42', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136553', '1591967614425501696', '2022', '43', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136554', '1590952665850974208', '2022', '44', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136555', '1571750260521439232', '2022', '45', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136556', '1575742396715634688', '2022', '46', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136557', '1575742080498667520', '2022', '47', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136558', '1575734154828582912', '2022', '48', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136559', '1575733659590332416', '2022', '49', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136560', '1575324436016533504', '2022', '50', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136561', '1574656535395700736', '2022', '51', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136562', '1574656123775094784', '2022', '52', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136563', '1574653861665312768', '2022', '53', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136564', '1572826733831393280', '2022', '54', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136565', '1572825817233362944', '2022', '55', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136566', '1578618869008961536', '2022', '56', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136567', '1570254300393902080', '2022', '57', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136568', '1570254194114433024', '2022', '58', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136569', '1570252962423508992', '2022', '59', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136570', '1569928315261816832', '2022', '60', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136571', '1567451914025701376', '2022', '61', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136572', '1567097186544652288', '2022', '62', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136573', '1565939741671690240', '2022', '63', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136574', '1565939234546782208', '2022', '64', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136575', '1564137453919539200', '2022', '65', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136576', '1564137446730502144', '2022', '66', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136577', '1589496953836802048', '2022', '67', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136578', '1589788930155352064', '2022', '68', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136579', '1589787423250976768', '2022', '69', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136580', '1589549783712927744', '2022', '70', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136581', '1589529146432819200', '2022', '71', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136582', '1589519897493377024', '2022', '72', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136583', '1589513725826699264', '2022', '73', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136584', '1589512322240614400', '2022', '74', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136585', '1589510948744466432', '2022', '75', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136586', '1589502257060253696', '2022', '76', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136587', '1589497450408841216', '2022', '77', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136588', '1555010577007513600', '2022', '78', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136589', '1589496537845731328', '2022', '79', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136590', '1582691917341265920', '2022', '80', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136591', '1582642133595197440', '2022', '81', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136592', '1581888248500850688', '2022', '82', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136593', '1581886588420493312', '2022', '83', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136594', '1580753741991251968', '2022', '84', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136595', '1580103759026065408', '2022', '85', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136596', '1579374510346473472', '2022', '86', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136597', '1579367842850148352', '2022', '87', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593620039251136598', '1579362188123049984', '2022', '88', '0', '88');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376384', '1555010577007513600', '2022', '1', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376385', '1564137446730502144', '2022', '2', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376386', '1564137453919539200', '2022', '3', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376387', '1565939234546782208', '2022', '4', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376388', '1565939741671690240', '2022', '5', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376389', '1567097186544652288', '2022', '6', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376390', '1567451914025701376', '2022', '7', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376391', '1569928315261816832', '2022', '8', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376392', '1570252962423508992', '2022', '9', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376393', '1570254194114433024', '2022', '10', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376394', '1570254300393902080', '2022', '11', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376395', '1571750260521439232', '2022', '12', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376396', '1572825817233362944', '2022', '13', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376397', '1572826733831393280', '2022', '14', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376398', '1574653861665312768', '2022', '15', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376399', '1574656123775094784', '2022', '16', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376400', '1574656535395700736', '2022', '17', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376401', '1575324436016533504', '2022', '18', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376402', '1575733659590332416', '2022', '19', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376403', '1575734154828582912', '2022', '20', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376404', '1575742080498667520', '2022', '21', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376405', '1575742396715634688', '2022', '22', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376406', '1578618869008961536', '2022', '23', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376407', '1579362188123049984', '2022', '24', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376408', '1579367842850148352', '2022', '25', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376409', '1579374510346473472', '2022', '26', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376410', '1580103759026065408', '2022', '27', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376411', '1580753741991251968', '2022', '28', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376412', '1581886588420493312', '2022', '29', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376413', '1581888248500850688', '2022', '30', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376414', '1582642133595197440', '2022', '31', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376415', '1582691917341265920', '2022', '32', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376416', '1589496537845731328', '2022', '33', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376417', '1589496953836802048', '2022', '34', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376418', '1589497450408841216', '2022', '35', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376419', '1589502257060253696', '2022', '36', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376420', '1589510948744466432', '2022', '37', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376421', '1589512322240614400', '2022', '38', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376422', '1589513725826699264', '2022', '39', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376423', '1589519897493377024', '2022', '40', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376424', '1589529146432819200', '2022', '41', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376425', '1589549783712927744', '2022', '42', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376426', '1589787423250976768', '2022', '43', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376427', '1589788930155352064', '2022', '44', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376428', '1589789596093386752', '2022', '45', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376429', '1589790686671147008', '2022', '46', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376430', '1589793655986720768', '2022', '47', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376431', '1589794001580593152', '2022', '48', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376432', '1589796068487467008', '2022', '49', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376433', '1589868518332043264', '2022', '50', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376434', '1589877695318200320', '2022', '51', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376435', '1589887987989221376', '2022', '52', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376436', '1589902008373088256', '2022', '53', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376437', '1589904363642556416', '2022', '54', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376438', '1589912013692342272', '2022', '55', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376439', '1590165343635116032', '2022', '56', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376440', '1590171760580497408', '2022', '57', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376441', '1590181896380354560', '2022', '58', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376442', '1590183699834605568', '2022', '59', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376443', '1590186242115506176', '2022', '60', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376444', '1590582122773614592', '2022', '61', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376445', '1590586735358775296', '2022', '62', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376446', '1590587531555115008', '2022', '63', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376447', '1590610341195288576', '2022', '64', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376448', '1590639495596871680', '2022', '65', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376449', '1590648570665635840', '2022', '66', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376450', '1590949853146517504', '2022', '67', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376451', '1590952665850974208', '2022', '68', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376452', '1591967614425501696', '2022', '69', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376453', '1591989767631933440', '2022', '70', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376454', '1592015564858068992', '2022', '71', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376455', '1592034228969803776', '2022', '72', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376456', '1592077522693132288', '2022', '73', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376457', '1592720777000652800', '2022', '74', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376458', '1593126345620197376', '2022', '75', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376459', '1593130018354106368', '2022', '76', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376460', '1593172328945160192', '2022', '77', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376461', '1593447338142208000', '2022', '78', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376462', '1593449838584926208', '2022', '79', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376463', '1593454348137009152', '2022', '80', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427087376464', '1593478742355873792', '2022', '81', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570688', '1593479582902784000', '2022', '82', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570689', '1593482825254965248', '2022', '83', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570690', '1593489505036406784', '2022', '84', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570691', '1593491703745089536', '2022', '85', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570692', '1593509718448541696', '2022', '86', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570693', '1593516895204675584', '2022', '87', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570694', '1593532185497964544', '2022', '88', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570695', '1593842844030865408', '2022', '89', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570696', '1593852545346965504', '2022', '90', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570697', '1593855262131884032', '2022', '91', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570698', '1593856415510958080', '2022', '92', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570699', '1593862922424160256', '2022', '93', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570700', '1593864420877012992', '2022', '94', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570701', '1593865238464303104', '2022', '95', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570702', '1593885025168920576', '2022', '96', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570703', '1593893948823310336', '2022', '97', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570704', '1593895047307333632', '2022', '98', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570705', '1593895275678797824', '2022', '99', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570706', '1593908021333987328', '2022', '100', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570707', '1593917700583854080', '2022', '101', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570708', '1593937047876407296', '2022', '102', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427091570709', '1593939481117986816', '2022', '103', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427158679552', '1555010577007513600', '2022', '1', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873856', '1564137446730502144', '2022', '2', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873857', '1564137453919539200', '2022', '3', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873858', '1565939234546782208', '2022', '4', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873859', '1565939741671690240', '2022', '5', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873860', '1567097186544652288', '2022', '6', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873861', '1567451914025701376', '2022', '7', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873862', '1569928315261816832', '2022', '8', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873863', '1570252962423508992', '2022', '9', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873864', '1570254194114433024', '2022', '10', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873865', '1570254300393902080', '2022', '11', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873866', '1571750260521439232', '2022', '12', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873867', '1572825817233362944', '2022', '13', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873868', '1572826733831393280', '2022', '14', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873869', '1574653861665312768', '2022', '15', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873870', '1574656123775094784', '2022', '16', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873871', '1574656535395700736', '2022', '17', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873872', '1575324436016533504', '2022', '18', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873873', '1575733659590332416', '2022', '19', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873874', '1575734154828582912', '2022', '20', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873875', '1575742080498667520', '2022', '21', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427162873876', '1575742396715634688', '2022', '22', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068160', '1578618869008961536', '2022', '23', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068161', '1579362188123049984', '2022', '24', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068162', '1579367842850148352', '2022', '25', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068163', '1579374510346473472', '2022', '26', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068164', '1580103759026065408', '2022', '27', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068165', '1580753741991251968', '2022', '28', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068166', '1581886588420493312', '2022', '29', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068167', '1581888248500850688', '2022', '30', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068168', '1582642133595197440', '2022', '31', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068169', '1582691917341265920', '2022', '32', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068170', '1589496537845731328', '2022', '33', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068171', '1589496953836802048', '2022', '34', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068172', '1589497450408841216', '2022', '35', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068173', '1589502257060253696', '2022', '36', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068174', '1589510948744466432', '2022', '37', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068175', '1589512322240614400', '2022', '38', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068176', '1589513725826699264', '2022', '39', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068177', '1589519897493377024', '2022', '40', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068178', '1589529146432819200', '2022', '41', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068179', '1589549783712927744', '2022', '42', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068180', '1589787423250976768', '2022', '43', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068181', '1589788930155352064', '2022', '44', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068182', '1589789596093386752', '2022', '45', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068183', '1589790686671147008', '2022', '46', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068184', '1589793655986720768', '2022', '47', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068185', '1589794001580593152', '2022', '48', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068186', '1589796068487467008', '2022', '49', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068187', '1589868518332043264', '2022', '50', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068188', '1589877695318200320', '2022', '51', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068189', '1589887987989221376', '2022', '52', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068190', '1589902008373088256', '2022', '53', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068191', '1589904363642556416', '2022', '54', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068192', '1589912013692342272', '2022', '55', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068193', '1590165343635116032', '2022', '56', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068194', '1590171760580497408', '2022', '57', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068195', '1590181896380354560', '2022', '58', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068196', '1590183699834605568', '2022', '59', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068197', '1590186242115506176', '2022', '60', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068198', '1590582122773614592', '2022', '61', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068199', '1590586735358775296', '2022', '62', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068200', '1590587531555115008', '2022', '63', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068201', '1590610341195288576', '2022', '64', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068202', '1590639495596871680', '2022', '65', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068203', '1590648570665635840', '2022', '66', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068204', '1590949853146517504', '2022', '67', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068205', '1590952665850974208', '2022', '68', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068206', '1591967614425501696', '2022', '69', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068207', '1591989767631933440', '2022', '70', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068208', '1592015564858068992', '2022', '71', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068209', '1592034228969803776', '2022', '72', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068210', '1592077522693132288', '2022', '73', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068211', '1592720777000652800', '2022', '74', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068212', '1593126345620197376', '2022', '75', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068213', '1593130018354106368', '2022', '76', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068214', '1593172328945160192', '2022', '77', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068215', '1593447338142208000', '2022', '78', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068216', '1593449838584926208', '2022', '79', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068217', '1593454348137009152', '2022', '80', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068218', '1593478742355873792', '2022', '81', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068219', '1593479582902784000', '2022', '82', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068220', '1593482825254965248', '2022', '83', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068221', '1593489505036406784', '2022', '84', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068222', '1593491703745089536', '2022', '85', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068223', '1593509718448541696', '2022', '86', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068224', '1593516895204675584', '2022', '87', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068225', '1593532185497964544', '2022', '88', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068226', '1593842844030865408', '2022', '89', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068227', '1593852545346965504', '2022', '90', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068228', '1593855262131884032', '2022', '91', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068229', '1593856415510958080', '2022', '92', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068230', '1593862922424160256', '2022', '93', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068231', '1593864420877012992', '2022', '94', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068232', '1593865238464303104', '2022', '95', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068233', '1593885025168920576', '2022', '96', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068234', '1593893948823310336', '2022', '97', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068235', '1593895047307333632', '2022', '98', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068236', '1593895275678797824', '2022', '99', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068237', '1593908021333987328', '2022', '100', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068238', '1593917700583854080', '2022', '101', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068239', '1593937047876407296', '2022', '102', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1593982427167068240', '1593939481117986816', '2022', '103', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887751643136', '1555010577007513600', '2022', '1', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031744', '1564137446730502144', '2022', '2', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031745', '1564137453919539200', '2022', '3', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031746', '1565939234546782208', '2022', '4', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031747', '1565939741671690240', '2022', '5', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031748', '1567097186544652288', '2022', '6', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031749', '1567451914025701376', '2022', '7', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031750', '1569928315261816832', '2022', '8', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031751', '1570252962423508992', '2022', '9', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031752', '1570254194114433024', '2022', '10', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031753', '1570254300393902080', '2022', '11', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031754', '1571750260521439232', '2022', '12', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031755', '1572825817233362944', '2022', '13', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031756', '1572826733831393280', '2022', '14', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031757', '1574653861665312768', '2022', '15', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031758', '1574656123775094784', '2022', '16', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031759', '1574656535395700736', '2022', '17', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031760', '1575324436016533504', '2022', '18', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031761', '1575733659590332416', '2022', '19', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031762', '1575734154828582912', '2022', '20', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031763', '1575742080498667520', '2022', '21', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031764', '1575742396715634688', '2022', '22', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031765', '1578618869008961536', '2022', '23', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031766', '1579362188123049984', '2022', '24', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031767', '1579367842850148352', '2022', '25', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031768', '1579374510346473472', '2022', '26', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031769', '1580103759026065408', '2022', '27', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031770', '1580753741991251968', '2022', '28', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031771', '1581886588420493312', '2022', '29', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031772', '1581888248500850688', '2022', '30', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031773', '1582642133595197440', '2022', '31', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031774', '1582691917341265920', '2022', '32', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031775', '1589496537845731328', '2022', '33', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031776', '1589496953836802048', '2022', '34', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031777', '1589497450408841216', '2022', '35', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031778', '1589502257060253696', '2022', '36', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031779', '1589510948744466432', '2022', '37', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031780', '1589512322240614400', '2022', '38', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031781', '1589513725826699264', '2022', '39', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031782', '1589519897493377024', '2022', '40', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031783', '1589529146432819200', '2022', '41', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031784', '1589549783712927744', '2022', '42', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031785', '1589787423250976768', '2022', '43', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031786', '1589788930155352064', '2022', '44', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031787', '1589789596093386752', '2022', '45', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031788', '1589790686671147008', '2022', '46', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031789', '1589793655986720768', '2022', '47', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031790', '1589794001580593152', '2022', '48', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031791', '1589796068487467008', '2022', '49', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031792', '1589868518332043264', '2022', '50', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031793', '1589877695318200320', '2022', '51', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031794', '1589887987989221376', '2022', '52', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031795', '1589902008373088256', '2022', '53', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031796', '1589904363642556416', '2022', '54', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031797', '1589912013692342272', '2022', '55', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031798', '1590165343635116032', '2022', '56', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031799', '1590171760580497408', '2022', '57', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031800', '1590181896380354560', '2022', '58', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031801', '1590183699834605568', '2022', '59', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031802', '1590186242115506176', '2022', '60', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031803', '1590582122773614592', '2022', '61', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031804', '1590586735358775296', '2022', '62', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031805', '1590587531555115008', '2022', '63', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031806', '1590610341195288576', '2022', '64', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031807', '1590639495596871680', '2022', '65', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031808', '1590648570665635840', '2022', '66', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031809', '1590949853146517504', '2022', '67', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031810', '1590952665850974208', '2022', '68', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031811', '1591967614425501696', '2022', '69', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031812', '1591989767631933440', '2022', '70', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031813', '1592015564858068992', '2022', '71', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031814', '1592034228969803776', '2022', '72', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031815', '1592077522693132288', '2022', '73', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031816', '1592720777000652800', '2022', '74', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031817', '1593126345620197376', '2022', '75', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031818', '1593130018354106368', '2022', '76', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031819', '1593172328945160192', '2022', '77', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031820', '1593447338142208000', '2022', '78', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031821', '1593449838584926208', '2022', '79', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887760031822', '1593454348137009152', '2022', '80', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226048', '1593478742355873792', '2022', '81', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226049', '1593479582902784000', '2022', '82', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226050', '1593482825254965248', '2022', '83', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226051', '1593489505036406784', '2022', '84', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226052', '1593491703745089536', '2022', '85', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226053', '1593509718448541696', '2022', '86', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226054', '1593516895204675584', '2022', '87', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226055', '1593532185497964544', '2022', '88', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226056', '1593842844030865408', '2022', '89', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226057', '1593852545346965504', '2022', '90', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226058', '1593855262131884032', '2022', '91', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226059', '1593856415510958080', '2022', '92', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226060', '1593862922424160256', '2022', '93', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226061', '1593864420877012992', '2022', '94', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226062', '1593865238464303104', '2022', '95', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226063', '1593885025168920576', '2022', '96', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226064', '1593893948823310336', '2022', '97', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226065', '1593895047307333632', '2022', '98', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226066', '1593895275678797824', '2022', '99', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226067', '1593908021333987328', '2022', '100', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226068', '1593917700583854080', '2022', '101', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226069', '1593937047876407296', '2022', '102', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594160887764226070', '1593939481117986816', '2022', '103', '0', '103');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937792', '1555010577007513600', '2022', '1', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937793', '1564137446730502144', '2022', '2', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937794', '1564137453919539200', '2022', '3', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937795', '1565939234546782208', '2022', '4', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937796', '1565939741671690240', '2022', '5', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937797', '1567097186544652288', '2022', '6', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937798', '1567451914025701376', '2022', '7', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937799', '1569928315261816832', '2022', '8', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937800', '1570252962423508992', '2022', '9', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937801', '1570254194114433024', '2022', '10', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937802', '1570254300393902080', '2022', '11', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937803', '1571750260521439232', '2022', '12', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937804', '1572825817233362944', '2022', '13', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937805', '1572826733831393280', '2022', '14', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937806', '1574653861665312768', '2022', '15', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937807', '1574656123775094784', '2022', '16', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937808', '1574656535395700736', '2022', '17', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937809', '1575324436016533504', '2022', '18', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937810', '1575733659590332416', '2022', '19', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937811', '1575734154828582912', '2022', '20', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937812', '1575742080498667520', '2022', '21', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937813', '1575742396715634688', '2022', '22', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937814', '1578618869008961536', '2022', '23', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937815', '1579362188123049984', '2022', '24', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937816', '1579367842850148352', '2022', '25', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937817', '1579374510346473472', '2022', '26', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815275937818', '1580103759026065408', '2022', '27', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132096', '1580753741991251968', '2022', '28', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132097', '1581886588420493312', '2022', '29', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132098', '1581888248500850688', '2022', '30', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132099', '1582642133595197440', '2022', '31', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132100', '1582691917341265920', '2022', '32', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132101', '1589496537845731328', '2022', '33', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132102', '1589496953836802048', '2022', '34', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132103', '1589497450408841216', '2022', '35', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132104', '1589502257060253696', '2022', '36', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132105', '1589510948744466432', '2022', '37', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132106', '1589512322240614400', '2022', '38', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132107', '1589513725826699264', '2022', '39', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132108', '1589519897493377024', '2022', '40', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132109', '1589529146432819200', '2022', '41', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132110', '1589549783712927744', '2022', '42', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132111', '1589787423250976768', '2022', '43', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132112', '1589788930155352064', '2022', '44', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132113', '1589789596093386752', '2022', '45', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132114', '1589790686671147008', '2022', '46', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132115', '1589793655986720768', '2022', '47', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132116', '1589794001580593152', '2022', '48', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132117', '1589796068487467008', '2022', '49', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132118', '1589868518332043264', '2022', '50', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132119', '1589877695318200320', '2022', '51', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132120', '1589887987989221376', '2022', '52', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132121', '1589902008373088256', '2022', '53', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132122', '1589904363642556416', '2022', '54', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132123', '1589912013692342272', '2022', '55', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132124', '1590165343635116032', '2022', '56', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132125', '1590171760580497408', '2022', '57', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132126', '1590181896380354560', '2022', '58', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132127', '1590183699834605568', '2022', '59', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132128', '1590186242115506176', '2022', '60', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132129', '1590582122773614592', '2022', '61', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132130', '1590586735358775296', '2022', '62', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132131', '1590587531555115008', '2022', '63', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132132', '1590610341195288576', '2022', '64', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132133', '1590639495596871680', '2022', '65', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132134', '1590648570665635840', '2022', '66', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132135', '1590949853146517504', '2022', '67', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132136', '1590952665850974208', '2022', '68', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132137', '1591967614425501696', '2022', '69', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132138', '1591989767631933440', '2022', '70', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132139', '1592015564858068992', '2022', '71', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132140', '1592034228969803776', '2022', '72', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132141', '1592077522693132288', '2022', '73', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132142', '1592720777000652800', '2022', '74', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132143', '1593126345620197376', '2022', '75', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132144', '1593130018354106368', '2022', '76', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132145', '1593172328945160192', '2022', '77', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132146', '1593447338142208000', '2022', '78', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132147', '1593449838584926208', '2022', '79', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132148', '1593454348137009152', '2022', '80', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132149', '1593478742355873792', '2022', '81', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132150', '1593479582902784000', '2022', '82', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132151', '1593482825254965248', '2022', '83', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132152', '1593489505036406784', '2022', '84', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132153', '1593491703745089536', '2022', '85', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132154', '1593509718448541696', '2022', '86', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132155', '1593516895204675584', '2022', '87', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132156', '1593532185497964544', '2022', '88', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132157', '1593842844030865408', '2022', '89', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132158', '1593852545346965504', '2022', '90', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132159', '1593855262131884032', '2022', '91', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132160', '1593856415510958080', '2022', '92', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132161', '1593862922424160256', '2022', '93', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132162', '1593864420877012992', '2022', '94', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132163', '1593865238464303104', '2022', '95', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132164', '1593885025168920576', '2022', '96', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132165', '1593893948823310336', '2022', '97', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132166', '1593895047307333632', '2022', '98', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132167', '1593895275678797824', '2022', '99', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132168', '1593908021333987328', '2022', '100', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132169', '1593917700583854080', '2022', '101', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132170', '1593937047876407296', '2022', '102', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132171', '1593939481117986816', '2022', '103', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132172', '1594171185472606208', '2022', '104', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132173', '1594172613977051136', '2022', '105', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132174', '1594176761233543168', '2022', '106', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132175', '1594182539172515840', '2022', '107', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132176', '1594189970099277824', '2022', '108', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132177', '1594190633659142144', '2022', '109', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132178', '1594194005799866368', '2022', '110', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132179', '1594196874573778944', '2022', '111', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132180', '1594200334652280832', '2022', '112', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132181', '1594203503994212352', '2022', '113', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132182', '1594236660655198208', '2022', '114', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594344815280132183', '1594243795166302208', '2022', '115', '0', '115');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552960', '1555010577007513600', '2022', '1', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552961', '1564137446730502144', '2022', '2', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552962', '1564137453919539200', '2022', '3', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552963', '1565939234546782208', '2022', '4', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552964', '1565939741671690240', '2022', '5', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552965', '1567097186544652288', '2022', '6', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552966', '1567451914025701376', '2022', '7', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552967', '1569928315261816832', '2022', '8', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552968', '1570252962423508992', '2022', '9', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552969', '1570254194114433024', '2022', '10', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552970', '1570254300393902080', '2022', '11', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552971', '1571750260521439232', '2022', '12', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552972', '1572825817233362944', '2022', '13', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552973', '1572826733831393280', '2022', '14', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552974', '1574653861665312768', '2022', '15', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202688552975', '1574656123775094784', '2022', '16', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747264', '1574656535395700736', '2022', '17', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747265', '1575324436016533504', '2022', '18', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747266', '1575733659590332416', '2022', '19', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747267', '1575734154828582912', '2022', '20', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747268', '1575742080498667520', '2022', '21', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747269', '1575742396715634688', '2022', '22', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747270', '1578618869008961536', '2022', '23', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747271', '1579362188123049984', '2022', '24', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747272', '1579367842850148352', '2022', '25', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747273', '1579374510346473472', '2022', '26', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747274', '1580103759026065408', '2022', '27', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747275', '1580753741991251968', '2022', '28', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747276', '1581886588420493312', '2022', '29', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747277', '1581888248500850688', '2022', '30', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747278', '1582642133595197440', '2022', '31', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747279', '1582691917341265920', '2022', '32', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747280', '1589496537845731328', '2022', '33', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747281', '1589496953836802048', '2022', '34', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747282', '1589497450408841216', '2022', '35', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747283', '1589502257060253696', '2022', '36', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747284', '1589510948744466432', '2022', '37', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747285', '1589512322240614400', '2022', '38', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747286', '1589513725826699264', '2022', '39', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747287', '1589519897493377024', '2022', '40', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747288', '1589529146432819200', '2022', '41', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747289', '1589549783712927744', '2022', '42', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747290', '1589787423250976768', '2022', '43', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747291', '1589788930155352064', '2022', '44', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747292', '1589789596093386752', '2022', '45', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747293', '1589790686671147008', '2022', '46', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747294', '1589793655986720768', '2022', '47', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747295', '1589794001580593152', '2022', '48', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747296', '1589796068487467008', '2022', '49', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747297', '1589868518332043264', '2022', '50', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747298', '1589877695318200320', '2022', '51', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747299', '1589887987989221376', '2022', '52', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747300', '1589902008373088256', '2022', '53', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747301', '1589904363642556416', '2022', '54', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747302', '1589912013692342272', '2022', '55', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747303', '1590165343635116032', '2022', '56', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747304', '1590171760580497408', '2022', '57', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747305', '1590181896380354560', '2022', '58', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747306', '1590183699834605568', '2022', '59', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747307', '1590186242115506176', '2022', '60', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747308', '1590582122773614592', '2022', '61', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747309', '1590586735358775296', '2022', '62', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747310', '1590587531555115008', '2022', '63', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747311', '1590610341195288576', '2022', '64', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747312', '1590639495596871680', '2022', '65', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747313', '1590648570665635840', '2022', '66', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747314', '1590949853146517504', '2022', '67', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747315', '1590952665850974208', '2022', '68', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747316', '1591967614425501696', '2022', '69', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747317', '1591989767631933440', '2022', '70', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747318', '1592015564858068992', '2022', '71', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747319', '1592034228969803776', '2022', '72', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747320', '1592077522693132288', '2022', '73', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747321', '1592720777000652800', '2022', '74', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747322', '1593126345620197376', '2022', '75', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747323', '1593130018354106368', '2022', '76', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747324', '1593172328945160192', '2022', '77', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747325', '1593447338142208000', '2022', '78', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747326', '1593449838584926208', '2022', '79', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747327', '1593454348137009152', '2022', '80', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747328', '1593478742355873792', '2022', '81', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747329', '1593479582902784000', '2022', '82', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747330', '1593482825254965248', '2022', '83', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747331', '1593489505036406784', '2022', '84', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747332', '1593491703745089536', '2022', '85', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747333', '1593509718448541696', '2022', '86', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747334', '1593516895204675584', '2022', '87', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747335', '1593532185497964544', '2022', '88', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747336', '1593842844030865408', '2022', '89', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747337', '1593852545346965504', '2022', '90', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747338', '1593855262131884032', '2022', '91', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747339', '1593856415510958080', '2022', '92', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747340', '1593862922424160256', '2022', '93', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747341', '1593864420877012992', '2022', '94', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747342', '1593865238464303104', '2022', '95', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747343', '1593885025168920576', '2022', '96', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747344', '1593893948823310336', '2022', '97', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747345', '1593895047307333632', '2022', '98', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747346', '1593895275678797824', '2022', '99', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747347', '1593908021333987328', '2022', '100', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747348', '1593917700583854080', '2022', '101', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747349', '1593937047876407296', '2022', '102', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747350', '1593939481117986816', '2022', '103', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747351', '1594171185472606208', '2022', '104', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747352', '1594172613977051136', '2022', '105', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747353', '1594176761233543168', '2022', '106', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747354', '1594182539172515840', '2022', '107', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747355', '1594189970099277824', '2022', '108', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747356', '1594190633659142144', '2022', '109', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747357', '1594194005799866368', '2022', '110', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747358', '1594196874573778944', '2022', '111', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747359', '1594200334652280832', '2022', '112', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747360', '1594203503994212352', '2022', '113', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747361', '1594236660655198208', '2022', '114', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747362', '1594243795166302208', '2022', '115', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747363', '1594512404811747328', '2022', '116', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747364', '1594596093570715648', '2022', '117', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747365', '1594603307282862080', '2022', '118', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202692747366', '1594612473548378112', '2022', '119', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159296', '1555010577007513600', '2022', '1', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159297', '1564137446730502144', '2022', '2', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159298', '1564137453919539200', '2022', '3', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159299', '1565939234546782208', '2022', '4', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159300', '1565939741671690240', '2022', '5', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159301', '1567097186544652288', '2022', '6', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159302', '1567451914025701376', '2022', '7', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159303', '1569928315261816832', '2022', '8', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159304', '1570252962423508992', '2022', '9', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159305', '1570254194114433024', '2022', '10', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159306', '1570254300393902080', '2022', '11', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159307', '1571750260521439232', '2022', '12', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159308', '1572825817233362944', '2022', '13', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159309', '1572826733831393280', '2022', '14', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159310', '1574653861665312768', '2022', '15', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159311', '1574656123775094784', '2022', '16', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159312', '1574656535395700736', '2022', '17', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159313', '1575324436016533504', '2022', '18', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159314', '1575733659590332416', '2022', '19', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159315', '1575734154828582912', '2022', '20', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159316', '1575742080498667520', '2022', '21', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159317', '1575742396715634688', '2022', '22', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159318', '1578618869008961536', '2022', '23', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159319', '1579362188123049984', '2022', '24', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202831159320', '1579367842850148352', '2022', '25', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353600', '1579374510346473472', '2022', '26', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353601', '1580103759026065408', '2022', '27', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353602', '1580753741991251968', '2022', '28', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353603', '1581886588420493312', '2022', '29', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353604', '1581888248500850688', '2022', '30', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353605', '1582642133595197440', '2022', '31', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353606', '1582691917341265920', '2022', '32', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353607', '1589496537845731328', '2022', '33', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353608', '1589496953836802048', '2022', '34', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353609', '1589497450408841216', '2022', '35', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353610', '1589502257060253696', '2022', '36', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353611', '1589510948744466432', '2022', '37', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353612', '1589512322240614400', '2022', '38', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353613', '1589513725826699264', '2022', '39', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353614', '1589519897493377024', '2022', '40', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353615', '1589529146432819200', '2022', '41', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353616', '1589549783712927744', '2022', '42', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353617', '1589787423250976768', '2022', '43', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353618', '1589788930155352064', '2022', '44', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353619', '1589789596093386752', '2022', '45', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353620', '1589790686671147008', '2022', '46', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353621', '1589793655986720768', '2022', '47', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353622', '1589794001580593152', '2022', '48', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353623', '1589796068487467008', '2022', '49', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353624', '1589868518332043264', '2022', '50', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353625', '1589877695318200320', '2022', '51', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353626', '1589887987989221376', '2022', '52', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353627', '1589902008373088256', '2022', '53', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353628', '1589904363642556416', '2022', '54', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353629', '1589912013692342272', '2022', '55', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353630', '1590165343635116032', '2022', '56', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353631', '1590171760580497408', '2022', '57', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353632', '1590181896380354560', '2022', '58', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353633', '1590183699834605568', '2022', '59', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353634', '1590186242115506176', '2022', '60', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353635', '1590582122773614592', '2022', '61', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353636', '1590586735358775296', '2022', '62', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353637', '1590587531555115008', '2022', '63', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353638', '1590610341195288576', '2022', '64', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353639', '1590639495596871680', '2022', '65', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353640', '1590648570665635840', '2022', '66', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353641', '1590949853146517504', '2022', '67', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353642', '1590952665850974208', '2022', '68', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353643', '1591967614425501696', '2022', '69', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353644', '1591989767631933440', '2022', '70', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353645', '1592015564858068992', '2022', '71', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353646', '1592034228969803776', '2022', '72', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353647', '1592077522693132288', '2022', '73', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353648', '1592720777000652800', '2022', '74', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353649', '1593126345620197376', '2022', '75', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353650', '1593130018354106368', '2022', '76', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353651', '1593172328945160192', '2022', '77', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353652', '1593447338142208000', '2022', '78', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353653', '1593449838584926208', '2022', '79', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353654', '1593454348137009152', '2022', '80', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353655', '1593478742355873792', '2022', '81', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353656', '1593479582902784000', '2022', '82', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353657', '1593482825254965248', '2022', '83', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353658', '1593489505036406784', '2022', '84', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353659', '1593491703745089536', '2022', '85', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353660', '1593509718448541696', '2022', '86', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353661', '1593516895204675584', '2022', '87', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353662', '1593532185497964544', '2022', '88', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353663', '1593842844030865408', '2022', '89', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353664', '1593852545346965504', '2022', '90', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353665', '1593855262131884032', '2022', '91', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353666', '1593856415510958080', '2022', '92', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353667', '1593862922424160256', '2022', '93', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353668', '1593864420877012992', '2022', '94', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353669', '1593865238464303104', '2022', '95', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353670', '1593885025168920576', '2022', '96', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353671', '1593893948823310336', '2022', '97', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353672', '1593895047307333632', '2022', '98', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353673', '1593895275678797824', '2022', '99', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353674', '1593908021333987328', '2022', '100', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353675', '1593917700583854080', '2022', '101', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353676', '1593937047876407296', '2022', '102', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353677', '1593939481117986816', '2022', '103', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353678', '1594171185472606208', '2022', '104', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353679', '1594172613977051136', '2022', '105', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353680', '1594176761233543168', '2022', '106', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353681', '1594182539172515840', '2022', '107', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353682', '1594189970099277824', '2022', '108', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353683', '1594190633659142144', '2022', '109', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353684', '1594194005799866368', '2022', '110', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353685', '1594196874573778944', '2022', '111', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353686', '1594200334652280832', '2022', '112', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353687', '1594203503994212352', '2022', '113', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353688', '1594236660655198208', '2022', '114', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353689', '1594243795166302208', '2022', '115', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353690', '1594512404811747328', '2022', '116', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353691', '1594596093570715648', '2022', '117', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353692', '1594603307282862080', '2022', '118', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707202835353693', '1594612473548378112', '2022', '119', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203166703616', '1555010577007513600', '2022', '1', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286528', '1564137446730502144', '2022', '2', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286529', '1564137453919539200', '2022', '3', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286530', '1565939234546782208', '2022', '4', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286531', '1565939741671690240', '2022', '5', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286532', '1567097186544652288', '2022', '6', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286533', '1567451914025701376', '2022', '7', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286534', '1569928315261816832', '2022', '8', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286535', '1570252962423508992', '2022', '9', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286536', '1570254194114433024', '2022', '10', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286537', '1570254300393902080', '2022', '11', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286538', '1571750260521439232', '2022', '12', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286539', '1572825817233362944', '2022', '13', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286540', '1572826733831393280', '2022', '14', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286541', '1574653861665312768', '2022', '15', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286542', '1574656123775094784', '2022', '16', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286543', '1574656535395700736', '2022', '17', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286544', '1575324436016533504', '2022', '18', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286545', '1575733659590332416', '2022', '19', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286546', '1575734154828582912', '2022', '20', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286547', '1575742080498667520', '2022', '21', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286548', '1575742396715634688', '2022', '22', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286549', '1578618869008961536', '2022', '23', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286550', '1579362188123049984', '2022', '24', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286551', '1579367842850148352', '2022', '25', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286552', '1579374510346473472', '2022', '26', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286553', '1580103759026065408', '2022', '27', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286554', '1580753741991251968', '2022', '28', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286555', '1581886588420493312', '2022', '29', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286556', '1581888248500850688', '2022', '30', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286557', '1582642133595197440', '2022', '31', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286558', '1582691917341265920', '2022', '32', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286559', '1589496537845731328', '2022', '33', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286560', '1589496953836802048', '2022', '34', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286561', '1589497450408841216', '2022', '35', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286562', '1589502257060253696', '2022', '36', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203179286563', '1589510948744466432', '2022', '37', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480832', '1589512322240614400', '2022', '38', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480833', '1589513725826699264', '2022', '39', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480834', '1589519897493377024', '2022', '40', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480835', '1589529146432819200', '2022', '41', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480836', '1589549783712927744', '2022', '42', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480837', '1589787423250976768', '2022', '43', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480838', '1589788930155352064', '2022', '44', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480839', '1589789596093386752', '2022', '45', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480840', '1589790686671147008', '2022', '46', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480841', '1589793655986720768', '2022', '47', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480842', '1589794001580593152', '2022', '48', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480843', '1589796068487467008', '2022', '49', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480844', '1589868518332043264', '2022', '50', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480845', '1589877695318200320', '2022', '51', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480846', '1589887987989221376', '2022', '52', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480847', '1589902008373088256', '2022', '53', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480848', '1589904363642556416', '2022', '54', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480849', '1589912013692342272', '2022', '55', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480850', '1590165343635116032', '2022', '56', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480851', '1590171760580497408', '2022', '57', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480852', '1590181896380354560', '2022', '58', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480853', '1590183699834605568', '2022', '59', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480854', '1590186242115506176', '2022', '60', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480855', '1590582122773614592', '2022', '61', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480856', '1590586735358775296', '2022', '62', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480857', '1590587531555115008', '2022', '63', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480858', '1590610341195288576', '2022', '64', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480859', '1590639495596871680', '2022', '65', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480860', '1590648570665635840', '2022', '66', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480861', '1590949853146517504', '2022', '67', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480862', '1590952665850974208', '2022', '68', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480863', '1591967614425501696', '2022', '69', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480864', '1591989767631933440', '2022', '70', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480865', '1592015564858068992', '2022', '71', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480866', '1592034228969803776', '2022', '72', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480867', '1592077522693132288', '2022', '73', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480868', '1592720777000652800', '2022', '74', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480869', '1593126345620197376', '2022', '75', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480870', '1593130018354106368', '2022', '76', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480871', '1593172328945160192', '2022', '77', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480872', '1593447338142208000', '2022', '78', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480873', '1593449838584926208', '2022', '79', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480874', '1593454348137009152', '2022', '80', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480875', '1593478742355873792', '2022', '81', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480876', '1593479582902784000', '2022', '82', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480877', '1593482825254965248', '2022', '83', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480878', '1593489505036406784', '2022', '84', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480879', '1593491703745089536', '2022', '85', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480880', '1593509718448541696', '2022', '86', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480881', '1593516895204675584', '2022', '87', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480882', '1593532185497964544', '2022', '88', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480883', '1593842844030865408', '2022', '89', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480884', '1593852545346965504', '2022', '90', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480885', '1593855262131884032', '2022', '91', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480886', '1593856415510958080', '2022', '92', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480887', '1593862922424160256', '2022', '93', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480888', '1593864420877012992', '2022', '94', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480889', '1593865238464303104', '2022', '95', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480890', '1593885025168920576', '2022', '96', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480891', '1593893948823310336', '2022', '97', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480892', '1593895047307333632', '2022', '98', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480893', '1593895275678797824', '2022', '99', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480894', '1593908021333987328', '2022', '100', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480895', '1593917700583854080', '2022', '101', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480896', '1593937047876407296', '2022', '102', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480897', '1593939481117986816', '2022', '103', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203183480898', '1594171185472606208', '2022', '104', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675136', '1594172613977051136', '2022', '105', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675137', '1594176761233543168', '2022', '106', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675138', '1594182539172515840', '2022', '107', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675139', '1594189970099277824', '2022', '108', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675140', '1594190633659142144', '2022', '109', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675141', '1594194005799866368', '2022', '110', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675142', '1594196874573778944', '2022', '111', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675143', '1594200334652280832', '2022', '112', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675144', '1594203503994212352', '2022', '113', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675145', '1594236660655198208', '2022', '114', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675146', '1594243795166302208', '2022', '115', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675147', '1594512404811747328', '2022', '116', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675148', '1594596093570715648', '2022', '117', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675149', '1594603307282862080', '2022', '118', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594707203187675150', '1594612473548378112', '2022', '119', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134629687296', '1555010577007513600', '2022', '1', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658816', '1564137446730502144', '2022', '2', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658817', '1564137453919539200', '2022', '3', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658818', '1565939234546782208', '2022', '4', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658819', '1565939741671690240', '2022', '5', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658820', '1567097186544652288', '2022', '6', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658821', '1567451914025701376', '2022', '7', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658822', '1569928315261816832', '2022', '8', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658823', '1570252962423508992', '2022', '9', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658824', '1570254194114433024', '2022', '10', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658825', '1570254300393902080', '2022', '11', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658826', '1571750260521439232', '2022', '12', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658827', '1572825817233362944', '2022', '13', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658828', '1572826733831393280', '2022', '14', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658829', '1574653861665312768', '2022', '15', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658830', '1574656123775094784', '2022', '16', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658831', '1574656535395700736', '2022', '17', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658832', '1575324436016533504', '2022', '18', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658833', '1575733659590332416', '2022', '19', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658834', '1575734154828582912', '2022', '20', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658835', '1575742080498667520', '2022', '21', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658836', '1575742396715634688', '2022', '22', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658837', '1578618869008961536', '2022', '23', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658838', '1579362188123049984', '2022', '24', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658839', '1579367842850148352', '2022', '25', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658840', '1579374510346473472', '2022', '26', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658841', '1580103759026065408', '2022', '27', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658842', '1580753741991251968', '2022', '28', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658843', '1581886588420493312', '2022', '29', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658844', '1581888248500850688', '2022', '30', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658845', '1582642133595197440', '2022', '31', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658846', '1582691917341265920', '2022', '32', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658847', '1589496537845731328', '2022', '33', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658848', '1589496953836802048', '2022', '34', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658849', '1589497450408841216', '2022', '35', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658850', '1589502257060253696', '2022', '36', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658851', '1589510948744466432', '2022', '37', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658852', '1589512322240614400', '2022', '38', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658853', '1589513725826699264', '2022', '39', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658854', '1589519897493377024', '2022', '40', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658855', '1589529146432819200', '2022', '41', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658856', '1589549783712927744', '2022', '42', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658857', '1589787423250976768', '2022', '43', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658858', '1589788930155352064', '2022', '44', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658859', '1589789596093386752', '2022', '45', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658860', '1589790686671147008', '2022', '46', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658861', '1589793655986720768', '2022', '47', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658862', '1589794001580593152', '2022', '48', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658863', '1589796068487467008', '2022', '49', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658864', '1589868518332043264', '2022', '50', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658865', '1589877695318200320', '2022', '51', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658866', '1589887987989221376', '2022', '52', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658867', '1589902008373088256', '2022', '53', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658868', '1589904363642556416', '2022', '54', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658869', '1589912013692342272', '2022', '55', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658870', '1590165343635116032', '2022', '56', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658871', '1590171760580497408', '2022', '57', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658872', '1590181896380354560', '2022', '58', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658873', '1590183699834605568', '2022', '59', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658874', '1590186242115506176', '2022', '60', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658875', '1590582122773614592', '2022', '61', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658876', '1590586735358775296', '2022', '62', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658877', '1590587531555115008', '2022', '63', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658878', '1590610341195288576', '2022', '64', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658879', '1590639495596871680', '2022', '65', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658880', '1590648570665635840', '2022', '66', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658881', '1590949853146517504', '2022', '67', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658882', '1590952665850974208', '2022', '68', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658883', '1591967614425501696', '2022', '69', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658884', '1591989767631933440', '2022', '70', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658885', '1592015564858068992', '2022', '71', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658886', '1592034228969803776', '2022', '72', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658887', '1592077522693132288', '2022', '73', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658888', '1592720777000652800', '2022', '74', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658889', '1593126345620197376', '2022', '75', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658890', '1593130018354106368', '2022', '76', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658891', '1593172328945160192', '2022', '77', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658892', '1593447338142208000', '2022', '78', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658893', '1593449838584926208', '2022', '79', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658894', '1593454348137009152', '2022', '80', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658895', '1593478742355873792', '2022', '81', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658896', '1593479582902784000', '2022', '82', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658897', '1593482825254965248', '2022', '83', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658898', '1593489505036406784', '2022', '84', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658899', '1593491703745089536', '2022', '85', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658900', '1593509718448541696', '2022', '86', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658901', '1593516895204675584', '2022', '87', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658902', '1593532185497964544', '2022', '88', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658903', '1593842844030865408', '2022', '89', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658904', '1593852545346965504', '2022', '90', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658905', '1593855262131884032', '2022', '91', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658906', '1593856415510958080', '2022', '92', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658907', '1593862922424160256', '2022', '93', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658908', '1593864420877012992', '2022', '94', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658909', '1593865238464303104', '2022', '95', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658910', '1593885025168920576', '2022', '96', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658911', '1593893948823310336', '2022', '97', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658912', '1593895047307333632', '2022', '98', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658913', '1593895275678797824', '2022', '99', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658914', '1593908021333987328', '2022', '100', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658915', '1593917700583854080', '2022', '101', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658916', '1593937047876407296', '2022', '102', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658917', '1593939481117986816', '2022', '103', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658918', '1594171185472606208', '2022', '104', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658919', '1594172613977051136', '2022', '105', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658920', '1594176761233543168', '2022', '106', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658921', '1594182539172515840', '2022', '107', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658922', '1594189970099277824', '2022', '108', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658923', '1594190633659142144', '2022', '109', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658924', '1594194005799866368', '2022', '110', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658925', '1594196874573778944', '2022', '111', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658926', '1594200334652280832', '2022', '112', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658927', '1594203503994212352', '2022', '113', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658928', '1594236660655198208', '2022', '114', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658929', '1594243795166302208', '2022', '115', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658930', '1594512404811747328', '2022', '116', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658931', '1594596093570715648', '2022', '117', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658932', '1594603307282862080', '2022', '118', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1594865134650658933', '1594612473548378112', '2022', '119', '0', '119');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313728', '1555010577007513600', '2022', '1', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313729', '1564137446730502144', '2022', '2', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313730', '1564137453919539200', '2022', '3', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313731', '1565939234546782208', '2022', '4', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313732', '1565939741671690240', '2022', '5', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313733', '1567097186544652288', '2022', '6', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313734', '1567451914025701376', '2022', '7', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313735', '1569928315261816832', '2022', '8', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313736', '1570252962423508992', '2022', '9', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590730313737', '1570254194114433024', '2022', '10', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508032', '1570254300393902080', '2022', '11', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508033', '1571750260521439232', '2022', '12', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508034', '1572825817233362944', '2022', '13', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508035', '1572826733831393280', '2022', '14', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508036', '1574653861665312768', '2022', '15', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508037', '1574656123775094784', '2022', '16', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508038', '1574656535395700736', '2022', '17', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508039', '1575324436016533504', '2022', '18', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508040', '1575733659590332416', '2022', '19', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508041', '1575734154828582912', '2022', '20', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508042', '1575742080498667520', '2022', '21', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508043', '1575742396715634688', '2022', '22', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508044', '1578618869008961536', '2022', '23', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508045', '1579362188123049984', '2022', '24', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508046', '1579367842850148352', '2022', '25', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508047', '1579374510346473472', '2022', '26', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508048', '1580103759026065408', '2022', '27', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508049', '1580753741991251968', '2022', '28', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508050', '1581886588420493312', '2022', '29', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508051', '1581888248500850688', '2022', '30', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508052', '1582642133595197440', '2022', '31', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508053', '1582691917341265920', '2022', '32', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508054', '1589496537845731328', '2022', '33', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508055', '1589496953836802048', '2022', '34', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508056', '1589497450408841216', '2022', '35', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508057', '1589502257060253696', '2022', '36', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508058', '1589510948744466432', '2022', '37', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508059', '1589512322240614400', '2022', '38', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508060', '1589513725826699264', '2022', '39', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508061', '1589519897493377024', '2022', '40', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508062', '1589529146432819200', '2022', '41', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508063', '1589549783712927744', '2022', '42', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508064', '1589787423250976768', '2022', '43', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508065', '1589788930155352064', '2022', '44', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508066', '1589789596093386752', '2022', '45', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508067', '1589790686671147008', '2022', '46', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508068', '1589793655986720768', '2022', '47', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508069', '1589794001580593152', '2022', '48', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508070', '1589796068487467008', '2022', '49', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508071', '1589868518332043264', '2022', '50', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508072', '1589877695318200320', '2022', '51', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508073', '1589887987989221376', '2022', '52', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508074', '1589902008373088256', '2022', '53', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508075', '1589904363642556416', '2022', '54', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508076', '1589912013692342272', '2022', '55', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508077', '1590165343635116032', '2022', '56', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508078', '1590171760580497408', '2022', '57', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508079', '1590181896380354560', '2022', '58', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508080', '1590183699834605568', '2022', '59', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508081', '1590186242115506176', '2022', '60', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508082', '1590582122773614592', '2022', '61', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508083', '1590586735358775296', '2022', '62', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508084', '1590587531555115008', '2022', '63', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508085', '1590610341195288576', '2022', '64', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508086', '1590639495596871680', '2022', '65', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508087', '1590648570665635840', '2022', '66', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508088', '1590949853146517504', '2022', '67', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508089', '1590952665850974208', '2022', '68', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508090', '1591967614425501696', '2022', '69', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508091', '1591989767631933440', '2022', '70', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508092', '1592015564858068992', '2022', '71', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508093', '1592034228969803776', '2022', '72', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508094', '1592077522693132288', '2022', '73', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508095', '1592720777000652800', '2022', '74', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508096', '1593126345620197376', '2022', '75', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508097', '1593130018354106368', '2022', '76', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508098', '1593172328945160192', '2022', '77', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508099', '1593447338142208000', '2022', '78', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508100', '1593449838584926208', '2022', '79', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508101', '1593454348137009152', '2022', '80', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508102', '1593478742355873792', '2022', '81', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508103', '1593479582902784000', '2022', '82', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508104', '1593482825254965248', '2022', '83', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508105', '1593489505036406784', '2022', '84', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508106', '1593491703745089536', '2022', '85', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508107', '1593509718448541696', '2022', '86', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508108', '1593516895204675584', '2022', '87', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508109', '1593532185497964544', '2022', '88', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508110', '1593842844030865408', '2022', '89', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508111', '1593852545346965504', '2022', '90', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508112', '1593855262131884032', '2022', '91', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508113', '1593856415510958080', '2022', '92', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508114', '1593862922424160256', '2022', '93', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508115', '1593864420877012992', '2022', '94', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508116', '1593865238464303104', '2022', '95', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508117', '1593885025168920576', '2022', '96', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508118', '1593893948823310336', '2022', '97', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508119', '1593895047307333632', '2022', '98', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508120', '1593895275678797824', '2022', '99', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508121', '1593908021333987328', '2022', '100', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508122', '1593917700583854080', '2022', '101', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508123', '1593937047876407296', '2022', '102', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508124', '1593939481117986816', '2022', '103', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508125', '1594171185472606208', '2022', '104', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508126', '1594172613977051136', '2022', '105', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508127', '1594176761233543168', '2022', '106', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508128', '1594182539172515840', '2022', '107', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508129', '1594189970099277824', '2022', '108', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508130', '1594190633659142144', '2022', '109', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508131', '1594194005799866368', '2022', '110', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508132', '1594196874573778944', '2022', '111', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508133', '1594200334652280832', '2022', '112', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508134', '1594203503994212352', '2022', '113', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508135', '1594236660655198208', '2022', '114', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508136', '1594243795166302208', '2022', '115', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508137', '1594512404811747328', '2022', '116', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508138', '1594596093570715648', '2022', '117', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508139', '1594603307282862080', '2022', '118', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508140', '1594612473548378112', '2022', '119', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508141', '1594876784518762496', '2022', '120', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508142', '1594884909942575104', '2022', '121', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590734508143', '1594934928573861888', '2022', '122', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590738702336', '1555010577007513600', '2022', '1', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896640', '1564137446730502144', '2022', '2', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896641', '1564137453919539200', '2022', '3', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896642', '1565939234546782208', '2022', '4', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896643', '1565939741671690240', '2022', '5', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896644', '1567097186544652288', '2022', '6', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896645', '1567451914025701376', '2022', '7', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896646', '1569928315261816832', '2022', '8', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896647', '1570252962423508992', '2022', '9', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896648', '1570254194114433024', '2022', '10', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896649', '1570254300393902080', '2022', '11', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896650', '1571750260521439232', '2022', '12', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896651', '1572825817233362944', '2022', '13', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896652', '1572826733831393280', '2022', '14', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896653', '1574653861665312768', '2022', '15', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896654', '1574656123775094784', '2022', '16', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896655', '1574656535395700736', '2022', '17', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896656', '1575324436016533504', '2022', '18', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896657', '1575733659590332416', '2022', '19', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896658', '1575734154828582912', '2022', '20', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896659', '1575742080498667520', '2022', '21', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896660', '1575742396715634688', '2022', '22', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896661', '1578618869008961536', '2022', '23', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896662', '1579362188123049984', '2022', '24', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896663', '1579367842850148352', '2022', '25', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896664', '1579374510346473472', '2022', '26', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896665', '1580103759026065408', '2022', '27', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896666', '1580753741991251968', '2022', '28', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896667', '1581886588420493312', '2022', '29', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896668', '1581888248500850688', '2022', '30', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896669', '1582642133595197440', '2022', '31', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896670', '1582691917341265920', '2022', '32', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896671', '1589496537845731328', '2022', '33', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896672', '1589496953836802048', '2022', '34', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896673', '1589497450408841216', '2022', '35', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896674', '1589502257060253696', '2022', '36', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896675', '1589510948744466432', '2022', '37', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896676', '1589512322240614400', '2022', '38', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896677', '1589513725826699264', '2022', '39', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896678', '1589519897493377024', '2022', '40', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896679', '1589529146432819200', '2022', '41', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896680', '1589549783712927744', '2022', '42', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896681', '1589787423250976768', '2022', '43', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896682', '1589788930155352064', '2022', '44', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896683', '1589789596093386752', '2022', '45', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896684', '1589790686671147008', '2022', '46', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896685', '1589793655986720768', '2022', '47', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896686', '1589794001580593152', '2022', '48', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896687', '1589796068487467008', '2022', '49', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896688', '1589868518332043264', '2022', '50', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896689', '1589877695318200320', '2022', '51', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896690', '1589887987989221376', '2022', '52', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896691', '1589902008373088256', '2022', '53', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896692', '1589904363642556416', '2022', '54', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896693', '1589912013692342272', '2022', '55', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896694', '1590165343635116032', '2022', '56', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896695', '1590171760580497408', '2022', '57', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896696', '1590181896380354560', '2022', '58', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896697', '1590183699834605568', '2022', '59', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896698', '1590186242115506176', '2022', '60', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896699', '1590582122773614592', '2022', '61', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896700', '1590586735358775296', '2022', '62', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896701', '1590587531555115008', '2022', '63', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896702', '1590610341195288576', '2022', '64', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896703', '1590639495596871680', '2022', '65', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896704', '1590648570665635840', '2022', '66', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896705', '1590949853146517504', '2022', '67', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896706', '1590952665850974208', '2022', '68', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896707', '1591967614425501696', '2022', '69', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896708', '1591989767631933440', '2022', '70', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896709', '1592015564858068992', '2022', '71', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896710', '1592034228969803776', '2022', '72', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896711', '1592077522693132288', '2022', '73', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896712', '1592720777000652800', '2022', '74', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896713', '1593126345620197376', '2022', '75', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896714', '1593130018354106368', '2022', '76', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896715', '1593172328945160192', '2022', '77', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896716', '1593447338142208000', '2022', '78', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896717', '1593449838584926208', '2022', '79', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896718', '1593454348137009152', '2022', '80', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896719', '1593478742355873792', '2022', '81', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896720', '1593479582902784000', '2022', '82', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896721', '1593482825254965248', '2022', '83', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896722', '1593489505036406784', '2022', '84', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896723', '1593491703745089536', '2022', '85', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896724', '1593509718448541696', '2022', '86', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896725', '1593516895204675584', '2022', '87', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896726', '1593532185497964544', '2022', '88', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896727', '1593842844030865408', '2022', '89', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896728', '1593852545346965504', '2022', '90', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896729', '1593855262131884032', '2022', '91', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896730', '1593856415510958080', '2022', '92', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896731', '1593862922424160256', '2022', '93', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896732', '1593864420877012992', '2022', '94', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896733', '1593865238464303104', '2022', '95', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896734', '1593885025168920576', '2022', '96', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896735', '1593893948823310336', '2022', '97', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896736', '1593895047307333632', '2022', '98', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896737', '1593895275678797824', '2022', '99', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896738', '1593908021333987328', '2022', '100', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896739', '1593917700583854080', '2022', '101', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896740', '1593937047876407296', '2022', '102', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896741', '1593939481117986816', '2022', '103', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896742', '1594171185472606208', '2022', '104', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896743', '1594172613977051136', '2022', '105', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896744', '1594176761233543168', '2022', '106', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896745', '1594182539172515840', '2022', '107', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896746', '1594189970099277824', '2022', '108', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896747', '1594190633659142144', '2022', '109', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896748', '1594194005799866368', '2022', '110', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896749', '1594196874573778944', '2022', '111', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896750', '1594200334652280832', '2022', '112', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896751', '1594203503994212352', '2022', '113', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896752', '1594236660655198208', '2022', '114', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896753', '1594243795166302208', '2022', '115', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896754', '1594512404811747328', '2022', '116', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896755', '1594596093570715648', '2022', '117', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896756', '1594603307282862080', '2022', '118', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896757', '1594612473548378112', '2022', '119', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896758', '1594876784518762496', '2022', '120', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896759', '1594884909942575104', '2022', '121', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595069590742896760', '1594934928573861888', '2022', '122', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008960', '1555010577007513600', '2022', '1', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008961', '1564137446730502144', '2022', '2', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008962', '1564137453919539200', '2022', '3', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008963', '1565939234546782208', '2022', '4', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008964', '1565939741671690240', '2022', '5', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008965', '1567097186544652288', '2022', '6', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008966', '1567451914025701376', '2022', '7', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008967', '1569928315261816832', '2022', '8', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008968', '1570252962423508992', '2022', '9', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008969', '1570254194114433024', '2022', '10', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008970', '1570254300393902080', '2022', '11', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008971', '1571750260521439232', '2022', '12', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008972', '1572825817233362944', '2022', '13', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008973', '1572826733831393280', '2022', '14', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008974', '1574653861665312768', '2022', '15', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008975', '1574656123775094784', '2022', '16', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008976', '1574656535395700736', '2022', '17', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008977', '1575324436016533504', '2022', '18', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008978', '1575733659590332416', '2022', '19', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008979', '1575734154828582912', '2022', '20', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008980', '1575742080498667520', '2022', '21', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008981', '1575742396715634688', '2022', '22', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008982', '1578618869008961536', '2022', '23', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008983', '1579362188123049984', '2022', '24', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008984', '1579367842850148352', '2022', '25', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008985', '1579374510346473472', '2022', '26', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008986', '1580103759026065408', '2022', '27', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008987', '1580753741991251968', '2022', '28', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008988', '1581886588420493312', '2022', '29', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008989', '1581888248500850688', '2022', '30', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008990', '1582642133595197440', '2022', '31', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008991', '1582691917341265920', '2022', '32', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008992', '1589496537845731328', '2022', '33', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008993', '1589496953836802048', '2022', '34', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008994', '1589497450408841216', '2022', '35', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008995', '1589502257060253696', '2022', '36', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008996', '1589510948744466432', '2022', '37', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008997', '1589512322240614400', '2022', '38', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008998', '1589513725826699264', '2022', '39', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436008999', '1589519897493377024', '2022', '40', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009000', '1589529146432819200', '2022', '41', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009001', '1589549783712927744', '2022', '42', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009002', '1589787423250976768', '2022', '43', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009003', '1589788930155352064', '2022', '44', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009004', '1589789596093386752', '2022', '45', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009005', '1589790686671147008', '2022', '46', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009006', '1589793655986720768', '2022', '47', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009007', '1589794001580593152', '2022', '48', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009008', '1589796068487467008', '2022', '49', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009009', '1589868518332043264', '2022', '50', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009010', '1589877695318200320', '2022', '51', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009011', '1589887987989221376', '2022', '52', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009012', '1589902008373088256', '2022', '53', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009013', '1589904363642556416', '2022', '54', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009014', '1589912013692342272', '2022', '55', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009015', '1590165343635116032', '2022', '56', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009016', '1590171760580497408', '2022', '57', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009017', '1590181896380354560', '2022', '58', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009018', '1590183699834605568', '2022', '59', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009019', '1590186242115506176', '2022', '60', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009020', '1590582122773614592', '2022', '61', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009021', '1590586735358775296', '2022', '62', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404436009022', '1590587531555115008', '2022', '63', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952000', '1590610341195288576', '2022', '64', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952001', '1590639495596871680', '2022', '65', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952002', '1590648570665635840', '2022', '66', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952003', '1590949853146517504', '2022', '67', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952004', '1590952665850974208', '2022', '68', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952005', '1591967614425501696', '2022', '69', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952006', '1591989767631933440', '2022', '70', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952007', '1592015564858068992', '2022', '71', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952008', '1592034228969803776', '2022', '72', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952009', '1592077522693132288', '2022', '73', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952010', '1592720777000652800', '2022', '74', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952011', '1593126345620197376', '2022', '75', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952012', '1593130018354106368', '2022', '76', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952013', '1593172328945160192', '2022', '77', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952014', '1593447338142208000', '2022', '78', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952015', '1593449838584926208', '2022', '79', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952016', '1593454348137009152', '2022', '80', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952017', '1593478742355873792', '2022', '81', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952018', '1593479582902784000', '2022', '82', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952019', '1593482825254965248', '2022', '83', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952020', '1593489505036406784', '2022', '84', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952021', '1593491703745089536', '2022', '85', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952022', '1593509718448541696', '2022', '86', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952023', '1593516895204675584', '2022', '87', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952024', '1593532185497964544', '2022', '88', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952025', '1593842844030865408', '2022', '89', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952026', '1593852545346965504', '2022', '90', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952027', '1593855262131884032', '2022', '91', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952028', '1593856415510958080', '2022', '92', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952029', '1593862922424160256', '2022', '93', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952030', '1593864420877012992', '2022', '94', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952031', '1593865238464303104', '2022', '95', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952032', '1593885025168920576', '2022', '96', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952033', '1593893948823310336', '2022', '97', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952034', '1593895047307333632', '2022', '98', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952035', '1593895275678797824', '2022', '99', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952036', '1593908021333987328', '2022', '100', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952037', '1593917700583854080', '2022', '101', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952038', '1593937047876407296', '2022', '102', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952039', '1593939481117986816', '2022', '103', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952040', '1594171185472606208', '2022', '104', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952041', '1594172613977051136', '2022', '105', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952042', '1594176761233543168', '2022', '106', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952043', '1594182539172515840', '2022', '107', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952044', '1594189970099277824', '2022', '108', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952045', '1594190633659142144', '2022', '109', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952046', '1594194005799866368', '2022', '110', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952047', '1594196874573778944', '2022', '111', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952048', '1594200334652280832', '2022', '112', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952049', '1594203503994212352', '2022', '113', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952050', '1594236660655198208', '2022', '114', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952051', '1594243795166302208', '2022', '115', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952052', '1594512404811747328', '2022', '116', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952053', '1594596093570715648', '2022', '117', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952054', '1594603307282862080', '2022', '118', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952055', '1594612473548378112', '2022', '119', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952056', '1594876784518762496', '2022', '120', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952057', '1594884909942575104', '2022', '121', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595221404477952058', '1594934928573861888', '2022', '122', '0', '122');
INSERT INTO `train_user_year_points` VALUES ('1595431978608496640', '1555010577007513600', '2022', '1', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690944', '1564137446730502144', '2022', '2', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690945', '1564137453919539200', '2022', '3', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690946', '1565939234546782208', '2022', '4', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690947', '1565939741671690240', '2022', '5', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690948', '1567097186544652288', '2022', '6', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690949', '1567451914025701376', '2022', '7', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690950', '1569928315261816832', '2022', '8', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690951', '1570252962423508992', '2022', '9', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690952', '1570254194114433024', '2022', '10', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690953', '1570254300393902080', '2022', '11', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690954', '1571750260521439232', '2022', '12', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690955', '1572825817233362944', '2022', '13', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690956', '1572826733831393280', '2022', '14', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690957', '1574653861665312768', '2022', '15', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690958', '1574656123775094784', '2022', '16', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690959', '1574656535395700736', '2022', '17', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690960', '1575324436016533504', '2022', '18', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690961', '1575733659590332416', '2022', '19', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690962', '1575734154828582912', '2022', '20', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690963', '1575742080498667520', '2022', '21', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690964', '1575742396715634688', '2022', '22', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690965', '1578618869008961536', '2022', '23', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690966', '1579362188123049984', '2022', '24', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690967', '1579367842850148352', '2022', '25', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690968', '1579374510346473472', '2022', '26', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690969', '1580103759026065408', '2022', '27', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690970', '1580753741991251968', '2022', '28', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690971', '1581886588420493312', '2022', '29', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690972', '1581888248500850688', '2022', '30', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690973', '1582642133595197440', '2022', '31', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690974', '1582691917341265920', '2022', '32', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690975', '1589496537845731328', '2022', '33', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690976', '1589496953836802048', '2022', '34', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690977', '1589497450408841216', '2022', '35', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690978', '1589502257060253696', '2022', '36', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690979', '1589510948744466432', '2022', '37', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690980', '1589512322240614400', '2022', '38', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690981', '1589513725826699264', '2022', '39', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690982', '1589519897493377024', '2022', '40', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690983', '1589529146432819200', '2022', '41', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690984', '1589549783712927744', '2022', '42', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690985', '1589787423250976768', '2022', '43', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690986', '1589788930155352064', '2022', '44', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690987', '1589789596093386752', '2022', '45', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690988', '1589790686671147008', '2022', '46', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690989', '1589793655986720768', '2022', '47', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690990', '1589794001580593152', '2022', '48', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690991', '1589796068487467008', '2022', '49', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690992', '1589868518332043264', '2022', '50', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690993', '1589877695318200320', '2022', '51', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690994', '1589887987989221376', '2022', '52', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690995', '1589902008373088256', '2022', '53', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690996', '1589904363642556416', '2022', '54', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690997', '1589912013692342272', '2022', '55', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690998', '1590165343635116032', '2022', '56', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612690999', '1590171760580497408', '2022', '57', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691000', '1590181896380354560', '2022', '58', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691001', '1590183699834605568', '2022', '59', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691002', '1590186242115506176', '2022', '60', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691003', '1590582122773614592', '2022', '61', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691004', '1590586735358775296', '2022', '62', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691005', '1590587531555115008', '2022', '63', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691006', '1590610341195288576', '2022', '64', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691007', '1590639495596871680', '2022', '65', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691008', '1590648570665635840', '2022', '66', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691009', '1590949853146517504', '2022', '67', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691010', '1590952665850974208', '2022', '68', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691011', '1591967614425501696', '2022', '69', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691012', '1591989767631933440', '2022', '70', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691013', '1592015564858068992', '2022', '71', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691014', '1592034228969803776', '2022', '72', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691015', '1592077522693132288', '2022', '73', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691016', '1592720777000652800', '2022', '74', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691017', '1593126345620197376', '2022', '75', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691018', '1593130018354106368', '2022', '76', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691019', '1593172328945160192', '2022', '77', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691020', '1593447338142208000', '2022', '78', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691021', '1593449838584926208', '2022', '79', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691022', '1593454348137009152', '2022', '80', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691023', '1593478742355873792', '2022', '81', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691024', '1593479582902784000', '2022', '82', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691025', '1593482825254965248', '2022', '83', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691026', '1593489505036406784', '2022', '84', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691027', '1593491703745089536', '2022', '85', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691028', '1593509718448541696', '2022', '86', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691029', '1593516895204675584', '2022', '87', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691030', '1593532185497964544', '2022', '88', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691031', '1593842844030865408', '2022', '89', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691032', '1593852545346965504', '2022', '90', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691033', '1593855262131884032', '2022', '91', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691034', '1593856415510958080', '2022', '92', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691035', '1593862922424160256', '2022', '93', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691036', '1593864420877012992', '2022', '94', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691037', '1593865238464303104', '2022', '95', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691038', '1593885025168920576', '2022', '96', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691039', '1593893948823310336', '2022', '97', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691040', '1593895047307333632', '2022', '98', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691041', '1593895275678797824', '2022', '99', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691042', '1593908021333987328', '2022', '100', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691043', '1593917700583854080', '2022', '101', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691044', '1593937047876407296', '2022', '102', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691045', '1593939481117986816', '2022', '103', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691046', '1594171185472606208', '2022', '104', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691047', '1594172613977051136', '2022', '105', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691048', '1594176761233543168', '2022', '106', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691049', '1594182539172515840', '2022', '107', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691050', '1594189970099277824', '2022', '108', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691051', '1594190633659142144', '2022', '109', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691052', '1594194005799866368', '2022', '110', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691053', '1594196874573778944', '2022', '111', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691054', '1594200334652280832', '2022', '112', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691055', '1594203503994212352', '2022', '113', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691056', '1594236660655198208', '2022', '114', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691057', '1594243795166302208', '2022', '115', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691058', '1594512404811747328', '2022', '116', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691059', '1594596093570715648', '2022', '117', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691060', '1594603307282862080', '2022', '118', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691061', '1594612473548378112', '2022', '119', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691062', '1594876784518762496', '2022', '120', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691063', '1594884909942575104', '2022', '121', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691064', '1594934928573861888', '2022', '122', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691065', '1595251103560241152', '2022', '123', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691066', '1595290317471485952', '2022', '124', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691067', '1595299618307051520', '2022', '125', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431978612691068', '1595332257508364288', '2022', '126', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955520', '1555010577007513600', '2022', '1', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955521', '1564137446730502144', '2022', '2', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955522', '1564137453919539200', '2022', '3', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955523', '1565939234546782208', '2022', '4', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955524', '1565939741671690240', '2022', '5', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955525', '1567097186544652288', '2022', '6', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955526', '1567451914025701376', '2022', '7', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955527', '1569928315261816832', '2022', '8', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955528', '1570252962423508992', '2022', '9', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955529', '1570254194114433024', '2022', '10', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955530', '1570254300393902080', '2022', '11', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955531', '1571750260521439232', '2022', '12', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955532', '1572825817233362944', '2022', '13', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955533', '1572826733831393280', '2022', '14', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955534', '1574653861665312768', '2022', '15', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955535', '1574656123775094784', '2022', '16', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955536', '1574656535395700736', '2022', '17', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955537', '1575324436016533504', '2022', '18', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955538', '1575733659590332416', '2022', '19', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955539', '1575734154828582912', '2022', '20', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955540', '1575742080498667520', '2022', '21', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955541', '1575742396715634688', '2022', '22', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955542', '1578618869008961536', '2022', '23', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955543', '1579362188123049984', '2022', '24', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955544', '1579367842850148352', '2022', '25', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955545', '1579374510346473472', '2022', '26', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955546', '1580103759026065408', '2022', '27', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955547', '1580753741991251968', '2022', '28', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955548', '1581886588420493312', '2022', '29', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955549', '1581888248500850688', '2022', '30', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955550', '1582642133595197440', '2022', '31', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955551', '1582691917341265920', '2022', '32', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955552', '1589496537845731328', '2022', '33', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955553', '1589496953836802048', '2022', '34', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955554', '1589497450408841216', '2022', '35', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955555', '1589502257060253696', '2022', '36', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955556', '1589510948744466432', '2022', '37', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955557', '1589512322240614400', '2022', '38', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955558', '1589513725826699264', '2022', '39', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955559', '1589519897493377024', '2022', '40', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955560', '1589529146432819200', '2022', '41', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955561', '1589549783712927744', '2022', '42', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955562', '1589787423250976768', '2022', '43', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955563', '1589788930155352064', '2022', '44', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955564', '1589789596093386752', '2022', '45', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955565', '1589790686671147008', '2022', '46', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955566', '1589793655986720768', '2022', '47', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955567', '1589794001580593152', '2022', '48', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955568', '1589796068487467008', '2022', '49', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955569', '1589868518332043264', '2022', '50', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955570', '1589877695318200320', '2022', '51', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955571', '1589887987989221376', '2022', '52', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955572', '1589902008373088256', '2022', '53', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955573', '1589904363642556416', '2022', '54', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955574', '1589912013692342272', '2022', '55', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955575', '1590165343635116032', '2022', '56', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955576', '1590171760580497408', '2022', '57', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955577', '1590181896380354560', '2022', '58', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955578', '1590183699834605568', '2022', '59', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955579', '1590186242115506176', '2022', '60', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955580', '1590582122773614592', '2022', '61', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955581', '1590586735358775296', '2022', '62', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955582', '1590587531555115008', '2022', '63', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955583', '1590610341195288576', '2022', '64', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955584', '1590639495596871680', '2022', '65', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955585', '1590648570665635840', '2022', '66', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955586', '1590949853146517504', '2022', '67', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955587', '1590952665850974208', '2022', '68', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955588', '1591967614425501696', '2022', '69', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955589', '1591989767631933440', '2022', '70', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955590', '1592015564858068992', '2022', '71', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955591', '1592034228969803776', '2022', '72', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979006955592', '1592077522693132288', '2022', '73', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149824', '1592720777000652800', '2022', '74', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149825', '1593126345620197376', '2022', '75', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149826', '1593130018354106368', '2022', '76', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149827', '1593172328945160192', '2022', '77', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149828', '1593447338142208000', '2022', '78', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149829', '1593449838584926208', '2022', '79', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149830', '1593454348137009152', '2022', '80', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149831', '1593478742355873792', '2022', '81', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149832', '1593479582902784000', '2022', '82', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149833', '1593482825254965248', '2022', '83', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149834', '1593489505036406784', '2022', '84', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149835', '1593491703745089536', '2022', '85', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149836', '1593509718448541696', '2022', '86', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149837', '1593516895204675584', '2022', '87', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149838', '1593532185497964544', '2022', '88', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149839', '1593842844030865408', '2022', '89', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149840', '1593852545346965504', '2022', '90', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149841', '1593855262131884032', '2022', '91', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149842', '1593856415510958080', '2022', '92', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149843', '1593862922424160256', '2022', '93', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149844', '1593864420877012992', '2022', '94', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149845', '1593865238464303104', '2022', '95', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149846', '1593885025168920576', '2022', '96', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149847', '1593893948823310336', '2022', '97', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149848', '1593895047307333632', '2022', '98', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149849', '1593895275678797824', '2022', '99', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149850', '1593908021333987328', '2022', '100', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149851', '1593917700583854080', '2022', '101', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149852', '1593937047876407296', '2022', '102', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149853', '1593939481117986816', '2022', '103', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149854', '1594171185472606208', '2022', '104', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149855', '1594172613977051136', '2022', '105', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149856', '1594176761233543168', '2022', '106', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149857', '1594182539172515840', '2022', '107', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149858', '1594189970099277824', '2022', '108', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149859', '1594190633659142144', '2022', '109', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149860', '1594194005799866368', '2022', '110', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149861', '1594196874573778944', '2022', '111', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149862', '1594200334652280832', '2022', '112', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149863', '1594203503994212352', '2022', '113', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149864', '1594236660655198208', '2022', '114', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149865', '1594243795166302208', '2022', '115', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149866', '1594512404811747328', '2022', '116', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149867', '1594596093570715648', '2022', '117', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149868', '1594603307282862080', '2022', '118', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149869', '1594612473548378112', '2022', '119', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149870', '1594876784518762496', '2022', '120', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149871', '1594884909942575104', '2022', '121', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149872', '1594934928573861888', '2022', '122', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149873', '1595251103560241152', '2022', '123', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149874', '1595290317471485952', '2022', '124', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149875', '1595299618307051520', '2022', '125', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595431979011149876', '1595332257508364288', '2022', '126', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801078521856', '1555010577007513600', '2022', '1', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910464', '1564137446730502144', '2022', '2', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910465', '1564137453919539200', '2022', '3', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910466', '1565939234546782208', '2022', '4', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910467', '1565939741671690240', '2022', '5', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910468', '1567097186544652288', '2022', '6', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910469', '1567451914025701376', '2022', '7', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910470', '1569928315261816832', '2022', '8', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910471', '1570252962423508992', '2022', '9', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910472', '1570254194114433024', '2022', '10', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910473', '1570254300393902080', '2022', '11', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910474', '1571750260521439232', '2022', '12', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910475', '1572825817233362944', '2022', '13', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910476', '1572826733831393280', '2022', '14', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910477', '1574653861665312768', '2022', '15', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910478', '1574656123775094784', '2022', '16', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910479', '1574656535395700736', '2022', '17', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910480', '1575324436016533504', '2022', '18', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910481', '1575733659590332416', '2022', '19', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910482', '1575734154828582912', '2022', '20', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910483', '1575742080498667520', '2022', '21', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801086910484', '1575742396715634688', '2022', '22', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104768', '1578618869008961536', '2022', '23', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104769', '1579362188123049984', '2022', '24', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104770', '1579367842850148352', '2022', '25', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104771', '1579374510346473472', '2022', '26', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104772', '1580103759026065408', '2022', '27', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104773', '1580753741991251968', '2022', '28', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104774', '1581886588420493312', '2022', '29', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104775', '1581888248500850688', '2022', '30', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104776', '1582642133595197440', '2022', '31', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104777', '1582691917341265920', '2022', '32', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104778', '1589496537845731328', '2022', '33', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104779', '1589496953836802048', '2022', '34', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104780', '1589497450408841216', '2022', '35', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104781', '1589502257060253696', '2022', '36', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104782', '1589510948744466432', '2022', '37', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104783', '1589512322240614400', '2022', '38', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104784', '1589513725826699264', '2022', '39', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104785', '1589519897493377024', '2022', '40', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104786', '1589529146432819200', '2022', '41', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104787', '1589549783712927744', '2022', '42', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104788', '1589787423250976768', '2022', '43', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104789', '1589788930155352064', '2022', '44', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104790', '1589789596093386752', '2022', '45', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104791', '1589790686671147008', '2022', '46', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104792', '1589793655986720768', '2022', '47', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104793', '1589794001580593152', '2022', '48', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104794', '1589796068487467008', '2022', '49', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104795', '1589868518332043264', '2022', '50', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104796', '1589877695318200320', '2022', '51', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104797', '1589887987989221376', '2022', '52', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104798', '1589902008373088256', '2022', '53', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104799', '1589904363642556416', '2022', '54', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104800', '1589912013692342272', '2022', '55', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104801', '1590165343635116032', '2022', '56', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104802', '1590171760580497408', '2022', '57', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104803', '1590181896380354560', '2022', '58', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104804', '1590183699834605568', '2022', '59', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104805', '1590186242115506176', '2022', '60', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104806', '1590582122773614592', '2022', '61', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104807', '1590586735358775296', '2022', '62', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104808', '1590587531555115008', '2022', '63', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104809', '1590610341195288576', '2022', '64', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104810', '1590639495596871680', '2022', '65', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104811', '1590648570665635840', '2022', '66', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104812', '1590949853146517504', '2022', '67', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104813', '1590952665850974208', '2022', '68', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104814', '1591967614425501696', '2022', '69', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104815', '1591989767631933440', '2022', '70', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104816', '1592015564858068992', '2022', '71', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104817', '1592034228969803776', '2022', '72', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104818', '1592077522693132288', '2022', '73', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104819', '1592720777000652800', '2022', '74', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104820', '1593126345620197376', '2022', '75', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104821', '1593130018354106368', '2022', '76', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104822', '1593172328945160192', '2022', '77', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104823', '1593447338142208000', '2022', '78', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104824', '1593449838584926208', '2022', '79', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104825', '1593454348137009152', '2022', '80', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104826', '1593478742355873792', '2022', '81', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104827', '1593479582902784000', '2022', '82', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104828', '1593482825254965248', '2022', '83', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104829', '1593489505036406784', '2022', '84', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104830', '1593491703745089536', '2022', '85', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104831', '1593509718448541696', '2022', '86', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104832', '1593516895204675584', '2022', '87', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104833', '1593532185497964544', '2022', '88', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104834', '1593842844030865408', '2022', '89', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104835', '1593852545346965504', '2022', '90', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104836', '1593855262131884032', '2022', '91', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801091104837', '1593856415510958080', '2022', '92', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299072', '1593862922424160256', '2022', '93', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299073', '1593864420877012992', '2022', '94', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299074', '1593865238464303104', '2022', '95', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299075', '1593885025168920576', '2022', '96', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299076', '1593893948823310336', '2022', '97', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299077', '1593895047307333632', '2022', '98', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299078', '1593895275678797824', '2022', '99', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299079', '1593908021333987328', '2022', '100', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299080', '1593917700583854080', '2022', '101', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299081', '1593937047876407296', '2022', '102', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299082', '1593939481117986816', '2022', '103', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299083', '1594171185472606208', '2022', '104', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299084', '1594172613977051136', '2022', '105', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299085', '1594176761233543168', '2022', '106', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299086', '1594182539172515840', '2022', '107', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299087', '1594189970099277824', '2022', '108', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299088', '1594190633659142144', '2022', '109', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299089', '1594194005799866368', '2022', '110', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299090', '1594196874573778944', '2022', '111', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299091', '1594200334652280832', '2022', '112', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299092', '1594203503994212352', '2022', '113', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299093', '1594236660655198208', '2022', '114', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299094', '1594243795166302208', '2022', '115', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299095', '1594512404811747328', '2022', '116', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299096', '1594596093570715648', '2022', '117', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299097', '1594603307282862080', '2022', '118', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299098', '1594612473548378112', '2022', '119', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299099', '1594876784518762496', '2022', '120', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299100', '1594884909942575104', '2022', '121', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299101', '1594934928573861888', '2022', '122', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299102', '1595251103560241152', '2022', '123', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299103', '1595290317471485952', '2022', '124', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299104', '1595299618307051520', '2022', '125', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595582801095299105', '1595332257508364288', '2022', '126', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366419570688', '1555010577007513600', '2022', '1', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764992', '1564137446730502144', '2022', '2', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764993', '1564137453919539200', '2022', '3', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764994', '1565939234546782208', '2022', '4', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764995', '1565939741671690240', '2022', '5', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764996', '1567097186544652288', '2022', '6', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764997', '1567451914025701376', '2022', '7', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764998', '1569928315261816832', '2022', '8', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423764999', '1570252962423508992', '2022', '9', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765000', '1570254194114433024', '2022', '10', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765001', '1570254300393902080', '2022', '11', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765002', '1571750260521439232', '2022', '12', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765003', '1572825817233362944', '2022', '13', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765004', '1572826733831393280', '2022', '14', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765005', '1574653861665312768', '2022', '15', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765006', '1574656123775094784', '2022', '16', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765007', '1574656535395700736', '2022', '17', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765008', '1575324436016533504', '2022', '18', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765009', '1575733659590332416', '2022', '19', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765010', '1575734154828582912', '2022', '20', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765011', '1575742080498667520', '2022', '21', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765012', '1575742396715634688', '2022', '22', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765013', '1578618869008961536', '2022', '23', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765014', '1579362188123049984', '2022', '24', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765015', '1579367842850148352', '2022', '25', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765016', '1579374510346473472', '2022', '26', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765017', '1580103759026065408', '2022', '27', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765018', '1580753741991251968', '2022', '28', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765019', '1581886588420493312', '2022', '29', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765020', '1581888248500850688', '2022', '30', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765021', '1582642133595197440', '2022', '31', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765022', '1582691917341265920', '2022', '32', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765023', '1589496537845731328', '2022', '33', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765024', '1589496953836802048', '2022', '34', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765025', '1589497450408841216', '2022', '35', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765026', '1589502257060253696', '2022', '36', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765027', '1589510948744466432', '2022', '37', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765028', '1589512322240614400', '2022', '38', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765029', '1589513725826699264', '2022', '39', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765030', '1589519897493377024', '2022', '40', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765031', '1589529146432819200', '2022', '41', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765032', '1589549783712927744', '2022', '42', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765033', '1589787423250976768', '2022', '43', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765034', '1589788930155352064', '2022', '44', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765035', '1589789596093386752', '2022', '45', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765036', '1589790686671147008', '2022', '46', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765037', '1589793655986720768', '2022', '47', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765038', '1589794001580593152', '2022', '48', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765039', '1589796068487467008', '2022', '49', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765040', '1589868518332043264', '2022', '50', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765041', '1589877695318200320', '2022', '51', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765042', '1589887987989221376', '2022', '52', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765043', '1589902008373088256', '2022', '53', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765044', '1589904363642556416', '2022', '54', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765045', '1589912013692342272', '2022', '55', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765046', '1590165343635116032', '2022', '56', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765047', '1590171760580497408', '2022', '57', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765048', '1590181896380354560', '2022', '58', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765049', '1590183699834605568', '2022', '59', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765050', '1590186242115506176', '2022', '60', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765051', '1590582122773614592', '2022', '61', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765052', '1590586735358775296', '2022', '62', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765053', '1590587531555115008', '2022', '63', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765054', '1590610341195288576', '2022', '64', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765055', '1590639495596871680', '2022', '65', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765056', '1590648570665635840', '2022', '66', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765057', '1590949853146517504', '2022', '67', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765058', '1590952665850974208', '2022', '68', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765059', '1591967614425501696', '2022', '69', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765060', '1591989767631933440', '2022', '70', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765061', '1592015564858068992', '2022', '71', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765062', '1592034228969803776', '2022', '72', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765063', '1592077522693132288', '2022', '73', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765064', '1592720777000652800', '2022', '74', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765065', '1593126345620197376', '2022', '75', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765066', '1593130018354106368', '2022', '76', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765067', '1593172328945160192', '2022', '77', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765068', '1593447338142208000', '2022', '78', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765069', '1593449838584926208', '2022', '79', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765070', '1593454348137009152', '2022', '80', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765071', '1593478742355873792', '2022', '81', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765072', '1593479582902784000', '2022', '82', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765073', '1593482825254965248', '2022', '83', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765074', '1593489505036406784', '2022', '84', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765075', '1593491703745089536', '2022', '85', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765076', '1593509718448541696', '2022', '86', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765077', '1593516895204675584', '2022', '87', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765078', '1593532185497964544', '2022', '88', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765079', '1593842844030865408', '2022', '89', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765080', '1593852545346965504', '2022', '90', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765081', '1593855262131884032', '2022', '91', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765082', '1593856415510958080', '2022', '92', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765083', '1593862922424160256', '2022', '93', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765084', '1593864420877012992', '2022', '94', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765085', '1593865238464303104', '2022', '95', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765086', '1593885025168920576', '2022', '96', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765087', '1593893948823310336', '2022', '97', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765088', '1593895047307333632', '2022', '98', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765089', '1593895275678797824', '2022', '99', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765090', '1593908021333987328', '2022', '100', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765091', '1593917700583854080', '2022', '101', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765092', '1593937047876407296', '2022', '102', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765093', '1593939481117986816', '2022', '103', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765094', '1594171185472606208', '2022', '104', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765095', '1594172613977051136', '2022', '105', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765096', '1594176761233543168', '2022', '106', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765097', '1594182539172515840', '2022', '107', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765098', '1594189970099277824', '2022', '108', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765099', '1594190633659142144', '2022', '109', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765100', '1594194005799866368', '2022', '110', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765101', '1594196874573778944', '2022', '111', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765102', '1594200334652280832', '2022', '112', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765103', '1594203503994212352', '2022', '113', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765104', '1594236660655198208', '2022', '114', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765105', '1594243795166302208', '2022', '115', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765106', '1594512404811747328', '2022', '116', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765107', '1594596093570715648', '2022', '117', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765108', '1594603307282862080', '2022', '118', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765109', '1594612473548378112', '2022', '119', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765110', '1594876784518762496', '2022', '120', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765111', '1594884909942575104', '2022', '121', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765112', '1594934928573861888', '2022', '122', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765113', '1595251103560241152', '2022', '123', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765114', '1595290317471485952', '2022', '124', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765115', '1595299618307051520', '2022', '125', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595794366423765116', '1595332257508364288', '2022', '126', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370967638016', '1555010577007513600', '2022', '1', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609536', '1564137446730502144', '2022', '2', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609537', '1564137453919539200', '2022', '3', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609538', '1565939234546782208', '2022', '4', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609539', '1565939741671690240', '2022', '5', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609540', '1567097186544652288', '2022', '6', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609541', '1567451914025701376', '2022', '7', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609542', '1569928315261816832', '2022', '8', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609543', '1570252962423508992', '2022', '9', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609544', '1570254194114433024', '2022', '10', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609545', '1570254300393902080', '2022', '11', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609546', '1571750260521439232', '2022', '12', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609547', '1572825817233362944', '2022', '13', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609548', '1572826733831393280', '2022', '14', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609549', '1574653861665312768', '2022', '15', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609550', '1574656123775094784', '2022', '16', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609551', '1574656535395700736', '2022', '17', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609552', '1575324436016533504', '2022', '18', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609553', '1575733659590332416', '2022', '19', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609554', '1575734154828582912', '2022', '20', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609555', '1575742080498667520', '2022', '21', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609556', '1575742396715634688', '2022', '22', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609557', '1578618869008961536', '2022', '23', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609558', '1579362188123049984', '2022', '24', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609559', '1579367842850148352', '2022', '25', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609560', '1579374510346473472', '2022', '26', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609561', '1580103759026065408', '2022', '27', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609562', '1580753741991251968', '2022', '28', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609563', '1581886588420493312', '2022', '29', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609564', '1581888248500850688', '2022', '30', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609565', '1582642133595197440', '2022', '31', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609566', '1582691917341265920', '2022', '32', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609567', '1589496537845731328', '2022', '33', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609568', '1589496953836802048', '2022', '34', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609569', '1589497450408841216', '2022', '35', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609570', '1589502257060253696', '2022', '36', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609571', '1589510948744466432', '2022', '37', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609572', '1589512322240614400', '2022', '38', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609573', '1589513725826699264', '2022', '39', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370988609574', '1589519897493377024', '2022', '40', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803840', '1589529146432819200', '2022', '41', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803841', '1589549783712927744', '2022', '42', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803842', '1589787423250976768', '2022', '43', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803843', '1589788930155352064', '2022', '44', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803844', '1589789596093386752', '2022', '45', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803845', '1589790686671147008', '2022', '46', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803846', '1589793655986720768', '2022', '47', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803847', '1589794001580593152', '2022', '48', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803848', '1589796068487467008', '2022', '49', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803849', '1589868518332043264', '2022', '50', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803850', '1589877695318200320', '2022', '51', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803851', '1589887987989221376', '2022', '52', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803852', '1589902008373088256', '2022', '53', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803853', '1589904363642556416', '2022', '54', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803854', '1589912013692342272', '2022', '55', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803855', '1590165343635116032', '2022', '56', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803856', '1590171760580497408', '2022', '57', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803857', '1590181896380354560', '2022', '58', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803858', '1590183699834605568', '2022', '59', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803859', '1590186242115506176', '2022', '60', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803860', '1590582122773614592', '2022', '61', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803861', '1590586735358775296', '2022', '62', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803862', '1590587531555115008', '2022', '63', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803863', '1590610341195288576', '2022', '64', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803864', '1590639495596871680', '2022', '65', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803865', '1590648570665635840', '2022', '66', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803866', '1590949853146517504', '2022', '67', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803867', '1590952665850974208', '2022', '68', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803868', '1591967614425501696', '2022', '69', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803869', '1591989767631933440', '2022', '70', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803870', '1592015564858068992', '2022', '71', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803871', '1592034228969803776', '2022', '72', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803872', '1592077522693132288', '2022', '73', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803873', '1592720777000652800', '2022', '74', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803874', '1593126345620197376', '2022', '75', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803875', '1593130018354106368', '2022', '76', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803876', '1593172328945160192', '2022', '77', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803877', '1593447338142208000', '2022', '78', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803878', '1593449838584926208', '2022', '79', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803879', '1593454348137009152', '2022', '80', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803880', '1593478742355873792', '2022', '81', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803881', '1593479582902784000', '2022', '82', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803882', '1593482825254965248', '2022', '83', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370992803883', '1593489505036406784', '2022', '84', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998144', '1593491703745089536', '2022', '85', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998145', '1593509718448541696', '2022', '86', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998146', '1593516895204675584', '2022', '87', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998147', '1593532185497964544', '2022', '88', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998148', '1593842844030865408', '2022', '89', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998149', '1593852545346965504', '2022', '90', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998150', '1593855262131884032', '2022', '91', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998151', '1593856415510958080', '2022', '92', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998152', '1593862922424160256', '2022', '93', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998153', '1593864420877012992', '2022', '94', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998154', '1593865238464303104', '2022', '95', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998155', '1593885025168920576', '2022', '96', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998156', '1593893948823310336', '2022', '97', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998157', '1593895047307333632', '2022', '98', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998158', '1593895275678797824', '2022', '99', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998159', '1593908021333987328', '2022', '100', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998160', '1593917700583854080', '2022', '101', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998161', '1593937047876407296', '2022', '102', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998162', '1593939481117986816', '2022', '103', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998163', '1594171185472606208', '2022', '104', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998164', '1594172613977051136', '2022', '105', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998165', '1594176761233543168', '2022', '106', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998166', '1594182539172515840', '2022', '107', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998167', '1594189970099277824', '2022', '108', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998168', '1594190633659142144', '2022', '109', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998169', '1594194005799866368', '2022', '110', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998170', '1594196874573778944', '2022', '111', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998171', '1594200334652280832', '2022', '112', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998172', '1594203503994212352', '2022', '113', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998173', '1594236660655198208', '2022', '114', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998174', '1594243795166302208', '2022', '115', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998175', '1594512404811747328', '2022', '116', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998176', '1594596093570715648', '2022', '117', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998177', '1594603307282862080', '2022', '118', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998178', '1594612473548378112', '2022', '119', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998179', '1594876784518762496', '2022', '120', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998180', '1594884909942575104', '2022', '121', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998181', '1594934928573861888', '2022', '122', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998182', '1595251103560241152', '2022', '123', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998183', '1595290317471485952', '2022', '124', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998184', '1595299618307051520', '2022', '125', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1595954370996998185', '1595332257508364288', '2022', '126', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392861298688', '1555010577007513600', '2022', '1', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492992', '1564137446730502144', '2022', '2', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492993', '1564137453919539200', '2022', '3', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492994', '1565939234546782208', '2022', '4', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492995', '1565939741671690240', '2022', '5', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492996', '1567097186544652288', '2022', '6', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492997', '1567451914025701376', '2022', '7', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492998', '1569928315261816832', '2022', '8', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865492999', '1570252962423508992', '2022', '9', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493000', '1570254194114433024', '2022', '10', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493001', '1570254300393902080', '2022', '11', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493002', '1571750260521439232', '2022', '12', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493003', '1572825817233362944', '2022', '13', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493004', '1572826733831393280', '2022', '14', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493005', '1574653861665312768', '2022', '15', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493006', '1574656123775094784', '2022', '16', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493007', '1574656535395700736', '2022', '17', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493008', '1575324436016533504', '2022', '18', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493009', '1575733659590332416', '2022', '19', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493010', '1575734154828582912', '2022', '20', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493011', '1575742080498667520', '2022', '21', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493012', '1575742396715634688', '2022', '22', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493013', '1578618869008961536', '2022', '23', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493014', '1579362188123049984', '2022', '24', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493015', '1579367842850148352', '2022', '25', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493016', '1579374510346473472', '2022', '26', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493017', '1580103759026065408', '2022', '27', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493018', '1580753741991251968', '2022', '28', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493019', '1581886588420493312', '2022', '29', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493020', '1581888248500850688', '2022', '30', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493021', '1582642133595197440', '2022', '31', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493022', '1582691917341265920', '2022', '32', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493023', '1589496537845731328', '2022', '33', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493024', '1589496953836802048', '2022', '34', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493025', '1589497450408841216', '2022', '35', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493026', '1589502257060253696', '2022', '36', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493027', '1589510948744466432', '2022', '37', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493028', '1589512322240614400', '2022', '38', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493029', '1589513725826699264', '2022', '39', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493030', '1589519897493377024', '2022', '40', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493031', '1589529146432819200', '2022', '41', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493032', '1589549783712927744', '2022', '42', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392865493033', '1589787423250976768', '2022', '43', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687296', '1589788930155352064', '2022', '44', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687297', '1589789596093386752', '2022', '45', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687298', '1589790686671147008', '2022', '46', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687299', '1589793655986720768', '2022', '47', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687300', '1589794001580593152', '2022', '48', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687301', '1589796068487467008', '2022', '49', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687302', '1589868518332043264', '2022', '50', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687303', '1589877695318200320', '2022', '51', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687304', '1589887987989221376', '2022', '52', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687305', '1589902008373088256', '2022', '53', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687306', '1589904363642556416', '2022', '54', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687307', '1589912013692342272', '2022', '55', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687308', '1590165343635116032', '2022', '56', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687309', '1590171760580497408', '2022', '57', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687310', '1590181896380354560', '2022', '58', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687311', '1590183699834605568', '2022', '59', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687312', '1590186242115506176', '2022', '60', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687313', '1590582122773614592', '2022', '61', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687314', '1590586735358775296', '2022', '62', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687315', '1590587531555115008', '2022', '63', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687316', '1590610341195288576', '2022', '64', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687317', '1590639495596871680', '2022', '65', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687318', '1590648570665635840', '2022', '66', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687319', '1590949853146517504', '2022', '67', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687320', '1590952665850974208', '2022', '68', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687321', '1591967614425501696', '2022', '69', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687322', '1591989767631933440', '2022', '70', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687323', '1592015564858068992', '2022', '71', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687324', '1592034228969803776', '2022', '72', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687325', '1592077522693132288', '2022', '73', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687326', '1592720777000652800', '2022', '74', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687327', '1593126345620197376', '2022', '75', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687328', '1593130018354106368', '2022', '76', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687329', '1593172328945160192', '2022', '77', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687330', '1593447338142208000', '2022', '78', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687331', '1593449838584926208', '2022', '79', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687332', '1593454348137009152', '2022', '80', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687333', '1593478742355873792', '2022', '81', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687334', '1593479582902784000', '2022', '82', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687335', '1593482825254965248', '2022', '83', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687336', '1593489505036406784', '2022', '84', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687337', '1593491703745089536', '2022', '85', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687338', '1593509718448541696', '2022', '86', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687339', '1593516895204675584', '2022', '87', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687340', '1593532185497964544', '2022', '88', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687341', '1593842844030865408', '2022', '89', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687342', '1593852545346965504', '2022', '90', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687343', '1593855262131884032', '2022', '91', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687344', '1593856415510958080', '2022', '92', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687345', '1593862922424160256', '2022', '93', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687346', '1593864420877012992', '2022', '94', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687347', '1593865238464303104', '2022', '95', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687348', '1593885025168920576', '2022', '96', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687349', '1593893948823310336', '2022', '97', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687350', '1593895047307333632', '2022', '98', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687351', '1593895275678797824', '2022', '99', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687352', '1593908021333987328', '2022', '100', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687353', '1593917700583854080', '2022', '101', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687354', '1593937047876407296', '2022', '102', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392869687355', '1593939481117986816', '2022', '103', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881600', '1594171185472606208', '2022', '104', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881601', '1594172613977051136', '2022', '105', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881602', '1594176761233543168', '2022', '106', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881603', '1594182539172515840', '2022', '107', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881604', '1594189970099277824', '2022', '108', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881605', '1594190633659142144', '2022', '109', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881606', '1594194005799866368', '2022', '110', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881607', '1594196874573778944', '2022', '111', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881608', '1594200334652280832', '2022', '112', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881609', '1594203503994212352', '2022', '113', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881610', '1594236660655198208', '2022', '114', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881611', '1594243795166302208', '2022', '115', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881612', '1594512404811747328', '2022', '116', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881613', '1594596093570715648', '2022', '117', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881614', '1594603307282862080', '2022', '118', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881615', '1594612473548378112', '2022', '119', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881616', '1594876784518762496', '2022', '120', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881617', '1594884909942575104', '2022', '121', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881618', '1594934928573861888', '2022', '122', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881619', '1595251103560241152', '2022', '123', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881620', '1595290317471485952', '2022', '124', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881621', '1595299618307051520', '2022', '125', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596550392873881622', '1595332257508364288', '2022', '126', '0', '126');
INSERT INTO `train_user_year_points` VALUES ('1596881531039780864', '1555010577007513600', '2022', '1', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975168', '1564137446730502144', '2022', '2', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975169', '1564137453919539200', '2022', '3', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975170', '1565939234546782208', '2022', '4', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975171', '1565939741671690240', '2022', '5', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975172', '1567097186544652288', '2022', '6', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975173', '1567451914025701376', '2022', '7', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975174', '1569928315261816832', '2022', '8', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975175', '1570252962423508992', '2022', '9', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975176', '1570254194114433024', '2022', '10', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975177', '1570254300393902080', '2022', '11', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975178', '1571750260521439232', '2022', '12', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975179', '1572825817233362944', '2022', '13', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975180', '1572826733831393280', '2022', '14', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975181', '1574653861665312768', '2022', '15', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975182', '1574656123775094784', '2022', '16', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975183', '1574656535395700736', '2022', '17', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975184', '1575324436016533504', '2022', '18', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975185', '1575733659590332416', '2022', '19', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975186', '1575734154828582912', '2022', '20', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975187', '1575742080498667520', '2022', '21', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975188', '1575742396715634688', '2022', '22', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975189', '1578618869008961536', '2022', '23', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975190', '1579362188123049984', '2022', '24', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975191', '1579367842850148352', '2022', '25', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975192', '1579374510346473472', '2022', '26', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975193', '1580103759026065408', '2022', '27', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975194', '1580753741991251968', '2022', '28', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975195', '1581886588420493312', '2022', '29', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975196', '1581888248500850688', '2022', '30', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975197', '1582642133595197440', '2022', '31', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975198', '1582691917341265920', '2022', '32', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975199', '1589496537845731328', '2022', '33', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975200', '1589496953836802048', '2022', '34', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975201', '1589497450408841216', '2022', '35', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975202', '1589502257060253696', '2022', '36', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975203', '1589510948744466432', '2022', '37', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975204', '1589512322240614400', '2022', '38', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975205', '1589513725826699264', '2022', '39', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975206', '1589519897493377024', '2022', '40', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975207', '1589529146432819200', '2022', '41', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975208', '1589549783712927744', '2022', '42', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975209', '1589787423250976768', '2022', '43', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975210', '1589788930155352064', '2022', '44', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975211', '1589789596093386752', '2022', '45', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975212', '1589790686671147008', '2022', '46', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975213', '1589793655986720768', '2022', '47', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975214', '1589794001580593152', '2022', '48', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975215', '1589796068487467008', '2022', '49', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975216', '1589868518332043264', '2022', '50', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531043975217', '1589877695318200320', '2022', '51', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169472', '1589887987989221376', '2022', '52', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169473', '1589902008373088256', '2022', '53', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169474', '1589904363642556416', '2022', '54', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169475', '1589912013692342272', '2022', '55', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169476', '1590165343635116032', '2022', '56', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169477', '1590171760580497408', '2022', '57', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169478', '1590181896380354560', '2022', '58', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169479', '1590183699834605568', '2022', '59', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169480', '1590186242115506176', '2022', '60', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169481', '1590582122773614592', '2022', '61', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169482', '1590586735358775296', '2022', '62', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169483', '1590587531555115008', '2022', '63', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169484', '1590610341195288576', '2022', '64', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169485', '1590639495596871680', '2022', '65', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169486', '1590648570665635840', '2022', '66', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169487', '1590949853146517504', '2022', '67', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169488', '1590952665850974208', '2022', '68', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169489', '1591967614425501696', '2022', '69', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169490', '1591989767631933440', '2022', '70', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169491', '1592015564858068992', '2022', '71', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169492', '1592034228969803776', '2022', '72', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169493', '1592077522693132288', '2022', '73', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169494', '1592720777000652800', '2022', '74', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169495', '1593126345620197376', '2022', '75', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169496', '1593130018354106368', '2022', '76', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169497', '1593172328945160192', '2022', '77', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169498', '1593447338142208000', '2022', '78', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169499', '1593449838584926208', '2022', '79', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169500', '1593454348137009152', '2022', '80', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169501', '1593478742355873792', '2022', '81', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169502', '1593479582902784000', '2022', '82', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169503', '1593482825254965248', '2022', '83', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169504', '1593489505036406784', '2022', '84', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169505', '1593491703745089536', '2022', '85', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169506', '1593509718448541696', '2022', '86', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169507', '1593516895204675584', '2022', '87', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169508', '1593532185497964544', '2022', '88', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169509', '1593842844030865408', '2022', '89', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169510', '1593852545346965504', '2022', '90', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169511', '1593855262131884032', '2022', '91', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169512', '1593856415510958080', '2022', '92', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169513', '1593862922424160256', '2022', '93', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169514', '1593864420877012992', '2022', '94', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169515', '1593865238464303104', '2022', '95', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169516', '1593885025168920576', '2022', '96', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169517', '1593893948823310336', '2022', '97', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169518', '1593895047307333632', '2022', '98', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169519', '1593895275678797824', '2022', '99', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169520', '1593908021333987328', '2022', '100', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169521', '1593917700583854080', '2022', '101', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169522', '1593937047876407296', '2022', '102', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169523', '1593939481117986816', '2022', '103', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169524', '1594171185472606208', '2022', '104', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169525', '1594172613977051136', '2022', '105', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169526', '1594176761233543168', '2022', '106', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169527', '1594182539172515840', '2022', '107', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169528', '1594189970099277824', '2022', '108', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531048169529', '1594190633659142144', '2022', '109', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363776', '1594194005799866368', '2022', '110', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363777', '1594196874573778944', '2022', '111', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363778', '1594200334652280832', '2022', '112', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363779', '1594203503994212352', '2022', '113', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363780', '1594236660655198208', '2022', '114', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363781', '1594243795166302208', '2022', '115', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363782', '1594512404811747328', '2022', '116', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363783', '1594596093570715648', '2022', '117', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363784', '1594603307282862080', '2022', '118', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363785', '1594612473548378112', '2022', '119', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363786', '1594876784518762496', '2022', '120', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363787', '1594884909942575104', '2022', '121', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363788', '1594934928573861888', '2022', '122', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363789', '1595251103560241152', '2022', '123', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363790', '1595290317471485952', '2022', '124', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363791', '1595299618307051520', '2022', '125', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363792', '1595332257508364288', '2022', '126', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1596881531052363793', '1596789432940367872', '2022', '127', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266816', '1555010577007513600', '2022', '1', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266817', '1564137446730502144', '2022', '2', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266818', '1564137453919539200', '2022', '3', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266819', '1565939234546782208', '2022', '4', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266820', '1565939741671690240', '2022', '5', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266821', '1567097186544652288', '2022', '6', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266822', '1567451914025701376', '2022', '7', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266823', '1569928315261816832', '2022', '8', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369983266824', '1570252962423508992', '2022', '9', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461120', '1570254194114433024', '2022', '10', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461121', '1570254300393902080', '2022', '11', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461122', '1571750260521439232', '2022', '12', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461123', '1572825817233362944', '2022', '13', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461124', '1572826733831393280', '2022', '14', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461125', '1574653861665312768', '2022', '15', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461126', '1574656123775094784', '2022', '16', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461127', '1574656535395700736', '2022', '17', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461128', '1575324436016533504', '2022', '18', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461129', '1575733659590332416', '2022', '19', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461130', '1575734154828582912', '2022', '20', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461131', '1575742080498667520', '2022', '21', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461132', '1575742396715634688', '2022', '22', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461133', '1578618869008961536', '2022', '23', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461134', '1579362188123049984', '2022', '24', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461135', '1579367842850148352', '2022', '25', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461136', '1579374510346473472', '2022', '26', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461137', '1580103759026065408', '2022', '27', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461138', '1580753741991251968', '2022', '28', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461139', '1581886588420493312', '2022', '29', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461140', '1581888248500850688', '2022', '30', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461141', '1582642133595197440', '2022', '31', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461142', '1582691917341265920', '2022', '32', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461143', '1589496537845731328', '2022', '33', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461144', '1589496953836802048', '2022', '34', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461145', '1589497450408841216', '2022', '35', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461146', '1589502257060253696', '2022', '36', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461147', '1589510948744466432', '2022', '37', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461148', '1589512322240614400', '2022', '38', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461149', '1589513725826699264', '2022', '39', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461150', '1589519897493377024', '2022', '40', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461151', '1589529146432819200', '2022', '41', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461152', '1589549783712927744', '2022', '42', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461153', '1589787423250976768', '2022', '43', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461154', '1589788930155352064', '2022', '44', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461155', '1589789596093386752', '2022', '45', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369987461156', '1589790686671147008', '2022', '46', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655424', '1589793655986720768', '2022', '47', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655425', '1589794001580593152', '2022', '48', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655426', '1589796068487467008', '2022', '49', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655427', '1589868518332043264', '2022', '50', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655428', '1589877695318200320', '2022', '51', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655429', '1589887987989221376', '2022', '52', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655430', '1589902008373088256', '2022', '53', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655431', '1589904363642556416', '2022', '54', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655432', '1589912013692342272', '2022', '55', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655433', '1590165343635116032', '2022', '56', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655434', '1590171760580497408', '2022', '57', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655435', '1590181896380354560', '2022', '58', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655436', '1590183699834605568', '2022', '59', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655437', '1590186242115506176', '2022', '60', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655438', '1590582122773614592', '2022', '61', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369991655439', '1590586735358775296', '2022', '62', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849728', '1590587531555115008', '2022', '63', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849729', '1590610341195288576', '2022', '64', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849730', '1590639495596871680', '2022', '65', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849731', '1590648570665635840', '2022', '66', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849732', '1590949853146517504', '2022', '67', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849733', '1590952665850974208', '2022', '68', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849734', '1591967614425501696', '2022', '69', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849735', '1591989767631933440', '2022', '70', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849736', '1592015564858068992', '2022', '71', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849737', '1592034228969803776', '2022', '72', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849738', '1592077522693132288', '2022', '73', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849739', '1592720777000652800', '2022', '74', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849740', '1593126345620197376', '2022', '75', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849741', '1593130018354106368', '2022', '76', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849742', '1593172328945160192', '2022', '77', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849743', '1593447338142208000', '2022', '78', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849744', '1593449838584926208', '2022', '79', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849745', '1593454348137009152', '2022', '80', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849746', '1593478742355873792', '2022', '81', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849747', '1593479582902784000', '2022', '82', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849748', '1593482825254965248', '2022', '83', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849749', '1593489505036406784', '2022', '84', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849750', '1593491703745089536', '2022', '85', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849751', '1593509718448541696', '2022', '86', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849752', '1593516895204675584', '2022', '87', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849753', '1593532185497964544', '2022', '88', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849754', '1593842844030865408', '2022', '89', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849755', '1593852545346965504', '2022', '90', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849756', '1593855262131884032', '2022', '91', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031369995849757', '1593856415510958080', '2022', '92', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044032', '1593862922424160256', '2022', '93', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044033', '1593864420877012992', '2022', '94', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044034', '1593865238464303104', '2022', '95', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044035', '1593885025168920576', '2022', '96', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044036', '1593893948823310336', '2022', '97', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044037', '1593895047307333632', '2022', '98', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044038', '1593895275678797824', '2022', '99', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044039', '1593908021333987328', '2022', '100', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044040', '1593917700583854080', '2022', '101', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044041', '1593937047876407296', '2022', '102', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044042', '1593939481117986816', '2022', '103', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044043', '1594171185472606208', '2022', '104', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044044', '1594172613977051136', '2022', '105', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044045', '1594176761233543168', '2022', '106', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044046', '1594182539172515840', '2022', '107', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044047', '1594189970099277824', '2022', '108', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044048', '1594190633659142144', '2022', '109', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044049', '1594194005799866368', '2022', '110', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044050', '1594196874573778944', '2022', '111', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044051', '1594200334652280832', '2022', '112', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044052', '1594203503994212352', '2022', '113', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044053', '1594236660655198208', '2022', '114', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044054', '1594243795166302208', '2022', '115', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044055', '1594512404811747328', '2022', '116', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044056', '1594596093570715648', '2022', '117', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044057', '1594603307282862080', '2022', '118', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044058', '1594612473548378112', '2022', '119', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044059', '1594876784518762496', '2022', '120', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044060', '1594884909942575104', '2022', '121', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044061', '1594934928573861888', '2022', '122', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044062', '1595251103560241152', '2022', '123', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044063', '1595290317471485952', '2022', '124', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044064', '1595299618307051520', '2022', '125', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044065', '1595332257508364288', '2022', '126', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597031370000044066', '1596789432940367872', '2022', '127', '0', '127');
INSERT INTO `train_user_year_points` VALUES ('1597398801616867328', '1555010577007513600', '2022', '1', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421760', '1564137446730502144', '2022', '2', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421761', '1564137453919539200', '2022', '3', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421762', '1565939234546782208', '2022', '4', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421763', '1565939741671690240', '2022', '5', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421764', '1567097186544652288', '2022', '6', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421765', '1567451914025701376', '2022', '7', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421766', '1569928315261816832', '2022', '8', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421767', '1570252962423508992', '2022', '9', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421768', '1570254194114433024', '2022', '10', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421769', '1570254300393902080', '2022', '11', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421770', '1571750260521439232', '2022', '12', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421771', '1572825817233362944', '2022', '13', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421772', '1572826733831393280', '2022', '14', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421773', '1574653861665312768', '2022', '15', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421774', '1574656123775094784', '2022', '16', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421775', '1574656535395700736', '2022', '17', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421776', '1575324436016533504', '2022', '18', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801650421777', '1575733659590332416', '2022', '19', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616064', '1575734154828582912', '2022', '20', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616065', '1575742080498667520', '2022', '21', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616066', '1575742396715634688', '2022', '22', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616067', '1578618869008961536', '2022', '23', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616068', '1579362188123049984', '2022', '24', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616069', '1579367842850148352', '2022', '25', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616070', '1579374510346473472', '2022', '26', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616071', '1580103759026065408', '2022', '27', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616072', '1580753741991251968', '2022', '28', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616073', '1581886588420493312', '2022', '29', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616074', '1581888248500850688', '2022', '30', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616075', '1582642133595197440', '2022', '31', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616076', '1582691917341265920', '2022', '32', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616077', '1589496537845731328', '2022', '33', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616078', '1589496953836802048', '2022', '34', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616079', '1589497450408841216', '2022', '35', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616080', '1589502257060253696', '2022', '36', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616081', '1589510948744466432', '2022', '37', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616082', '1589512322240614400', '2022', '38', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616083', '1589513725826699264', '2022', '39', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616084', '1589519897493377024', '2022', '40', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616085', '1589529146432819200', '2022', '41', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616086', '1589549783712927744', '2022', '42', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616087', '1589787423250976768', '2022', '43', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616088', '1589788930155352064', '2022', '44', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616089', '1589789596093386752', '2022', '45', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616090', '1589790686671147008', '2022', '46', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616091', '1589793655986720768', '2022', '47', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616092', '1589794001580593152', '2022', '48', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616093', '1589796068487467008', '2022', '49', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616094', '1589868518332043264', '2022', '50', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616095', '1589877695318200320', '2022', '51', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616096', '1589887987989221376', '2022', '52', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616097', '1589902008373088256', '2022', '53', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616098', '1589904363642556416', '2022', '54', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616099', '1589912013692342272', '2022', '55', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616100', '1590165343635116032', '2022', '56', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616101', '1590171760580497408', '2022', '57', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616102', '1590181896380354560', '2022', '58', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616103', '1590183699834605568', '2022', '59', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616104', '1590186242115506176', '2022', '60', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616105', '1590582122773614592', '2022', '61', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616106', '1590586735358775296', '2022', '62', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616107', '1590587531555115008', '2022', '63', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616108', '1590610341195288576', '2022', '64', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616109', '1590639495596871680', '2022', '65', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616110', '1590648570665635840', '2022', '66', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616111', '1590949853146517504', '2022', '67', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616112', '1590952665850974208', '2022', '68', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616113', '1591967614425501696', '2022', '69', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616114', '1591989767631933440', '2022', '70', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616115', '1592015564858068992', '2022', '71', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616116', '1592034228969803776', '2022', '72', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616117', '1592077522693132288', '2022', '73', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616118', '1592720777000652800', '2022', '74', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616119', '1593126345620197376', '2022', '75', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616120', '1593130018354106368', '2022', '76', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616121', '1593172328945160192', '2022', '77', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616122', '1593447338142208000', '2022', '78', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616123', '1593449838584926208', '2022', '79', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616124', '1593454348137009152', '2022', '80', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616125', '1593478742355873792', '2022', '81', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616126', '1593479582902784000', '2022', '82', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616127', '1593482825254965248', '2022', '83', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801654616128', '1593489505036406784', '2022', '84', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810368', '1593491703745089536', '2022', '85', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810369', '1593509718448541696', '2022', '86', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810370', '1593516895204675584', '2022', '87', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810371', '1593532185497964544', '2022', '88', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810372', '1593842844030865408', '2022', '89', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810373', '1593852545346965504', '2022', '90', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810374', '1593855262131884032', '2022', '91', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810375', '1593856415510958080', '2022', '92', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810376', '1593862922424160256', '2022', '93', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810377', '1593864420877012992', '2022', '94', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810378', '1593865238464303104', '2022', '95', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810379', '1593885025168920576', '2022', '96', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810380', '1593893948823310336', '2022', '97', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810381', '1593895047307333632', '2022', '98', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810382', '1593895275678797824', '2022', '99', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810383', '1593908021333987328', '2022', '100', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810384', '1593917700583854080', '2022', '101', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810385', '1593937047876407296', '2022', '102', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810386', '1593939481117986816', '2022', '103', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810387', '1594171185472606208', '2022', '104', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810388', '1594172613977051136', '2022', '105', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810389', '1594176761233543168', '2022', '106', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810390', '1594182539172515840', '2022', '107', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810391', '1594189970099277824', '2022', '108', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810392', '1594190633659142144', '2022', '109', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810393', '1594194005799866368', '2022', '110', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810394', '1594196874573778944', '2022', '111', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810395', '1594200334652280832', '2022', '112', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810396', '1594203503994212352', '2022', '113', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810397', '1594236660655198208', '2022', '114', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810398', '1594243795166302208', '2022', '115', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810399', '1594512404811747328', '2022', '116', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810400', '1594596093570715648', '2022', '117', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810401', '1594603307282862080', '2022', '118', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810402', '1594612473548378112', '2022', '119', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810403', '1594876784518762496', '2022', '120', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810404', '1594884909942575104', '2022', '121', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810405', '1594934928573861888', '2022', '122', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810406', '1595251103560241152', '2022', '123', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810407', '1595290317471485952', '2022', '124', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810408', '1595299618307051520', '2022', '125', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810409', '1595332257508364288', '2022', '126', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810410', '1596789432940367872', '2022', '127', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810411', '1597216880005877760', '2022', '128', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810412', '1597217797556015104', '2022', '129', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810413', '1597218763445506048', '2022', '130', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810414', '1597223725911117824', '2022', '131', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810415', '1597224121203298304', '2022', '132', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597398801658810416', '1597225005823954944', '2022', '133', '0', '133');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868800', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868801', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868802', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868803', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868804', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868805', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868806', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868807', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868808', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868809', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868810', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868811', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868812', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868813', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868814', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868815', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868816', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868817', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868818', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868819', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868820', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868821', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868822', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868823', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868824', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868825', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868826', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868827', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868828', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868829', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868830', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868831', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868832', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868833', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868834', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868835', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868836', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868837', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868838', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868839', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868840', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868841', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868842', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868843', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868844', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868845', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868846', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868847', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868848', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868849', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868850', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868851', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868852', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868853', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868854', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868855', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868856', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868857', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868858', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868859', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868860', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868861', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868862', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868863', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868864', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868865', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868866', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868867', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868868', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868869', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868870', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868871', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868872', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868873', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868874', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868875', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868876', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868877', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868878', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868879', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868880', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868881', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868882', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868883', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868884', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868885', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868886', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868887', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868888', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868889', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868890', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868891', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868892', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868893', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868894', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868895', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868896', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868897', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868898', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868899', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868900', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868901', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868902', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305969868903', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063104', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063105', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063106', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063107', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063108', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063109', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063110', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063111', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063112', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063113', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063114', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063115', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063116', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063117', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063118', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063119', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063120', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063121', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063122', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063123', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063124', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063125', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063126', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063127', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063128', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063129', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063130', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063131', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063132', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063133', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063134', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063135', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063136', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063137', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063138', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063139', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063140', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063141', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063142', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063143', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063144', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606305974063145', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307077165056', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307089747968', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307089747969', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307089747970', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307089747971', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942272', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942273', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942274', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942275', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942276', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942277', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942278', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942279', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307093942280', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307098136576', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307098136577', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307098136578', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307098136579', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330880', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330881', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330882', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330883', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330884', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330885', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330886', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330887', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330888', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330889', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330890', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330891', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330892', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330893', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330894', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330895', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330896', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330897', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330898', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330899', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330900', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330901', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330902', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330903', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330904', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330905', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307102330906', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525184', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525185', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525186', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525187', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525188', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525189', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525190', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525191', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525192', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525193', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525194', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525195', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525196', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525197', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525198', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525199', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525200', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525201', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525202', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525203', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525204', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525205', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525206', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525207', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525208', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525209', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525210', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525211', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525212', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525213', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525214', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525215', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525216', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525217', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525218', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525219', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525220', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525221', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525222', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525223', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525224', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525225', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525226', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525227', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525228', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525229', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525230', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525231', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525232', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525233', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525234', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525235', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525236', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525237', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525238', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307106525239', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719488', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719489', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719490', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719491', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719492', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719493', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719494', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719495', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719496', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719497', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719498', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719499', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719500', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719501', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719502', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719503', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719504', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719505', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719506', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719507', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719508', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719509', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719510', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719511', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719512', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719513', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719514', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719515', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719516', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307110719517', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913792', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913793', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913794', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913795', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913796', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913797', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913798', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913799', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913800', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913801', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913802', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913803', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913804', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913805', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597606307114913806', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693520896000', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090304', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090305', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090306', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090307', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090308', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090309', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090310', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090311', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090312', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090313', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090314', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090315', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090316', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090317', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090318', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090319', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090320', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090321', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090322', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090323', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090324', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090325', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090326', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090327', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090328', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090329', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090330', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090331', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090332', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090333', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090334', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090335', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090336', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090337', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090338', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693525090339', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284608', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284609', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284610', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284611', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284612', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284613', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284614', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284615', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284616', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284617', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284618', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284619', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284620', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284621', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284622', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284623', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284624', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284625', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284626', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284627', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284628', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284629', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284630', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284631', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284632', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284633', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284634', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284635', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284636', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284637', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284638', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284639', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284640', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284641', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284642', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284643', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284644', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284645', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284646', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284647', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284648', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284649', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284650', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284651', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284652', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284653', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284654', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284655', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284656', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284657', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284658', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284659', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284660', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284661', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284662', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284663', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284664', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284665', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284666', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284667', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284668', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284669', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284670', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284671', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284672', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284673', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284674', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284675', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693529284676', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478912', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478913', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478914', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478915', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478916', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478917', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478918', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478919', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478920', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478921', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478922', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478923', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478924', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478925', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478926', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478927', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478928', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478929', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478930', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478931', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478932', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478933', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478934', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478935', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478936', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478937', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478938', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478939', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478940', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478941', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478942', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478943', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478944', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478945', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478946', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478947', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478948', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478949', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478950', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1597968693533478951', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347520', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347521', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347522', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347523', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347524', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347525', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347526', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347527', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347528', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347529', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347530', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347531', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347532', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347533', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716986347534', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541824', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541825', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541826', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541827', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541828', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541829', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541830', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541831', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541832', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541833', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541834', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541835', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541836', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541837', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541838', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541839', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541840', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541841', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541842', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541843', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541844', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541845', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541846', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541847', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541848', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541849', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541850', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541851', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541852', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541853', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541854', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541855', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541856', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541857', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541858', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541859', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541860', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541861', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541862', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541863', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541864', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541865', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541866', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541867', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541868', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541869', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541870', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541871', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541872', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541873', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541874', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541875', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541876', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541877', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541878', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541879', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541880', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541881', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541882', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541883', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541884', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541885', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541886', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541887', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541888', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541889', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541890', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541891', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541892', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541893', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541894', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541895', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541896', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541897', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541898', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541899', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541900', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541901', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541902', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541903', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541904', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541905', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541906', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541907', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541908', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541909', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541910', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541911', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541912', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541913', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541914', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541915', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541916', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541917', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541918', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541919', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541920', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716990541921', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736128', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736129', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736130', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736131', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736132', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736133', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736134', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736135', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736136', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736137', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736138', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736139', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736140', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736141', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736142', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736143', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736144', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736145', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736146', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736147', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736148', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736149', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736150', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736151', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736152', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736153', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736154', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736155', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736156', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736157', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736158', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736159', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1598858716994736160', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473216', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473217', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473218', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473219', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473220', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473221', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473222', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473223', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473224', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473225', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473226', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473227', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473228', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473229', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473230', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473231', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473232', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473233', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473234', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473235', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473236', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473237', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473238', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473239', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473240', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473241', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473242', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473243', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473244', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473245', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473246', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473247', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473248', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473249', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473250', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473251', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473252', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473253', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473254', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473255', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473256', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473257', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473258', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473259', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473260', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473261', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473262', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473263', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473264', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473265', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473266', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473267', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473268', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473269', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473270', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473271', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473272', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473273', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473274', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473275', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473276', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473277', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473278', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473279', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473280', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473281', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473282', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473283', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857134473284', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667520', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667521', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667522', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667523', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667524', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667525', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667526', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667527', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667528', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667529', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667530', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667531', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667532', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667533', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667534', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667535', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667536', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667537', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667538', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667539', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667540', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667541', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667542', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667543', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667544', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667545', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667546', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667547', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667548', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667549', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667550', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667551', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667552', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667553', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667554', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667555', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667556', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667557', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667558', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667559', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667560', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667561', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667562', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667563', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667564', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667565', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667566', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667567', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667568', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667569', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667570', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667571', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667572', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667573', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667574', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667575', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667576', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667577', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667578', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667579', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667580', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667581', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667582', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667583', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667584', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667585', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667586', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667587', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667588', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667589', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667590', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667591', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667592', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667593', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667594', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667595', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599055857138667596', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632832118784', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313088', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313089', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313090', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313091', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313092', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313093', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313094', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313095', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313096', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313097', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313098', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313099', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313100', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313101', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313102', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313103', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313104', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313105', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313106', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313107', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313108', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313109', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313110', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313111', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313112', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313113', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313114', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313115', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313116', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313117', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313118', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313119', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313120', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313121', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313122', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313123', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313124', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313125', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313126', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313127', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313128', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313129', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313130', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313131', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313132', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313133', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313134', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313135', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313136', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313137', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313138', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313139', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313140', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313141', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313142', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313143', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313144', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313145', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313146', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313147', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313148', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313149', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313150', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313151', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313152', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313153', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313154', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313155', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313156', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313157', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313158', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313159', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313160', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313161', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313162', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313163', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313164', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313165', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313166', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313167', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313168', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313169', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313170', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313171', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313172', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313173', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313174', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313175', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313176', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313177', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313178', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313179', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313180', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313181', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313182', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632836313183', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507392', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507393', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507394', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507395', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507396', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507397', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507398', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507399', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507400', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507401', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507402', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507403', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507404', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507405', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507406', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507407', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507408', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507409', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507410', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507411', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507412', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507413', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507414', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507415', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507416', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507417', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507418', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507419', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507420', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507421', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507422', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507423', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507424', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507425', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507426', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507427', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507428', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507429', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507430', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507431', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507432', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507433', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507434', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507435', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507436', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507437', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507438', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507439', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780632840507440', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633100554240', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942848', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942849', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942850', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942851', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942852', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942853', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942854', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942855', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942856', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942857', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942858', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942859', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942860', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942861', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942862', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942863', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942864', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942865', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942866', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942867', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942868', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942869', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942870', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942871', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942872', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942873', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942874', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942875', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942876', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942877', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942878', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942879', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942880', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942881', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942882', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942883', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942884', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942885', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942886', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942887', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942888', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942889', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942890', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942891', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942892', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942893', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942894', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942895', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942896', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942897', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942898', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942899', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633108942900', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137152', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137153', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137154', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137155', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137156', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137157', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137158', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137159', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137160', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137161', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137162', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137163', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137164', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137165', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137166', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137167', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137168', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137169', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137170', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137171', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137172', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137173', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137174', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137175', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137176', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137177', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137178', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137179', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137180', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137181', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137182', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137183', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137184', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137185', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137186', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137187', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137188', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137189', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137190', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137191', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137192', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137193', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137194', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137195', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137196', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137197', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137198', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137199', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137200', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137201', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137202', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137203', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137204', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137205', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137206', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137207', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137208', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137209', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137210', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137211', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137212', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137213', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137214', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137215', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137216', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137217', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137218', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137219', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137220', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137221', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137222', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137223', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137224', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137225', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137226', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137227', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137228', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137229', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137230', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137231', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137232', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137233', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137234', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137235', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137236', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137237', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137238', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137239', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137240', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137241', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137242', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780633113137243', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642936197120', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168640', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168641', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168642', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168643', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168644', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168645', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168646', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168647', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168648', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168649', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168650', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168651', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168652', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168653', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168654', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168655', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168656', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168657', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168658', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168659', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168660', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168661', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168662', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168663', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168664', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168665', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168666', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168667', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642957168668', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362944', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362945', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362946', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362947', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362948', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362949', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362950', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362951', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362952', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362953', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362954', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362955', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362956', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362957', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362958', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362959', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362960', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362961', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362962', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362963', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362964', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362965', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362966', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362967', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362968', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362969', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362970', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362971', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362972', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362973', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362974', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362975', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362976', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362977', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362978', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362979', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362980', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362981', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362982', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362983', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362984', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362985', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362986', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362987', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362988', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362989', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362990', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362991', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362992', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362993', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362994', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362995', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362996', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362997', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362998', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961362999', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363000', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363001', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363002', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363003', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363004', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363005', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363006', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363007', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363008', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363009', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642961363010', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557248', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557249', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557250', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557251', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557252', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557253', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557254', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557255', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557256', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557257', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557258', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557259', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557260', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557261', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557262', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557263', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557264', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557265', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557266', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557267', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557268', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557269', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557270', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557271', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557272', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557273', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557274', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557275', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557276', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557277', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557278', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557279', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557280', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557281', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557282', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557283', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557284', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557285', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557286', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557287', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557288', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557289', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557290', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557291', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557292', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557293', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557294', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557295', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1599780642965557296', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020903239680', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433984', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433985', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433986', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433987', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433988', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433989', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433990', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433991', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433992', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433993', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433994', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433995', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433996', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433997', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433998', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907433999', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434000', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434001', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434002', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434003', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434004', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434005', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434006', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434007', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434008', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434009', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434010', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434011', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434012', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434013', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434014', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434015', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434016', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434017', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434018', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434019', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434020', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434021', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434022', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434023', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434024', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434025', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434026', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434027', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434028', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434029', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434030', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434031', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434032', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434033', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434034', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434035', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434036', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434037', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434038', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434039', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434040', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434041', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434042', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434043', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434044', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434045', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434046', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434047', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434048', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434049', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434050', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434051', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434052', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434053', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434054', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434055', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434056', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434057', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434058', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434059', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434060', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434061', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434062', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434063', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434064', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434065', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434066', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434067', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434068', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434069', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434070', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434071', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434072', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434073', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434074', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434075', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434076', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434077', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434078', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434079', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434080', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434081', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434082', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434083', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434084', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434085', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434086', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434087', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434088', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434089', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434090', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434091', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434092', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434093', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434094', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434095', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434096', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434097', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434098', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434099', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434100', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434101', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434102', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434103', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434104', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434105', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434106', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434107', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434108', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434109', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434110', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434111', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434112', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434113', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434114', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434115', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434116', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434117', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434118', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434119', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434120', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434121', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434122', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434123', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434124', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434125', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434126', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434127', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600143020907434128', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363221262336', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363225456640', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363225456641', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650944', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650945', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650946', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650947', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650948', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650949', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650950', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650951', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650952', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650953', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650954', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650955', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650956', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650957', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363229650958', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845248', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845249', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845250', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845251', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845252', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845253', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845254', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845255', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845256', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845257', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845258', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845259', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845260', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363233845261', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233856', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233857', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233858', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233859', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233860', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233861', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233862', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233863', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363242233864', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428160', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428161', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428162', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428163', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428164', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428165', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428166', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428167', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428168', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428169', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428170', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428171', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428172', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428173', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428174', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428175', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428176', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428177', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428178', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428179', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428180', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428181', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363246428182', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622464', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622465', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622466', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622467', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622468', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622469', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622470', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622471', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622472', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622473', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622474', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622475', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622476', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622477', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622478', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622479', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622480', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622481', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622482', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622483', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622484', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622485', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622486', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622487', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622488', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622489', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622490', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622491', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622492', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622493', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363250622494', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816768', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816769', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816770', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816771', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816772', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816773', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816774', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816775', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816776', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816777', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816778', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816779', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816780', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816781', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816782', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816783', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816784', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816785', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816786', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816787', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816788', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816789', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816790', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816791', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816792', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816793', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816794', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816795', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363254816796', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011072', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011073', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011074', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011075', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011076', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011077', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011078', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011079', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011080', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011081', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011082', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011083', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011084', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011085', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011086', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011087', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011088', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011089', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011090', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011091', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011092', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600295363259011093', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199044050944', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245248', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245249', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245250', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245251', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245252', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245253', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245254', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245255', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245256', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245257', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245258', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245259', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245260', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245261', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245262', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245263', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245264', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245265', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245266', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245267', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245268', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245269', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245270', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245271', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245272', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245273', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245274', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245275', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245276', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245277', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245278', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245279', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245280', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245281', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245282', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245283', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245284', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245285', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245286', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245287', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245288', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245289', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245290', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245291', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245292', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245293', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245294', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245295', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245296', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199048245297', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439552', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439553', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439554', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439555', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439556', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439557', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439558', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439559', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439560', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439561', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439562', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439563', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439564', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439565', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439566', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439567', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439568', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439569', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439570', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439571', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439572', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439573', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439574', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439575', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439576', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439577', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439578', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439579', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439580', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439581', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439582', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439583', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439584', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439585', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439586', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439587', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439588', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439589', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439590', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439591', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439592', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439593', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439594', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439595', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439596', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439597', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439598', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439599', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439600', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439601', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439602', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439603', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439604', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439605', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439606', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439607', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439608', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439609', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439610', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439611', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439612', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439613', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439614', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439615', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439616', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439617', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439618', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439619', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439620', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439621', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439622', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439623', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439624', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439625', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439626', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439627', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439628', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439629', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439630', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439631', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439632', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439633', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439634', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439635', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439636', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439637', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439638', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439639', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439640', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439641', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439642', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439643', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439644', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439645', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600654199052439646', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796433113088', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307392', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307393', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307394', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307395', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307396', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307397', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307398', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307399', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307400', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307401', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307402', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307403', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307404', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307405', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307406', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307407', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307408', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307409', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307410', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307411', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307412', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307413', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307414', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307415', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307416', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307417', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307418', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307419', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307420', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307421', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307422', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307423', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307424', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307425', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307426', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307427', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307428', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307429', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307430', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307431', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307432', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307433', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307434', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307435', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307436', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307437', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307438', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307439', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307440', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307441', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307442', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307443', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307444', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307445', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307446', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307447', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307448', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307449', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307450', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307451', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307452', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307453', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307454', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307455', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307456', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307457', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307458', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307459', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307460', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307461', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307462', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307463', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307464', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307465', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307466', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307467', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307468', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307469', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307470', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307471', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307472', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307473', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307474', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307475', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307476', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307477', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307478', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307479', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307480', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307481', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307482', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307483', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307484', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307485', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307486', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307487', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307488', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307489', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307490', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307491', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307492', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307493', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307494', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307495', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307496', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307497', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307498', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307499', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307500', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307501', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307502', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307503', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307504', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307505', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307506', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307507', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307508', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307509', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307510', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307511', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796437307512', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501696', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501697', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501698', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501699', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501700', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501701', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501702', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501703', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501704', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501705', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501706', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501707', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501708', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501709', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501710', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501711', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501712', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501713', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501714', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501715', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501716', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501717', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501718', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1600867796441501719', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581708050432', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633344', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633345', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633346', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633347', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633348', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633349', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633350', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633351', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633352', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633353', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633354', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633355', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633356', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633357', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633358', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633359', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633360', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633361', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633362', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633363', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633364', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633365', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633366', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633367', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633368', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581720633369', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827648', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827649', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827650', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827651', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827652', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827653', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827654', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827655', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827656', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827657', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827658', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827659', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827660', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827661', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827662', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827663', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827664', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827665', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827666', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827667', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827668', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827669', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827670', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827671', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827672', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827673', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827674', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827675', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827676', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827677', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827678', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827679', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827680', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827681', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827682', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827683', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827684', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827685', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827686', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827687', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827688', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827689', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827690', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827691', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827692', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827693', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827694', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827695', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827696', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827697', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827698', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827699', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827700', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827701', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827702', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827703', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827704', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827705', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827706', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827707', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827708', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827709', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827710', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581724827711', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021952', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021953', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021954', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021955', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021956', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021957', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021958', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021959', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021960', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021961', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021962', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021963', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021964', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021965', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021966', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021967', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021968', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021969', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021970', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021971', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021972', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021973', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021974', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021975', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021976', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021977', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021978', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021979', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021980', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021981', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021982', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021983', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021984', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021985', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021986', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021987', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021988', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021989', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021990', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021991', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021992', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021993', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021994', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021995', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021996', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021997', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021998', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729021999', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022000', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022001', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022002', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022003', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022004', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022005', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601018581729022006', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794112', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794113', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794114', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794115', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794116', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794117', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794118', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794119', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794120', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794121', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794122', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794123', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794124', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794125', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794126', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794127', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794128', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794129', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794130', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794131', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794132', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794133', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794134', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794135', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794136', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794137', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794138', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794139', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794140', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794141', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794142', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794143', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794144', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794145', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794146', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794147', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794148', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794149', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794150', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794151', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794152', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794153', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794154', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794155', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794156', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794157', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794158', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794159', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794160', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794161', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794162', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794163', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794164', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794165', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794166', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794167', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794168', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794169', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794170', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794171', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794172', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794173', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794174', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794175', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794176', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794177', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794178', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794179', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794180', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794181', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794182', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794183', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794184', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794185', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794186', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794187', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794188', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794189', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794190', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794191', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794192', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794193', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794194', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794195', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960264794196', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988416', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988417', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988418', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988419', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988420', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988421', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988422', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988423', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988424', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988425', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988426', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988427', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988428', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988429', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988430', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988431', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988432', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988433', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988434', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988435', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988436', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988437', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988438', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988439', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988440', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988441', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988442', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988443', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988444', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988445', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988446', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988447', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988448', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988449', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988450', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988451', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988452', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988453', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988454', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988455', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988456', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988457', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988458', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988459', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988460', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988461', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988462', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988463', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988464', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988465', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988466', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988467', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988468', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988469', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988470', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988471', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988472', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988473', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988474', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988475', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1601954960268988476', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350827331584', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886016', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886017', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886018', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886019', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886020', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886021', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886022', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886023', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886024', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886025', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886026', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886027', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886028', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886029', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886030', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350860886031', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080320', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080321', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080322', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080323', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080324', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080325', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080326', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080327', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080328', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080329', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080330', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080331', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080332', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080333', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080334', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080335', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080336', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080337', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080338', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080339', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080340', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080341', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080342', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080343', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080344', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080345', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080346', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080347', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080348', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080349', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080350', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080351', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080352', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080353', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080354', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080355', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080356', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080357', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080358', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080359', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080360', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080361', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080362', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080363', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080364', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350865080365', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274624', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274625', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274626', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274627', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274628', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274629', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274630', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274631', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274632', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274633', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274634', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274635', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274636', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274637', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274638', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274639', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274640', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274641', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274642', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274643', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274644', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274645', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274646', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274647', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274648', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274649', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274650', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274651', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274652', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274653', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274654', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274655', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274656', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274657', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274658', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274659', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274660', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274661', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274662', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350869274663', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468928', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468929', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468930', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468931', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468932', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468933', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468934', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468935', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468936', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468937', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468938', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468939', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468940', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468941', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468942', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468943', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468944', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468945', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468946', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468947', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468948', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468949', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468950', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468951', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468952', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468953', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468954', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468955', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468956', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468957', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468958', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468959', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468960', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468961', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468962', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468963', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468964', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468965', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468966', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468967', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468968', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468969', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1602317350873468970', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899710234624', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400448', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400449', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400450', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400451', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400452', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400453', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400454', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400455', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400456', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400457', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400458', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400459', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400460', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400461', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400462', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400463', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400464', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400465', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400466', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400467', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400468', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400469', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400470', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400471', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400472', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400473', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400474', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400475', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400476', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400477', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400478', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400479', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400480', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400481', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400482', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400483', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400484', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400485', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400486', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400487', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400488', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400489', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400490', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400491', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400492', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400493', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400494', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400495', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400496', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400497', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400498', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400499', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400500', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400501', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400502', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400503', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400504', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400505', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400506', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400507', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400508', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400509', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400510', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400511', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899735400512', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594752', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594753', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594754', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594755', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594756', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594757', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594758', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594759', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594760', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594761', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594762', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594763', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594764', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594765', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594766', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594767', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594768', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594769', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594770', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594771', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594772', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594773', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594774', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594775', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594776', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594777', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594778', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594779', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594780', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594781', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594782', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594783', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594784', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594785', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594786', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594787', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594788', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594789', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594790', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594791', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594792', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594793', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594794', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594795', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594796', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594797', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594798', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594799', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594800', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594801', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594802', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594803', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594804', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594805', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594806', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594807', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594808', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594809', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594810', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594811', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594812', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594813', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594814', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594815', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594816', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594817', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594818', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594819', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594820', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594821', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594822', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594823', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594824', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594825', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594826', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594827', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594828', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594829', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594830', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1603766899739594831', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947264', '1555010577007513600', '2022', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947265', '1564137446730502144', '2022', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947266', '1564137453919539200', '2022', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947267', '1565939234546782208', '2022', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947268', '1565939741671690240', '2022', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947269', '1567097186544652288', '2022', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947270', '1567451914025701376', '2022', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947271', '1569928315261816832', '2022', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947272', '1570252962423508992', '2022', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947273', '1570254194114433024', '2022', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947274', '1570254300393902080', '2022', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947275', '1571750260521439232', '2022', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947276', '1572825817233362944', '2022', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947277', '1572826733831393280', '2022', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947278', '1574653861665312768', '2022', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947279', '1574656123775094784', '2022', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947280', '1574656535395700736', '2022', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947281', '1575324436016533504', '2022', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947282', '1575733659590332416', '2022', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947283', '1575734154828582912', '2022', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947284', '1575742080498667520', '2022', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947285', '1575742396715634688', '2022', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947286', '1578618869008961536', '2022', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947287', '1579362188123049984', '2022', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947288', '1579367842850148352', '2022', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947289', '1579374510346473472', '2022', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947290', '1580103759026065408', '2022', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947291', '1580753741991251968', '2022', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947292', '1581886588420493312', '2022', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947293', '1581888248500850688', '2022', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947294', '1582642133595197440', '2022', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947295', '1582691917341265920', '2022', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947296', '1589496537845731328', '2022', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947297', '1589496953836802048', '2022', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947298', '1589497450408841216', '2022', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947299', '1589502257060253696', '2022', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947300', '1589510948744466432', '2022', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947301', '1589512322240614400', '2022', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947302', '1589513725826699264', '2022', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947303', '1589519897493377024', '2022', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947304', '1589529146432819200', '2022', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947305', '1589549783712927744', '2022', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947306', '1589787423250976768', '2022', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947307', '1589788930155352064', '2022', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947308', '1589789596093386752', '2022', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947309', '1589790686671147008', '2022', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947310', '1589793655986720768', '2022', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947311', '1589794001580593152', '2022', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947312', '1589796068487467008', '2022', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947313', '1589868518332043264', '2022', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947314', '1589877695318200320', '2022', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947315', '1589887987989221376', '2022', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947316', '1589902008373088256', '2022', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947317', '1589904363642556416', '2022', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947318', '1589912013692342272', '2022', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947319', '1590165343635116032', '2022', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947320', '1590171760580497408', '2022', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947321', '1590181896380354560', '2022', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947322', '1590183699834605568', '2022', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947323', '1590186242115506176', '2022', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947324', '1590582122773614592', '2022', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947325', '1590586735358775296', '2022', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947326', '1590587531555115008', '2022', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947327', '1590610341195288576', '2022', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947328', '1590639495596871680', '2022', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947329', '1590648570665635840', '2022', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947330', '1590949853146517504', '2022', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947331', '1590952665850974208', '2022', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947332', '1591967614425501696', '2022', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947333', '1591989767631933440', '2022', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947334', '1592015564858068992', '2022', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947335', '1592034228969803776', '2022', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947336', '1592077522693132288', '2022', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947337', '1592720777000652800', '2022', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553719947338', '1593126345620197376', '2022', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141568', '1593130018354106368', '2022', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141569', '1593172328945160192', '2022', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141570', '1593447338142208000', '2022', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141571', '1593449838584926208', '2022', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141572', '1593454348137009152', '2022', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141573', '1593478742355873792', '2022', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141574', '1593479582902784000', '2022', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141575', '1593482825254965248', '2022', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141576', '1593489505036406784', '2022', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141577', '1593491703745089536', '2022', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141578', '1593509718448541696', '2022', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141579', '1593516895204675584', '2022', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141580', '1593532185497964544', '2022', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141581', '1593842844030865408', '2022', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141582', '1593852545346965504', '2022', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141583', '1593855262131884032', '2022', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141584', '1593856415510958080', '2022', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141585', '1593862922424160256', '2022', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141586', '1593864420877012992', '2022', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141587', '1593865238464303104', '2022', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141588', '1593885025168920576', '2022', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141589', '1593893948823310336', '2022', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141590', '1593895047307333632', '2022', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141591', '1593895275678797824', '2022', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141592', '1593908021333987328', '2022', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141593', '1593917700583854080', '2022', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141594', '1593937047876407296', '2022', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141595', '1593939481117986816', '2022', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141596', '1594171185472606208', '2022', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141597', '1594172613977051136', '2022', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141598', '1594176761233543168', '2022', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141599', '1594182539172515840', '2022', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141600', '1594189970099277824', '2022', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141601', '1594190633659142144', '2022', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141602', '1594194005799866368', '2022', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141603', '1594196874573778944', '2022', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141604', '1594200334652280832', '2022', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141605', '1594203503994212352', '2022', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141606', '1594236660655198208', '2022', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141607', '1594243795166302208', '2022', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141608', '1594512404811747328', '2022', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141609', '1594596093570715648', '2022', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141610', '1594603307282862080', '2022', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141611', '1594612473548378112', '2022', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141612', '1594876784518762496', '2022', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141613', '1594884909942575104', '2022', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141614', '1594934928573861888', '2022', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141615', '1595251103560241152', '2022', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141616', '1595290317471485952', '2022', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141617', '1595299618307051520', '2022', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141618', '1595332257508364288', '2022', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141619', '1596789432940367872', '2022', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141620', '1597216880005877760', '2022', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141621', '1597217797556015104', '2022', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141622', '1597218763445506048', '2022', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141623', '1597223725911117824', '2022', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141624', '1597224121203298304', '2022', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141625', '1597225005823954944', '2022', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141626', '1597402389248348160', '2022', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141627', '1597464184969367552', '2022', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141628', '1597467267455651840', '2022', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141629', '1597467985432416256', '2022', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141630', '1597479346963091456', '2022', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141631', '1597480279696609280', '2022', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141632', '1597482125739823104', '2022', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141633', '1597485315180859392', '2022', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141634', '1597486704833466368', '2022', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141635', '1597489600065048576', '2022', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141636', '1597495016090112000', '2022', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141637', '1597560618922151936', '2022', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1608115553724141638', '1597562316260511744', '2022', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947264', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947265', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947266', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947267', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947268', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947269', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947270', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947271', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947272', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947273', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947274', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947275', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947276', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947277', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947278', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947279', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947280', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947281', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947282', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947283', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947284', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947285', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947286', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947287', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947288', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947289', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947290', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947291', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947292', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947293', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947294', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947295', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947296', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947297', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947298', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947299', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947300', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947301', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947302', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947303', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947304', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947305', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947306', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947307', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947308', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947309', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947310', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947311', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947312', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947313', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947314', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947315', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947316', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947317', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947318', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947319', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947320', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947321', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947322', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947323', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947324', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947325', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947326', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947327', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947328', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947329', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947330', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947331', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947332', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947333', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947334', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947335', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947336', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947337', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947338', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947339', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947340', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947341', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947342', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947343', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947344', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947345', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947346', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947347', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947348', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947349', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947350', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947351', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947352', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947353', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947354', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947355', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947356', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947357', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947358', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947359', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947360', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947361', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947362', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947363', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947364', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947365', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947366', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947367', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947368', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947369', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947370', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947371', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947372', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947373', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947374', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947375', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947376', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947377', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947378', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947379', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947380', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947381', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947382', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947383', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947384', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947385', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947386', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947387', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947388', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947389', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947390', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432375947391', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141568', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141569', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141570', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141571', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141572', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141573', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141574', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141575', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141576', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141577', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141578', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141579', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141580', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141581', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141582', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141583', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141584', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1611739432380141585', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096000', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096001', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096002', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096003', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096004', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096005', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096006', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096007', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096008', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096009', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096010', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096011', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096012', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096013', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096014', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096015', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096016', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096017', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096018', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096019', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096020', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096021', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096022', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096023', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096024', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096025', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096026', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096027', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096028', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096029', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096030', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096031', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096032', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096033', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096034', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096035', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096036', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096037', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096038', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096039', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096040', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096041', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096042', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096043', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096044', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096045', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096046', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096047', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096048', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096049', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096050', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096051', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096052', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096053', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096054', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096055', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096056', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096057', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096058', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096059', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096060', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096061', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096062', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096063', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096064', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096065', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096066', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096067', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096068', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096069', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096070', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096071', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096072', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096073', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096074', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096075', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096076', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096077', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096078', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096079', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096080', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096081', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096082', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096083', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096084', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096085', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096086', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096087', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096088', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096089', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096090', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096091', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096092', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096093', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096094', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096095', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096096', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096097', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096098', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096099', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096100', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096101', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096102', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096103', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096104', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096105', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096106', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096107', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096108', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096109', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096110', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096111', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096112', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096113', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096114', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096115', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096116', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096117', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096118', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096119', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096120', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096121', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096122', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096123', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096124', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096125', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096126', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096127', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096128', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096129', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096130', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096131', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096132', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096133', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096134', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096135', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096136', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096137', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096138', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096139', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096140', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096141', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096142', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096143', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096144', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1613188983876096145', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454143295488', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489792', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489793', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489794', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489795', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489796', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489797', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489798', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489799', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489800', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489801', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489802', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489803', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489804', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489805', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489806', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489807', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489808', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489809', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489810', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489811', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489812', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489813', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489814', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489815', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489816', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489817', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489818', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489819', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489820', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489821', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489822', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489823', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489824', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454147489825', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684096', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684097', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684098', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684099', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684100', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684101', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684102', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684103', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684104', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684105', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684106', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684107', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684108', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684109', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684110', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684111', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684112', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684113', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684114', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684115', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684116', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684117', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684118', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684119', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684120', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684121', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684122', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684123', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684124', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684125', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684126', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684127', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684128', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684129', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684130', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684131', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684132', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454151684133', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878400', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878401', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878402', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878403', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878404', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878405', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878406', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878407', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878408', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878409', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878410', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878411', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878412', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878413', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878414', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878415', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878416', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878417', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878418', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878419', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878420', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878421', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878422', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878423', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878424', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878425', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878426', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878427', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878428', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878429', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878430', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878431', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454155878432', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072704', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072705', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072706', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072707', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072708', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072709', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072710', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072711', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072712', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072713', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072714', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072715', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072716', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072717', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072718', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072719', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072720', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072721', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072722', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072723', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072724', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072725', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072726', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072727', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072728', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072729', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072730', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072731', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072732', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072733', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072734', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072735', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072736', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072737', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072738', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072739', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072740', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072741', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454160072742', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1614789454164267008', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422592', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422593', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422594', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422595', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422596', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422597', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422598', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422599', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422600', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422601', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422602', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422603', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422604', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422605', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422606', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422607', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422608', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422609', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422610', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422611', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422612', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422613', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422614', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422615', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422616', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422617', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422618', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422619', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422620', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422621', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422622', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422623', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422624', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422625', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422626', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422627', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923405422628', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616896', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616897', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616898', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616899', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616900', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616901', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616902', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616903', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616904', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616905', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616906', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616907', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616908', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616909', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616910', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616911', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616912', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616913', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616914', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616915', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616916', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616917', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616918', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616919', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616920', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616921', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616922', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616923', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616924', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616925', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616926', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616927', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616928', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616929', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616930', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616931', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616932', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616933', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616934', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616935', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616936', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616937', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616938', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616939', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616940', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616941', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616942', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616943', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616944', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616945', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616946', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616947', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616948', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616949', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616950', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616951', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616952', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616953', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616954', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616955', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616956', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616957', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616958', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616959', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616960', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616961', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616962', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616963', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616964', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616965', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616966', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616967', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616968', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616969', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616970', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616971', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616972', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616973', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616974', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616975', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616976', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616977', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616978', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616979', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616980', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616981', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616982', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616983', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616984', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616985', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616986', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616987', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616988', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616989', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616990', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616991', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616992', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616993', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616994', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616995', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616996', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616997', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616998', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409616999', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409617000', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409617001', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409617002', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409617003', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1615000923409617004', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147264', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147265', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147266', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147267', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147268', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147269', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147270', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147271', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147272', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147273', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147274', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147275', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147276', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147277', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147278', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147279', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147280', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147281', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147282', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147283', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147284', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147285', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147286', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147287', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147288', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147289', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147290', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147291', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147292', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147293', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147294', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147295', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147296', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147297', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147298', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147299', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147300', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147301', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147302', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147303', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147304', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147305', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147306', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147307', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147308', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147309', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147310', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147311', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147312', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147313', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147314', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147315', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147316', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147317', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147318', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147319', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147320', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147321', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147322', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147323', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147324', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147325', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147326', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147327', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147328', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147329', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147330', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147331', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147332', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147333', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147334', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147335', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147336', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147337', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147338', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147339', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147340', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147341', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147342', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147343', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147344', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147345', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147346', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147347', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147348', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147349', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147350', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147351', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147352', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147353', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147354', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147355', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147356', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147357', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147358', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147359', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147360', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147361', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147362', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147363', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147364', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147365', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147366', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147367', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147368', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147369', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147370', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147371', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147372', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147373', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147374', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147375', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147376', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147377', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147378', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147379', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147380', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147381', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147382', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147383', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147384', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147385', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147386', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147387', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147388', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147389', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147390', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147391', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147392', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147393', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147394', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147395', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147396', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147397', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147398', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147399', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147400', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147401', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147402', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147403', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965419147404', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965423341568', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965423341569', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965423341570', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965423341571', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1619711965423341572', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269321969664', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269326163968', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269326163969', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269326163970', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358272', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358273', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358274', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358275', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358276', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358277', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358278', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358279', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358280', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358281', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358282', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358283', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358284', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358285', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358286', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358287', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358288', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358289', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358290', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358291', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358292', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358293', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358294', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358295', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269330358296', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552576', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552577', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552578', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552579', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552580', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552581', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552582', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552583', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552584', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552585', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552586', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552587', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552588', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552589', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552590', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552591', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552592', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552593', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552594', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552595', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552596', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552597', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552598', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552599', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552600', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552601', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552602', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552603', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552604', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269334552605', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746880', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746881', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746882', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746883', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746884', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746885', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746886', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746887', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746888', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746889', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746890', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746891', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746892', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746893', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746894', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746895', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746896', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746897', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746898', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746899', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746900', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746901', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746902', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746903', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746904', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746905', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746906', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269338746907', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941184', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941185', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941186', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941187', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941188', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941189', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941190', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941191', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941192', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941193', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941194', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941195', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941196', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941197', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941198', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941199', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941200', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941201', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941202', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941203', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941204', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941205', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941206', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941207', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941208', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941209', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941210', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941211', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941212', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269342941213', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135488', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135489', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135490', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135491', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135492', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135493', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135494', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135495', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135496', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135497', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135498', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135499', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135500', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269347135501', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329792', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329793', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329794', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329795', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329796', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329797', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329798', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329799', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329800', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329801', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329802', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329803', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329804', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329805', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620223269351329806', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349184', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349185', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349186', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349187', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349188', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349189', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129456349190', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543488', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543489', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543490', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543491', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543492', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543493', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543494', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543495', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543496', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543497', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543498', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543499', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543500', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543501', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543502', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543503', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543504', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543505', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543506', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543507', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543508', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543509', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543510', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543511', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543512', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543513', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543514', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543515', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543516', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543517', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543518', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543519', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543520', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543521', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543522', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543523', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543524', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543525', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543526', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543527', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543528', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543529', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543530', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543531', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543532', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543533', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543534', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543535', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543536', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543537', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543538', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543539', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543540', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543541', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543542', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543543', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543544', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543545', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543546', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543547', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543548', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543549', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543550', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543551', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543552', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543553', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543554', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543555', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543556', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543557', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543558', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543559', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543560', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129460543561', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737792', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737793', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737794', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737795', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737796', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737797', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737798', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737799', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737800', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737801', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737802', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737803', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737804', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737805', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737806', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737807', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737808', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737809', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737810', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737811', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737812', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737813', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737814', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737815', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737816', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737817', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737818', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737819', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737820', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737821', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737822', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737823', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737824', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737825', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737826', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737827', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737828', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737829', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737830', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737831', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737832', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737833', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737834', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737835', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737836', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737837', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737838', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737839', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737840', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737841', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737842', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737843', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737844', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737845', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737846', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737847', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737848', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737849', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737850', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737851', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737852', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737853', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737854', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737855', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1620799129464737856', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719488', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719489', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719490', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719491', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719492', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719493', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719494', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719495', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719496', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719497', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719498', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719499', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719500', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719501', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719502', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719503', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719504', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719505', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719506', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719507', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719508', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719509', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719510', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719511', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719512', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719513', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719514', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719515', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719516', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518374719517', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913792', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913793', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913794', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913795', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913796', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913797', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913798', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913799', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913800', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913801', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913802', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913803', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913804', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913805', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913806', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913807', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913808', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913809', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913810', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913811', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913812', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913813', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913814', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913815', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913816', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913817', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913818', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913819', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913820', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913821', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913822', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913823', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913824', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913825', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913826', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913827', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913828', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913829', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913830', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913831', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913832', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913833', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913834', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913835', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913836', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913837', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913838', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913839', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913840', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913841', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913842', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913843', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913844', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913845', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913846', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913847', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913848', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913849', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913850', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913851', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913852', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913853', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913854', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913855', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913856', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913857', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913858', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913859', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913860', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913861', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913862', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913863', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913864', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913865', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913866', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913867', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913868', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913869', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913870', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913871', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913872', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913873', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913874', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913875', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913876', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518378913877', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108096', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108097', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108098', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108099', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108100', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108101', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108102', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108103', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108104', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108105', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108106', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108107', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108108', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108109', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108110', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108111', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108112', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108113', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108114', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108115', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108116', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108117', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108118', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108119', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108120', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108121', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108122', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108123', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108124', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1621161518383108125', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940992', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940993', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940994', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940995', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940996', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940997', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940998', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257940999', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941000', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941001', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941002', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941003', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941004', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941005', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941006', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941007', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941008', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941009', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941010', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941011', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941012', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941013', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941014', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941015', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941016', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941017', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941018', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941019', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941020', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941021', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941022', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941023', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941024', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941025', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941026', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941027', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941028', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941029', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941030', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941031', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941032', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941033', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941034', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941035', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941036', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941037', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941038', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941039', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941040', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941041', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941042', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941043', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941044', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941045', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941046', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941047', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941048', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941049', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941050', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941051', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941052', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941053', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941054', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941055', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941056', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941057', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941058', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941059', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941060', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941061', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941062', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941063', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941064', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941065', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941066', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941067', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941068', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941069', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845257941070', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855552', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855553', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855554', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855555', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855556', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855557', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855558', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855559', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855560', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855561', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855562', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855563', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855564', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855565', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855566', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855567', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855568', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855569', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855570', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855571', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855572', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855573', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855574', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855575', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855576', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855577', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855578', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855579', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855580', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855581', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855582', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855583', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855584', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855585', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855586', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855587', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855588', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855589', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855590', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855591', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855592', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855593', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855594', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855595', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855596', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855597', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855598', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855599', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855600', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855601', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855602', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855603', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855604', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855605', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855606', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855607', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855608', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855609', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855610', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855611', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855612', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855613', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855614', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855615', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855616', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855617', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1623335845320855618', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952960', '1555010577007513600', '2023', '1', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952961', '1564137446730502144', '2023', '2', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952962', '1564137453919539200', '2023', '3', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952963', '1565939234546782208', '2023', '4', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952964', '1565939741671690240', '2023', '5', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952965', '1567097186544652288', '2023', '6', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952966', '1567451914025701376', '2023', '7', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952967', '1569928315261816832', '2023', '8', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952968', '1570252962423508992', '2023', '9', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952969', '1570254194114433024', '2023', '10', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952970', '1570254300393902080', '2023', '11', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783398952971', '1571750260521439232', '2023', '12', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147264', '1572825817233362944', '2023', '13', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147265', '1572826733831393280', '2023', '14', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147266', '1574653861665312768', '2023', '15', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147267', '1574656123775094784', '2023', '16', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147268', '1574656535395700736', '2023', '17', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147269', '1575324436016533504', '2023', '18', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147270', '1575733659590332416', '2023', '19', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147271', '1575734154828582912', '2023', '20', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147272', '1575742080498667520', '2023', '21', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147273', '1575742396715634688', '2023', '22', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147274', '1578618869008961536', '2023', '23', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147275', '1579362188123049984', '2023', '24', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147276', '1579367842850148352', '2023', '25', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147277', '1579374510346473472', '2023', '26', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147278', '1580103759026065408', '2023', '27', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147279', '1580753741991251968', '2023', '28', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147280', '1581886588420493312', '2023', '29', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147281', '1581888248500850688', '2023', '30', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147282', '1582642133595197440', '2023', '31', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147283', '1582691917341265920', '2023', '32', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147284', '1589496537845731328', '2023', '33', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147285', '1589496953836802048', '2023', '34', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147286', '1589497450408841216', '2023', '35', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147287', '1589502257060253696', '2023', '36', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147288', '1589510948744466432', '2023', '37', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147289', '1589512322240614400', '2023', '38', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147290', '1589513725826699264', '2023', '39', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147291', '1589519897493377024', '2023', '40', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147292', '1589529146432819200', '2023', '41', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147293', '1589549783712927744', '2023', '42', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147294', '1589787423250976768', '2023', '43', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147295', '1589788930155352064', '2023', '44', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147296', '1589789596093386752', '2023', '45', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147297', '1589790686671147008', '2023', '46', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147298', '1589793655986720768', '2023', '47', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147299', '1589794001580593152', '2023', '48', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147300', '1589796068487467008', '2023', '49', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147301', '1589868518332043264', '2023', '50', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147302', '1589877695318200320', '2023', '51', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147303', '1589887987989221376', '2023', '52', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147304', '1589902008373088256', '2023', '53', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147305', '1589904363642556416', '2023', '54', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147306', '1589912013692342272', '2023', '55', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147307', '1590165343635116032', '2023', '56', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147308', '1590171760580497408', '2023', '57', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147309', '1590181896380354560', '2023', '58', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147310', '1590183699834605568', '2023', '59', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147311', '1590186242115506176', '2023', '60', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147312', '1590582122773614592', '2023', '61', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147313', '1590586735358775296', '2023', '62', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147314', '1590587531555115008', '2023', '63', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147315', '1590610341195288576', '2023', '64', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147316', '1590639495596871680', '2023', '65', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147317', '1590648570665635840', '2023', '66', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147318', '1590949853146517504', '2023', '67', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147319', '1590952665850974208', '2023', '68', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147320', '1591967614425501696', '2023', '69', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147321', '1591989767631933440', '2023', '70', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147322', '1592015564858068992', '2023', '71', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147323', '1592034228969803776', '2023', '72', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147324', '1592077522693132288', '2023', '73', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147325', '1592720777000652800', '2023', '74', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147326', '1593126345620197376', '2023', '75', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147327', '1593130018354106368', '2023', '76', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147328', '1593172328945160192', '2023', '77', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147329', '1593447338142208000', '2023', '78', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147330', '1593449838584926208', '2023', '79', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147331', '1593454348137009152', '2023', '80', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147332', '1593478742355873792', '2023', '81', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147333', '1593479582902784000', '2023', '82', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147334', '1593482825254965248', '2023', '83', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147335', '1593489505036406784', '2023', '84', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147336', '1593491703745089536', '2023', '85', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147337', '1593509718448541696', '2023', '86', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147338', '1593516895204675584', '2023', '87', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147339', '1593532185497964544', '2023', '88', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147340', '1593842844030865408', '2023', '89', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147341', '1593852545346965504', '2023', '90', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147342', '1593855262131884032', '2023', '91', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147343', '1593856415510958080', '2023', '92', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147344', '1593862922424160256', '2023', '93', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147345', '1593864420877012992', '2023', '94', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147346', '1593865238464303104', '2023', '95', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147347', '1593885025168920576', '2023', '96', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147348', '1593893948823310336', '2023', '97', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147349', '1593895047307333632', '2023', '98', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147350', '1593895275678797824', '2023', '99', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147351', '1593908021333987328', '2023', '100', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147352', '1593917700583854080', '2023', '101', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147353', '1593937047876407296', '2023', '102', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147354', '1593939481117986816', '2023', '103', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147355', '1594171185472606208', '2023', '104', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147356', '1594172613977051136', '2023', '105', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147357', '1594176761233543168', '2023', '106', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147358', '1594182539172515840', '2023', '107', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147359', '1594189970099277824', '2023', '108', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147360', '1594190633659142144', '2023', '109', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147361', '1594194005799866368', '2023', '110', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147362', '1594196874573778944', '2023', '111', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147363', '1594200334652280832', '2023', '112', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147364', '1594203503994212352', '2023', '113', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147365', '1594236660655198208', '2023', '114', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147366', '1594243795166302208', '2023', '115', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147367', '1594512404811747328', '2023', '116', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147368', '1594596093570715648', '2023', '117', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147369', '1594603307282862080', '2023', '118', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147370', '1594612473548378112', '2023', '119', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147371', '1594876784518762496', '2023', '120', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147372', '1594884909942575104', '2023', '121', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147373', '1594934928573861888', '2023', '122', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147374', '1595251103560241152', '2023', '123', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147375', '1595290317471485952', '2023', '124', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147376', '1595299618307051520', '2023', '125', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147377', '1595332257508364288', '2023', '126', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147378', '1596789432940367872', '2023', '127', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147379', '1597216880005877760', '2023', '128', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147380', '1597217797556015104', '2023', '129', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147381', '1597218763445506048', '2023', '130', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147382', '1597223725911117824', '2023', '131', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147383', '1597224121203298304', '2023', '132', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147384', '1597225005823954944', '2023', '133', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147385', '1597402389248348160', '2023', '134', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147386', '1597464184969367552', '2023', '135', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147387', '1597467267455651840', '2023', '136', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147388', '1597467985432416256', '2023', '137', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147389', '1597479346963091456', '2023', '138', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147390', '1597480279696609280', '2023', '139', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147391', '1597482125739823104', '2023', '140', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147392', '1597485315180859392', '2023', '141', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147393', '1597486704833466368', '2023', '142', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147394', '1597489600065048576', '2023', '143', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147395', '1597495016090112000', '2023', '144', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147396', '1597560618922151936', '2023', '145', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1625147783403147397', '1597562316260511744', '2023', '146', '0', '146');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113088', '1555010577007513600', '2023', '1', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113089', '1564137446730502144', '2023', '2', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113090', '1564137453919539200', '2023', '3', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113091', '1565939234546782208', '2023', '4', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113092', '1565939741671690240', '2023', '5', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113093', '1567097186544652288', '2023', '6', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113094', '1567451914025701376', '2023', '7', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113095', '1569928315261816832', '2023', '8', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113096', '1570252962423508992', '2023', '9', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113097', '1570254194114433024', '2023', '10', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113098', '1570254300393902080', '2023', '11', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113099', '1571750260521439232', '2023', '12', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113100', '1572825817233362944', '2023', '13', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113101', '1572826733831393280', '2023', '14', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113102', '1574653861665312768', '2023', '15', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113103', '1574656123775094784', '2023', '16', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113104', '1574656535395700736', '2023', '17', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113105', '1575324436016533504', '2023', '18', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113106', '1575733659590332416', '2023', '19', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113107', '1575734154828582912', '2023', '20', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113108', '1575742080498667520', '2023', '21', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113109', '1575742396715634688', '2023', '22', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947025113110', '1578618869008961536', '2023', '23', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307392', '1579362188123049984', '2023', '24', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307393', '1579367842850148352', '2023', '25', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307394', '1579374510346473472', '2023', '26', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307395', '1580103759026065408', '2023', '27', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307396', '1580753741991251968', '2023', '28', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307397', '1581886588420493312', '2023', '29', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307398', '1581888248500850688', '2023', '30', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307399', '1582642133595197440', '2023', '31', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307400', '1582691917341265920', '2023', '32', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307401', '1589496537845731328', '2023', '33', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307402', '1589496953836802048', '2023', '34', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307403', '1589497450408841216', '2023', '35', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307404', '1589502257060253696', '2023', '36', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307405', '1589510948744466432', '2023', '37', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307406', '1589512322240614400', '2023', '38', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307407', '1589513725826699264', '2023', '39', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307408', '1589519897493377024', '2023', '40', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307409', '1589529146432819200', '2023', '41', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307410', '1589549783712927744', '2023', '42', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307411', '1589787423250976768', '2023', '43', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307412', '1589788930155352064', '2023', '44', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307413', '1589789596093386752', '2023', '45', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307414', '1589790686671147008', '2023', '46', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307415', '1589793655986720768', '2023', '47', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307416', '1589794001580593152', '2023', '48', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307417', '1589796068487467008', '2023', '49', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307418', '1589868518332043264', '2023', '50', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307419', '1589877695318200320', '2023', '51', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307420', '1589887987989221376', '2023', '52', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307421', '1589902008373088256', '2023', '53', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307422', '1589904363642556416', '2023', '54', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307423', '1589912013692342272', '2023', '55', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307424', '1590165343635116032', '2023', '56', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307425', '1590171760580497408', '2023', '57', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307426', '1590181896380354560', '2023', '58', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307427', '1590183699834605568', '2023', '59', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307428', '1590186242115506176', '2023', '60', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307429', '1590582122773614592', '2023', '61', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307430', '1590586735358775296', '2023', '62', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307431', '1590587531555115008', '2023', '63', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307432', '1590610341195288576', '2023', '64', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307433', '1590639495596871680', '2023', '65', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307434', '1590648570665635840', '2023', '66', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307435', '1590949853146517504', '2023', '67', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307436', '1590952665850974208', '2023', '68', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307437', '1591967614425501696', '2023', '69', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307438', '1591989767631933440', '2023', '70', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307439', '1592015564858068992', '2023', '71', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307440', '1592034228969803776', '2023', '72', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307441', '1592077522693132288', '2023', '73', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307442', '1592720777000652800', '2023', '74', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307443', '1593126345620197376', '2023', '75', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307444', '1593130018354106368', '2023', '76', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307445', '1593172328945160192', '2023', '77', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307446', '1593447338142208000', '2023', '78', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307447', '1593449838584926208', '2023', '79', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307448', '1593454348137009152', '2023', '80', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307449', '1593478742355873792', '2023', '81', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307450', '1593479582902784000', '2023', '82', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307451', '1593482825254965248', '2023', '83', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307452', '1593489505036406784', '2023', '84', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307453', '1593491703745089536', '2023', '85', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307454', '1593509718448541696', '2023', '86', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307455', '1593516895204675584', '2023', '87', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307456', '1593532185497964544', '2023', '88', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307457', '1593842844030865408', '2023', '89', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307458', '1593852545346965504', '2023', '90', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307459', '1593855262131884032', '2023', '91', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307460', '1593856415510958080', '2023', '92', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307461', '1593862922424160256', '2023', '93', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307462', '1593864420877012992', '2023', '94', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307463', '1593865238464303104', '2023', '95', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307464', '1593885025168920576', '2023', '96', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307465', '1593893948823310336', '2023', '97', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307466', '1593895047307333632', '2023', '98', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307467', '1593895275678797824', '2023', '99', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307468', '1593908021333987328', '2023', '100', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307469', '1593917700583854080', '2023', '101', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307470', '1593937047876407296', '2023', '102', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307471', '1593939481117986816', '2023', '103', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307472', '1594171185472606208', '2023', '104', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307473', '1594172613977051136', '2023', '105', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307474', '1594176761233543168', '2023', '106', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307475', '1594182539172515840', '2023', '107', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307476', '1594189970099277824', '2023', '108', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307477', '1594190633659142144', '2023', '109', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307478', '1594194005799866368', '2023', '110', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307479', '1594196874573778944', '2023', '111', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307480', '1594200334652280832', '2023', '112', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307481', '1594203503994212352', '2023', '113', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307482', '1594236660655198208', '2023', '114', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307483', '1594243795166302208', '2023', '115', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307484', '1594512404811747328', '2023', '116', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307485', '1594596093570715648', '2023', '117', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307486', '1594603307282862080', '2023', '118', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307487', '1594612473548378112', '2023', '119', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307488', '1594876784518762496', '2023', '120', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307489', '1594884909942575104', '2023', '121', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307490', '1594934928573861888', '2023', '122', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307491', '1595251103560241152', '2023', '123', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307492', '1595290317471485952', '2023', '124', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307493', '1595299618307051520', '2023', '125', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307494', '1595332257508364288', '2023', '126', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307495', '1596789432940367872', '2023', '127', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307496', '1597216880005877760', '2023', '128', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307497', '1597217797556015104', '2023', '129', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307498', '1597218763445506048', '2023', '130', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307499', '1597223725911117824', '2023', '131', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307500', '1597224121203298304', '2023', '132', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307501', '1597225005823954944', '2023', '133', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307502', '1597402389248348160', '2023', '134', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307503', '1597464184969367552', '2023', '135', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307504', '1597467267455651840', '2023', '136', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307505', '1597467985432416256', '2023', '137', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307506', '1597479346963091456', '2023', '138', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947029307507', '1597480279696609280', '2023', '139', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696000', '1597482125739823104', '2023', '140', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696001', '1597485315180859392', '2023', '141', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696002', '1597486704833466368', '2023', '142', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696003', '1597489600065048576', '2023', '143', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696004', '1597495016090112000', '2023', '144', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696005', '1597560618922151936', '2023', '145', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696006', '1597562316260511744', '2023', '146', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1626234947037696007', '1626130047926669312', '2023', '147', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547904', '1555010577007513600', '2023', '1', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547905', '1564137446730502144', '2023', '2', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547906', '1564137453919539200', '2023', '3', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547907', '1565939234546782208', '2023', '4', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547908', '1565939741671690240', '2023', '5', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547909', '1567097186544652288', '2023', '6', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547910', '1567451914025701376', '2023', '7', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547911', '1569928315261816832', '2023', '8', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547912', '1570252962423508992', '2023', '9', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547913', '1570254194114433024', '2023', '10', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547914', '1570254300393902080', '2023', '11', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547915', '1571750260521439232', '2023', '12', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547916', '1572825817233362944', '2023', '13', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547917', '1572826733831393280', '2023', '14', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547918', '1574653861665312768', '2023', '15', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547919', '1574656123775094784', '2023', '16', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547920', '1574656535395700736', '2023', '17', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547921', '1575324436016533504', '2023', '18', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547922', '1575733659590332416', '2023', '19', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547923', '1575734154828582912', '2023', '20', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547924', '1575742080498667520', '2023', '21', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547925', '1575742396715634688', '2023', '22', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547926', '1578618869008961536', '2023', '23', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547927', '1579362188123049984', '2023', '24', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547928', '1579367842850148352', '2023', '25', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547929', '1579374510346473472', '2023', '26', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547930', '1580103759026065408', '2023', '27', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547931', '1580753741991251968', '2023', '28', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547932', '1581886588420493312', '2023', '29', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547933', '1581888248500850688', '2023', '30', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547934', '1582642133595197440', '2023', '31', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547935', '1582691917341265920', '2023', '32', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547936', '1589496537845731328', '2023', '33', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547937', '1589496953836802048', '2023', '34', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547938', '1589497450408841216', '2023', '35', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547939', '1589502257060253696', '2023', '36', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547940', '1589510948744466432', '2023', '37', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547941', '1589512322240614400', '2023', '38', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547942', '1589513725826699264', '2023', '39', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547943', '1589519897493377024', '2023', '40', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547944', '1589529146432819200', '2023', '41', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547945', '1589549783712927744', '2023', '42', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547946', '1589787423250976768', '2023', '43', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547947', '1589788930155352064', '2023', '44', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547948', '1589789596093386752', '2023', '45', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746711547949', '1589790686671147008', '2023', '46', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742208', '1589793655986720768', '2023', '47', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742209', '1589794001580593152', '2023', '48', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742210', '1589796068487467008', '2023', '49', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742211', '1589868518332043264', '2023', '50', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742212', '1589877695318200320', '2023', '51', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742213', '1589887987989221376', '2023', '52', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742214', '1589902008373088256', '2023', '53', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742215', '1589904363642556416', '2023', '54', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742216', '1589912013692342272', '2023', '55', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742217', '1590165343635116032', '2023', '56', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742218', '1590171760580497408', '2023', '57', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742219', '1590181896380354560', '2023', '58', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742220', '1590183699834605568', '2023', '59', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742221', '1590186242115506176', '2023', '60', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742222', '1590582122773614592', '2023', '61', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742223', '1590586735358775296', '2023', '62', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742224', '1590587531555115008', '2023', '63', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742225', '1590610341195288576', '2023', '64', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742226', '1590639495596871680', '2023', '65', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742227', '1590648570665635840', '2023', '66', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742228', '1590949853146517504', '2023', '67', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742229', '1590952665850974208', '2023', '68', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742230', '1591967614425501696', '2023', '69', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742231', '1591989767631933440', '2023', '70', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742232', '1592015564858068992', '2023', '71', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742233', '1592034228969803776', '2023', '72', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742234', '1592077522693132288', '2023', '73', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742235', '1592720777000652800', '2023', '74', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742236', '1593126345620197376', '2023', '75', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742237', '1593130018354106368', '2023', '76', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742238', '1593172328945160192', '2023', '77', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742239', '1593447338142208000', '2023', '78', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742240', '1593449838584926208', '2023', '79', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742241', '1593454348137009152', '2023', '80', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742242', '1593478742355873792', '2023', '81', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742243', '1593479582902784000', '2023', '82', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742244', '1593482825254965248', '2023', '83', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742245', '1593489505036406784', '2023', '84', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742246', '1593491703745089536', '2023', '85', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742247', '1593509718448541696', '2023', '86', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742248', '1593516895204675584', '2023', '87', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742249', '1593532185497964544', '2023', '88', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742250', '1593842844030865408', '2023', '89', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742251', '1593852545346965504', '2023', '90', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742252', '1593855262131884032', '2023', '91', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742253', '1593856415510958080', '2023', '92', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742254', '1593862922424160256', '2023', '93', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742255', '1593864420877012992', '2023', '94', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742256', '1593865238464303104', '2023', '95', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742257', '1593885025168920576', '2023', '96', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742258', '1593893948823310336', '2023', '97', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742259', '1593895047307333632', '2023', '98', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742260', '1593895275678797824', '2023', '99', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742261', '1593908021333987328', '2023', '100', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742262', '1593917700583854080', '2023', '101', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742263', '1593937047876407296', '2023', '102', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742264', '1593939481117986816', '2023', '103', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742265', '1594171185472606208', '2023', '104', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742266', '1594172613977051136', '2023', '105', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742267', '1594176761233543168', '2023', '106', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742268', '1594182539172515840', '2023', '107', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742269', '1594189970099277824', '2023', '108', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742270', '1594190633659142144', '2023', '109', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742271', '1594194005799866368', '2023', '110', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742272', '1594196874573778944', '2023', '111', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742273', '1594200334652280832', '2023', '112', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742274', '1594203503994212352', '2023', '113', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742275', '1594236660655198208', '2023', '114', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742276', '1594243795166302208', '2023', '115', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742277', '1594512404811747328', '2023', '116', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742278', '1594596093570715648', '2023', '117', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742279', '1594603307282862080', '2023', '118', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742280', '1594612473548378112', '2023', '119', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742281', '1594876784518762496', '2023', '120', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742282', '1594884909942575104', '2023', '121', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742283', '1594934928573861888', '2023', '122', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742284', '1595251103560241152', '2023', '123', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742285', '1595290317471485952', '2023', '124', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742286', '1595299618307051520', '2023', '125', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742287', '1595332257508364288', '2023', '126', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742288', '1596789432940367872', '2023', '127', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742289', '1597216880005877760', '2023', '128', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742290', '1597217797556015104', '2023', '129', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742291', '1597218763445506048', '2023', '130', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742292', '1597223725911117824', '2023', '131', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742293', '1597224121203298304', '2023', '132', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742294', '1597225005823954944', '2023', '133', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742295', '1597402389248348160', '2023', '134', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742296', '1597464184969367552', '2023', '135', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742297', '1597467267455651840', '2023', '136', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742298', '1597467985432416256', '2023', '137', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742299', '1597479346963091456', '2023', '138', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742300', '1597480279696609280', '2023', '139', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742301', '1597482125739823104', '2023', '140', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742302', '1597485315180859392', '2023', '141', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742303', '1597486704833466368', '2023', '142', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742304', '1597489600065048576', '2023', '143', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742305', '1597495016090112000', '2023', '144', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742306', '1597560618922151936', '2023', '145', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742307', '1597562316260511744', '2023', '146', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1638193746715742308', '1626130047926669312', '2023', '147', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713088', '1555010577007513600', '2023', '1', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713089', '1564137446730502144', '2023', '2', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713090', '1564137453919539200', '2023', '3', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713091', '1565939234546782208', '2023', '4', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713092', '1565939741671690240', '2023', '5', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713093', '1567097186544652288', '2023', '6', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713094', '1567451914025701376', '2023', '7', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713095', '1569928315261816832', '2023', '8', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713096', '1570252962423508992', '2023', '9', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713097', '1570254194114433024', '2023', '10', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713098', '1570254300393902080', '2023', '11', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713099', '1571750260521439232', '2023', '12', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713100', '1572825817233362944', '2023', '13', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713101', '1572826733831393280', '2023', '14', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713102', '1574653861665312768', '2023', '15', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713103', '1574656123775094784', '2023', '16', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713104', '1574656535395700736', '2023', '17', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713105', '1575324436016533504', '2023', '18', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713106', '1575733659590332416', '2023', '19', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713107', '1575734154828582912', '2023', '20', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713108', '1575742080498667520', '2023', '21', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713109', '1575742396715634688', '2023', '22', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713110', '1578618869008961536', '2023', '23', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713111', '1579362188123049984', '2023', '24', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713112', '1579367842850148352', '2023', '25', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713113', '1579374510346473472', '2023', '26', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713114', '1580103759026065408', '2023', '27', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713115', '1580753741991251968', '2023', '28', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713116', '1581886588420493312', '2023', '29', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713117', '1581888248500850688', '2023', '30', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713118', '1582642133595197440', '2023', '31', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713119', '1582691917341265920', '2023', '32', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713120', '1589496537845731328', '2023', '33', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713121', '1589496953836802048', '2023', '34', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713122', '1589497450408841216', '2023', '35', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713123', '1589502257060253696', '2023', '36', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713124', '1589510948744466432', '2023', '37', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713125', '1589512322240614400', '2023', '38', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713126', '1589513725826699264', '2023', '39', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713127', '1589519897493377024', '2023', '40', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713128', '1589529146432819200', '2023', '41', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713129', '1589549783712927744', '2023', '42', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713130', '1589787423250976768', '2023', '43', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713131', '1589788930155352064', '2023', '44', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713132', '1589789596093386752', '2023', '45', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713133', '1589790686671147008', '2023', '46', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713134', '1589793655986720768', '2023', '47', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713135', '1589794001580593152', '2023', '48', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713136', '1589796068487467008', '2023', '49', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713137', '1589868518332043264', '2023', '50', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713138', '1589877695318200320', '2023', '51', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713139', '1589887987989221376', '2023', '52', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713140', '1589902008373088256', '2023', '53', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713141', '1589904363642556416', '2023', '54', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713142', '1589912013692342272', '2023', '55', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713143', '1590165343635116032', '2023', '56', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713144', '1590171760580497408', '2023', '57', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713145', '1590181896380354560', '2023', '58', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713146', '1590183699834605568', '2023', '59', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713147', '1590186242115506176', '2023', '60', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713148', '1590582122773614592', '2023', '61', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713149', '1590586735358775296', '2023', '62', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713150', '1590587531555115008', '2023', '63', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713151', '1590610341195288576', '2023', '64', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713152', '1590639495596871680', '2023', '65', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713153', '1590648570665635840', '2023', '66', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713154', '1590949853146517504', '2023', '67', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713155', '1590952665850974208', '2023', '68', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713156', '1591967614425501696', '2023', '69', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713157', '1591989767631933440', '2023', '70', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713158', '1592015564858068992', '2023', '71', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713159', '1592034228969803776', '2023', '72', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713160', '1592077522693132288', '2023', '73', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713161', '1592720777000652800', '2023', '74', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713162', '1593126345620197376', '2023', '75', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713163', '1593130018354106368', '2023', '76', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713164', '1593172328945160192', '2023', '77', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713165', '1593447338142208000', '2023', '78', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713166', '1593449838584926208', '2023', '79', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713167', '1593454348137009152', '2023', '80', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713168', '1593478742355873792', '2023', '81', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713169', '1593479582902784000', '2023', '82', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713170', '1593482825254965248', '2023', '83', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713171', '1593489505036406784', '2023', '84', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713172', '1593491703745089536', '2023', '85', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713173', '1593509718448541696', '2023', '86', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713174', '1593516895204675584', '2023', '87', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713175', '1593532185497964544', '2023', '88', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713176', '1593842844030865408', '2023', '89', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713177', '1593852545346965504', '2023', '90', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713178', '1593855262131884032', '2023', '91', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713179', '1593856415510958080', '2023', '92', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713180', '1593862922424160256', '2023', '93', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713181', '1593864420877012992', '2023', '94', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713182', '1593865238464303104', '2023', '95', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713183', '1593885025168920576', '2023', '96', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713184', '1593893948823310336', '2023', '97', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713185', '1593895047307333632', '2023', '98', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713186', '1593895275678797824', '2023', '99', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713187', '1593908021333987328', '2023', '100', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713188', '1593917700583854080', '2023', '101', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713189', '1593937047876407296', '2023', '102', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713190', '1593939481117986816', '2023', '103', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713191', '1594171185472606208', '2023', '104', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713192', '1594172613977051136', '2023', '105', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713193', '1594176761233543168', '2023', '106', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713194', '1594182539172515840', '2023', '107', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713195', '1594189970099277824', '2023', '108', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713196', '1594190633659142144', '2023', '109', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713197', '1594194005799866368', '2023', '110', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713198', '1594196874573778944', '2023', '111', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713199', '1594200334652280832', '2023', '112', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713200', '1594203503994212352', '2023', '113', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713201', '1594236660655198208', '2023', '114', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713202', '1594243795166302208', '2023', '115', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713203', '1594512404811747328', '2023', '116', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713204', '1594596093570715648', '2023', '117', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713205', '1594603307282862080', '2023', '118', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713206', '1594612473548378112', '2023', '119', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713207', '1594876784518762496', '2023', '120', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713208', '1594884909942575104', '2023', '121', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713209', '1594934928573861888', '2023', '122', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713210', '1595251103560241152', '2023', '123', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713211', '1595290317471485952', '2023', '124', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713212', '1595299618307051520', '2023', '125', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713213', '1595332257508364288', '2023', '126', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713214', '1596789432940367872', '2023', '127', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713215', '1597216880005877760', '2023', '128', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713216', '1597217797556015104', '2023', '129', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713217', '1597218763445506048', '2023', '130', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713218', '1597223725911117824', '2023', '131', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713219', '1597224121203298304', '2023', '132', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713220', '1597225005823954944', '2023', '133', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713221', '1597402389248348160', '2023', '134', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713222', '1597464184969367552', '2023', '135', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713223', '1597467267455651840', '2023', '136', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713224', '1597467985432416256', '2023', '137', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713225', '1597479346963091456', '2023', '138', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713226', '1597480279696609280', '2023', '139', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713227', '1597482125739823104', '2023', '140', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713228', '1597485315180859392', '2023', '141', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713229', '1597486704833466368', '2023', '142', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713230', '1597489600065048576', '2023', '143', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713231', '1597495016090112000', '2023', '144', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713232', '1597560618922151936', '2023', '145', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713233', '1597562316260511744', '2023', '146', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1641092849514713234', '1626130047926669312', '2023', '147', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735872', '1555010577007513600', '2023', '1', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735873', '1564137446730502144', '2023', '2', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735874', '1564137453919539200', '2023', '3', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735875', '1565939234546782208', '2023', '4', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735876', '1565939741671690240', '2023', '5', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735877', '1567097186544652288', '2023', '6', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735878', '1567451914025701376', '2023', '7', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735879', '1569928315261816832', '2023', '8', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735880', '1570252962423508992', '2023', '9', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735881', '1570254194114433024', '2023', '10', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735882', '1570254300393902080', '2023', '11', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735883', '1571750260521439232', '2023', '12', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735884', '1572825817233362944', '2023', '13', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735885', '1572826733831393280', '2023', '14', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735886', '1574653861665312768', '2023', '15', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735887', '1574656123775094784', '2023', '16', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735888', '1574656535395700736', '2023', '17', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735889', '1575324436016533504', '2023', '18', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735890', '1575733659590332416', '2023', '19', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735891', '1575734154828582912', '2023', '20', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735892', '1575742080498667520', '2023', '21', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735893', '1575742396715634688', '2023', '22', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735894', '1578618869008961536', '2023', '23', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735895', '1579362188123049984', '2023', '24', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735896', '1579367842850148352', '2023', '25', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735897', '1579374510346473472', '2023', '26', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735898', '1580103759026065408', '2023', '27', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735899', '1580753741991251968', '2023', '28', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735900', '1581886588420493312', '2023', '29', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735901', '1581888248500850688', '2023', '30', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735902', '1582642133595197440', '2023', '31', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735903', '1582691917341265920', '2023', '32', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735904', '1589496537845731328', '2023', '33', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735905', '1589496953836802048', '2023', '34', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735906', '1589497450408841216', '2023', '35', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735907', '1589502257060253696', '2023', '36', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735908', '1589510948744466432', '2023', '37', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952422735909', '1589512322240614400', '2023', '38', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930176', '1589513725826699264', '2023', '39', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930177', '1589519897493377024', '2023', '40', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930178', '1589529146432819200', '2023', '41', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930179', '1589549783712927744', '2023', '42', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930180', '1589787423250976768', '2023', '43', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930181', '1589788930155352064', '2023', '44', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930182', '1589789596093386752', '2023', '45', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930183', '1589790686671147008', '2023', '46', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930184', '1589793655986720768', '2023', '47', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930185', '1589794001580593152', '2023', '48', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930186', '1589796068487467008', '2023', '49', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930187', '1589868518332043264', '2023', '50', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930188', '1589877695318200320', '2023', '51', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930189', '1589887987989221376', '2023', '52', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930190', '1589902008373088256', '2023', '53', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930191', '1589904363642556416', '2023', '54', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930192', '1589912013692342272', '2023', '55', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930193', '1590165343635116032', '2023', '56', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930194', '1590171760580497408', '2023', '57', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930195', '1590181896380354560', '2023', '58', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930196', '1590183699834605568', '2023', '59', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930197', '1590186242115506176', '2023', '60', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930198', '1590582122773614592', '2023', '61', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930199', '1590586735358775296', '2023', '62', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930200', '1590587531555115008', '2023', '63', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930201', '1590610341195288576', '2023', '64', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930202', '1590639495596871680', '2023', '65', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930203', '1590648570665635840', '2023', '66', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930204', '1590949853146517504', '2023', '67', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930205', '1590952665850974208', '2023', '68', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930206', '1591967614425501696', '2023', '69', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930207', '1591989767631933440', '2023', '70', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930208', '1592015564858068992', '2023', '71', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930209', '1592034228969803776', '2023', '72', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930210', '1592077522693132288', '2023', '73', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930211', '1592720777000652800', '2023', '74', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930212', '1593126345620197376', '2023', '75', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930213', '1593130018354106368', '2023', '76', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930214', '1593172328945160192', '2023', '77', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930215', '1593447338142208000', '2023', '78', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930216', '1593449838584926208', '2023', '79', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930217', '1593454348137009152', '2023', '80', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930218', '1593478742355873792', '2023', '81', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930219', '1593479582902784000', '2023', '82', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930220', '1593482825254965248', '2023', '83', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930221', '1593489505036406784', '2023', '84', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930222', '1593491703745089536', '2023', '85', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930223', '1593509718448541696', '2023', '86', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930224', '1593516895204675584', '2023', '87', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930225', '1593532185497964544', '2023', '88', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930226', '1593842844030865408', '2023', '89', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930227', '1593852545346965504', '2023', '90', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930228', '1593855262131884032', '2023', '91', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930229', '1593856415510958080', '2023', '92', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930230', '1593862922424160256', '2023', '93', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930231', '1593864420877012992', '2023', '94', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930232', '1593865238464303104', '2023', '95', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930233', '1593885025168920576', '2023', '96', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930234', '1593893948823310336', '2023', '97', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930235', '1593895047307333632', '2023', '98', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930236', '1593895275678797824', '2023', '99', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930237', '1593908021333987328', '2023', '100', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930238', '1593917700583854080', '2023', '101', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930239', '1593937047876407296', '2023', '102', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930240', '1593939481117986816', '2023', '103', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930241', '1594171185472606208', '2023', '104', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930242', '1594172613977051136', '2023', '105', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930243', '1594176761233543168', '2023', '106', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930244', '1594182539172515840', '2023', '107', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930245', '1594189970099277824', '2023', '108', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930246', '1594190633659142144', '2023', '109', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930247', '1594194005799866368', '2023', '110', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930248', '1594196874573778944', '2023', '111', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930249', '1594200334652280832', '2023', '112', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930250', '1594203503994212352', '2023', '113', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930251', '1594236660655198208', '2023', '114', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930252', '1594243795166302208', '2023', '115', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930253', '1594512404811747328', '2023', '116', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930254', '1594596093570715648', '2023', '117', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930255', '1594603307282862080', '2023', '118', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930256', '1594612473548378112', '2023', '119', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930257', '1594876784518762496', '2023', '120', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930258', '1594884909942575104', '2023', '121', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930259', '1594934928573861888', '2023', '122', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930260', '1595251103560241152', '2023', '123', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930261', '1595290317471485952', '2023', '124', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930262', '1595299618307051520', '2023', '125', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930263', '1595332257508364288', '2023', '126', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930264', '1596789432940367872', '2023', '127', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930265', '1597216880005877760', '2023', '128', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930266', '1597217797556015104', '2023', '129', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930267', '1597218763445506048', '2023', '130', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930268', '1597223725911117824', '2023', '131', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930269', '1597224121203298304', '2023', '132', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930270', '1597225005823954944', '2023', '133', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930271', '1597402389248348160', '2023', '134', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930272', '1597464184969367552', '2023', '135', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930273', '1597467267455651840', '2023', '136', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930274', '1597467985432416256', '2023', '137', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930275', '1597479346963091456', '2023', '138', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930276', '1597480279696609280', '2023', '139', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930277', '1597482125739823104', '2023', '140', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930278', '1597485315180859392', '2023', '141', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930279', '1597486704833466368', '2023', '142', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930280', '1597489600065048576', '2023', '143', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930281', '1597495016090112000', '2023', '144', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930282', '1597560618922151936', '2023', '145', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930283', '1597562316260511744', '2023', '146', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1643991952426930284', '1626130047926669312', '2023', '147', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530176', '1555010577007513600', '2023', '1', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530177', '1564137446730502144', '2023', '2', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530178', '1564137453919539200', '2023', '3', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530179', '1565939234546782208', '2023', '4', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530180', '1565939741671690240', '2023', '5', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530181', '1567097186544652288', '2023', '6', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530182', '1567451914025701376', '2023', '7', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530183', '1569928315261816832', '2023', '8', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530184', '1570252962423508992', '2023', '9', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530185', '1570254194114433024', '2023', '10', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530186', '1570254300393902080', '2023', '11', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530187', '1571750260521439232', '2023', '12', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530188', '1572825817233362944', '2023', '13', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530189', '1572826733831393280', '2023', '14', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530190', '1574653861665312768', '2023', '15', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530191', '1574656123775094784', '2023', '16', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530192', '1574656535395700736', '2023', '17', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530193', '1575324436016533504', '2023', '18', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530194', '1575733659590332416', '2023', '19', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530195', '1575734154828582912', '2023', '20', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530196', '1575742080498667520', '2023', '21', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530197', '1575742396715634688', '2023', '22', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530198', '1578618869008961536', '2023', '23', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530199', '1579362188123049984', '2023', '24', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530200', '1579367842850148352', '2023', '25', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530201', '1579374510346473472', '2023', '26', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530202', '1580103759026065408', '2023', '27', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530203', '1580753741991251968', '2023', '28', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530204', '1581886588420493312', '2023', '29', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530205', '1581888248500850688', '2023', '30', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530206', '1582642133595197440', '2023', '31', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530207', '1582691917341265920', '2023', '32', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530208', '1589496537845731328', '2023', '33', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530209', '1589496953836802048', '2023', '34', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530210', '1589497450408841216', '2023', '35', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530211', '1589502257060253696', '2023', '36', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530212', '1589510948744466432', '2023', '37', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530213', '1589512322240614400', '2023', '38', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530214', '1589513725826699264', '2023', '39', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530215', '1589519897493377024', '2023', '40', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530216', '1589529146432819200', '2023', '41', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530217', '1589549783712927744', '2023', '42', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530218', '1589787423250976768', '2023', '43', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530219', '1589788930155352064', '2023', '44', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530220', '1589789596093386752', '2023', '45', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530221', '1589790686671147008', '2023', '46', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530222', '1589793655986720768', '2023', '47', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530223', '1589794001580593152', '2023', '48', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530224', '1589796068487467008', '2023', '49', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530225', '1589868518332043264', '2023', '50', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530226', '1589877695318200320', '2023', '51', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530227', '1589887987989221376', '2023', '52', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530228', '1589902008373088256', '2023', '53', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530229', '1589904363642556416', '2023', '54', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530230', '1589912013692342272', '2023', '55', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530231', '1590165343635116032', '2023', '56', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530232', '1590171760580497408', '2023', '57', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530233', '1590181896380354560', '2023', '58', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530234', '1590183699834605568', '2023', '59', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530235', '1590186242115506176', '2023', '60', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530236', '1590582122773614592', '2023', '61', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530237', '1590586735358775296', '2023', '62', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530238', '1590587531555115008', '2023', '63', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530239', '1590610341195288576', '2023', '64', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530240', '1590639495596871680', '2023', '65', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530241', '1590648570665635840', '2023', '66', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530242', '1590949853146517504', '2023', '67', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530243', '1590952665850974208', '2023', '68', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530244', '1591967614425501696', '2023', '69', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530245', '1591989767631933440', '2023', '70', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530246', '1592015564858068992', '2023', '71', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530247', '1592034228969803776', '2023', '72', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530248', '1592077522693132288', '2023', '73', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530249', '1592720777000652800', '2023', '74', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530250', '1593126345620197376', '2023', '75', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530251', '1593130018354106368', '2023', '76', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530252', '1593172328945160192', '2023', '77', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530253', '1593447338142208000', '2023', '78', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530254', '1593449838584926208', '2023', '79', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530255', '1593454348137009152', '2023', '80', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530256', '1593478742355873792', '2023', '81', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530257', '1593479582902784000', '2023', '82', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530258', '1593482825254965248', '2023', '83', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530259', '1593489505036406784', '2023', '84', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530260', '1593491703745089536', '2023', '85', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530261', '1593509718448541696', '2023', '86', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530262', '1593516895204675584', '2023', '87', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530263', '1593532185497964544', '2023', '88', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530264', '1593842844030865408', '2023', '89', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530265', '1593852545346965504', '2023', '90', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530266', '1593855262131884032', '2023', '91', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530267', '1593856415510958080', '2023', '92', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530268', '1593862922424160256', '2023', '93', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530269', '1593864420877012992', '2023', '94', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530270', '1593865238464303104', '2023', '95', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530271', '1593885025168920576', '2023', '96', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530272', '1593893948823310336', '2023', '97', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530273', '1593895047307333632', '2023', '98', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530274', '1593895275678797824', '2023', '99', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530275', '1593908021333987328', '2023', '100', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530276', '1593917700583854080', '2023', '101', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530277', '1593937047876407296', '2023', '102', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530278', '1593939481117986816', '2023', '103', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530279', '1594171185472606208', '2023', '104', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530280', '1594172613977051136', '2023', '105', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530281', '1594176761233543168', '2023', '106', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530282', '1594182539172515840', '2023', '107', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530283', '1594189970099277824', '2023', '108', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530284', '1594190633659142144', '2023', '109', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530285', '1594194005799866368', '2023', '110', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530286', '1594196874573778944', '2023', '111', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530287', '1594200334652280832', '2023', '112', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530288', '1594203503994212352', '2023', '113', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530289', '1594236660655198208', '2023', '114', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530290', '1594243795166302208', '2023', '115', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530291', '1594512404811747328', '2023', '116', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530292', '1594596093570715648', '2023', '117', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530293', '1594603307282862080', '2023', '118', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530294', '1594612473548378112', '2023', '119', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530295', '1594876784518762496', '2023', '120', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530296', '1594884909942575104', '2023', '121', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530297', '1594934928573861888', '2023', '122', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530298', '1595251103560241152', '2023', '123', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530299', '1595290317471485952', '2023', '124', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530300', '1595299618307051520', '2023', '125', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530301', '1595332257508364288', '2023', '126', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530302', '1596789432940367872', '2023', '127', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530303', '1597216880005877760', '2023', '128', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530304', '1597217797556015104', '2023', '129', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530305', '1597218763445506048', '2023', '130', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530306', '1597223725911117824', '2023', '131', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530307', '1597224121203298304', '2023', '132', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530308', '1597225005823954944', '2023', '133', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530309', '1597402389248348160', '2023', '134', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530310', '1597464184969367552', '2023', '135', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530311', '1597467267455651840', '2023', '136', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530312', '1597467985432416256', '2023', '137', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530313', '1597479346963091456', '2023', '138', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530314', '1597480279696609280', '2023', '139', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530315', '1597482125739823104', '2023', '140', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530316', '1597485315180859392', '2023', '141', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530317', '1597486704833466368', '2023', '142', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530318', '1597489600065048576', '2023', '143', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530319', '1597495016090112000', '2023', '144', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530320', '1597560618922151936', '2023', '145', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530321', '1597562316260511744', '2023', '146', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1651602097604530322', '1626130047926669312', '2023', '147', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535872', '1555010577007513600', '2023', '1', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535873', '1564137446730502144', '2023', '2', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535874', '1564137453919539200', '2023', '3', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535875', '1565939234546782208', '2023', '4', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535876', '1565939741671690240', '2023', '5', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535877', '1567097186544652288', '2023', '6', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535878', '1567451914025701376', '2023', '7', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535879', '1569928315261816832', '2023', '8', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535880', '1570252962423508992', '2023', '9', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535881', '1570254194114433024', '2023', '10', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535882', '1570254300393902080', '2023', '11', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535883', '1571750260521439232', '2023', '12', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535884', '1572825817233362944', '2023', '13', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535885', '1572826733831393280', '2023', '14', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535886', '1574653861665312768', '2023', '15', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535887', '1574656123775094784', '2023', '16', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535888', '1574656535395700736', '2023', '17', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535889', '1575324436016533504', '2023', '18', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535890', '1575733659590332416', '2023', '19', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535891', '1575734154828582912', '2023', '20', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535892', '1575742080498667520', '2023', '21', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535893', '1575742396715634688', '2023', '22', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535894', '1578618869008961536', '2023', '23', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535895', '1579362188123049984', '2023', '24', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535896', '1579367842850148352', '2023', '25', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535897', '1579374510346473472', '2023', '26', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535898', '1580103759026065408', '2023', '27', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535899', '1580753741991251968', '2023', '28', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535900', '1581886588420493312', '2023', '29', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535901', '1581888248500850688', '2023', '30', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535902', '1582642133595197440', '2023', '31', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535903', '1582691917341265920', '2023', '32', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535904', '1589496537845731328', '2023', '33', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535905', '1589496953836802048', '2023', '34', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535906', '1589497450408841216', '2023', '35', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535907', '1589502257060253696', '2023', '36', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535908', '1589510948744466432', '2023', '37', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535909', '1589512322240614400', '2023', '38', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535910', '1589513725826699264', '2023', '39', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535911', '1589519897493377024', '2023', '40', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535912', '1589529146432819200', '2023', '41', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535913', '1589549783712927744', '2023', '42', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535914', '1589787423250976768', '2023', '43', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535915', '1589788930155352064', '2023', '44', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535916', '1589789596093386752', '2023', '45', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535917', '1589790686671147008', '2023', '46', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535918', '1589793655986720768', '2023', '47', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535919', '1589794001580593152', '2023', '48', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535920', '1589796068487467008', '2023', '49', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535921', '1589868518332043264', '2023', '50', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535922', '1589877695318200320', '2023', '51', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535923', '1589887987989221376', '2023', '52', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535924', '1589902008373088256', '2023', '53', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535925', '1589904363642556416', '2023', '54', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535926', '1589912013692342272', '2023', '55', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535927', '1590165343635116032', '2023', '56', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535928', '1590171760580497408', '2023', '57', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535929', '1590181896380354560', '2023', '58', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535930', '1590183699834605568', '2023', '59', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535931', '1590186242115506176', '2023', '60', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535932', '1590582122773614592', '2023', '61', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535933', '1590586735358775296', '2023', '62', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535934', '1590587531555115008', '2023', '63', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535935', '1590610341195288576', '2023', '64', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535936', '1590639495596871680', '2023', '65', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535937', '1590648570665635840', '2023', '66', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535938', '1590949853146517504', '2023', '67', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535939', '1590952665850974208', '2023', '68', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535940', '1591967614425501696', '2023', '69', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535941', '1591989767631933440', '2023', '70', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535942', '1592015564858068992', '2023', '71', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535943', '1592034228969803776', '2023', '72', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535944', '1592077522693132288', '2023', '73', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535945', '1592720777000652800', '2023', '74', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535946', '1593126345620197376', '2023', '75', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535947', '1593130018354106368', '2023', '76', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535948', '1593172328945160192', '2023', '77', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535949', '1593447338142208000', '2023', '78', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535950', '1593449838584926208', '2023', '79', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535951', '1593454348137009152', '2023', '80', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535952', '1593478742355873792', '2023', '81', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535953', '1593479582902784000', '2023', '82', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535954', '1593482825254965248', '2023', '83', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535955', '1593489505036406784', '2023', '84', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535956', '1593491703745089536', '2023', '85', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535957', '1593509718448541696', '2023', '86', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535958', '1593516895204675584', '2023', '87', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535959', '1593532185497964544', '2023', '88', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535960', '1593842844030865408', '2023', '89', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535961', '1593852545346965504', '2023', '90', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535962', '1593855262131884032', '2023', '91', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535963', '1593856415510958080', '2023', '92', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535964', '1593862922424160256', '2023', '93', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535965', '1593864420877012992', '2023', '94', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535966', '1593865238464303104', '2023', '95', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535967', '1593885025168920576', '2023', '96', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535968', '1593893948823310336', '2023', '97', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535969', '1593895047307333632', '2023', '98', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535970', '1593895275678797824', '2023', '99', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535971', '1593908021333987328', '2023', '100', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535972', '1593917700583854080', '2023', '101', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535973', '1593937047876407296', '2023', '102', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535974', '1593939481117986816', '2023', '103', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535975', '1594171185472606208', '2023', '104', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535976', '1594172613977051136', '2023', '105', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535977', '1594176761233543168', '2023', '106', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535978', '1594182539172515840', '2023', '107', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569971535979', '1594189970099277824', '2023', '108', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730176', '1594190633659142144', '2023', '109', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730177', '1594194005799866368', '2023', '110', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730178', '1594196874573778944', '2023', '111', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730179', '1594200334652280832', '2023', '112', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730180', '1594203503994212352', '2023', '113', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730181', '1594236660655198208', '2023', '114', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730182', '1594243795166302208', '2023', '115', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730183', '1594512404811747328', '2023', '116', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730184', '1594596093570715648', '2023', '117', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730185', '1594603307282862080', '2023', '118', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730186', '1594612473548378112', '2023', '119', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730187', '1594876784518762496', '2023', '120', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730188', '1594884909942575104', '2023', '121', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730189', '1594934928573861888', '2023', '122', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730190', '1595251103560241152', '2023', '123', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730191', '1595290317471485952', '2023', '124', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730192', '1595299618307051520', '2023', '125', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730193', '1595332257508364288', '2023', '126', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730194', '1596789432940367872', '2023', '127', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730195', '1597216880005877760', '2023', '128', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730196', '1597217797556015104', '2023', '129', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730197', '1597218763445506048', '2023', '130', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730198', '1597223725911117824', '2023', '131', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730199', '1597224121203298304', '2023', '132', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730200', '1597225005823954944', '2023', '133', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730201', '1597402389248348160', '2023', '134', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730202', '1597464184969367552', '2023', '135', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730203', '1597467267455651840', '2023', '136', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730204', '1597467985432416256', '2023', '137', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730205', '1597479346963091456', '2023', '138', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730206', '1597480279696609280', '2023', '139', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730207', '1597482125739823104', '2023', '140', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730208', '1597485315180859392', '2023', '141', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730209', '1597486704833466368', '2023', '142', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730210', '1597489600065048576', '2023', '143', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730211', '1597495016090112000', '2023', '144', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730212', '1597560618922151936', '2023', '145', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730213', '1597562316260511744', '2023', '146', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1661386569975730214', '1626130047926669312', '2023', '147', '0', '147');
INSERT INTO `train_user_year_points` VALUES ('1664285672896335872', '1555010577007513600', '2023', '1', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672896335873', '1564137446730502144', '2023', '2', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672896335874', '1564137453919539200', '2023', '3', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672896335875', '1565939234546782208', '2023', '4', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672896335876', '1565939741671690240', '2023', '5', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672896335877', '1567097186544652288', '2023', '6', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530176', '1567451914025701376', '2023', '7', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530177', '1569928315261816832', '2023', '8', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530178', '1570252962423508992', '2023', '9', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530179', '1570254194114433024', '2023', '10', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530180', '1570254300393902080', '2023', '11', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530181', '1571750260521439232', '2023', '12', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530182', '1572825817233362944', '2023', '13', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530183', '1572826733831393280', '2023', '14', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530184', '1574653861665312768', '2023', '15', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530185', '1574656123775094784', '2023', '16', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530186', '1574656535395700736', '2023', '17', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530187', '1575324436016533504', '2023', '18', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530188', '1575733659590332416', '2023', '19', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530189', '1575734154828582912', '2023', '20', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530190', '1575742080498667520', '2023', '21', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530191', '1575742396715634688', '2023', '22', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530192', '1578618869008961536', '2023', '23', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530193', '1579362188123049984', '2023', '24', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530194', '1579367842850148352', '2023', '25', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530195', '1579374510346473472', '2023', '26', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530196', '1580103759026065408', '2023', '27', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530197', '1580753741991251968', '2023', '28', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530198', '1581886588420493312', '2023', '29', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530199', '1581888248500850688', '2023', '30', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530200', '1582642133595197440', '2023', '31', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530201', '1582691917341265920', '2023', '32', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530202', '1589496537845731328', '2023', '33', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530203', '1589496953836802048', '2023', '34', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530204', '1589497450408841216', '2023', '35', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530205', '1589502257060253696', '2023', '36', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530206', '1589510948744466432', '2023', '37', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530207', '1589512322240614400', '2023', '38', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530208', '1589513725826699264', '2023', '39', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530209', '1589519897493377024', '2023', '40', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530210', '1589529146432819200', '2023', '41', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530211', '1589549783712927744', '2023', '42', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530212', '1589787423250976768', '2023', '43', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530213', '1589788930155352064', '2023', '44', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530214', '1589789596093386752', '2023', '45', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530215', '1589790686671147008', '2023', '46', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530216', '1589793655986720768', '2023', '47', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530217', '1589794001580593152', '2023', '48', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530218', '1589796068487467008', '2023', '49', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530219', '1589868518332043264', '2023', '50', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530220', '1589877695318200320', '2023', '51', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530221', '1589887987989221376', '2023', '52', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530222', '1589902008373088256', '2023', '53', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530223', '1589904363642556416', '2023', '54', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530224', '1589912013692342272', '2023', '55', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530225', '1590165343635116032', '2023', '56', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530226', '1590171760580497408', '2023', '57', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530227', '1590181896380354560', '2023', '58', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530228', '1590183699834605568', '2023', '59', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530229', '1590186242115506176', '2023', '60', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530230', '1590582122773614592', '2023', '61', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530231', '1590586735358775296', '2023', '62', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530232', '1590587531555115008', '2023', '63', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530233', '1590610341195288576', '2023', '64', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530234', '1590639495596871680', '2023', '65', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530235', '1590648570665635840', '2023', '66', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530236', '1590949853146517504', '2023', '67', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530237', '1590952665850974208', '2023', '68', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530238', '1591967614425501696', '2023', '69', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530239', '1591989767631933440', '2023', '70', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530240', '1592015564858068992', '2023', '71', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530241', '1592034228969803776', '2023', '72', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530242', '1592077522693132288', '2023', '73', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530243', '1592720777000652800', '2023', '74', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530244', '1593126345620197376', '2023', '75', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530245', '1593130018354106368', '2023', '76', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530246', '1593172328945160192', '2023', '77', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530247', '1593447338142208000', '2023', '78', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530248', '1593449838584926208', '2023', '79', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530249', '1593454348137009152', '2023', '80', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530250', '1593478742355873792', '2023', '81', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530251', '1593479582902784000', '2023', '82', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530252', '1593482825254965248', '2023', '83', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530253', '1593489505036406784', '2023', '84', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530254', '1593491703745089536', '2023', '85', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530255', '1593509718448541696', '2023', '86', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530256', '1593516895204675584', '2023', '87', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530257', '1593532185497964544', '2023', '88', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530258', '1593842844030865408', '2023', '89', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530259', '1593852545346965504', '2023', '90', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530260', '1593855262131884032', '2023', '91', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530261', '1593856415510958080', '2023', '92', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530262', '1593862922424160256', '2023', '93', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530263', '1593864420877012992', '2023', '94', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530264', '1593865238464303104', '2023', '95', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530265', '1593885025168920576', '2023', '96', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530266', '1593893948823310336', '2023', '97', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530267', '1593895047307333632', '2023', '98', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530268', '1593895275678797824', '2023', '99', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530269', '1593908021333987328', '2023', '100', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530270', '1593917700583854080', '2023', '101', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530271', '1593937047876407296', '2023', '102', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530272', '1593939481117986816', '2023', '103', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530273', '1594171185472606208', '2023', '104', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530274', '1594172613977051136', '2023', '105', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530275', '1594176761233543168', '2023', '106', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530276', '1594182539172515840', '2023', '107', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530277', '1594189970099277824', '2023', '108', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530278', '1594190633659142144', '2023', '109', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530279', '1594194005799866368', '2023', '110', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530280', '1594196874573778944', '2023', '111', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530281', '1594200334652280832', '2023', '112', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530282', '1594203503994212352', '2023', '113', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530283', '1594236660655198208', '2023', '114', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530284', '1594243795166302208', '2023', '115', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530285', '1594512404811747328', '2023', '116', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530286', '1594596093570715648', '2023', '117', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530287', '1594603307282862080', '2023', '118', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530288', '1594612473548378112', '2023', '119', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530289', '1594876784518762496', '2023', '120', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530290', '1594884909942575104', '2023', '121', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530291', '1594934928573861888', '2023', '122', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530292', '1595251103560241152', '2023', '123', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530293', '1595290317471485952', '2023', '124', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530294', '1595299618307051520', '2023', '125', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530295', '1595332257508364288', '2023', '126', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530296', '1596789432940367872', '2023', '127', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530297', '1597216880005877760', '2023', '128', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530298', '1597217797556015104', '2023', '129', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530299', '1597218763445506048', '2023', '130', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530300', '1597223725911117824', '2023', '131', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530301', '1597224121203298304', '2023', '132', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530302', '1597225005823954944', '2023', '133', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530303', '1597402389248348160', '2023', '134', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530304', '1597464184969367552', '2023', '135', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530305', '1597467267455651840', '2023', '136', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530306', '1597467985432416256', '2023', '137', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530307', '1597479346963091456', '2023', '138', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530308', '1597480279696609280', '2023', '139', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530309', '1597482125739823104', '2023', '140', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530310', '1597485315180859392', '2023', '141', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530311', '1597486704833466368', '2023', '142', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530312', '1597489600065048576', '2023', '143', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530313', '1597495016090112000', '2023', '144', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530314', '1597560618922151936', '2023', '145', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530315', '1597562316260511744', '2023', '146', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530316', '1626130047926669312', '2023', '147', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530317', '1663002526909337600', '2023', '148', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530318', '1663002526947086336', '2023', '149', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530319', '1663002526963863552', '2023', '150', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530320', '1663002526976446464', '2023', '151', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530321', '1663002526993223680', '2023', '152', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530322', '1663002527005806592', '2023', '153', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530323', '1663002527022583808', '2023', '154', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530324', '1663002527039361024', '2023', '155', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530325', '1663002527051943936', '2023', '156', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530326', '1663002527068721152', '2023', '157', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530327', '1663002527081304064', '2023', '158', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530328', '1663002527098081280', '2023', '159', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530329', '1663002527110664192', '2023', '160', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530330', '1663002527123247104', '2023', '161', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530331', '1663002527140024320', '2023', '162', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530332', '1663002527152607232', '2023', '163', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530333', '1663002527169384448', '2023', '164', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530334', '1663002527181967360', '2023', '165', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530335', '1663002527198744576', '2023', '166', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530336', '1663002527211327488', '2023', '167', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530337', '1663002527228104704', '2023', '168', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530338', '1663002527240687616', '2023', '169', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530339', '1663002527253270528', '2023', '170', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530340', '1663002527270047744', '2023', '171', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530341', '1663002527282630656', '2023', '172', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530342', '1663002527299407872', '2023', '173', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530343', '1663002527311990784', '2023', '174', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530344', '1663002527324573696', '2023', '175', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530345', '1663002527341350912', '2023', '176', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530346', '1663002527353933824', '2023', '177', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530347', '1663002527366516736', '2023', '178', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530348', '1663002527383293952', '2023', '179', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530349', '1663002527395876864', '2023', '180', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530350', '1663002527412654080', '2023', '181', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530351', '1663002527425236992', '2023', '182', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530352', '1663002527442014208', '2023', '183', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530353', '1663002527454597120', '2023', '184', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530354', '1663002527471374336', '2023', '185', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530355', '1663002527483957248', '2023', '186', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530356', '1663002527496540160', '2023', '187', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530357', '1663002527513317376', '2023', '188', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530358', '1663002527525900288', '2023', '189', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530359', '1663002527538483200', '2023', '190', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530360', '1663002527555260416', '2023', '191', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530361', '1663002527567843328', '2023', '192', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530362', '1663002527580426240', '2023', '193', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530363', '1663002527597203456', '2023', '194', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530364', '1663002527609786368', '2023', '195', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530365', '1663002527626563584', '2023', '196', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530366', '1663002527639146496', '2023', '197', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530367', '1663002527651729408', '2023', '198', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530368', '1663002527668506624', '2023', '199', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530369', '1663002527681089536', '2023', '200', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530370', '1663002527697866752', '2023', '201', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530371', '1663002527710449664', '2023', '202', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530372', '1663002527727226880', '2023', '203', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530373', '1663002527739809792', '2023', '204', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530374', '1663002527756587008', '2023', '205', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530375', '1663002527773364224', '2023', '206', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530376', '1663002527785947136', '2023', '207', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530377', '1663002527802724352', '2023', '208', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530378', '1663002527815307264', '2023', '209', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530379', '1663002527827890176', '2023', '210', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530380', '1663002527844667392', '2023', '211', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530381', '1663002527857250304', '2023', '212', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530382', '1663002527874027520', '2023', '213', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530383', '1663002527886610432', '2023', '214', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530384', '1663002527903387648', '2023', '215', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530385', '1663002527915970560', '2023', '216', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530386', '1663002527932747776', '2023', '217', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530387', '1663002527945330688', '2023', '218', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530388', '1663002527957913600', '2023', '219', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530389', '1663002527974690816', '2023', '220', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530390', '1663002527987273728', '2023', '221', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530391', '1663002528004050944', '2023', '222', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530392', '1663002528016633856', '2023', '223', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530393', '1663002528033411072', '2023', '224', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530394', '1663002528045993984', '2023', '225', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530395', '1663002528058576896', '2023', '226', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530396', '1663002528075354112', '2023', '227', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530397', '1663002528087937024', '2023', '228', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530398', '1663002528104714240', '2023', '229', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530399', '1663002528117297152', '2023', '230', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530400', '1663002528134074368', '2023', '231', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530401', '1663002528146657280', '2023', '232', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530402', '1663002528163434496', '2023', '233', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530403', '1663002528176017408', '2023', '234', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530404', '1663002528192794624', '2023', '235', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530405', '1663002528205377536', '2023', '236', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530406', '1663002528222154752', '2023', '237', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530407', '1663002528234737664', '2023', '238', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530408', '1663002528247320576', '2023', '239', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530409', '1663002528264097792', '2023', '240', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530410', '1663002528276680704', '2023', '241', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530411', '1663002528293457920', '2023', '242', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530412', '1663002528306040832', '2023', '243', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530413', '1663002528322818048', '2023', '244', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672900530414', '1663002528335400960', '2023', '245', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724480', '1663002528352178176', '2023', '246', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724481', '1663002528364761088', '2023', '247', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724482', '1663002528381538304', '2023', '248', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724483', '1663002528394121216', '2023', '249', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724484', '1663002528410898432', '2023', '250', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724485', '1663002528423481344', '2023', '251', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724486', '1663002528440258560', '2023', '252', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724487', '1663002528452841472', '2023', '253', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724488', '1663002528465424384', '2023', '254', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724489', '1663002528482201600', '2023', '255', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724490', '1663002528494784512', '2023', '256', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724491', '1663002528511561728', '2023', '257', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724492', '1663002528524144640', '2023', '258', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724493', '1663002528536727552', '2023', '259', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724494', '1663002528553504768', '2023', '260', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724495', '1663002528566087680', '2023', '261', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724496', '1663002528582864896', '2023', '262', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724497', '1663002528595447808', '2023', '263', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724498', '1663002528612225024', '2023', '264', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724499', '1663002528624807936', '2023', '265', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724500', '1663002528637390848', '2023', '266', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724501', '1663002528654168064', '2023', '267', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724502', '1663002528666750976', '2023', '268', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724503', '1663002528683528192', '2023', '269', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724504', '1663002528696111104', '2023', '270', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724505', '1663002528708694016', '2023', '271', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724506', '1663002528725471232', '2023', '272', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724507', '1663002528738054144', '2023', '273', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724508', '1663002528754831360', '2023', '274', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724509', '1663002528767414272', '2023', '275', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724510', '1663002528784191488', '2023', '276', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724511', '1663002528796774400', '2023', '277', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724512', '1663002528813551616', '2023', '278', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724513', '1663002528826134528', '2023', '279', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724514', '1663002528910020608', '2023', '280', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724515', '1663002528922603520', '2023', '281', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724516', '1663002528939380736', '2023', '282', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724517', '1663002528951963648', '2023', '283', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724518', '1663002528968740864', '2023', '284', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724519', '1663002528981323776', '2023', '285', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724520', '1663002528993906688', '2023', '286', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724521', '1663002529010683904', '2023', '287', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724522', '1663002529031655424', '2023', '288', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724523', '1663002529044238336', '2023', '289', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724524', '1663002529061015552', '2023', '290', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724525', '1663002529073598464', '2023', '291', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724526', '1663002529086181376', '2023', '292', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724527', '1663002529102958592', '2023', '293', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724528', '1663002529115541504', '2023', '294', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1664285672904724529', '1663002529128124416', '2023', '295', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124480', '1555010577007513600', '2023', '1', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124481', '1564137446730502144', '2023', '2', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124482', '1564137453919539200', '2023', '3', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124483', '1565939234546782208', '2023', '4', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124484', '1565939741671690240', '2023', '5', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124485', '1567097186544652288', '2023', '6', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124486', '1567451914025701376', '2023', '7', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124487', '1569928315261816832', '2023', '8', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124488', '1570252962423508992', '2023', '9', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124489', '1570254194114433024', '2023', '10', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124490', '1570254300393902080', '2023', '11', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124491', '1571750260521439232', '2023', '12', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124492', '1572825817233362944', '2023', '13', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124493', '1572826733831393280', '2023', '14', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124494', '1574653861665312768', '2023', '15', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124495', '1574656123775094784', '2023', '16', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124496', '1574656535395700736', '2023', '17', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124497', '1575324436016533504', '2023', '18', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124498', '1575733659590332416', '2023', '19', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124499', '1575734154828582912', '2023', '20', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124500', '1575742080498667520', '2023', '21', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124501', '1575742396715634688', '2023', '22', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124502', '1578618869008961536', '2023', '23', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224367124503', '1579362188123049984', '2023', '24', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318784', '1579367842850148352', '2023', '25', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318785', '1579374510346473472', '2023', '26', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318786', '1580103759026065408', '2023', '27', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318787', '1580753741991251968', '2023', '28', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318788', '1581886588420493312', '2023', '29', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318789', '1581888248500850688', '2023', '30', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318790', '1582642133595197440', '2023', '31', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318791', '1582691917341265920', '2023', '32', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318792', '1589496537845731328', '2023', '33', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318793', '1589496953836802048', '2023', '34', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318794', '1589497450408841216', '2023', '35', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318795', '1589502257060253696', '2023', '36', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318796', '1589510948744466432', '2023', '37', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318797', '1589512322240614400', '2023', '38', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318798', '1589513725826699264', '2023', '39', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318799', '1589519897493377024', '2023', '40', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318800', '1589529146432819200', '2023', '41', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318801', '1589549783712927744', '2023', '42', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318802', '1589787423250976768', '2023', '43', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318803', '1589788930155352064', '2023', '44', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318804', '1589789596093386752', '2023', '45', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318805', '1589790686671147008', '2023', '46', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318806', '1589793655986720768', '2023', '47', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318807', '1589794001580593152', '2023', '48', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318808', '1589796068487467008', '2023', '49', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318809', '1589868518332043264', '2023', '50', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318810', '1589877695318200320', '2023', '51', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318811', '1589887987989221376', '2023', '52', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318812', '1589902008373088256', '2023', '53', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318813', '1589904363642556416', '2023', '54', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318814', '1589912013692342272', '2023', '55', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318815', '1590165343635116032', '2023', '56', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318816', '1590171760580497408', '2023', '57', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318817', '1590181896380354560', '2023', '58', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318818', '1590183699834605568', '2023', '59', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318819', '1590186242115506176', '2023', '60', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318820', '1590582122773614592', '2023', '61', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318821', '1590586735358775296', '2023', '62', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318822', '1590587531555115008', '2023', '63', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318823', '1590610341195288576', '2023', '64', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318824', '1590639495596871680', '2023', '65', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318825', '1590648570665635840', '2023', '66', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318826', '1590949853146517504', '2023', '67', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318827', '1590952665850974208', '2023', '68', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318828', '1591967614425501696', '2023', '69', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318829', '1591989767631933440', '2023', '70', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318830', '1592015564858068992', '2023', '71', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318831', '1592034228969803776', '2023', '72', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318832', '1592077522693132288', '2023', '73', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318833', '1592720777000652800', '2023', '74', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318834', '1593126345620197376', '2023', '75', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318835', '1593130018354106368', '2023', '76', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318836', '1593172328945160192', '2023', '77', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318837', '1593447338142208000', '2023', '78', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318838', '1593449838584926208', '2023', '79', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318839', '1593454348137009152', '2023', '80', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318840', '1593478742355873792', '2023', '81', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318841', '1593479582902784000', '2023', '82', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318842', '1593482825254965248', '2023', '83', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318843', '1593489505036406784', '2023', '84', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318844', '1593491703745089536', '2023', '85', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318845', '1593509718448541696', '2023', '86', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318846', '1593516895204675584', '2023', '87', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318847', '1593532185497964544', '2023', '88', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318848', '1593842844030865408', '2023', '89', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318849', '1593852545346965504', '2023', '90', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318850', '1593855262131884032', '2023', '91', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318851', '1593856415510958080', '2023', '92', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318852', '1593862922424160256', '2023', '93', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318853', '1593864420877012992', '2023', '94', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318854', '1593865238464303104', '2023', '95', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318855', '1593885025168920576', '2023', '96', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318856', '1593893948823310336', '2023', '97', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318857', '1593895047307333632', '2023', '98', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318858', '1593895275678797824', '2023', '99', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318859', '1593908021333987328', '2023', '100', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318860', '1593917700583854080', '2023', '101', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318861', '1593937047876407296', '2023', '102', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318862', '1593939481117986816', '2023', '103', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318863', '1594171185472606208', '2023', '104', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318864', '1594172613977051136', '2023', '105', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318865', '1594176761233543168', '2023', '106', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318866', '1594182539172515840', '2023', '107', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318867', '1594189970099277824', '2023', '108', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318868', '1594190633659142144', '2023', '109', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318869', '1594194005799866368', '2023', '110', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318870', '1594196874573778944', '2023', '111', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318871', '1594200334652280832', '2023', '112', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318872', '1594203503994212352', '2023', '113', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318873', '1594236660655198208', '2023', '114', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318874', '1594243795166302208', '2023', '115', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318875', '1594512404811747328', '2023', '116', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318876', '1594596093570715648', '2023', '117', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318877', '1594603307282862080', '2023', '118', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318878', '1594612473548378112', '2023', '119', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318879', '1594876784518762496', '2023', '120', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318880', '1594884909942575104', '2023', '121', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318881', '1594934928573861888', '2023', '122', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318882', '1595251103560241152', '2023', '123', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318883', '1595290317471485952', '2023', '124', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318884', '1595299618307051520', '2023', '125', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318885', '1595332257508364288', '2023', '126', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318886', '1596789432940367872', '2023', '127', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318887', '1597216880005877760', '2023', '128', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318888', '1597217797556015104', '2023', '129', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318889', '1597218763445506048', '2023', '130', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318890', '1597223725911117824', '2023', '131', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318891', '1597224121203298304', '2023', '132', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318892', '1597225005823954944', '2023', '133', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318893', '1597402389248348160', '2023', '134', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318894', '1597464184969367552', '2023', '135', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318895', '1597467267455651840', '2023', '136', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318896', '1597467985432416256', '2023', '137', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318897', '1597479346963091456', '2023', '138', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318898', '1597480279696609280', '2023', '139', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318899', '1597482125739823104', '2023', '140', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318900', '1597485315180859392', '2023', '141', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318901', '1597486704833466368', '2023', '142', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318902', '1597489600065048576', '2023', '143', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318903', '1597495016090112000', '2023', '144', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318904', '1597560618922151936', '2023', '145', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318905', '1597562316260511744', '2023', '146', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318906', '1626130047926669312', '2023', '147', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318907', '1663002526909337600', '2023', '148', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318908', '1663002526947086336', '2023', '149', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318909', '1663002526963863552', '2023', '150', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318910', '1663002526976446464', '2023', '151', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318911', '1663002526993223680', '2023', '152', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318912', '1663002527005806592', '2023', '153', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318913', '1663002527022583808', '2023', '154', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318914', '1663002527039361024', '2023', '155', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318915', '1663002527051943936', '2023', '156', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318916', '1663002527068721152', '2023', '157', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318917', '1663002527081304064', '2023', '158', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318918', '1663002527098081280', '2023', '159', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318919', '1663002527110664192', '2023', '160', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318920', '1663002527123247104', '2023', '161', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224371318921', '1663002527140024320', '2023', '162', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513088', '1663002527152607232', '2023', '163', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513089', '1663002527169384448', '2023', '164', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513090', '1663002527181967360', '2023', '165', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513091', '1663002527198744576', '2023', '166', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513092', '1663002527211327488', '2023', '167', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513093', '1663002527228104704', '2023', '168', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513094', '1663002527240687616', '2023', '169', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513095', '1663002527253270528', '2023', '170', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513096', '1663002527270047744', '2023', '171', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513097', '1663002527282630656', '2023', '172', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513098', '1663002527299407872', '2023', '173', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513099', '1663002527311990784', '2023', '174', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513100', '1663002527324573696', '2023', '175', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513101', '1663002527341350912', '2023', '176', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513102', '1663002527353933824', '2023', '177', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513103', '1663002527366516736', '2023', '178', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513104', '1663002527383293952', '2023', '179', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513105', '1663002527395876864', '2023', '180', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513106', '1663002527412654080', '2023', '181', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513107', '1663002527425236992', '2023', '182', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513108', '1663002527442014208', '2023', '183', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513109', '1663002527454597120', '2023', '184', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513110', '1663002527471374336', '2023', '185', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513111', '1663002527483957248', '2023', '186', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513112', '1663002527496540160', '2023', '187', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513113', '1663002527513317376', '2023', '188', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513114', '1663002527525900288', '2023', '189', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513115', '1663002527538483200', '2023', '190', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513116', '1663002527555260416', '2023', '191', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513117', '1663002527567843328', '2023', '192', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513118', '1663002527580426240', '2023', '193', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513119', '1663002527597203456', '2023', '194', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513120', '1663002527609786368', '2023', '195', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513121', '1663002527626563584', '2023', '196', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513122', '1663002527639146496', '2023', '197', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513123', '1663002527651729408', '2023', '198', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513124', '1663002527668506624', '2023', '199', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513125', '1663002527681089536', '2023', '200', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513126', '1663002527697866752', '2023', '201', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513127', '1663002527710449664', '2023', '202', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513128', '1663002527727226880', '2023', '203', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513129', '1663002527739809792', '2023', '204', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513130', '1663002527756587008', '2023', '205', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513131', '1663002527773364224', '2023', '206', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513132', '1663002527785947136', '2023', '207', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513133', '1663002527802724352', '2023', '208', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513134', '1663002527815307264', '2023', '209', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513135', '1663002527827890176', '2023', '210', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513136', '1663002527844667392', '2023', '211', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513137', '1663002527857250304', '2023', '212', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513138', '1663002527874027520', '2023', '213', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513139', '1663002527886610432', '2023', '214', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513140', '1663002527903387648', '2023', '215', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513141', '1663002527915970560', '2023', '216', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513142', '1663002527932747776', '2023', '217', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513143', '1663002527945330688', '2023', '218', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513144', '1663002527957913600', '2023', '219', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513145', '1663002527974690816', '2023', '220', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513146', '1663002527987273728', '2023', '221', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513147', '1663002528004050944', '2023', '222', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513148', '1663002528016633856', '2023', '223', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513149', '1663002528033411072', '2023', '224', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513150', '1663002528045993984', '2023', '225', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513151', '1663002528058576896', '2023', '226', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513152', '1663002528075354112', '2023', '227', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513153', '1663002528087937024', '2023', '228', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513154', '1663002528104714240', '2023', '229', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513155', '1663002528117297152', '2023', '230', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513156', '1663002528134074368', '2023', '231', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513157', '1663002528146657280', '2023', '232', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513158', '1663002528163434496', '2023', '233', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513159', '1663002528176017408', '2023', '234', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513160', '1663002528192794624', '2023', '235', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513161', '1663002528205377536', '2023', '236', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513162', '1663002528222154752', '2023', '237', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513163', '1663002528234737664', '2023', '238', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513164', '1663002528247320576', '2023', '239', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513165', '1663002528264097792', '2023', '240', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513166', '1663002528276680704', '2023', '241', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513167', '1663002528293457920', '2023', '242', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513168', '1663002528306040832', '2023', '243', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513169', '1663002528322818048', '2023', '244', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513170', '1663002528335400960', '2023', '245', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513171', '1663002528352178176', '2023', '246', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513172', '1663002528364761088', '2023', '247', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513173', '1663002528381538304', '2023', '248', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513174', '1663002528394121216', '2023', '249', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513175', '1663002528410898432', '2023', '250', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513176', '1663002528423481344', '2023', '251', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513177', '1663002528440258560', '2023', '252', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513178', '1663002528452841472', '2023', '253', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513179', '1663002528465424384', '2023', '254', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513180', '1663002528482201600', '2023', '255', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513181', '1663002528494784512', '2023', '256', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513182', '1663002528511561728', '2023', '257', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513183', '1663002528524144640', '2023', '258', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513184', '1663002528536727552', '2023', '259', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513185', '1663002528553504768', '2023', '260', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513186', '1663002528566087680', '2023', '261', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513187', '1663002528582864896', '2023', '262', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513188', '1663002528595447808', '2023', '263', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513189', '1663002528612225024', '2023', '264', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513190', '1663002528624807936', '2023', '265', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513191', '1663002528637390848', '2023', '266', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513192', '1663002528654168064', '2023', '267', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513193', '1663002528666750976', '2023', '268', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513194', '1663002528683528192', '2023', '269', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513195', '1663002528696111104', '2023', '270', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513196', '1663002528708694016', '2023', '271', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513197', '1663002528725471232', '2023', '272', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513198', '1663002528738054144', '2023', '273', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513199', '1663002528754831360', '2023', '274', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513200', '1663002528767414272', '2023', '275', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513201', '1663002528784191488', '2023', '276', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513202', '1663002528796774400', '2023', '277', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513203', '1663002528813551616', '2023', '278', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513204', '1663002528826134528', '2023', '279', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513205', '1663002528910020608', '2023', '280', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513206', '1663002528922603520', '2023', '281', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513207', '1663002528939380736', '2023', '282', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513208', '1663002528951963648', '2023', '283', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513209', '1663002528968740864', '2023', '284', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513210', '1663002528981323776', '2023', '285', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513211', '1663002528993906688', '2023', '286', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513212', '1663002529010683904', '2023', '287', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513213', '1663002529031655424', '2023', '288', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513214', '1663002529044238336', '2023', '289', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513215', '1663002529061015552', '2023', '290', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513216', '1663002529073598464', '2023', '291', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513217', '1663002529086181376', '2023', '292', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513218', '1663002529102958592', '2023', '293', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513219', '1663002529115541504', '2023', '294', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1665735224375513220', '1663002529128124416', '2023', '295', '0', '295');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461824', '1555010577007513600', '2023', '1', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461825', '1564137446730502144', '2023', '2', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461826', '1564137453919539200', '2023', '3', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461827', '1565939234546782208', '2023', '4', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461828', '1565939741671690240', '2023', '5', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461829', '1567097186544652288', '2023', '6', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461830', '1567451914025701376', '2023', '7', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461831', '1569928315261816832', '2023', '8', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461832', '1570252962423508992', '2023', '9', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461833', '1570254194114433024', '2023', '10', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461834', '1570254300393902080', '2023', '11', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461835', '1571750260521439232', '2023', '12', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461836', '1572825817233362944', '2023', '13', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461837', '1572826733831393280', '2023', '14', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461838', '1574653861665312768', '2023', '15', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461839', '1574656123775094784', '2023', '16', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461840', '1574656535395700736', '2023', '17', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461841', '1575324436016533504', '2023', '18', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461842', '1575733659590332416', '2023', '19', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461843', '1575734154828582912', '2023', '20', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461844', '1575742080498667520', '2023', '21', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461845', '1575742396715634688', '2023', '22', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461846', '1578618869008961536', '2023', '23', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461847', '1579362188123049984', '2023', '24', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461848', '1579367842850148352', '2023', '25', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461849', '1579374510346473472', '2023', '26', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461850', '1580103759026065408', '2023', '27', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461851', '1580753741991251968', '2023', '28', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461852', '1581886588420493312', '2023', '29', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461853', '1581888248500850688', '2023', '30', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461854', '1582642133595197440', '2023', '31', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461855', '1582691917341265920', '2023', '32', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461856', '1589496537845731328', '2023', '33', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461857', '1589496953836802048', '2023', '34', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461858', '1589497450408841216', '2023', '35', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461859', '1589502257060253696', '2023', '36', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461860', '1589510948744466432', '2023', '37', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461861', '1589512322240614400', '2023', '38', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461862', '1589513725826699264', '2023', '39', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461863', '1589519897493377024', '2023', '40', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461864', '1589529146432819200', '2023', '41', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461865', '1589549783712927744', '2023', '42', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461866', '1589787423250976768', '2023', '43', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461867', '1589788930155352064', '2023', '44', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461868', '1589789596093386752', '2023', '45', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461869', '1589790686671147008', '2023', '46', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461870', '1589793655986720768', '2023', '47', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461871', '1589794001580593152', '2023', '48', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461872', '1589796068487467008', '2023', '49', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461873', '1589868518332043264', '2023', '50', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461874', '1589877695318200320', '2023', '51', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461875', '1589887987989221376', '2023', '52', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461876', '1589902008373088256', '2023', '53', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461877', '1589904363642556416', '2023', '54', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461878', '1589912013692342272', '2023', '55', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461879', '1590165343635116032', '2023', '56', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461880', '1590171760580497408', '2023', '57', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461881', '1590181896380354560', '2023', '58', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461882', '1590183699834605568', '2023', '59', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461883', '1590186242115506176', '2023', '60', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461884', '1590582122773614592', '2023', '61', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461885', '1590586735358775296', '2023', '62', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461886', '1590587531555115008', '2023', '63', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461887', '1590610341195288576', '2023', '64', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461888', '1590639495596871680', '2023', '65', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461889', '1590648570665635840', '2023', '66', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461890', '1590949853146517504', '2023', '67', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461891', '1590952665850974208', '2023', '68', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461892', '1591967614425501696', '2023', '69', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461893', '1591989767631933440', '2023', '70', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461894', '1592015564858068992', '2023', '71', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461895', '1592034228969803776', '2023', '72', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461896', '1592077522693132288', '2023', '73', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461897', '1592720777000652800', '2023', '74', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461898', '1593126345620197376', '2023', '75', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461899', '1593130018354106368', '2023', '76', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461900', '1593172328945160192', '2023', '77', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461901', '1593447338142208000', '2023', '78', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461902', '1593449838584926208', '2023', '79', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461903', '1593454348137009152', '2023', '80', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461904', '1593478742355873792', '2023', '81', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461905', '1593479582902784000', '2023', '82', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461906', '1593482825254965248', '2023', '83', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461907', '1593489505036406784', '2023', '84', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461908', '1593491703745089536', '2023', '85', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461909', '1593509718448541696', '2023', '86', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461910', '1593516895204675584', '2023', '87', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461911', '1593532185497964544', '2023', '88', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461912', '1593842844030865408', '2023', '89', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461913', '1593852545346965504', '2023', '90', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461914', '1593855262131884032', '2023', '91', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461915', '1593856415510958080', '2023', '92', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461916', '1593862922424160256', '2023', '93', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461917', '1593864420877012992', '2023', '94', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461918', '1593865238464303104', '2023', '95', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461919', '1593885025168920576', '2023', '96', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461920', '1593893948823310336', '2023', '97', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461921', '1593895047307333632', '2023', '98', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461922', '1593895275678797824', '2023', '99', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461923', '1593908021333987328', '2023', '100', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461924', '1593917700583854080', '2023', '101', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461925', '1593937047876407296', '2023', '102', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461926', '1593939481117986816', '2023', '103', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461927', '1594171185472606208', '2023', '104', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461928', '1594172613977051136', '2023', '105', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461929', '1594176761233543168', '2023', '106', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461930', '1594182539172515840', '2023', '107', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461931', '1594189970099277824', '2023', '108', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461932', '1594190633659142144', '2023', '109', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461933', '1594194005799866368', '2023', '110', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461934', '1594196874573778944', '2023', '111', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461935', '1594200334652280832', '2023', '112', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461936', '1594203503994212352', '2023', '113', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461937', '1594236660655198208', '2023', '114', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461938', '1594243795166302208', '2023', '115', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461939', '1594512404811747328', '2023', '116', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461940', '1594596093570715648', '2023', '117', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461941', '1594603307282862080', '2023', '118', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461942', '1594612473548378112', '2023', '119', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461943', '1594876784518762496', '2023', '120', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461944', '1594884909942575104', '2023', '121', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461945', '1594934928573861888', '2023', '122', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461946', '1595251103560241152', '2023', '123', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461947', '1595290317471485952', '2023', '124', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461948', '1595299618307051520', '2023', '125', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461949', '1595332257508364288', '2023', '126', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461950', '1596789432940367872', '2023', '127', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939472461951', '1597216880005877760', '2023', '128', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656128', '1597217797556015104', '2023', '129', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656129', '1597218763445506048', '2023', '130', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656130', '1597223725911117824', '2023', '131', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656131', '1597224121203298304', '2023', '132', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656132', '1597225005823954944', '2023', '133', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656133', '1597402389248348160', '2023', '134', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656134', '1597464184969367552', '2023', '135', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656135', '1597467267455651840', '2023', '136', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656136', '1597467985432416256', '2023', '137', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656137', '1597479346963091456', '2023', '138', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656138', '1597480279696609280', '2023', '139', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656139', '1597482125739823104', '2023', '140', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656140', '1597485315180859392', '2023', '141', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656141', '1597486704833466368', '2023', '142', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656142', '1597489600065048576', '2023', '143', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656143', '1597495016090112000', '2023', '144', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656144', '1597560618922151936', '2023', '145', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656145', '1597562316260511744', '2023', '146', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656146', '1626130047926669312', '2023', '147', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656147', '1663002526909337600', '2023', '148', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656148', '1663002526947086336', '2023', '149', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656149', '1663002526963863552', '2023', '150', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656150', '1663002526976446464', '2023', '151', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656151', '1663002526993223680', '2023', '152', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656152', '1663002527005806592', '2023', '153', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656153', '1663002527022583808', '2023', '154', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656154', '1663002527039361024', '2023', '155', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656155', '1663002527051943936', '2023', '156', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656156', '1663002527068721152', '2023', '157', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656157', '1663002527081304064', '2023', '158', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656158', '1663002527098081280', '2023', '159', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656159', '1663002527110664192', '2023', '160', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656160', '1663002527123247104', '2023', '161', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656161', '1663002527140024320', '2023', '162', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656162', '1663002527152607232', '2023', '163', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656163', '1663002527169384448', '2023', '164', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656164', '1663002527181967360', '2023', '165', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656165', '1663002527198744576', '2023', '166', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656166', '1663002527211327488', '2023', '167', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656167', '1663002527228104704', '2023', '168', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656168', '1663002527240687616', '2023', '169', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656169', '1663002527253270528', '2023', '170', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656170', '1663002527270047744', '2023', '171', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656171', '1663002527282630656', '2023', '172', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656172', '1663002527299407872', '2023', '173', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656173', '1663002527311990784', '2023', '174', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656174', '1663002527324573696', '2023', '175', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656175', '1663002527341350912', '2023', '176', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656176', '1663002527353933824', '2023', '177', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656177', '1663002527366516736', '2023', '178', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656178', '1663002527383293952', '2023', '179', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656179', '1663002527395876864', '2023', '180', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656180', '1663002527412654080', '2023', '181', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656181', '1663002527425236992', '2023', '182', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656182', '1663002527442014208', '2023', '183', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656183', '1663002527454597120', '2023', '184', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656184', '1663002527471374336', '2023', '185', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656185', '1663002527483957248', '2023', '186', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656186', '1663002527496540160', '2023', '187', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656187', '1663002527513317376', '2023', '188', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656188', '1663002527525900288', '2023', '189', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656189', '1663002527538483200', '2023', '190', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656190', '1663002527555260416', '2023', '191', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656191', '1663002527567843328', '2023', '192', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656192', '1663002527580426240', '2023', '193', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656193', '1663002527597203456', '2023', '194', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656194', '1663002527609786368', '2023', '195', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656195', '1663002527626563584', '2023', '196', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656196', '1663002527639146496', '2023', '197', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656197', '1663002527651729408', '2023', '198', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656198', '1663002527668506624', '2023', '199', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656199', '1663002527681089536', '2023', '200', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656200', '1663002527697866752', '2023', '201', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656201', '1663002527710449664', '2023', '202', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656202', '1663002527727226880', '2023', '203', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656203', '1663002527739809792', '2023', '204', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656204', '1663002527756587008', '2023', '205', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656205', '1663002527773364224', '2023', '206', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656206', '1663002527785947136', '2023', '207', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656207', '1663002527802724352', '2023', '208', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656208', '1663002527815307264', '2023', '209', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656209', '1663002527827890176', '2023', '210', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656210', '1663002527844667392', '2023', '211', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656211', '1663002527857250304', '2023', '212', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656212', '1663002527874027520', '2023', '213', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656213', '1663002527886610432', '2023', '214', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656214', '1663002527903387648', '2023', '215', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656215', '1663002527915970560', '2023', '216', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656216', '1663002527932747776', '2023', '217', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656217', '1663002527945330688', '2023', '218', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656218', '1663002527957913600', '2023', '219', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656219', '1663002527974690816', '2023', '220', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656220', '1663002527987273728', '2023', '221', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656221', '1663002528004050944', '2023', '222', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656222', '1663002528016633856', '2023', '223', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656223', '1663002528033411072', '2023', '224', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656224', '1663002528045993984', '2023', '225', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656225', '1663002528058576896', '2023', '226', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656226', '1663002528075354112', '2023', '227', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656227', '1663002528087937024', '2023', '228', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656228', '1663002528104714240', '2023', '229', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656229', '1663002528117297152', '2023', '230', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656230', '1663002528134074368', '2023', '231', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656231', '1663002528146657280', '2023', '232', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656232', '1663002528163434496', '2023', '233', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656233', '1663002528176017408', '2023', '234', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656234', '1663002528192794624', '2023', '235', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656235', '1663002528205377536', '2023', '236', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656236', '1663002528222154752', '2023', '237', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656237', '1663002528234737664', '2023', '238', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656238', '1663002528247320576', '2023', '239', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656239', '1663002528264097792', '2023', '240', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656240', '1663002528276680704', '2023', '241', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656241', '1663002528293457920', '2023', '242', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656242', '1663002528306040832', '2023', '243', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656243', '1663002528322818048', '2023', '244', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656244', '1663002528335400960', '2023', '245', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656245', '1663002528352178176', '2023', '246', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656246', '1663002528364761088', '2023', '247', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656247', '1663002528381538304', '2023', '248', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656248', '1663002528394121216', '2023', '249', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656249', '1663002528410898432', '2023', '250', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656250', '1663002528423481344', '2023', '251', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656251', '1663002528440258560', '2023', '252', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656252', '1663002528452841472', '2023', '253', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656253', '1663002528465424384', '2023', '254', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656254', '1663002528482201600', '2023', '255', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656255', '1663002528494784512', '2023', '256', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656256', '1663002528511561728', '2023', '257', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656257', '1663002528524144640', '2023', '258', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656258', '1663002528536727552', '2023', '259', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656259', '1663002528553504768', '2023', '260', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656260', '1663002528566087680', '2023', '261', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656261', '1663002528582864896', '2023', '262', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656262', '1663002528595447808', '2023', '263', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656263', '1663002528612225024', '2023', '264', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656264', '1663002528624807936', '2023', '265', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656265', '1663002528637390848', '2023', '266', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656266', '1663002528654168064', '2023', '267', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656267', '1663002528666750976', '2023', '268', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656268', '1663002528683528192', '2023', '269', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656269', '1663002528696111104', '2023', '270', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656270', '1663002528708694016', '2023', '271', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656271', '1663002528725471232', '2023', '272', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656272', '1663002528738054144', '2023', '273', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656273', '1663002528754831360', '2023', '274', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656274', '1663002528767414272', '2023', '275', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656275', '1663002528784191488', '2023', '276', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656276', '1663002528796774400', '2023', '277', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656277', '1663002528813551616', '2023', '278', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656278', '1663002528826134528', '2023', '279', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656279', '1663002528910020608', '2023', '280', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656280', '1663002528922603520', '2023', '281', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656281', '1663002528939380736', '2023', '282', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656282', '1663002528951963648', '2023', '283', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656283', '1663002528968740864', '2023', '284', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656284', '1663002528981323776', '2023', '285', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656285', '1663002528993906688', '2023', '286', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656286', '1663002529010683904', '2023', '287', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656287', '1663002529031655424', '2023', '288', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656288', '1663002529044238336', '2023', '289', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656289', '1663002529061015552', '2023', '290', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656290', '1663002529073598464', '2023', '291', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656291', '1663002529086181376', '2023', '292', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656292', '1663002529102958592', '2023', '293', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656293', '1663002529115541504', '2023', '294', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656294', '1663002529128124416', '2023', '295', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656295', '1668177786738708480', '2023', '296', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656296', '1668177787141361664', '2023', '297', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656297', '1668177787527237632', '2023', '298', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656298', '1668177787959250944', '2023', '299', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656299', '1668177788399652864', '2023', '300', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656300', '1668177788781334528', '2023', '301', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656301', '1668177789183987712', '2023', '302', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656302', '1668177789578252288', '2023', '303', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656303', '1668177790027042816', '2023', '304', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656304', '1668177790484221952', '2023', '305', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656305', '1668177790891069440', '2023', '306', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656306', '1668177791285334016', '2023', '307', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656307', '1668177791725735936', '2023', '308', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656308', '1668177792166137856', '2023', '309', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656309', '1668177792719785984', '2023', '310', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656310', '1668177793210519552', '2023', '311', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656311', '1668177793638338560', '2023', '312', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656312', '1668177794024214528', '2023', '313', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656313', '1668177794468810752', '2023', '314', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656314', '1668177794905018368', '2023', '315', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656315', '1668177795353808896', '2023', '316', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656316', '1668177795743879168', '2023', '317', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656317', '1668177796167503872', '2023', '318', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656318', '1668177796616294400', '2023', '319', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656319', '1668177797060890624', '2023', '320', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656320', '1668177797467738112', '2023', '321', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656321', '1668177797971054592', '2023', '322', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656322', '1668177798386290688', '2023', '323', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656323', '1668177798830886912', '2023', '324', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656324', '1668177799405506560', '2023', '325', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656325', '1668177799829131264', '2023', '326', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656326', '1668177800261144576', '2023', '327', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656327', '1668177800848347136', '2023', '328', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656328', '1668177801313914880', '2023', '329', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656329', '1668177801972420608', '2023', '330', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656330', '1668177802421211136', '2023', '331', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656331', '1668177802861613056', '2023', '332', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656332', '1668177803348152320', '2023', '333', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656333', '1668177803851468800', '2023', '334', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656334', '1668177804308647936', '2023', '335', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656335', '1668177804786798592', '2023', '336', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656336', '1668177805227200512', '2023', '337', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656337', '1668177805709545472', '2023', '338', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656338', '1668177806108004352', '2023', '339', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656339', '1668177806581960704', '2023', '340', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656340', '1668177807022362624', '2023', '341', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656341', '1668177807420821504', '2023', '342', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656342', '1668177807928332288', '2023', '343', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656343', '1668177808461008896', '2023', '344', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656344', '1668177808918188032', '2023', '345', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656345', '1668177809354395648', '2023', '346', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656346', '1668177809798991872', '2023', '347', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656347', '1668177810373611520', '2023', '348', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656348', '1668177810855956480', '2023', '349', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656349', '1668177811296358400', '2023', '350', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656350', '1668177811774509056', '2023', '351', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656351', '1668177812214910976', '2023', '352', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656352', '1668177812693061632', '2023', '353', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656353', '1668177813129269248', '2023', '354', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656354', '1668177813703888896', '2023', '355', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656355', '1668177814148485120', '2023', '356', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939476656356', '1668177814614052864', '2023', '357', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850432', '1668177815096397824', '2023', '358', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850433', '1668177815553576960', '2023', '359', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850434', '1668177815993978880', '2023', '360', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850435', '1668177816476323840', '2023', '361', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850436', '1668177816950280192', '2023', '362', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850437', '1668177817424236544', '2023', '363', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850438', '1668177817902387200', '2023', '364', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850439', '1668177818334400512', '2023', '365', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850440', '1668177818753830912', '2023', '366', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850441', '1668177819169067008', '2023', '367', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850442', '1668177819567525888', '2023', '368', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850443', '1668177820037287936', '2023', '369', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850444', '1668177820418969600', '2023', '370', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850445', '1668177820913897472', '2023', '371', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850446', '1668177821392048128', '2023', '372', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850447', '1668177821870198784', '2023', '373', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850448', '1668177822318989312', '2023', '374', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850449', '1668177822767779840', '2023', '375', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850450', '1668177823644389376', '2023', '376', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850451', '1668177824286117888', '2023', '377', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850452', '1668177824978178048', '2023', '378', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850453', '1668177825452134400', '2023', '379', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850454', '1668177825942867968', '2023', '380', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850455', '1668177826379075584', '2023', '381', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850456', '1668177826886586368', '2023', '382', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850457', '1668177827322793984', '2023', '383', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850458', '1668177827729641472', '2023', '384', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850459', '1668177828195209216', '2023', '385', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850460', '1668177828694331392', '2023', '386', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850461', '1668177829172482048', '2023', '387', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850462', '1668177829675798528', '2023', '388', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850463', '1668177830091034624', '2023', '389', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850464', '1668177830590156800', '2023', '390', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850465', '1668177831068307456', '2023', '391', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850466', '1668177831487737856', '2023', '392', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850467', '1668177831907168256', '2023', '393', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850468', '1668177832368541696', '2023', '394', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850469', '1668177832863469568', '2023', '395', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850470', '1668177833282899968', '2023', '396', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850471', '1668177833714913280', '2023', '397', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850472', '1668177834193063936', '2023', '398', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850473', '1668177834696380416', '2023', '399', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850474', '1668177835220668416', '2023', '400', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850475', '1668177835732373504', '2023', '401', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850476', '1668177836176969728', '2023', '402', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850477', '1668177836663508992', '2023', '403', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850478', '1668177837099716608', '2023', '404', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850479', '1668177837510758400', '2023', '405', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850480', '1668177838076989440', '2023', '406', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850481', '1668177838517391360', '2023', '407', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850482', '1668177839201062912', '2023', '408', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850483', '1668177839880540160', '2023', '409', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850484', '1668177840417411072', '2023', '410', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850485', '1668177840933310464', '2023', '411', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850486', '1668177841415655424', '2023', '412', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850487', '1668177841923166208', '2023', '413', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850488', '1668177842397122560', '2023', '414', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850489', '1668177842925604864', '2023', '415', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850490', '1668177843336646656', '2023', '416', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850491', '1668177843823185920', '2023', '417', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850492', '1668177844263587840', '2023', '418', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850493', '1668177844687212544', '2023', '419', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850494', '1668177845177946112', '2023', '420', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850495', '1668177845588987904', '2023', '421', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850496', '1668177846058749952', '2023', '422', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850497', '1668177846486568960', '2023', '423', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850498', '1668177846880833536', '2023', '424', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850499', '1668177847283486720', '2023', '425', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850500', '1668177847677751296', '2023', '426', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850501', '1668177848143319040', '2023', '427', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850502', '1668177848537583616', '2023', '428', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850503', '1668177848944431104', '2023', '429', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850504', '1668177849397415936', '2023', '430', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850505', '1668177849888149504', '2023', '431', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850506', '1668177850362105856', '2023', '432', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850507', '1668177850760564736', '2023', '433', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850508', '1668177851179995136', '2023', '434', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850509', '1668177851582648320', '2023', '435', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850510', '1668177852035633152', '2023', '436', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850511', '1668177852425703424', '2023', '437', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850512', '1668177852878688256', '2023', '438', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1668271939480850513', '1668177853281341440', '2023', '439', '0', '439');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930176', '1555010577007513600', '2023', '1', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930177', '1564137446730502144', '2023', '2', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930178', '1564137453919539200', '2023', '3', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930179', '1565939234546782208', '2023', '4', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930180', '1565939741671690240', '2023', '5', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930181', '1567097186544652288', '2023', '6', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930182', '1567451914025701376', '2023', '7', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930183', '1569928315261816832', '2023', '8', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930184', '1570252962423508992', '2023', '9', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930185', '1570254194114433024', '2023', '10', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930186', '1570254300393902080', '2023', '11', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930187', '1571750260521439232', '2023', '12', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930188', '1572825817233362944', '2023', '13', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930189', '1572826733831393280', '2023', '14', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930190', '1574653861665312768', '2023', '15', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930191', '1574656123775094784', '2023', '16', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930192', '1574656535395700736', '2023', '17', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930193', '1575324436016533504', '2023', '18', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930194', '1575733659590332416', '2023', '19', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930195', '1575734154828582912', '2023', '20', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930196', '1575742080498667520', '2023', '21', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930197', '1575742396715634688', '2023', '22', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930198', '1578618869008961536', '2023', '23', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930199', '1579362188123049984', '2023', '24', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930200', '1579367842850148352', '2023', '25', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930201', '1579374510346473472', '2023', '26', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930202', '1580103759026065408', '2023', '27', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930203', '1580753741991251968', '2023', '28', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930204', '1581886588420493312', '2023', '29', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930205', '1581888248500850688', '2023', '30', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930206', '1582642133595197440', '2023', '31', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930207', '1582691917341265920', '2023', '32', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930208', '1589496537845731328', '2023', '33', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930209', '1589496953836802048', '2023', '34', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930210', '1589497450408841216', '2023', '35', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930211', '1589502257060253696', '2023', '36', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930212', '1589510948744466432', '2023', '37', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930213', '1589512322240614400', '2023', '38', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930214', '1589513725826699264', '2023', '39', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930215', '1589519897493377024', '2023', '40', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930216', '1589529146432819200', '2023', '41', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930217', '1589549783712927744', '2023', '42', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930218', '1589787423250976768', '2023', '43', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930219', '1589788930155352064', '2023', '44', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930220', '1589789596093386752', '2023', '45', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930221', '1589790686671147008', '2023', '46', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930222', '1589793655986720768', '2023', '47', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930223', '1589794001580593152', '2023', '48', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930224', '1589796068487467008', '2023', '49', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930225', '1589868518332043264', '2023', '50', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930226', '1589877695318200320', '2023', '51', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930227', '1589887987989221376', '2023', '52', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930228', '1589902008373088256', '2023', '53', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930229', '1589904363642556416', '2023', '54', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930230', '1589912013692342272', '2023', '55', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930231', '1590165343635116032', '2023', '56', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930232', '1590171760580497408', '2023', '57', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930233', '1590181896380354560', '2023', '58', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930234', '1590183699834605568', '2023', '59', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930235', '1590186242115506176', '2023', '60', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930236', '1590582122773614592', '2023', '61', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930237', '1590586735358775296', '2023', '62', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930238', '1590587531555115008', '2023', '63', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930239', '1590610341195288576', '2023', '64', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930240', '1590639495596871680', '2023', '65', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930241', '1590648570665635840', '2023', '66', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930242', '1590949853146517504', '2023', '67', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930243', '1590952665850974208', '2023', '68', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930244', '1591967614425501696', '2023', '69', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930245', '1591989767631933440', '2023', '70', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930246', '1592015564858068992', '2023', '71', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930247', '1592034228969803776', '2023', '72', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930248', '1592077522693132288', '2023', '73', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930249', '1592720777000652800', '2023', '74', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930250', '1593126345620197376', '2023', '75', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930251', '1593130018354106368', '2023', '76', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930252', '1593172328945160192', '2023', '77', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930253', '1593447338142208000', '2023', '78', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930254', '1593449838584926208', '2023', '79', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930255', '1593454348137009152', '2023', '80', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930256', '1593478742355873792', '2023', '81', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930257', '1593479582902784000', '2023', '82', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930258', '1593482825254965248', '2023', '83', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930259', '1593489505036406784', '2023', '84', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930260', '1593491703745089536', '2023', '85', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930261', '1593509718448541696', '2023', '86', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930262', '1593516895204675584', '2023', '87', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930263', '1593532185497964544', '2023', '88', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930264', '1593842844030865408', '2023', '89', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930265', '1593852545346965504', '2023', '90', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930266', '1593855262131884032', '2023', '91', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930267', '1593856415510958080', '2023', '92', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930268', '1593862922424160256', '2023', '93', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930269', '1593864420877012992', '2023', '94', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930270', '1593865238464303104', '2023', '95', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930271', '1593885025168920576', '2023', '96', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930272', '1593893948823310336', '2023', '97', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930273', '1593895047307333632', '2023', '98', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930274', '1593895275678797824', '2023', '99', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930275', '1593908021333987328', '2023', '100', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930276', '1593917700583854080', '2023', '101', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930277', '1593937047876407296', '2023', '102', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930278', '1593939481117986816', '2023', '103', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930279', '1594171185472606208', '2023', '104', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930280', '1594172613977051136', '2023', '105', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930281', '1594176761233543168', '2023', '106', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930282', '1594182539172515840', '2023', '107', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930283', '1594189970099277824', '2023', '108', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930284', '1594190633659142144', '2023', '109', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930285', '1594194005799866368', '2023', '110', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930286', '1594196874573778944', '2023', '111', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930287', '1594200334652280832', '2023', '112', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930288', '1594203503994212352', '2023', '113', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930289', '1594236660655198208', '2023', '114', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930290', '1594243795166302208', '2023', '115', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930291', '1594512404811747328', '2023', '116', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930292', '1594596093570715648', '2023', '117', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930293', '1594603307282862080', '2023', '118', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930294', '1594612473548378112', '2023', '119', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930295', '1594876784518762496', '2023', '120', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930296', '1594884909942575104', '2023', '121', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930297', '1594934928573861888', '2023', '122', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930298', '1595251103560241152', '2023', '123', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930299', '1595290317471485952', '2023', '124', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930300', '1595299618307051520', '2023', '125', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930301', '1595332257508364288', '2023', '126', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930302', '1596789432940367872', '2023', '127', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930303', '1597216880005877760', '2023', '128', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930304', '1597217797556015104', '2023', '129', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930305', '1597218763445506048', '2023', '130', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930306', '1597223725911117824', '2023', '131', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930307', '1597224121203298304', '2023', '132', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930308', '1597225005823954944', '2023', '133', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930309', '1597402389248348160', '2023', '134', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930310', '1597464184969367552', '2023', '135', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930311', '1597467267455651840', '2023', '136', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930312', '1597467985432416256', '2023', '137', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930313', '1597479346963091456', '2023', '138', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930314', '1597480279696609280', '2023', '139', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930315', '1597482125739823104', '2023', '140', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930316', '1597485315180859392', '2023', '141', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930317', '1597486704833466368', '2023', '142', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930318', '1597489600065048576', '2023', '143', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930319', '1597495016090112000', '2023', '144', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689290435626930320', '1597560618922151936', '2023', '145', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724480', '1555010577007513600', '2023', '1', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724481', '1564137446730502144', '2023', '2', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724482', '1564137453919539200', '2023', '3', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724483', '1565939234546782208', '2023', '4', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724484', '1565939741671690240', '2023', '5', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724485', '1567097186544652288', '2023', '6', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724486', '1567451914025701376', '2023', '7', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724487', '1569928315261816832', '2023', '8', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724488', '1570252962423508992', '2023', '9', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724489', '1570254194114433024', '2023', '10', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724490', '1570254300393902080', '2023', '11', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724491', '1571750260521439232', '2023', '12', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724492', '1572825817233362944', '2023', '13', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724493', '1572826733831393280', '2023', '14', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724494', '1574653861665312768', '2023', '15', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724495', '1574656123775094784', '2023', '16', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724496', '1574656535395700736', '2023', '17', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724497', '1575324436016533504', '2023', '18', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724498', '1575733659590332416', '2023', '19', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724499', '1575734154828582912', '2023', '20', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724500', '1575742080498667520', '2023', '21', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724501', '1575742396715634688', '2023', '22', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724502', '1578618869008961536', '2023', '23', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724503', '1579362188123049984', '2023', '24', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724504', '1579367842850148352', '2023', '25', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724505', '1579374510346473472', '2023', '26', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724506', '1580103759026065408', '2023', '27', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724507', '1580753741991251968', '2023', '28', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724508', '1581886588420493312', '2023', '29', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724509', '1581888248500850688', '2023', '30', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724510', '1582642133595197440', '2023', '31', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724511', '1582691917341265920', '2023', '32', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724512', '1589496537845731328', '2023', '33', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724513', '1589496953836802048', '2023', '34', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724514', '1589497450408841216', '2023', '35', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724515', '1589502257060253696', '2023', '36', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724516', '1589510948744466432', '2023', '37', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724517', '1589512322240614400', '2023', '38', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724518', '1589513725826699264', '2023', '39', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724519', '1589519897493377024', '2023', '40', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724520', '1589529146432819200', '2023', '41', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724521', '1589549783712927744', '2023', '42', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724522', '1589787423250976768', '2023', '43', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724523', '1589788930155352064', '2023', '44', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724524', '1589789596093386752', '2023', '45', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724525', '1589790686671147008', '2023', '46', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724526', '1589793655986720768', '2023', '47', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724527', '1589794001580593152', '2023', '48', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724528', '1589796068487467008', '2023', '49', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724529', '1589868518332043264', '2023', '50', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724530', '1589877695318200320', '2023', '51', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724531', '1589887987989221376', '2023', '52', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724532', '1589902008373088256', '2023', '53', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724533', '1589904363642556416', '2023', '54', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724534', '1589912013692342272', '2023', '55', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724535', '1590165343635116032', '2023', '56', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724536', '1590171760580497408', '2023', '57', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724537', '1590181896380354560', '2023', '58', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724538', '1590183699834605568', '2023', '59', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724539', '1590186242115506176', '2023', '60', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724540', '1590582122773614592', '2023', '61', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724541', '1590586735358775296', '2023', '62', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724542', '1590587531555115008', '2023', '63', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724543', '1590610341195288576', '2023', '64', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724544', '1590639495596871680', '2023', '65', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724545', '1590648570665635840', '2023', '66', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724546', '1590949853146517504', '2023', '67', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724547', '1590952665850974208', '2023', '68', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724548', '1591967614425501696', '2023', '69', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724549', '1591989767631933440', '2023', '70', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724550', '1592015564858068992', '2023', '71', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724551', '1592034228969803776', '2023', '72', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724552', '1592077522693132288', '2023', '73', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724553', '1592720777000652800', '2023', '74', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724554', '1593126345620197376', '2023', '75', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724555', '1593130018354106368', '2023', '76', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724556', '1593172328945160192', '2023', '77', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724557', '1593447338142208000', '2023', '78', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724558', '1593449838584926208', '2023', '79', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724559', '1593454348137009152', '2023', '80', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724560', '1593478742355873792', '2023', '81', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724561', '1593479582902784000', '2023', '82', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724562', '1593482825254965248', '2023', '83', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724563', '1593489505036406784', '2023', '84', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724564', '1593491703745089536', '2023', '85', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724565', '1593509718448541696', '2023', '86', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724566', '1593516895204675584', '2023', '87', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724567', '1593532185497964544', '2023', '88', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724568', '1593842844030865408', '2023', '89', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724569', '1593852545346965504', '2023', '90', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724570', '1593855262131884032', '2023', '91', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724571', '1593856415510958080', '2023', '92', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724572', '1593862922424160256', '2023', '93', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724573', '1593864420877012992', '2023', '94', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724574', '1593865238464303104', '2023', '95', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724575', '1593885025168920576', '2023', '96', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724576', '1593893948823310336', '2023', '97', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724577', '1593895047307333632', '2023', '98', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724578', '1593895275678797824', '2023', '99', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724579', '1593908021333987328', '2023', '100', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724580', '1593917700583854080', '2023', '101', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724581', '1593937047876407296', '2023', '102', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724582', '1593939481117986816', '2023', '103', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724583', '1594171185472606208', '2023', '104', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724584', '1594172613977051136', '2023', '105', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724585', '1594176761233543168', '2023', '106', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724586', '1594182539172515840', '2023', '107', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724587', '1594189970099277824', '2023', '108', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724588', '1594190633659142144', '2023', '109', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724589', '1594194005799866368', '2023', '110', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724590', '1594196874573778944', '2023', '111', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724591', '1594200334652280832', '2023', '112', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724592', '1594203503994212352', '2023', '113', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724593', '1594236660655198208', '2023', '114', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724594', '1594243795166302208', '2023', '115', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724595', '1594512404811747328', '2023', '116', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724596', '1594596093570715648', '2023', '117', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724597', '1594603307282862080', '2023', '118', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724598', '1594612473548378112', '2023', '119', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724599', '1594876784518762496', '2023', '120', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724600', '1594884909942575104', '2023', '121', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724601', '1594934928573861888', '2023', '122', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724602', '1595251103560241152', '2023', '123', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724603', '1595290317471485952', '2023', '124', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724604', '1595299618307051520', '2023', '125', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724605', '1595332257508364288', '2023', '126', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724606', '1596789432940367872', '2023', '127', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724607', '1597216880005877760', '2023', '128', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724608', '1597217797556015104', '2023', '129', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724609', '1597218763445506048', '2023', '130', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724610', '1597223725911117824', '2023', '131', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724611', '1597224121203298304', '2023', '132', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724612', '1597225005823954944', '2023', '133', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724613', '1597402389248348160', '2023', '134', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724614', '1597464184969367552', '2023', '135', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724615', '1597467267455651840', '2023', '136', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724616', '1597467985432416256', '2023', '137', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724617', '1597479346963091456', '2023', '138', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724618', '1597480279696609280', '2023', '139', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724619', '1597482125739823104', '2023', '140', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724620', '1597485315180859392', '2023', '141', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724621', '1597486704833466368', '2023', '142', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724622', '1597489600065048576', '2023', '143', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724623', '1597495016090112000', '2023', '144', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823496724624', '1597560618922151936', '2023', '145', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913728', '1555010577007513600', '2023', '1', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913729', '1564137446730502144', '2023', '2', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913730', '1564137453919539200', '2023', '3', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913731', '1565939234546782208', '2023', '4', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913732', '1565939741671690240', '2023', '5', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913733', '1567097186544652288', '2023', '6', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913734', '1567451914025701376', '2023', '7', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913735', '1569928315261816832', '2023', '8', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823651913736', '1570252962423508992', '2023', '9', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108032', '1570254194114433024', '2023', '10', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108033', '1570254300393902080', '2023', '11', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108034', '1571750260521439232', '2023', '12', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108035', '1572825817233362944', '2023', '13', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108036', '1572826733831393280', '2023', '14', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108037', '1574653861665312768', '2023', '15', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108038', '1574656123775094784', '2023', '16', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108039', '1574656535395700736', '2023', '17', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108040', '1575324436016533504', '2023', '18', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108041', '1575733659590332416', '2023', '19', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823656108042', '1575734154828582912', '2023', '20', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302336', '1575742080498667520', '2023', '21', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302337', '1575742396715634688', '2023', '22', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302338', '1578618869008961536', '2023', '23', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302339', '1579362188123049984', '2023', '24', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302340', '1579367842850148352', '2023', '25', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302341', '1579374510346473472', '2023', '26', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302342', '1580103759026065408', '2023', '27', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302343', '1580753741991251968', '2023', '28', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302344', '1581886588420493312', '2023', '29', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302345', '1581888248500850688', '2023', '30', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302346', '1582642133595197440', '2023', '31', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823660302347', '1582691917341265920', '2023', '32', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496640', '1589496537845731328', '2023', '33', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496641', '1589496953836802048', '2023', '34', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496642', '1589497450408841216', '2023', '35', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496643', '1589502257060253696', '2023', '36', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496644', '1589510948744466432', '2023', '37', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496645', '1589512322240614400', '2023', '38', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496646', '1589513725826699264', '2023', '39', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496647', '1589519897493377024', '2023', '40', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496648', '1589529146432819200', '2023', '41', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496649', '1589549783712927744', '2023', '42', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823664496650', '1589787423250976768', '2023', '43', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690944', '1589788930155352064', '2023', '44', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690945', '1589789596093386752', '2023', '45', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690946', '1589790686671147008', '2023', '46', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690947', '1589793655986720768', '2023', '47', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690948', '1589794001580593152', '2023', '48', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690949', '1589796068487467008', '2023', '49', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690950', '1589868518332043264', '2023', '50', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690951', '1589877695318200320', '2023', '51', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690952', '1589887987989221376', '2023', '52', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690953', '1589902008373088256', '2023', '53', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823668690954', '1589904363642556416', '2023', '54', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885248', '1589912013692342272', '2023', '55', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885249', '1590165343635116032', '2023', '56', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885250', '1590171760580497408', '2023', '57', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885251', '1590181896380354560', '2023', '58', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885252', '1590183699834605568', '2023', '59', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885253', '1590186242115506176', '2023', '60', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885254', '1590582122773614592', '2023', '61', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885255', '1590586735358775296', '2023', '62', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885256', '1590587531555115008', '2023', '63', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885257', '1590610341195288576', '2023', '64', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823672885258', '1590639495596871680', '2023', '65', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079552', '1590648570665635840', '2023', '66', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079553', '1590949853146517504', '2023', '67', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079554', '1590952665850974208', '2023', '68', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079555', '1591967614425501696', '2023', '69', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079556', '1591989767631933440', '2023', '70', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079557', '1592015564858068992', '2023', '71', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079558', '1592034228969803776', '2023', '72', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079559', '1592077522693132288', '2023', '73', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079560', '1592720777000652800', '2023', '74', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079561', '1593126345620197376', '2023', '75', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823677079562', '1593130018354106368', '2023', '76', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273856', '1593172328945160192', '2023', '77', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273857', '1593447338142208000', '2023', '78', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273858', '1593449838584926208', '2023', '79', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273859', '1593454348137009152', '2023', '80', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273860', '1593478742355873792', '2023', '81', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273861', '1593479582902784000', '2023', '82', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273862', '1593482825254965248', '2023', '83', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273863', '1593489505036406784', '2023', '84', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273864', '1593491703745089536', '2023', '85', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273865', '1593509718448541696', '2023', '86', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823681273866', '1593516895204675584', '2023', '87', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468160', '1593532185497964544', '2023', '88', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468161', '1593842844030865408', '2023', '89', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468162', '1593852545346965504', '2023', '90', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468163', '1593855262131884032', '2023', '91', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468164', '1593856415510958080', '2023', '92', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468165', '1593862922424160256', '2023', '93', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468166', '1593864420877012992', '2023', '94', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468167', '1593865238464303104', '2023', '95', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468168', '1593885025168920576', '2023', '96', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468169', '1593893948823310336', '2023', '97', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468170', '1593895047307333632', '2023', '98', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823685468171', '1593895275678797824', '2023', '99', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662464', '1593908021333987328', '2023', '100', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662465', '1593917700583854080', '2023', '101', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662466', '1593937047876407296', '2023', '102', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662467', '1593939481117986816', '2023', '103', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662468', '1594171185472606208', '2023', '104', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662469', '1594172613977051136', '2023', '105', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662470', '1594176761233543168', '2023', '106', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662471', '1594182539172515840', '2023', '107', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662472', '1594189970099277824', '2023', '108', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662473', '1594190633659142144', '2023', '109', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823689662474', '1594194005799866368', '2023', '110', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856768', '1594196874573778944', '2023', '111', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856769', '1594200334652280832', '2023', '112', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856770', '1594203503994212352', '2023', '113', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856771', '1594236660655198208', '2023', '114', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856772', '1594243795166302208', '2023', '115', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856773', '1594512404811747328', '2023', '116', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856774', '1594596093570715648', '2023', '117', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856775', '1594603307282862080', '2023', '118', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856776', '1594612473548378112', '2023', '119', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856777', '1594876784518762496', '2023', '120', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823693856778', '1594884909942575104', '2023', '121', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051072', '1594934928573861888', '2023', '122', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051073', '1595251103560241152', '2023', '123', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051074', '1595290317471485952', '2023', '124', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051075', '1595299618307051520', '2023', '125', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051076', '1595332257508364288', '2023', '126', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051077', '1596789432940367872', '2023', '127', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051078', '1597216880005877760', '2023', '128', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051079', '1597217797556015104', '2023', '129', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051080', '1597218763445506048', '2023', '130', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051081', '1597223725911117824', '2023', '131', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823698051082', '1597224121203298304', '2023', '132', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245376', '1597225005823954944', '2023', '133', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245377', '1597402389248348160', '2023', '134', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245378', '1597464184969367552', '2023', '135', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245379', '1597467267455651840', '2023', '136', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245380', '1597467985432416256', '2023', '137', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245381', '1597479346963091456', '2023', '138', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245382', '1597480279696609280', '2023', '139', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245383', '1597482125739823104', '2023', '140', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245384', '1597485315180859392', '2023', '141', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245385', '1597486704833466368', '2023', '142', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823702245386', '1597489600065048576', '2023', '143', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823706439680', '1597495016090112000', '2023', '144', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1689652823706439681', '1597560618922151936', '2023', '145', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719424', '1555010577007513600', '2023', '1', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719425', '1564137446730502144', '2023', '2', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719426', '1564137453919539200', '2023', '3', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719427', '1565939234546782208', '2023', '4', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719428', '1565939741671690240', '2023', '5', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719429', '1567097186544652288', '2023', '6', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719430', '1567451914025701376', '2023', '7', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719431', '1569928315261816832', '2023', '8', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719432', '1570252962423508992', '2023', '9', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719433', '1570254194114433024', '2023', '10', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719434', '1570254300393902080', '2023', '11', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719435', '1571750260521439232', '2023', '12', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719436', '1572825817233362944', '2023', '13', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719437', '1572826733831393280', '2023', '14', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719438', '1574653861665312768', '2023', '15', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719439', '1574656123775094784', '2023', '16', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719440', '1574656535395700736', '2023', '17', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719441', '1575324436016533504', '2023', '18', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719442', '1575733659590332416', '2023', '19', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719443', '1575734154828582912', '2023', '20', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719444', '1575742080498667520', '2023', '21', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719445', '1575742396715634688', '2023', '22', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719446', '1578618869008961536', '2023', '23', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719447', '1579362188123049984', '2023', '24', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719448', '1579367842850148352', '2023', '25', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719449', '1579374510346473472', '2023', '26', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762975719450', '1580103759026065408', '2023', '27', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913728', '1580753741991251968', '2023', '28', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913729', '1581886588420493312', '2023', '29', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913730', '1581888248500850688', '2023', '30', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913731', '1582642133595197440', '2023', '31', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913732', '1582691917341265920', '2023', '32', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913733', '1589496537845731328', '2023', '33', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913734', '1589496953836802048', '2023', '34', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913735', '1589497450408841216', '2023', '35', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913736', '1589502257060253696', '2023', '36', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913737', '1589510948744466432', '2023', '37', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913738', '1589512322240614400', '2023', '38', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913739', '1589513725826699264', '2023', '39', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913740', '1589519897493377024', '2023', '40', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913741', '1589529146432819200', '2023', '41', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913742', '1589549783712927744', '2023', '42', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913743', '1589787423250976768', '2023', '43', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913744', '1589788930155352064', '2023', '44', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913745', '1589789596093386752', '2023', '45', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913746', '1589790686671147008', '2023', '46', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913747', '1589793655986720768', '2023', '47', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913748', '1589794001580593152', '2023', '48', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913749', '1589796068487467008', '2023', '49', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913750', '1589868518332043264', '2023', '50', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913751', '1589877695318200320', '2023', '51', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913752', '1589887987989221376', '2023', '52', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913753', '1589902008373088256', '2023', '53', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913754', '1589904363642556416', '2023', '54', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913755', '1589912013692342272', '2023', '55', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913756', '1590165343635116032', '2023', '56', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913757', '1590171760580497408', '2023', '57', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913758', '1590181896380354560', '2023', '58', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913759', '1590183699834605568', '2023', '59', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913760', '1590186242115506176', '2023', '60', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913761', '1590582122773614592', '2023', '61', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913762', '1590586735358775296', '2023', '62', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913763', '1590587531555115008', '2023', '63', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913764', '1590610341195288576', '2023', '64', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913765', '1590639495596871680', '2023', '65', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913766', '1590648570665635840', '2023', '66', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913767', '1590949853146517504', '2023', '67', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913768', '1590952665850974208', '2023', '68', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913769', '1591967614425501696', '2023', '69', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913770', '1591989767631933440', '2023', '70', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913771', '1592015564858068992', '2023', '71', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913772', '1592034228969803776', '2023', '72', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913773', '1592077522693132288', '2023', '73', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913774', '1592720777000652800', '2023', '74', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913775', '1593126345620197376', '2023', '75', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913776', '1593130018354106368', '2023', '76', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913777', '1593172328945160192', '2023', '77', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913778', '1593447338142208000', '2023', '78', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913779', '1593449838584926208', '2023', '79', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913780', '1593454348137009152', '2023', '80', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913781', '1593478742355873792', '2023', '81', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913782', '1593479582902784000', '2023', '82', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913783', '1593482825254965248', '2023', '83', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913784', '1593489505036406784', '2023', '84', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913785', '1593491703745089536', '2023', '85', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913786', '1593509718448541696', '2023', '86', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913787', '1593516895204675584', '2023', '87', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913788', '1593532185497964544', '2023', '88', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913789', '1593842844030865408', '2023', '89', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913790', '1593852545346965504', '2023', '90', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913791', '1593855262131884032', '2023', '91', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913792', '1593856415510958080', '2023', '92', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913793', '1593862922424160256', '2023', '93', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913794', '1593864420877012992', '2023', '94', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913795', '1593865238464303104', '2023', '95', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913796', '1593885025168920576', '2023', '96', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913797', '1593893948823310336', '2023', '97', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913798', '1593895047307333632', '2023', '98', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913799', '1593895275678797824', '2023', '99', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913800', '1593908021333987328', '2023', '100', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913801', '1593917700583854080', '2023', '101', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913802', '1593937047876407296', '2023', '102', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913803', '1593939481117986816', '2023', '103', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913804', '1594171185472606208', '2023', '104', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913805', '1594172613977051136', '2023', '105', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913806', '1594176761233543168', '2023', '106', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913807', '1594182539172515840', '2023', '107', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913808', '1594189970099277824', '2023', '108', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913809', '1594190633659142144', '2023', '109', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913810', '1594194005799866368', '2023', '110', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913811', '1594196874573778944', '2023', '111', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913812', '1594200334652280832', '2023', '112', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913813', '1594203503994212352', '2023', '113', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913814', '1594236660655198208', '2023', '114', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913815', '1594243795166302208', '2023', '115', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913816', '1594512404811747328', '2023', '116', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913817', '1594596093570715648', '2023', '117', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913818', '1594603307282862080', '2023', '118', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913819', '1594612473548378112', '2023', '119', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913820', '1594876784518762496', '2023', '120', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913821', '1594884909942575104', '2023', '121', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913822', '1594934928573861888', '2023', '122', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913823', '1595251103560241152', '2023', '123', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913824', '1595290317471485952', '2023', '124', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913825', '1595299618307051520', '2023', '125', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913826', '1595332257508364288', '2023', '126', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913827', '1596789432940367872', '2023', '127', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913828', '1597216880005877760', '2023', '128', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913829', '1597217797556015104', '2023', '129', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913830', '1597218763445506048', '2023', '130', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762979913831', '1597223725911117824', '2023', '131', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108032', '1597224121203298304', '2023', '132', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108033', '1597225005823954944', '2023', '133', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108034', '1597402389248348160', '2023', '134', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108035', '1597464184969367552', '2023', '135', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108036', '1597467267455651840', '2023', '136', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108037', '1597467985432416256', '2023', '137', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108038', '1597479346963091456', '2023', '138', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108039', '1597480279696609280', '2023', '139', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108040', '1597482125739823104', '2023', '140', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108041', '1597485315180859392', '2023', '141', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108042', '1597486704833466368', '2023', '142', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108043', '1597489600065048576', '2023', '143', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108044', '1597495016090112000', '2023', '144', '0', '145');
INSERT INTO `train_user_year_points` VALUES ('1691464762984108045', '1597560618922151936', '2023', '145', '0', '145');

-- ----------------------------
-- Table structure for train_version
-- ----------------------------
DROP TABLE IF EXISTS `train_version`;
CREATE TABLE `train_version` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `app_version` varchar(10) DEFAULT NULL COMMENT '版本号',
  `is_force_upd` smallint(1) DEFAULT NULL COMMENT '是否强制更新：1、是、2、否。',
  `android_package_path` json DEFAULT NULL COMMENT '安卓包路径',
  `ios_app_url` varchar(100) DEFAULT NULL COMMENT 'ios下载链接',
  `state` smallint(1) DEFAULT NULL COMMENT '状态：0、未发布。1、已发布。',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `type` int(2) DEFAULT NULL COMMENT '类型 1 安卓 2 ios',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='版本信息';

-- ----------------------------
-- Records of train_version
-- ----------------------------
INSERT INTO `train_version` VALUES ('1587698485875052544', '0.0.001', '2', '[{\"name\": \"111.apk\", \"path\": \"/train/2022/11/2/fb0165ced632495893fbcd21de9d8a62.apk\", \"size\": 0.0322265625, \"suffix\": \".apk\"}]', 'https://apps.apple.com/us/app/数字化培训平台/id1536519075', '0', '2022-11-02 14:49:52', '1');
INSERT INTO `train_version` VALUES ('1587712171343745024', '1.1.1.1', '1', '[]', 'https://apps.apple.com/us/app/数字化培训平台/id1536519075', '0', '2022-11-02 15:44:15', '2');

-- ----------------------------
-- Table structure for train_version_content
-- ----------------------------
DROP TABLE IF EXISTS `train_version_content`;
CREATE TABLE `train_version_content` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `version_id` bigint(20) DEFAULT NULL COMMENT '版本id',
  `content` varchar(100) DEFAULT NULL COMMENT '内容',
  `seq` smallint(1) DEFAULT NULL COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='版本内容';

-- ----------------------------
-- Records of train_version_content
-- ----------------------------
INSERT INTO `train_version_content` VALUES ('1587698486806188032', '1587698485875052544', '1111111111111', '0');
INSERT INTO `train_version_content` VALUES ('1587698486810382336', '1587698485875052544', '2222222222222', '1');
INSERT INTO `train_version_content` VALUES ('1587713114328141824', '1587712171343745024', '22222', '0');

-- ----------------------------
-- Table structure for train_video_courseware
-- ----------------------------
DROP TABLE IF EXISTS `train_video_courseware`;
CREATE TABLE `train_video_courseware` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(10) DEFAULT NULL COMMENT '讲师姓名',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `title` varchar(255) DEFAULT NULL,
  `tag` varchar(100) DEFAULT NULL COMMENT '标签',
  `video` json DEFAULT NULL COMMENT '视频附件',
  `video_len` int(11) DEFAULT NULL COMMENT '时长（秒*100）',
  `remark` varchar(20) DEFAULT NULL COMMENT '备注',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：0、禁用。1、启用。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='课件视频';

-- ----------------------------
-- Records of train_video_courseware
-- ----------------------------
INSERT INTO `train_video_courseware` VALUES ('1567345269778026496', '1555010737095708672', '周老师', '1301371945044021248', '002001', '保险业务', '数据库基础入门3', '金融,寄递', '[{\"name\": \"86992b803a3f68ad827a88bfff1279ba.mp4\", \"path\": \"/train/2022/9/7/fe6a3aa033a24628aa1bf399a2dfbbe0.mp4\", \"size\": 1489.4169921875, \"suffix\": \".mp4\"}]', '14', '', '1', '1562314510612697088', '国产007', '001071', '2022-09-07 10:53:27');
INSERT INTO `train_video_courseware` VALUES ('1583409688609951744', '1582666858753036288', '陆老师', '1301371945044021248', '002001', '保险业务', '数据库基础入门2', '渠道,邮务', '[{\"name\": \"WeChat_20221021182941.mp4\", \"path\": \"/train/2022/10/21/7a07b74c2cb7444ebfd3e62746786dc9.mp4\", \"size\": 8583.0849609375, \"suffix\": \".mp4\"}]', '88', '', '1', '1569970196410667008', '李露露', '001071', '2022-10-21 18:47:43');
INSERT INTO `train_video_courseware` VALUES ('1592053988658909184', '1592077733855367168', '高老师', '1301371995069485056', '002002', '金融业务', '数据库基础入门1', '综合', '[{\"name\": \"20221114_144812.mp4\", \"path\": \"/train/2022/11/14/57ac488ed08f412f8479304c3b1314b6.mp4\", \"size\": 197.310546875, \"suffix\": \".mp4\"}]', '4', '', '1', '1327473526785052672', '高志远', '001071', '2022-11-14 15:17:04');
INSERT INTO `train_video_courseware` VALUES ('1600764292993519616', '1596789614633422848', '黎利伯', '1301371945044021248', '002001', '保险业务', '五险一金知识讲解3', '综合', '[{\"name\": \"kkk.mp4\", \"path\": \"/train/2022/12/8/416a0cf4f2104e2bb67c86a4efa21973.mp4\", \"size\": 380.990234375, \"suffix\": \".mp4\"}]', '3', '', '1', '1', '主宰', '001025', '2022-12-08 16:08:43');
INSERT INTO `train_video_courseware` VALUES ('1619934037969866752', '1582666858753036288', '陆老师', '1301398072047308800', '003004', '职业素养', '五险一金知识讲解2', '综合', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', null, '1', '1574653861665312768', '李露', '001025', '2023-01-30 13:42:26');
INSERT INTO `train_video_courseware` VALUES ('1619934113484115968', '1582666858753036288', '陆老师', '1301400585022607360', '006017', '讲坛类', '五险一金知识讲解1', '综合', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', null, '1', '1574653861665312768', '李露', '001025', '2023-01-30 13:42:44');
INSERT INTO `train_video_courseware` VALUES ('1619934139467829248', '1582666858753036288', '陆老师', '1301371995069485056', '002002', '金融业务', '理财培训2', '金融', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', null, '1', '1574653861665312768', '李露', '001025', '2023-01-30 13:42:50');
INSERT INTO `train_video_courseware` VALUES ('1619934168261726208', '1582666858753036288', '陆老师', '1301371995069485056', '002002', '金融业务', '理财培训1', '金融', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', null, '1', '1574653861665312768', '李露', '001025', '2023-01-30 13:42:57');
INSERT INTO `train_video_courseware` VALUES ('1619934198364246016', '1582666858753036288', '陆老师', '1301400464205680640', '006015', '技术类', 'java开发课件2', '金融', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', null, '1', '1574653861665312768', '李露', '001025', '2023-01-30 13:43:04');
INSERT INTO `train_video_courseware` VALUES ('1619934230899462144', '1592055082256568320', '高志远', '1301400742761992192', '006019', '通用基础', 'java开发课件1', '金融', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', null, '1', '1574653861665312768', '李露', '001025', '2023-01-30 13:43:12');

-- ----------------------------
-- Table structure for train_video_courseware_play
-- ----------------------------
DROP TABLE IF EXISTS `train_video_courseware_play`;
CREATE TABLE `train_video_courseware_play` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `type` smallint(1) DEFAULT NULL COMMENT '播放类型：1、在线课程。2、在线培训班。',
  `link_id` bigint(20) DEFAULT NULL COMMENT '在线课程id/在线培训班id',
  `video_courseware_id` bigint(20) DEFAULT NULL COMMENT '视频id',
  `learn_len` int(11) DEFAULT NULL COMMENT '学习时长（秒）',
  `state` smallint(1) DEFAULT NULL COMMENT '状态：1、进行中。2、学习完成。',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='课件播放';

-- ----------------------------
-- Records of train_video_courseware_play
-- ----------------------------
INSERT INTO `train_video_courseware_play` VALUES ('127949989471161769', '1591967614425501696', '1', '1602895937418694656', '1600764292993519616', '1', '1', '2023-09-22 11:39:09');
INSERT INTO `train_video_courseware_play` VALUES ('128116904170449428', '1591967614425501696', '1', '1575665665078071296', '1567345269778026496', '2', '1', '2023-09-22 16:17:20');
INSERT INTO `train_video_courseware_play` VALUES ('1571782307178425920', '1569928315261816832', '1', '1567705722337234944', '1567345269778026496', '108000', '1', '2021-09-19 16:44:39');
INSERT INTO `train_video_courseware_play` VALUES ('1571782307193425920', '1569928315261816832', '1', '1567705722337234944', '1567345269778026496', '108000', '1', '2022-09-19 16:44:39');
INSERT INTO `train_video_courseware_play` VALUES ('1571782307199925920', '1569928315261816832', '1', '1567705722337234944', '1567345269778026496', '72000', '1', '2022-08-19 16:44:39');
INSERT INTO `train_video_courseware_play` VALUES ('1573139950000541696', '1567451914025701376', '1', '1567705722337234944', '1567345269778026496', '1', '1', '2022-09-23 10:39:26');
INSERT INTO `train_video_courseware_play` VALUES ('1575320081792110592', '1567097186544652288', '1', '1567705722337234944', '1567345269778026496', '14', '2', '2022-09-29 11:02:30');
INSERT INTO `train_video_courseware_play` VALUES ('1575663864681467904', '1555010577007513600', '1', '1567705722337234944', '1567345269778026496', '4', '1', '2022-09-30 09:48:34');
INSERT INTO `train_video_courseware_play` VALUES ('1575666695828279296', '1555010577007513600', '1', '1575665665078071296', '1567345269778026496', '3', '1', '2022-09-30 09:59:49');
INSERT INTO `train_video_courseware_play` VALUES ('1579374568991232000', '1567097186544652288', '1', '1575665665078071296', '1567345269778026496', '3', '1', '2022-10-10 15:33:35');
INSERT INTO `train_video_courseware_play` VALUES ('1579374568991232001', '1567097186544652288', '1', '1575665665078071296', '1567345269778026496', '360000', '1', '2022-10-10 15:33:35');
INSERT INTO `train_video_courseware_play` VALUES ('1585220878738788352', '1574656123775094784', '1', '1583410043481624576', '1567345269778026496', '0', '1', '2022-10-26 18:44:44');
INSERT INTO `train_video_courseware_play` VALUES ('1587643887973961728', '1565939234546782208', '1', '1587642806577532928', '1583409688609951744', '43', '1', '2022-11-02 11:12:55');
INSERT INTO `train_video_courseware_play` VALUES ('1587645190234050560', '1565939234546782208', '1', '1583410043481624576', '1567345269778026496', '3600', '1', '2022-11-02 11:18:05');
INSERT INTO `train_video_courseware_play` VALUES ('1588090750506242048', '1565939234546782208', '1', '1567705722337234944', '1567345269778026496', '3600', '1', '2022-08-17 16:48:35');
INSERT INTO `train_video_courseware_play` VALUES ('1588091393602097152', '1565939234546782208', '1', '1575665665078071296', '1567345269778026496', '7', '1', '2022-11-03 16:51:08');
INSERT INTO `train_video_courseware_play` VALUES ('1592066760440418304', '1574653861665312768', '2', '1592065253888364544', '1567345269778026496', '14', '2', '2022-11-14 16:07:50');
INSERT INTO `train_video_courseware_play` VALUES ('1594505386793242624', '1591967614425501696', '1', '1587642806577532928', '1583409688609951744', '0', '1', '2022-11-21 09:38:03');
INSERT INTO `train_video_courseware_play` VALUES ('1598564303542292480', '1565939234546782208', '1', '1583410043481624576', '1583409688609951744', '1', '1', '2022-12-02 14:26:45');
INSERT INTO `train_video_courseware_play` VALUES ('1598950644260147200', '1555010577007513600', '1', '1587642806577532928', '1583409688609951744', '88', '2', '2022-12-03 16:01:55');
INSERT INTO `train_video_courseware_play` VALUES ('1607913364925845504', '1569928315261816832', '1', '1575665665078071296', '1567345269778026496', '14', '2', '2022-12-28 09:36:34');
INSERT INTO `train_video_courseware_play` VALUES ('1607913470152544256', '1569928315261816832', '1', '1602895937418694656', '1600764292993519616', '3', '2', '2022-12-28 09:37:00');
INSERT INTO `train_video_courseware_play` VALUES ('1607914085549215744', '1569928315261816832', '1', '1596020302926712832', '1592053988658909184', '4', '2', '2022-12-28 09:39:26');
INSERT INTO `train_video_courseware_play` VALUES ('1607914688170037248', '1569928315261816832', '1', '1596027627670474752', '1592053988658909184', '0', '1', '2022-12-28 09:41:50');
INSERT INTO `train_video_courseware_play` VALUES ('1607932643087880192', '1569928315261816832', '1', '1587642806577532928', '1583409688609951744', '28', '1', '2022-12-28 10:53:11');
INSERT INTO `train_video_courseware_play` VALUES ('1607933944144203776', '1569928315261816832', '1', '1583410043481624576', '1567345269778026496', '14', '2', '2022-12-28 10:58:21');
INSERT INTO `train_video_courseware_play` VALUES ('1607934175971774464', '1569928315261816832', '1', '1583410043481624576', '1583409688609951744', '39', '1', '2022-12-28 10:59:16');
INSERT INTO `train_video_courseware_play` VALUES ('1607934465957564416', '1569928315261816832', '1', '1602896300674781184', '1600764292993519616', '0', '1', '2022-12-28 11:00:25');
INSERT INTO `train_video_courseware_play` VALUES ('1607934882670055424', '1569928315261816832', '1', '1602895608639787008', '1600764292993519616', '3', '2', '2022-12-28 11:02:05');
INSERT INTO `train_video_courseware_play` VALUES ('1607973434996953088', '1569928315261816832', '1', '1602897387829989376', '1600764292993519616', '3', '2', '2022-12-28 13:35:16');
INSERT INTO `train_video_courseware_play` VALUES ('1607978534050074624', '1569928315261816832', '1', '1602896515964211200', '1600764292993519616', '3', '2', '2022-12-28 13:55:32');
INSERT INTO `train_video_courseware_play` VALUES ('1612030636720263168', '1555010577007513600', '1', '1602896300674781184', '1600764292993519616', '0', '1', '2023-01-08 18:17:09');
INSERT INTO `train_video_courseware_play` VALUES ('1640973080450961408', '1591967614425501696', '1', '1567705722337234944', '1567345269778026496', '14', '2', '2023-03-29 15:04:05');
INSERT INTO `train_video_courseware_play` VALUES ('1640973188345237504', '1591967614425501696', '1', '1602896515964211200', '1600764292993519616', '1', '1', '2023-03-29 15:04:31');
INSERT INTO `train_video_courseware_play` VALUES ('1640975040054956032', '1591967614425501696', '1', '1602897387829989376', '1600764292993519616', '3', '2', '2023-03-29 15:11:52');
INSERT INTO `train_video_courseware_play` VALUES ('1658649039958315008', '1555010577007513600', '1', '1602896515964211200', '1600764292993519616', '3', '2', '2023-05-17 09:42:02');

-- ----------------------------
-- Table structure for train_video_online
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online`;
CREATE TABLE `train_video_online` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、视频。2、图集。',
  `title` varchar(50) DEFAULT NULL COMMENT '标题',
  `tag` varchar(100) DEFAULT NULL COMMENT '标签',
  `cover` json DEFAULT NULL COMMENT '封面',
  `video` json DEFAULT NULL COMMENT '视频附件',
  `video_len` int(11) DEFAULT NULL COMMENT '视频长度',
  `width` int(11) DEFAULT NULL COMMENT '宽',
  `height` int(11) DEFAULT NULL COMMENT '高',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：-1、拒绝。0、待审核，1、审核通过，2、删除',
  `audit_cause` varchar(255) DEFAULT NULL COMMENT '审核通过/拒绝原因',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_trainer_id` bigint(20) DEFAULT NULL COMMENT '创建讲师id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `is_top` smallint(1) DEFAULT NULL COMMENT '推荐设置：-1必不推荐 0正常 1必推荐 2置顶\r\n（原备注   置顶）',
  `is_tb` smallint(1) DEFAULT NULL COMMENT '是否同步 1是 ',
  `is_year` smallint(2) DEFAULT NULL COMMENT '是否参加评选 0否 1是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频';

-- ----------------------------
-- Records of train_video_online
-- ----------------------------
INSERT INTO `train_video_online` VALUES ('128059479047920901', '1', '亚运会', '综合', '[{\"name\": \"share_9648c182983db9f381bf541233f6b2b9.mp4\", \"path\": \"/train/2023/9/22/8496afd771484f0ca246aa0e0dabc8c8.png\", \"original\": \"/train/2023/9/22/76919c136e1c457f84dc3c2bbd0dff11.png\"}]', '[{\"name\": \"share_9648c182983db9f381bf541233f6b2b9.mp4\", \"path\": \"/train/2023/9/22/321e4c23ac844a5b91895a7b3c87cdcb.mp4\"}]', '36', '720', '960', '1', null, '1591967614425501696', '1592055082256568320', '高志远', '2023-09-22 14:41:38', null, null, '0');
INSERT INTO `train_video_online` VALUES ('128063035561907723', '2', 'sql从入门到入土', '综合', '[{\"name\": \"1695365229611_share_bc2121d17cb7a20706aaf9e43284cc0c.png\", \"path\": \"/train/2023/9/22/ed552d0f5e0344f4aff24e93c6748942.png\", \"original\": \"/train/2023/9/22/0c41ea05914a45c680a2f2eec5f01c00.png\"}]', '[{\"name\": \"1695365229611_share_bc2121d17cb7a20706aaf9e43284cc0c.png\", \"path\": \"/train/2023/9/22/ed552d0f5e0344f4aff24e93c6748942.png\", \"original\": \"/train/2023/9/22/0c41ea05914a45c680a2f2eec5f01c00.png\"}, {\"name\": \"1695365229960_share_58525a8f6a2a7aba33586e2db50b1d40.png\", \"path\": \"/train/2023/9/22/91ded95c00114a72a59a83a9c4b362e3.png\", \"original\": \"/train/2023/9/22/76c7224a59e544799017127a6ad67637.png\"}, {\"name\": \"1695365230285_share_6ad4d563e6a4a45f6be8821f939daa25.png\", \"path\": \"/train/2023/9/22/dfdaf0335f474df28d32657ce0a325f6.png\", \"original\": \"/train/2023/9/22/a9f52f0be9494e7f982748e015abadb3.png\"}, {\"name\": \"1695365230588_share_ff7381b8dde3c12a7a6caae5a60b6c35.png\", \"path\": \"/train/2023/9/22/06ef82d815ff4d5289ba3386fdbbe3d6.png\", \"original\": \"/train/2023/9/22/4732f8baa65b4fbd8a80d296a52a4e63.png\"}, {\"name\": \"1695365230937_share_3e9365736ed6cc3f41f73a5f07b0b27a.png\", \"path\": \"/train/2023/9/22/275bd02dffa64c939c2126e20a084003.png\", \"original\": \"/train/2023/9/22/1e03f3dd4816470f9342a79a5a291917.png\"}, {\"name\": \"1695365231252_share_624ad714ace158d54cfcc65ac3974772.png\", \"path\": \"/train/2023/9/22/3de8ffebbe9642688baacb0d45c7263b.png\", \"original\": \"/train/2023/9/22/e97aca37672c4b368377c9571a42b1c5.png\"}, {\"name\": \"1695365231533_share_337693dedbd38fff4174b3cc38fb245a.png\", \"path\": \"/train/2023/9/22/1453370983684131a3f5639a0f127137.png\", \"original\": \"/train/2023/9/22/627d5fa6e21442a7b1acf6ea2272b99a.png\"}, {\"name\": \"1695365231879_share_ea36f446d31c0a049b927200294d83fb.png\", \"path\": \"/train/2023/9/22/affbd9a1fde44745a413381dce6ada89.png\", \"original\": \"/train/2023/9/22/daab75482fe2406ea21e37b31df88b0b.png\"}, {\"name\": \"1695365232192_share_9109318fd636cc431dafef60a0dc17e0.png\", \"path\": \"/train/2023/9/22/3f274b1f144443bc8da2ab5901551ca7.png\", \"original\": \"/train/2023/9/22/64bec864960a4285b55412e0074d76ac.png\"}]', '0', '0', '0', '1', null, '1591967614425501696', '1592055082256568320', '高志远', '2023-09-22 14:47:33', null, null, '0');
INSERT INTO `train_video_online` VALUES ('128112887888483435', '1', '校区运营流程', '综合', '[{\"name\": \"share_7de92ef0fdd6d419fc56a0e0006dac81.mp4\", \"path\": \"/train/2023/9/22/015ea956a346457d824940c67e4efb7b.png\", \"original\": \"/train/2023/9/22/eeaf8f64231f41fcaace4dbaa89c26f1.png\"}]', '[{\"name\": \"share_7de92ef0fdd6d419fc56a0e0006dac81.mp4\", \"path\": \"/train/2023/9/22/08ed0670126e4d1c879d4673f90ea15c.mp4\"}]', '90', '720', '1280', '1', null, '1591967614425501696', '1592055082256568320', '高志远', '2023-09-22 16:10:39', null, null, '0');
INSERT INTO `train_video_online` VALUES ('128115395111645794', '1', '集体跳水', '金融', '[{\"name\": \"share_b9f67707a969c6cddc7ef6cae46cd590.mp4\", \"path\": \"/train/2023/9/22/a7a23127fcfb4b7ca8813e67d988c627.png\", \"original\": \"/train/2023/9/22/2956e5540b4543069ff855b270fab4e9.png\"}]', '[{\"name\": \"share_b9f67707a969c6cddc7ef6cae46cd590.mp4\", \"path\": \"/train/2023/9/22/fa44505c4e224bf09d8e2166528db4a3.mp4\"}]', '13', '720', '1280', '1', null, '1591967614425501696', '1592055082256568320', '高志远', '2023-09-22 16:14:49', '2', null, '1');
INSERT INTO `train_video_online` VALUES ('1583408987863388160', '1', 'APP视频测试', '金融', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/c189b45512a14511833b34ab7c45d1e3.png\", \"original\": \"/train/2022/10/21/0230b353f50b44179dad5022e89e5c9f.png\"}]', '[{\"name\": \"SVID_20221021_091251_1.mp4\", \"path\": \"/train/2022/10/21/59ff476bf3c748578549cf0309150d66.mp4\"}]', '8', '590', '1280', '0', '12', '1574653861665312768', '1582666858753036288', '李露', '2021-10-21 18:44:56', '2', '1', null);
INSERT INTO `train_video_online` VALUES ('1596426647702212608', '1', '疫情（1）', '金融,综合', '[{\"name\": \"share_94f8559ad0f066fdeb5b92d1ae0b51d9.mp4\", \"path\": \"/train/2022/11/26/cd5bb506196149039f821cb02462af5d.png\", \"original\": \"/train/2022/11/26/f6f2489b28114085a8e1ed2251710500.png\"}]', '[{\"name\": \"share_94f8559ad0f066fdeb5b92d1ae0b51d9.mp4\", \"path\": \"/train/2022/11/26/cca0be4f92434fb6870e1ec8a69b31d7.mp4\"}]', '10', '720', '1280', '0', null, null, null, '李露2', '2023-01-11 16:52:28', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1596426739549081600', '1', '疫情（2）', '党建', '[{\"name\": \"share_f0452cc3b2448704205de62d3b1d094c.mp4\", \"path\": \"/train/2022/11/26/b98a9dc459fb44f89ee25cbc6bcfb673.png\", \"original\": \"/train/2022/11/26/86cdd035c7c94693946cac2c847f9698.png\"}]', '[{\"name\": \"share_f0452cc3b2448704205de62d3b1d094c.mp4\", \"path\": \"/train/2022/11/26/eac1a2e3d8564fcc898070ff61604a61.mp4\"}]', '10', '720', '1280', '-1', null, null, null, '李露2', '2022-11-26 16:52:50', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1596426852812066816', '1', '疫情（3）', '综合', '[{\"name\": \"share_1bc58f49e9c0949059b3035009f243b0.mp4\", \"path\": \"/train/2022/11/26/1ac87bb222a948ec8b0a0867c63dc4cc.png\", \"original\": \"/train/2022/11/26/4d305942bc5049439568ee6e547df932.png\"}]', '[{\"name\": \"share_1bc58f49e9c0949059b3035009f243b0.mp4\", \"path\": \"/train/2022/11/26/1f1d30bca7b940f7a2470729761893a7.mp4\"}]', '13', '720', '1280', '0', null, null, null, '李露2', '2022-11-26 16:53:17', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1596427591307366400', '1', '防疫', '寄递', '[{\"name\": \"share_f01bb9107abe890e30bccdcaca49b51d.mp4\", \"path\": \"/train/2022/11/26/f7db92f9fc6f484181746ed4d2766d8a.png\", \"original\": \"/train/2022/11/26/01e84e80d31a411faa96577c9b89facd.png\"}]', '[{\"name\": \"share_f01bb9107abe890e30bccdcaca49b51d.mp4\", \"path\": \"/train/2022/11/26/f0caa4c652dd4f829843d01d11a728e0.mp4\"}]', '9', '720', '1280', '0', null, null, null, '李露2', '2022-11-26 16:56:13', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597473765221076992', '1', '小邮说法-法律与我同行特别篇', '金融', '[{\"name\": \"2.小邮说法-法律与我同行特别篇，.mp4\", \"path\": \"/train/2022/11/29/e74c8302af2f4eb3970e1295aeb598f1.png\", \"original\": \"/train/2022/11/29/d0aa159d6dfa4bd39612b05c5735d771.png\"}]', '[{\"name\": \"2.小邮说法-法律与我同行特别篇，.mp4\", \"path\": \"/train/2022/11/29/fa1bd496573c4152b23db64203a56331.mp4\"}]', '251', '640', '368', '0', null, null, null, '李露3', '2022-11-29 14:13:20', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597474648860266496', '1', '揭秘服务质量管理办法', '金融', '[{\"name\": \"65.揭秘服务质量管理办法.mp4\", \"path\": \"/train/2022/11/29/9036e546e5c44f079264932d578a56df.png\", \"original\": \"/train/2022/11/29/fbb23e18ceb24966ae9e4acec7d059b2.png\"}]', '[{\"name\": \"65.揭秘服务质量管理办法.mp4\", \"path\": \"/train/2022/11/29/9acf3e283a5f430c8fe0fe6cdd025b52.mp4\"}]', '207', '640', '368', '0', null, null, null, '李露3', '2022-11-29 14:16:51', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597475098443517952', '1', '豫邮宝双录（一）', '金融', '[{\"name\": \"70.豫邮宝双录（一）.mp4\", \"path\": \"/train/2022/11/29/aabf936eb2054143abf23e39d53d28ca.png\", \"original\": \"/train/2022/11/29/264d339206c342949b08c5cfde5ed2f5.png\"}]', '[{\"name\": \"70.豫邮宝双录（一）.mp4\", \"path\": \"/train/2022/11/29/60e49adff4b144479946dd8c5d2f6830.mp4\"}]', '78', '640', '368', '0', null, null, null, '李露3', '2022-11-29 14:18:38', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597475233277808640', '1', '豫邮宝双录（二）', '金融', '[{\"name\": \"71.豫邮宝双录（二）.mp4\", \"path\": \"/train/2022/11/29/90463f88474c4e84af4288de3b315748.png\", \"original\": \"/train/2022/11/29/a7e4bfe2d6b64872a2209e1b71a7291d.png\"}]', '[{\"name\": \"71.豫邮宝双录（二）.mp4\", \"path\": \"/train/2022/11/29/0c2ccf7e79984f269ffe2f71d9f83ee4.mp4\"}]', '47', '640', '368', '0', null, null, null, '李露3', '2022-11-29 14:19:10', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597475392854298624', '1', '豫邮宝双录（三）', '金融', '[{\"name\": \"72.豫邮宝双录（三）.mp4\", \"path\": \"/train/2022/11/29/a6b881efc38c466183f5c7f04bc56c30.png\", \"original\": \"/train/2022/11/29/3fa169e64da8454b8715dced2766b288.png\"}]', '[{\"name\": \"72.豫邮宝双录（三）.mp4\", \"path\": \"/train/2022/11/29/6fadfaaa65f6417c9a29fabd99bce7ca.mp4\"}]', '40', '568', '320', '0', null, null, null, '李露3', '2022-11-29 14:19:48', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597475819360489472', '1', '南阳2-邮保安康2021', '金融', '[{\"name\": \"75.南阳2-邮保安康2021.MP4\", \"path\": \"/train/2022/11/29/e2d80e401e994926a59eb98b311ea91b.png\", \"original\": \"/train/2022/11/29/c4e5e1ab047645bb8cd293869690261c.png\"}]', '[{\"name\": \"75.南阳2-邮保安康2021.MP4\", \"path\": \"/train/2022/11/29/efc81d718c1a4a939cf754ee87c4af5b.mp4\"}]', '431', '960', '720', '0', null, null, null, '王建军', '2022-11-29 14:21:30', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597476124437385216', '1', '揭秘高息揽储的危害', '金融', '[{\"name\": \"57.揭秘高息揽储的危害.mp4\", \"path\": \"/train/2022/11/29/9556ebd9a9eb46a4997efb8757e2ff79.png\", \"original\": \"/train/2022/11/29/ad407344ba76499eac72bb640ae2c253.png\"}]', '[{\"name\": \"57.揭秘高息揽储的危害.mp4\", \"path\": \"/train/2022/11/29/557a457c0f0148eca201c0f39ddb8b51.mp4\"}]', '135', '368', '640', '0', null, null, null, '王建军', '2022-11-29 14:22:42', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597476258860634112', '1', '揭秘网点加钞', '金融', '[{\"name\": \"53.揭秘网点加钞.mp4\", \"path\": \"/train/2022/11/29/316846b8400b494797b63a6912f28276.png\", \"original\": \"/train/2022/11/29/5812f0a8d6774442bef6dc7a43cd4bfd.png\"}]', '[{\"name\": \"53.揭秘网点加钞.mp4\", \"path\": \"/train/2022/11/29/65ade042db744d84b43bd9edd6fe95be.mp4\"}]', '35', '640', '496', '0', null, null, null, '王建军', '2022-11-29 14:23:14', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597476405627719680', '1', '揭秘电信诈骗2', '金融', '[{\"name\": \"61.揭秘电信诈骗之二.mp4\", \"path\": \"/train/2022/11/29/94324be2db1f4574b714be63960c1ce9.png\", \"original\": \"/train/2022/11/29/0de7444c168644d6b4a706081bbcf04f.png\"}]', '[{\"name\": \"61.揭秘电信诈骗之二.mp4\", \"path\": \"/train/2022/11/29/bfea86d368694169833a3187cfba4d32.mp4\"}]', '237', '464', '640', '0', null, null, null, '王建军', '2022-11-29 14:23:49', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597476528046870528', '1', '防范电信网络诈骗', '金融', '[{\"name\": \"60.揭秘防电信诈骗之一.mp4\", \"path\": \"/train/2022/11/29/b031cd1d428b44158cb60c5246182ab9.png\", \"original\": \"/train/2022/11/29/54137c6a04374ceb82edccc99ce377e2.png\"}]', '[{\"name\": \"60.揭秘防电信诈骗之一.mp4\", \"path\": \"/train/2022/11/29/f3941356d16b45a682775b69e28a88c3.mp4\"}]', '115', '640', '368', '0', null, null, null, '王建军', '2022-11-29 14:24:19', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597476697958125568', '1', '揭秘网点接款工作规范', '寄递,渠道,综合', '[{\"name\": \"59.揭秘网点接款工作规范.mp4\", \"path\": \"/train/2022/11/29/c1a66582a7c74257b8f98dba9978f186.png\", \"original\": \"/train/2022/11/29/c755d688fedb4e719ffee8c4e796ade6.png\"}]', '[{\"name\": \"59.揭秘网点接款工作规范.mp4\", \"path\": \"/train/2022/11/29/15de7bfa250d456aaae675614cc4f244.mp4\"}]', '54', '640', '544', '0', null, null, null, '王建军', '2022-11-29 14:24:59', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1597477515172122624', '1', '违规带客操作', '党建,综合', '[{\"name\": \"40.违规代客操作.mp4\", \"path\": \"/train/2022/11/29/608e56a4ee63498cb0197cf43639bd03.png\", \"original\": \"/train/2022/11/29/68772e2e42bf4710bd415c7121503e11.png\"}]', '[{\"name\": \"40.违规代客操作.mp4\", \"path\": \"/train/2022/11/29/0076829f62a34c0ca5259665146897f4.mp4\"}]', '116', '640', '368', '0', null, null, null, '林豆豆', '2022-11-29 14:28:14', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597478228811976704', '1', '不同保证方式，责任区别大不同。', '寄递,渠道', '[{\"name\": \"38“小邮说法-法律与我同行”系列之不同保证方式 责任区别大不同.mp4\", \"path\": \"/train/2022/11/29/d2267f3610d64015bdb9d2c60ff7eb88.png\", \"original\": \"/train/2022/11/29/eeb71903559e4b2dac2ebb8f8331215a.png\"}]', '[{\"name\": \"38“小邮说法-法律与我同行”系列之不同保证方式 责任区别大不同.mp4\", \"path\": \"/train/2022/11/29/f42df3f0038545908d05402f5614a468.mp4\"}]', '211', '1920', '1080', '0', null, null, null, '林豆豆', '2022-11-29 14:31:04', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597478385641197568', '1', '理性维权是正道。', '金融,渠道', '[{\"name\": \"55.理性维权是正道.mp4\", \"path\": \"/train/2022/11/29/d85ee2fd247f451c9fd07dde6119014c.png\", \"original\": \"/train/2022/11/29/66cf50f9606249b3a822ca02f9bb84c8.png\"}]', '[{\"name\": \"55.理性维权是正道.mp4\", \"path\": \"/train/2022/11/29/a5671f2d00aa4e4b95bd865bd2729114.mp4\"}]', '14', '640', '480', '1', null, null, null, '林豆豆', '2022-11-29 14:31:42', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597478580571475968', '1', '老年投资要理性', null, '[{\"name\": \"56.老年投资要理性.mp4\", \"path\": \"/train/2022/11/29/9c1fc774aae14f11996ddd4336ad776f.png\", \"original\": \"/train/2022/11/29/2a4578f0c1204640a6d559a0d4d9650a.png\"}]', '[{\"name\": \"56.老年投资要理性.mp4\", \"path\": \"/train/2022/11/29/bc4d87f4fb39471bacf70c4358e554de.mp4\"}]', '15', '640', '336', '1', null, null, null, '史蒂芬', '2022-11-29 14:32:28', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597478777020092416', '1', '消费者权益知多少', '金融,寄递,邮务', '[{\"name\": \"54.消费者权益知多少.mp4\", \"path\": \"/train/2022/11/29/3b5b124178f049919ececd3b73f794e5.png\", \"original\": \"/train/2022/11/29/d5a26d91d62543cf8fb18d18a60ba1e2.png\"}]', '[{\"name\": \"54.消费者权益知多少.mp4\", \"path\": \"/train/2022/11/29/f772883b8cb142c2a49fee48aac77fdd.mp4\"}]', '16', '720', '1184', '0', null, null, null, '史蒂芬', '2022-11-29 14:33:15', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597859733295992832', '1', '测试发布内容', '金融,寄递', '[{\"name\": \"TXVideo_20221130_154638.mp4\", \"path\": \"/train/2022/11/30/dd61091d85144a94b196595cbefb8bea.png\", \"original\": \"/train/2022/11/30/3d1c831bcf31469da5080ec0363a71b5.png\"}]', '[{\"name\": \"TXVideo_20221130_154638.mp4\", \"path\": \"/train/2022/11/30/4005fa700b2742d9b755491c32d604fc.mp4\"}]', '5', '544', '960', '0', null, null, null, '史蒂芬', '2022-11-30 15:47:02', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1597860263497961472', '1', '发布视频', '金融,寄递', '[{\"name\": \"TXVideo_20221130_154850.mp4\", \"path\": \"/train/2022/11/30/0b5f05d5c28f4ca880af4bb146eb26e0.png\", \"original\": \"/train/2022/11/30/d5c4a83f74f04066b262c20e8a12da1d.png\"}]', '[{\"name\": \"TXVideo_20221130_154850.mp4\", \"path\": \"/train/2022/11/30/d4f5c1bdb9344b4fa970a3b67e97ac79.mp4\"}]', '6', '544', '960', '0', null, null, null, '史蒂芬', '2022-11-30 15:49:08', '1', null, null);
INSERT INTO `train_video_online` VALUES ('1598139818007728128', '1', '20231201发布的测试视频1001', '金融,渠道,综合', '[{\"name\": \"TXVideo_20221201_101815.mp4\", \"path\": \"/train/2022/12/1/33e3e68490944749825e1bb33748500b.png\", \"original\": \"/train/2022/12/1/55b8e60d70734a9291880155f0504b5c.png\"}]', '[{\"name\": \"TXVideo_20221201_101815.mp4\", \"path\": \"/train/2022/12/1/dc017524ce944d86be5bb88901954eea.mp4\"}]', '56', '544', '960', '0', null, null, null, '史蒂芬', '2022-12-01 10:19:59', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1598144117613924352', '1', '20221201—1002', '党建,综合', '[{\"name\": \"SVID_20221201_103120_1.mp4\", \"path\": \"/train/2022/12/1/df0885984d694a65a8bb08f977f07864.png\", \"original\": \"/train/2022/12/1/29c680d529df46deab538267cd2b523c.png\"}]', '[{\"name\": \"SVID_20221201_103120_1.mp4\", \"path\": \"/train/2022/12/1/b6a85332feac4d69846e1cc769a28a09.mp4\"}]', '195', '590', '1280', '0', null, null, null, '史蒂芬', '2022-12-01 10:37:04', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1598225741617696768', '1', '发布内容', '寄递,渠道', '[{\"name\": \"TXVideo_20221201_160100.mp4\", \"path\": \"/train/2022/12/1/7c6143d45e1f42edbb299e0f22f27690.png\", \"original\": \"/train/2022/12/1/3670737c1b334c668998b215a4d207b4.png\"}]', '[{\"name\": \"TXVideo_20221201_160100.mp4\", \"path\": \"/train/2022/12/1/77f3d9d9483d4b62a5366109f46641d1.mp4\"}]', '6', '960', '544', '0', null, null, null, '史蒂芬', '2022-12-01 16:01:25', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1598228775190007808', '1', '发布了一个视频', '金融,寄递', '[{\"name\": \"TXVideo_20221201_161301.mp4\", \"path\": \"/train/2022/12/1/f5ae44996a884407afa88e5ad157b644.png\", \"original\": \"/train/2022/12/1/b237e028ec7c4fc1b886e83a4f379abb.png\"}]', '[{\"name\": \"TXVideo_20221201_161301.mp4\", \"path\": \"/train/2022/12/1/8d5f85b12f6a46bbb47a99e3b21ce080.mp4\"}]', '6', '544', '960', '0', null, null, null, '史蒂芬', '2023-01-13 16:13:28', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1598230519034810368', '1', '发布内容', '寄递,渠道', null, null, null, null, null, '0', null, '1565939234546782208', null, '王涵', '2023-01-19 16:20:24', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1598232311369961472', '1', '发布内容', '寄递,渠道,党建', null, null, null, null, null, '0', null, '1565939234546782208', null, '王涵', '2022-12-01 16:27:31', '0', null, null);
INSERT INTO `train_video_online` VALUES ('1598910775852929024', '1', '课程\n', '金融', '[{\"name\": \"VID20221127143221.mp4\", \"path\": \"/train/2022/12/3/75917969b949460e9e21968a2067745a.png\", \"original\": \"/train/2022/12/3/8f8101fbf08f406596589feec4fe34b9.png\"}]', '[{\"name\": \"VID20221127143221.mp4\", \"path\": \"/train/2022/12/3/a7769e0382dc49d88f5c62f8bf7768ad.mp4\"}]', '5', '480', '720', '0', null, null, null, '史蒂芬', '2022-12-03 13:23:30', '2', null, null);
INSERT INTO `train_video_online` VALUES ('1705101117622456320', '1', '亚运会', '综合', '[{\"name\": \"share_9648c182983db9f381bf541233f6b2b9.mp4\", \"path\": \"/train/2023/9/22/f1c38a9023c5492ab1a8206d2eeb9bd9.png\", \"original\": \"/train/2023/9/22/9edd296be65448cba91b3907984f5b01.png\"}]', '[{\"name\": \"share_9648c182983db9f381bf541233f6b2b9.mp4\", \"path\": \"/train/2023/9/22/4ecd87c65e6443738d95721b4cdfb70e.mp4\"}]', '36', '720', '960', '-1', '1', null, null, null, '2023-09-22 14:06:00', null, null, '0');
INSERT INTO `train_video_online` VALUES ('1705101247222255616', '1', '亚运会', '综合', '[{\"name\": \"share_9648c182983db9f381bf541233f6b2b9.mp4\", \"path\": \"/train/2023/9/22/4b6f5d2f62d54cf4b62d3dde9411abbc.png\", \"original\": \"/train/2023/9/22/f251dd50539f4369a05f4225c35f3b9b.png\"}]', '[{\"name\": \"share_9648c182983db9f381bf541233f6b2b9.mp4\", \"path\": \"/train/2023/9/22/65ec0743799249dcaf967208c069b225.mp4\"}]', '36', '720', '960', '1', '1', null, null, null, '2023-09-22 14:06:31', null, null, '0');

-- ----------------------------
-- Table structure for train_video_online_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_appraise`;
CREATE TABLE `train_video_online_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `video_id` bigint(20) DEFAULT NULL COMMENT '视频id',
  `video_user_id` bigint(20) DEFAULT NULL COMMENT '视频创建id',
  `pid` bigint(20) DEFAULT NULL COMMENT '父节点id',
  `lv` smallint(1) DEFAULT NULL COMMENT '回复等级',
  `content` varchar(200) DEFAULT NULL COMMENT '评价内容',
  `reply_id` bigint(20) DEFAULT NULL COMMENT '回复评价id',
  `reply_user_id` bigint(20) DEFAULT NULL COMMENT '回复用户id',
  `reply_user_name` varchar(20) DEFAULT NULL COMMENT '回复用户名',
  `is_author` smallint(1) DEFAULT NULL COMMENT '是否作者：1、是。0、否。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_trainer_id` bigint(20) DEFAULT NULL COMMENT '创建讲师id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频评价';

-- ----------------------------
-- Records of train_video_online_appraise
-- ----------------------------
INSERT INTO `train_video_online_appraise` VALUES ('1600761527693086720', '1597476258860634112', null, '0', '1', '，，', null, null, null, '0', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:57:44');
INSERT INTO `train_video_online_appraise` VALUES ('1600761532482981888', '1597476258860634112', null, '0', '1', '，，', null, null, null, '0', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:57:45');
INSERT INTO `train_video_online_appraise` VALUES ('1600761675026403328', '1596427591307366400', null, '0', '1', '，，？？@。。', null, null, null, '0', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:19');
INSERT INTO `train_video_online_appraise` VALUES ('1600761737299234816', '1596426852812066816', null, '0', '1', '，@@？。@？。？。', null, null, null, '0', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:34');

-- ----------------------------
-- Table structure for train_video_online_appraise_like
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_appraise_like`;
CREATE TABLE `train_video_online_appraise_like` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `video_id` bigint(20) DEFAULT NULL COMMENT '视频id',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评论id',
  `appraise_user_id` bigint(20) DEFAULT NULL COMMENT '评论创建用户id',
  `is_read` smallint(1) DEFAULT NULL COMMENT '是否已读：1、未读。2、已读。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_trainer_id` bigint(20) DEFAULT NULL COMMENT '创建讲师id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频评论喜欢';

-- ----------------------------
-- Records of train_video_online_appraise_like
-- ----------------------------

-- ----------------------------
-- Table structure for train_video_online_appraise_notice
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_appraise_notice`;
CREATE TABLE `train_video_online_appraise_notice` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评论id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `type` smallint(1) DEFAULT NULL COMMENT '类型：1、评论。2、@。',
  `is_read` smallint(1) DEFAULT NULL COMMENT '是否已读：1、是。2、否。',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频评价通知';

-- ----------------------------
-- Records of train_video_online_appraise_notice
-- ----------------------------
INSERT INTO `train_video_online_appraise_notice` VALUES ('1600761528863297536', '1600761527693086720', null, '1', '1');
INSERT INTO `train_video_online_appraise_notice` VALUES ('1600761533594472448', '1600761532482981888', null, '1', '1');
INSERT INTO `train_video_online_appraise_notice` VALUES ('1600761676079173632', '1600761675026403328', null, '1', '1');
INSERT INTO `train_video_online_appraise_notice` VALUES ('1600761738423308288', '1600761737299234816', null, '1', '1');

-- ----------------------------
-- Table structure for train_video_online_judges
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_judges`;
CREATE TABLE `train_video_online_judges` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` bigint(255) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_video_online_judges
-- ----------------------------
INSERT INTO `train_video_online_judges` VALUES ('1', '1565939234546782208', '2023-02-03 14:39:35', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347689713242112', '1574653861665312768', '2023-02-03 11:19:47', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347690313027584', '1555010577007513600', '2023-02-03 11:19:47', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347690946367488', '1589496537845731328', '2023-02-03 11:19:47', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347691617456128', '1589496953836802048', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347692288544768', '1590610341195288576', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347692926078976', '1589497450408841216', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347693555224576', '1590582122773614592', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347694234701824', '1589513725826699264', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347694859653120', '1590165343635116032', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347695484604416', '1589529146432819200', '2023-02-03 11:19:48', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347696122138624', '1589512322240614400', '2023-02-03 11:19:49', null);
INSERT INTO `train_video_online_judges` VALUES ('1621347696759672832', '1590181896380354560', '2023-02-03 11:19:49', null);

-- ----------------------------
-- Table structure for train_video_online_like
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_like`;
CREATE TABLE `train_video_online_like` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `video_id` bigint(20) DEFAULT NULL COMMENT '视频id',
  `video_user_id` bigint(20) DEFAULT NULL COMMENT '视频创建用户id',
  `is_read` smallint(1) DEFAULT NULL COMMENT '是否已读：1、未读。2、已读。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_trainer_id` bigint(20) DEFAULT NULL COMMENT '创建讲师id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频喜欢';

-- ----------------------------
-- Records of train_video_online_like
-- ----------------------------
INSERT INTO `train_video_online_like` VALUES ('128113994409482164', '128059479047920901', '1591967614425501696', '1', '1591967614425501696', '1592055082256568320', '高志远', '2023-09-22 16:12:29');
INSERT INTO `train_video_online_like` VALUES ('1584808466118217728', '1583408987863388160', '1574653861665312768', '1', '1574653861665312768', '1582666858753036288', '李露', '2022-10-25 15:25:57');
INSERT INTO `train_video_online_like` VALUES ('1600761573327114240', '1597476405627719680', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:57:54');
INSERT INTO `train_video_online_like` VALUES ('1600761582097403904', '1597476258860634112', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:57:57');
INSERT INTO `train_video_online_like` VALUES ('1600761588900564992', '1597475819360489472', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:57:58');
INSERT INTO `train_video_online_like` VALUES ('1600761595284295680', '1597476124437385216', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:00');
INSERT INTO `train_video_online_like` VALUES ('1600761601688997888', '1597475233277808640', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:01');
INSERT INTO `train_video_online_like` VALUES ('1600761623113502720', '1597473765221076992', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:06');
INSERT INTO `train_video_online_like` VALUES ('1600761631275618304', '1597475098443517952', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:08');
INSERT INTO `train_video_online_like` VALUES ('1600761642981920768', '1597477515172122624', null, '1', '1579374510346473472', '1595346368883462144', '李昊杰', '2022-12-08 15:58:11');

-- ----------------------------
-- Table structure for train_video_online_play
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_play`;
CREATE TABLE `train_video_online_play` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `video_id` bigint(20) DEFAULT NULL COMMENT '视频id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `times` int(11) DEFAULT NULL COMMENT '播放次数',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间（下一次播放更新）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频播放表';

-- ----------------------------
-- Records of train_video_online_play
-- ----------------------------
INSERT INTO `train_video_online_play` VALUES ('128060470466076695', '128059479047920901', '1591967614425501696', '15', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('128061237102286138', '597476528046870528', '1591967614425501696', '2', '2023-09-22 14:44:43');
INSERT INTO `train_video_online_play` VALUES ('128062646317135084', '597477515172122624', '1591967614425501696', '1', '2023-09-22 14:46:55');
INSERT INTO `train_video_online_play` VALUES ('128063586421482329', '128063035561907723', '1591967614425501696', '9', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('128063587099070285', '1', '1591967614425501696', '3', '2023-09-22 16:07:28');
INSERT INTO `train_video_online_play` VALUES ('128063587270138681', '97476528046870528', '1591967614425501696', '1', '2023-09-22 14:48:29');
INSERT INTO `train_video_online_play` VALUES ('128110912578048142', '97477515172122624', '1591967614425501696', '2', '2023-09-22 16:07:28');
INSERT INTO `train_video_online_play` VALUES ('128113514521200208', '128112887888483435', '1591967614425501696', '6', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('128113515182955169', '15', '1591967614425501696', '3', '2023-09-22 16:12:28');
INSERT INTO `train_video_online_play` VALUES ('128113515334493015', '7476528046870528', '1591967614425501696', '1', '2023-09-22 16:11:41');
INSERT INTO `train_video_online_play` VALUES ('128113852191946693', '7477515172122624', '1591967614425501696', '1', '2023-09-22 16:12:15');
INSERT INTO `train_video_online_play` VALUES ('128113979917083492', '7478385641197568', '1591967614425501696', '1', '2023-09-22 16:12:28');
INSERT INTO `train_video_online_play` VALUES ('128116035458492708', '128115395111645794', '1591967614425501696', '3', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('128116035834554064', '159', '1591967614425501696', '3', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('128116035949127069', '478385641197568', '1591967614425501696', '3', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('128168431319392048', '1705101247222255616', '1591967614425501696', '1', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('1585832623949877248', '1583408987863388160', '1565939234546782208', '65', '2022-12-12 16:56:54');
INSERT INTO `train_video_online_play` VALUES ('1586957492401868800', '1583408987863388160', '1567097186544652288', '46', '2022-11-29 14:24:36');
INSERT INTO `train_video_online_play` VALUES ('1587002808375316480', '1583408987863388160', '1574656123775094784', '2', '2022-11-02 17:51:08');
INSERT INTO `train_video_online_play` VALUES ('1590948235705454592', '1583408987863388160', '1589887987989221376', '10', '2022-11-11 14:03:51');
INSERT INTO `train_video_online_play` VALUES ('1592111719755419648', '1583408987863388160', '1574653861665312768', '2', '2022-12-01 10:21:33');
INSERT INTO `train_video_online_play` VALUES ('1594246329373167616', '1583408987863388160', '1555010577007513600', '9', '2022-12-05 10:42:09');
INSERT INTO `train_video_online_play` VALUES ('1594505248892915712', '1583408987863388160', '1591967614425501696', '6', '2023-03-29 15:24:42');
INSERT INTO `train_video_online_play` VALUES ('1594591206766153728', '1583408987863388160', '1569928315261816832', '25', '2022-11-29 12:55:34');
INSERT INTO `train_video_online_play` VALUES ('1594599711015309312', '1583408987863388160', '1593937047876407296', '1', '2022-11-21 15:52:52');
INSERT INTO `train_video_online_play` VALUES ('1596412472347201536', '1583408987863388160', '1579374510346473472', '17', '2023-01-14 17:23:40');
INSERT INTO `train_video_online_play` VALUES ('1596681737759494144', '1596427591307366400', '1565939234546782208', '65', '2022-12-12 16:56:45');
INSERT INTO `train_video_online_play` VALUES ('1596681737797242880', '1596426852812066816', '1565939234546782208', '65', '2022-12-12 16:56:54');
INSERT INTO `train_video_online_play` VALUES ('1596681737830797312', '1596426647702212608', '1565939234546782208', '65', '2022-12-12 16:56:54');
INSERT INTO `train_video_online_play` VALUES ('1596681737868546048', '1596426739549081600', '1565939234546782208', '65', '2022-12-28 22:35:16');
INSERT INTO `train_video_online_play` VALUES ('1597147741191016448', '1596426647702212608', '1567097186544652288', '35', '2022-11-29 14:24:36');
INSERT INTO `train_video_online_play` VALUES ('1597147741748858880', '1596426739549081600', '1567097186544652288', '35', '2022-11-29 14:24:36');
INSERT INTO `train_video_online_play` VALUES ('1597147742378004480', '1596426852812066816', '1567097186544652288', '35', '2022-11-29 14:24:36');
INSERT INTO `train_video_online_play` VALUES ('1597147742931652608', '1596427591307366400', '1567097186544652288', '35', '2022-11-29 14:24:36');
INSERT INTO `train_video_online_play` VALUES ('1597454128764817408', '1596427591307366400', '1569928315261816832', '10', '2022-12-28 13:55:37');
INSERT INTO `train_video_online_play` VALUES ('1597454131826659328', '1596426647702212608', '1569928315261816832', '12', '2023-05-24 11:53:02');
INSERT INTO `train_video_online_play` VALUES ('1597454135282765824', '1596426739549081600', '1569928315261816832', '12', '2023-05-24 11:53:02');
INSERT INTO `train_video_online_play` VALUES ('1597454139414155264', '1596426852812066816', '1569928315261816832', '11', '2023-05-24 10:55:12');
INSERT INTO `train_video_online_play` VALUES ('1597474217434157056', '1597473765221076992', '1567097186544652288', '25', '2022-11-29 14:24:35');
INSERT INTO `train_video_online_play` VALUES ('1597477276440727552', '1597476124437385216', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477276465893376', '1597476258860634112', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477276482670592', '1597476405627719680', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477276499447808', '1597476528046870528', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477276520419328', '1597476697958125568', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477276533002240', '1597475098443517952', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477333160300544', '1597475233277808640', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477333185466368', '1597475392854298624', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597477333202243584', '1597475819360489472', '1567097186544652288', '2', '2022-11-29 14:27:31');
INSERT INTO `train_video_online_play` VALUES ('1597479535505444864', '1597476697958125568', '1565939234546782208', '66', '2023-07-20 15:58:48');
INSERT INTO `train_video_online_play` VALUES ('1597479535530610688', '1597476405627719680', '1565939234546782208', '65', '2022-12-12 16:56:55');
INSERT INTO `train_video_online_play` VALUES ('1597479535547387904', '1597473765221076992', '1565939234546782208', '65', '2022-12-28 22:35:16');
INSERT INTO `train_video_online_play` VALUES ('1597479535568359424', '1597476528046870528', '1565939234546782208', '65', '2022-12-28 22:35:16');
INSERT INTO `train_video_online_play` VALUES ('1597479535589330944', '1597475098443517952', '1565939234546782208', '64', '2022-12-12 16:54:15');
INSERT INTO `train_video_online_play` VALUES ('1597479535618691072', '1597475233277808640', '1565939234546782208', '65', '2022-12-12 16:56:54');
INSERT INTO `train_video_online_play` VALUES ('1597481361432776704', '1597476124437385216', '1565939234546782208', '65', '2022-12-28 22:35:16');
INSERT INTO `train_video_online_play` VALUES ('1597481361453748224', '1597476258860634112', '1565939234546782208', '65', '2022-12-12 16:56:55');
INSERT INTO `train_video_online_play` VALUES ('1597481361470525440', '1597475392854298624', '1565939234546782208', '65', '2022-12-28 22:35:16');
INSERT INTO `train_video_online_play` VALUES ('1597481361491496960', '1597475819360489472', '1565939234546782208', '65', '2022-12-28 22:35:16');
INSERT INTO `train_video_online_play` VALUES ('1597829045410729984', '1597478385641197568', '1565939234546782208', '66', '2023-07-20 15:58:48');
INSERT INTO `train_video_online_play` VALUES ('1597829045427507200', '1597477515172122624', '1565939234546782208', '65', '2022-12-12 16:56:45');
INSERT INTO `train_video_online_play` VALUES ('1598134985649426432', '1597476124437385216', '1574653861665312768', '2', '2022-12-01 10:21:35');
INSERT INTO `train_video_online_play` VALUES ('1598134985678786560', '1597476697958125568', '1574653861665312768', '2', '2022-12-01 10:21:35');
INSERT INTO `train_video_online_play` VALUES ('1598134985708146688', '1597476258860634112', '1574653861665312768', '2', '2022-12-01 10:21:35');
INSERT INTO `train_video_online_play` VALUES ('1598134985724923904', '1597478385641197568', '1574653861665312768', '2', '2022-12-01 10:21:35');
INSERT INTO `train_video_online_play` VALUES ('1598134985745895424', '1596426647702212608', '1574653861665312768', '2', '2022-12-01 10:21:35');
INSERT INTO `train_video_online_play` VALUES ('1598134985771061248', '1597476405627719680', '1574653861665312768', '2', '2023-01-04 10:23:41');
INSERT INTO `train_video_online_play` VALUES ('1598135008021843968', '1597473765221076992', '1574653861665312768', '1', '2022-12-01 10:00:52');
INSERT INTO `train_video_online_play` VALUES ('1598135008042815488', '1597475098443517952', '1574653861665312768', '2', '2023-01-04 10:23:42');
INSERT INTO `train_video_online_play` VALUES ('1598135008063787008', '1597475233277808640', '1574653861665312768', '1', '2022-12-01 10:00:52');
INSERT INTO `train_video_online_play` VALUES ('1598135008093147136', '1597475392854298624', '1574653861665312768', '1', '2022-12-01 10:00:52');
INSERT INTO `train_video_online_play` VALUES ('1598135008114118656', '1597475819360489472', '1574653861665312768', '1', '2022-12-01 10:00:53');
INSERT INTO `train_video_online_play` VALUES ('1598135008130895872', '1597476528046870528', '1574653861665312768', '1', '2022-12-01 10:00:53');
INSERT INTO `train_video_online_play` VALUES ('1598140208593899520', '1598139818007728128', '1574653861665312768', '2', '2022-12-01 10:21:35');
INSERT INTO `train_video_online_play` VALUES ('1598140209713778688', '1596426739549081600', '1574653861665312768', '2', '2023-01-04 10:23:41');
INSERT INTO `train_video_online_play` VALUES ('1598140210766548992', '1596426852812066816', '1574653861665312768', '2', '2023-01-04 10:23:41');
INSERT INTO `train_video_online_play` VALUES ('1598140210787520512', '1596427591307366400', '1574653861665312768', '2', '2023-01-04 10:23:41');
INSERT INTO `train_video_online_play` VALUES ('1598140210804297728', '1597477515172122624', '1574653861665312768', '2', '2023-01-04 10:23:41');
INSERT INTO `train_video_online_play` VALUES ('1598222057949237248', '1598139818007728128', '1565939234546782208', '66', '2023-07-20 15:58:48');
INSERT INTO `train_video_online_play` VALUES ('1598880218108530688', '1596427591307366400', '1555010577007513600', '10', '2023-01-16 08:13:15');
INSERT INTO `train_video_online_play` VALUES ('1598880218137890816', '1597476124437385216', '1555010577007513600', '9', '2022-12-05 10:42:09');
INSERT INTO `train_video_online_play` VALUES ('1598880218154668032', '1597476697958125568', '1555010577007513600', '13', '2023-05-16 15:59:01');
INSERT INTO `train_video_online_play` VALUES ('1598880218175639552', '1597478385641197568', '1555010577007513600', '10', '2023-01-16 08:13:15');
INSERT INTO `train_video_online_play` VALUES ('1598880218196611072', '1597476258860634112', '1555010577007513600', '9', '2022-12-05 10:42:09');
INSERT INTO `train_video_online_play` VALUES ('1598880218213388288', '1598139818007728128', '1555010577007513600', '13', '2023-05-16 15:59:01');
INSERT INTO `train_video_online_play` VALUES ('1598880608778588160', '1597475098443517952', '1555010577007513600', '9', '2023-01-08 18:17:23');
INSERT INTO `train_video_online_play` VALUES ('1598880608799559680', '1597475233277808640', '1555010577007513600', '9', '2023-01-08 18:17:23');
INSERT INTO `train_video_online_play` VALUES ('1598880608820531200', '1597475392854298624', '1555010577007513600', '9', '2022-12-05 10:42:09');
INSERT INTO `train_video_online_play` VALUES ('1598880608875057152', '1597475819360489472', '1555010577007513600', '9', '2023-01-08 18:17:23');
INSERT INTO `train_video_online_play` VALUES ('1598880608891834368', '1597476405627719680', '1555010577007513600', '9', '2023-01-08 18:17:23');
INSERT INTO `train_video_online_play` VALUES ('1598880608908611584', '1597476528046870528', '1555010577007513600', '9', '2023-01-08 18:17:23');
INSERT INTO `train_video_online_play` VALUES ('1598880667335266304', '1596426647702212608', '1555010577007513600', '13', '2023-05-16 15:59:01');
INSERT INTO `train_video_online_play` VALUES ('1598880668480311296', '1597473765221076992', '1555010577007513600', '9', '2023-01-16 08:13:15');
INSERT INTO `train_video_online_play` VALUES ('1598880669696659456', '1596426739549081600', '1555010577007513600', '13', '2023-05-16 15:59:01');
INSERT INTO `train_video_online_play` VALUES ('1598880671017865216', '1596426852812066816', '1555010577007513600', '13', '2023-05-16 15:59:01');
INSERT INTO `train_video_online_play` VALUES ('1598880672422957056', '1597477515172122624', '1555010577007513600', '13', '2023-05-16 15:59:01');
INSERT INTO `train_video_online_play` VALUES ('1599952186790514688', '1598139818007728128', '1591967614425501696', '4', '2023-09-22 14:44:43');
INSERT INTO `train_video_online_play` VALUES ('1599952186815680512', '1597475392854298624', '1591967614425501696', '2', '2023-02-24 10:48:21');
INSERT INTO `train_video_online_play` VALUES ('1599952186832457728', '1597475819360489472', '1591967614425501696', '17', '2023-09-22 16:11:41');
INSERT INTO `train_video_online_play` VALUES ('1599952186853429248', '1597476124437385216', '1591967614425501696', '14', '2023-09-22 14:48:29');
INSERT INTO `train_video_online_play` VALUES ('1599952186870206464', '1597476258860634112', '1591967614425501696', '10', '2023-09-22 14:43:26');
INSERT INTO `train_video_online_play` VALUES ('1599952186886983680', '1596426647702212608', '1591967614425501696', '31', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('1600761295278313472', '1597475819360489472', '1579374510346473472', '17', '2023-01-14 17:23:40');
INSERT INTO `train_video_online_play` VALUES ('1600761295483834368', '1597476124437385216', '1579374510346473472', '17', '2023-01-14 17:23:40');
INSERT INTO `train_video_online_play` VALUES ('1600761295672578048', '1597476258860634112', '1579374510346473472', '17', '2023-01-14 17:23:40');
INSERT INTO `train_video_online_play` VALUES ('1600761295882293248', '1596426647702212608', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761296125562880', '1597476405627719680', '1579374510346473472', '18', '2023-01-14 17:31:24');
INSERT INTO `train_video_online_play` VALUES ('1600761296322695168', '1597473765221076992', '1579374510346473472', '17', '2023-01-14 17:26:24');
INSERT INTO `train_video_online_play` VALUES ('1600761298029776896', '1597475098443517952', '1579374510346473472', '17', '2023-01-14 17:26:24');
INSERT INTO `train_video_online_play` VALUES ('1600761298226909184', '1597475233277808640', '1579374510346473472', '18', '2023-01-14 18:21:27');
INSERT INTO `train_video_online_play` VALUES ('1600761298436624384', '1597475392854298624', '1579374510346473472', '17', '2023-01-12 15:35:25');
INSERT INTO `train_video_online_play` VALUES ('1600761298629562368', '1597476528046870528', '1579374510346473472', '18', '2023-01-14 18:21:27');
INSERT INTO `train_video_online_play` VALUES ('1600761298835083264', '1597478385641197568', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761299032215552', '1598139818007728128', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761308872052736', '1597476697958125568', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761309060796416', '1597477515172122624', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761309308260352', '1596426739549081600', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761309509586944', '1596426852812066816', '1579374510346473472', '36', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1600761309702524928', '1596427591307366400', '1579374510346473472', '38', '2023-01-15 10:36:20');
INSERT INTO `train_video_online_play` VALUES ('1602148770924072960', '1596427591307366400', '1591967614425501696', '11', '2023-08-09 12:08:35');
INSERT INTO `train_video_online_play` VALUES ('1602148771112816640', '1597473765221076992', '1591967614425501696', '11', '2023-08-09 12:08:35');
INSERT INTO `train_video_online_play` VALUES ('1602148771305754624', '1597475098443517952', '1591967614425501696', '7', '2023-08-09 12:08:35');
INSERT INTO `train_video_online_play` VALUES ('1602148771515469824', '1597475233277808640', '1591967614425501696', '2', '2023-03-02 14:08:30');
INSERT INTO `train_video_online_play` VALUES ('1602148771691630592', '1597476405627719680', '1591967614425501696', '9', '2023-09-22 14:44:43');
INSERT INTO `train_video_online_play` VALUES ('1602148771867791360', '1597476528046870528', '1591967614425501696', '6', '2023-09-22 16:12:15');
INSERT INTO `train_video_online_play` VALUES ('1605108164536176640', '1597476697958125568', '1569928315261816832', '11', '2023-05-24 11:53:02');
INSERT INTO `train_video_online_play` VALUES ('1605108164557148160', '1597475233277808640', '1569928315261816832', '11', '2023-05-24 10:55:12');
INSERT INTO `train_video_online_play` VALUES ('1605108164573925376', '1597477515172122624', '1569928315261816832', '11', '2023-05-24 11:53:02');
INSERT INTO `train_video_online_play` VALUES ('1605108164590702592', '1597475392854298624', '1569928315261816832', '11', '2023-05-24 10:55:16');
INSERT INTO `train_video_online_play` VALUES ('1605108164607479808', '1597478385641197568', '1569928315261816832', '11', '2023-05-24 11:53:02');
INSERT INTO `train_video_online_play` VALUES ('1605108164624257024', '1597475819360489472', '1569928315261816832', '11', '2023-05-24 10:55:16');
INSERT INTO `train_video_online_play` VALUES ('1605108193938247680', '1597476258860634112', '1569928315261816832', '11', '2023-05-24 10:55:16');
INSERT INTO `train_video_online_play` VALUES ('1605108193963413504', '1597476405627719680', '1569928315261816832', '11', '2023-05-24 10:55:16');
INSERT INTO `train_video_online_play` VALUES ('1605108193984385024', '1597476528046870528', '1569928315261816832', '11', '2023-05-24 10:55:16');
INSERT INTO `train_video_online_play` VALUES ('1605108194009550848', '1598139818007728128', '1569928315261816832', '11', '2023-05-24 11:53:02');
INSERT INTO `train_video_online_play` VALUES ('1605108194026328064', '1597473765221076992', '1569928315261816832', '11', '2023-05-24 10:55:12');
INSERT INTO `train_video_online_play` VALUES ('1605108194043105280', '1597475098443517952', '1569928315261816832', '11', '2023-05-24 10:55:12');
INSERT INTO `train_video_online_play` VALUES ('1605108782155829248', '1597476124437385216', '1569928315261816832', '11', '2023-05-24 10:55:16');
INSERT INTO `train_video_online_play` VALUES ('1608108582186913792', '1596427591307366400', '1327447426830831616', '1', '2022-12-28 22:32:18');
INSERT INTO `train_video_online_play` VALUES ('1608108582207885312', '1597476697958125568', '1327447426830831616', '1', '2022-12-28 22:32:18');
INSERT INTO `train_video_online_play` VALUES ('1608108582228856832', '1597475392854298624', '1327447426830831616', '1', '2022-12-28 22:32:18');
INSERT INTO `train_video_online_play` VALUES ('1608108582245634048', '1597478385641197568', '1327447426830831616', '1', '2022-12-28 22:32:18');
INSERT INTO `train_video_online_play` VALUES ('1608108582262411264', '1583408987863388160', '1327447426830831616', '1', '2022-12-28 22:32:18');
INSERT INTO `train_video_online_play` VALUES ('1608108582274994176', '1597475819360489472', '1327447426830831616', '1', '2022-12-28 22:32:18');
INSERT INTO `train_video_online_play` VALUES ('1608108785434497024', '1596426852812066816', '1327447426830831616', '1', '2022-12-28 22:33:06');
INSERT INTO `train_video_online_play` VALUES ('1608108785459662848', '1597477515172122624', '1327447426830831616', '1', '2022-12-28 22:33:06');
INSERT INTO `train_video_online_play` VALUES ('1608108785480634368', '1597473765221076992', '1327447426830831616', '1', '2022-12-28 22:33:06');
INSERT INTO `train_video_online_play` VALUES ('1608108785501605888', '1598139818007728128', '1327447426830831616', '1', '2022-12-28 22:33:06');
INSERT INTO `train_video_online_play` VALUES ('1608108785556131840', '1597475098443517952', '1327447426830831616', '1', '2022-12-28 22:33:06');
INSERT INTO `train_video_online_play` VALUES ('1608108785572909056', '1597475233277808640', '1327447426830831616', '1', '2022-12-28 22:33:06');
INSERT INTO `train_video_online_play` VALUES ('1625058526831448064', '1596426739549081600', '1591967614425501696', '30', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('1625058526856613888', '1596426852812066816', '1591967614425501696', '10', '2023-08-09 12:08:35');
INSERT INTO `train_video_online_play` VALUES ('1625058526877585408', '1597476697958125568', '1591967614425501696', '3', '2023-09-22 14:44:43');
INSERT INTO `train_video_online_play` VALUES ('1625058526894362624', '1597477515172122624', '1591967614425501696', '6', '2023-09-22 16:12:28');
INSERT INTO `train_video_online_play` VALUES ('1625058526919528448', '1597478385641197568', '1591967614425501696', '9', '2023-09-22 16:12:15');
INSERT INTO `train_video_online_play` VALUES ('1625058526936305664', '1597478580571475968', '1591967614425501696', '13', '2023-09-22 17:43:13');
INSERT INTO `train_video_online_play` VALUES ('1625104187681542144', '1596426647702212608', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187719290880', '1596426739549081600', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187752845312', '1596426852812066816', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187790594048', '1596427591307366400', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187828342784', '1597476697958125568', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187861897216', '1597477515172122624', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187899645952', '1597478385641197568', '1589887987989221376', '1', '2023-02-13 20:06:46');
INSERT INTO `train_video_online_play` VALUES ('1625104187933200384', '1598139818007728128', '1589887987989221376', '1', '2023-02-13 20:06:46');

-- ----------------------------
-- Table structure for train_video_online_score_item
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_score_item`;
CREATE TABLE `train_video_online_score_item` (
  `id` bigint(20) NOT NULL,
  `name` varchar(50) DEFAULT NULL COMMENT '评价项名称',
  `score` int(10) DEFAULT NULL COMMENT '评价项分数',
  `state` varchar(255) DEFAULT NULL COMMENT '状态 1启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of train_video_online_score_item
-- ----------------------------
INSERT INTO `train_video_online_score_item` VALUES ('1620687648786092032', '逻辑清晰', '40', '1');
INSERT INTO `train_video_online_score_item` VALUES ('1620688740538257408', '推广性强', '30', '1');
INSERT INTO `train_video_online_score_item` VALUES ('1620689594351751168', '设计合理', '30', '1');

-- ----------------------------
-- Table structure for train_video_online_tag
-- ----------------------------
DROP TABLE IF EXISTS `train_video_online_tag`;
CREATE TABLE `train_video_online_tag` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `video_id` bigint(20) DEFAULT NULL COMMENT '视频id',
  `tag_id` bigint(20) DEFAULT NULL COMMENT '标签id',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：-1、拒绝。0、待审核，1、审核通过，2、删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='在线视频标签';

-- ----------------------------
-- Records of train_video_online_tag
-- ----------------------------
INSERT INTO `train_video_online_tag` VALUES ('128050811472985761', '128050811091213319', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('128051198982206728', '128051198842900294', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('128059479416307296', '128059479047920901', '1296649558033567744', '1');
INSERT INTO `train_video_online_tag` VALUES ('128063035588067719', '128063035561907723', '1296649558033567744', '1');
INSERT INTO `train_video_online_tag` VALUES ('128112888087816315', '128112887888483435', '1296649558033567744', '1');
INSERT INTO `train_video_online_tag` VALUES ('128115395135654611', '128115395111645794', '1308613243308216320', '1');
INSERT INTO `train_video_online_tag` VALUES ('1583408988010188800', '1583408987863388160', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1596426647853207552', '1596426647702212608', '1308613243308216320', '1');
INSERT INTO `train_video_online_tag` VALUES ('1596426647861596160', '1596426647702212608', '1296649558033567744', '1');
INSERT INTO `train_video_online_tag` VALUES ('1596426739553275904', '1596426739549081600', '1321057054542139392', '1');
INSERT INTO `train_video_online_tag` VALUES ('1596426852812066817', '1596426852812066816', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('1596427591315755008', '1596427591307366400', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597473765263020032', '1597473765221076992', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597474648868655104', '1597474648860266496', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597475098451906560', '1597475098443517952', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597475233282002944', '1597475233277808640', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597475392854298625', '1597475392854298624', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597475819364683776', '1597475819360489472', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476124819066880', '1597476124437385216', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476258864828416', '1597476258860634112', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476405627719681', '1597476405627719680', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476528046870529', '1597476528046870528', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476697958125569', '1597476697958125568', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476697958125570', '1597476697958125568', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597476697958125571', '1597476697958125568', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597477515180511232', '1597477515172122624', '1321057054542139392', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597477515180511233', '1597477515172122624', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597478228816171008', '1597478228811976704', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597478228816171009', '1597478228811976704', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597478385645391872', '1597478385641197568', '1308613243308216320', '1');
INSERT INTO `train_video_online_tag` VALUES ('1597478385645391873', '1597478385641197568', '1333570681039884288', '1');
INSERT INTO `train_video_online_tag` VALUES ('1597478580579864576', '1597478580571475968', null, '1');
INSERT INTO `train_video_online_tag` VALUES ('1597478777024286720', '1597478777020092416', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597478777024286721', '1597478777020092416', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597478777024286722', '1597478777020092416', '1333573963065987072', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597859733342130176', '1597859733295992832', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597859733342130177', '1597859733295992832', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597860263502155776', '1597860263497961472', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1597860263502155777', '1597860263497961472', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598139818146140160', '1598139818007728128', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598139818150334464', '1598139818007728128', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598139818150334465', '1598139818007728128', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598144117618118656', '1598144117613924352', '1321057054542139392', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598144117618118657', '1598144117613924352', '1296649558033567744', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598223539251580928', '1598223538358194176', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598223539251580929', '1598223538358194176', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598224450548011008', '1598224450476707840', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598224450552205312', '1598224450476707840', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598224450552205313', '1598224450476707840', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598224946088251392', '1598224894393454592', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598224946088251393', '1598224894393454592', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598224946088251394', '1598224894393454592', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598225741659639808', '1598225741617696768', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598225741659639809', '1598225741617696768', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598228775194202112', '1598228775190007808', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598228775194202113', '1598228775190007808', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598229746209132544', '1598229535655071744', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598229746209132545', '1598229535655071744', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598230520024666112', '1598230519034810368', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598230520024666113', '1598230519034810368', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598232312401760256', '1598232311369961472', '1308613285268033536', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598232312401760257', '1598232311369961472', '1333570681039884288', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598232312401760258', '1598232311369961472', '1321057054542139392', '0');
INSERT INTO `train_video_online_tag` VALUES ('1598910775966175232', '1598910775852929024', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('1705101117723119616', '1705101117622456320', '1296649558033567744', '-1');
INSERT INTO `train_video_online_tag` VALUES ('1705101247226449920', '1705101247222255616', '1296649558033567744', '1');
INSERT INTO `train_video_online_tag` VALUES ('6675705871475009330', '6675703311883005112', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6676530956651009704', '6676530882412008694', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6679192934091008779', '6678909218096001652', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6679809000410009576', '6679808809872006778', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6679925306636006693', '6679925300242002421', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6680480640999007599', '6680480631934003632', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6680778415062004509', '6680778392667005914', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6681381831388001346', '6681381820506007271', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6682599853992006287', '6682597325897009420', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6683017886653004255', '6683017879542002674', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6683717325617001932', '6683717320187003320', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6686090936697005234', '6686090930222005065', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6687083016995006426', '6687082951235005247', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6687976017132007248', '6687901401431007227', '1308613243308216320', '0');
INSERT INTO `train_video_online_tag` VALUES ('6689553239370002634', '6689553236535005359', '1308613243308216320', '0');

-- ----------------------------
-- Table structure for train_week_class
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class`;
CREATE TABLE `train_week_class` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `code` varchar(20) DEFAULT NULL COMMENT '培训班编号',
  `name` varchar(30) DEFAULT NULL COMMENT '培训班名称',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编号',
  `org_use_code` varchar(20) DEFAULT NULL COMMENT '用户自定义机构编号',
  `org_name` varchar(20) DEFAULT NULL COMMENT '机构名称',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `dept_code` varchar(20) DEFAULT NULL COMMENT '部门code',
  `num` int(11) DEFAULT NULL COMMENT '培训人数',
  `money_all` bigint(15) DEFAULT NULL COMMENT '培训总预算',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `major_id` bigint(20) DEFAULT NULL COMMENT '专业id',
  `major_code` varchar(20) DEFAULT NULL COMMENT '专业code',
  `major_name` varchar(30) DEFAULT NULL COMMENT '专业名',
  `train_start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `train_end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `head_teacher_id` bigint(20) DEFAULT NULL COMMENT '班主任（系统用户id）',
  `head_teacher_name` varchar(30) DEFAULT NULL COMMENT '班主任（系统用户名）',
  `content` varchar(1024) DEFAULT NULL COMMENT '培训内容',
  `cover` json DEFAULT NULL COMMENT '封面',
  `appraise_time` datetime DEFAULT NULL COMMENT '评价开始时间',
  `state` smallint(6) DEFAULT NULL COMMENT '状态：10待发布。15、已发布。20、进行中。30、待结算（已结束）。40、已结算。50、待开票。60、已开票。',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `create_user_name` varchar(20) DEFAULT NULL COMMENT '创建用户名',
  `create_dept_code` varchar(20) DEFAULT NULL COMMENT '创建部门编号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `settlement_type` smallint(6) DEFAULT NULL COMMENT '结算方式：1、划拨。2、现金。',
  `settlement_org_id` bigint(20) DEFAULT NULL COMMENT '结算单位id',
  `settlement_org_code` varchar(20) DEFAULT NULL COMMENT '结算单位编号',
  `settlement_org_use_code` varchar(20) DEFAULT NULL COMMENT '结算单位自定义编号',
  `settlement_org_name` varchar(30) DEFAULT NULL COMMENT '结算单位名称',
  `budget` bigint(20) DEFAULT NULL COMMENT '培训预算（单位：分）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='周培训班';

-- ----------------------------
-- Records of train_week_class
-- ----------------------------
INSERT INTO `train_week_class` VALUES ('1597138740525010944', '202211280009', '测试周培训二维码', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1323441857501466624', '001025', '2', null, '单位领导部门', '1301371027162533888', '002', '金融', '2022-11-28 00:00:00', '2022-12-24 23:59:59', '1564137453919539200', '王宇航', '', null, null, '30', '1567046004463767552', '刘国灿', '001025', '2022-11-28 16:02:04', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部', null);
INSERT INTO `train_week_class` VALUES ('1610508150312669184', '202301040170', '测试培训班0104', '1323441314733363200', '001', '56000000', '河南省分公司本部', '1366299625929183232', '001071', null, null, '运营管理部', '1301371027162533888', '002', '金融', '2023-01-03 00:00:00', '2023-01-06 23:59:59', '1565939234546782208', '王涵', '', null, null, '30', '1562314510612697088', '国产007', '001071', '2023-01-04 13:27:19', '1', '1323441314733363200', '001', '56000000', '河南省分公司本部', null);
INSERT INTO `train_week_class` VALUES ('1620333398998519808', '202301310039', '121212', '1323441314737557504', '001001', '56040000', '河南省培训中心', '1323441857514049541', '001001001', '10', '10', '单位领导部门', '1301371132523450368', '004', '渠道', '2023-01-31 00:00:00', '2023-02-02 23:59:59', '1565939234546782208', '王涵', '111', null, null, '30', '1590543166828843008', '张磊', '001001001', '2023-01-31 16:09:21', '1', '1323441314737557504', '001001', '56040000', '河南省培训中心', null);

-- ----------------------------
-- Table structure for train_week_class_appendix
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_appendix`;
CREATE TABLE `train_week_class_appendix` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `images` json DEFAULT NULL COMMENT '图集',
  `video` json DEFAULT NULL COMMENT '视频',
  `appendix` json DEFAULT NULL COMMENT '附件',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='周培训班附件';

-- ----------------------------
-- Records of train_week_class_appendix
-- ----------------------------
INSERT INTO `train_week_class_appendix` VALUES ('1595256180341608448', '1588888840070893568', null, null, '[{\"name\": \"importTemplate (1).xls\", \"path\": \"/train/2022/11/23/6a07ba7199dc45d989a229e2abfdc75c.xls\", \"size\": 18, \"suffix\": \".xls\"}]', null);

-- ----------------------------
-- Table structure for train_week_class_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_appraise`;
CREATE TABLE `train_week_class_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `site` smallint(1) DEFAULT NULL COMMENT '位置：1、培训班。2、讲师。',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  `type` smallint(1) DEFAULT NULL COMMENT '类型 1星级评论 2文本评论',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='周培训班评价项';

-- ----------------------------
-- Records of train_week_class_appraise
-- ----------------------------

-- ----------------------------
-- Table structure for train_week_class_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_appraise_option`;
CREATE TABLE `train_week_class_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) DEFAULT '' COMMENT '评价项名称',
  `seq` smallint(3) DEFAULT '-1' COMMENT '顺序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='周培训班评价项内容';

-- ----------------------------
-- Records of train_week_class_appraise_option
-- ----------------------------

-- ----------------------------
-- Table structure for train_week_class_schedule
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_schedule`;
CREATE TABLE `train_week_class_schedule` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '周培训班id',
  `name` varchar(255) DEFAULT NULL COMMENT '课程名称',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) DEFAULT NULL COMMENT '讲师名',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='周培训班课程表';

-- ----------------------------
-- Records of train_week_class_schedule
-- ----------------------------
INSERT INTO `train_week_class_schedule` VALUES ('1588888840490323968', '1588888840070893568', '2131', null, '123123', '2022-11-05 21:39:43', '2022-11-06 21:39:45', '2022-11-05 21:39:54');
INSERT INTO `train_week_class_schedule` VALUES ('1597138740940247040', '1597138740525010944', '测试课程1', null, '测试讲师', '2022-11-28 16:01:38', '2022-11-30 16:01:41', '2022-11-28 16:02:04');
INSERT INTO `train_week_class_schedule` VALUES ('1610552817750249472', '1610508150312669184', '课程名称0104', '1567337225455276032', '郑州李讲师', '2023-01-03 13:26:59', '2023-01-05 13:27:01', '2023-01-04 16:24:49');
INSERT INTO `train_week_class_schedule` VALUES ('1620333399065628672', '1620333398998519808', '课程1', null, '1', '2023-01-31 16:09:01', '2023-02-01 16:09:04', '2023-01-31 16:09:21');

-- ----------------------------
-- Table structure for train_week_class_trainer_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_trainer_appraise`;
CREATE TABLE `train_week_class_trainer_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `trainer_id` bigint(20) DEFAULT NULL COMMENT '讲师id',
  `trainer_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '讲师名',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '用户名',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '评价项名称',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  `create_time` datetime DEFAULT NULL COMMENT '评价时间'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='用户评价讲师';

-- ----------------------------
-- Records of train_week_class_trainer_appraise
-- ----------------------------

-- ----------------------------
-- Table structure for train_week_class_trainer_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_trainer_appraise_option`;
CREATE TABLE `train_week_class_trainer_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `trainer_appraise_id` bigint(20) DEFAULT NULL COMMENT '讲师评价项id',
  `appraise_option_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '评价项名称',
  `score` int(10) DEFAULT '-1' COMMENT '评分',
  `content` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '评价内容'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='评价细项';

-- ----------------------------
-- Records of train_week_class_trainer_appraise_option
-- ----------------------------

-- ----------------------------
-- Table structure for train_week_class_training_appraise
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_training_appraise`;
CREATE TABLE `train_week_class_training_appraise` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `class_id` bigint(20) DEFAULT NULL COMMENT '培训班id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '用户名',
  `appraise_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '评价项名称',
  `score` int(11) DEFAULT NULL COMMENT '评分',
  `create_time` datetime DEFAULT NULL COMMENT '评价时间'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='用户评价培训班';

-- ----------------------------
-- Records of train_week_class_training_appraise
-- ----------------------------

-- ----------------------------
-- Table structure for train_week_class_training_appraise_option
-- ----------------------------
DROP TABLE IF EXISTS `train_week_class_training_appraise_option`;
CREATE TABLE `train_week_class_training_appraise_option` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `training_appraise_id` bigint(20) DEFAULT NULL COMMENT '培训班评价项id',
  `appraise_option_id` bigint(20) DEFAULT NULL COMMENT '评价项id',
  `name` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '评价项名称',
  `score` int(10) DEFAULT '-1' COMMENT '评分',
  `content` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '评价内容'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='评价细项';

-- ----------------------------
-- Records of train_week_class_training_appraise_option
-- ----------------------------

-- ----------------------------
-- Table structure for trian_supplier
-- ----------------------------
DROP TABLE IF EXISTS `trian_supplier`;
CREATE TABLE `trian_supplier` (
  `id` bigint(20) DEFAULT NULL COMMENT 'id',
  `name` varchar(50) DEFAULT NULL COMMENT '供应商名称',
  `trade` text COMMENT '擅长行业',
  `lv` varchar(32) DEFAULT NULL COMMENT '等级',
  `contact_person` varchar(32) DEFAULT NULL COMMENT '联系人',
  `contact_tel` varchar(32) DEFAULT NULL COMMENT '电话',
  `state` varchar(32) DEFAULT NULL COMMENT '状态 0 禁用 1. 正常',
  `is_del` varchar(32) DEFAULT NULL COMMENT '是否删除',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `note` varchar(1024) DEFAULT NULL COMMENT '简介',
  `mix_pd` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '密码',
  `org_code` varchar(255) DEFAULT NULL COMMENT '所属机构',
  `org_id` bigint(20) DEFAULT NULL COMMENT '机构id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='供应商 ';

-- ----------------------------
-- Records of trian_supplier
-- ----------------------------
INSERT INTO `trian_supplier` VALUES ('1567088424874283008', '222', '1566977877541523456,1566977937771728896,1566978032755937280,1566978072358555648,1566978151446351872,1566978228537659392,1566978271638327296', null, '22222', '22222222222222222222', '0', '0', '1', '2022-09-06 17:52:50', null, null, '啊实打实大幸存者', '', '001', '1299516373092929536');
INSERT INTO `trian_supplier` VALUES ('1570246814479814656', '培训班供应商2', '1566977877541523456,1566977937771728896,1566978032755937280,1566978072358555648,1566978151446351872', 'A', '李露露', '15225278233', '0', '0', '1569970196410667008', '2022-09-15 11:03:09', '1590543166828843008', '2023-09-22 10:09:43', '3法神发生发顺丰告诉费3法神发生发顺丰告诉费3法神发生发顺丰告诉费3法神发生发顺丰告诉费3法神发生发顺丰告', '7cdb7d1967f880bc33593bcfd942832b', '001001', '1323441314737557504');
INSERT INTO `trian_supplier` VALUES ('1570589823574609920', '2231166', '1566977937771728896,1566978032755937280', null, '22', '22', '0', '0', '1', '2022-09-16 09:46:09', '1', '2022-09-20 11:43:57', '22222', '75c7b92db8d110b259fe32aa7caaa560', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1572853721715576832', '郑州市级供应商001', '1566977937771728896', 'A', '李郑州', '15784587457', '0', '0', '1569970621243330560', '2022-09-22 15:42:04', null, null, '开学第一课', '42eab5aa1a18287b2e63446e79e987be', '001007', '1323441314737557510');
INSERT INTO `trian_supplier` VALUES ('1580075100462518272', '1357', '1566977877541523456,1566977937771728896', '', '1357', '1357', '0', '0', '1562314510612697088', '2022-10-12 13:57:15', null, null, '1357', '33172e0aaca7d9c30c59131541ae4f3d', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1580121127580209152', '国基路52号', '1566977877541523456', 'A', '李四', '15784598658', '0', '0', '1569970196410667008', '2022-10-12 17:00:09', '1569970196410667008', '2022-10-13 14:04:45', '5345', '50a0833e6a1e2d982cb15346da1a31f0', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1580479045383098368', 'wwweee', '1566977937771728896', '', 'sdvefvw', '17896988875', '0', '0', '1', '2022-10-13 16:42:23', null, null, 'dfw', 'd44dbed1cb851520337087b7784a02c1', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1582646957980127232', '省级高级供应商', '1566977877541523456,1566977937771728896', 'C', '李四', '15713872520', '0', '0', '1569970196410667008', '2022-10-19 16:16:54', '1569970196410667008', '2022-10-19 16:50:10', '测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据测试等级数据', '410f6e4c0468cde86ef2f2c1a46973c0', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1586564161255641088', '第一供应商', '1566977877541523456', 'A', '王涵', '18090909090', '0', '0', '1562314510612697088', '2022-10-30 11:42:28', null, null, '简介', 'a03608b3b33abce21759040c372aec86', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1591978213070999552', '高供应商', '1566977877541523456', '', '高志远', '15225279243', '0', '0', '1', '2022-11-14 10:15:58', null, null, '测试', 'c7874c1faa289567d4d25aae100bc855', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1591992721109815296', '地市供应商', '1566977937771728896', 'A', '高志远', '15225289233', '0', '0', '1591989473527336960', '2022-11-14 11:13:37', null, null, '点点', '0fc129f7d880ba770ae529cf074ddb4c', '001007', '1323441314737557510');
INSERT INTO `trian_supplier` VALUES ('1594992684735533056', '测试短信', '1566977877541523456,1566977937771728896,1566978032755937280,1566978151446351872,1566978228537659392,1566978271638327296', '', '我少时诵诗书', '17630034111', '0', '0', '1561995446459699200', '2022-11-22 17:54:24', '1561995446459699200', '2022-12-30 10:36:18', '啊实打实大苏打告诉对方', 'de6936a7de5a7224b9bf1f316656f35d', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('1608652465597714432', '测试默认密码', '1566977877541523456,1566977937771728896,1566978032755937280,1566978072358555648,1566978151446351872,1566978228537659392,1566978271638327296', '', 'li', '17630034020', '0', '0', '1561995446459699200', '2022-12-30 10:33:30', null, null, '啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊', 'f4a1a7e570530a3814e35c7e23a47d88', '001', '1323441314733363200');
INSERT INTO `trian_supplier` VALUES ('130622069114534317', '培训班供应商1', '1566978271638327296', '', '高志远', '15225279245', '0', '0', '1590543166828843008', '2023-09-25 13:52:37', null, null, '空', '658e2102abc0824628cbcd11dd128d3a', '001001', '1323441314737557504');

-- ----------------------------
-- View structure for temp
-- ----------------------------
DROP VIEW IF EXISTS `temp`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`%` SQL SECURITY DEFINER VIEW `temp` AS select `train_class`.`id` AS `id`,`train_class`.`plan_id` AS `plan_id`,`train_class`.`type` AS `type`,`train_class`.`code` AS `code`,`train_class`.`name` AS `name`,`train_class`.`org_id` AS `org_id`,`train_class`.`org_code` AS `org_code`,`train_class`.`org_use_code` AS `org_use_code`,`train_class`.`org_name` AS `org_name`,`train_class`.`dept_id` AS `dept_id`,`train_class`.`dept_code` AS `dept_code`,`train_class`.`dept_name` AS `dept_name`,`train_class`.`major_id` AS `major_id`,`train_class`.`major_code` AS `major_code`,`train_class`.`major_name` AS `major_name`,`train_class`.`train_start_time` AS `train_start_time`,`train_class`.`train_end_time` AS `train_end_time`,`train_class`.`contact_person` AS `contact_person`,`train_class`.`contact_tel` AS `contact_tel`,`train_class`.`site` AS `site`,`train_class`.`lat` AS `lat`,`train_class`.`lng` AS `lng`,`train_class`.`num` AS `num`,`train_class`.`sign_up_type` AS `sign_up_type`,`train_class`.`secret_key` AS `secret_key`,`train_class`.`user_path` AS `user_path`,`train_class`.`head_teacher_id` AS `head_teacher_id`,`train_class`.`head_teacher_name` AS `head_teacher_name`,`train_class`.`content` AS `content`,`train_class`.`study_require` AS `study_require`,`train_class`.`study_percentage` AS `study_percentage`,`train_class`.`cover` AS `cover`,`train_class`.`description_type` AS `description_type`,`train_class`.`appraise_time` AS `appraise_time`,`train_class`.`description` AS `description`,`train_class`.`description_text` AS `description_text`,`train_class`.`state` AS `state`,`train_class`.`audit_cause` AS `audit_cause`,`train_class`.`create_user_id` AS `create_user_id`,`train_class`.`create_user_name` AS `create_user_name`,`train_class`.`create_dept_code` AS `create_dept_code`,`train_class`.`create_time` AS `create_time`,`train_class`.`notes` AS `notes` from `train_class` ;

-- ----------------------------
-- Function structure for latlon
-- ----------------------------
DROP FUNCTION IF EXISTS `latlon`;
DELIMITER ;;
CREATE DEFINER=`root`@`%` FUNCTION `latlon`(lat VARCHAR(20), lng VARCHAR(20), lat1 VARCHAR(20), lng1 VARCHAR(20)) RETURNS varchar(100) CHARSET utf8mb4
BEGIN
	DECLARE
		str VARCHAR ( 100 ) DEFAULT '';
	
	SET @lat = lat;
	
	SET @lng = lng;
	
	SET @lat1 = lat1;
	
	SET @lng1 = lng1;
	
	SET str = ROUND(
		6378.138 * 2 * ASIN(
			SQRT(
				POW( SIN( ( @lat * PI() / 180 - @lat1 * PI() / 180 ) / 2 ), 2 ) + COS( @lat * PI() / 180 ) * COS( @lat1 * PI() / 180 ) * POW( SIN( ( @lng * PI() / 180 - @lng1 * PI() / 180 ) / 2 ), 2 ) 
			) 
		) * 1000 
	);
	RETURN str;

END
;;
DELIMITER ;
